(* ::Package:: *)

Quiet[BeginPackage["`BaseRubidium`","`BaseUsefulConstants`"], {General::obspkg, General::newpkg}]


mRb87 = 86.909180527 *au; (*kg*)
mRb85 = 84.911789732 *au;

AbondancyRb87 = 27.83 /100; 
AbondancyRb85 = 72.17 /100;

ISpinRb87 = 3/2;
ISpinRb85 = 5/2;

IonizationThresholdRb87 = 33690.80480 ; (* cm^-1 *)
IonizationThresholdRb85 =33690.79890;

IsotopeShiftRbD2 = 2*Pi * 78.095 * 10^6; (* Hz *)
IsotopeShiftRbD1=2*Pi*77.583* 10^6;

\[Lambda]2S1halfTo2P3halfRb87 = 780.241209686 * 10^(-9); (* D2 line *)
\[CapitalGamma]2S1halfTo2P3halfRb87 = 2*Pi*6.0666 *10^6 ; 

\[Lambda]2S1halfTo2P1halfRb87 =794.978851156 * 10^(-9); (* D1 line *)
\[CapitalGamma]2S1halfTo2P1halfRb87 = 2*Pi*5.7500 *10^6 ; 

\[Lambda]2S1halfTo2P3halfRb85 =780.241368271 * 10^(-9); (* D2 line *)
\[CapitalGamma]2S1halfTo2P3halfRb85 = 2*Pi*6.0666 * 10^6;

\[Lambda]2S1halfTo2P1halfRb85 =794.979014933 * 10^(-9); (* D1 line *)
\[CapitalGamma]2S1halfTo2P1halfRb85 = 2*Pi*5.7500 * 10^6;

TdopplerRbD2 = hbarre * \[CapitalGamma]2S1halfTo2P3halfRb87 /(2 * kB);
TdopplerRbD1 = hbarre * \[CapitalGamma]2S1halfTo2P1halfRb87 /(2 * kB);

TrecoilRb87D2 = ctePlanck^2/  (\[Lambda]2S1halfTo2P3halfRb87^2 * mRb87 * kB);
TrecoilRb85D2 = ctePlanck^2/  (\[Lambda]2S1halfTo2P3halfRb85^2 * mRb85 * kB);
TrecoilRb87D1 = ctePlanck^2/  (\[Lambda]2S1halfTo2P1halfRb87^2 * mRb87 * kB);
TrecoilRb85D1 = ctePlanck^2/  (\[Lambda]2S1halfTo2P1halfRb85^2 * mRb85 * kB);

VrecoilRb87D2 = hbarre * (2*Pi/ \[Lambda]2S1halfTo2P3halfRb87)  /  mRb87;
VrecoilRb85D2 = hbarre * (2*Pi/ \[Lambda]2S1halfTo2P3halfRb85)  /  mRb85;
VrecoilRb87D1 = hbarre * (2*Pi/ \[Lambda]2S1halfTo2P1halfRb87)  /  mRb87;
VrecoilRb85D1 = hbarre * (2*Pi/ \[Lambda]2S1halfTo2P1halfRb85)  /  mRb85;

ISatCool =Pi *ctePlanck*cLum*\[CapitalGamma]2S1halfTo2P3halfRb87/(3 * \[Lambda]2S1halfTo2P3halfRb87^3);

a0F1Rb87 = 101.8 * aB; (* +/- 0.2 *)  (* 2006 New J.Phys.8 152 *)
a2F1Rb87 = 100.4 * aB; (* +/- 0.1 *)
a0F2Rb87 = 87.93 * aB;(* +/- 0.2 *)
a2F2Rb87 = 91.28* aB;(* +/- 0.2 *)
a4F2Rb87 = 98.98 * aB;(* +/- 0.2 *)
aRb85 = -388 * aB;

(* Land\[EAcute] Factor *)

gSRb87 = 2.0023193043622;
gLRb87 = 0.99999369;
gIRb87 = \[Minus]0.0009951414;

gJ2S1HalfRb87 = 2;
gF1For2S1HalfRb87 = -1/2;
gF2For2S1HalfRb87 = 1/2;

gJ2P3HalfRb87 = 4/3;
gJ2P3HalfRb87Exp = 1.3362;
gF0For2P3HalfRb87 =0;
gF1For2P3HalfRb87 = 2/3;
gF2For2P3HalfRb87 = 2/3;
gF3For2P3HalfRb87 = 2/3;

gJ2P1HalfRb87 = 2/3;
gJ2P1HalfRb87Exp = 0.666;
gF1For2P1HalfRb87 = -1/6;
gF2For2P1HalfRb87 = 1/6;

AA2S1halfRb = 3.417341305452145 * 10^9; (* Magnetic dipole constant, in Hz *)
AA2P1halfRb = 407.24 * 10^6; 
AA2P3halfRb = 84.7185 * 10^6; 
BB2P3halfRb = 12.4965* 10^6; (* Electric quadrupole constant, in Hz *)

\[CapitalDelta]HFS87 = 6834682610.904290; (* Hz *) 


EndPackage[];
