(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     29469,        726]
NotebookOptionsPosition[     28274,        682]
NotebookOutlinePosition[     28616,        697]
CellTagsIndexPosition[     28573,        694]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
   "SetDirectory", "[", "\"\<C:\\\\SrBEC\\\\Mathematica\\\\\>\"", "]"}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "change", " ", "folder", " ", "location", " ", "to", " ", "find", " ", 
    "the", " ", "right", " ", "packages"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ComputerArithmetic`"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "SetDirectory", "[", 
     "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
   " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LaunchKernels", "[", "4", "]"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "put", " ", "your", " ", "favorite", " ", "number", " ", "of", " ", 
    "kernels"}], " ", "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7286202174860296`*^9, 3.728620217703042*^9}, {
  3.728711424316966*^9, 3.728711424667986*^9}, {3.7318186909359274`*^9, 
  3.7318186914469566`*^9}, {3.7362219622568893`*^9, 3.736221963848092*^9}, {
  3.750685517644865*^9, 3.7506855815085177`*^9}, {3.751015397460146*^9, 
  3.751015405152586*^9}, {3.751686861017559*^9, 3.7516868614915867`*^9}, {
  3.7789356108208427`*^9, 3.778935614772069*^9}, {3.7809130088505454`*^9, 
  3.780913009292571*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]scat", " ", "=", " ", "\[Lambda]1S0to3P1"}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]scat", " ", "=", " ", "\[CapitalGamma]1S0to3P1"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Detuning", " ", "=", " ", 
    RowBox[{"2", "*", "Pi", "*", "0", "*", "177", "*", 
     RowBox[{"10", "^", "6"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", "Hz", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"waistBeam", " ", "=", " ", 
    RowBox[{"210.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], " ", ";"}], " ", 
  RowBox[{"(*", " ", "m", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerBeam", " ", "=", 
   RowBox[{"4.5", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}]}]}], " ", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerBeam", " ", "=", 
   RowBox[{"4.5", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}], " ", "*", " ", 
    RowBox[{"17", "/", "50"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PulseTime", "=", 
    RowBox[{"100", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kScat", " ", "=", " ", 
   RowBox[{"2", "*", 
    RowBox[{"Pi", "/", "\[Lambda]scat"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensitySat", " ", "=", 
   RowBox[{"IsatFun", "[", 
    RowBox[{"\[CapitalGamma]scat", ",", " ", "\[Lambda]scat"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensityBeam", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerBeam", ",", "waistBeam", ",", "waistBeam"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SatParam", "=", " ", 
   RowBox[{"(", 
    RowBox[{"IntensityBeam", "/", "IntensitySat"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScatRate", " ", "=", 
    RowBox[{"scatRateFun", "[", 
     RowBox[{
     "\[CapitalGamma]scat", ",", " ", "SatParam", ",", " ", "Detuning"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vInit", " ", "=", " ", "0.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"force", " ", "=", " ", 
   RowBox[{"ScatRate", " ", "*", " ", "hbarre", "*", "kScat"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"requiredTime", " ", "=", " ", 
   RowBox[{"mSr84", " ", "*", " ", 
    RowBox[{"vInit", "/", "force"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"requiredDist", " ", "=", 
    RowBox[{
     RowBox[{"vInit", "*", "requiredTime"}], " ", "-", "  ", 
     RowBox[{
      RowBox[{"force", "/", 
       RowBox[{"(", 
        RowBox[{"2", "*", "mSr84"}], ")"}]}], "*", 
      RowBox[{"requiredTime", "^", "2"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Red ZS\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation intensity : \>\"", ",", 
    RowBox[{"IntensitySat", "*", 
     RowBox[{"1000", "/", "10000"}]}], "  ", ",", " ", "\"\< mW/cm^2\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation parameter at resonance : \>\"", ",", "SatParam"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Scatering rate (Hz) : \>\"", ",", 
    RowBox[{
     RowBox[{"ScatRate", "/", "2"}], "/", "Pi"}], ",", "\"\<\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Required time for decceleration: \>\"", ",", 
   RowBox[{"requiredTime", "*", 
    RowBox[{"10", "^", "3"}]}], ",", "\"\< ms\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Fraction of atoms scaterred : \>\"", ",", 
    RowBox[{"ScatRate", "*", "requiredTime"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Distance for decceleration: \>\"", ",", 
   RowBox[{"requiredDist", "*", 
    RowBox[{"10", "^", "3"}]}], ",", "\"\< ms\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rough guide/ZS beam overlap distance: \>\"", ",", 
   RowBox[{
    RowBox[{"waistBeam", "/", 
     RowBox[{"Tan", "[", 
      RowBox[{
       RowBox[{"4.", "/", "180"}], "*", "Pi"}], "]"}]}], "*", 
    RowBox[{"10", "^", "3"}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.794908011435686*^9, 3.7949080339479733`*^9}, {
   3.794908077152445*^9, 3.79490825051236*^9}, {3.7949083263436975`*^9, 
   3.7949083638718443`*^9}, {3.7949085291852994`*^9, 
   3.7949085343245935`*^9}, {3.7949104200934534`*^9, 3.794910420766492*^9}, {
   3.794910529681721*^9, 3.794910536420107*^9}, {3.7949106664885464`*^9, 
   3.794910667484603*^9}, {3.794910742665903*^9, 3.7949107751247597`*^9}, {
   3.7949110448381863`*^9, 3.7949110848314743`*^9}, {3.794911161931884*^9, 
   3.7949111660541196`*^9}, {3.7949113111614194`*^9, 3.794911445982131*^9}, 
   3.7949115011022835`*^9, {3.7949115684191337`*^9, 3.794911795078098*^9}, {
   3.7949118321162167`*^9, 3.794911849206194*^9}, {3.7949121652512703`*^9, 
   3.7949121676704087`*^9}, {3.7949122215464907`*^9, 3.7949122549394007`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Red ZS\"\>"], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.794912255334423*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation intensity : \"\>", "\[InvisibleSpace]", 
   "0.002975208609955477`", "\[InvisibleSpace]", "\<\" mW/cm^2\"\>"}],
  SequenceForm["Saturation intensity : ", 0.002975208609955477, " mW/cm^2"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.7949122553374233`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation parameter at resonance : \"\>", "\[InvisibleSpace]",
    "0.7423616735705091`"}],
  SequenceForm["Saturation parameter at resonance : ", 0.7423616735705091],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.794912255340423*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scatering rate (Hz) : \"\>", "\[InvisibleSpace]", 
   "1589.2274746514872`", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["Scatering rate (Hz) : ", 1589.2274746514872`, ""],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.7949122553444233`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Required time for decceleration: \"\>", "\[InvisibleSpace]", 
   "2.9039610456506693`", "\[InvisibleSpace]", "\<\" ms\"\>"}],
  SequenceForm[
  "Required time for decceleration: ", 2.9039610456506693`, " ms"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.7949122553474236`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Fraction of atoms scaterred : \"\>", "\[InvisibleSpace]", 
   "28.99724375133604`"}],
  SequenceForm["Fraction of atoms scaterred : ", 28.99724375133604],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.794912255351424*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Distance for decceleration: \"\>", "\[InvisibleSpace]", 
   "0.2903961045650668`", "\[InvisibleSpace]", "\<\" ms\"\>"}],
  SequenceForm["Distance for decceleration: ", 0.2903961045650668, " ms"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.794912255354424*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rough guide/ZS beam overlap distance: \"\>", 
   "\[InvisibleSpace]", "3.0031399139095045`", 
   "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rough guide/ZS beam overlap distance: ", 3.0031399139095045`, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.7949122553574247`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]scat", " ", "=", " ", "\[Lambda]1S0to3P1"}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]scat", " ", "=", " ", "\[CapitalGamma]1S0to3P1"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Detuning", " ", "=", " ", 
    RowBox[{"2", "*", "Pi", "*", "0", "*", "177", "*", 
     RowBox[{"10", "^", "6"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", "Hz", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"waistBeam", " ", "=", " ", 
    RowBox[{"100.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], " ", ";"}], " ", 
  RowBox[{"(*", " ", "m", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerBeam", " ", "=", 
   RowBox[{"10.3", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}]}]}], " ", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerBeam", " ", "=", 
    RowBox[{"10.3", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}], " ", "*", " ", 
     RowBox[{"17", "/", "20"}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"accounting", " ", "for", " ", "detuning"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kScat", " ", "=", " ", 
   RowBox[{"2", "*", 
    RowBox[{"Pi", "/", "\[Lambda]scat"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensitySat", " ", "=", 
   RowBox[{"IsatFun", "[", 
    RowBox[{"\[CapitalGamma]scat", ",", " ", "\[Lambda]scat"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensityBeam", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerBeam", ",", "waistBeam", ",", "waistBeam"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SatParam", "=", " ", 
   RowBox[{"(", 
    RowBox[{"IntensityBeam", "/", "IntensitySat"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScatRate", " ", "=", 
    RowBox[{"scatRateFun", "[", 
     RowBox[{
     "\[CapitalGamma]scat", ",", " ", "SatParam", ",", " ", "Detuning"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Z in trap cooling (counter)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation intensity : \>\"", ",", 
    RowBox[{"IntensitySat", "*", 
     RowBox[{"1000", "/", "10000"}]}], "  ", ",", " ", "\"\< mW/cm^2\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation parameter at resonance : \>\"", ",", "SatParam"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Scatering rate (Hz) : \>\"", ",", 
    RowBox[{
     RowBox[{"ScatRate", "/", "2"}], "/", "Pi"}], ",", "\"\<\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.794908011435686*^9, 3.7949080339479733`*^9}, {
   3.794908077152445*^9, 3.79490825051236*^9}, {3.7949083263436975`*^9, 
   3.7949083638718443`*^9}, {3.7949085291852994`*^9, 
   3.7949085343245935`*^9}, {3.7949104200934534`*^9, 3.794910420766492*^9}, {
   3.794910529681721*^9, 3.794910536420107*^9}, {3.7949106664885464`*^9, 
   3.794910667484603*^9}, {3.794910742665903*^9, 3.7949107751247597`*^9}, {
   3.7949110448381863`*^9, 3.7949110848314743`*^9}, {3.794911161931884*^9, 
   3.7949111660541196`*^9}, {3.7949113111614194`*^9, 3.794911445982131*^9}, 
   3.7949115011022835`*^9, {3.7949115684191337`*^9, 3.794911795078098*^9}, {
   3.7949118321162167`*^9, 3.794911849206194*^9}, {3.7949121652512703`*^9, 
   3.7949121676704087`*^9}, {3.7949122215464907`*^9, 
   3.7949122549394007`*^9}, {3.7952569700692964`*^9, 
   3.7952570621225615`*^9}, {3.795257094493413*^9, 3.795257094678424*^9}, {
   3.795257125347178*^9, 3.7952571319905577`*^9}, {3.7952655274117484`*^9, 
   3.7952655280587854`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Z in trap cooling (counter)\"\>"], "Print",
 CellChangeTimes->{
  3.7952569973998594`*^9, {3.7952571105693326`*^9, 3.795257132653596*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation intensity : \"\>", "\[InvisibleSpace]", 
   "0.002975208609955477`", "\[InvisibleSpace]", "\<\" mW/cm^2\"\>"}],
  SequenceForm["Saturation intensity : ", 0.002975208609955477, " mW/cm^2"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7952569973998594`*^9, {3.7952571105693326`*^9, 3.795257132656596*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation parameter at resonance : \"\>", "\[InvisibleSpace]",
    "18.733496832551797`"}],
  SequenceForm["Saturation parameter at resonance : ", 18.733496832551797`],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7952569973998594`*^9, {3.7952571105693326`*^9, 3.795257132658596*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scatering rate (Hz) : \"\>", "\[InvisibleSpace]", 
   "3540.9812958316083`", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["Scatering rate (Hz) : ", 3540.9812958316083`, ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7952569973998594`*^9, {3.7952571105693326`*^9, 3.795257132659596*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]scat", " ", "=", " ", "\[Lambda]1S0to3P1"}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]scat", " ", "=", " ", "\[CapitalGamma]1S0to3P1"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Detuning", " ", "=", " ", 
    RowBox[{"2", "*", "Pi", "*", "0", "*", "177", "*", 
     RowBox[{"10", "^", "6"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", "Hz", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"waistBeamRetroYITC", " ", "=", " ", 
    RowBox[{"25.4", "*", 
     RowBox[{"1.5", "/", "2"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], " ", ";"}], " ", 
  RowBox[{"(*", " ", "m", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerBeamRetroYITC", " ", "=", 
   RowBox[{"0.16", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"waistBeamProtoYITC", " ", "=", " ", 
    RowBox[{
     RowBox[{"36.", "/", "2"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], " ", ";"}], " ", 
  RowBox[{"(*", " ", "m", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerBeamProtoYITC", " ", "=", 
    RowBox[{"3.51", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], " ", ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"waistBeamXITC", " ", "=", " ", 
    RowBox[{
     RowBox[{"28.8", "/", "2"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], " ", ";"}], " ", 
  RowBox[{"(*", " ", "m", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerBeamXITC", " ", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.78", "+", "0.73"}], ")"}], " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerBeam", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "PowerBeamRetroYITC", ",", "PowerBeamProtoYITC", ",", "PowerBeamXITC"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"waistBeam", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "waistBeamRetroYITC", ",", "waistBeamProtoYITC", ",", "waistBeamXITC"}], 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kScat", " ", "=", " ", 
   RowBox[{"2", "*", 
    RowBox[{"Pi", "/", "\[Lambda]scat"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensitySat", " ", "=", 
   RowBox[{"IsatFun", "[", 
    RowBox[{"\[CapitalGamma]scat", ",", " ", "\[Lambda]scat"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensityBeam", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerBeam", ",", "waistBeam", ",", "waistBeam"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SatParam", "=", " ", 
   RowBox[{"(", 
    RowBox[{"IntensityBeam", "/", "IntensitySat"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScatRate", " ", "=", 
    RowBox[{"scatRateFun", "[", 
     RowBox[{
     "\[CapitalGamma]scat", ",", " ", "SatParam", ",", " ", "Detuning"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Retro Y-ITC / Proto Y-ITC / X-ITC\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation intensity : \>\"", ",", 
    RowBox[{"IntensitySat", "*", 
     RowBox[{"1000", "/", "10000"}]}], "  ", ",", " ", "\"\< mW/cm^2\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Saturation parameter at resonance : \>\"", ",", "SatParam", ",", 
    "\"\< for a total of: \>\"", ",", 
    RowBox[{"Total", "[", "SatParam", "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Scatering rate (Hz) : \>\"", ",", 
    RowBox[{
     RowBox[{"ScatRate", "/", "2"}], "/", "Pi"}], ",", "\"\<\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.794908011435686*^9, 3.7949080339479733`*^9}, {
   3.794908077152445*^9, 3.79490825051236*^9}, {3.7949083263436975`*^9, 
   3.7949083638718443`*^9}, {3.7949085291852994`*^9, 
   3.7949085343245935`*^9}, {3.7949104200934534`*^9, 3.794910420766492*^9}, {
   3.794910529681721*^9, 3.794910536420107*^9}, {3.7949106664885464`*^9, 
   3.794910667484603*^9}, {3.794910742665903*^9, 3.7949107751247597`*^9}, {
   3.7949110448381863`*^9, 3.7949110848314743`*^9}, {3.794911161931884*^9, 
   3.7949111660541196`*^9}, {3.7949113111614194`*^9, 3.794911445982131*^9}, 
   3.7949115011022835`*^9, {3.7949115684191337`*^9, 3.794911795078098*^9}, {
   3.7949118321162167`*^9, 3.794911849206194*^9}, {3.7949121652512703`*^9, 
   3.7949121676704087`*^9}, {3.7949122215464907`*^9, 
   3.7949122549394007`*^9}, {3.7952569700692964`*^9, 
   3.7952570621225615`*^9}, {3.795257094493413*^9, 3.795257094678424*^9}, {
   3.795257125347178*^9, 3.7952571319905577`*^9}, {3.795264901129927*^9, 
   3.795264934661845*^9}, {3.795264964713564*^9, 3.7952650507034826`*^9}, {
   3.7952650816842546`*^9, 3.7952651369284143`*^9}, {3.7952651937566643`*^9, 
   3.7952652157689238`*^9}, {3.795265249766868*^9, 3.795265333941683*^9}, {
   3.7952654891005573`*^9, 3.7952655097857404`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Retro Y-ITC / Proto Y-ITC / X-ITC\"\>"], "Print",
 CellChangeTimes->{
  3.795264917108841*^9, 3.795265292902335*^9, 3.795265334696726*^9, 
   3.795265441805852*^9, {3.795265500953235*^9, 3.795265513298941*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation intensity : \"\>", "\[InvisibleSpace]", 
   "0.002975208609955477`", "\[InvisibleSpace]", "\<\" mW/cm^2\"\>"}],
  SequenceForm["Saturation intensity : ", 0.002975208609955477, " mW/cm^2"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795264917108841*^9, 3.795265292902335*^9, 3.795265334696726*^9, 
   3.795265441805852*^9, {3.795265500953235*^9, 3.7952655133019414`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation parameter at resonance : \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.009433931607448914`", ",", "0.23180607160020295`", ",", 
     "0.1558169373737119`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" for a total of: \"\>", "\[InvisibleSpace]", 
   "0.39705694058136376`"}],
  SequenceForm[
  "Saturation parameter at resonance : ", {0.009433931607448914, 
   0.23180607160020295`, 0.1558169373737119}, " for a total of: ", 
   0.39705694058136376`],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795264917108841*^9, 3.795265292902335*^9, 3.795265334696726*^9, 
   3.795265441805852*^9, {3.795265500953235*^9, 3.7952655133039417`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scatering rate (Hz) : \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "34.859700861996245`", ",", "701.925950036545`", ",", 
     "502.8453534558528`"}], "}"}], "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "Scatering rate (Hz) : ", {34.859700861996245`, 701.925950036545, 
   502.8453534558528}, ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795264917108841*^9, 3.795265292902335*^9, 3.795265334696726*^9, 
   3.795265441805852*^9, {3.795265500953235*^9, 3.7952655133059416`*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1350, 696},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1818, 43, 252, "Input"],
Cell[CellGroupData[{
Cell[2401, 67, 5483, 141, 592, "Input"],
Cell[CellGroupData[{
Cell[7909, 212, 728, 10, 23, "Print"],
Cell[8640, 224, 968, 15, 23, "Print"],
Cell[9611, 241, 935, 15, 23, "Print"],
Cell[10549, 258, 947, 15, 23, "Print"],
Cell[11499, 275, 978, 16, 23, "Print"],
Cell[12480, 293, 921, 15, 23, "Print"],
Cell[13404, 310, 962, 15, 23, "Print"],
Cell[14369, 327, 992, 17, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15410, 350, 3998, 97, 412, "Input"],
Cell[CellGroupData[{
Cell[19433, 451, 156, 2, 23, "Print"],
Cell[19592, 455, 373, 7, 23, "Print"],
Cell[19968, 464, 343, 7, 23, "Print"],
Cell[20314, 473, 352, 7, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[20715, 486, 5545, 142, 512, "Input"],
Cell[CellGroupData[{
Cell[26285, 632, 228, 3, 23, "Print"],
Cell[26516, 637, 441, 8, 23, "Print"],
Cell[26960, 647, 718, 16, 23, "Print"],
Cell[27681, 665, 565, 13, 23, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
