(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     33119,        824]
NotebookOptionsPosition[     31577,        769]
NotebookOutlinePosition[     31919,        784]
CellTagsIndexPosition[     31876,        781]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
   "SetDirectory", "[", "\"\<C:\\\\SrBEC\\\\Mathematica\\\\\>\"", "]"}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "change", " ", "folder", " ", "location", " ", "to", " ", "find", " ", 
    "the", " ", "right", " ", "packages"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ComputerArithmetic`"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "SetDirectory", "[", 
     "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
   " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LaunchKernels", "[", "4", "]"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "put", " ", "your", " ", "favorite", " ", "number", " ", "of", " ", 
    "kernels"}], " ", "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7286202174860296`*^9, 3.728620217703042*^9}, {
  3.728711424316966*^9, 3.728711424667986*^9}, {3.7318186909359274`*^9, 
  3.7318186914469566`*^9}, {3.7362219622568893`*^9, 3.736221963848092*^9}, {
  3.750685517644865*^9, 3.7506855815085177`*^9}, {3.751015397460146*^9, 
  3.751015405152586*^9}, {3.751686861017559*^9, 3.7516868614915867`*^9}, {
  3.7789356108208427`*^9, 3.778935614772069*^9}, {3.7809130088505454`*^9, 
  3.780913009292571*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]scat", " ", "=", " ", "\[Lambda]1S0to3P1"}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]scat", " ", "=", " ", "\[CapitalGamma]1S0to3P1"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Detuning", " ", "=", " ", 
    RowBox[{"2", "*", "Pi", "*", "0", "*", "177", "*", 
     RowBox[{"10", "^", "6"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", "Hz", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"waistBeam", " ", "=", " ", 
    RowBox[{"210.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], " ", ";"}], " ", 
  RowBox[{"(*", " ", "m", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerBeam", " ", "=", 
   RowBox[{"4.5", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}]}]}], " ", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerBeam", " ", "=", 
   RowBox[{"4.5", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}], " ", "*", " ", 
    RowBox[{"17", "/", "50"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PulseTime", "=", 
    RowBox[{"100", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kScat", " ", "=", " ", 
   RowBox[{"2", "*", 
    RowBox[{"Pi", "/", "\[Lambda]scat"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensitySat", " ", "=", 
   RowBox[{"IsatFun", "[", 
    RowBox[{"\[CapitalGamma]scat", ",", " ", "\[Lambda]scat"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensityBeam", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerBeam", ",", "waistBeam", ",", "waistBeam"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SatParam", "=", " ", 
   RowBox[{"(", 
    RowBox[{"IntensityBeam", "/", "IntensitySat"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScatRate", " ", "=", 
    RowBox[{"scatRateFun", "[", 
     RowBox[{
     "\[CapitalGamma]scat", ",", " ", "SatParam", ",", " ", "Detuning"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vInit", " ", "=", " ", "0.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"force", " ", "=", " ", 
   RowBox[{"ScatRate", " ", "*", " ", "hbarre", "*", "kScat"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"requiredTime", " ", "=", " ", 
   RowBox[{"mSr84", " ", "*", " ", 
    RowBox[{"vInit", "/", "force"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"requiredDist", " ", "=", 
    RowBox[{
     RowBox[{"vInit", "*", "requiredTime"}], " ", "-", "  ", 
     RowBox[{
      RowBox[{"force", "/", 
       RowBox[{"(", 
        RowBox[{"2", "*", "mSr84"}], ")"}]}], "*", 
      RowBox[{"requiredTime", "^", "2"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Red ZS\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation intensity : \>\"", ",", 
    RowBox[{"IntensitySat", "*", 
     RowBox[{"1000", "/", "10000"}]}], "  ", ",", " ", "\"\< mW/cm^2\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation parameter at resonance : \>\"", ",", "SatParam"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Scatering rate (Hz) : \>\"", ",", 
    RowBox[{
     RowBox[{"ScatRate", "/", "2"}], "/", "Pi"}], ",", "\"\<\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Required time for decceleration: \>\"", ",", 
   RowBox[{"requiredTime", "*", 
    RowBox[{"10", "^", "3"}]}], ",", "\"\< ms\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Fraction of atoms scaterred : \>\"", ",", 
    RowBox[{"ScatRate", "*", "requiredTime"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Distance for decceleration: \>\"", ",", 
   RowBox[{"requiredDist", "*", 
    RowBox[{"10", "^", "3"}]}], ",", "\"\< ms\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rough guide/ZS beam overlap distance: \>\"", ",", 
   RowBox[{
    RowBox[{"waistBeam", "/", 
     RowBox[{"Tan", "[", 
      RowBox[{
       RowBox[{"4.", "/", "180"}], "*", "Pi"}], "]"}]}], "*", 
    RowBox[{"10", "^", "3"}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.794908011435686*^9, 3.7949080339479733`*^9}, {
   3.794908077152445*^9, 3.79490825051236*^9}, {3.7949083263436975`*^9, 
   3.7949083638718443`*^9}, {3.7949085291852994`*^9, 
   3.7949085343245935`*^9}, {3.7949104200934534`*^9, 3.794910420766492*^9}, {
   3.794910529681721*^9, 3.794910536420107*^9}, {3.7949106664885464`*^9, 
   3.794910667484603*^9}, {3.794910742665903*^9, 3.7949107751247597`*^9}, {
   3.7949110448381863`*^9, 3.7949110848314743`*^9}, {3.794911161931884*^9, 
   3.7949111660541196`*^9}, {3.7949113111614194`*^9, 3.794911445982131*^9}, 
   3.7949115011022835`*^9, {3.7949115684191337`*^9, 3.794911795078098*^9}, {
   3.7949118321162167`*^9, 3.794911849206194*^9}, {3.7949121652512703`*^9, 
   3.7949121676704087`*^9}, {3.7949122215464907`*^9, 3.7949122549394007`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Red ZS\"\>"], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.794912255334423*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation intensity : \"\>", "\[InvisibleSpace]", 
   "0.002975208609955477`", "\[InvisibleSpace]", "\<\" mW/cm^2\"\>"}],
  SequenceForm["Saturation intensity : ", 0.002975208609955477, " mW/cm^2"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.7949122553374233`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation parameter at resonance : \"\>", "\[InvisibleSpace]",
    "0.7423616735705091`"}],
  SequenceForm["Saturation parameter at resonance : ", 0.7423616735705091],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.794912255340423*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scatering rate (Hz) : \"\>", "\[InvisibleSpace]", 
   "1589.2274746514872`", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["Scatering rate (Hz) : ", 1589.2274746514872`, ""],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.7949122553444233`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Required time for decceleration: \"\>", "\[InvisibleSpace]", 
   "2.9039610456506693`", "\[InvisibleSpace]", "\<\" ms\"\>"}],
  SequenceForm[
  "Required time for decceleration: ", 2.9039610456506693`, " ms"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.7949122553474236`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Fraction of atoms scaterred : \"\>", "\[InvisibleSpace]", 
   "28.99724375133604`"}],
  SequenceForm["Fraction of atoms scaterred : ", 28.99724375133604],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.794912255351424*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Distance for decceleration: \"\>", "\[InvisibleSpace]", 
   "0.2903961045650668`", "\[InvisibleSpace]", "\<\" ms\"\>"}],
  SequenceForm["Distance for decceleration: ", 0.2903961045650668, " ms"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.794912255354424*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rough guide/ZS beam overlap distance: \"\>", 
   "\[InvisibleSpace]", "3.0031399139095045`", 
   "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rough guide/ZS beam overlap distance: ", 3.0031399139095045`, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.7949122553574247`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"a", " ", "=", " ", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"Max", "[", 
     RowBox[{"0", ",", 
      RowBox[{"1", "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"r", "/", "7"}], ")"}], "^", "2"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"y", "/", "R1"}], ")"}], "^", "2"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
    RowBox[{"Assumptions", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"R1", ">", "0"}], "}"}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", "a", "]"}]}], "Input",
 CellChangeTimes->{{3.8003688764375095`*^9, 3.8003689564120836`*^9}, {
   3.8003690043698263`*^9, 3.800369029689275*^9}, {3.8003690718116837`*^9, 
   3.800369188765373*^9}, 3.800369255308179*^9, {3.800369288155058*^9, 
   3.8003692999367323`*^9}, {3.800369526038664*^9, 3.8003695265646944`*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"\[Piecewise]", GridBox[{
       {
        RowBox[{"-", 
         FractionBox[
          RowBox[{"4", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "49"}], " ", 
              SqrtBox[
               RowBox[{"49", "-", 
                SuperscriptBox["r", "2"]}]], " ", "R1"}], "+", 
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              SqrtBox[
               RowBox[{"49", "-", 
                SuperscriptBox["r", "2"]}]], " ", "R1"}]}], ")"}]}], 
          "1029"]}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "7"}], "<", "r", "<", "7"}], "&&", 
         RowBox[{"R1", ">", "0"}]}]},
       {"0", 
        TagBox["True",
         "PiecewiseDefault",
         AutoDelete->True]}
      },
      AllowedDimensions->{2, Automatic},
      Editable->True,
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{
       "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.84]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}},
      Selectable->True]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxItemSize->{
    "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.35]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  "Piecewise",
  DeleteWithContents->True,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.8003689632974772`*^9, {3.800369061834113*^9, 3.800369104562557*^9}, {
   3.8003691408976355`*^9, 3.8003691712273703`*^9}, 3.800369244013533*^9, 
   3.8003693022668653`*^9, 3.800369528952831*^9, 3.800370183787285*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"\[Piecewise]", GridBox[{
       {
        FractionBox[
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"49", "-", 
             SuperscriptBox["r", "2"]}], ")"}], 
           RowBox[{"3", "/", "2"}]], " ", "R1"}], "1029"], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "7"}], "<", "r", "<", "7"}], "&&", 
         RowBox[{"R1", ">", "0"}]}]},
       {"0", 
        TagBox["True",
         "PiecewiseDefault",
         AutoDelete->True]}
      },
      AllowedDimensions->{2, Automatic},
      Editable->True,
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{
       "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.84]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}},
      Selectable->True]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxItemSize->{
    "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.35]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  "Piecewise",
  DeleteWithContents->True,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.8003689632974772`*^9, {3.800369061834113*^9, 3.800369104562557*^9}, {
   3.8003691408976355`*^9, 3.8003691712273703`*^9}, 3.800369244013533*^9, 
   3.8003693022668653`*^9, 3.800369528952831*^9, 3.800370183797286*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"49", "^", 
   RowBox[{"(", 
    RowBox[{"3", "/", "2"}], ")"}]}], "/", "1029"}]], "Input",
 CellChangeTimes->{{3.800369393939109*^9, 3.800369413749242*^9}, {
  3.8003695320880103`*^9, 3.800369545513778*^9}, {3.8003701783049717`*^9, 
  3.8003701784939823`*^9}}],

Cell[BoxData[
 FractionBox["1", "3"]], "Output",
 CellChangeTimes->{{3.8003694003894777`*^9, 3.800369414044258*^9}, {
   3.800369532756048*^9, 3.8003695458707986`*^9}, 3.800370185041357*^9}]
}, Open  ]],

Cell["\<\
Form onenote : 20191126 - SSBEC - Transparency beam debuggging (lineshift \
measurement)\
\>", "Text",
 CellChangeTimes->{{3.801218302959066*^9, 3.8012183405192137`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Bx", " ", "=", " ", "0.05"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"By", " ", "=", " ", "0.419"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bz", " ", "=", " ", "0.736"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Theta]WithYAxis", " ", "=", " ", 
   RowBox[{
    RowBox[{"ArcCos", "[", 
     RowBox[{"By", "/", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Bx", "^", "2."}], "+", 
        RowBox[{"By", "^", "2."}], "+", 
        RowBox[{"Bz", "^", "2."}]}], "]"}]}], "]"}], "*", 
    RowBox[{"180", "/", "Pi"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BfieldAmp", " ", "=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"0.05", "^", "2"}], "+", 
     RowBox[{"0.419", "^", "2"}], "+", 
     RowBox[{"0.736", "^", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Bfield amplitude at the reservoir location: \>\"", ",", "BfieldAmp", 
   ",", " ", "\"\< Gauss\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Zeeman shift: \>\"", ",", 
    RowBox[{
     RowBox[{"3", "/", "2"}], "*", "\[Mu]B", " ", "*", 
     RowBox[{
      RowBox[{
       RowBox[{"BfieldAmp", "/", 
        RowBox[{"10", "^", "4"}]}], "/", "ctePlanck"}], " ", "/", " ", 
      RowBox[{"10", "^", "6"}]}]}], ",", " ", "\"\< MHz\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"minZeeShift", " ", "=", " ", 
    RowBox[{"4.42", " ", "*", 
     RowBox[{"10", "^", "6"}]}]}], ";", " ", 
   RowBox[{"(*", " ", "Hz", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ratio", " ", "=", " ", 
    RowBox[{"minZeeShift", "/", 
     RowBox[{"(", 
      RowBox[{"\[CapitalGamma]1S0to3P1", "/", 
       RowBox[{"(", 
        RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Minimun Zeeman shift for all mF state: \>\"", ",", 
   RowBox[{"minZeeShift", "/", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\< MHz\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Same value expressed in terms of the 1S0-3P1 linewidth: \>\"", ",", 
   "ratio"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Angle of the Bfield with the y axis: \>\"", ",", "\[Theta]WithYAxis", 
   ",", "\"\< \[Degree]\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.801218224949604*^9, 3.8012182978007708`*^9}, {
  3.8012186681009507`*^9, 3.8012188589928694`*^9}, {3.8012188892235985`*^9, 
  3.801218893432839*^9}, {3.801219168536574*^9, 3.801219173172839*^9}, {
  3.8012967270099773`*^9, 3.801296847090846*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Bfield amplitude at the reservoir location: \"\>", 
   "\[InvisibleSpace]", "0.8483849362170452`", 
   "\[InvisibleSpace]", "\<\" Gauss\"\>"}],
  SequenceForm[
  "Bfield amplitude at the reservoir location: ", 0.8483849362170452, 
   " Gauss"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.801218263815827*^9, 3.801218298334801*^9}, 
   3.8012187257382474`*^9, {3.801218762042324*^9, 3.801218785857686*^9}, {
   3.8012188343044567`*^9, 3.8012188942288847`*^9}, {3.8012191572399282`*^9, 
   3.801219173803875*^9}, {3.8012968016962495`*^9, 3.8012968474978695`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Zeeman shift: \"\>", "\[InvisibleSpace]", 
   "1.7811304889148951`", "\[InvisibleSpace]", "\<\" MHz\"\>"}],
  SequenceForm["Zeeman shift: ", 1.7811304889148951`, " MHz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.801218263815827*^9, 3.801218298334801*^9}, 
   3.8012187257382474`*^9, {3.801218762042324*^9, 3.801218785857686*^9}, {
   3.8012188343044567`*^9, 3.8012188942288847`*^9}, {3.8012191572399282`*^9, 
   3.801219173803875*^9}, {3.8012968016962495`*^9, 3.8012968474998693`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Minimun Zeeman shift for all mF state: \"\>", 
   "\[InvisibleSpace]", "4.42`", "\[InvisibleSpace]", "\<\" MHz\"\>"}],
  SequenceForm["Minimun Zeeman shift for all mF state: ", 4.42, " MHz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.801218263815827*^9, 3.801218298334801*^9}, 
   3.8012187257382474`*^9, {3.801218762042324*^9, 3.801218785857686*^9}, {
   3.8012188343044567`*^9, 3.8012188942288847`*^9}, {3.8012191572399282`*^9, 
   3.801219173803875*^9}, {3.8012968016962495`*^9, 3.801296847501869*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Same value expressed in terms of the 1S0-3P1 linewidth: \"\>", 
   "\[InvisibleSpace]", "590.9090909090908`"}],
  SequenceForm[
  "Same value expressed in terms of the 1S0-3P1 linewidth: ", 
   590.9090909090908],
  Editable->False]], "Print",
 CellChangeTimes->{{3.801218263815827*^9, 3.801218298334801*^9}, 
   3.8012187257382474`*^9, {3.801218762042324*^9, 3.801218785857686*^9}, {
   3.8012188343044567`*^9, 3.8012188942288847`*^9}, {3.8012191572399282`*^9, 
   3.801219173803875*^9}, {3.8012968016962495`*^9, 3.801296847503869*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Angle of the Bfield with the y axis: \"\>", 
   "\[InvisibleSpace]", "60.40410400796828`", 
   "\[InvisibleSpace]", "\<\" \[Degree]\"\>"}],
  SequenceForm[
  "Angle of the Bfield with the y axis: ", 60.40410400796828, " \[Degree]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.801218263815827*^9, 3.801218298334801*^9}, 
   3.8012187257382474`*^9, {3.801218762042324*^9, 3.801218785857686*^9}, {
   3.8012188343044567`*^9, 3.8012188942288847`*^9}, {3.8012191572399282`*^9, 
   3.801219173803875*^9}, {3.8012968016962495`*^9, 3.80129684750587*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]scat", " ", "=", " ", "\[Lambda]1S0to3P1"}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]scat", " ", "=", " ", "\[CapitalGamma]1S0to3P1"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Detuning", " ", "=", " ", 
    RowBox[{"2", "*", "Pi", "*", "70", "*", 
     RowBox[{"10", "^", "3"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", "Hz", " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SatParam", "=", " ", "0.4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScatRate", " ", "=", 
    RowBox[{"scatRateFun", "[", 
     RowBox[{
     "\[CapitalGamma]scat", ",", " ", "SatParam", ",", " ", "Detuning"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Lifetime BEC without transparency\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation parameter at resonance : \>\"", ",", "SatParam"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Scattering rate : \>\"", ",", 
    RowBox[{
     RowBox[{"ScatRate", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], "]"}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Lifetime of BEC without transparency beam, due to scattering from \
radial molasses on \[Pi] transition: \>\"", ",", 
   RowBox[{
    RowBox[{"1", "/", "ScatRate"}], "*", 
    RowBox[{"10", "^", "3"}]}], ",", "\"\< ms\>\""}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.794908011435686*^9, 3.7949080339479733`*^9}, {
   3.794908077152445*^9, 3.79490825051236*^9}, {3.7949083263436975`*^9, 
   3.7949083638718443`*^9}, {3.7949085291852994`*^9, 
   3.7949085343245935`*^9}, {3.7949104200934534`*^9, 3.794910420766492*^9}, {
   3.794910529681721*^9, 3.794910536420107*^9}, {3.7949106664885464`*^9, 
   3.794910667484603*^9}, {3.794910742665903*^9, 3.7949107751247597`*^9}, {
   3.7949110448381863`*^9, 3.7949110848314743`*^9}, {3.794911161931884*^9, 
   3.7949111660541196`*^9}, {3.7949113111614194`*^9, 3.794911445982131*^9}, 
   3.7949115011022835`*^9, {3.7949115684191337`*^9, 3.794911795078098*^9}, {
   3.7949118321162167`*^9, 3.794911849206194*^9}, {3.7949121652512703`*^9, 
   3.7949121676704087`*^9}, {3.7949122215464907`*^9, 
   3.7949122549394007`*^9}, {3.8056536113909054`*^9, 3.80565377144906*^9}, 
   3.805653833810627*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Lifetime BEC without transparency\"\>"], "Print",
 CellChangeTimes->{{3.805653639365505*^9, 3.8056536494380813`*^9}, {
   3.8056537240623493`*^9, 3.805653727670556*^9}, 3.8056537603884273`*^9, 
   3.8056537912371917`*^9, 3.8056538343536577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation parameter at resonance : \"\>", "\[InvisibleSpace]",
    "0.4`"}],
  SequenceForm["Saturation parameter at resonance : ", 0.4],
  Editable->False]], "Print",
 CellChangeTimes->{{3.805653639365505*^9, 3.8056536494380813`*^9}, {
   3.8056537240623493`*^9, 3.805653727670556*^9}, 3.8056537603884273`*^9, 
   3.8056537912371917`*^9, 3.805653834357658*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate : \"\>", "\[InvisibleSpace]", 
   "4.25350098397778`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Scattering rate : ", 4.25350098397778, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.805653639365505*^9, 3.8056536494380813`*^9}, {
   3.8056537240623493`*^9, 3.805653727670556*^9}, 3.8056537603884273`*^9, 
   3.8056537912371917`*^9, 3.805653834360658*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lifetime of BEC without transparency beam, due to scattering \
from radial molasses on \[Pi] transition: \"\>", "\[InvisibleSpace]", 
   "37.41739891242653`", "\[InvisibleSpace]", "\<\" ms\"\>"}],
  SequenceForm[
  "Lifetime of BEC without transparency beam, due to scattering from radial \
molasses on \[Pi] transition: ", 37.41739891242653, " ms"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.805653639365505*^9, 3.8056536494380813`*^9}, {
   3.8056537240623493`*^9, 3.805653727670556*^9}, 3.8056537603884273`*^9, 
   3.8056537912371917`*^9, 3.8056538343626585`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1350, 696},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1818, 43, 252, "Input"],
Cell[CellGroupData[{
Cell[2401, 67, 5483, 141, 592, "Input"],
Cell[CellGroupData[{
Cell[7909, 212, 728, 10, 23, "Print"],
Cell[8640, 224, 968, 15, 23, "Print"],
Cell[9611, 241, 935, 15, 23, "Print"],
Cell[10549, 258, 947, 15, 23, "Print"],
Cell[11499, 275, 978, 16, 23, "Print"],
Cell[12480, 293, 921, 15, 23, "Print"],
Cell[13404, 310, 962, 15, 23, "Print"],
Cell[14369, 327, 992, 17, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15410, 350, 957, 23, 52, "Input"],
Cell[16370, 375, 2348, 67, 66, "Output"],
Cell[18721, 444, 2067, 58, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20825, 507, 295, 7, 31, "Input"],
Cell[21123, 516, 190, 3, 46, "Output"]
}, Open  ]],
Cell[21328, 522, 180, 4, 30, "Text"],
Cell[CellGroupData[{
Cell[21533, 530, 2723, 69, 292, "Input"],
Cell[CellGroupData[{
Cell[24281, 603, 619, 12, 23, "Print"],
Cell[24903, 617, 545, 9, 23, "Print"],
Cell[25451, 628, 564, 9, 23, "Print"],
Cell[26018, 639, 586, 11, 23, "Print"],
Cell[26607, 652, 604, 11, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[27260, 669, 2512, 56, 272, "Input"],
Cell[CellGroupData[{
Cell[29797, 729, 263, 3, 23, "Print"],
Cell[30063, 734, 411, 8, 23, "Print"],
Cell[30477, 744, 444, 8, 23, "Print"],
Cell[30924, 754, 625, 11, 23, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
