(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    413112,       8717]
NotebookOptionsPosition[    408798,       8573]
NotebookOutlinePosition[    409163,       8589]
CellTagsIndexPosition[    409120,       8586]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SetDirectory", "[", "\"\<C:\\\\SrBEC\\\\Mathematica\>\"", "]"}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "change", " ", "folder", " ", "location", " ", "to", " ", "find", " ", 
    "the", " ", "right", " ", "packages"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ComputerArithmetic`"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "SetDirectory", "[", 
     "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
   " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"LaunchKernels", "[", "4", "]"}], ";"}], "*)"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "put", " ", "your", " ", "favorite", " ", "number", " ", "of", " ", 
    "kernels"}], " ", "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7286202174860296`*^9, 3.728620217703042*^9}, {
   3.728711424316966*^9, 3.728711424667986*^9}, {3.7318186909359274`*^9, 
   3.7318186914469566`*^9}, {3.7362219622568893`*^9, 3.736221963848092*^9}, {
   3.750685517644865*^9, 3.7506855815085177`*^9}, {3.751015397460146*^9, 
   3.751015405152586*^9}, {3.751686861017559*^9, 3.7516868614915867`*^9}, {
   3.7789356108208427`*^9, 3.778935614772069*^9}, {3.7809130088505454`*^9, 
   3.780913009292571*^9}, 3.7915557935610447`*^9, {3.795004814206807*^9, 
   3.7950048152708683`*^9}, {3.800438737167503*^9, 3.800438741826769*^9}, {
   3.80492921382415*^9, 3.8049292211185675`*^9}, {3.8141798854968147`*^9, 
   3.8141798922842026`*^9}, {3.8141800011574297`*^9, 3.8141800059777055`*^9}}],

Cell[CellGroupData[{

Cell["Parameters and necessary functions (TO LOAD)", "Text",
 CellChangeTimes->{{3.814204368312151*^9, 3.814204386020164*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"NbBEC", " ", "=", "11600."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]0x", " ", "=", " ", 
   RowBox[{"2.", "*", "Pi", "*", "345."}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"main", " ", "set", " ", 
     RowBox[{
      RowBox[{"330", "/", "740"}], "/", "315"}]}], ",", " ", 
    RowBox[{"secondary", " ", "set", " ", 
     RowBox[{
      RowBox[{"345", "/", "775"}], "/", "330"}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"\[Omega]0y", " ", "=", " ", 
   RowBox[{"2.", "*", "Pi", "*", "775."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]0z", " ", "=", " ", 
    RowBox[{"2.", "*", "Pi", "*", "330."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"endTOF", " ", "=", 
    RowBox[{"18.", " ", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nThC", " ", "=", " ", 
   RowBox[{"3.497", "*", 
    RowBox[{"10", "^", "20"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nTh0", " ", "=", " ", 
    RowBox[{"3.1917", "*", 
     RowBox[{"10", "^", "20"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Tau]Tab", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"\[Tau]", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Tau]", ",", "0.1", ",", "3000.", ",", "10."}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tofTab", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"\[Tau]", "*", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"-", "3."}], ")"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Tau]", ",", "0.1", ",", 
        RowBox[{"endTOF", "*", 
         RowBox[{"10", "^", "3."}]}], ",", "0.1"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]IsoD", " ", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]0x", "*", "\[Omega]0y", "*", "\[Omega]0z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ahoD", "=", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"hbarreOverAu", "/", 
       RowBox[{"(", 
        RowBox[{"mAss", "*", "\[Omega]IsoD"}], ")"}]}], "]"}], "/", "aB"}]}], 
   ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "units", " ", "of", " ", "aB"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"aScat", "=", 
    RowBox[{"a1S0iso84", " ", "/", " ", "aB"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mAss", "=", 
   RowBox[{"mSr84", "/", "au"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gInt", "=", 
   RowBox[{"2.", " ", "*", " ", 
    RowBox[{"aScat", "/", "mAss"}], " ", "*", " ", 
    RowBox[{"hbarreOverAu", "/", 
     RowBox[{"aB", "^", "2."}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "units", " ", "of", " ", "ctePlanck", "*", 
    RowBox[{"aB", "^", "3"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"\[Mu]DFun", "[", "NbBEC_Real", "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Omega]IsoD", "/", "2."}], "*", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"15.", " ", "*", "NbBEC", "*", " ", 
        RowBox[{"aScat", "/", "ahoD"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0Fun", "[", "NbBEC_Real", "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "gInt"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RadTFisoFun", "[", "NbBEC_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"2.", "*", 
       RowBox[{
        RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "mAss"}], " ", "*", 
       " ", "ctePlanckOverAu"}], "]"}], "/", "\[Omega]IsoD"}], "/", "aB"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"RadTFaxisFun", "[", 
     RowBox[{"NbBEC_", ",", "\[Omega]Axis_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{"2.", "*", 
        RowBox[{
         RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "mAss"}], " ", "*", 
        " ", "ctePlanckOverAu"}], "]"}], "/", "\[Omega]Axis"}], "/", "aB"}]}],
    ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0x", " ", "=", " ", 
   RowBox[{"RadTFaxisFun", "[", 
    RowBox[{"NbBEC", ",", "\[Omega]0x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0y", " ", "=", " ", 
   RowBox[{"RadTFaxisFun", "[", 
    RowBox[{"NbBEC", ",", "\[Omega]0y"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0z", " ", "=", " ", 
   RowBox[{"RadTFaxisFun", "[", 
    RowBox[{"NbBEC", ",", "\[Omega]0z"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0", " ", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"R0x", "*", "R0y", "*", "R0z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]", "=", 
    RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Intx", " ", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"4.", "*", "gInt", "*", 
      RowBox[{"(", 
       RowBox[{"nThC", "-", "nTh0"}], ")"}], "*", 
      RowBox[{
       RowBox[{"aB", "^", "3."}], " ", "/", " ", "mAss"}], "*", 
      "ctePlanckOverAu"}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"R0x", "*", "aB"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Inty", " ", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"4.", "*", "gInt", "*", 
      RowBox[{"(", 
       RowBox[{"nThC", "-", "nTh0"}], ")"}], "*", 
      RowBox[{
       RowBox[{"aB", "^", "3."}], " ", "/", " ", "mAss"}], "*", 
      "ctePlanckOverAu"}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"R0y", "*", "aB"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]Intz", " ", "=", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"4.", "*", "gInt", "*", 
       RowBox[{"(", 
        RowBox[{"nThC", "-", "nTh0"}], ")"}], "*", 
       RowBox[{
        RowBox[{"aB", "^", "3."}], " ", "/", " ", "mAss"}], "*", 
       "ctePlanckOverAu"}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"R0z", "*", "aB"}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Omega]Fun", "[", 
     RowBox[{"t_", ",", "\[Omega]Intx_", ",", "\[Tau]_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"t", ">", " ", "\[Tau]"}], "||", 
        RowBox[{"t", "<", "0."}]}], ")"}], ",", "0.", ",", 
      RowBox[{"\[Omega]Intx", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"t", "-", "\[Tau]"}], ")"}], "/", "\[Tau]"}]}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqx", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Lambda]x", "''"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Omega]0x", "^", "2."}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Lambda]x", "[", "t", "]"}], ")"}], "^", "2."}], " ", "*",
         " ", 
        RowBox[{"\[Lambda]y", "[", "t", "]"}], "*", 
        RowBox[{"\[Lambda]z", "[", "t", "]"}]}], ")"}]}], "-", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Omega]Fun", "[", 
         RowBox[{"t", ",", "\[Omega]Intx", ",", "\[Tau]"}], "]"}], ")"}], "^",
        "2."}], "*", 
      RowBox[{"\[Lambda]x", "[", "t", "]"}]}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqy", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Lambda]y", "''"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Omega]0y", "^", "2."}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Lambda]x", "[", "t", "]"}], " ", "*", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Lambda]y", "[", "t", "]"}], ")"}], "^", "2."}], "*", 
        RowBox[{"\[Lambda]z", "[", "t", "]"}]}], ")"}]}], "-", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Omega]Fun", "[", 
         RowBox[{"t", ",", "\[Omega]Inty", ",", "\[Tau]"}], "]"}], ")"}], "^",
        "2."}], "*", 
      RowBox[{"\[Lambda]y", "[", "t", "]"}]}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eqz", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Lambda]z", "''"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Omega]0z", "^", "2."}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Lambda]x", "[", "t", "]"}], " ", "*", " ", 
         RowBox[{"\[Lambda]y", "[", "t", "]"}], "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Lambda]z", "[", "t", "]"}], ")"}], "^", "2."}]}], 
        ")"}]}], "-", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Omega]Fun", "[", 
          RowBox[{"t", ",", "\[Omega]Intz", ",", "\[Tau]"}], "]"}], ")"}], 
        "^", "2."}], "*", 
       RowBox[{"\[Lambda]z", "[", "t", "]"}]}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"initCond", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Lambda]x", "[", "0", "]"}], "\[Equal]", " ", "1"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Lambda]x", "'"}], "[", "0", "]"}], "\[Equal]", " ", "0"}], 
      ",", 
      RowBox[{
       RowBox[{"\[Lambda]y", "[", "0", "]"}], "\[Equal]", " ", "1"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Lambda]y", "'"}], "[", "0", "]"}], "\[Equal]", " ", "0"}], 
      ",", 
      RowBox[{
       RowBox[{"\[Lambda]z", "[", "0", "]"}], "\[Equal]", " ", "1"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Lambda]z", "'"}], "[", "0", "]"}], "\[Equal]", " ", 
       "0"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eqTot", "=", " ", 
    RowBox[{"{", 
     RowBox[{"eqx", ",", "eqy", ",", " ", "eqz"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"expandWithIntFun", "[", 
     RowBox[{
     "\[Tau]tabEle_", ",", "endTime_", ",", "eqTot_", ",", "initCond_", ",", 
      RowBox[{"{", 
       RowBox[{"R0X_", ",", "R0Y_", ",", "R0Z_"}], "}"}], ",", "boolT_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "timeOfFlightSol", ",", "res\[Lambda]x", ",", "res\[Lambda]y", ",", 
        "res\[Lambda]z", ",", "tAux", ",", "resRx", ",", "resRy", ",", 
        "resRz", ",", "\[Omega]Expo", ",", "R0factz", ",", "R0facty", ",", 
        "R0factMean"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"timeOfFlightSol", " ", "=", " ", 
        RowBox[{"NDSolve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Join", "[", 
            RowBox[{"eqTot", ",", "initCond"}], "]"}], "/.", 
           RowBox[{"{", 
            RowBox[{"\[Tau]", "\[Rule]", " ", "\[Tau]tabEle"}], "}"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Lambda]x", ",", "\[Lambda]y", ",", "\[Lambda]z"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0.", ",", "endTime"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"res\[Lambda]x", " ", "=", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"First", "[", 
           RowBox[{"\[Lambda]x", "/.", "timeOfFlightSol"}], "]"}], ")"}], "[",
          "endTime", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"res\[Lambda]y", " ", "=", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"First", "[", 
           RowBox[{"\[Lambda]y", "/.", "timeOfFlightSol"}], "]"}], ")"}], "[",
          "endTime", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"res\[Lambda]z", " ", "=", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"First", "[", 
           RowBox[{"\[Lambda]z", "/.", "timeOfFlightSol"}], "]"}], ")"}], "[",
          "endTime", "]"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"resRx", "=", 
        RowBox[{"R0X", "*", "res\[Lambda]x", "*", "aB", "*", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"resRy", "=", 
        RowBox[{"R0Y", "*", "res\[Lambda]y", "*", "aB", "*", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"resRz", "=", 
        RowBox[{"R0Z", "*", "res\[Lambda]z", "*", "aB", "*", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Omega]Expo", " ", "=", 
        RowBox[{"First", "[", 
         RowBox[{"expo", "/.", " ", 
          RowBox[{"Quiet", "[", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"R0Y", "*", "res\[Lambda]y"}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"R0Z", "*", "res\[Lambda]z"}], ")"}]}], " ", 
              "\[Equal]", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"\[Omega]0y", "/", "\[Omega]0z"}], ")"}], "^", 
               RowBox[{"(", "expo", ")"}]}]}], ",", "expo"}], "]"}], "]"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"R0factz", " ", "=", " ", 
        RowBox[{"First", "[", 
         RowBox[{"R0fact", "/.", 
          RowBox[{"Quiet", "[", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"R0Z", "*", "res\[Lambda]z"}], "\[Equal]", " ", 
              RowBox[{"R0", "*", "R0fact", "*", 
               RowBox[{"(", 
                RowBox[{"\[Omega]IsoD", "*", "endTime"}], ")"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Omega]0z", "/", "\[Omega]IsoD"}], ")"}], "^", 
                RowBox[{"(", "\[Omega]Expo", ")"}]}]}]}], ",", "R0fact"}], 
            "]"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"R0facty", " ", "=", 
        RowBox[{"First", "[", " ", 
         RowBox[{"R0fact", "/.", 
          RowBox[{"Quiet", "[", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"R0Y", "*", "res\[Lambda]y"}], "\[Equal]", " ", 
              RowBox[{"R0", "*", "R0fact", "*", 
               RowBox[{"(", 
                RowBox[{"\[Omega]IsoD", "*", "endTime"}], ")"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Omega]0y", "/", "\[Omega]IsoD"}], ")"}], "^", 
                RowBox[{"(", "\[Omega]Expo", ")"}]}]}]}], ",", "R0fact"}], 
            "]"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"R0factMean", " ", "=", " ", 
        RowBox[{"Mean", "[", 
         RowBox[{"{", 
          RowBox[{"R0facty", ",", "R0factz"}], "}"}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{"boolT", ",", 
         RowBox[{
          RowBox[{"tAux", " ", "=", " ", 
           RowBox[{"endTime", "*", 
            RowBox[{"10", "^", "3."}]}]}], ";"}], ",", 
         RowBox[{
          RowBox[{"tAux", " ", "=", " ", 
           RowBox[{"\[Tau]tabEle", "*", 
            RowBox[{"10", "^", "6."}]}]}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"tAux", ",", "resRx"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"tAux", ",", "resRy"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"tAux", ",", "resRz"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"tAux", ",", "R0factMean"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"tAux", ",", "\[Omega]Expo"}], "}"}]}], "}"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"plotBECFun", "[", 
     RowBox[{"r_", ",", "tabEle_", ",", 
      RowBox[{"{", 
       RowBox[{"R0X_", ",", "R0Y_", ",", "R0Z_"}], "}"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[Lambda]xAux", ",", " ", "\[Lambda]yAux", ",", " ", "\[Lambda]zAux", 
        ",", "nBECx", ",", "nBECy", ",", "nBECz"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]xAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "]"}], "/", "R0X"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]yAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "]"}], "/", "R0Y"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]zAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "R0Z"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"nBECx", " ", "=", 
        RowBox[{"Max", "[", 
         RowBox[{"0.", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Mu]", " ", "-", " ", 
              RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
               RowBox[{"\[Omega]0x", "^", "2."}], "*", 
               RowBox[{
                RowBox[{"r", "^", "2."}], "/", 
                RowBox[{"\[Lambda]xAux", "^", "2."}]}], "*", 
               "auOverCtePlanck"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
             "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
              "\[Lambda]zAux"}], ")"}]}], "/", 
           RowBox[{"aB", "^", "3."}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"nBECy", " ", "=", 
        RowBox[{"Max", "[", 
         RowBox[{"0.", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Mu]", " ", "-", " ", 
              RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
               RowBox[{"\[Omega]0y", "^", "2."}], "*", 
               RowBox[{
                RowBox[{"r", "^", "2."}], "/", 
                RowBox[{"\[Lambda]yAux", "^", "2."}]}], "*", 
               "auOverCtePlanck"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
             "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
              "\[Lambda]zAux"}], ")"}]}], "/", 
           RowBox[{"aB", "^", "3."}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"nBECz", " ", "=", 
        RowBox[{"Max", "[", 
         RowBox[{"0.", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Mu]", " ", "-", " ", 
              RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
               RowBox[{"\[Omega]0z", "^", "2."}], "*", 
               RowBox[{
                RowBox[{"r", "^", "2."}], "/", 
                RowBox[{"\[Lambda]zAux", "^", "2."}]}], "*", 
               "auOverCtePlanck"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
             "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
              "\[Lambda]zAux"}], ")"}]}], "/", 
           RowBox[{"aB", "^", "3."}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nBECx", ",", "nBECy", ",", "nBECz"}], "}"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"plotBEC2DFun", "[", 
     RowBox[{"r_", ",", "tabEle_", ",", 
      RowBox[{"{", 
       RowBox[{"R0X_", ",", "R0Y_", ",", "R0Z_"}], "}"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[Lambda]xAux", ",", " ", "\[Lambda]yAux", ",", " ", "\[Lambda]zAux", 
        ",", "nBECx", ",", "nBECy", ",", "nBECz"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]xAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "]"}], "/", "R0X"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]yAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "]"}], "/", "R0Y"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]zAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "R0Z"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"nBECy", " ", "=", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{"Max", "[", 
           RowBox[{"0.", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Mu]", " ", "-", " ", 
                RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
                 RowBox[{"\[Omega]0y", "^", "2."}], "*", 
                 RowBox[{
                  RowBox[{"r", "^", "2."}], "/", 
                  RowBox[{"\[Lambda]yAux", "^", "2."}]}], "*", 
                 "auOverCtePlanck"}], "-", " ", 
                RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
                 RowBox[{"\[Omega]0x", "^", "2."}], "*", 
                 RowBox[{
                  RowBox[{"x", "^", "2."}], "/", 
                  RowBox[{"\[Lambda]xAux", "^", "2."}]}], "*", 
                 "auOverCtePlanck"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
               "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
                "\[Lambda]zAux"}], ")"}]}], "/", 
             RowBox[{"aB", "^", "3."}]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{
             RowBox[{"-", "200."}], "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}], ",", 
            RowBox[{"200.", "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"nBECz", " ", "=", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{"Max", "[", 
           RowBox[{"0.", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Mu]", " ", "-", " ", 
                RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
                 RowBox[{"\[Omega]0z", "^", "2."}], "*", 
                 RowBox[{
                  RowBox[{"r", "^", "2."}], "/", 
                  RowBox[{"\[Lambda]zAux", "^", "2."}]}], "*", 
                 "auOverCtePlanck"}], "-", " ", 
                RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
                 RowBox[{"\[Omega]0x", "^", "2."}], "*", 
                 RowBox[{
                  RowBox[{"x", "^", "2."}], "/", 
                  RowBox[{"\[Lambda]xAux", "^", "2."}]}], "*", 
                 "auOverCtePlanck"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
               "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
                "\[Lambda]zAux"}], ")"}]}], "/", 
             RowBox[{"aB", "^", "3."}]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{
             RowBox[{"-", "200."}], "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}], ",", 
            RowBox[{"200.", "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nBECy", ",", "nBECz"}], "}"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<BEC Thomas-Fermi radii: \>\"", ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}], "*", "aB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Thomas-Fermi regime criterion: \>\"", ",", 
   RowBox[{"NbBEC", "*", 
    RowBox[{"aScat", "/", "ahoD"}]}], ",", 
   "\"\< must be >> 1 to be valid\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Effective trap frequencies due to interactions with thermal gas: \
2\[Pi] x \>\"", ",", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Omega]Intx", ",", "\[Omega]Inty", ",", "\[Omega]Intz"}], 
      "}"}], "/", "2."}], "/", "Pi"}], ",", "\"\< Hz\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.814174269869619*^9, 3.8141744912592816`*^9}, {
   3.8141745219470367`*^9, 3.8141746638231516`*^9}, {3.814174703202404*^9, 
   3.8141747244116173`*^9}, 3.8141747904693956`*^9, {3.8141748616874685`*^9, 
   3.814174869879937*^9}, {3.814174914927514*^9, 3.8141750822040815`*^9}, {
   3.814175130241829*^9, 3.814175130638852*^9}, {3.814175322028799*^9, 
   3.8141753235138836`*^9}, {3.8141756373748355`*^9, 3.81417570528372*^9}, {
   3.8141759474725723`*^9, 3.814175948921655*^9}, {3.8141762442455463`*^9, 
   3.814176244690572*^9}, {3.814179614750328*^9, 3.814179616614435*^9}, {
   3.814179658395825*^9, 3.8141796940728655`*^9}, {3.8141797536052704`*^9, 
   3.81417981600984*^9}, {3.8141799141074505`*^9, 3.814180003306553*^9}, {
   3.814180035304383*^9, 3.8141800437288647`*^9}, {3.8141811033694725`*^9, 
   3.814181111422933*^9}, {3.8141814651701665`*^9, 3.814181480461041*^9}, {
   3.814181574138399*^9, 3.8141815969457035`*^9}, {3.8141826692580366`*^9, 
   3.814182695408532*^9}, {3.814182732905677*^9, 3.814182734311757*^9}, {
   3.8141828682234163`*^9, 3.8141828686264396`*^9}, {3.8141830054162636`*^9, 
   3.8141830141917653`*^9}, {3.8141831080241327`*^9, 3.814183117974702*^9}, {
   3.8141833714181976`*^9, 3.8141833723722525`*^9}, {3.8141835679304376`*^9, 
   3.8141836006383085`*^9}, {3.8141838849045672`*^9, 3.814183984308253*^9}, {
   3.8141840302088785`*^9, 3.8141840697461395`*^9}, {3.8141842296192837`*^9, 
   3.8141845512516804`*^9}, {3.8141851785475597`*^9, 3.814185179323604*^9}, {
   3.814186137765424*^9, 3.8141861439557776`*^9}, {3.8141863534047575`*^9, 
   3.8141863630953116`*^9}, {3.814186456514655*^9, 3.8141864969599686`*^9}, 
   3.8141865726973004`*^9, {3.81418702306306*^9, 3.8141871225547504`*^9}, {
   3.8141871754257746`*^9, 3.814187181944147*^9}, {3.8141876292767334`*^9, 
   3.8141876294767447`*^9}, {3.8141885659823093`*^9, 
   3.8141886832300158`*^9}, {3.8141887251634145`*^9, 
   3.8141887466676445`*^9}, {3.8141888999164095`*^9, 3.814188928002016*^9}, {
   3.8141891149147067`*^9, 3.81418911515172*^9}, {3.8141932205445356`*^9, 
   3.81419322079555*^9}, {3.814193307381502*^9, 3.8141933124467916`*^9}, {
   3.8141933518480453`*^9, 3.8141933754883976`*^9}, {3.814194337250407*^9, 
   3.8141943374934216`*^9}, {3.8141962401142445`*^9, 3.81419624545555*^9}, 
   3.8141968523762646`*^9, 3.8141970820664015`*^9, {3.814197151232358*^9, 
   3.8141971573807096`*^9}, 3.8141973283004856`*^9, {3.814197524767723*^9, 
   3.814197524982735*^9}, {3.814198824955089*^9, 3.814198887582671*^9}, {
   3.8141989222396536`*^9, 3.814198976179739*^9}, {3.814199034508075*^9, 
   3.814199170983881*^9}, {3.814199490051131*^9, 3.814199519793832*^9}, {
   3.81419965770072*^9, 3.8141996908306146`*^9}, {3.814199851526806*^9, 
   3.814199851707816*^9}, {3.8141998907540493`*^9, 3.8141998909280596`*^9}, 
   3.8141999745318413`*^9, {3.814200040004586*^9, 3.8142000405466175`*^9}, 
   3.8142001042962637`*^9, 3.8142001783735003`*^9, {3.8142003929307723`*^9, 
   3.814200393919829*^9}, {3.8142004521111574`*^9, 3.8142004538392563`*^9}, {
   3.8142005048961763`*^9, 3.814200510645505*^9}, {3.8142007412756968`*^9, 
   3.814200750480223*^9}, {3.8142007841381483`*^9, 3.8142007987459836`*^9}, 
   3.8142013557878447`*^9, {3.814201394837078*^9, 3.814201395100093*^9}, {
   3.814202088843773*^9, 3.8142021177024236`*^9}, {3.814204556316904*^9, 
   3.8142045950071173`*^9}, {3.8142046796329575`*^9, 
   3.8142046803449984`*^9}, {3.814273836631426*^9, 3.8142739046913185`*^9}, {
   3.81427393985433*^9, 3.814273951789013*^9}, {3.814279308976426*^9, 
   3.8142793281015205`*^9}, {3.8142793588762803`*^9, 3.814279382587637*^9}, {
   3.8142815069681444`*^9, 3.8142815251771855`*^9}, {3.8142817305719337`*^9, 
   3.8142817334871006`*^9}, {3.8142817948386097`*^9, 
   3.8142818664877076`*^9}, {3.8144260066841197`*^9, 
   3.8144260076821766`*^9}, {3.81442664868384*^9, 3.8144266608155336`*^9}, 
   3.8144267187098455`*^9, {3.81442676075725*^9, 3.8144267965522976`*^9}, {
   3.8144268269250345`*^9, 3.8144269243186054`*^9}, {3.8144269543423223`*^9, 
   3.814426982850953*^9}, {3.814430961500124*^9, 3.814430998416235*^9}, {
   3.814431065387066*^9, 3.814431067939212*^9}, {3.814431098639968*^9, 
   3.814431106212401*^9}, {3.8144316091711683`*^9, 3.814431610984272*^9}, {
   3.81443192687634*^9, 3.814431937301936*^9}, {3.8144320840943327`*^9, 
   3.8144321668790674`*^9}, 3.8144322118576403`*^9, {3.8144322744792223`*^9, 
   3.81443227462823*^9}, {3.814432701306635*^9, 3.8144327823002677`*^9}, 
   3.814433347042569*^9, {3.814433397862476*^9, 3.8144333981244907`*^9}, {
   3.814516528176886*^9, 3.8145165761496296`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BEC Thomas-Fermi radii: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "3.1208796315059675`", ",", "1.3892948037026562`", ",", 
     "3.262737796574421`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "BEC Thomas-Fermi radii: ", {3.1208796315059675`, 1.3892948037026562`, 
   3.262737796574421}, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8141839735826397`*^9, 3.8141839845132647`*^9}, {
   3.8141842822942967`*^9, 3.814184317381304*^9}, {3.814184410243615*^9, 
   3.8141844149048815`*^9}, {3.814184509591297*^9, 3.8141845189228315`*^9}, 
   3.814184562863344*^9, 3.814185179701626*^9, 3.8141861498421144`*^9, 
   3.8141863671505437`*^9, 3.8141864581827507`*^9, 3.814186499226098*^9, {
   3.8141870954952025`*^9, 3.81418712289977*^9}, 3.8141871823891726`*^9, 
   3.814187629869767*^9, 3.8141887489687757`*^9, 3.8141889374545565`*^9, 
   3.8141891160947742`*^9, 3.8141932213465815`*^9, {3.814193284661203*^9, 
   3.8141933133648443`*^9}, {3.8141933527410965`*^9, 3.8141933758164167`*^9}, 
   3.8141943379324465`*^9, {3.8141962406282744`*^9, 3.8141962465386124`*^9}, 
   3.8141968527702866`*^9, 3.814197082541429*^9, 3.814197157763732*^9, 
   3.814197328932522*^9, 3.8141975254237604`*^9, {3.814199116624772*^9, 
   3.8141991279604206`*^9}, 3.8141991722289524`*^9, {3.8141995030808764`*^9, 
   3.8141995201948547`*^9}, 3.814199560219144*^9, 3.8141996942868123`*^9, 
   3.8141998521008387`*^9, 3.8141998913640842`*^9, 3.8141999749738665`*^9, 
   3.8142000409876423`*^9, 3.8142001047542896`*^9, 3.8142001790615396`*^9, 
   3.81420040023919*^9, 3.814200454468292*^9, 3.8142005115445566`*^9, 
   3.8142007509302487`*^9, {3.814200799525028*^9, 3.814200813048802*^9}, {
   3.8142013266561785`*^9, 3.8142013561008625`*^9}, 3.8142013955151167`*^9, 
   3.814201893386594*^9, 3.8142021181954517`*^9, {3.8142045905728636`*^9, 
   3.8142045961991854`*^9}, 3.814204644479947*^9, 3.8142046944348044`*^9, 
   3.8142739060183945`*^9, {3.814273948316814*^9, 3.8142739526480618`*^9}, 
   3.8142793833466797`*^9, 3.8142803295548*^9, 3.8142815277283316`*^9, 
   3.8142817398684654`*^9, {3.8142817964387007`*^9, 3.814281819131999*^9}, 
   3.814281874332156*^9, 3.814425939017249*^9, 3.8144260087112355`*^9, 
   3.8144266611185513`*^9, 3.8144267191708717`*^9, {3.814426767787652*^9, 
   3.81442692474863*^9}, {3.814426957428499*^9, 3.8144269832249746`*^9}, 
   3.814430962170162*^9, 3.814430999322287*^9, 3.8144310683882375`*^9, 
   3.814431106912441*^9, 3.8144316116403093`*^9, 3.8144319376329556`*^9, 
   3.8144321047965164`*^9, 3.8144321376293945`*^9, 3.8144321692942057`*^9, 
   3.8144322127266903`*^9, 3.814432275585285*^9, {3.814432737669715*^9, 
   3.814432782620286*^9}, 3.814433347718608*^9, 3.8144333992995577`*^9, 
   3.81451657772572*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thomas-Fermi regime criterion: \"\>", "\[InvisibleSpace]", 
   "144.87306881796434`", 
   "\[InvisibleSpace]", "\<\" must be >> 1 to be valid\"\>"}],
  SequenceForm[
  "Thomas-Fermi regime criterion: ", 144.87306881796434`, 
   " must be >> 1 to be valid"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8141839735826397`*^9, 3.8141839845132647`*^9}, {
   3.8141842822942967`*^9, 3.814184317381304*^9}, {3.814184410243615*^9, 
   3.8141844149048815`*^9}, {3.814184509591297*^9, 3.8141845189228315`*^9}, 
   3.814184562863344*^9, 3.814185179701626*^9, 3.8141861498421144`*^9, 
   3.8141863671505437`*^9, 3.8141864581827507`*^9, 3.814186499226098*^9, {
   3.8141870954952025`*^9, 3.81418712289977*^9}, 3.8141871823891726`*^9, 
   3.814187629869767*^9, 3.8141887489687757`*^9, 3.8141889374545565`*^9, 
   3.8141891160947742`*^9, 3.8141932213465815`*^9, {3.814193284661203*^9, 
   3.8141933133648443`*^9}, {3.8141933527410965`*^9, 3.8141933758164167`*^9}, 
   3.8141943379324465`*^9, {3.8141962406282744`*^9, 3.8141962465386124`*^9}, 
   3.8141968527702866`*^9, 3.814197082541429*^9, 3.814197157763732*^9, 
   3.814197328932522*^9, 3.8141975254237604`*^9, {3.814199116624772*^9, 
   3.8141991279604206`*^9}, 3.8141991722289524`*^9, {3.8141995030808764`*^9, 
   3.8141995201948547`*^9}, 3.814199560219144*^9, 3.8141996942868123`*^9, 
   3.8141998521008387`*^9, 3.8141998913640842`*^9, 3.8141999749738665`*^9, 
   3.8142000409876423`*^9, 3.8142001047542896`*^9, 3.8142001790615396`*^9, 
   3.81420040023919*^9, 3.814200454468292*^9, 3.8142005115445566`*^9, 
   3.8142007509302487`*^9, {3.814200799525028*^9, 3.814200813048802*^9}, {
   3.8142013266561785`*^9, 3.8142013561008625`*^9}, 3.8142013955151167`*^9, 
   3.814201893386594*^9, 3.8142021181954517`*^9, {3.8142045905728636`*^9, 
   3.8142045961991854`*^9}, 3.814204644479947*^9, 3.8142046944348044`*^9, 
   3.8142739060183945`*^9, {3.814273948316814*^9, 3.8142739526480618`*^9}, 
   3.8142793833466797`*^9, 3.8142803295548*^9, 3.8142815277283316`*^9, 
   3.8142817398684654`*^9, {3.8142817964387007`*^9, 3.814281819131999*^9}, 
   3.814281874332156*^9, 3.814425939017249*^9, 3.8144260087112355`*^9, 
   3.8144266611185513`*^9, 3.8144267191708717`*^9, {3.814426767787652*^9, 
   3.81442692474863*^9}, {3.814426957428499*^9, 3.8144269832249746`*^9}, 
   3.814430962170162*^9, 3.814430999322287*^9, 3.8144310683882375`*^9, 
   3.814431106912441*^9, 3.8144316116403093`*^9, 3.8144319376329556`*^9, 
   3.8144321047965164`*^9, 3.8144321376293945`*^9, 3.8144321692942057`*^9, 
   3.8144322127266903`*^9, 3.814432275585285*^9, {3.814432737669715*^9, 
   3.814432782620286*^9}, 3.814433347718608*^9, 3.8144333992995577`*^9, 
   3.8145165777287197`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap frequencies due to interactions with thermal \
gas: 2\[Pi] x \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "121.86236514838255`", ",", "273.7487912753521`", ",", 
     "116.56400144627894`"}], "}"}], "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Effective trap frequencies due to interactions with thermal gas: 2\[Pi] x \
", {121.86236514838255`, 273.7487912753521, 116.56400144627894`}, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8141839735826397`*^9, 3.8141839845132647`*^9}, {
   3.8141842822942967`*^9, 3.814184317381304*^9}, {3.814184410243615*^9, 
   3.8141844149048815`*^9}, {3.814184509591297*^9, 3.8141845189228315`*^9}, 
   3.814184562863344*^9, 3.814185179701626*^9, 3.8141861498421144`*^9, 
   3.8141863671505437`*^9, 3.8141864581827507`*^9, 3.814186499226098*^9, {
   3.8141870954952025`*^9, 3.81418712289977*^9}, 3.8141871823891726`*^9, 
   3.814187629869767*^9, 3.8141887489687757`*^9, 3.8141889374545565`*^9, 
   3.8141891160947742`*^9, 3.8141932213465815`*^9, {3.814193284661203*^9, 
   3.8141933133648443`*^9}, {3.8141933527410965`*^9, 3.8141933758164167`*^9}, 
   3.8141943379324465`*^9, {3.8141962406282744`*^9, 3.8141962465386124`*^9}, 
   3.8141968527702866`*^9, 3.814197082541429*^9, 3.814197157763732*^9, 
   3.814197328932522*^9, 3.8141975254237604`*^9, {3.814199116624772*^9, 
   3.8141991279604206`*^9}, 3.8141991722289524`*^9, {3.8141995030808764`*^9, 
   3.8141995201948547`*^9}, 3.814199560219144*^9, 3.8141996942868123`*^9, 
   3.8141998521008387`*^9, 3.8141998913640842`*^9, 3.8141999749738665`*^9, 
   3.8142000409876423`*^9, 3.8142001047542896`*^9, 3.8142001790615396`*^9, 
   3.81420040023919*^9, 3.814200454468292*^9, 3.8142005115445566`*^9, 
   3.8142007509302487`*^9, {3.814200799525028*^9, 3.814200813048802*^9}, {
   3.8142013266561785`*^9, 3.8142013561008625`*^9}, 3.8142013955151167`*^9, 
   3.814201893386594*^9, 3.8142021181954517`*^9, {3.8142045905728636`*^9, 
   3.8142045961991854`*^9}, 3.814204644479947*^9, 3.8142046944348044`*^9, 
   3.8142739060183945`*^9, {3.814273948316814*^9, 3.8142739526480618`*^9}, 
   3.8142793833466797`*^9, 3.8142803295548*^9, 3.8142815277283316`*^9, 
   3.8142817398684654`*^9, {3.8142817964387007`*^9, 3.814281819131999*^9}, 
   3.814281874332156*^9, 3.814425939017249*^9, 3.8144260087112355`*^9, 
   3.8144266611185513`*^9, 3.8144267191708717`*^9, {3.814426767787652*^9, 
   3.81442692474863*^9}, {3.814426957428499*^9, 3.8144269832249746`*^9}, 
   3.814430962170162*^9, 3.814430999322287*^9, 3.8144310683882375`*^9, 
   3.814431106912441*^9, 3.8144316116403093`*^9, 3.8144319376329556`*^9, 
   3.8144321047965164`*^9, 3.8144321376293945`*^9, 3.8144321692942057`*^9, 
   3.8144322127266903`*^9, 3.814432275585285*^9, {3.814432737669715*^9, 
   3.814432782620286*^9}, 3.814433347718608*^9, 3.8144333992995577`*^9, 
   3.8145165777317204`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Time-of-flight expansion of the BEC ", "Section",
 CellChangeTimes->{{3.814201749416359*^9, 3.8142017680294237`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"resTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"expandWithIntFun", "[", 
         RowBox[{
          RowBox[{"0.001", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "3."}], ")"}]}]}], ",", "#", ",", "eqTot", ",", 
          "initCond", ",", 
          RowBox[{"{", 
           RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}], ",", "True"}], 
         "]"}], "&"}], ",", "tofTab"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"resTab", "[", 
     RowBox[{"[", 
      RowBox[{"1", ";;", "3"}], "]"}], "]"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"PlotMarkers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", "Medium"}], "}"}]}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<BEC free expansion\>\"", ",", 
       RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"PlotLegends", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) X\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) Y\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) Z\>\""}], "}"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Time of Flight (ms)\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Thomas-Fermi Radii (\[Micro]m)\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"resTab", "[", 
    RowBox[{"[", 
     RowBox[{"4", ";;", "5"}], "]"}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotMarkers", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Medium"}], "}"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Parameters for BEC free expansion\>\"", ",", 
      RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Factor for R0\>\"", ",", "\"\<Exponent between \[Omega]\>\""}], 
     "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Time of Flight (ms)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Value\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.814183606663653*^9, 3.814183620405439*^9}, {
  3.8141846224667535`*^9, 3.814184648734256*^9}, {3.814184902613777*^9, 
  3.8141849114352818`*^9}, {3.8141850232496767`*^9, 3.8141850290540085`*^9}, {
  3.814185076402717*^9, 3.814185077237765*^9}, {3.814185195548532*^9, 
  3.8141852009668417`*^9}, {3.814185884910961*^9, 3.8141858866230593`*^9}, {
  3.8141991384850225`*^9, 3.8141991423012404`*^9}, {3.814199197306387*^9, 
  3.8141992629651423`*^9}, {3.8141993122939634`*^9, 3.814199312829994*^9}, {
  3.8141997013232145`*^9, 3.81419970194125*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw11Xdck9cex/EAKsqWKSFGRggJBDJApvJ82YEwg16Ll0pRRBEsqKW1roJ7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         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw11Hs81Pkex3HpghISGndzMW7DzJTS7KrfWwYzTIwx7gyp0OneRpvd2kmJ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         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledDiamond]\"", FontSize -> Medium, StripOnInput -> 
             False], TraditionalForm]], {0., 0.}], CompressedData["
1:eJw11ns8lPkeB/CJHKsll9HQjDKDYYzBTOQSeT6DGbcxg25qq1OK08WletXm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         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{0, 18.000000000000007`}, {0, 133.94068904787557`}}, 
     DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         StyleBox[
         "\"Thomas-Fermi Radii (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
          False], TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Time of Flight (ms)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"BEC free expansion\"", FontSize -> 16, StripOnInput -> False], 
       TraditionalForm], 
     PlotRange -> {{0, 18.000000000000007`}, {0, 133.94068904787557`}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
      "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) X\"", 
       "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) Y\"", 
       "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) Z\""}, "PointLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledDiamond]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledDiamond]\"", ",", "Medium"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8141852030039587`*^9, 3.8141853380516825`*^9, 3.8141858944295053`*^9, 
   3.814186545020717*^9, 3.814187535442366*^9, {3.8141876410344057`*^9, 
   3.814187665334796*^9}, 3.8141889578897257`*^9, 3.8141932954468193`*^9, {
   3.814193325977566*^9, 3.8141933556082606`*^9}, 3.814193403920024*^9, 
   3.8141943497191205`*^9, 3.814196276355318*^9, 3.814196885763174*^9, 
   3.8141971126371503`*^9, 3.8141971905616074`*^9, 3.8141972228734555`*^9, 
   3.814197364201539*^9, 3.814197539181547*^9, 3.814199144831385*^9, 
   3.8141991874528227`*^9, 3.8141992764349127`*^9, 3.814199326362768*^9, 
   3.8141995770651073`*^9, 3.8141997157720413`*^9, 3.8141998680047483`*^9, 
   3.8141999072029905`*^9, 3.8141999912557983`*^9, 3.8142000565495324`*^9, 
   3.814200120740204*^9, 3.8142001965025377`*^9, 3.8142004159090867`*^9, 
   3.8142004697701674`*^9, 3.814200526849432*^9, 3.814200766733153*^9, 
   3.8142008300197725`*^9, {3.814201343194124*^9, 3.8142013727298136`*^9}, 
   3.8142014137551603`*^9, 3.8142019093125043`*^9, 3.8142046569576607`*^9, 
   3.8142047041423597`*^9, 3.8142803450496864`*^9, 3.8142815376018963`*^9, 
   3.8142817499570427`*^9, 3.8142818061962595`*^9, 3.8142818852677813`*^9, 
   3.814425971132086*^9, 3.8144260207869263`*^9, 3.8144266718811665`*^9, 
   3.814426728712417*^9, {3.8144267764071455`*^9, 3.8144268060528407`*^9}, {
   3.8144268371086173`*^9, 3.8144269338371496`*^9}, {3.8144269664420147`*^9, 
   3.8144269923484964`*^9}, 3.8144309751029015`*^9, 3.814431009712881*^9, 
   3.8144310776587677`*^9, 3.8144311180450773`*^9, 3.8144316220329037`*^9, 
   3.8144321149880996`*^9, 3.814432147283947*^9, 3.8144321805828514`*^9, 
   3.8144322234803047`*^9, 3.8144322876939774`*^9, {3.814432746094197*^9, 
   3.8144327819322467`*^9}, 3.814432820664462*^9, {3.8144333850687437`*^9, 
   3.8144334101701794`*^9}, 3.8145165903374414`*^9}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw11HdUlFcexvERKYp0kCowM3RmgBlkFRvvkwiuiYhGY2KLKBxRkCi4HuIq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         "]]}, {
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw11Hs8ldkex3G3JKlIhBT2dt3bZe9QqDzfUEZkkplCSrqoIVFzUE06pYia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         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{0, 18.000000000000007`}, {-0.8983985955149506, 
       3.76228951363158}}, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         StyleBox["\"Value\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Time of Flight (ms)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"Parameters for BEC free expansion\"", FontSize -> 16, StripOnInput -> 
        False], TraditionalForm], 
     PlotRange -> {{0, 18.000000000000007`}, {-0.8983985955149506, 
       3.76228951363158}}, PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"Factor for R0\"", "\"Exponent between \[Omega]\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Medium"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8141852030039587`*^9, 3.8141853380516825`*^9, 3.8141858944295053`*^9, 
   3.814186545020717*^9, 3.814187535442366*^9, {3.8141876410344057`*^9, 
   3.814187665334796*^9}, 3.8141889578897257`*^9, 3.8141932954468193`*^9, {
   3.814193325977566*^9, 3.8141933556082606`*^9}, 3.814193403920024*^9, 
   3.8141943497191205`*^9, 3.814196276355318*^9, 3.814196885763174*^9, 
   3.8141971126371503`*^9, 3.8141971905616074`*^9, 3.8141972228734555`*^9, 
   3.814197364201539*^9, 3.814197539181547*^9, 3.814199144831385*^9, 
   3.8141991874528227`*^9, 3.8141992764349127`*^9, 3.814199326362768*^9, 
   3.8141995770651073`*^9, 3.8141997157720413`*^9, 3.8141998680047483`*^9, 
   3.8141999072029905`*^9, 3.8141999912557983`*^9, 3.8142000565495324`*^9, 
   3.814200120740204*^9, 3.8142001965025377`*^9, 3.8142004159090867`*^9, 
   3.8142004697701674`*^9, 3.814200526849432*^9, 3.814200766733153*^9, 
   3.8142008300197725`*^9, {3.814201343194124*^9, 3.8142013727298136`*^9}, 
   3.8142014137551603`*^9, 3.8142019093125043`*^9, 3.8142046569576607`*^9, 
   3.8142047041423597`*^9, 3.8142803450496864`*^9, 3.8142815376018963`*^9, 
   3.8142817499570427`*^9, 3.8142818061962595`*^9, 3.8142818852677813`*^9, 
   3.814425971132086*^9, 3.8144260207869263`*^9, 3.8144266718811665`*^9, 
   3.814426728712417*^9, {3.8144267764071455`*^9, 3.8144268060528407`*^9}, {
   3.8144268371086173`*^9, 3.8144269338371496`*^9}, {3.8144269664420147`*^9, 
   3.8144269923484964`*^9}, 3.8144309751029015`*^9, 3.814431009712881*^9, 
   3.8144310776587677`*^9, 3.8144311180450773`*^9, 3.8144316220329037`*^9, 
   3.8144321149880996`*^9, 3.814432147283947*^9, 3.8144321805828514`*^9, 
   3.8144322234803047`*^9, 3.8144322876939774`*^9, {3.814432746094197*^9, 
   3.8144327819322467`*^9}, 3.814432820664462*^9, {3.8144333850687437`*^9, 
   3.8144334101701794`*^9}, 3.814516590623458*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<X radius of the BEC after expansion: \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
   "\"\< \[Micro]m\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Y radius of the BEC after expansion: \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], ",", 
   "\"\< \[Micro]m\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Z radius of the BEC after expansion: \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], ",", 
   "\"\< \[Micro]m\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.81420001734529*^9, 3.8142000253917503`*^9}, {
  3.814201797061084*^9, 3.814201880059831*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"X radius of the BEC after expansion: \"\>", 
   "\[InvisibleSpace]", "79.67289329868827`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "X radius of the BEC after expansion: ", 79.67289329868827, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81420184892005*^9, 3.8142019342989335`*^9}, 
   3.814204657843712*^9, 3.8142047312409096`*^9, 3.814280345830731*^9, 
   3.8142815400650373`*^9, 3.8142817568484364`*^9, 3.8144260986423793`*^9, 
   3.8144266762644176`*^9, 3.8144267290164347`*^9, {3.8144267816664457`*^9, 
   3.814426934142167*^9}, 3.814426994723632*^9, 3.8144309829823523`*^9, 
   3.8144310157352257`*^9, 3.814431085812234*^9, 3.8144311211012526`*^9, 
   3.814431625055077*^9, 3.8144321153171186`*^9, 3.8144321476149654`*^9, 
   3.814432180861867*^9, 3.8144322237863226`*^9, 3.814432829350959*^9, {
   3.8144333856737785`*^9, 3.814433410459196*^9}, 3.814516627783583*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Y radius of the BEC after expansion: \"\>", 
   "\[InvisibleSpace]", "133.94068904787557`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Y radius of the BEC after expansion: ", 133.94068904787557`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81420184892005*^9, 3.8142019342989335`*^9}, 
   3.814204657843712*^9, 3.8142047312409096`*^9, 3.814280345830731*^9, 
   3.8142815400650373`*^9, 3.8142817568484364`*^9, 3.8144260986423793`*^9, 
   3.8144266762644176`*^9, 3.8144267290164347`*^9, {3.8144267816664457`*^9, 
   3.814426934142167*^9}, 3.814426994723632*^9, 3.8144309829823523`*^9, 
   3.8144310157352257`*^9, 3.814431085812234*^9, 3.8144311211012526`*^9, 
   3.814431625055077*^9, 3.8144321153171186`*^9, 3.8144321476149654`*^9, 
   3.814432180861867*^9, 3.8144322237863226`*^9, 3.814432829350959*^9, {
   3.8144333856737785`*^9, 3.814433410459196*^9}, 3.8145166277875834`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Z radius of the BEC after expansion: \"\>", 
   "\[InvisibleSpace]", "77.21682497408322`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Z radius of the BEC after expansion: ", 77.21682497408322, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81420184892005*^9, 3.8142019342989335`*^9}, 
   3.814204657843712*^9, 3.8142047312409096`*^9, 3.814280345830731*^9, 
   3.8142815400650373`*^9, 3.8142817568484364`*^9, 3.8144260986423793`*^9, 
   3.8144266762644176`*^9, 3.8144267290164347`*^9, {3.8144267816664457`*^9, 
   3.814426934142167*^9}, 3.814426994723632*^9, 3.8144309829823523`*^9, 
   3.8144310157352257`*^9, 3.814431085812234*^9, 3.8144311211012526`*^9, 
   3.814431625055077*^9, 3.8144321153171186`*^9, 3.8144321476149654`*^9, 
   3.814432180861867*^9, 3.8144322237863226`*^9, 3.814432829350959*^9, {
   3.8144333856737785`*^9, 3.814433410459196*^9}, 3.814516627789583*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Factor for R0: \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "4", "]"}], "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Exponent for (\[Omega]i/\[Omega]Iso): \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "5", "]"}], "]"}], "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8142019447915335`*^9, 3.8142020145145216`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Factor for R0: \"\>", "\[InvisibleSpace]", 
   "0.7692160334662643`"}],
  SequenceForm["Factor for R0: ", 0.7692160334662643],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.814201970333995*^9, {3.8142020078191385`*^9, 3.814202015251564*^9}, 
   3.814204657870713*^9, 3.8142047330430126`*^9, 3.8142803458517323`*^9, 
   3.814281541777135*^9, 3.8142817575874786`*^9, 3.8142818093274384`*^9, 
   3.8142818855767994`*^9, 3.8144261028696213`*^9, 3.814427010979562*^9, 
   3.814432070191537*^9, {3.8144321199683847`*^9, 3.814432183301007*^9}, 
   3.814432223856326*^9, 3.814432288051998*^9, 3.8144328326211457`*^9, {
   3.8144333857257814`*^9, 3.814433413718383*^9}, 3.8145166335289116`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Exponent for (\[Omega]i/\[Omega]Iso): \"\>", 
   "\[InvisibleSpace]", "0.645114571497735`"}],
  SequenceForm["Exponent for (\[Omega]i/\[Omega]Iso): ", 0.645114571497735],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.814201970333995*^9, {3.8142020078191385`*^9, 3.814202015251564*^9}, 
   3.814204657870713*^9, 3.8142047330430126`*^9, 3.8142803458517323`*^9, 
   3.814281541777135*^9, 3.8142817575874786`*^9, 3.8142818093274384`*^9, 
   3.8142818855767994`*^9, 3.8144261028696213`*^9, 3.814427010979562*^9, 
   3.814432070191537*^9, {3.8144321199683847`*^9, 3.814432183301007*^9}, 
   3.814432223856326*^9, 3.814432288051998*^9, 3.8144328326211457`*^9, {
   3.8144333857257814`*^9, 3.814433413718383*^9}, 3.8145166335329123`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"R0", "*", "0.769893635143101`", "*", 
    RowBox[{"(", 
     RowBox[{"\[Omega]IsoD", "*", "endTOF"}], ")"}], "*", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Omega]0y", "/", "\[Omega]IsoD"}], ")"}], "^", 
     RowBox[{"(", "0.6436730370364557`", ")"}]}], "*", 
    RowBox[{"10", "^", "6"}], "*", "aB"}], "\[IndentingNewLine]", " ", 
   RowBox[{"R0", "*", "0.769893635143101`", "*", 
    RowBox[{"(", 
     RowBox[{"\[Omega]IsoD", "*", "endTOF"}], ")"}], "*", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Omega]0z", "/", "\[Omega]IsoD"}], ")"}], "^", 
     RowBox[{"(", "0.6436730370364557`", ")"}]}], "*", 
    RowBox[{"10", "^", "6"}], "*", "aB"}]}]}]], "Input",
 CellChangeTimes->{
  3.814425986891988*^9, {3.8144260187308083`*^9, 3.8144260655604873`*^9}, {
   3.8144261524084544`*^9, 3.8144261580887794`*^9}, {3.8144262029343443`*^9, 
   3.814426203504377*^9}}],

Cell[BoxData["138.59147235081878`"], "Output",
 CellChangeTimes->{{3.8144260553699045`*^9, 3.8144260659795113`*^9}, 
   3.814426158671813*^9, 3.814426204125413*^9}],

Cell[BoxData["79.98058110575376`"], "Output",
 CellChangeTimes->{{3.8144260553699045`*^9, 3.8144260659795113`*^9}, 
   3.814426158671813*^9, 3.8144262041294127`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Omega]0x2", " ", "=", 
   RowBox[{"2.", "*", "Pi", "*", "428."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]0z2", " ", "=", " ", "\[Omega]0x2"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]0y2", " ", "=", " ", 
   RowBox[{"2.", "*", "Pi", "*", "1691"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbBEC2", " ", "=", " ", "15800."}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0x2", " ", "=", " ", 
   RowBox[{"RadTFaxisFun", "[", 
    RowBox[{"NbBEC2", ",", "\[Omega]0x2"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0y2", " ", "=", " ", 
   RowBox[{"RadTFaxisFun", "[", 
    RowBox[{"NbBEC2", ",", "\[Omega]0y2"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0z2", " ", "=", " ", 
   RowBox[{"RadTFaxisFun", "[", 
    RowBox[{"NbBEC2", ",", "\[Omega]0z2"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R02", " ", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"R0x2", "*", "R0y2", "*", "R0z2"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]IsoD2", " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Omega]0x2", "*", "\[Omega]0y2", "*", "\[Omega]0z2"}], ")"}], 
     "^", 
     RowBox[{"(", 
      RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"wy", " ", "=", "  ", 
  RowBox[{"R02", "*", "0.769893635143101`", "*", 
   RowBox[{"(", 
    RowBox[{"\[Omega]IsoD2", "*", "endTOF"}], ")"}], "*", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]0y2", "/", "\[Omega]IsoD2"}], ")"}], "^", 
    RowBox[{"(", "0.6436730370364557`", ")"}]}], "*", 
   RowBox[{"10", "^", "6"}], "*", "aB"}]}], "\[IndentingNewLine]", 
 RowBox[{"wz", " ", "=", 
  RowBox[{"R02", "*", "0.769893635143101`", "*", 
   RowBox[{"(", 
    RowBox[{"\[Omega]IsoD2", "*", "endTOF"}], ")"}], "*", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]0z2", "/", "\[Omega]IsoD2"}], ")"}], "^", 
    RowBox[{"(", "0.6436730370364557`", ")"}]}], "*", 
   RowBox[{"10", "^", "6"}], "*", "aB"}]}]}], "Input",
 CellChangeTimes->{{3.8144263127616262`*^9, 3.814426471123684*^9}}],

Cell[BoxData["174.96710101533225`"], "Output",
 CellChangeTimes->{{3.8144264574279003`*^9, 3.814426471539708*^9}}],

Cell[BoxData["72.25647965548255`"], "Output",
 CellChangeTimes->{{3.8144264574279003`*^9, 3.814426471543708*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"2.", "*", "Pi", "*", 
  RowBox[{"330", "/", "25"}]}]], "Input",
 CellChangeTimes->{{3.8144326188169165`*^9, 3.8144326309276094`*^9}}],

Cell[BoxData["82.93804605477054`"], "Output",
 CellChangeTimes->{{3.81443261607076*^9, 3.814432631472641*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"2", "*", "Pi", "*", 
  RowBox[{
   RowBox[{"740", "/", "25"}], "/", 
   RowBox[{"10", "^", "3."}]}]}]], "Input",
 CellChangeTimes->{{3.814427308902602*^9, 3.8144273410424404`*^9}, {
  3.8144273899622383`*^9, 3.814427420699997*^9}}],

Cell[BoxData["0.18598228509251577`"], "Output",
 CellChangeTimes->{{3.814427310119672*^9, 3.8144273413564587`*^9}, 
   3.8144273904472666`*^9, 3.8144274210760183`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"2.", "*", "Pi", "*", 
  RowBox[{"371", "/", "25"}]}], "\[IndentingNewLine]", 
 RowBox[{"2.", "*", "Pi", "*", 
  RowBox[{"900", "/", "25"}]}]}], "Input",
 CellChangeTimes->{{3.814430798627808*^9, 3.8144308527849054`*^9}, {
  3.814430906456976*^9, 3.8144309252100477`*^9}, {3.8144310338082595`*^9, 
  3.8144310361153917`*^9}}],

Cell[BoxData["93.24246995854506`"], "Output",
 CellChangeTimes->{{3.814430821689127*^9, 3.8144308533099356`*^9}, {
   3.8144309146024413`*^9, 3.8144309255870695`*^9}, 3.8144310369324384`*^9}],

Cell[BoxData["226.1946710584651`"], "Output",
 CellChangeTimes->{{3.814430821689127*^9, 3.8144308533099356`*^9}, {
   3.8144309146024413`*^9, 3.8144309255870695`*^9}, 3.8144310369374385`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"2", "*", "Pi", "*", 
  RowBox[{"740", "/", "175."}]}], "\[IndentingNewLine]", 
 RowBox[{"2", "*", "Pi", "*", 
  RowBox[{"330", "/", "72."}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8144271809392834`*^9, 3.814427215029233*^9}}],

Cell[BoxData["26.568897870359393`"], "Output",
 CellChangeTimes->{{3.8144272119990597`*^9, 3.8144272155482626`*^9}}],

Cell[BoxData["28.797932657906436`"], "Output",
 CellChangeTimes->{{3.8144272119990597`*^9, 3.814427215552263*^9}}]
}, Open  ]],

Cell[BoxData[{"428", "\[IndentingNewLine]", "1691"}], "Input"],

Cell[CellGroupData[{

Cell["Plot of the density distribution of the BEC after TOF", "Section",
 CellChangeTimes->{{3.814201709476074*^9, 3.814201723958903*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tabPlotY", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{
        RowBox[{"plotBECFun", "[", 
         RowBox[{
          RowBox[{"r", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], ",", 
          RowBox[{"Last", "[", 
           RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"-", "150"}], ",", "150", ",", "1."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tabPlotZ", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r", ",", 
        RowBox[{
         RowBox[{"plotBECFun", "[", 
          RowBox[{
           RowBox[{"r", "*", 
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}]}], ",", 
           RowBox[{"Last", "[", 
            RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", 
        RowBox[{"-", "150"}], ",", "150", ",", "1."}], "}"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"tabPlotY", ",", "tabPlotZ"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotMarkers", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Small"}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<BEC density profile\>\"", ",", 
      RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Along the Y axis\>\"", ",", "\"\<Along the Z axis\>\""}], 
     "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Distance (\[Micro]m)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Density (1/m^3)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8141893987729425`*^9, 3.814189399725997*^9}, {
  3.8141944122726984`*^9, 3.8141944225872884`*^9}, {3.814202949402994*^9, 
  3.8142029508960795`*^9}, {3.814203124579014*^9, 3.814203194782029*^9}, {
  3.814203231244115*^9, 3.8142033254935055`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Small, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}], CompressedData["
1:eJxdmHlUVOcZxr+4IIbIEkkERCUICIoLgojI8rCKrLMwzAwww7hA2lQJJxpp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         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Small, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}], CompressedData["
1:eJxd1mtQlGUUB/Ani5SE8UYDitpqiIhAclFYWOGwsFyW2+6KorIrq2TexjIv
4yXDt2y8YEkfbLCLQZY31CZHRZMmzjimjJPoB0xraKKUClNjKmOcMmtmn9c8
/3f48pvDf9/d932ec54x817wzH9UKRX/iFL//al+Sl88j9XDVyPYAPvBBLaA
FbhrrjSDG8EG2A8msAWswF1+uD+4EWyA/WACW8AK71cFnw8msALzHMiDCazA
7IM8mMAKzF7IgwmswFwJeTCBFZhnQx5MYAXmWZAHE1iBeSbkwQRWYK6APJjA
CswzIA8msALzdMiDCazAXA55MIEVmKdBHkxgBWYPV58/29NQf8YeyHs4tMd1
cGNKb8Dk4fDeA1W2ffcCVh4e3zcmtG5VUE4g7+b7L9YtDVMhARtujjq2Pabe
OiRgcnPkre7K5xeEBazc/E31hUt1W8N13sULIhyb/2oYofMuvvhEyYYjTaN0
3sXrdi3vvFpu0XkXL+94fERN+xj9/2VcHlu9psD+tK6XcWTD5r7UT6J0vZTb
klbWF0dE63op+7pjZm5aN17XS/hy8x5r91cxul7CqftuZCyKj9X1Yq5p7psz
tGairhfzgetf7u5qi9P1Im5NXNy/IzRB14v4xK6Lr98sfkbXnezcUTP8yZxJ
uu7khEV315/t1DYK+bWSq8tqVyTqeiGXZkfe8fdP0vUC3pZ7Oti5U1sVcHrF
hY8d0cm6ns/etbbr045oq3z+rWlQ00priq7n8b1f8tT+z7VVHq+2/fDjLZqs
6w5e+N73vjzWVg4+P9Ax/4htiq7nckNtyL2EZm2Vyz9FpI1rjUvV9Rz+sPnc
t3MbtVUOd1S3RIcPSdN1O6+yDFPf1WgrO9febF/0aY9Zz+awttvVe91WXc/m
QUeX397TrG0Q1xyeHXwyIl3XiatO7D3Wudp0Fh+9NKN3WIfpTH757uLPfPEZ
2lP5ZOK1iFMbTdv4ubWtQROumM7gLZfuv9o03qadziNTP3ozc5VpK487fCih
u9V0GjckDfe933+qdiq/ca4ncnGx6Sn865LRSwq2m57Mp5864bReMJ3CIdeO
nrIFZ2on8xfHw1o8dtNJ/Hv910UvrTGdyDu29lvafND0JN5fWzf6sU7TCZz4
ruF/NjhLO45jWy4nXUk2Hctv39j+lrfSdAyvnXBoyx8bTEdz++r4kIYPTEfx
jstDLV42PZbb7d4zEztNW3h9a/Dd0DumR3L7ntCqV4JIO4J3rmgLDhpkOowj
C4//PSTc9GCuiO5I3T/K9AAuHTiu5dxY04r/6du3aVm06d7WhTe97+yOeVBX
237O+dM34UE9C+ok8wNIfv5gkvcPI/n9Ikh+/5Ekf5+F5O8fS/L5RJF8ftEk
n28MyecfS/L9xJF8fwkk3+8kku8/keT6SCK5fpJJrq8UkutvMsn1OYXk+k0l
ub7TSK5/K8n9kU5y/2SQ3F82kvtvKsn9mUly/2aR3N9EYv8bRLI/ZJPsH9kk
+4udZP+xk+xPOST7Vw7J/pZLsv/lkuyPDpL900Gyv+aR7L95JPtzPsn+nU+y
vxeQ7P8FJOdDIcn5UUhyvjhJzh8nyflURHJ+FZGcb8Uk518xyflYQnJ+lpCc
r6Uk528pyflcRnJ+l5Gc7y4S859cJM4HhovE+YFdJM4Xyk3i/EFuEucTw03i
/MJuEucb5SFx/iEPifOR4SFxfmIPifOVmkbq4YvABpjBqhzyYAPMYDUd8mAD
zGA1A/JgA8xgVQF5sAFmsJoJebABZrCaBXmwAWawmg15sAFmsKqEPNgAM1h5
IQ82wAxWPsiDDTCD1RzIgw0wg1UV5MEGmMHKL20BE9gPNsCNYAZ3gdVcuD+Y
wH6wAW4EM7gLrObB/cEE9oMNcCOY//e/LwhM4A==
         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{-150., 150.}, {0, 9.098166335426838*^15}}, 
     DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         StyleBox[
         "\"Density (1/m^3)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Distance (\[Micro]m)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"BEC density profile\"", FontSize -> 16, StripOnInput -> False], 
       TraditionalForm], 
     PlotRange -> {{-150., 150.}, {0, 9.098166335426838*^15}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"Along the Y axis\"", "\"Along the Z axis\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Small"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Small"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.814203254276432*^9, 3.8142033262765503`*^9}, 
   3.8142048158387485`*^9, 3.814280364678809*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tabAuxR", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{"r", ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"-", "150"}], ",", "150", ",", "2."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tabAux2D", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"plotBEC2DFun", "[", 
        RowBox[{
         RowBox[{"#", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], ",", 
         RowBox[{"Last", "[", 
          RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "&"}], ",",
       "tabAuxR"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tabPlot2DY", " ", "=", " ", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"tabAuxR", "[", 
         RowBox[{"[", "#", "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"tabAux2D", "[", 
          RowBox[{"[", "#", "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "&"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{"i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "tabAuxR", "]"}]}], "}"}]}], "]"}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tabPlot2DZ", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"tabAuxR", "[", 
          RowBox[{"[", "#", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"tabAux2D", "[", 
           RowBox[{"[", "#", "]"}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "&"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{"i", ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"Length", "[", "tabAuxR", "]"}]}], "}"}]}], "]"}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"tabPlot2DY", ",", "tabPlot2DZ"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotMarkers", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Small"}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<BEC integrated density profile along X\>\"", ",", 
      RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Along the Y axis\>\"", ",", "\"\<Along the Z axis\>\""}], 
     "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Distance (\[Micro]m)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Integrated density\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8141803263970327`*^9, 3.814180467654112*^9}, {
   3.8141808248225408`*^9, 3.8141808798666887`*^9}, {3.8141810572108326`*^9, 
   3.814181086402502*^9}, {3.814181179588832*^9, 3.81418117990385*^9}, {
   3.814181264226673*^9, 3.814181268100895*^9}, {3.8141814092249665`*^9, 
   3.8141814112220807`*^9}, 3.8141816746571484`*^9, 3.814181893622672*^9, {
   3.814185991398052*^9, 3.814186029632239*^9}, {3.81418875569116*^9, 
   3.8141887560611815`*^9}, {3.814188792194248*^9, 3.8141888089242053`*^9}, {
   3.814188972591566*^9, 3.8141890056484575`*^9}, {3.814189090756325*^9, 
   3.814189125478311*^9}, {3.814189165932625*^9, 3.814189183282617*^9}, {
   3.8142021701964264`*^9, 3.8142021717535152`*^9}, {3.8142025166022396`*^9, 
   3.81420273953199*^9}, {3.8142029560313735`*^9, 3.8142029594985714`*^9}, 
   3.814203009255418*^9, {3.8142030815435524`*^9, 3.8142030821485868`*^9}, {
   3.8142033377882085`*^9, 3.8142033892221503`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Small, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}], CompressedData["
1:eJxdln9M1HUYx7/A3SJQYtgasEDMGyhpXux05Ig9d+dxwh1wv3//viMTKbKV
5q956h9OK9GBP4CWqOhqwmYb0daoHpv9WOWPRjna0k1GclbMOYx0QurG8zGf
73f7/vG61z533+/n8zzP+xbEWm1NGZIkHX54pz280yW6MIbS41dSxiBjScYY
la2XMchYkjFGZOtlDBE8j+1NmbVntLMfRDAtLfTt7XNTs5wM43Jl2UTh2Bzd
rA/j6MgR54i/YJaTIXwi0H/o1NRz5ENo7pvoufznYvJBHNWd7L84qCYfxDc6
JzOjAxryAfzQWjxS8kcl+QBK+2pm9mhfJu/HuQ2eAwevAXk/GlNdoYoKPXkf
5u/w3SvabyDvw4GJrxuK7hrJe3HZWOcPz6+rI+/FjFLl7jfHzOQ9+MmJvCZt
vJG8BxOlHw8rJi3k3bjTabrYt9xG3o2XJ2Ltf79jJ+/CjgM90YVDDvIuPLx+
uPvz/5zknbixreWsCtzkndhzyt7x+3YPeQfW390XTHzhJe/AUs0tk+GOj7wd
g+/qUjnqAHk7pizmblciSN6Gjcev6z7rCJG34fjPnw5fwjB5Kz519bd01VsR
8lYszJ1WxJVR8ha8IFWpptuJJQsOdDvzvp8fI27E4msFiWMfCW7A23XxTYkX
4sT12LbLu+bmGcFmzCv/amyBOkFswszXciqvnBZch6ljL5YpVE3EtRhM70tt
PiJ4Nb7/wZxnyp58hdiIncm9R2++LbgGN6zvx6Grgg2YNXPjn436NcSr8K87
hZPZvYL1eDD7m66E9CqxDnNemjf1ukewFm+t3ba0oE8wYOnx7J22e4Kr8f7C
cmN2zVriKvwpT3FF857glVjs9p8+e15wJSraf332ZFYz8QocHx3sGtYJ1uCh
6Yw9ug2CK/DcjFKf6hWsxs3j5flDFwQvwS8j1bWDk4IXYeuNKeWleeuIVdi/
+JfmjGWCSzC8y7TdZBCcj6atoOl1Cc7ForTvYllxwRK2Xl/645bmRyxtabE8
/W/LIwbuc4Gvzwf+/SXAf18F/PkWAX/+JcDfTw38/SuA748G+P6tAL6/lcD3
fyXw86kCfn7VwM8XgJ+/Fnh96IDXjx54fa0CXn8G4PVZA7x+jcDrezXw+q8F
3h91wPvHBLy/zMD7rx54fzYA799G4P1tAdb/SQvw+WAFPj+swOeLDfj8sQGf
T3bg88sOfL45gM8/B/D56AQ+P53A56sL+Px1AZ/PbuDz2w18vnuAz38P8Hzw
As8PL/B88QHPHx/wfPIDzy8/8HwLAM+/APB8DALPzyDwfA0Bz98Q8HwOA8/v
MPB8jwDLf4gA+3+QjID0+IUylqKcQcZJGaOMpZhsvYyTMsb/+QG8A2GY
         "]]}, {
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Small, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}], CompressedData["
1:eJxd1G1Ik1EUB/DrRkRBIbQgsjBLycqoTGTkS8eptenUbdrU6ZxbrsykPpWS
YDckQYgoeoXETyYVFJFgUVAnMjOkD1H0AoGoFBQVgZVgfUjwzjz/C8+H3/N/
7vY8955zkyKHfVGrUurSzBU3c1mUGRxhNX9oMIEVmMMwH0xgBeZ6mA8msMLn
Q5CDdR3kYB2EHKxrIQfrGsjBOgA5WFdDDtZVkIN1JeRg7YccrPdADtYVkIN1
OeRg7ePQs/slfa2TebM3fHzvmuvlsj82x2zu5W+27Y0n/SmzVl5++0W3DC7e
ZnIPD338+aR9td3kHj4zbH316O5O4zLOeRxNcH7INy7lhncPBl5YnMYl7Mjp
uN1Z4DZ2s8u9aMTm9hgX8/euQMXrYz7jIr55hROnblQYu/hQac8t/3u/sZOn
R5q6E63Vxru5d1XWvcGUGuNdPPFwIvFXbtC4kLd5/CfOu0PGBTxe87Il0Fdv
nM9jG4KTwz1hYwenrQsnDJ2OGOfxqGvEe+7IXmPihf2BrhO+BuNcvvq0b/mP
5KhxNnfdabte/DXmHZx1ytm25No+YzsvWL+l637lfuNMto32To1Px5zBn+p6
OpPONhqnc8i5dGXCygPGW7nKnljefiHmNA60xtut1ibjVHastXxuisSczHHd
ZfXH+2New48HAjnLfse8gv++Gbsct/GgcTwHLZvGN5fFrPj5xaODHdE5q7Zm
j22qec4k83iS81eQ/P01JP8/meT7pZJ8/zSS37eV5Penk1yfDJLrl0lyfe0k
138Hyf3JJrl/uST3l0jufx7J+nCQrJ98kvVVQLL+CknW5y6S9bubZH07Sda/
i2R/FJHsn2KS/eUm2X8lJPuzlGT/lpHsbw+J/tcekueDl+T54SV5vvhInj8+
kudTOan5Q4NVBeRgtQdysPJDDlaVkINVFeRgVQ05WAUgB6sayMGqFnKwCkIO
VnWQg1UIcrCqlyawBjNYhWE+WIMZrCIwH6zB/N//AK2Bmxc=
         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{-150., 150.}, {0, 9.4233799129939*^11}}, DisplayFunction -> 
     Identity, AspectRatio -> NCache[GoldenRatio^(-1), 0.6180339887498948], 
     Axes -> {True, True}, AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
     FrameLabel -> {{
        FormBox[
         StyleBox[
         "\"Integrated density\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Distance (\[Micro]m)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"BEC integrated density profile along X\"", FontSize -> 16, 
        StripOnInput -> False], TraditionalForm], 
     PlotRange -> {{-150., 150.}, {0, 9.4233799129939*^11}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"Along the Y axis\"", "\"Along the Z axis\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Small"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Small"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.814189190446027*^9, 3.8141906643083267`*^9, 
  3.8141944165249414`*^9, 3.8142020489914937`*^9, 3.814202174687683*^9, 
  3.814202229440815*^9, 3.814203069222848*^9, 3.81420343047651*^9, 
  3.814203532742359*^9, 3.814204873843066*^9, 3.8142804243352213`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"auxScale2D", " ", "=", " ", 
   RowBox[{
    RowBox[{"plotBEC2DFun", "[", 
     RowBox[{"0.", ",", 
      RowBox[{"Last", "[", 
       RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"auxScale", " ", "=", 
    RowBox[{
     RowBox[{"plotBECFun", "[", 
      RowBox[{"0.", ",", 
       RowBox[{"Last", "[", 
        RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tabPlotYScaled", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"plotBECFun", "[", 
           RowBox[{
            RowBox[{"r", "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}], ",", 
            RowBox[{"Last", "[", 
             RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], "/", "auxScale"}], "*", 
        "auxScale2D"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"-", "150"}], ",", "150", ",", "1."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tabPlotZScaled", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r", ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"plotBECFun", "[", 
            RowBox[{
             RowBox[{"r", "*", 
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}]}], ",", 
             RowBox[{"Last", "[", 
              RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
           RowBox[{"[", "3", "]"}], "]"}], "/", "auxScale"}], "*", 
         "auxScale2D"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", 
        RowBox[{"-", "150"}], ",", "150", ",", "1."}], "}"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"compPlotY", "=", " ", 
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tabPlotYScaled", ",", "tabPlot2DY"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]",
       ",", 
      RowBox[{"PlotMarkers", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", "Small"}], "}"}]}], "\[IndentingNewLine]", 
      ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<Comparison of density profiles with/without integration along \
X\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<Not integrated\>\"", ",", "\"\<Integrated\>\""}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.85", ",", "0.85"}], "}"}]}], "]"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Distance along Y (\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Rescaled density\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"compPlotZ", " ", "=", " ", 
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tabPlotZScaled", ",", "tabPlot2DZ"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]",
       ",", 
      RowBox[{"PlotMarkers", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", "Small"}], "}"}]}], "\[IndentingNewLine]", 
      ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<Comparison of density profiles with/without integration along \
X\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<Not integrated\>\"", ",", "\"\<Integrated\>\""}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.85", ",", "0.85"}], "}"}]}], "]"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Distance along Z(\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Rescaled density\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{"compPlotY", ",", "compPlotZ"}], "}"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8142024744408283`*^9, 3.8142024942749624`*^9}, {
   3.8142027553788967`*^9, 3.8142028892365527`*^9}, 3.814202919557287*^9, {
   3.8142029728983383`*^9, 3.8142029815288315`*^9}, {3.8142030206710706`*^9, 
   3.8142030885069504`*^9}, {3.814203409032284*^9, 3.814203638775424*^9}, {
   3.8142037864988737`*^9, 3.8142038582739787`*^9}, {3.814204329674941*^9, 
   3.8142043338231783`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{}, {
            {RGBColor[0.368417, 0.506779, 0.709798], AbsolutePointSize[6], 
             AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
               StyleBox["\<\"\[FilledCircle]\"\>",
                StripOnInput->False,
                FontSize->Small], {0., 0.}], CompressedData["
1:eJxdmHtQVOcZxj+DZuykQTQwoBiLikoMIHhbEYWH5bqwwLJ3WPYiSvCSoOKo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              "]]}, 
            {RGBColor[0.880722, 0.611041, 0.142051], AbsolutePointSize[6], 
             AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
               StyleBox["\<\"\[FilledSquare]\"\>",
                StripOnInput->False,
                FontSize->Small], {0., 0.}], CompressedData["
1:eJxdln9M1HUYx7/A3SJQYtgasEDMGyhpXux05Ig9d+dxwh1wv3//viMTKbKV
5q956h9OK9GBP4CWqOhqwmYb0daoHpv9WOWPRjna0k1GclbMOYx0QurG8zGf
73f7/vG61z533+/n8zzP+xbEWm1NGZIkHX54pz280yW6MIbS41dSxiBjScYY
la2XMchYkjFGZOtlDBE8j+1NmbVntLMfRDAtLfTt7XNTs5wM43Jl2UTh2Bzd
rA/j6MgR54i/YJaTIXwi0H/o1NRz5ENo7pvoufznYvJBHNWd7L84qCYfxDc6
JzOjAxryAfzQWjxS8kcl+QBK+2pm9mhfJu/HuQ2eAwevAXk/GlNdoYoKPXkf
5u/w3SvabyDvw4GJrxuK7hrJe3HZWOcPz6+rI+/FjFLl7jfHzOQ9+MmJvCZt
vJG8BxOlHw8rJi3k3bjTabrYt9xG3o2XJ2Ltf79jJ+/CjgM90YVDDvIuPLx+
uPvz/5zknbixreWsCtzkndhzyt7x+3YPeQfW390XTHzhJe/AUs0tk+GOj7wd
g+/qUjnqAHk7pizmblciSN6Gjcev6z7rCJG34fjPnw5fwjB5Kz519bd01VsR
8lYszJ1WxJVR8ha8IFWpptuJJQsOdDvzvp8fI27E4msFiWMfCW7A23XxTYkX
4sT12LbLu+bmGcFmzCv/amyBOkFswszXciqvnBZch6ljL5YpVE3EtRhM70tt
PiJ4Nb7/wZxnyp58hdiIncm9R2++LbgGN6zvx6Grgg2YNXPjn436NcSr8K87
hZPZvYL1eDD7m66E9CqxDnNemjf1ukewFm+t3ba0oE8wYOnx7J22e4Kr8f7C
cmN2zVriKvwpT3FF857glVjs9p8+e15wJSraf332ZFYz8QocHx3sGtYJ1uCh
6Yw9ug2CK/DcjFKf6hWsxs3j5flDFwQvwS8j1bWDk4IXYeuNKeWleeuIVdi/
+JfmjGWCSzC8y7TdZBCcj6atoOl1Cc7ForTvYllxwRK2Xl/645bmRyxtabE8
/W/LIwbuc4Gvzwf+/SXAf18F/PkWAX/+JcDfTw38/SuA748G+P6tAL6/lcD3
fyXw86kCfn7VwM8XgJ+/Fnh96IDXjx54fa0CXn8G4PVZA7x+jcDrezXw+q8F
3h91wPvHBLy/zMD7rx54fzYA799G4P1tAdb/SQvw+WAFPj+swOeLDfj8sQGf
T3bg88sOfL45gM8/B/D56AQ+P53A56sL+Px1AZ/PbuDz2w18vnuAz38P8Hzw
As8PL/B88QHPHx/wfPIDzy8/8HwLAM+/APB8DALPzyDwfA0Bz98Q8HwOA8/v
MPB8jwDLf4gA+3+QjID0+IUylqKcQcZJGaOMpZhsvYyTMsb/+QG8A2GY
              "]]}, {}}, {}}, InsetBox[
           TemplateBox[{"\"Not integrated\"","\"Integrated\""},
            "PointLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"PointLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], 
                    "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\[FilledCircle]\"", ",", "Small"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\[FilledSquare]\"", ",", "Small"}], "}"}]}], 
                    "}"}]}], ",", 
                 RowBox[{"Joined", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "False"}], "}"}]}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.85, 0.85}], ImageScaled[{0.5, 0.5}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{0, 0},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Rescaled density\"", FontSize -> 16, StripOnInput -> False], 
             TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Distance along Y (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}},
         FrameStyle->Directive[FontSize -> 18],
         FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImageSize->400,
         Method->{},
         PlotLabel->FormBox[
           StyleBox[
           "\"Comparison of density profiles with/without integration along X\
\"", FontSize -> 16, StripOnInput -> False], TraditionalForm],
         PlotRange->{{-150., 150.}, {0, 9.4233799129939*^11}},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.02], 
            Scaled[0.05]}},
         Ticks->{Automatic, Automatic}],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{}, {{{
              Directive[
               PointSize[0.007333333333333334], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               AbsolutePointSize[6]], 
              GeometricTransformation[
               Inset[
                Style["\[FilledCircle]", FontSize -> Small], {0., 
                0.}], CompressedData["
1:eJxdmHtQVOcZxj+DZuykQTQwoBiLikoMIHhbEYWH5bqwwLJ3WPYiSvCSoOKo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               "]]}, {
              Directive[
               PointSize[0.007333333333333334], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6], 
               AbsolutePointSize[6]], 
              GeometricTransformation[
               Inset[
                Style["\[FilledSquare]", FontSize -> Small], {0., 
                0.}], CompressedData["
1:eJxdln9M1HUYx7/A3SJQYtgasEDMGyhpXux05Ig9d+dxwh1wv3//viMTKbKV
5q956h9OK9GBP4CWqOhqwmYb0daoHpv9WOWPRjna0k1GclbMOYx0QurG8zGf
73f7/vG61z533+/n8zzP+xbEWm1NGZIkHX54pz280yW6MIbS41dSxiBjScYY
la2XMchYkjFGZOtlDBE8j+1NmbVntLMfRDAtLfTt7XNTs5wM43Jl2UTh2Bzd
rA/j6MgR54i/YJaTIXwi0H/o1NRz5ENo7pvoufznYvJBHNWd7L84qCYfxDc6
JzOjAxryAfzQWjxS8kcl+QBK+2pm9mhfJu/HuQ2eAwevAXk/GlNdoYoKPXkf
5u/w3SvabyDvw4GJrxuK7hrJe3HZWOcPz6+rI+/FjFLl7jfHzOQ9+MmJvCZt
vJG8BxOlHw8rJi3k3bjTabrYt9xG3o2XJ2Ltf79jJ+/CjgM90YVDDvIuPLx+
uPvz/5zknbixreWsCtzkndhzyt7x+3YPeQfW390XTHzhJe/AUs0tk+GOj7wd
g+/qUjnqAHk7pizmblciSN6Gjcev6z7rCJG34fjPnw5fwjB5Kz519bd01VsR
8lYszJ1WxJVR8ha8IFWpptuJJQsOdDvzvp8fI27E4msFiWMfCW7A23XxTYkX
4sT12LbLu+bmGcFmzCv/amyBOkFswszXciqvnBZch6ljL5YpVE3EtRhM70tt
PiJ4Nb7/wZxnyp58hdiIncm9R2++LbgGN6zvx6Grgg2YNXPjn436NcSr8K87
hZPZvYL1eDD7m66E9CqxDnNemjf1ukewFm+t3ba0oE8wYOnx7J22e4Kr8f7C
cmN2zVriKvwpT3FF857glVjs9p8+e15wJSraf332ZFYz8QocHx3sGtYJ1uCh
6Yw9ug2CK/DcjFKf6hWsxs3j5flDFwQvwS8j1bWDk4IXYeuNKeWleeuIVdi/
+JfmjGWCSzC8y7TdZBCcj6atoOl1Cc7ForTvYllxwRK2Xl/645bmRyxtabE8
/W/LIwbuc4Gvzwf+/SXAf18F/PkWAX/+JcDfTw38/SuA748G+P6tAL6/lcD3
fyXw86kCfn7VwM8XgJ+/Fnh96IDXjx54fa0CXn8G4PVZA7x+jcDrezXw+q8F
3h91wPvHBLy/zMD7rx54fzYA799G4P1tAdb/SQvw+WAFPj+swOeLDfj8sQGf
T3bg88sOfL45gM8/B/D56AQ+P53A56sL+Px1AZ/PbuDz2w18vnuAz38P8Hzw
As8PL/B88QHPHx/wfPIDzy8/8HwLAM+/APB8DALPzyDwfA0Bz98Q8HwOA8/v
MPB8jwDLf4gA+3+QjID0+IUylqKcQcZJGaOMpZhsvYyTMsb/+QG8A2GY
               "]]}, {}}}, {}}, {
          DisplayFunction -> Identity, PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.02], 
              Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
           PlotRange -> {{-150., 150.}, {0, 9.4233799129939*^11}}, 
           DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
           Axes -> {True, True}, AxesLabel -> {None, None}, 
           AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Rescaled density", FontSize -> 16], None}, {
              Style["Distance along Y (\[Micro]m)", FontSize -> 16], None}}, 
           FrameStyle -> Directive[FontSize -> 18], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> 400, Method -> {}, PlotLabel -> 
           Style[
            "Comparison of density profiles with/without integration along X",
              FontSize -> 16], 
           PlotRange -> {{-150., 150.}, {0, 9.4233799129939*^11}}, 
           PlotRangeClipping -> True, PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.02], 
              Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           PointLegend[{
             Directive[
              PointSize[0.007333333333333334], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6]], 
             Directive[
              PointSize[0.007333333333333334], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]]}, {"Not integrated", "Integrated"}, 
            LegendMarkers -> {{"\[FilledCircle]", Small}, {
              "\[FilledSquare]", Small}}, Joined -> {False, False}, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {0.85, 0.85}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {192., -189.}, {Center, Center}, {360., 360.}], 
    InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{}, {
            {RGBColor[0.368417, 0.506779, 0.709798], AbsolutePointSize[6], 
             AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
               StyleBox["\<\"\[FilledCircle]\"\>",
                StripOnInput->False,
                FontSize->Small], {0., 0.}], CompressedData["
1:eJxd1n1MlXUUB/AfaIpZKsKcTs3bVRENUJA3QeDcCxe4XF7uvYCAvHi5qRho
0aJmYvWspTKbZviGpoVtOg2YOkvFdJwmbTnLt6LN3BzM1jSbSam4NrQ2fo95
vs/457PD9z73Ps/vd87vRf9r3mXDlFKRAUr996cClb7Yz+rpqxVsgH1gAlvA
CtxbLc3gVrAB9oEJbAErcK8P7g9uBRtgH5jAFrDC+y2BzwcTWIG5CvJgAisw
V0IeTGAF5grIgwmswFwOeTCBFZgXQx5MYAXmMsiDCazAXAp5MIEVmEsgDyaw
AvMiyIMJrMBcDHkwgRWYiyAPJrACcyHkwQRWYPZyQM86V9/qfttQ3svBv848
2ffeZPtQ3ssdyf5VI2fPHrLycqfr8J25cTFDZg9fDBw+YfCbhCEbHu6xH464
nZSi8x4eXFc6abDApvMennB4eOj2h+k67+bOKRXrU3Zm6ryb/75QVf/gJafO
u/ngt89d6Tru0nk331TL23Yl5Ov/L+ByintkK3HregFvsG7yd23y6Ho+Dxw4
Fejo8up6Pnf8cOb6lduFup7H+3fseLAipFjX8/i3AEfOyPhFup7LtWPPXe0o
LNH1XI7psu6vWFmq6y62B3vbQ4wyXXfxtmdK/ryyebGu5/CcPdGv7m4p1/Uc
DurpC6/dW6HrTp59pGaafW+lrju5OfKsx9pSpevZnJZ3r+vZzUt0PZt3bhj8
8p00n65n8dHO27PWfKWtsvjO6e6T/4RX63omuz9uqnm8S1tl8qX4hNimIL+u
O/itjksvbG/QVg5OuV80K+y6Wc/gsDHdecmOl3U9g6MfTm3+6ZC2kc6+Y/57
/aOX6no6H0trbthap23Yeebe9vGd35l1O399/ugF//Rlum7jhvP7Dm5p1FY2
LtizttV+2awT56baj6+esVzXieuO/nUr5k3Tadx+f1Py62dNp3LI6NC2+WNr
tFN4d/8HiWtKTS/k9EO9NzI+M53MY2NmdWy9YTqJH31Yum35zBXaC3jciYZd
Z5aaTmT7scbTLftMJ3CLsWpw4JrpeA6ellNxLeQV7Thu2xx81e40Hcu1F8++
EbXW9Hx29vkiPm03HcOu7puBzb+Yjub61eUDo0bUas/jE4MnR42YazqKrUUB
SeuLTUdwR2Ns08a3Tc/hygbvvfGfmA7nyNTyd6edMh3G1qv5YUd+Nj2DEx2R
f3TfNW3l+vcfXKwMqtO28Pdbvri8ZqrpKeysd/ZPnmd6It+y/BhlI9Oh3PZ5
1sbf80yP44/uHxg2scx0EO+Y1L/7XLVpxTwmzP24xvTdrud7HNM7657UVeNK
d+jAyif1NKiTzAeR/PxxJO8fSvL7TST5/aeQ/H0Wkr/fSvL5zCD5/MJIPt9w
ks9/Dsn3E0Hy/UWRfL/zSL7/aJLrI4bk+plPcn3Fklx/cSTXZzzJ9ZtAcn0n
klz/C0jujySS+yeZ5P5aSHL/pZDcn6kk928ayf1NJPa/QST7g41k/7CR7C92
kv3HTrI/pZPsX+kk+1sGyf6XQbI/Okj2TwfJ/ppJsv9mkuzPWST7dxbJ/p5N
sv9nk5wPTpLzw0lyvuSQnD85JOeTi+T8cpGcb7kk518uyfmYR3J+5pGcr/kk
528+yflcQHJ+F5Cc724S85/cJM4HhpvE+YHdJM4XykPi/EEeEucTw0Pi/MIe
Eucb5SVx/iEvifOR4SVxfmIvifOVKiT19EVgA8xgVQR5sAFmsCqGPNgAM1gt
gjzYADNYlUAebIAZrEohDzbADFZlkAcbYAarxZAHG2AGq3LIgw0wg1UF5MEG
mMGqEvJgA8xgVQV5sAFmsFoCebABZrDySVvABPaBDXArmMG9YFUN9wcT2Ac2
wK1gBveClR/uDyawD2yAW8H8v/8F1L9dfA==
              "]]}, 
            {RGBColor[0.880722, 0.611041, 0.142051], AbsolutePointSize[6], 
             AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
               StyleBox["\<\"\[FilledSquare]\"\>",
                StripOnInput->False,
                FontSize->Small], {0., 0.}], CompressedData["
1:eJxd1G1Ik1EUB/DrRkRBIbQgsjBLycqoTGTkS8eptenUbdrU6ZxbrsykPpWS
YDckQYgoeoXETyYVFJFgUVAnMjOkD1H0AoGoFBQVgZVgfUjwzjz/C8+H3/N/
7vY8955zkyKHfVGrUurSzBU3c1mUGRxhNX9oMIEVmMMwH0xgBeZ6mA8msMLn
Q5CDdR3kYB2EHKxrIQfrGsjBOgA5WFdDDtZVkIN1JeRg7YccrPdADtYVkIN1
OeRg7ePQs/slfa2TebM3fHzvmuvlsj82x2zu5W+27Y0n/SmzVl5++0W3DC7e
ZnIPD338+aR9td3kHj4zbH316O5O4zLOeRxNcH7INy7lhncPBl5YnMYl7Mjp
uN1Z4DZ2s8u9aMTm9hgX8/euQMXrYz7jIr55hROnblQYu/hQac8t/3u/sZOn
R5q6E63Vxru5d1XWvcGUGuNdPPFwIvFXbtC4kLd5/CfOu0PGBTxe87Il0Fdv
nM9jG4KTwz1hYwenrQsnDJ2OGOfxqGvEe+7IXmPihf2BrhO+BuNcvvq0b/mP
5KhxNnfdabte/DXmHZx1ytm25No+YzsvWL+l637lfuNMto32To1Px5zBn+p6
OpPONhqnc8i5dGXCygPGW7nKnljefiHmNA60xtut1ibjVHastXxuisSczHHd
ZfXH+2New48HAjnLfse8gv++Gbsct/GgcTwHLZvGN5fFrPj5xaODHdE5q7Zm
j22qec4k83iS81eQ/P01JP8/meT7pZJ8/zSS37eV5Penk1yfDJLrl0lyfe0k
138Hyf3JJrl/uST3l0jufx7J+nCQrJ98kvVVQLL+CknW5y6S9bubZH07Sda/
i2R/FJHsn2KS/eUm2X8lJPuzlGT/lpHsbw+J/tcekueDl+T54SV5vvhInj8+
kudTOan5Q4NVBeRgtQdysPJDDlaVkINVFeRgVQ05WAUgB6sayMGqFnKwCkIO
VnWQg1UIcrCqlyawBjNYhWE+WIMZrCIwH6zB/N//AK2Bmxc=
              "]]}, {}}, {}}, InsetBox[
           TemplateBox[{"\"Not integrated\"","\"Integrated\""},
            "PointLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"PointLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], 
                    "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\[FilledCircle]\"", ",", "Small"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\[FilledSquare]\"", ",", "Small"}], "}"}]}], 
                    "}"}]}], ",", 
                 RowBox[{"Joined", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "False"}], "}"}]}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.85, 0.85}], ImageScaled[{0.5, 0.5}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{0, 0},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Rescaled density\"", FontSize -> 16, StripOnInput -> False], 
             TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Distance along Z(\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}},
         FrameStyle->Directive[FontSize -> 18],
         FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImageSize->400,
         Method->{},
         PlotLabel->FormBox[
           StyleBox[
           "\"Comparison of density profiles with/without integration along X\
\"", FontSize -> 16, StripOnInput -> False], TraditionalForm],
         PlotRange->{{-150., 150.}, {0, 9.4233799129939*^11}},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.02], 
            Scaled[0.05]}},
         Ticks->{Automatic, Automatic}],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{}, {{{
              Directive[
               PointSize[0.007333333333333334], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               AbsolutePointSize[6]], 
              GeometricTransformation[
               Inset[
                Style["\[FilledCircle]", FontSize -> Small], {0., 
                0.}], CompressedData["
1:eJxd1n1MlXUUB/AfaIpZKsKcTs3bVRENUJA3QeDcCxe4XF7uvYCAvHi5qRho
0aJmYvWspTKbZviGpoVtOg2YOkvFdJwmbTnLt6LN3BzM1jSbSam4NrQ2fo95
vs/457PD9z73Ps/vd87vRf9r3mXDlFKRAUr996cClb7Yz+rpqxVsgH1gAlvA
CtxbLc3gVrAB9oEJbAErcK8P7g9uBRtgH5jAFrDC+y2BzwcTWIG5CvJgAisw
V0IeTGAF5grIgwmswFwOeTCBFZgXQx5MYAXmMsiDCazAXAp5MIEVmEsgDyaw
AvMiyIMJrMBcDHkwgRWYiyAPJrACcyHkwQRWYPZyQM86V9/qfttQ3svBv848
2ffeZPtQ3ssdyf5VI2fPHrLycqfr8J25cTFDZg9fDBw+YfCbhCEbHu6xH464
nZSi8x4eXFc6abDApvMennB4eOj2h+k67+bOKRXrU3Zm6ryb/75QVf/gJafO
u/ngt89d6Tru0nk331TL23Yl5Ov/L+ByintkK3HregFvsG7yd23y6Ho+Dxw4
Fejo8up6Pnf8cOb6lduFup7H+3fseLAipFjX8/i3AEfOyPhFup7LtWPPXe0o
LNH1XI7psu6vWFmq6y62B3vbQ4wyXXfxtmdK/ryyebGu5/CcPdGv7m4p1/Uc
DurpC6/dW6HrTp59pGaafW+lrju5OfKsx9pSpevZnJZ3r+vZzUt0PZt3bhj8
8p00n65n8dHO27PWfKWtsvjO6e6T/4RX63omuz9uqnm8S1tl8qX4hNimIL+u
O/itjksvbG/QVg5OuV80K+y6Wc/gsDHdecmOl3U9g6MfTm3+6ZC2kc6+Y/57
/aOX6no6H0trbthap23Yeebe9vGd35l1O399/ugF//Rlum7jhvP7Dm5p1FY2
LtizttV+2awT56baj6+esVzXieuO/nUr5k3Tadx+f1Py62dNp3LI6NC2+WNr
tFN4d/8HiWtKTS/k9EO9NzI+M53MY2NmdWy9YTqJH31Yum35zBXaC3jciYZd
Z5aaTmT7scbTLftMJ3CLsWpw4JrpeA6ellNxLeQV7Thu2xx81e40Hcu1F8++
EbXW9Hx29vkiPm03HcOu7puBzb+Yjub61eUDo0bUas/jE4MnR42YazqKrUUB
SeuLTUdwR2Ns08a3Tc/hygbvvfGfmA7nyNTyd6edMh3G1qv5YUd+Nj2DEx2R
f3TfNW3l+vcfXKwMqtO28Pdbvri8ZqrpKeysd/ZPnmd6It+y/BhlI9Oh3PZ5
1sbf80yP44/uHxg2scx0EO+Y1L/7XLVpxTwmzP24xvTdrud7HNM7657UVeNK
d+jAyif1NKiTzAeR/PxxJO8fSvL7TST5/aeQ/H0Wkr/fSvL5zCD5/MJIPt9w
ks9/Dsn3E0Hy/UWRfL/zSL7/aJLrI4bk+plPcn3Fklx/cSTXZzzJ9ZtAcn0n
klz/C0jujySS+yeZ5P5aSHL/pZDcn6kk928ayf1NJPa/QST7g41k/7CR7C92
kv3HTrI/pZPsX+kk+1sGyf6XQbI/Okj2TwfJ/ppJsv9mkuzPWST7dxbJ/p5N
sv9nk5wPTpLzw0lyvuSQnD85JOeTi+T8cpGcb7kk518uyfmYR3J+5pGcr/kk
528+yflcQHJ+F5Cc724S85/cJM4HhpvE+YHdJM4XykPi/EEeEucTw0Pi/MIe
Eucb5SVx/iEvifOR4SVxfmIvifOVKiT19EVgA8xgVQR5sAFmsCqGPNgAM1gt
gjzYADNYlUAebIAZrEohDzbADFZlkAcbYAarxZAHG2AGq3LIgw0wg1UF5MEG
mMGqEvJgA8xgVQV5sAFmsFoCebABZrDySVvABPaBDXArmMG9YFUN9wcT2Ac2
wK1gBveClR/uDyawD2yAW8H8v/8F1L9dfA==
               "]]}, {
              Directive[
               PointSize[0.007333333333333334], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6], 
               AbsolutePointSize[6]], 
              GeometricTransformation[
               Inset[
                Style["\[FilledSquare]", FontSize -> Small], {0., 
                0.}], CompressedData["
1:eJxd1G1Ik1EUB/DrRkRBIbQgsjBLycqoTGTkS8eptenUbdrU6ZxbrsykPpWS
YDckQYgoeoXETyYVFJFgUVAnMjOkD1H0AoGoFBQVgZVgfUjwzjz/C8+H3/N/
7vY8955zkyKHfVGrUurSzBU3c1mUGRxhNX9oMIEVmMMwH0xgBeZ6mA8msMLn
Q5CDdR3kYB2EHKxrIQfrGsjBOgA5WFdDDtZVkIN1JeRg7YccrPdADtYVkIN1
OeRg7ePQs/slfa2TebM3fHzvmuvlsj82x2zu5W+27Y0n/SmzVl5++0W3DC7e
ZnIPD338+aR9td3kHj4zbH316O5O4zLOeRxNcH7INy7lhncPBl5YnMYl7Mjp
uN1Z4DZ2s8u9aMTm9hgX8/euQMXrYz7jIr55hROnblQYu/hQac8t/3u/sZOn
R5q6E63Vxru5d1XWvcGUGuNdPPFwIvFXbtC4kLd5/CfOu0PGBTxe87Il0Fdv
nM9jG4KTwz1hYwenrQsnDJ2OGOfxqGvEe+7IXmPihf2BrhO+BuNcvvq0b/mP
5KhxNnfdabte/DXmHZx1ytm25No+YzsvWL+l637lfuNMto32To1Px5zBn+p6
OpPONhqnc8i5dGXCygPGW7nKnljefiHmNA60xtut1ibjVHastXxuisSczHHd
ZfXH+2New48HAjnLfse8gv++Gbsct/GgcTwHLZvGN5fFrPj5xaODHdE5q7Zm
j22qec4k83iS81eQ/P01JP8/meT7pZJ8/zSS37eV5Penk1yfDJLrl0lyfe0k
138Hyf3JJrl/uST3l0jufx7J+nCQrJ98kvVVQLL+CknW5y6S9bubZH07Sda/
i2R/FJHsn2KS/eUm2X8lJPuzlGT/lpHsbw+J/tcekueDl+T54SV5vvhInj8+
kudTOan5Q4NVBeRgtQdysPJDDlaVkINVFeRgVQ05WAUgB6sayMGqFnKwCkIO
VnWQg1UIcrCqlyawBjNYhWE+WIMZrCIwH6zB/N//AK2Bmxc=
               "]]}, {}}}, {}}, {
          DisplayFunction -> Identity, PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.02], 
              Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
           PlotRange -> {{-150., 150.}, {0, 9.4233799129939*^11}}, 
           DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
           Axes -> {True, True}, AxesLabel -> {None, None}, 
           AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Rescaled density", FontSize -> 16], None}, {
              Style["Distance along Z(\[Micro]m)", FontSize -> 16], None}}, 
           FrameStyle -> Directive[FontSize -> 18], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> 400, Method -> {}, PlotLabel -> 
           Style["Comparison of density profiles with/without integration \
along X", FontSize -> 16], 
           PlotRange -> {{-150., 150.}, {0, 9.4233799129939*^11}}, 
           PlotRangeClipping -> True, PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.02], 
              Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           PointLegend[{
             Directive[
              PointSize[0.007333333333333334], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6]], 
             Directive[
              PointSize[0.007333333333333334], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]]}, {"Not integrated", "Integrated"}, 
            LegendMarkers -> {{"\[FilledCircle]", Small}, {
              "\[FilledSquare]", Small}}, Joined -> {False, False}, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {0.85, 0.85}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {576., -189.}, {Center, Center}, {360., 360.}]}, {}},
  ContentSelectable->True,
  ImageSize->{1088., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{3.81420388032824*^9, 3.8142043366513405`*^9, 
  3.8142048750311337`*^9, 
  3.8142804258393073`*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Effect of interaction with the thermal gas", "Section",
 CellChangeTimes->{{3.8142016568000617`*^9, 3.814201676306177*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"resTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"expandWithIntFun", "[", 
         RowBox[{"#", ",", "endTOF", ",", "eqTot", ",", "initCond", ",", 
          RowBox[{"{", 
           RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}], ",", "False"}], 
         "]"}], "&"}], ",", "\[Tau]Tab"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"resTab", "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", "3"}], "]"}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"All", ",", 
      RowBox[{"{", 
       RowBox[{"0.", ",", "All"}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotMarkers", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Medium"}], "}"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{
     "\"\<BEC expansion at 18ms with thermal gas interaction\>\"", ",", 
      RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) X\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) Y\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) Z\>\""}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Interaction time with thermal gas (\[Micro]s)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Thomas-Fermi Radii (\[Micro]m)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.814175721969674*^9, 3.8141757544255304`*^9}, {
  3.814175812691863*^9, 3.814175832704008*^9}, {3.8141759596672697`*^9, 
  3.8141759642235303`*^9}, {3.8141791223471646`*^9, 3.814179135100894*^9}, {
  3.8141833841909285`*^9, 3.814183384833965*^9}, {3.8141850645480394`*^9, 
  3.8141850714664345`*^9}, {3.814186381684375*^9, 3.814186382629429*^9}, {
  3.814201462495948*^9, 3.81420146742023*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw91ns81fcfB3AkLF0ZHa0iU6SGilJJL5WSJFHGmJRLJkUicuvIXeK4Hnfn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         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw91nk8lWkbB3AkRZtSQxhZUkQSCqn8rClEyFLhaDAqyyFa0CCyTJZjO5Ys
5zgLLSZRkxZNe5rUeBsmGvUKNbQqKk2Lt5nnOu/z4Y/v57qvc537+d23D62t
UR4hE6SkpAylpaS+/kjJfP0t+/c5Y71Y78W9BWtZMP33mQ+ltJFj751YKP+n
PNcMmvc40tX/92o4GdgNq3/17bavz1R77LXwiIleI/FaHFdWDqtwZKHtX6+H
csrI7UoHFkL/edI3wGlv2Ik4e7KcF95GKw3q2Enq3vDxcQ2vs5HU/dAWaWs4
AZL6ZoTbBmqarZbUAyByXW5stZK+/9fP+bvFxFtlBTk1CPFNO+JvmZOvbMWF
hMfZXsvIE4Jx0LZkX5OJpD8EJV1m1oNLJP2hCJB5cvWNoaT/e1TGpMn8ri/p
34ZnlxKeZC6Q9G+HWPZ42GwdSf8OVBxwjo+bJ+kPR31D/exjapL+SLRrvDdq
Vpb0R8HU/cPpMiV63zZsXEh70eI+g/yIjZCVLWYPFMgp0VhmlKlhLUfWisGf
vW+idkmTL8Xg1BKtLXIfAhkH7UR7v8+pX1+SpWMxZGHxxnKAzI+FQnGxulc3
2SYOCVqD1nPvkB/FQXFK/86sy+SUXdjBtWoW/kzW2o299S/0dhwhX9qNx72R
D3sqJfP3YKLVpJEPHMn8vXDMc0+9nBqIf48jfy8+KxodX75LMj8e0mp+pd5h
VH8Uj7E9ft9pb5LMT0B2+QTzcmeqayXiSpJg5YWVkvmJGL9tystdTPWgfVBV
+Zw3RUMy/wfE1uxxWDZdsv8f4KWj0DflSwCz3iYJC63rBXkvyI+SsL/b4PLF
ngDmvCMZV9e77qq+ReYkQ33phk8GZwOY89+bDLvCqQWhdVQ3TkFkddxuNy45
OQXJJvdePkklt6egxK7XanE09Wvuh9G+LqF2ANXZ+3HwdEH0jXXki/u/rrd8
rmZOVkyF/qMYlqYO9bNS4dJ6T61zOtUbUtERPydyxd/+jKXScD855Yb7Y7J7
Gi50dKxUafdn+nlpOLl3nm3+WaoPp8HQC0bnhWQcwKiprl9ZLplzAMMHT03T
30P9vQfgYtdxbUcQ1Y3T0aWX8lvQOnJyOmZGWRdNMSW3p8OkM2zjNjXq18yA
x7tqXsIEMjsD1xoyGmyfbaH9Z0AQrCD9y12yYiZ2Rf49MnxmC+0/E9W58a+7
eOSGTCzMsfpudwatl8rCKuF4U1sE2T0LXaVh7t2eZF4W7mVdE1daUv9wFril
fy1QnUd1/IjFCQNwkyVzfsQ348tZq4Y2M+79EXoRqeMDtzcz/cYHscLIm+/Y
SPXkgwguS6vdyiW3H0T9WwHHMp6smY2wNIPOW/7Uz87GjZc9L+faUP1iNk4v
VPGdP5+smANVteS8Z3JkVg526z6czR7aRPvPgaCpLaTx1ibafy4cBxJlmurJ
7rm4pD0vMiaPzMuF985V+q/Z5OFcsPtvn1viQUYejBceFhmZ0udz8pAiLmG/
VCL35mGoVV0YNerH/L1W4UD+I242dpDBwVOd/m3NJ/0Q8o/DOPDvWzczpYjq
HA6mRQ46T4slN3PQo+xU6+9J7uWgdtDneIwJeXI+ElfdHXOZSTbOh1Bm1qwX
r3wZ++ajL3dijucdcnI+pge1fEo+5svMr8vHL01mb+N+JLfnI6l23xTTMFo/
lg92i1lnswNZswC2AXLPJumQnQpQfSNxQFOKzC5Auvz4JtkHPoxLC9Dl8Gmw
8Qz5YgGmVfH1F3N9mHmDBejeefnMzhiyYiFWqa42z1hP6y0KocwXrg5bRGYV
ImtTFVtZjpxZiNmLUiOKH3kzbijEwrgLf/SdJ3cVIuSNxjqpUrJUESzbEPsy
xpuZp1eEjCkWo/WuZPcilNg/YFvr0fo9RficfYAjkCHzinC/Xnfsfs9Gxq1F
+P3VVu8nP5OHi5BQfNPqOoesUoz8QVFmwnYyivHutclJOfuNlH8xYudEJoZ9
S+YU4+Z4XC7/nRflX4w9d11LG38j9xbjjOtHp4o68mQu/CyC3QNTyMZcXOcJ
Aj/5kX25qHXM14s1ISdzwS2bG3BDwYvy52Ju+5ST7/o8KX8uWss7H8qcI49x
obRMt/h5gSflX4LLizfknNxOdirBB7VlSZttyewSpEfl6fTNJZeWYETdyGzt
aw/KvwTHVf/ckd/qQfmXwMYnKf1cNVmxFIZvb6F1F9miFL/F/OLb7Er9rFIY
5CbkZM8nZ5bi7USZaoePGyj/UuxQm7l+4D/krlJUnQv031ZHlipDbsQfeZ0/
kPXKcGxM/oj+xg2UfxlmlP0SHWpA3lOGoDX19dnStJ5XBmm3o7qV99wp/zJU
6XsJSuvJw2W4LU4bTkolq5Rj5oU/uz39yChHyxB30Zwl5LByLF31pfGqrDvl
Xw69b6+kXT/pxri5HOuDp3r0B7pR/uV44DG885ECefIhfIqKL7h8aj3lfwi9
by75ZrLIvodwN0MjzmwKOfkQUo++KW095cq47hAWcBfsdWS5Uv6HYBgrfee4
AnnsEJTtvT3lTrkw1qyAnF5jq3OgC+VfAUW9qNcp8mR2BZx9u4qONDlT/l/X
s7b/cMOffLECITXt++5PIg9W4Juna75/fGId5V+J7920ZZ9uJltUwnjoIevp
RDKrEt43c7UGj6+l/Csx0KYU8diP3FCJ9KRzr/snkLsqEXnXsu9xvRPlXwVr
9y+TXviQ9arQnJGz9aO0E+Vfhe0KSnpKx9ZQ/lWQf1+3bLk3mVeFeIcr1aFS
ayj/KsQZadaIjzhS/lXQ3vSeNeZFVqmGstfDLv9xB8q/Gnac+Undh8lh1UjP
Fm2N8CJzqvFc1qFHbdye7n812lp1l/x1mNxbjVzDa93/8bJn/n+W5WFe6M/L
Ho7bweQfq/Ag+nLpzPSjZEMebI3XD4V4k8HDdteGjU+k7Zh+Lx7sQ29WFdTb
Mg7jwVxRKy3Cj5zIg9bMdaV7J5I5PKxZdOf+mRM2jIU8VO+10FwaQG7+WncN
Du1TILfxkMaOu9Z+Gox7eYjoyjIfDyaP8nA2/NWC6FnkyXysGJne7JlszVid
DysPx0a/ntWMjfkolHfS+WhBtucjO+/6NmvuKsa+fFyTVYs2Gl3J7Decj/At
N75t9yAn87HfsjrAsNGKcREf9tvGVFxmWTH9dXx07r+karFzBePzfHwT33/6
Q4cl43Y+oo9aHik3Jw/wUeTWp657yILxGB+hHS/EgnFzxlNrMNwYWawVQtas
Qdns/rwjt5YzNqvBoiWq79eZkp1qIB3h+WBGxTLGW2pgb6JxWE6OzK4BG/sM
VkebMU6rgav8kYprD0wZl9bg0PnnK+qdTZn9HavBFeNYO7lzJowv1iDRJ3pS
vwG5owYu3I+yPlVLmf7BGrQUNarvnkX+VANV9ff6fpnGjBUFcFaT0p8jRZ4v
wCc9l9rMESPGFgKUdM4onPBsMWMXAVbZv1rc+cSQMUuAsWnVg1Z/GTCOFeC6
t+6d+OeLGGcKYGntFNT9Tp9xhQBqg++kRHLkBgHY12qCjNX1GF8VoO3V3bsd
5gsZdwlg5pqT9dpvAbO/5wKYbu3seL5fl7GUELcO/xRo2jSf8WwhcmpWfrZ8
psNYTwitm/stEw10mM9bKUT2pBNqibHajN2FmMruYF25rsU4WAj5Xb/Pf6RN
3iPEaDvrVViWJuNsIRp6jnYPvJ3HmCfE+bPbdAyHNRifFMJaQdvsDxlyqxB9
zZyrk5d8y7hHCO854dzuOHXGw0K80Dl83bFLje6/CEnPzt9Z7ENWEcFnTG6m
w4gq3X8RituypZXqyRCh5Lys5lAa2UuEs1ufnv5vPDlMhAffz1btzCUninDi
TUtaxEVVuv8iaOpmpyrPoHlCEc5fTW5WjCc3izB7yz6DCCn6vm0ijK455TOP
T+4VwXiF28j4JtrfqAgPG9IudBrS/ieL8dcQ91f/OfS+1MWI+tA2r06e3qex
GOEffsprKiDbizHHr+OEsS69f18x9B3uFaVeJIeLYSZjdGxOsDbdfzGc1yhc
9p5BeReJsS4uKbzlErlOjH0L/NVuxNP5OC/GWhvZ5DFLXbr/YpiOunzs+UIe
EOP4AV23STcX0P0Xg/1d1N8zSuk8Tq1F7rHbc7k76Lxq1uLud6P1q+3oPJvV
wkHl7dKTGnT+nWoxMqYxS/yZvKUWP+fYTLj5XwP8Dz9n/Rs=
         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledDiamond]\"", FontSize -> Medium, StripOnInput -> 
             False], TraditionalForm]], {0., 0.}], CompressedData["
1:eJw91ntcjPkXB/BBqN3QlpLYFUKIDUmW8km0lWTKLRW6q7QJKaUr3XWZblNT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         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {0, 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{0, 2990.1}, {0., 130.28599163360323`}}, DisplayFunction -> 
     Identity, AspectRatio -> NCache[GoldenRatio^(-1), 0.6180339887498948], 
     Axes -> {True, True}, AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
     FrameLabel -> {{
        FormBox[
         StyleBox[
         "\"Thomas-Fermi Radii (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
          False], TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Interaction time with thermal gas (\[Micro]s)\"", FontSize -> 16, 
          StripOnInput -> False], TraditionalForm], None}}, FrameStyle -> 
     Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"BEC expansion at 18ms with thermal gas interaction\"", FontSize -> 
        16, StripOnInput -> False], TraditionalForm], 
     PlotRange -> {{0, 2990.1}, {0., 130.28599163360323`}}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {0, 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
      "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) X\"", 
       "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) Y\"", 
       "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) Z\""}, "PointLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledDiamond]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledDiamond]\"", ",", "Medium"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8141863973622713`*^9, 3.814186595610611*^9, 3.8141876565792947`*^9, {
   3.8142014702373905`*^9, 3.8142014971369295`*^9}, 3.8142049179965916`*^9, 
   3.81428044040014*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", " ", "=", " ", 
   RowBox[{"1.", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"velTh", " ", "=", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"kB", "*", 
      RowBox[{
       RowBox[{"Temp", "/", "mAss"}], "/", "au"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Time for thermal atom to go from BEC center to BEC edge in Y: \>\"", 
   ",", 
   RowBox[{"R0y", " ", "*", 
    RowBox[{"aB", "/", "velTh"}], " ", "*", " ", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Time for thermal atom to go from BEC center to BEC edge in Y: \>\"", 
   ",", 
   RowBox[{"R0z", " ", "*", 
    RowBox[{"aB", "/", "velTh"}], " ", "*", " ", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]s\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.814192793903133*^9, 3.8141928434529667`*^9}, {
  3.8141929469188848`*^9, 3.8141929570884666`*^9}, {3.8141929951996465`*^9, 
  3.8141931013627186`*^9}, {3.8142015404534073`*^9, 3.8142016114414673`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Time for thermal atom to go from BEC center to BEC edge in Y: \
\"\>", "\[InvisibleSpace]", "142.21562704453953`", 
   "\[InvisibleSpace]", "\<\" \[Micro]s\"\>"}],
  SequenceForm[
  "Time for thermal atom to go from BEC center to BEC edge in Y: ", 
   142.21562704453953`, " \[Micro]s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.814201582038786*^9, 3.814201612065503*^9}, 
   3.814204918096597*^9, 3.8142804404971457`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Time for thermal atom to go from BEC center to BEC edge in Y: \
\"\>", "\[InvisibleSpace]", "334.0938540093943`", 
   "\[InvisibleSpace]", "\<\" \[Micro]s\"\>"}],
  SequenceForm[
  "Time for thermal atom to go from BEC center to BEC edge in Y: ", 
   334.0938540093943, " \[Micro]s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.814201582038786*^9, 3.814201612065503*^9}, 
   3.814204918096597*^9, 3.814280440501146*^9}]
}, Open  ]]
}, Closed]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.8142770012214303`*^9, 3.81427700157145*^9}}],

Cell[CellGroupData[{

Cell["\<\
Cross check using the article: U. Ernst, A. Marte, F. Schreck, J. Schuster, \
and G. Rempe, EPL 41, 1 (1998)\
\>", "Subchapter",
 CellChangeTimes->{{3.8142802722555227`*^9, 3.814280287887417*^9}}],

Cell[CellGroupData[{

Cell["Parameters and necessary functions (TO LOAD)", "Text",
 CellChangeTimes->{{3.814204368312151*^9, 3.814204386020164*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"NbBEC", " ", "=", 
   RowBox[{"1.", "*", 
    RowBox[{"10", "^", "5."}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aScat", "=", 
    RowBox[{"5.3", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "9"}], ")"}]}], "/", "aB"}]}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mAss", "=", 
    RowBox[{"mRb87", "/", "au"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]0x", " ", "=", " ", 
   RowBox[{"2.", "*", "Pi", "*", "280."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]0y", " ", "=", " ", 
   RowBox[{"2.", "*", "Pi", "*", "24."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]0z", " ", "=", " ", 
    RowBox[{"2.", "*", "Pi", "*", "280."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"endTOF", " ", "=", 
    RowBox[{"26.", " ", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tofTab", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"\[Tau]", "*", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"-", "3."}], ")"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Tau]", ",", "0.1", ",", 
        RowBox[{"endTOF", "*", 
         RowBox[{"10", "^", "3."}]}], ",", "0.1"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]IsoD", " ", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]0x", "*", "\[Omega]0y", "*", "\[Omega]0z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ahoD", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"hbarreOverAu", "/", 
      RowBox[{"(", 
       RowBox[{"mAss", "*", "\[Omega]IsoD"}], ")"}]}], "]"}], "/", "aB"}]}], 
  ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "units", " ", "of", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"gInt", "=", 
   RowBox[{"2.", " ", "*", " ", 
    RowBox[{"aScat", "/", "mAss"}], " ", "*", " ", 
    RowBox[{"hbarreOverAu", "/", 
     RowBox[{"aB", "^", "2."}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "units", " ", "of", " ", "ctePlanck", "*", 
    RowBox[{"aB", "^", "3"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"\[Mu]DFun", "[", "NbBEC_Real", "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Omega]IsoD", "/", "2."}], "*", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"15.", " ", "*", "NbBEC", "*", " ", 
        RowBox[{"aScat", "/", "ahoD"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0Fun", "[", "NbBEC_Real", "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "gInt"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RadTFisoFun", "[", "NbBEC_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"2.", "*", 
       RowBox[{
        RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "mAss"}], " ", "*", 
       " ", "ctePlanckOverAu"}], "]"}], "/", "\[Omega]IsoD"}], "/", "aB"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"RadTFaxisFun", "[", 
     RowBox[{"NbBEC_", ",", "\[Omega]Axis_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{"2.", "*", 
        RowBox[{
         RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "mAss"}], " ", "*", 
        " ", "ctePlanckOverAu"}], "]"}], "/", "\[Omega]Axis"}], "/", "aB"}]}],
    ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0x", " ", "=", " ", 
   RowBox[{"RadTFaxisFun", "[", 
    RowBox[{"NbBEC", ",", "\[Omega]0x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0y", " ", "=", " ", 
   RowBox[{"RadTFaxisFun", "[", 
    RowBox[{"NbBEC", ",", "\[Omega]0y"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0z", " ", "=", " ", 
   RowBox[{"RadTFaxisFun", "[", 
    RowBox[{"NbBEC", ",", "\[Omega]0z"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0", " ", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"R0x", "*", "R0y", "*", "R0z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]", "=", 
    RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqx", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Lambda]x", "''"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
    RowBox[{
     RowBox[{"\[Omega]0x", "^", "2."}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Lambda]x", "[", "t", "]"}], ")"}], "^", "2."}], " ", "*", 
       " ", 
       RowBox[{"\[Lambda]y", "[", "t", "]"}], "*", 
       RowBox[{"\[Lambda]z", "[", "t", "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqy", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Lambda]y", "''"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
    RowBox[{
     RowBox[{"\[Omega]0y", "^", "2."}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Lambda]x", "[", "t", "]"}], " ", "*", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Lambda]y", "[", "t", "]"}], ")"}], "^", "2."}], "*", 
       RowBox[{"\[Lambda]z", "[", "t", "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eqz", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Lambda]z", "''"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
     RowBox[{
      RowBox[{"\[Omega]0z", "^", "2."}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Lambda]x", "[", "t", "]"}], " ", "*", " ", 
        RowBox[{"\[Lambda]y", "[", "t", "]"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Lambda]z", "[", "t", "]"}], ")"}], "^", "2."}]}], 
       ")"}]}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"initCond", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Lambda]x", "[", "0", "]"}], "\[Equal]", " ", "1"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Lambda]x", "'"}], "[", "0", "]"}], "\[Equal]", " ", "0"}], 
      ",", 
      RowBox[{
       RowBox[{"\[Lambda]y", "[", "0", "]"}], "\[Equal]", " ", "1"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Lambda]y", "'"}], "[", "0", "]"}], "\[Equal]", " ", "0"}], 
      ",", 
      RowBox[{
       RowBox[{"\[Lambda]z", "[", "0", "]"}], "\[Equal]", " ", "1"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Lambda]z", "'"}], "[", "0", "]"}], "\[Equal]", " ", 
       "0"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eqTot", "=", " ", 
    RowBox[{"{", 
     RowBox[{"eqx", ",", "eqy", ",", " ", "eqz"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"expandWithIntFun", "[", 
     RowBox[{"endTime_", ",", "eqTot_", ",", "initCond_", ",", 
      RowBox[{"{", 
       RowBox[{"R0X_", ",", "R0Y_", ",", "R0Z_"}], "}"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "timeOfFlightSol", ",", "res\[Lambda]x", ",", "res\[Lambda]y", ",", 
        "res\[Lambda]z", ",", "tAux", ",", "resRx", ",", "resRy", ",", 
        "resRz", ",", "\[Omega]Expo", ",", "R0factz", ",", "R0facty", ",", 
        "R0factMean"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"timeOfFlightSol", " ", "=", " ", 
        RowBox[{"NDSolve", "[", 
         RowBox[{
          RowBox[{"Join", "[", 
           RowBox[{"eqTot", ",", "initCond"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Lambda]x", ",", "\[Lambda]y", ",", "\[Lambda]z"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0.", ",", "endTime"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"res\[Lambda]x", " ", "=", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"First", "[", 
           RowBox[{"\[Lambda]x", "/.", "timeOfFlightSol"}], "]"}], ")"}], "[",
          "endTime", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"res\[Lambda]y", " ", "=", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"First", "[", 
           RowBox[{"\[Lambda]y", "/.", "timeOfFlightSol"}], "]"}], ")"}], "[",
          "endTime", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"res\[Lambda]z", " ", "=", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"First", "[", 
           RowBox[{"\[Lambda]z", "/.", "timeOfFlightSol"}], "]"}], ")"}], "[",
          "endTime", "]"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"resRx", "=", 
        RowBox[{"R0X", "*", "res\[Lambda]x", "*", "aB", "*", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"resRy", "=", 
        RowBox[{"R0Y", "*", "res\[Lambda]y", "*", "aB", "*", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"resRz", "=", 
        RowBox[{"R0Z", "*", "res\[Lambda]z", "*", "aB", "*", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Omega]Expo", " ", "=", 
        RowBox[{"First", "[", 
         RowBox[{"expo", "/.", " ", 
          RowBox[{"Quiet", "[", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"resRy", "/", "resRz"}], " ", "\[Equal]", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"\[Omega]0y", "/", "\[Omega]0z"}], ")"}], "^", 
               RowBox[{"(", "expo", ")"}]}]}], ",", "expo"}], "]"}], "]"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"R0factz", " ", "=", " ", 
        RowBox[{"First", "[", 
         RowBox[{"R0fact", "/.", 
          RowBox[{"Quiet", "[", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{"resRz", "\[Equal]", " ", 
              RowBox[{"R0", "*", "R0fact", "*", 
               RowBox[{"Sqrt", "[", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"\[Omega]IsoD", "^", "2."}], "*", 
                  RowBox[{"endTime", "^", "2."}]}], ")"}], "]"}], "*", "aB", 
               "*", 
               RowBox[{"10", "^", "6."}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Omega]0z", "/", "\[Omega]IsoD"}], ")"}], "^", 
                RowBox[{"(", "\[Omega]Expo", ")"}]}]}]}], ",", "R0fact"}], 
            "]"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"R0facty", " ", "=", 
        RowBox[{"First", "[", 
         RowBox[{"R0fact", "/.", 
          RowBox[{"Quiet", "[", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{"resRy", "\[Equal]", " ", 
              RowBox[{"R0", "*", "R0fact", "*", 
               RowBox[{"Sqrt", "[", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"\[Omega]IsoD", "^", "2."}], "*", 
                  RowBox[{"endTime", "^", "2."}]}], ")"}], "]"}], "*", "aB", 
               "*", 
               RowBox[{"10", "^", "6."}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Omega]0y", "/", "\[Omega]IsoD"}], ")"}], "^", 
                RowBox[{"(", "\[Omega]Expo", ")"}]}]}]}], ",", "R0fact"}], 
            "]"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"R0factMean", " ", "=", " ", 
        RowBox[{"Mean", "[", 
         RowBox[{"{", 
          RowBox[{"R0facty", ",", "R0factz"}], "}"}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"tAux", " ", "=", " ", 
        RowBox[{"endTime", "*", 
         RowBox[{"10", "^", "3."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"tAux", ",", "resRx"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"tAux", ",", "resRy"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"tAux", ",", "resRz"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"tAux", ",", "R0factMean"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"tAux", ",", "\[Omega]Expo"}], "}"}]}], "}"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"plotBECFun", "[", 
     RowBox[{"r_", ",", "tabEle_", ",", 
      RowBox[{"{", 
       RowBox[{"R0X_", ",", "R0Y_", ",", "R0Z_"}], "}"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[Lambda]xAux", ",", " ", "\[Lambda]yAux", ",", " ", "\[Lambda]zAux", 
        ",", "nBECx", ",", "nBECy", ",", "nBECz"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]xAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "]"}], "/", "R0X"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]yAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "]"}], "/", "R0Y"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]zAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "R0Z"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"nBECx", " ", "=", 
        RowBox[{"Max", "[", 
         RowBox[{"0.", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Mu]", " ", "-", " ", 
              RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
               RowBox[{"\[Omega]0x", "^", "2."}], "*", 
               RowBox[{
                RowBox[{"r", "^", "2."}], "/", 
                RowBox[{"\[Lambda]xAux", "^", "2."}]}], "*", 
               "auOverCtePlanck"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
             "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
              "\[Lambda]zAux"}], ")"}]}], "/", 
           RowBox[{"aB", "^", "3."}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"nBECy", " ", "=", 
        RowBox[{"Max", "[", 
         RowBox[{"0.", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Mu]", " ", "-", " ", 
              RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
               RowBox[{"\[Omega]0y", "^", "2."}], "*", 
               RowBox[{
                RowBox[{"r", "^", "2."}], "/", 
                RowBox[{"\[Lambda]yAux", "^", "2."}]}], "*", 
               "auOverCtePlanck"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
             "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
              "\[Lambda]zAux"}], ")"}]}], "/", 
           RowBox[{"aB", "^", "3."}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"nBECz", " ", "=", 
        RowBox[{"Max", "[", 
         RowBox[{"0.", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Mu]", " ", "-", " ", 
              RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
               RowBox[{"\[Omega]0z", "^", "2."}], "*", 
               RowBox[{
                RowBox[{"r", "^", "2."}], "/", 
                RowBox[{"\[Lambda]zAux", "^", "2."}]}], "*", 
               "auOverCtePlanck"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
             "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
              "\[Lambda]zAux"}], ")"}]}], "/", 
           RowBox[{"aB", "^", "3."}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nBECx", ",", "nBECy", ",", "nBECz"}], "}"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"plotBEC2DFun", "[", 
     RowBox[{"r_", ",", "tabEle_", ",", 
      RowBox[{"{", 
       RowBox[{"R0X_", ",", "R0Y_", ",", "R0Z_"}], "}"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[Lambda]xAux", ",", " ", "\[Lambda]yAux", ",", " ", "\[Lambda]zAux", 
        ",", "nBECy", ",", "nBECz"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]xAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "]"}], "/", "R0X"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]yAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "]"}], "/", "R0Y"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]zAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "R0Z"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"nBECy", " ", "=", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{"Max", "[", 
           RowBox[{"0.", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Mu]", " ", "-", " ", 
                RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
                 RowBox[{"\[Omega]0y", "^", "2."}], "*", 
                 RowBox[{
                  RowBox[{"r", "^", "2."}], "/", 
                  RowBox[{"\[Lambda]yAux", "^", "2."}]}], "*", 
                 "auOverCtePlanck"}], "-", " ", 
                RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
                 RowBox[{"\[Omega]0x", "^", "2."}], "*", 
                 RowBox[{
                  RowBox[{"x", "^", "2."}], "/", 
                  RowBox[{"\[Lambda]xAux", "^", "2."}]}], "*", 
                 "auOverCtePlanck"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
               "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
                "\[Lambda]zAux"}], ")"}]}], "/", 
             RowBox[{"aB", "^", "3."}]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{
             RowBox[{"-", "300."}], "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}], ",", 
            RowBox[{"300.", "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"nBECz", " ", "=", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{"Max", "[", 
           RowBox[{"0.", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Mu]", " ", "-", " ", 
                RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
                 RowBox[{"\[Omega]0z", "^", "2."}], "*", 
                 RowBox[{
                  RowBox[{"r", "^", "2."}], "/", 
                  RowBox[{"\[Lambda]zAux", "^", "2."}]}], "*", 
                 "auOverCtePlanck"}], "-", " ", 
                RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
                 RowBox[{"\[Omega]0x", "^", "2."}], "*", 
                 RowBox[{
                  RowBox[{"x", "^", "2."}], "/", 
                  RowBox[{"\[Lambda]xAux", "^", "2."}]}], "*", 
                 "auOverCtePlanck"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
               "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
                "\[Lambda]zAux"}], ")"}]}], "/", 
             RowBox[{"aB", "^", "3."}]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{
             RowBox[{"-", "300."}], "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}], ",", 
            RowBox[{"300.", "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nBECy", ",", "nBECz"}], "}"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Mean trap frequency: 2\[Pi] x \>\"", ",", 
   RowBox[{
    RowBox[{"\[Omega]IsoD", "/", "2."}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<BEC Thomas-Fermi radii: \>\"", ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}], "*", "aB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Thomas-Fermi regime criterion: \>\"", ",", 
   RowBox[{"NbBEC", "*", 
    RowBox[{"aScat", "/", "ahoD"}]}], ",", 
   "\"\< must be >> 1 to be valid\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.814174269869619*^9, 3.8141744912592816`*^9}, {
   3.8141745219470367`*^9, 3.8141746638231516`*^9}, {3.814174703202404*^9, 
   3.8141747244116173`*^9}, 3.8141747904693956`*^9, {3.8141748616874685`*^9, 
   3.814174869879937*^9}, {3.814174914927514*^9, 3.8141750822040815`*^9}, {
   3.814175130241829*^9, 3.814175130638852*^9}, {3.814175322028799*^9, 
   3.8141753235138836`*^9}, {3.8141756373748355`*^9, 3.81417570528372*^9}, {
   3.8141759474725723`*^9, 3.814175948921655*^9}, {3.8141762442455463`*^9, 
   3.814176244690572*^9}, {3.814179614750328*^9, 3.814179616614435*^9}, {
   3.814179658395825*^9, 3.8141796940728655`*^9}, {3.8141797536052704`*^9, 
   3.81417981600984*^9}, {3.8141799141074505`*^9, 3.814180003306553*^9}, {
   3.814180035304383*^9, 3.8141800437288647`*^9}, {3.8141811033694725`*^9, 
   3.814181111422933*^9}, {3.8141814651701665`*^9, 3.814181480461041*^9}, {
   3.814181574138399*^9, 3.8141815969457035`*^9}, {3.8141826692580366`*^9, 
   3.814182695408532*^9}, {3.814182732905677*^9, 3.814182734311757*^9}, {
   3.8141828682234163`*^9, 3.8141828686264396`*^9}, {3.8141830054162636`*^9, 
   3.8141830141917653`*^9}, {3.8141831080241327`*^9, 3.814183117974702*^9}, {
   3.8141833714181976`*^9, 3.8141833723722525`*^9}, {3.8141835679304376`*^9, 
   3.8141836006383085`*^9}, {3.8141838849045672`*^9, 3.814183984308253*^9}, {
   3.8141840302088785`*^9, 3.8141840697461395`*^9}, {3.8141842296192837`*^9, 
   3.8141845512516804`*^9}, {3.8141851785475597`*^9, 3.814185179323604*^9}, {
   3.814186137765424*^9, 3.8141861439557776`*^9}, {3.8141863534047575`*^9, 
   3.8141863630953116`*^9}, {3.814186456514655*^9, 3.8141864969599686`*^9}, 
   3.8141865726973004`*^9, {3.81418702306306*^9, 3.8141871225547504`*^9}, {
   3.8141871754257746`*^9, 3.814187181944147*^9}, {3.8141876292767334`*^9, 
   3.8141876294767447`*^9}, {3.8141885659823093`*^9, 
   3.8141886832300158`*^9}, {3.8141887251634145`*^9, 
   3.8141887466676445`*^9}, {3.8141888999164095`*^9, 3.814188928002016*^9}, {
   3.8141891149147067`*^9, 3.81418911515172*^9}, {3.8141932205445356`*^9, 
   3.81419322079555*^9}, {3.814193307381502*^9, 3.8141933124467916`*^9}, {
   3.8141933518480453`*^9, 3.8141933754883976`*^9}, {3.814194337250407*^9, 
   3.8141943374934216`*^9}, {3.8141962401142445`*^9, 3.81419624545555*^9}, 
   3.8141968523762646`*^9, 3.8141970820664015`*^9, {3.814197151232358*^9, 
   3.8141971573807096`*^9}, 3.8141973283004856`*^9, {3.814197524767723*^9, 
   3.814197524982735*^9}, {3.814198824955089*^9, 3.814198887582671*^9}, {
   3.8141989222396536`*^9, 3.814198976179739*^9}, {3.814199034508075*^9, 
   3.814199170983881*^9}, {3.814199490051131*^9, 3.814199519793832*^9}, {
   3.81419965770072*^9, 3.8141996908306146`*^9}, {3.814199851526806*^9, 
   3.814199851707816*^9}, {3.8141998907540493`*^9, 3.8141998909280596`*^9}, 
   3.8141999745318413`*^9, {3.814200040004586*^9, 3.8142000405466175`*^9}, 
   3.8142001042962637`*^9, 3.8142001783735003`*^9, {3.8142003929307723`*^9, 
   3.814200393919829*^9}, {3.8142004521111574`*^9, 3.8142004538392563`*^9}, {
   3.8142005048961763`*^9, 3.814200510645505*^9}, {3.8142007412756968`*^9, 
   3.814200750480223*^9}, {3.8142007841381483`*^9, 3.8142007987459836`*^9}, 
   3.8142013557878447`*^9, {3.814201394837078*^9, 3.814201395100093*^9}, {
   3.814202088843773*^9, 3.8142021177024236`*^9}, {3.814204556316904*^9, 
   3.8142045950071173`*^9}, {3.8142046796329575`*^9, 
   3.8142046803449984`*^9}, {3.814273836631426*^9, 3.8142739046913185`*^9}, {
   3.81427393985433*^9, 3.814273951789013*^9}, {3.8142770336882873`*^9, 
   3.814277033926301*^9}, {3.814277072969534*^9, 3.814277157637377*^9}, {
   3.8142772216680393`*^9, 3.814277240952142*^9}, {3.814277313453289*^9, 
   3.8142773671323595`*^9}, {3.8142777385706043`*^9, 
   3.8142777392856455`*^9}, {3.814277988650908*^9, 3.8142779980834475`*^9}, {
   3.814278044524104*^9, 3.8142780448461223`*^9}, {3.8142785572964325`*^9, 
   3.814278558071477*^9}, {3.814278612756605*^9, 3.8142786132506332`*^9}, {
   3.8142786824245896`*^9, 3.8142786831276298`*^9}, 3.8142787192566967`*^9, 
   3.814278912278736*^9, {3.8142789782755113`*^9, 3.814278978468522*^9}, {
   3.8142790157226534`*^9, 3.814279020175908*^9}, {3.8142791459441013`*^9, 
   3.8142791548466105`*^9}, {3.814279192577769*^9, 3.814279199920189*^9}, {
   3.814279450432517*^9, 3.8142794531346717`*^9}, {3.8142795051656475`*^9, 
   3.8142795521063323`*^9}, {3.814279629075735*^9, 3.8142796607265453`*^9}, {
   3.814279700407815*^9, 3.8142797487255783`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Mean trap frequency: 2\[Pi] x \"\>", "\[InvisibleSpace]", 
   "123.45511872634334`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Mean trap frequency: 2\[Pi] x ", 123.45511872634334`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8141839735826397`*^9, 3.8141839845132647`*^9}, {
   3.8141842822942967`*^9, 3.814184317381304*^9}, {3.814184410243615*^9, 
   3.8141844149048815`*^9}, {3.814184509591297*^9, 3.8141845189228315`*^9}, 
   3.814184562863344*^9, 3.814185179701626*^9, 3.8141861498421144`*^9, 
   3.8141863671505437`*^9, 3.8141864581827507`*^9, 3.814186499226098*^9, {
   3.8141870954952025`*^9, 3.81418712289977*^9}, 3.8141871823891726`*^9, 
   3.814187629869767*^9, 3.8141887489687757`*^9, 3.8141889374545565`*^9, 
   3.8141891160947742`*^9, 3.8141932213465815`*^9, {3.814193284661203*^9, 
   3.8141933133648443`*^9}, {3.8141933527410965`*^9, 3.8141933758164167`*^9}, 
   3.8141943379324465`*^9, {3.8141962406282744`*^9, 3.8141962465386124`*^9}, 
   3.8141968527702866`*^9, 3.814197082541429*^9, 3.814197157763732*^9, 
   3.814197328932522*^9, 3.8141975254237604`*^9, {3.814199116624772*^9, 
   3.8141991279604206`*^9}, 3.8141991722289524`*^9, {3.8141995030808764`*^9, 
   3.8141995201948547`*^9}, 3.814199560219144*^9, 3.8141996942868123`*^9, 
   3.8141998521008387`*^9, 3.8141998913640842`*^9, 3.8141999749738665`*^9, 
   3.8142000409876423`*^9, 3.8142001047542896`*^9, 3.8142001790615396`*^9, 
   3.81420040023919*^9, 3.814200454468292*^9, 3.8142005115445566`*^9, 
   3.8142007509302487`*^9, {3.814200799525028*^9, 3.814200813048802*^9}, {
   3.8142013266561785`*^9, 3.8142013561008625`*^9}, 3.8142013955151167`*^9, 
   3.814201893386594*^9, 3.8142021181954517`*^9, {3.8142045905728636`*^9, 
   3.8142045961991854`*^9}, 3.814204644479947*^9, 3.8142046944348044`*^9, 
   3.8142739060183945`*^9, {3.814273948316814*^9, 3.8142739526480618`*^9}, 
   3.814277077109771*^9, {3.814277115958993*^9, 3.8142771254005327`*^9}, 
   3.8142771580974035`*^9, {3.8142773484422903`*^9, 3.8142773674193754`*^9}, 
   3.8142777397486715`*^9, 3.8142779985624747`*^9, {3.8142780455131607`*^9, 
   3.8142780516005087`*^9}, 3.8142785584404984`*^9, 3.8142786136466556`*^9, 
   3.814278683502651*^9, 3.8142787197877264`*^9, 3.8142790351557646`*^9, 
   3.8142791553446393`*^9, {3.8142791956479445`*^9, 3.8142792009992504`*^9}, {
   3.8142793851887856`*^9, 3.8142794117183027`*^9}, 3.8142794542887373`*^9, {
   3.8142795079058046`*^9, 3.814279525763826*^9}, {3.814279743922304*^9, 
   3.814279749394617*^9}, 3.8142797972183523`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BEC Thomas-Fermi radii: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "2.59449878343486`", ",", "30.2691524734067`", ",", "2.59449878343486`"}],
     "}"}], "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "BEC Thomas-Fermi radii: ", {2.59449878343486, 30.2691524734067, 
   2.59449878343486}, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8141839735826397`*^9, 3.8141839845132647`*^9}, {
   3.8141842822942967`*^9, 3.814184317381304*^9}, {3.814184410243615*^9, 
   3.8141844149048815`*^9}, {3.814184509591297*^9, 3.8141845189228315`*^9}, 
   3.814184562863344*^9, 3.814185179701626*^9, 3.8141861498421144`*^9, 
   3.8141863671505437`*^9, 3.8141864581827507`*^9, 3.814186499226098*^9, {
   3.8141870954952025`*^9, 3.81418712289977*^9}, 3.8141871823891726`*^9, 
   3.814187629869767*^9, 3.8141887489687757`*^9, 3.8141889374545565`*^9, 
   3.8141891160947742`*^9, 3.8141932213465815`*^9, {3.814193284661203*^9, 
   3.8141933133648443`*^9}, {3.8141933527410965`*^9, 3.8141933758164167`*^9}, 
   3.8141943379324465`*^9, {3.8141962406282744`*^9, 3.8141962465386124`*^9}, 
   3.8141968527702866`*^9, 3.814197082541429*^9, 3.814197157763732*^9, 
   3.814197328932522*^9, 3.8141975254237604`*^9, {3.814199116624772*^9, 
   3.8141991279604206`*^9}, 3.8141991722289524`*^9, {3.8141995030808764`*^9, 
   3.8141995201948547`*^9}, 3.814199560219144*^9, 3.8141996942868123`*^9, 
   3.8141998521008387`*^9, 3.8141998913640842`*^9, 3.8141999749738665`*^9, 
   3.8142000409876423`*^9, 3.8142001047542896`*^9, 3.8142001790615396`*^9, 
   3.81420040023919*^9, 3.814200454468292*^9, 3.8142005115445566`*^9, 
   3.8142007509302487`*^9, {3.814200799525028*^9, 3.814200813048802*^9}, {
   3.8142013266561785`*^9, 3.8142013561008625`*^9}, 3.8142013955151167`*^9, 
   3.814201893386594*^9, 3.8142021181954517`*^9, {3.8142045905728636`*^9, 
   3.8142045961991854`*^9}, 3.814204644479947*^9, 3.8142046944348044`*^9, 
   3.8142739060183945`*^9, {3.814273948316814*^9, 3.8142739526480618`*^9}, 
   3.814277077109771*^9, {3.814277115958993*^9, 3.8142771254005327`*^9}, 
   3.8142771580974035`*^9, {3.8142773484422903`*^9, 3.8142773674193754`*^9}, 
   3.8142777397486715`*^9, 3.8142779985624747`*^9, {3.8142780455131607`*^9, 
   3.8142780516005087`*^9}, 3.8142785584404984`*^9, 3.8142786136466556`*^9, 
   3.814278683502651*^9, 3.8142787197877264`*^9, 3.8142790351557646`*^9, 
   3.8142791553446393`*^9, {3.8142791956479445`*^9, 3.8142792009992504`*^9}, {
   3.8142793851887856`*^9, 3.8142794117183027`*^9}, 3.8142794542887373`*^9, {
   3.8142795079058046`*^9, 3.814279525763826*^9}, {3.814279743922304*^9, 
   3.814279749394617*^9}, 3.8142797972223525`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thomas-Fermi regime criterion: \"\>", "\[InvisibleSpace]", 
   "546.0591015375155`", 
   "\[InvisibleSpace]", "\<\" must be >> 1 to be valid\"\>"}],
  SequenceForm[
  "Thomas-Fermi regime criterion: ", 546.0591015375155, 
   " must be >> 1 to be valid"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8141839735826397`*^9, 3.8141839845132647`*^9}, {
   3.8141842822942967`*^9, 3.814184317381304*^9}, {3.814184410243615*^9, 
   3.8141844149048815`*^9}, {3.814184509591297*^9, 3.8141845189228315`*^9}, 
   3.814184562863344*^9, 3.814185179701626*^9, 3.8141861498421144`*^9, 
   3.8141863671505437`*^9, 3.8141864581827507`*^9, 3.814186499226098*^9, {
   3.8141870954952025`*^9, 3.81418712289977*^9}, 3.8141871823891726`*^9, 
   3.814187629869767*^9, 3.8141887489687757`*^9, 3.8141889374545565`*^9, 
   3.8141891160947742`*^9, 3.8141932213465815`*^9, {3.814193284661203*^9, 
   3.8141933133648443`*^9}, {3.8141933527410965`*^9, 3.8141933758164167`*^9}, 
   3.8141943379324465`*^9, {3.8141962406282744`*^9, 3.8141962465386124`*^9}, 
   3.8141968527702866`*^9, 3.814197082541429*^9, 3.814197157763732*^9, 
   3.814197328932522*^9, 3.8141975254237604`*^9, {3.814199116624772*^9, 
   3.8141991279604206`*^9}, 3.8141991722289524`*^9, {3.8141995030808764`*^9, 
   3.8141995201948547`*^9}, 3.814199560219144*^9, 3.8141996942868123`*^9, 
   3.8141998521008387`*^9, 3.8141998913640842`*^9, 3.8141999749738665`*^9, 
   3.8142000409876423`*^9, 3.8142001047542896`*^9, 3.8142001790615396`*^9, 
   3.81420040023919*^9, 3.814200454468292*^9, 3.8142005115445566`*^9, 
   3.8142007509302487`*^9, {3.814200799525028*^9, 3.814200813048802*^9}, {
   3.8142013266561785`*^9, 3.8142013561008625`*^9}, 3.8142013955151167`*^9, 
   3.814201893386594*^9, 3.8142021181954517`*^9, {3.8142045905728636`*^9, 
   3.8142045961991854`*^9}, 3.814204644479947*^9, 3.8142046944348044`*^9, 
   3.8142739060183945`*^9, {3.814273948316814*^9, 3.8142739526480618`*^9}, 
   3.814277077109771*^9, {3.814277115958993*^9, 3.8142771254005327`*^9}, 
   3.8142771580974035`*^9, {3.8142773484422903`*^9, 3.8142773674193754`*^9}, 
   3.8142777397486715`*^9, 3.8142779985624747`*^9, {3.8142780455131607`*^9, 
   3.8142780516005087`*^9}, 3.8142785584404984`*^9, 3.8142786136466556`*^9, 
   3.814278683502651*^9, 3.8142787197877264`*^9, 3.8142790351557646`*^9, 
   3.8142791553446393`*^9, {3.8142791956479445`*^9, 3.8142792009992504`*^9}, {
   3.8142793851887856`*^9, 3.8142794117183027`*^9}, 3.8142794542887373`*^9, {
   3.8142795079058046`*^9, 3.814279525763826*^9}, {3.814279743922304*^9, 
   3.814279749394617*^9}, 3.8142797972243524`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Time-of-flight expansion of the BEC ", "Section",
 CellChangeTimes->{{3.814201749416359*^9, 3.8142017680294237`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"resTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"expandWithIntFun", "[", 
         RowBox[{"#", ",", "eqTot", ",", "initCond", ",", 
          RowBox[{"{", 
           RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "&"}], 
       ",", "tofTab"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"resTab", "[", 
     RowBox[{"[", 
      RowBox[{"1", ";;", "3"}], "]"}], "]"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"PlotMarkers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", "Medium"}], "}"}]}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<BEC free expansion\>\"", ",", 
       RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"PlotLegends", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) X\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) Y\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) Z\>\""}], "}"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Time of Flight (ms)\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Thomas-Fermi Radii (\[Micro]m)\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aspectRatioTab", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"First", "[", 
         RowBox[{
          RowBox[{"resTab", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"Last", "[", 
          RowBox[{
           RowBox[{"resTab", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}], "/", 
         RowBox[{"Last", "[", 
          RowBox[{
           RowBox[{"resTab", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", 
         RowBox[{"resTab", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{"aspectRatioTab", ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"PlotMarkers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", "Medium"}], "}"}]}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<BEC free expansion\>\"", ",", 
       RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"PlotLegends", "\[Rule]", 
     RowBox[{
     "{", "\"\<\!\(\*SubscriptBox[\(\[Omega]\), \(perp\)]\) / \
\!\(\*SubscriptBox[\(\[Omega]\), \(par\)]\)\>\"", "}"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Time of Flight (ms)\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Aspect ratio\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"resTab", "[", 
    RowBox[{"[", 
     RowBox[{"4", ";;", "5"}], "]"}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotMarkers", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Medium"}], "}"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Parameters for BEC free expansion\>\"", ",", 
      RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Factor for R0\>\"", ",", "\"\<Exponent between \[Omega]\>\""}], 
     "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Time of Flight (ms)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Value\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.814183606663653*^9, 3.814183620405439*^9}, {
  3.8141846224667535`*^9, 3.814184648734256*^9}, {3.814184902613777*^9, 
  3.8141849114352818`*^9}, {3.8141850232496767`*^9, 3.8141850290540085`*^9}, {
  3.814185076402717*^9, 3.814185077237765*^9}, {3.814185195548532*^9, 
  3.8141852009668417`*^9}, {3.814185884910961*^9, 3.8141858866230593`*^9}, {
  3.8141991384850225`*^9, 3.8141991423012404`*^9}, {3.814199197306387*^9, 
  3.8141992629651423`*^9}, {3.8141993122939634`*^9, 3.814199312829994*^9}, {
  3.8141997013232145`*^9, 3.81419970194125*^9}, {3.8142774314230366`*^9, 
  3.814277431585046*^9}, {3.8142777480631475`*^9, 3.8142778192642193`*^9}, {
  3.814279783525569*^9, 3.8142797850866585`*^9}, {3.814280027057498*^9, 
  3.8142800414363203`*^9}, {3.8142800724930973`*^9, 3.8142801367707734`*^9}, {
  3.8142802111720285`*^9, 3.8142802137001734`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw113dUU/cbx/GwFVGGLNlLRiBkLxz3wwYJey8tiiAVQanauioCVYurLmRb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         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw113lYjekfx/FTiqRUWrVoX7WcpbPEz3k+LSdjtI2RMVqYVqSRhDZkGUJD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         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledDiamond]\"", FontSize -> Medium, StripOnInput -> 
             False], TraditionalForm]], {0., 0.}], CompressedData["
1:eJw113dYU2cbx/FEhoMhe2+QsEL2wnF+DBkSZG/QV2U4wAlaUSsCVYvixhJA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         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{0, 26.000000000000007`}, {0, 118.27898345673718`}}, 
     DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         StyleBox[
         "\"Thomas-Fermi Radii (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
          False], TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Time of Flight (ms)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"BEC free expansion\"", FontSize -> 16, StripOnInput -> False], 
       TraditionalForm], 
     PlotRange -> {{0, 26.000000000000007`}, {0, 118.27898345673718`}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
      "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) X\"", 
       "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) Y\"", 
       "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) Z\""}, "PointLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledDiamond]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledDiamond]\"", ",", "Medium"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8141852030039587`*^9, 3.8141853380516825`*^9, 3.8141858944295053`*^9, 
   3.814186545020717*^9, 3.814187535442366*^9, {3.8141876410344057`*^9, 
   3.814187665334796*^9}, 3.8141889578897257`*^9, 3.8141932954468193`*^9, {
   3.814193325977566*^9, 3.8141933556082606`*^9}, 3.814193403920024*^9, 
   3.8141943497191205`*^9, 3.814196276355318*^9, 3.814196885763174*^9, 
   3.8141971126371503`*^9, 3.8141971905616074`*^9, 3.8141972228734555`*^9, 
   3.814197364201539*^9, 3.814197539181547*^9, 3.814199144831385*^9, 
   3.8141991874528227`*^9, 3.8141992764349127`*^9, 3.814199326362768*^9, 
   3.8141995770651073`*^9, 3.8141997157720413`*^9, 3.8141998680047483`*^9, 
   3.8141999072029905`*^9, 3.8141999912557983`*^9, 3.8142000565495324`*^9, 
   3.814200120740204*^9, 3.8142001965025377`*^9, 3.8142004159090867`*^9, 
   3.8142004697701674`*^9, 3.814200526849432*^9, 3.814200766733153*^9, 
   3.8142008300197725`*^9, {3.814201343194124*^9, 3.8142013727298136`*^9}, 
   3.8142014137551603`*^9, 3.8142019093125043`*^9, 3.8142046569576607`*^9, 
   3.8142047041423597`*^9, {3.8142774388924637`*^9, 3.8142774562994595`*^9}, 
   3.814277832055951*^9, 3.814278013462327*^9, 3.8142780643432374`*^9, 
   3.814278270785045*^9, 3.8142785618586936`*^9, 3.814278627292436*^9, 
   3.814278696128373*^9, 3.8142787325594573`*^9, 3.8142790557289414`*^9, 
   3.814279169856469*^9, 3.8142792147790384`*^9, 3.8142794251370707`*^9, 
   3.814279465482378*^9, {3.8142795185944157`*^9, 3.814279536655449*^9}, 
   3.8142797730129676`*^9, 3.8142798052178097`*^9, 3.814280047992696*^9, {
   3.8142800806145616`*^9, 3.814280106673052*^9}, 3.8142801435031586`*^9, 
   3.814280220942588*^9}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw113s4lHkfx/E5YB0SyfksZ6EZM4Yp2/3ZtDqh1bl2VyqUalPR2rVWqqdS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         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{0, 26.000000000000007`}, {0, 2.638126971789497}}, 
     DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         StyleBox["\"Aspect ratio\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Time of Flight (ms)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"BEC free expansion\"", FontSize -> 16, StripOnInput -> False], 
       TraditionalForm], 
     PlotRange -> {{0, 26.000000000000007`}, {0, 2.638126971789497}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
      "\"\\!\\(\\*SubscriptBox[\\(\[Omega]\\), \\(perp\\)]\\) / \
\\!\\(\\*SubscriptBox[\\(\[Omega]\\), \\(par\\)]\\)\""}, "PointLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                 ",", 
                 InterpretationBox[
                  ButtonBox[
                   TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                   None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                   DefaultBaseStyle -> {}, ButtonFunction :> 
                   With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                   Automatic, Method -> "Preemptive"], 
                  RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                  Selectable -> False], ",", 
                 RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
             "}"}], ",", 
           RowBox[{"{", #, "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"{", 
                 RowBox[{"\"\[FilledCircle]\"", ",", "Medium"}], "}"}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", "False", "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8141852030039587`*^9, 3.8141853380516825`*^9, 3.8141858944295053`*^9, 
   3.814186545020717*^9, 3.814187535442366*^9, {3.8141876410344057`*^9, 
   3.814187665334796*^9}, 3.8141889578897257`*^9, 3.8141932954468193`*^9, {
   3.814193325977566*^9, 3.8141933556082606`*^9}, 3.814193403920024*^9, 
   3.8141943497191205`*^9, 3.814196276355318*^9, 3.814196885763174*^9, 
   3.8141971126371503`*^9, 3.8141971905616074`*^9, 3.8141972228734555`*^9, 
   3.814197364201539*^9, 3.814197539181547*^9, 3.814199144831385*^9, 
   3.8141991874528227`*^9, 3.8141992764349127`*^9, 3.814199326362768*^9, 
   3.8141995770651073`*^9, 3.8141997157720413`*^9, 3.8141998680047483`*^9, 
   3.8141999072029905`*^9, 3.8141999912557983`*^9, 3.8142000565495324`*^9, 
   3.814200120740204*^9, 3.8142001965025377`*^9, 3.8142004159090867`*^9, 
   3.8142004697701674`*^9, 3.814200526849432*^9, 3.814200766733153*^9, 
   3.8142008300197725`*^9, {3.814201343194124*^9, 3.8142013727298136`*^9}, 
   3.8142014137551603`*^9, 3.8142019093125043`*^9, 3.8142046569576607`*^9, 
   3.8142047041423597`*^9, {3.8142774388924637`*^9, 3.8142774562994595`*^9}, 
   3.814277832055951*^9, 3.814278013462327*^9, 3.8142780643432374`*^9, 
   3.814278270785045*^9, 3.8142785618586936`*^9, 3.814278627292436*^9, 
   3.814278696128373*^9, 3.8142787325594573`*^9, 3.8142790557289414`*^9, 
   3.814279169856469*^9, 3.8142792147790384`*^9, 3.8142794251370707`*^9, 
   3.814279465482378*^9, {3.8142795185944157`*^9, 3.814279536655449*^9}, 
   3.8142797730129676`*^9, 3.8142798052178097`*^9, 3.814280047992696*^9, {
   3.8142800806145616`*^9, 3.814280106673052*^9}, 3.8142801435031586`*^9, 
   3.8142802211566*^9}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw113s01Pkfx3EkSdlyzaUUxjCIMTczLvt9qVaptNmudlNt6fbbSFe02bW5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         "]]}, {
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw113lUzfkfx/GbSoiQSJu073WXupWl74uGaDH5lRl0KM0UoxRjMGmYtDgi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         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{0, 26.000000000000007`}, {-0.9938424422928994, 
       13.023868720703714`}}, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         StyleBox["\"Value\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Time of Flight (ms)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"Parameters for BEC free expansion\"", FontSize -> 16, StripOnInput -> 
        False], TraditionalForm], 
     PlotRange -> {{0, 26.000000000000007`}, {-0.9938424422928994, 
       13.023868720703714`}}, PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"Factor for R0\"", "\"Exponent between \[Omega]\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Medium"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8141852030039587`*^9, 3.8141853380516825`*^9, 3.8141858944295053`*^9, 
   3.814186545020717*^9, 3.814187535442366*^9, {3.8141876410344057`*^9, 
   3.814187665334796*^9}, 3.8141889578897257`*^9, 3.8141932954468193`*^9, {
   3.814193325977566*^9, 3.8141933556082606`*^9}, 3.814193403920024*^9, 
   3.8141943497191205`*^9, 3.814196276355318*^9, 3.814196885763174*^9, 
   3.8141971126371503`*^9, 3.8141971905616074`*^9, 3.8141972228734555`*^9, 
   3.814197364201539*^9, 3.814197539181547*^9, 3.814199144831385*^9, 
   3.8141991874528227`*^9, 3.8141992764349127`*^9, 3.814199326362768*^9, 
   3.8141995770651073`*^9, 3.8141997157720413`*^9, 3.8141998680047483`*^9, 
   3.8141999072029905`*^9, 3.8141999912557983`*^9, 3.8142000565495324`*^9, 
   3.814200120740204*^9, 3.8142001965025377`*^9, 3.8142004159090867`*^9, 
   3.8142004697701674`*^9, 3.814200526849432*^9, 3.814200766733153*^9, 
   3.8142008300197725`*^9, {3.814201343194124*^9, 3.8142013727298136`*^9}, 
   3.8142014137551603`*^9, 3.8142019093125043`*^9, 3.8142046569576607`*^9, 
   3.8142047041423597`*^9, {3.8142774388924637`*^9, 3.8142774562994595`*^9}, 
   3.814277832055951*^9, 3.814278013462327*^9, 3.8142780643432374`*^9, 
   3.814278270785045*^9, 3.8142785618586936`*^9, 3.814278627292436*^9, 
   3.814278696128373*^9, 3.8142787325594573`*^9, 3.8142790557289414`*^9, 
   3.814279169856469*^9, 3.8142792147790384`*^9, 3.8142794251370707`*^9, 
   3.814279465482378*^9, {3.8142795185944157`*^9, 3.814279536655449*^9}, 
   3.8142797730129676`*^9, 3.8142798052178097`*^9, 3.814280047992696*^9, {
   3.8142800806145616`*^9, 3.814280106673052*^9}, 3.8142801435031586`*^9, 
   3.814280221350611*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<X radius of the BEC after expansion: \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
   "\"\< \[Micro]m\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Y radius of the BEC after expansion: \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], ",", 
   "\"\< \[Micro]m\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Z radius of the BEC after expansion: \>\"", ",", 
    RowBox[{"Last", "[", 
     RowBox[{"Last", "[", 
      RowBox[{"resTab", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], ",", 
    "\"\< \[Micro]m\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Aspecf ratio perp/para of the BEC after expansion: \>\"", ",", 
   RowBox[{
    RowBox[{"Last", "[", 
     RowBox[{"Last", "[", 
      RowBox[{"resTab", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "/", 
    RowBox[{"Last", "[", 
     RowBox[{"Last", "[", 
      RowBox[{"resTab", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.81420001734529*^9, 3.8142000253917503`*^9}, {
  3.814201797061084*^9, 3.814201880059831*^9}, {3.814279227591771*^9, 
  3.8142792549643373`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"X radius of the BEC after expansion: \"\>", 
   "\[InvisibleSpace]", "118.27898345673718`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "X radius of the BEC after expansion: ", 118.27898345673718`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81420184892005*^9, 3.8142019342989335`*^9}, 
   3.814204657843712*^9, 3.8142047312409096`*^9, 3.814278633499791*^9, {
   3.814278706842986*^9, 3.814278733179493*^9}, 3.8142791748117523`*^9, 
   3.8142792153870735`*^9, 3.814279255350359*^9, 3.8142794428640842`*^9, 
   3.8142795438868628`*^9, 3.8142798103411026`*^9, {3.8142801516776257`*^9, 
   3.8142801530947075`*^9}, 3.81428022377975*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Y radius of the BEC after expansion: \"\>", 
   "\[InvisibleSpace]", "44.834454414643304`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Y radius of the BEC after expansion: ", 44.834454414643304`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81420184892005*^9, 3.8142019342989335`*^9}, 
   3.814204657843712*^9, 3.8142047312409096`*^9, 3.814278633499791*^9, {
   3.814278706842986*^9, 3.814278733179493*^9}, 3.8142791748117523`*^9, 
   3.8142792153870735`*^9, 3.814279255350359*^9, 3.8142794428640842`*^9, 
   3.8142795438868628`*^9, 3.8142798103411026`*^9, {3.8142801516776257`*^9, 
   3.8142801530947075`*^9}, 3.8142802237837505`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Z radius of the BEC after expansion: \"\>", 
   "\[InvisibleSpace]", "118.27898345673717`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Z radius of the BEC after expansion: ", 118.27898345673717`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81420184892005*^9, 3.8142019342989335`*^9}, 
   3.814204657843712*^9, 3.8142047312409096`*^9, 3.814278633499791*^9, {
   3.814278706842986*^9, 3.814278733179493*^9}, 3.8142791748117523`*^9, 
   3.8142792153870735`*^9, 3.814279255350359*^9, 3.8142794428640842`*^9, 
   3.8142795438868628`*^9, 3.8142798103411026`*^9, {3.8142801516776257`*^9, 
   3.8142801530947075`*^9}, 3.8142802237867503`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Aspecf ratio perp/para of the BEC after expansion: \"\>", 
   "\[InvisibleSpace]", "2.638126971789497`"}],
  SequenceForm[
  "Aspecf ratio perp/para of the BEC after expansion: ", 2.638126971789497],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81420184892005*^9, 3.8142019342989335`*^9}, 
   3.814204657843712*^9, 3.8142047312409096`*^9, 3.814278633499791*^9, {
   3.814278706842986*^9, 3.814278733179493*^9}, 3.8142791748117523`*^9, 
   3.8142792153870735`*^9, 3.814279255350359*^9, 3.8142794428640842`*^9, 
   3.8142795438868628`*^9, 3.8142798103411026`*^9, {3.8142801516776257`*^9, 
   3.8142801530947075`*^9}, 3.8142802237887506`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Factor for R0: \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "4", "]"}], "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Exponent for (\[Omega]i/\[Omega]Iso): \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "5", "]"}], "]"}], "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8142019447915335`*^9, 3.8142020145145216`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Factor for R0: \"\>", "\[InvisibleSpace]", 
   "0.7212917523468186`"}],
  SequenceForm["Factor for R0: ", 0.7212917523468186],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.814201970333995*^9, {3.8142020078191385`*^9, 3.814202015251564*^9}, 
   3.814204657870713*^9, 3.8142047330430126`*^9, 3.814278072071679*^9, 
   3.8142786399201584`*^9, 3.81427926043465*^9, 3.814279443899143*^9, 
   3.8142795453629465`*^9, 3.814279812267213*^9, 3.814280224629799*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Exponent for (\[Omega]i/\[Omega]Iso): \"\>", 
   "\[InvisibleSpace]", "0.3948610166819541`"}],
  SequenceForm["Exponent for (\[Omega]i/\[Omega]Iso): ", 0.3948610166819541],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.814201970333995*^9, {3.8142020078191385`*^9, 3.814202015251564*^9}, 
   3.814204657870713*^9, 3.8142047330430126`*^9, 3.814278072071679*^9, 
   3.8142786399201584`*^9, 3.81427926043465*^9, 3.814279443899143*^9, 
   3.8142795453629465`*^9, 3.814279812267213*^9, 3.8142802246337986`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Plot of the density distribution of the BEC after TOF", "Section",
 CellChangeTimes->{{3.814201709476074*^9, 3.814201723958903*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tabPlotY", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{
        RowBox[{"plotBECFun", "[", 
         RowBox[{
          RowBox[{"r", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], ",", 
          RowBox[{"Last", "[", 
           RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"-", "150"}], ",", "150", ",", "1."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tabPlotZ", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r", ",", 
        RowBox[{
         RowBox[{"plotBECFun", "[", 
          RowBox[{
           RowBox[{"r", "*", 
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}]}], ",", 
           RowBox[{"Last", "[", 
            RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", 
        RowBox[{"-", "150"}], ",", "150", ",", "1."}], "}"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"tabPlotY", ",", "tabPlotZ"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotMarkers", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Small"}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<BEC density profile\>\"", ",", 
      RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Along the Y axis\>\"", ",", "\"\<Along the Z axis\>\""}], 
     "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Distance (\[Micro]m)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Density (1/m^3)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8141893987729425`*^9, 3.814189399725997*^9}, {
  3.8141944122726984`*^9, 3.8141944225872884`*^9}, {3.814202949402994*^9, 
  3.8142029508960795`*^9}, {3.814203124579014*^9, 3.814203194782029*^9}, {
  3.814203231244115*^9, 3.8142033254935055`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Small, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}], CompressedData["
1:eJxd1G1olWUcx/F/LWQZkbJRmyw5DbNlKs7NOR/m/ts5m87Nuc09Od0802am
5py5XL7ISy0poUymL4qCs55f9ACVNC3yD7NAIRBCkR5gI1+ExDwDE5PoAbxu
6/renDcffud3rvvc93X9H9rY29STISJz7hD59yN3ir9so8n/rxTs4CSscAwW
eLQ7tMEp2MFJWOEYLPBoEuvDKdjBSVjhGCxcbwN+H1ZYYOtCH1ZYYOtEH1ZY
YFuPPqywwLYOfVhhga0DfVhhgW0t+rDCAls7+rDCAlsb+rDCAlsr+rDCAlsL
+rDCAlsz+rDCAtsa9GGFBbYm9GGFBbZG9GGFBbYG9GGFhd9fjRx29chhtwo5
7OqQw64WOexWIoddDXLYrUAOu+XIYVeNvNrqzn302A/jBfFbeZV9/Pe04xm5
S25ZqmziROHh8k8TPk/Y9exLZ69+WOvzhO2pt0TNskafx+3Ce8cvD77a7PO4
ncjafqbtuzafV9qfx+KXj13r8HmlnZyVl6id1OXzCuu/crOvbH/S5xV2pubX
saPXun2u1lB0cSK/c5PP1aa+f2Yofepx73Kb/O5nEzfv3ey9zCrmvD1W0fqE
d5l9Uj7Y983gFu+l1vLTwaEXvn3Se4mVZPT3HRjf6r3YVn2+eezLe7Z7L7LU
1faJwulPeZfaoydqhy4/vMN7oY3fVT7xfX6vd4n1976W3jd5p/cCOzo0WFr8
XORiO5vzyvlDv0UusrwLLw7vaenznm8vXzyYnnQycqHlPrhvoPiBXd7zbOSD
vQ2yM/Jce+nZZwa2jkSebduP7Ervmvq09yzbdmXHcG5H5AI7dHjb+a43I8+0
071bSit/jDzDsl7vSY9k7fbOt+fv3nTjl+rIMZv6dbLhrd2R8+yrL7pu/PVG
5Bw7cH19+o/TkbOtZ++60sGfI0+xnnjH+XO/R860/Y1rh1OZ/d5ip95pT2ff
Hzl9+r6y9oFHpt/OZf+09oZLsdt5OXIN+5ka/v4UDdfP1vD+cjS8/zwN/19M
w/+fr+HzmaHh85up4fMt0PD5z9Lw/czW8P3N1fD9ztPw/RdquD/ma7h/ijTc
X8Ua7r8FGu7PEg3370IN93ephvt/kYbnY7GG52eJhudrqYbnr0zD87lMw/Nb
ruH5Vg3Ov1MN50OFhvOjQsP5Uqnh/KnUcD7FNZxfcQ3nW0LD+ZfQcD5WaTg/
qzScr9Uazt9qleBaHtrBsgI5LDXIYVmJHJZa5LDUIYdlFXJY6pHDsho5LA2h
FXawwdKIPuxgg6UJfdjBBssa9GEHGyzN6MMONlha0IcdbLC0og872GBpQx92
sMHSjj7sYINlLfqwgw2WDvRhBxss69CHHWywrEcfdrDB0ok+7GCDpQt92MEG
ywb0YQcbLMnQMVjhJOzgFGzwKCzdWB9WOAk7OAUbPArLRqwPK5yEHZyC7T//
Ayr0lUU=
         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Small, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}], CompressedData["
1:eJxdl31QVNcZxq9fwBQTQLAq4oiMVSAIoqDI5wMsX+uC+8l+sbAgSjBWrSBN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         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{-150., 150.}, {0, 9.515340710239643*^16}}, 
     DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         StyleBox[
         "\"Density (1/m^3)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Distance (\[Micro]m)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"BEC density profile\"", FontSize -> 16, StripOnInput -> False], 
       TraditionalForm], 
     PlotRange -> {{-150., 150.}, {0, 9.515340710239643*^16}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"Along the Y axis\"", "\"Along the Z axis\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Small"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Small"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.814203254276432*^9, 3.8142033262765503`*^9}, 
   3.8142048158387485`*^9, 3.814278077791006*^9, 3.8142781100268507`*^9, 
   3.8142782189870825`*^9, 3.814279286149121*^9, 3.814280229943103*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tabAuxR", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{"r", ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"-", "150"}], ",", "150", ",", "2."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tabAux2D", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"plotBEC2DFun", "[", 
        RowBox[{
         RowBox[{"#", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], ",", 
         RowBox[{"Last", "[", 
          RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "&"}], ",",
       "tabAuxR"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tabPlot2DY", " ", "=", " ", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"tabAuxR", "[", 
         RowBox[{"[", "#", "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"tabAux2D", "[", 
          RowBox[{"[", "#", "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "&"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{"i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "tabAuxR", "]"}]}], "}"}]}], "]"}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tabPlot2DZ", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"tabAuxR", "[", 
          RowBox[{"[", "#", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"tabAux2D", "[", 
           RowBox[{"[", "#", "]"}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "&"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{"i", ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"Length", "[", "tabAuxR", "]"}]}], "}"}]}], "]"}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"tabPlot2DY", ",", "tabPlot2DZ"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotMarkers", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Small"}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<BEC integrated density profile along X\>\"", ",", 
      RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Along the Y axis\>\"", ",", "\"\<Along the Z axis\>\""}], 
     "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Distance (\[Micro]m)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Integrated density\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8141803263970327`*^9, 3.814180467654112*^9}, {
   3.8141808248225408`*^9, 3.8141808798666887`*^9}, {3.8141810572108326`*^9, 
   3.814181086402502*^9}, {3.814181179588832*^9, 3.81418117990385*^9}, {
   3.814181264226673*^9, 3.814181268100895*^9}, {3.8141814092249665`*^9, 
   3.8141814112220807`*^9}, 3.8141816746571484`*^9, 3.814181893622672*^9, {
   3.814185991398052*^9, 3.814186029632239*^9}, {3.81418875569116*^9, 
   3.8141887560611815`*^9}, {3.814188792194248*^9, 3.8141888089242053`*^9}, {
   3.814188972591566*^9, 3.8141890056484575`*^9}, {3.814189090756325*^9, 
   3.814189125478311*^9}, {3.814189165932625*^9, 3.814189183282617*^9}, {
   3.8142021701964264`*^9, 3.8142021717535152`*^9}, {3.8142025166022396`*^9, 
   3.81420273953199*^9}, {3.8142029560313735`*^9, 3.8142029594985714`*^9}, 
   3.814203009255418*^9, {3.8142030815435524`*^9, 3.8142030821485868`*^9}, {
   3.8142033377882085`*^9, 3.8142033892221503`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Small, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}], CompressedData["
1:eJxd0ktIVFEYwPHPcpeJRJARlIWFNBJmImImn6Pj+zW+Hd9SCC1qUdviLAak
oOxFhlD2Mi2hB4VQhnwEbpWiZdSundCiwMJFQsfq/C/cxY//nLn3nvPtHT7d
cmKziIyv3ynr9ybxlw2b/H85WGGBbQjrYYUFtkGshxUW/n4AHXb96LDrQ4dd
LzrsetBhl0CHXTc67LrQYdeJDrsOdNi1o8OuDR12reiwa0GHXRwdds3odBPc
CDfA9XAdXAvXwNVwFVxpU2spKYcXiqJ/HLO8sflIYm7Yu8Kevu67sbbnrHe5
Taa/mXwZd95Razs+enRh96h3mW07tzz+7dhlb7X497nM/e+ueZfa2ov0peWR
m94lNjs1UrCSMuFdbF8OTJY/T972LrJ97y/NpZ65611obw/9is2k3/cusJ+f
Ij3Jqw+88y1t8UNnYvWhd54ld36M9egj71zbHnl2fdfItHeOvboVnb5wcsY7
2+a3NIx9rX7snWVbJ86vD+ET70wrixy5t3JlwxmWvPO56+LqhsVSF08V/yic
3bDsSCs9uFT31xr2DA3XZ2r4/1kaPj9bw/fL0fD9czX8vjwNvz9fw/0p0HD/
CjXc3yIN979Yw/Mp0fD8SjU8X9Xw/Ms0nI+ohvNTruF8VWg4fzEN57NSw/mt
UgmuargGroXr4Hq4AW6Em+Dm0A6WODosLeiwtKLD0oYOSzs6LB3osHSiw9KF
Dks3OiwJdFh60GHpRYelDx2WfnRYBtBhGQytsIMNliGshx1ssAxjPexg++ff
Jcw6kQ==
         "]]}, {
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Small, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}], CompressedData["
1:eJxdlWtMk2cUx18GLEYbleGQoSTi/IDaYUUliIQdyqVcKr23tKWCJLjUC7oQ
L/H6RiUxuEUM21oHyyyISBXJkHiLhgPsgosBb4PoFjOMirovRo3xEpeZcB7n
ed7k/fDrr0/7vs9zzv8kVa63VkUqihJ4e0e8vT9Q6MJKVN6/VIlBYkViXCmt
lxgkViTGCmm9xCCxIn+/XPISqyskL7Hqw0nG8u9bpj3JHv/Ah1qtGu7QZOjH
fRmaAtvT19SZx1kpwyS1/+SDaB95L55I7Ete1VlF3ovDwUNxpsZ15D040NHV
5/+ohrwH25d2fHo/uJm8G/eOaQ7udW4n78b6is7oRSGVfCm+uBVduHneHvKl
OPrwmO5Cfy15F7ZvDZ+fsnofeRe+nF8TN5iwn7wTfwk2jDVc/5q8E+vDtief
FNaTd+Bp/4d+V/ggeQdeKp8f/E7TQN6OuyOtcW+qvyFvx8dzR3p7rnxL3oZH
DA1TkhYGyNsw5r62ef2BIHkrxk66nRD9zyHyVhywZcbn5TSSt2DXznxPU6CJ
vAUDRU+j1LEfyJtx17Znr9em/kjejKFNF9ufLjtMbMIl/aaHF/4UXIJVWb4+
z5YQ8XKMOnnueDCmmdiIOPLXaG6b4GK86o4F3dIW4iKcueHnxJTfBBfiyETD
gmmWI8QF+OvZP/znhwUb8NVn+kevXK3E+XjKP/32TzcE56G14F71ReNR4lwc
Stra+aZHcA4aLSN19pQ2Yj3W1nR3twYEZ+OuiWsah18LBgylzfUOeo4RZ2Hs
jpKujd2CMzFFf/P56QntxBnouDyo2ekSnI7pX9T5zh4WnIZL2u4M2e8KXowx
jz7uzZkdJk7F2slf/rvJI1iH1ZGtPaNfCdbiVUNvaMs5wcmoH/i9eeHfgudg
7ZmxxKiI48SzUB+fMPBghuB4vH5iT8dNneCp2PI4ZcG1zwUreKnJHTFU8I6V
6ZqseYPF7xi4nwp8fTzw358F/P/nAH++ZODPrwX+fjrg758KfH8WA9+/NOD7
mw58/zOAn08m8PPLAn6+APz8s4HXhx54/eQAr69c4PWXB7w+84HXrwF4fRcA
r/9C4P1RBLx/ioH3lxF4/y0H3p8lwPvXBLy/zcD6XzUDzwcL8PywAM8XK/D8
sQLPJxvw/LIBzzc78PyzA89HB/D8dADPVyfw/HUCz2cX8Px2Ac/3UuD5Xwp8
PriBzw838PniAT5/PMDnkxf4/PICn29lwOdfGfD56AM+P33A5+sKUN6/VImV
cslLrFRwBolViVFiZaW0XmJVYpRYqZTWS6xKjP/zf9/6WSw=
         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{-150., 150.}, {0, 1.5006197686022045`*^13}}, 
     DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         StyleBox[
         "\"Integrated density\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Distance (\[Micro]m)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"BEC integrated density profile along X\"", FontSize -> 16, 
        StripOnInput -> False], TraditionalForm], 
     PlotRange -> {{-150., 150.}, {0, 1.5006197686022045`*^13}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"Along the Y axis\"", "\"Along the Z axis\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Small"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Small"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.814189190446027*^9, 3.8141906643083267`*^9, 
  3.8141944165249414`*^9, 3.8142020489914937`*^9, 3.814202174687683*^9, 
  3.814202229440815*^9, 3.814203069222848*^9, 3.81420343047651*^9, 
  3.814203532742359*^9, 3.814204873843066*^9, 3.8142781077797217`*^9, 
  3.814278252960026*^9, 3.8142793408812513`*^9, 3.814280278647888*^9}]
}, Open  ]]
}, Closed]]
}, Closed]]
},
CellGrouping->Manual,
WindowSize->{1350, 696},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 2122, 46, 252, "Input"],
Cell[CellGroupData[{
Cell[2705, 70, 126, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[2856, 75, 31181, 776, 2072, "Input"],
Cell[34040, 853, 2845, 44, 23, "Print"],
Cell[36888, 899, 2749, 41, 23, "Print"],
Cell[39640, 942, 2930, 44, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[42619, 992, 123, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[42767, 997, 4234, 102, 392, "Input"],
Cell[47004, 1101, 26862, 522, 366, "Output"],
Cell[73869, 1625, 19603, 380, 373, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[93509, 2010, 972, 23, 72, "Input"],
Cell[94484, 2035, 970, 16, 23, "Print"],
Cell[95457, 2053, 975, 16, 23, "Print"],
Cell[96435, 2071, 970, 16, 23, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97442, 2092, 561, 14, 52, "Input"],
Cell[98006, 2108, 742, 13, 23, "Print"],
Cell[98751, 2123, 786, 13, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[99586, 2142, 927, 22, 52, "Input"],
Cell[100516, 2166, 164, 2, 31, "Output"],
Cell[100683, 2170, 165, 2, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100885, 2177, 2321, 64, 272, "Input"],
Cell[103209, 2243, 114, 1, 31, "Output"],
Cell[103326, 2246, 113, 1, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[103476, 2252, 157, 3, 31, "Input"],
Cell[103636, 2257, 110, 1, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[103783, 2263, 255, 6, 31, "Input"],
Cell[104041, 2271, 167, 2, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[104245, 2278, 349, 7, 52, "Input"],
Cell[104597, 2287, 191, 2, 31, "Output"],
Cell[104791, 2291, 191, 2, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[105019, 2298, 269, 5, 72, "Input"],
Cell[105291, 2305, 116, 1, 31, "Output"],
Cell[105410, 2308, 114, 1, 31, "Output"]
}, Open  ]],
Cell[105539, 2312, 62, 0, 52, "Input"],
Cell[CellGroupData[{
Cell[105626, 2316, 138, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[105789, 2321, 3196, 82, 232, "Input"],
Cell[108988, 2405, 17418, 351, 334, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[126443, 2761, 4435, 111, 292, "Input"],
Cell[130881, 2874, 15422, 316, 336, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[146340, 3195, 6757, 174, 552, "Input"],
Cell[153100, 3371, 66572, 1235, 583, 44542, 872, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[219721, 4612, 129, 1, 56, "Section"],
Cell[CellGroupData[{
Cell[219875, 4617, 2618, 63, 212, "Input"],
Cell[222496, 4682, 29741, 573, 351, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[252274, 5260, 1256, 32, 132, "Input"],
Cell[253533, 5294, 482, 10, 23, "Print"],
Cell[254018, 5306, 477, 10, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[254522, 5320, 196, 3, 106, "Input"],
Cell[CellGroupData[{
Cell[254743, 5327, 206, 4, 67, "Subchapter"],
Cell[CellGroupData[{
Cell[254974, 5335, 126, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[255125, 5340, 27223, 658, 1912, "Input"],
Cell[282351, 6000, 2589, 36, 23, "Print"],
Cell[284943, 6038, 2728, 41, 23, "Print"],
Cell[287674, 6081, 2643, 39, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[290366, 6126, 123, 1, 56, "Section"],
Cell[CellGroupData[{
Cell[290514, 6131, 6814, 165, 632, "Input"],
Cell[297331, 6298, 29755, 571, 358, "Output"],
Cell[327089, 6871, 13767, 266, 362, "Output"],
Cell[340859, 7139, 21808, 417, 366, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[362704, 7561, 1496, 37, 112, "Input"],
Cell[364203, 7600, 728, 13, 23, "Print"],
Cell[364934, 7615, 731, 13, 23, "Print"],
Cell[365668, 7630, 731, 13, 23, "Print"],
Cell[366402, 7645, 695, 12, 23, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[367134, 7662, 561, 14, 52, "Input"],
Cell[367698, 7678, 513, 10, 23, "Print"],
Cell[368214, 7690, 561, 10, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[368824, 7706, 138, 1, 56, "Section"],
Cell[CellGroupData[{
Cell[368987, 7711, 3196, 82, 232, "Input"],
Cell[372186, 7795, 16888, 342, 343, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[389111, 8142, 4435, 111, 292, "Input"],
Cell[393549, 8255, 15209, 313, 326, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]]
}
]
*)

(* End of internal cache information *)
