(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     59647,       1415]
NotebookOptionsPosition[     53963,       1319]
NotebookOutlinePosition[     54304,       1334]
CellTagsIndexPosition[     54261,       1331]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
   "SetDirectory", "[", "\"\<C:\\\\SrBEC\\\\Mathematica\\\\\>\"", "]"}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "change", " ", "folder", " ", "location", " ", "to", " ", "find", " ", 
    "the", " ", "right", " ", "packages"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ComputerArithmetic`"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "SetDirectory", "[", 
     "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
   " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LaunchKernels", "[", "4", "]"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "put", " ", "your", " ", "favorite", " ", "number", " ", "of", " ", 
    "kernels"}], " ", "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7286202174860296`*^9, 3.728620217703042*^9}, {
  3.728711424316966*^9, 3.728711424667986*^9}, {3.7318186909359274`*^9, 
  3.7318186914469566`*^9}, {3.7362219622568893`*^9, 3.736221963848092*^9}, {
  3.750685517644865*^9, 3.7506855815085177`*^9}, {3.751015397460146*^9, 
  3.751015405152586*^9}, {3.751686861017559*^9, 3.7516868614915867`*^9}, {
  3.7789356108208427`*^9, 3.778935614772069*^9}, {3.7809130088505454`*^9, 
  3.780913009292571*^9}},
 CellLabel->"In[79]:=",ExpressionUUID->"4d3291d5-ee94-4a74-8bb1-0c6abec60c5e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]scat", " ", "=", " ", "\[Lambda]1S0to3P1"}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]scat", " ", "=", " ", "\[CapitalGamma]1S0to3P1"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Detuning", " ", "=", " ", 
    RowBox[{"2", "*", "Pi", "*", "0", "*", "177", "*", 
     RowBox[{"10", "^", "6"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", "Hz", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"waistBeam", " ", "=", " ", 
    RowBox[{"210.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], " ", ";"}], " ", 
  RowBox[{"(*", " ", "m", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerBeam", " ", "=", 
   RowBox[{"4.5", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}]}]}], " ", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerBeam", " ", "=", 
   RowBox[{"4.5", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}], " ", "*", " ", 
    RowBox[{"17", "/", "50"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PulseTime", "=", 
    RowBox[{"100", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kScat", " ", "=", " ", 
   RowBox[{"2", "*", 
    RowBox[{"Pi", "/", "\[Lambda]scat"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensitySat", " ", "=", 
   RowBox[{"IsatFun", "[", 
    RowBox[{"\[CapitalGamma]scat", ",", " ", "\[Lambda]scat"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensityBeam", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerBeam", ",", "waistBeam", ",", "waistBeam"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SatParam", "=", " ", 
   RowBox[{"(", 
    RowBox[{"IntensityBeam", "/", "IntensitySat"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScatRate", " ", "=", 
    RowBox[{"scatRateFun", "[", 
     RowBox[{
     "\[CapitalGamma]scat", ",", " ", "SatParam", ",", " ", "Detuning"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vInit", " ", "=", " ", "0.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"force", " ", "=", " ", 
   RowBox[{"ScatRate", " ", "*", " ", "hbarre", "*", "kScat"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"requiredTime", " ", "=", " ", 
   RowBox[{"mSr84", " ", "*", " ", 
    RowBox[{"vInit", "/", "force"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"requiredDist", " ", "=", 
    RowBox[{
     RowBox[{"vInit", "*", "requiredTime"}], " ", "-", "  ", 
     RowBox[{
      RowBox[{"force", "/", 
       RowBox[{"(", 
        RowBox[{"2", "*", "mSr84"}], ")"}]}], "*", 
      RowBox[{"requiredTime", "^", "2"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Red ZS\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation intensity : \>\"", ",", 
    RowBox[{"IntensitySat", "*", 
     RowBox[{"1000", "/", "10000"}]}], "  ", ",", " ", "\"\< mW/cm^2\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation parameter at resonance : \>\"", ",", "SatParam"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Scatering rate (Hz) : \>\"", ",", 
    RowBox[{
     RowBox[{"ScatRate", "/", "2"}], "/", "Pi"}], ",", "\"\<\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Required time for decceleration: \>\"", ",", 
   RowBox[{"requiredTime", "*", 
    RowBox[{"10", "^", "3"}]}], ",", "\"\< ms\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Fraction of atoms scaterred : \>\"", ",", 
    RowBox[{"ScatRate", "*", "requiredTime"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Distance for decceleration: \>\"", ",", 
   RowBox[{"requiredDist", "*", 
    RowBox[{"10", "^", "3"}]}], ",", "\"\< ms\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rough guide/ZS beam overlap distance: \>\"", ",", 
   RowBox[{
    RowBox[{"waistBeam", "/", 
     RowBox[{"Tan", "[", 
      RowBox[{
       RowBox[{"4.", "/", "180"}], "*", "Pi"}], "]"}]}], "*", 
    RowBox[{"10", "^", "3"}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.794908011435686*^9, 3.7949080339479733`*^9}, {
   3.794908077152445*^9, 3.79490825051236*^9}, {3.7949083263436975`*^9, 
   3.7949083638718443`*^9}, {3.7949085291852994`*^9, 
   3.7949085343245935`*^9}, {3.7949104200934534`*^9, 3.794910420766492*^9}, {
   3.794910529681721*^9, 3.794910536420107*^9}, {3.7949106664885464`*^9, 
   3.794910667484603*^9}, {3.794910742665903*^9, 3.7949107751247597`*^9}, {
   3.7949110448381863`*^9, 3.7949110848314743`*^9}, {3.794911161931884*^9, 
   3.7949111660541196`*^9}, {3.7949113111614194`*^9, 3.794911445982131*^9}, 
   3.7949115011022835`*^9, {3.7949115684191337`*^9, 3.794911795078098*^9}, {
   3.7949118321162167`*^9, 3.794911849206194*^9}, {3.7949121652512703`*^9, 
   3.7949121676704087`*^9}, {3.7949122215464907`*^9, 
   3.7949122549394007`*^9}},ExpressionUUID->"89e85187-6c0d-43cc-8ae0-\
c8beb7c570b9"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Red ZS\"\>"], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.794912255334423*^9},ExpressionUUID->"59a596ce-3510-46a2-abcb-\
4e92e4e2cb51"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation intensity : \"\>", "\[InvisibleSpace]", 
   "0.002975208609955477`", "\[InvisibleSpace]", "\<\" mW/cm^2\"\>"}],
  SequenceForm["Saturation intensity : ", 0.002975208609955477, " mW/cm^2"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.7949122553374233`*^9},ExpressionUUID->"6d61bcb4-4ca9-429a-985e-\
5c59b3ab1635"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation parameter at resonance : \"\>", "\[InvisibleSpace]",
    "0.7423616735705091`"}],
  SequenceForm["Saturation parameter at resonance : ", 0.7423616735705091],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.794912255340423*^9},ExpressionUUID->"35277435-59ff-4d0c-b8cc-\
d1e73592681a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scatering rate (Hz) : \"\>", "\[InvisibleSpace]", 
   "1589.2274746514872`", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["Scatering rate (Hz) : ", 1589.2274746514872`, ""],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.7949122553444233`*^9},ExpressionUUID->"2632c02c-8505-4a8b-84a6-\
37d24d4b7f66"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Required time for decceleration: \"\>", "\[InvisibleSpace]", 
   "2.9039610456506693`", "\[InvisibleSpace]", "\<\" ms\"\>"}],
  SequenceForm[
  "Required time for decceleration: ", 2.9039610456506693`, " ms"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.7949122553474236`*^9},ExpressionUUID->"5d311034-3d6e-4a35-97aa-\
32e581787dd0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Fraction of atoms scaterred : \"\>", "\[InvisibleSpace]", 
   "28.99724375133604`"}],
  SequenceForm["Fraction of atoms scaterred : ", 28.99724375133604],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.794912255351424*^9},ExpressionUUID->"2a98b1c9-97c7-4f2a-99e0-\
14631a539c0e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Distance for decceleration: \"\>", "\[InvisibleSpace]", 
   "0.2903961045650668`", "\[InvisibleSpace]", "\<\" ms\"\>"}],
  SequenceForm["Distance for decceleration: ", 0.2903961045650668, " ms"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.794912255354424*^9},ExpressionUUID->"547f78f5-6902-4856-b3b7-\
1470db570ba1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rough guide/ZS beam overlap distance: \"\>", 
   "\[InvisibleSpace]", "3.0031399139095045`", 
   "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rough guide/ZS beam overlap distance: ", 3.0031399139095045`, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.794908157023013*^9, 3.794908175558073*^9}, {
   3.794908207131879*^9, 3.7949082512164*^9}, {3.7949083414815636`*^9, 
   3.7949083644048743`*^9}, {3.794908529990346*^9, 3.794908534667613*^9}, 
   3.7949105370821447`*^9, 3.7949106681796427`*^9, {3.794910770636503*^9, 
   3.7949107766058445`*^9}, 3.794911096412136*^9, 3.7949113420911884`*^9, {
   3.794911405197798*^9, 3.794911446342151*^9}, 3.7949115015793104`*^9, 
   3.794911559401618*^9, {3.794911603763155*^9, 3.794911640613263*^9}, 
   3.794911736044721*^9, {3.7949117746339283`*^9, 3.794911795778138*^9}, {
   3.7949118326522465`*^9, 3.7949118496912217`*^9}, 3.7949121693075027`*^9, 
   3.7949122553574247`*^9},ExpressionUUID->"4173a470-d076-4cdc-ba28-\
caed252d08e4"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]scat", " ", "=", " ", "\[Lambda]1S0to3P1"}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]scat", " ", "=", " ", "\[CapitalGamma]1S0to3P1"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Detuning", " ", "=", " ", 
    RowBox[{"2", "*", "Pi", "*", "0", "*", "177", "*", 
     RowBox[{"10", "^", "6"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", "Hz", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"waistBeam", " ", "=", " ", 
   RowBox[{"150.", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], " ", ";", " ", 
  RowBox[{"(*", " ", "m", " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"PowerBeam", " ", "=", 
   RowBox[{"10.3", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}]}]}], " ", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerBeam", " ", "=", 
   RowBox[{"10.3", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}], " ", "*", " ", 
    RowBox[{"17", "/", "20"}]}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"accounting", " ", "for", " ", "detuning"}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"kScat", " ", "=", " ", 
   RowBox[{"2", "*", 
    RowBox[{"Pi", "/", "\[Lambda]scat"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensitySat", " ", "=", 
   RowBox[{"IsatFun", "[", 
    RowBox[{"\[CapitalGamma]scat", ",", " ", "\[Lambda]scat"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensityBeam", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerBeam", ",", "waistBeam", ",", "waistBeam"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SatParam", "=", " ", 
   RowBox[{"(", 
    RowBox[{"IntensityBeam", "/", "IntensitySat"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScatRate", " ", "=", 
    RowBox[{"scatRateFun", "[", 
     RowBox[{
     "\[CapitalGamma]scat", ",", " ", "SatParam", ",", " ", "Detuning"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Z in trap cooling (counter)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation intensity : \>\"", ",", 
    RowBox[{"IntensitySat", "*", 
     RowBox[{"1000", "/", "10000"}]}], "  ", ",", " ", "\"\< mW/cm^2\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation parameter at resonance : \>\"", ",", "SatParam"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Scatering rate (Hz) : \>\"", ",", 
    RowBox[{
     RowBox[{"ScatRate", "/", "2"}], "/", "Pi"}], ",", "\"\<\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.794908011435686*^9, 3.7949080339479733`*^9}, {
   3.794908077152445*^9, 3.79490825051236*^9}, {3.7949083263436975`*^9, 
   3.7949083638718443`*^9}, {3.7949085291852994`*^9, 
   3.7949085343245935`*^9}, {3.7949104200934534`*^9, 3.794910420766492*^9}, {
   3.794910529681721*^9, 3.794910536420107*^9}, {3.7949106664885464`*^9, 
   3.794910667484603*^9}, {3.794910742665903*^9, 3.7949107751247597`*^9}, {
   3.7949110448381863`*^9, 3.7949110848314743`*^9}, {3.794911161931884*^9, 
   3.7949111660541196`*^9}, {3.7949113111614194`*^9, 3.794911445982131*^9}, 
   3.7949115011022835`*^9, {3.7949115684191337`*^9, 3.794911795078098*^9}, {
   3.7949118321162167`*^9, 3.794911849206194*^9}, {3.7949121652512703`*^9, 
   3.7949121676704087`*^9}, {3.7949122215464907`*^9, 
   3.7949122549394007`*^9}, {3.7952569700692964`*^9, 
   3.7952570621225615`*^9}, {3.795257094493413*^9, 3.795257094678424*^9}, {
   3.795257125347178*^9, 3.7952571319905577`*^9}, {3.7952655274117484`*^9, 
   3.7952655280587854`*^9}, {3.8303175322911205`*^9, 3.830317533949237*^9}},
 CellLabel->
  "In[102]:=",ExpressionUUID->"e0b2a824-520b-4606-9114-2f5adf86a5c5"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Z in trap cooling (counter)\"\>"], "Print",
 CellChangeTimes->{{3.830317523508936*^9, 3.8303175358545933`*^9}},
 CellLabel->
  "During evaluation of \
In[102]:=",ExpressionUUID->"ef91e6bf-b412-4550-9afa-9439a2e31d48"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation intensity : \"\>", "\[InvisibleSpace]", 
   "0.0029831850405451707`", "\[InvisibleSpace]", "\<\" mW/cm^2\"\>"}],
  SequenceForm["Saturation intensity : ", 0.0029831850405451707`, " mW/cm^2"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.830317523508936*^9, 3.830317535869964*^9}},
 CellLabel->
  "During evaluation of \
In[102]:=",ExpressionUUID->"66cef63c-65d2-4af3-80cf-b72305b9a784"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation parameter at resonance : \"\>", "\[InvisibleSpace]",
    "8.30373656392373`"}],
  SequenceForm["Saturation parameter at resonance : ", 8.30373656392373],
  Editable->False]], "Print",
 CellChangeTimes->{{3.830317523508936*^9, 3.830317535869964*^9}},
 CellLabel->
  "During evaluation of \
In[102]:=",ExpressionUUID->"ec20bc10-7093-4eac-8030-b86d6e868a8e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scatering rate (Hz) : \"\>", "\[InvisibleSpace]", 
   "3338.0109739454297`", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["Scatering rate (Hz) : ", 3338.0109739454297`, ""],
  Editable->False]], "Print",
 CellChangeTimes->{{3.830317523508936*^9, 3.830317535869964*^9}},
 CellLabel->
  "During evaluation of \
In[102]:=",ExpressionUUID->"caf6358b-b594-4493-afa6-5fb74adb5072"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]scat", " ", "=", " ", "\[Lambda]1S0to3P1"}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]scat", " ", "=", " ", "\[CapitalGamma]1S0to3P1"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Detuning", " ", "=", " ", 
    RowBox[{"2", "*", "Pi", "*", "0", "*", "177", "*", 
     RowBox[{"10", "^", "6"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", "Hz", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"waistBeamRetroYITC", " ", "=", " ", 
    RowBox[{"25.4", "*", 
     RowBox[{"1.5", "/", "2"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], " ", ";"}], " ", 
  RowBox[{"(*", " ", "m", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerBeamRetroYITC", " ", "=", 
   RowBox[{"0.16", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"waistBeamProtoYITC", " ", "=", " ", 
    RowBox[{
     RowBox[{"36.", "/", "2"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], " ", ";"}], " ", 
  RowBox[{"(*", " ", "m", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerBeamProtoYITC", " ", "=", 
    RowBox[{"3.51", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], " ", ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"waistBeamXITC", " ", "=", " ", 
    RowBox[{
     RowBox[{"28.8", "/", "2"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], " ", ";"}], " ", 
  RowBox[{"(*", " ", "m", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerBeamXITC", " ", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.78", "+", "0.73"}], ")"}], " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerBeam", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "PowerBeamRetroYITC", ",", "PowerBeamProtoYITC", ",", "PowerBeamXITC"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"waistBeam", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "waistBeamRetroYITC", ",", "waistBeamProtoYITC", ",", "waistBeamXITC"}], 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kScat", " ", "=", " ", 
   RowBox[{"2", "*", 
    RowBox[{"Pi", "/", "\[Lambda]scat"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensitySat", " ", "=", 
   RowBox[{"IsatFun", "[", 
    RowBox[{"\[CapitalGamma]scat", ",", " ", "\[Lambda]scat"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IntensityBeam", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerBeam", ",", "waistBeam", ",", "waistBeam"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SatParam", "=", " ", 
   RowBox[{"(", 
    RowBox[{"IntensityBeam", "/", "IntensitySat"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScatRate", " ", "=", 
    RowBox[{"scatRateFun", "[", 
     RowBox[{
     "\[CapitalGamma]scat", ",", " ", "SatParam", ",", " ", "Detuning"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Retro Y-ITC / Proto Y-ITC / X-ITC\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation intensity : \>\"", ",", 
    RowBox[{"IntensitySat", "*", 
     RowBox[{"1000", "/", "10000"}]}], "  ", ",", " ", "\"\< mW/cm^2\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Saturation parameter at resonance : \>\"", ",", "SatParam", ",", 
    "\"\< for a total of: \>\"", ",", 
    RowBox[{"Total", "[", "SatParam", "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Scatering rate (Hz) : \>\"", ",", 
    RowBox[{
     RowBox[{"ScatRate", "/", "2"}], "/", "Pi"}], ",", "\"\<\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.794908011435686*^9, 3.7949080339479733`*^9}, {
   3.794908077152445*^9, 3.79490825051236*^9}, {3.7949083263436975`*^9, 
   3.7949083638718443`*^9}, {3.7949085291852994`*^9, 
   3.7949085343245935`*^9}, {3.7949104200934534`*^9, 3.794910420766492*^9}, {
   3.794910529681721*^9, 3.794910536420107*^9}, {3.7949106664885464`*^9, 
   3.794910667484603*^9}, {3.794910742665903*^9, 3.7949107751247597`*^9}, {
   3.7949110448381863`*^9, 3.7949110848314743`*^9}, {3.794911161931884*^9, 
   3.7949111660541196`*^9}, {3.7949113111614194`*^9, 3.794911445982131*^9}, 
   3.7949115011022835`*^9, {3.7949115684191337`*^9, 3.794911795078098*^9}, {
   3.7949118321162167`*^9, 3.794911849206194*^9}, {3.7949121652512703`*^9, 
   3.7949121676704087`*^9}, {3.7949122215464907`*^9, 
   3.7949122549394007`*^9}, {3.7952569700692964`*^9, 
   3.7952570621225615`*^9}, {3.795257094493413*^9, 3.795257094678424*^9}, {
   3.795257125347178*^9, 3.7952571319905577`*^9}, {3.795264901129927*^9, 
   3.795264934661845*^9}, {3.795264964713564*^9, 3.7952650507034826`*^9}, {
   3.7952650816842546`*^9, 3.7952651369284143`*^9}, {3.7952651937566643`*^9, 
   3.7952652157689238`*^9}, {3.795265249766868*^9, 3.795265333941683*^9}, {
   3.7952654891005573`*^9, 3.7952655097857404`*^9}},
 CellLabel->
  "In[115]:=",ExpressionUUID->"1577139b-2d02-4617-a44b-15b5a7c7a3c6"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Retro Y-ITC / Proto Y-ITC / X-ITC\"\>"], "Print",
 CellChangeTimes->{3.830317660934243*^9},
 CellLabel->
  "During evaluation of \
In[115]:=",ExpressionUUID->"59712e37-de57-4dc1-807c-c31265dbd3a4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation intensity : \"\>", "\[InvisibleSpace]", 
   "0.0029831850405451707`", "\[InvisibleSpace]", "\<\" mW/cm^2\"\>"}],
  SequenceForm["Saturation intensity : ", 0.0029831850405451707`, " mW/cm^2"],
  Editable->False]], "Print",
 CellChangeTimes->{3.830317660949869*^9},
 CellLabel->
  "During evaluation of \
In[115]:=",ExpressionUUID->"cf218453-c3f5-43a7-b088-d76de7de577f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation parameter at resonance : \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.009408707191386215`", ",", "0.23118626926972108`", ",", 
     "0.15540031454650946`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" for a total of: \"\>", "\[InvisibleSpace]", 
   "0.39599529100761677`"}],
  SequenceForm[
  "Saturation parameter at resonance : ", {0.009408707191386215, 
   0.23118626926972108`, 0.15540031454650946`}, " for a total of: ", 
   0.39599529100761677`],
  Editable->False]], "Print",
 CellChangeTimes->{3.830317660949869*^9},
 CellLabel->
  "During evaluation of \
In[115]:=",ExpressionUUID->"05e720a4-2665-42b5-b373-6644e5b9f638"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scatering rate (Hz) : \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "34.860571981486395`", ",", "702.2793127652543`", ",", 
     "503.0266731683064`"}], "}"}], "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "Scatering rate (Hz) : ", {34.860571981486395`, 702.2793127652543, 
   503.0266731683064}, ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.830317660949869*^9},
 CellLabel->
  "During evaluation of \
In[115]:=",ExpressionUUID->"b255e810-8b34-4c3e-aedb-45e5fc8e0e14"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"a", " ", "=", " ", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"Max", "[", 
     RowBox[{"0", ",", 
      RowBox[{"1", "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"r", "/", "7"}], ")"}], "^", "2"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"y", "/", "R1"}], ")"}], "^", "2"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
    RowBox[{"Assumptions", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"R1", ">", "0"}], "}"}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", "a", "]"}]}], "Input",
 CellChangeTimes->{{3.8003688764375095`*^9, 3.8003689564120836`*^9}, {
   3.8003690043698263`*^9, 3.800369029689275*^9}, {3.8003690718116837`*^9, 
   3.800369188765373*^9}, 3.800369255308179*^9, {3.800369288155058*^9, 
   3.8003692999367323`*^9}, {3.800369526038664*^9, 
   3.8003695265646944`*^9}},ExpressionUUID->"26b8f5d6-c881-40f5-82d5-\
c014d17f38c1"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\[Piecewise]", GridBox[{
       {
        RowBox[{"-", 
         FractionBox[
          RowBox[{"4", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "49"}], " ", 
              SqrtBox[
               RowBox[{"49", "-", 
                SuperscriptBox["r", "2"]}]], " ", "R1"}], "+", 
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              SqrtBox[
               RowBox[{"49", "-", 
                SuperscriptBox["r", "2"]}]], " ", "R1"}]}], ")"}]}], 
          "1029"]}], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "7"}], "<", "r", "<", "7"}], "&&", 
         RowBox[{"R1", ">", "0"}]}]},
       {"0", 
        TagBox["True",
         "PiecewiseDefault",
         AutoDelete->True]}
      },
      AllowedDimensions->{2, Automatic},
      Editable->True,
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{
       "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.84]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}},
      Selectable->True]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxItemSize->{
    "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.35]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  "Piecewise",
  DeleteWithContents->True,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.8003689632974772`*^9, {3.800369061834113*^9, 3.800369104562557*^9}, {
   3.8003691408976355`*^9, 3.8003691712273703`*^9}, 3.800369244013533*^9, 
   3.8003693022668653`*^9, 3.800369528952831*^9, 
   3.800370183787285*^9},ExpressionUUID->"9cbf0377-7e2e-4ef6-9193-\
c26d59bebdb3"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\[Piecewise]", GridBox[{
       {
        FractionBox[
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"49", "-", 
             SuperscriptBox["r", "2"]}], ")"}], 
           RowBox[{"3", "/", "2"}]], " ", "R1"}], "1029"], 
        RowBox[{
         RowBox[{
          RowBox[{"-", "7"}], "<", "r", "<", "7"}], "&&", 
         RowBox[{"R1", ">", "0"}]}]},
       {"0", 
        TagBox["True",
         "PiecewiseDefault",
         AutoDelete->True]}
      },
      AllowedDimensions->{2, Automatic},
      Editable->True,
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{
       "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.84]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}},
      Selectable->True]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxItemSize->{
    "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.35]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  "Piecewise",
  DeleteWithContents->True,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.8003689632974772`*^9, {3.800369061834113*^9, 3.800369104562557*^9}, {
   3.8003691408976355`*^9, 3.8003691712273703`*^9}, 3.800369244013533*^9, 
   3.8003693022668653`*^9, 3.800369528952831*^9, 
   3.800370183797286*^9},ExpressionUUID->"c2c83884-3d51-40e0-923b-\
f143c6accc67"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"49", "^", 
   RowBox[{"(", 
    RowBox[{"3", "/", "2"}], ")"}]}], "/", "1029"}]], "Input",
 CellChangeTimes->{{3.800369393939109*^9, 3.800369413749242*^9}, {
  3.8003695320880103`*^9, 3.800369545513778*^9}, {3.8003701783049717`*^9, 
  3.8003701784939823`*^9}},ExpressionUUID->"f59ff55a-8351-41c2-845c-\
53de765bbd2d"],

Cell[BoxData[
 FractionBox["1", "3"]], "Output",
 CellChangeTimes->{{3.8003694003894777`*^9, 3.800369414044258*^9}, {
   3.800369532756048*^9, 3.8003695458707986`*^9}, 
   3.800370185041357*^9},ExpressionUUID->"47681c41-b966-44ce-a562-\
3db7c3ef2b0c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Estimations of 2-body loss rate, assuming in BEC same scattering rate as the \
single atom line\
\>", "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.807605491083034*^9, 3.807605499612522*^9}, 
   3.8076055420769506`*^9, {3.807605609080783*^9, 3.8076056372903967`*^9}, {
   3.807606100881912*^9, 
   3.8076061020569797`*^9}},ExpressionUUID->"f813d257-3d4b-4685-aaf5-\
051a2c886132"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]scat", " ", "=", " ", "\[Lambda]1S0to3P1"}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]scat", " ", "=", " ", "\[CapitalGamma]1S0to3P1"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Detuning", " ", "=", " ", 
    RowBox[{"2", "*", "Pi", "*", "2", "*", 
     RowBox[{"10", "^", "6"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", "Hz", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SatParam", " ", "=", " ", 
   RowBox[{"20", "+", "0.4", "+", "2.2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NatBEC", " ", "=", " ", "12000"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kScat", " ", "=", " ", 
   RowBox[{"2", "*", 
    RowBox[{"Pi", "/", "\[Lambda]scat"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScatRate", " ", "=", 
    RowBox[{"scatRateFun", "[", 
     RowBox[{
     "\[CapitalGamma]scat", ",", " ", "SatParam", ",", " ", "Detuning"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Red ZS\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation parameter at resonance : \>\"", ",", "SatParam"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Scatering rate (Hz) : \>\"", ",", 
    RowBox[{
     RowBox[{"ScatRate", "/", "2"}], "/", "Pi"}], ",", "\"\<\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Lifetime : \>\"", ",", 
    RowBox[{
     RowBox[{"1", "/", "ScatRate"}], "*", 
     RowBox[{"10", "^", "3"}]}], ",", "\"\< ms\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Fluw of atoms lost via 2-body: \>\"", ",", 
    RowBox[{"ScatRate", "*", "NatBEC"}], ",", "\"\< at/s\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.794908011435686*^9, 3.7949080339479733`*^9}, {
   3.794908077152445*^9, 3.79490825051236*^9}, {3.7949083263436975`*^9, 
   3.7949083638718443`*^9}, {3.7949085291852994`*^9, 
   3.7949085343245935`*^9}, {3.7949104200934534`*^9, 3.794910420766492*^9}, {
   3.794910529681721*^9, 3.794910536420107*^9}, {3.7949106664885464`*^9, 
   3.794910667484603*^9}, {3.794910742665903*^9, 3.7949107751247597`*^9}, {
   3.7949110448381863`*^9, 3.7949110848314743`*^9}, {3.794911161931884*^9, 
   3.7949111660541196`*^9}, {3.7949113111614194`*^9, 3.794911445982131*^9}, 
   3.7949115011022835`*^9, {3.7949115684191337`*^9, 3.794911795078098*^9}, {
   3.7949118321162167`*^9, 3.794911849206194*^9}, {3.7949121652512703`*^9, 
   3.7949121676704087`*^9}, {3.7949122215464907`*^9, 
   3.7949122549394007`*^9}, {3.807605505592864*^9, 3.8076055420769506`*^9}, {
   3.8076056413646297`*^9, 3.807605765631737*^9}, {3.8076058212019157`*^9, 
   3.8076058387399187`*^9}, {3.8076059537594976`*^9, 3.8076059554905963`*^9}, 
   3.807606023865507*^9, {3.8076061962543674`*^9, 
   3.8076062390708165`*^9}},ExpressionUUID->"95539643-8715-422e-9ac7-\
3bdb63680fb3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["\<\"Red ZS\"\>"], "Print",
 CellChangeTimes->{{3.8076056593346577`*^9, 3.8076057340119286`*^9}, 
   3.807605766117765*^9, {3.8076058246091104`*^9, 3.8076058389809327`*^9}, {
   3.8076060165970917`*^9, 3.8076060240795193`*^9}, {3.807606221057786*^9, 
   3.8076062392908287`*^9}},ExpressionUUID->"93f38a2f-751f-494b-a4a5-\
18048877d7a1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation parameter at resonance : \"\>", "\[InvisibleSpace]",
    "22.599999999999998`"}],
  SequenceForm["Saturation parameter at resonance : ", 22.599999999999998`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8076056593346577`*^9, 3.8076057340119286`*^9}, 
   3.807605766117765*^9, {3.8076058246091104`*^9, 3.8076058389809327`*^9}, {
   3.8076060165970917`*^9, 3.8076060240795193`*^9}, {3.807606221057786*^9, 
   3.8076062392948294`*^9}},ExpressionUUID->"3d0608ad-93c1-443b-8b7a-\
92b99d09e98f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scatering rate (Hz) : \"\>", "\[InvisibleSpace]", 
   "0.2955475849917412`", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["Scatering rate (Hz) : ", 0.2955475849917412, ""],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8076056593346577`*^9, 3.8076057340119286`*^9}, 
   3.807605766117765*^9, {3.8076058246091104`*^9, 3.8076058389809327`*^9}, {
   3.8076060165970917`*^9, 3.8076060240795193`*^9}, {3.807606221057786*^9, 
   3.8076062392978296`*^9}},ExpressionUUID->"ebb3d204-5519-49aa-8a32-\
f20ccfdd30e1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lifetime : \"\>", "\[InvisibleSpace]", "538.5086908977544`", 
   "\[InvisibleSpace]", "\<\" ms\"\>"}],
  SequenceForm["Lifetime : ", 538.5086908977544, " ms"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8076056593346577`*^9, 3.8076057340119286`*^9}, 
   3.807605766117765*^9, {3.8076058246091104`*^9, 3.8076058389809327`*^9}, {
   3.8076060165970917`*^9, 3.8076060240795193`*^9}, {3.807606221057786*^9, 
   3.80760623930083*^9}},ExpressionUUID->"3524a752-c313-4f97-b9e2-\
0852a59869de"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Fluw of atoms lost via 2-body: \"\>", "\[InvisibleSpace]", 
   "22283.76292311022`", "\[InvisibleSpace]", "\<\" at/s\"\>"}],
  SequenceForm["Fluw of atoms lost via 2-body: ", 22283.76292311022, " at/s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8076056593346577`*^9, 3.8076057340119286`*^9}, 
   3.807605766117765*^9, {3.8076058246091104`*^9, 3.8076058389809327`*^9}, {
   3.8076060165970917`*^9, 3.8076060240795193`*^9}, {3.807606221057786*^9, 
   3.8076062393038297`*^9}},ExpressionUUID->"6004922f-9e86-42c4-a786-\
050c76ada1bd"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Form onenote : 20191126 - SSBEC - Transparency beam debuggging (lineshift \
measurement)\
\>", "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.801218302959066*^9, 3.8012183405192137`*^9}, 
   3.8076055492853627`*^9},ExpressionUUID->"8ffa26b1-8b3d-4f0c-ba25-\
29cfa5d1b1b5"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Bx", " ", "=", " ", "0.05"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"By", " ", "=", " ", "0.419"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bz", " ", "=", " ", "0.736"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Theta]WithYAxis", " ", "=", " ", 
   RowBox[{
    RowBox[{"ArcCos", "[", 
     RowBox[{"By", "/", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Bx", "^", "2."}], "+", 
        RowBox[{"By", "^", "2."}], "+", 
        RowBox[{"Bz", "^", "2."}]}], "]"}]}], "]"}], "*", 
    RowBox[{"180", "/", "Pi"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BfieldAmp", " ", "=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"0.05", "^", "2"}], "+", 
     RowBox[{"0.419", "^", "2"}], "+", 
     RowBox[{"0.736", "^", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Bfield amplitude at the reservoir location: \>\"", ",", "BfieldAmp", 
   ",", " ", "\"\< Gauss\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Zeeman shift: \>\"", ",", 
    RowBox[{
     RowBox[{"3", "/", "2"}], "*", "\[Mu]B", " ", "*", 
     RowBox[{
      RowBox[{
       RowBox[{"BfieldAmp", "/", 
        RowBox[{"10", "^", "4"}]}], "/", "ctePlanck"}], " ", "/", " ", 
      RowBox[{"10", "^", "6"}]}]}], ",", " ", "\"\< MHz\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"minZeeShift", " ", "=", " ", 
    RowBox[{"4.42", " ", "*", 
     RowBox[{"10", "^", "6"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", "Hz", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ratio", " ", "=", " ", 
    RowBox[{"minZeeShift", "/", 
     RowBox[{"(", 
      RowBox[{"\[CapitalGamma]1S0to3P1", "/", 
       RowBox[{"(", 
        RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Minimun Zeeman shift for all mF state: \>\"", ",", 
   RowBox[{"minZeeShift", "/", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\< MHz\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Same value expressed in terms of the 1S0-3P1 linewidth: \>\"", ",", 
   "ratio"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Angle of the Bfield with the y axis: \>\"", ",", "\[Theta]WithYAxis", 
   ",", "\"\< \[Degree]\>\""}], "]"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.801218224949604*^9, 3.8012182978007708`*^9}, {
   3.8012186681009507`*^9, 3.8012188589928694`*^9}, {3.8012188892235985`*^9, 
   3.801218893432839*^9}, {3.801219168536574*^9, 3.801219173172839*^9}, {
   3.8012967270099773`*^9, 3.801296847090846*^9}, 
   3.8076055492853627`*^9},ExpressionUUID->"5b4b78b9-3f62-43cc-ae17-\
629179440f6c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Bfield amplitude at the reservoir location: \"\>", 
   "\[InvisibleSpace]", "0.8483849362170452`", 
   "\[InvisibleSpace]", "\<\" Gauss\"\>"}],
  SequenceForm[
  "Bfield amplitude at the reservoir location: ", 0.8483849362170452, 
   " Gauss"],
  Editable->False]], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.801218263815827*^9, 3.801218298334801*^9}, 
   3.8012187257382474`*^9, {3.801218762042324*^9, 3.801218785857686*^9}, {
   3.8012188343044567`*^9, 3.8012188942288847`*^9}, {3.8012191572399282`*^9, 
   3.801219173803875*^9}, {3.8012968016962495`*^9, 3.8012968474978695`*^9}, 
   3.8076055492853627`*^9},ExpressionUUID->"c6fa690d-52f7-4777-9bce-\
604a3976adb6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Zeeman shift: \"\>", "\[InvisibleSpace]", 
   "1.7811304889148951`", "\[InvisibleSpace]", "\<\" MHz\"\>"}],
  SequenceForm["Zeeman shift: ", 1.7811304889148951`, " MHz"],
  Editable->False]], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.801218263815827*^9, 3.801218298334801*^9}, 
   3.8012187257382474`*^9, {3.801218762042324*^9, 3.801218785857686*^9}, {
   3.8012188343044567`*^9, 3.8012188942288847`*^9}, {3.8012191572399282`*^9, 
   3.801219173803875*^9}, {3.8012968016962495`*^9, 3.8012968474998693`*^9}, 
   3.8076055492853627`*^9},ExpressionUUID->"08d6f7f0-34c0-4ee0-8edd-\
2ad26dfb4bd2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Minimun Zeeman shift for all mF state: \"\>", 
   "\[InvisibleSpace]", "4.42`", "\[InvisibleSpace]", "\<\" MHz\"\>"}],
  SequenceForm["Minimun Zeeman shift for all mF state: ", 4.42, " MHz"],
  Editable->False]], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.801218263815827*^9, 3.801218298334801*^9}, 
   3.8012187257382474`*^9, {3.801218762042324*^9, 3.801218785857686*^9}, {
   3.8012188343044567`*^9, 3.8012188942288847`*^9}, {3.8012191572399282`*^9, 
   3.801219173803875*^9}, {3.8012968016962495`*^9, 3.801296847501869*^9}, 
   3.8076055492853627`*^9},ExpressionUUID->"a31e6e5a-ca2a-48c5-94ce-\
bca53f50e168"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Same value expressed in terms of the 1S0-3P1 linewidth: \"\>", 
   "\[InvisibleSpace]", "590.9090909090908`"}],
  SequenceForm[
  "Same value expressed in terms of the 1S0-3P1 linewidth: ", 
   590.9090909090908],
  Editable->False]], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.801218263815827*^9, 3.801218298334801*^9}, 
   3.8012187257382474`*^9, {3.801218762042324*^9, 3.801218785857686*^9}, {
   3.8012188343044567`*^9, 3.8012188942288847`*^9}, {3.8012191572399282`*^9, 
   3.801219173803875*^9}, {3.8012968016962495`*^9, 3.801296847503869*^9}, 
   3.8076055492853627`*^9},ExpressionUUID->"014b4d29-555a-4914-9d5a-\
95c89cb6efaa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Angle of the Bfield with the y axis: \"\>", 
   "\[InvisibleSpace]", "60.40410400796828`", 
   "\[InvisibleSpace]", "\<\" \[Degree]\"\>"}],
  SequenceForm[
  "Angle of the Bfield with the y axis: ", 60.40410400796828, " \[Degree]"],
  Editable->False]], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.801218263815827*^9, 3.801218298334801*^9}, 
   3.8012187257382474`*^9, {3.801218762042324*^9, 3.801218785857686*^9}, {
   3.8012188343044567`*^9, 3.8012188942288847`*^9}, {3.8012191572399282`*^9, 
   3.801219173803875*^9}, {3.8012968016962495`*^9, 3.80129684750587*^9}, 
   3.8076055492853627`*^9},ExpressionUUID->"f690a7e7-a48c-4948-97b8-\
1827beb16791"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Lifetime BEC without transparency beam", "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.8076055698545394`*^9, 
  3.8076055844903765`*^9}},ExpressionUUID->"9dad44f6-59d9-419e-bdb5-\
23958b7c2c94"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]scat", " ", "=", " ", "\[Lambda]1S0to3P1"}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]scat", " ", "=", " ", "\[CapitalGamma]1S0to3P1"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Detuning", " ", "=", " ", 
    RowBox[{"2", "*", "Pi", "*", "70", "*", 
     RowBox[{"10", "^", "3"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", "Hz", " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SatParam", "=", " ", "0.4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScatRate", " ", "=", 
    RowBox[{"scatRateFun", "[", 
     RowBox[{
     "\[CapitalGamma]scat", ",", " ", "SatParam", ",", " ", "Detuning"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Lifetime BEC without transparency\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Saturation parameter at resonance : \>\"", ",", "SatParam"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Scattering rate : \>\"", ",", 
    RowBox[{
     RowBox[{"ScatRate", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], "]"}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Lifetime of BEC without transparency beam, due to scattering from \
radial molasses on \[Pi] transition: \>\"", ",", 
   RowBox[{
    RowBox[{"1", "/", "ScatRate"}], "*", 
    RowBox[{"10", "^", "3"}]}], ",", "\"\< ms\>\""}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.794908011435686*^9, 3.7949080339479733`*^9}, {
   3.794908077152445*^9, 3.79490825051236*^9}, {3.7949083263436975`*^9, 
   3.7949083638718443`*^9}, {3.7949085291852994`*^9, 
   3.7949085343245935`*^9}, {3.7949104200934534`*^9, 3.794910420766492*^9}, {
   3.794910529681721*^9, 3.794910536420107*^9}, {3.7949106664885464`*^9, 
   3.794910667484603*^9}, {3.794910742665903*^9, 3.7949107751247597`*^9}, {
   3.7949110448381863`*^9, 3.7949110848314743`*^9}, {3.794911161931884*^9, 
   3.7949111660541196`*^9}, {3.7949113111614194`*^9, 3.794911445982131*^9}, 
   3.7949115011022835`*^9, {3.7949115684191337`*^9, 3.794911795078098*^9}, {
   3.7949118321162167`*^9, 3.794911849206194*^9}, {3.7949121652512703`*^9, 
   3.7949121676704087`*^9}, {3.7949122215464907`*^9, 
   3.7949122549394007`*^9}, {3.8056536113909054`*^9, 3.80565377144906*^9}, 
   3.805653833810627*^9, 
   3.8076055844903765`*^9},ExpressionUUID->"a566139c-5d04-4189-bf72-\
b64f8af6e9b1"],

Cell[BoxData["\<\"Lifetime BEC without transparency\"\>"], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.805653639365505*^9, 3.8056536494380813`*^9}, {
   3.8056537240623493`*^9, 3.805653727670556*^9}, 3.8056537603884273`*^9, 
   3.8056537912371917`*^9, 3.8056538343536577`*^9, 
   3.8076055844903765`*^9},ExpressionUUID->"a54bcc94-6ea3-4f80-a056-\
353ff985a535"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Saturation parameter at resonance : \"\>", "\[InvisibleSpace]",
    "0.4`"}],
  SequenceForm["Saturation parameter at resonance : ", 0.4],
  Editable->False]], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.805653639365505*^9, 3.8056536494380813`*^9}, {
   3.8056537240623493`*^9, 3.805653727670556*^9}, 3.8056537603884273`*^9, 
   3.8056537912371917`*^9, 3.805653834357658*^9, 
   3.8076055844903765`*^9},ExpressionUUID->"13885d83-7ff1-45b9-aa5a-\
a673a796ab47"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate : \"\>", "\[InvisibleSpace]", 
   "4.25350098397778`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Scattering rate : ", 4.25350098397778, " Hz"],
  Editable->False]], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.805653639365505*^9, 3.8056536494380813`*^9}, {
   3.8056537240623493`*^9, 3.805653727670556*^9}, 3.8056537603884273`*^9, 
   3.8056537912371917`*^9, 3.805653834360658*^9, 
   3.8076055844903765`*^9},ExpressionUUID->"8adfa846-4e71-437f-aa70-\
34818e33a739"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Lifetime of BEC without transparency beam, due to scattering \
from radial molasses on \[Pi] transition: \"\>", "\[InvisibleSpace]", 
   "37.41739891242653`", "\[InvisibleSpace]", "\<\" ms\"\>"}],
  SequenceForm[
  "Lifetime of BEC without transparency beam, due to scattering from radial \
molasses on \[Pi] transition: ", 37.41739891242653, " ms"],
  Editable->False]], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.805653639365505*^9, 3.8056536494380813`*^9}, {
   3.8056537240623493`*^9, 3.805653727670556*^9}, 3.8056537603884273`*^9, 
   3.8056537912371917`*^9, 3.8056538343626585`*^9, 
   3.8076055844903765`*^9},ExpressionUUID->"6ded6995-2130-4ded-86a9-\
951a68ac0ec7"]
}, Open  ]]
},
WindowSize->{1350, 696},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1897, 44, 238, "Input",ExpressionUUID->"4d3291d5-ee94-4a74-8bb1-0c6abec60c5e"],
Cell[CellGroupData[{
Cell[2480, 68, 5544, 143, 561, "Input",ExpressionUUID->"89e85187-6c0d-43cc-8ae0-c8beb7c570b9"],
Cell[CellGroupData[{
Cell[8049, 215, 785, 11, 22, "Print",ExpressionUUID->"59a596ce-3510-46a2-abcb-4e92e4e2cb51"],
Cell[8837, 228, 1025, 16, 22, "Print",ExpressionUUID->"6d61bcb4-4ca9-429a-985e-5c59b3ab1635"],
Cell[9865, 246, 992, 16, 22, "Print",ExpressionUUID->"35277435-59ff-4d0c-b8cc-d1e73592681a"],
Cell[10860, 264, 1004, 16, 22, "Print",ExpressionUUID->"2632c02c-8505-4a8b-84a6-37d24d4b7f66"],
Cell[11867, 282, 1035, 17, 22, "Print",ExpressionUUID->"5d311034-3d6e-4a35-97aa-32e581787dd0"],
Cell[12905, 301, 978, 16, 22, "Print",ExpressionUUID->"2a98b1c9-97c7-4f2a-99e0-14631a539c0e"],
Cell[13886, 319, 1019, 16, 22, "Print",ExpressionUUID->"547f78f5-6902-4856-b3b7-1470db570ba1"],
Cell[14908, 337, 1049, 18, 22, "Print",ExpressionUUID->"4173a470-d076-4cdc-ba28-caed252d08e4"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16006, 361, 4068, 95, 390, "Input",ExpressionUUID->"e0b2a824-520b-4606-9114-2f5adf86a5c5"],
Cell[CellGroupData[{
Cell[20099, 460, 235, 4, 22, "Print",ExpressionUUID->"ef91e6bf-b412-4550-9afa-9439a2e31d48"],
Cell[20337, 466, 453, 9, 22, "Print",ExpressionUUID->"66cef63c-65d2-4af3-80cf-b72305b9a784"],
Cell[20793, 477, 415, 9, 22, "Print",ExpressionUUID->"ec20bc10-7093-4eac-8030-b86d6e868a8e"],
Cell[21211, 488, 429, 9, 22, "Print",ExpressionUUID->"caf6358b-b594-4493-afa6-5fb74adb5072"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[21689, 503, 5628, 144, 485, "Input",ExpressionUUID->"1577139b-2d02-4617-a44b-15b5a7c7a3c6"],
Cell[CellGroupData[{
Cell[27342, 651, 215, 4, 22, "Print",ExpressionUUID->"59712e37-de57-4dc1-807c-c31265dbd3a4"],
Cell[27560, 657, 429, 9, 22, "Print",ExpressionUUID->"cf218453-c3f5-43a7-b088-d76de7de577f"],
Cell[27992, 668, 706, 17, 22, "Print",ExpressionUUID->"05e720a4-2665-42b5-b373-6644e5b9f638"],
Cell[28701, 687, 552, 14, 22, "Print",ExpressionUUID->"b255e810-8b34-4c3e-aedb-45e5fc8e0e14"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[29302, 707, 1018, 25, 48, "Input",ExpressionUUID->"26b8f5d6-c881-40f5-82d5-c014d17f38c1"],
Cell[30323, 734, 2409, 69, 73, "Output",ExpressionUUID->"9cbf0377-7e2e-4ef6-9193-c26d59bebdb3"],
Cell[32735, 805, 2128, 60, 65, "Output",ExpressionUUID->"c2c83884-3d51-40e0-923b-f143c6accc67"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34900, 870, 352, 8, 28, "Input",ExpressionUUID->"f59ff55a-8351-41c2-845c-53de765bbd2d"],
Cell[35255, 880, 251, 5, 49, "Output",ExpressionUUID->"47681c41-b966-44ce-a562-3db7c3ef2b0c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35543, 890, 427, 9, 34, "Text",ExpressionUUID->"f813d257-3d4b-4685-aaf5-051a2c886132",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[35973, 901, 3216, 72, 314, "Input",ExpressionUUID->"95539643-8715-422e-9ac7-3bdb63680fb3",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}]
}, Open  ]],
Cell[CellGroupData[{
Cell[39226, 978, 349, 5, 22, "Print",ExpressionUUID->"93f38a2f-751f-494b-a4a5-18048877d7a1"],
Cell[39578, 985, 557, 10, 22, "Print",ExpressionUUID->"3d0608ad-93c1-443b-8b7a-92b99d09e98f"],
Cell[40138, 997, 565, 10, 22, "Print",ExpressionUUID->"ebb3d204-5519-49aa-8a32-f20ccfdd30e1"],
Cell[40706, 1009, 544, 10, 22, "Print",ExpressionUUID->"3524a752-c313-4f97-b9e2-0852a59869de"],
Cell[41253, 1021, 591, 10, 22, "Print",ExpressionUUID->"6004922f-9e86-42c4-a786-050c76ada1bd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41881, 1036, 318, 7, 34, "Text",ExpressionUUID->"8ffa26b1-8b3d-4f0c-ba25-29cfa5d1b1b5",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[42202, 1045, 2888, 74, 418, "Input",ExpressionUUID->"5b4b78b9-3f62-43cc-ae17-629179440f6c",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[45093, 1121, 757, 15, 22, "Print",ExpressionUUID->"c6fa690d-52f7-4777-9bce-604a3976adb6",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[45853, 1138, 683, 12, 22, "Print",ExpressionUUID->"08d6f7f0-34c0-4ee0-8edd-2ad26dfb4bd2",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[46539, 1152, 702, 12, 22, "Print",ExpressionUUID->"a31e6e5a-ca2a-48c5-94ce-bca53f50e168",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[47244, 1166, 724, 14, 22, "Print",ExpressionUUID->"014b4d29-555a-4914-9d5a-95c89cb6efaa",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[47971, 1182, 742, 14, 22, "Print",ExpressionUUID->"f690a7e7-a48c-4948-97b8-1827beb16791",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}]
}, Open  ]],
Cell[CellGroupData[{
Cell[48750, 1201, 237, 4, 34, "Text",ExpressionUUID->"9dad44f6-59d9-419e-bdb5-23958b7c2c94",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[48990, 1207, 2650, 59, 347, "Input",ExpressionUUID->"a566139c-5d04-4189-bf72-b64f8af6e9b1",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[51643, 1268, 401, 6, 22, "Print",ExpressionUUID->"a54bcc94-6ea3-4f80-a056-353ff985a535",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[52047, 1276, 549, 11, 22, "Print",ExpressionUUID->"13885d83-7ff1-45b9-aa5a-a673a796ab47",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[52599, 1289, 582, 11, 22, "Print",ExpressionUUID->"8adfa846-4e71-437f-aa70-34818e33a739",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[53184, 1302, 763, 14, 22, "Print",ExpressionUUID->"6ded6995-2130-4ded-86a9-951a68ac0ec7",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}]
}, Open  ]]
}
]
*)

