(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     44033,       1111]
NotebookOptionsPosition[     39495,       1026]
NotebookOutlinePosition[     39859,       1042]
CellTagsIndexPosition[     39816,       1039]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Flux in the reservoir (old)", "Text",
 CellChangeTimes->{{3.8393057462661977`*^9, 3.839305753337883*^9}, {
  3.8393058619432726`*^9, 
  3.8393058643343186`*^9}},ExpressionUUID->"d2a8d9ac-ccaf-4f8b-b9c8-\
b09b280dd44a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"flux", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"0.809", ",", "1.029", ",", "1.572"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]Flux", "=", 
    RowBox[{"{", 
     RowBox[{"0.378", ",", "0.146", ",", "0.248"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"wFlux", " ", "=", " ", 
    RowBox[{"1.", "/", 
     RowBox[{"\[Sigma]Flux", "^", "2."}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wMean", " ", "=", " ", 
   RowBox[{
    RowBox[{"Total", "[", 
     RowBox[{"wFlux", "*", "flux"}], "]"}], "/", 
    RowBox[{"Total", "[", "wFlux", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]wMean", " ", "=", " ", 
   RowBox[{"1.", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"Total", "[", "wFlux", "]"}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"std", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Total", "[", 
        RowBox[{"wFlux", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}]}], "]"}], "/", 
       RowBox[{"Total", "[", "wFlux", "]"}]}], "*", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"std2", " ", "=", " ", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Mean value: \>\"", ",", "wMean", ",", "\"\<(\>\"", ",", "std", ",", 
   "\"\<) x10^6 at./s\>\""}], "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwd0n0s1HEAx/HfuFPHMnqazvQkJdbDWu4Q5VeMeQ6bCGvGUnnKQ0wbo1xS
Y11XOVdcznJst5nnpNCah59zOSZmjbRrnfPLYw/IVt/P/fHZ65/Pn+8D8Wlh
iSYURQnI4FfPQ9cdIll6dceLZGil5mbAiUr/23B7XEABLEuVFkHNmOQBDL7X
L4PSxGMK6Hrlh9HNiP31cLJarYI8qrkJ7rHwb4c79/kykOPLaqAgg+smj2Lp
pslIP1iqTA2EPc1HwqDfVa+hpcssHR8gUsOTuZdm4Eu5sw42Doj1sK3E0QBH
tV+2LhN9ekN5kH/e2Qe+L5KHQ06obRzMTjiaBalrDr/gxOGP69DjE8NZIXZU
Kcyga+a0OezjP7eEwSWSZZgwvGsFysMquKvE6nDKDE6NHBTC3aV1RmVPH2ZD
fTJ1C26O85VG3ezr4Vpa7WfYaKOahq0qBz3sihkzQKtmVeBv/KxrgmDho3UJ
1DZIKmCeqDL6D3EowicWHmeEc7Ct224eOsUx3mtET6YwAI70WEdtEHW5mbHQ
ySXLAJl/jvNwtX1jEb46YboCN/fmSt3jWfp062AVbAyMrYXbqra0QKeUwdQz
xBZbZQ5sKE/oPEfsiJ7qg2Wuf4egWad6HNoNPpuGH7oiZ2B/ukAHF0MUc7Ag
3cSKJs750zbQvPjNfSjisY/hRrhU3J3C0l4LvTIoFJrWQBstTwld8t+q4Kmg
7lboPrv0GubHJDEw551YA5sueNj3EEPWFka/Ewe0T8bgxQF+sZ6oMeSJYVKD
twyWz4rqYLLs709dJelMoF6Hdoo7nG9Ey5vDRvlt3LPw7g0Lo/8BnF/O/g==

  "],
 CellLabel->"In[35]:=",ExpressionUUID->"f37bfb11-b831-4942-9f52-3720103273c6"],

Cell[BoxData["0.11937721896703148`"], "Output",
 CellChangeTimes->{3.839305680556528*^9, 3.8393057675543456`*^9, 
  3.8393062249428263`*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"4e1d6935-871f-4bac-bdb5-d04771fe54da"],

Cell[BoxData["0.39275679698102217`"], "Output",
 CellChangeTimes->{3.839305680556528*^9, 3.8393057675543456`*^9, 
  3.8393062249428263`*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"40b1c348-bcf6-4ad1-b4e9-941b69fe2908"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Mean value: \"\>", "\[InvisibleSpace]", "1.1328747242041521`", 
   "\[InvisibleSpace]", "\<\"(\"\>", "\[InvisibleSpace]", 
   "0.30583325339722983`", "\[InvisibleSpace]", "\<\") x10^6 at./s\"\>"}],
  SequenceForm[
  "Mean value: ", 1.1328747242041521`, "(", 0.30583325339722983`, 
   ") x10^6 at./s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.839305680572155*^9, 3.8393057675699687`*^9, 
  3.8393062249428263`*^9},
 CellLabel->
  "During evaluation of \
In[35]:=",ExpressionUUID->"773e9dfb-73ae-4a5e-83f7-3d611ffdbae0"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Flux in the reservoir (new)", "Text",
 CellChangeTimes->{{3.8393057462661977`*^9, 3.839305753337883*^9}, {
  3.8393058619432726`*^9, 
  3.83930587443923*^9}},ExpressionUUID->"ae0db6e4-b96d-40a7-b2b6-\
2548316ed7c0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"flux", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"1.334", ",", "1.381", ",", "1.575"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]Flux", "=", 
    RowBox[{"{", 
     RowBox[{"0.124", ",", "0.088", ",", "0.089"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"wFlux", " ", "=", " ", 
    RowBox[{"1.", "/", 
     RowBox[{"\[Sigma]Flux", "^", "2."}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wMean", " ", "=", " ", 
   RowBox[{
    RowBox[{"Total", "[", 
     RowBox[{"wFlux", "*", "flux"}], "]"}], "/", 
    RowBox[{"Total", "[", "wFlux", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]wMean", " ", "=", " ", 
   RowBox[{"1.", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"Total", "[", "wFlux", "]"}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"std", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Total", "[", 
        RowBox[{"wFlux", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}]}], "]"}], "/", 
       RowBox[{"Total", "[", "wFlux", "]"}]}], "*", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"std2", " ", "=", " ", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Mean value: \>\"", ",", "wMean", ",", "\"\<(\>\"", ",", "std", ",", 
   "\"\<) x10^6 at./s\>\""}], "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwd0n0s1HEAx/HfOOq0jPSgMz1JifWwFodYLow8h02ENWOpnYc8RGyM5pIa
67rK3dW5nOXcdpt5TgqteTjnckzMGqlrnfPLYw+etvp+7o/PXv98/nwfTsqI
TDGhKIpNBr96H73pGENzVm1ecKGV2iwLToiCCuGuxOBiWJkuLIWaMcEDGHav
XwyFKSdl0P3aT6Nb0Yca4GSNWgmZVHMT3L8jqB3uPhiggowAWgPdssw8pLE0
p2kyJhBWyNNDYE/z8UgYeN1naOkqzUkK5qnhmfwrM/Cl1EUHGwf4ethW7mSA
o9ov25eJ/r0RTMi66OIP35dKoyAjwi4R5iafyIHUDcffcOLYx3Xo9UnFWCF2
SGTm0D172gL2sZ5bwrBywTJMHt6zAqWR1WarxJooyhxOjRxhw70V9UbFTx/m
Qj2Xug23xllyox4ODXAto+4zbLRVTsNWpaMedsWPGaBVszLkD37WtaGw5NG6
AGoVgmpYwBPF/SUORfsnwFMq9hxs67afh86JKr81oreqJBiO9FjHbhB1+dkJ
0Nk1xwBV/5zm4Wr7xiJ8ddp0BW4dyBd6JtGcc62DEtgYklAHd0q2tUDntMH0
88QWO3keVFQld14gdsRN9cFK980haN6pHof2g8+m4YeumBnYn+mmg4vhsjlY
nGlixSHOBXFsoUXZm/uQx6Qfw40oIb87jeb4LPSKIZttWgtttUw5dC16q4Rn
Q7tboefs0mtYFJ+qgnnv+BrY5Ovl0EMMX1sY/UEc0D4Zg5cHWGV6osZQwIep
Cj8xrJrl1UOuePOXTkQ6c1OvQ3vZXcZ3ouWtYaPcb1M2sKJQsg8qRny94R36
ktH/Ds7Z5w==
  "],
 CellLabel->"In[27]:=",ExpressionUUID->"06f0caac-c947-4671-ba3a-90b15b1668b1"],

Cell[BoxData["0.05586545644833031`"], "Output",
 CellChangeTimes->{3.839305680556528*^9, 3.8393057675543456`*^9, 
  3.8393059180773954`*^9, 3.8393062201616774`*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"8a2af207-1191-4bf9-8f29-4eb3f33dd462"],

Cell[BoxData["0.12962062959311152`"], "Output",
 CellChangeTimes->{3.839305680556528*^9, 3.8393057675543456`*^9, 
  3.8393059180773954`*^9, 3.8393062201616774`*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"e80b40bb-794e-41d4-84e8-f807f6d422e7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Mean value: \"\>", "\[InvisibleSpace]", "1.4478980001883754`", 
   "\[InvisibleSpace]", "\<\"(\"\>", "\[InvisibleSpace]", 
   "0.12729083770341817`", "\[InvisibleSpace]", "\<\") x10^6 at./s\"\>"}],
  SequenceForm[
  "Mean value: ", 1.4478980001883754`, "(", 0.12729083770341817`, 
   ") x10^6 at./s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.839305680572155*^9, 3.8393057675699687`*^9, 
  3.8393059180773954`*^9, 3.839306220168183*^9},
 CellLabel->
  "During evaluation of \
In[27]:=",ExpressionUUID->"fe09364d-781e-4c1f-ac5a-154b99f095ba"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Flux in the reservoir+crossing", "Text",
 CellChangeTimes->{{3.8393057462661977`*^9, 3.839305753337883*^9}, {
  3.8393058619432726`*^9, 3.83930587443923*^9}, {3.8393062353078175`*^9, 
  3.8393062388483915`*^9}},ExpressionUUID->"98bba6c7-5c50-4f15-82d5-\
af0388e6a233"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"flux", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"3.23", ",", "3.07", ",", "2.80"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]Flux", "=", 
    RowBox[{"{", 
     RowBox[{"0.35", ",", "0.31", ",", "0.20"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"wFlux", " ", "=", " ", 
    RowBox[{"1.", "/", 
     RowBox[{"\[Sigma]Flux", "^", "2."}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wMean", " ", "=", " ", 
   RowBox[{
    RowBox[{"Total", "[", 
     RowBox[{"wFlux", "*", "flux"}], "]"}], "/", 
    RowBox[{"Total", "[", "wFlux", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]wMean", " ", "=", " ", 
   RowBox[{"1.", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"Total", "[", "wFlux", "]"}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"std", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Total", "[", 
        RowBox[{"wFlux", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}]}], "]"}], "/", 
       RowBox[{"Total", "[", "wFlux", "]"}]}], "*", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"std2", " ", "=", " ", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Mean value: \>\"", ",", "wMean", ",", "\"\<(\>\"", ",", "std", ",", 
   "\"\<) x10^6 at./s\>\""}], "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwd0mlI03EAxvFh05qRaBc2sctWpnQQualp+TeH4p0apqmEKFl45ZFioGi4
bIXSWuZc6XKiUxiId2Z5UB5zLqeYIqEZi+b859nhRfV79uLh8+Z5+T0SmxIS
b8JgMHhk8Kv7sduccJpa3fMyEVqqTdPgRLnvPbg7xi8PFidLCqBmTPwIBj7o
l0JJ/Ck5dL7xw+hW2OE6OFmpVkIWo6kRHtjp2wb3HvJWQaY3rYHcNFMXWQRN
NU6G+0ChItkfdjedCIE+Nz2Glq7TVKyfQA3PZl+bga9kjjrYMCDSw9YiewMc
1X7ZsUzk9wSzINvTkQ97C2ShkBlsEwMz405mQMYtzi84cfzjOnT7pGKuENsr
5GbQOX3aHPaxX1jAwCLxMowb3rcCZSFlpqvEylCGGZwaOcqD+4W1RqWljzOh
PpFxF26NsxVGXezq4FpK9WfYYK2chi1Kjh52Ro0ZoGWT0v83flZVATD/yboY
auvFZTBHUB75hzgUxo+Gp1W8OdjaZTsPHWJUXmtEd1W+HxzptorYIOqy06Oh
g1OGAar+2c/D1baNRVhzZtsK3DqYLXGNpanzLYMVsME/uhruqtjeDB2SBpMv
EJttFFmwviSu4xKxPXKqDxY7bw5Bsw71OLQdfD4N33eGz8D+VK4OLgbJ52Be
qoklRZzzpayheeGbh1DAop/CjVCJqCuJpjwWeqSQx9tWBa21LAV0yn2rhOcC
ulqg6+zSa5gblaCCWe9EGth42c2umxi0tjD6nTigfTYGrwywC/VEjSFHBBPq
vaSwZFZQCxOlmz915aQzrnod2srvM78RLe4MG+0t7bwIg/5+MCrkCD0ht+Yq
H/4HEuzZnw==
  "],
 CellLabel->"In[43]:=",ExpressionUUID->"ea3c8c6e-4ea9-4e42-a7aa-6945f140a0d7"],

Cell[BoxData["0.15149934060617723`"], "Output",
 CellChangeTimes->{3.839305680556528*^9, 3.8393057675543456`*^9, 
  3.8393062836415596`*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"f1e82914-9e52-47cf-8d02-5255ba4d33a5"],

Cell[BoxData["0.24274217600027434`"], "Output",
 CellChangeTimes->{3.839305680556528*^9, 3.8393057675543456`*^9, 
  3.8393062836571836`*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"12e0d126-4a49-4dc5-94e3-10f4655b46ee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Mean value: \"\>", "\[InvisibleSpace]", "2.9450518491439714`", 
   "\[InvisibleSpace]", "\<\"(\"\>", "\[InvisibleSpace]", 
   "0.2156892945121997`", "\[InvisibleSpace]", "\<\") x10^6 at./s\"\>"}],
  SequenceForm[
  "Mean value: ", 2.9450518491439714`, "(", 0.2156892945121997, 
   ") x10^6 at./s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.839305680572155*^9, 3.8393057675699687`*^9, 
  3.8393062836571836`*^9},
 CellLabel->
  "During evaluation of \
In[43]:=",ExpressionUUID->"5a439908-a039-4b63-91a0-2c291dae4941"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Phase-space flux in the reservoir (old)", "Text",
 CellChangeTimes->{{3.8393057462661977`*^9, 3.839305753337883*^9}, {
  3.8393058619432726`*^9, 3.83930587443923*^9}, {3.8393062353078175`*^9, 
  3.8393062388483915`*^9}, {3.8393063349929886`*^9, 
  3.839306350857236*^9}},ExpressionUUID->"d6eaeedb-a900-443b-8217-\
3c576e4859c3"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"flux", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"0.02957", ",", "0.03709", ",", "0.05099"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]Flux", "=", 
    RowBox[{"{", 
     RowBox[{"0.01504", ",", "0.00911", ",", "0.01301"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"wFlux", " ", "=", " ", 
    RowBox[{"1.", "/", 
     RowBox[{"\[Sigma]Flux", "^", "2."}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wMean", " ", "=", " ", 
   RowBox[{
    RowBox[{"Total", "[", 
     RowBox[{"wFlux", "*", "flux"}], "]"}], "/", 
    RowBox[{"Total", "[", "wFlux", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]wMean", " ", "=", " ", 
   RowBox[{"1.", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"Total", "[", "wFlux", "]"}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"std", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Total", "[", 
        RowBox[{"wFlux", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}]}], "]"}], "/", 
       RowBox[{"Total", "[", "wFlux", "]"}]}], "*", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"std2", " ", "=", " ", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Mean value: \>\"", ",", "wMean", ",", "\"\<(\>\"", ",", "std", ",", 
   "\"\<)\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.803786065132554*^9, 3.803786084908685*^9}, {
   3.80378612818116*^9, 3.8037862023314013`*^9}, {3.803786234355233*^9, 
   3.8037862607947454`*^9}, {3.803786332650855*^9, 3.8037864622352667`*^9}, {
   3.803786521418652*^9, 3.8037865274179955`*^9}, {3.803786569010374*^9, 
   3.803786606394512*^9}, {3.8037866455937543`*^9, 3.8037866823138547`*^9}, {
   3.8037868342225437`*^9, 3.803786871383669*^9}, {3.805086152170192*^9, 
   3.805086274745202*^9}, {3.8050863074580736`*^9, 3.805086353240692*^9}, {
   3.8062997380126076`*^9, 3.806299748196702*^9}, {3.8062998987646713`*^9, 
   3.806299937363358*^9}, {3.806299972586998*^9, 3.8062999852666883`*^9}, {
   3.806300231025613*^9, 3.8063002345235925`*^9}, {3.806300713351819*^9, 
   3.8063008290159616`*^9}, {3.8063009128535175`*^9, 3.806301089293513*^9}, {
   3.8063021211690674`*^9, 3.806302158473491*^9}, {3.8063022463386517`*^9, 
   3.806302261113125*^9}, {3.806302294951565*^9, 3.8063023248782682`*^9}, {
   3.8063041406416388`*^9, 3.806304144681322*^9}, {3.806304300760086*^9, 
   3.8063043040102077`*^9}, {3.8063046970879946`*^9, 3.806304701235606*^9}, {
   3.8063051963933845`*^9, 3.806305200013294*^9}, {3.806305600838621*^9, 
   3.806305609100828*^9}, {3.806306021138668*^9, 3.8063060374092636`*^9}, {
   3.8063061131774545`*^9, 3.80630613460507*^9}, {3.806311013428108*^9, 
   3.8063110210646935`*^9}, {3.8063115917990117`*^9, 
   3.8063116206458516`*^9}, {3.8063131728289156`*^9, 
   3.8063131941666007`*^9}, {3.80631431374343*^9, 3.806314328929652*^9}, {
   3.8063150463239946`*^9, 3.8063151000559373`*^9}, {3.8063193045547867`*^9, 
   3.806319339608507*^9}, {3.8063204676314898`*^9, 3.8063204732812243`*^9}, {
   3.8063205118349547`*^9, 3.8063205280995665`*^9}, {3.8095966197537823`*^9, 
   3.8095966623033695`*^9}, {3.8095967069156113`*^9, 
   3.8095968322380433`*^9}, {3.8095983262945757`*^9, 
   3.8095983972533817`*^9}, {3.809607123142537*^9, 3.809607222823574*^9}, {
   3.8096072638506536`*^9, 3.809607342397708*^9}, {3.8096074127433*^9, 
   3.8096074187417927`*^9}, {3.809607457701267*^9, 3.8096075011035075`*^9}, {
   3.8096098560762324`*^9, 3.8096099220403943`*^9}, {3.80961082985999*^9, 
   3.8096109113761625`*^9}, {3.815636116791501*^9, 3.8156361900603333`*^9}, {
   3.81563624010049*^9, 3.815636288306774*^9}, {3.815636333921656*^9, 
   3.8156363979781733`*^9}, {3.8156364315274935`*^9, 
   3.8156365632612906`*^9}, {3.81563659658575*^9, 3.8156372738832636`*^9}, {
   3.815718551467811*^9, 3.815718556681858*^9}, {3.8157199768369527`*^9, 
   3.8157200838411627`*^9}, {3.8157201541458015`*^9, 3.815720252215034*^9}, {
   3.8393056398627224`*^9, 3.839305678381692*^9}, {3.8393057641136613`*^9, 
   3.8393057664200506`*^9}, {3.839306229893403*^9, 3.8393062301872935`*^9}, {
   3.8393062603170824`*^9, 3.8393062826765394`*^9}, {3.839306367276519*^9, 
   3.8393063965245323`*^9}, 3.8393065638788404`*^9},
 CellLabel->"In[75]:=",ExpressionUUID->"4348bd8f-7069-40f7-bde2-309918299b26"],

Cell[BoxData["0.006684778462022141`"], "Output",
 CellChangeTimes->{3.839305680556528*^9, 3.8393057675543456`*^9, 
  3.8393062836415596`*^9, 3.8393063978970814`*^9, 3.8393065647500734`*^9},
 CellLabel->"Out[79]=",ExpressionUUID->"c9dcdf5d-22ee-4d73-98e3-0dd6ab5d7448"],

Cell[BoxData["0.010867432536335205`"], "Output",
 CellChangeTimes->{3.839305680556528*^9, 3.8393057675543456`*^9, 
  3.8393062836415596`*^9, 3.8393063978970814`*^9, 3.8393065647656984`*^9},
 CellLabel->"Out[81]=",ExpressionUUID->"78f511b4-508b-4e96-8b1b-c3364524da64"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Mean value: \"\>", "\[InvisibleSpace]", "0.03927415056855052`",
    "\[InvisibleSpace]", "\<\"(\"\>", "\[InvisibleSpace]", 
   "0.009279842241042849`", "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm[
  "Mean value: ", 0.03927415056855052, "(", 0.009279842241042849, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.839305680572155*^9, 3.8393057675699687`*^9, 
  3.8393062836571836`*^9, 3.8393063978970814`*^9, 3.8393065647656984`*^9},
 CellLabel->
  "During evaluation of \
In[75]:=",ExpressionUUID->"f88cba49-83a1-4445-af02-d4cf30218ee7"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Phase-space flux in the reservoir (new)", "Text",
 CellChangeTimes->{{3.8393057462661977`*^9, 3.839305753337883*^9}, {
  3.8393058619432726`*^9, 3.83930587443923*^9}, {3.8393062353078175`*^9, 
  3.8393062388483915`*^9}, {3.8393063349929886`*^9, 3.839306350857236*^9}, {
  3.839306415306596*^9, 
  3.839306417180586*^9}},ExpressionUUID->"cf716f03-9734-4cd8-8b80-\
f995f585a975"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"flux", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"0.04878", ",", "0.04976", ",", "0.05109"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]Flux", "=", 
    RowBox[{"{", 
     RowBox[{"0.01080", ",", "0.01048", ",", "0.01059"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"wFlux", " ", "=", " ", 
    RowBox[{"1.", "/", 
     RowBox[{"\[Sigma]Flux", "^", "2."}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wMean", " ", "=", " ", 
   RowBox[{
    RowBox[{"Total", "[", 
     RowBox[{"wFlux", "*", "flux"}], "]"}], "/", 
    RowBox[{"Total", "[", "wFlux", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]wMean", " ", "=", " ", 
   RowBox[{"1.", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"Total", "[", "wFlux", "]"}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"std", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Total", "[", 
        RowBox[{"wFlux", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}]}], "]"}], "/", 
       RowBox[{"Total", "[", "wFlux", "]"}]}], "*", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"std2", " ", "=", " ", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Mean value: \>\"", ",", "wMean", ",", "\"\<(\>\"", ",", "std", ",", 
   "\"\<)\>\""}], "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwd0n0s1AEAxvEbR52W6XU605uuxHpZyx1CfnJj3k4oEdaMUfOWl5g2RnPp
NOa65FxxOXFst8l7Ul5WXs65HBNZI+1a51zek7dVv+f+ePb55/nzeywyMSDa
gEKhOJCD351P3GEE64iVfS/ioJnCKBmOl3ndh3sjvLNhYYIwFypHBQXQ72Gf
CAqjz0ig/a1fereDjtbCiQqFDNIojQ3w0C6vVrj/iIccUj10SshMNnIQh+iI
holgT8iTJvjArsZTAdAzxnVw8aaOiPTmKuD5jBvT8KXYVg3r+/ka2JJvrYUj
qm87l0jZ3f40SHezZcOeXHEgpPpbRMC0qNOpkHKb8RuOn/y0AZ0+y6nLpG3l
EmNonzJlAnvpz02hX75gCUYNHViG4oBSoxXSikCKMZwcPs6CB3k1ekUlj9Og
Jo5yD26P0aV6Haxq4Xpi1VdYby6bgs0yhgZ2hI1qoVmjzGcNvz2VvjCneEMA
VXWCUpjJLQv9QzoYxA6HZ+WsWdjSaTkHbSLk7uukzvIcbzjctSdkk1SdkRIO
bexStVD+z3oOrrRuLsDqc4bLcPtwhtAxUkdcbB4oh/U+4VVwd/mOJmgTP5Bw
ibTJQpoO64qi2i+TtoVO9sJC+61BaNyuGIOWA8+m4IeO4GnYl8RUwwWOZBZm
JxmYEaSzXoQ5NMl7+whyaboncDNQyO+M1xGu890iyGIZVkJzFU0K7bLeyeAF
385m6Diz+AZmhcXKYfp7vhI2XHGy6iLlrM+P/CTtVz0dhVf76XkaUqU2kw9j
69xFsGiGWwPjRFur6jKyM6ZiA1pKHlB/kJreHdLbU9LhAjl/P+rlMXhukFl9
jQ1dvmg4cHXtVQh0Ls6NgddfF+j9D5vd7Tc=
  "],
 CellLabel->"In[67]:=",ExpressionUUID->"ab6edaf0-d47f-4cf9-a823-e54ad98ba2ed"],

Cell[BoxData["0.006131956356680624`"], "Output",
 CellChangeTimes->{3.839305680556528*^9, 3.8393057675543456`*^9, 
  3.8393062836415596`*^9, 3.8393063978970814`*^9, 3.839306446257845*^9, 
  3.8393065596364727`*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"a5e14a45-2750-4d41-9760-df0073c0aa9f"],

Cell[BoxData["0.0011595257863026775`"], "Output",
 CellChangeTimes->{3.839305680556528*^9, 3.8393057675543456`*^9, 
  3.8393062836415596`*^9, 3.8393063978970814`*^9, 3.839306446257845*^9, 
  3.8393065596364727`*^9},
 CellLabel->"Out[73]=",ExpressionUUID->"72d7dce9-0cdc-4b2d-a054-341694f72652"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Mean value: \"\>", "\[InvisibleSpace]", "0.04989000122746438`",
    "\[InvisibleSpace]", "\<\"(\"\>", "\[InvisibleSpace]", 
   "0.0011526767312289826`", "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm[
  "Mean value: ", 0.04989000122746438, "(", 0.0011526767312289826`, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.839305680572155*^9, 3.8393057675699687`*^9, 
  3.8393062836571836`*^9, 3.8393063978970814`*^9, 3.839306446257845*^9, 
  3.8393065596520967`*^9},
 CellLabel->
  "During evaluation of \
In[67]:=",ExpressionUUID->"9ad2937a-7957-46ed-87c3-dd0e68396872"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Lifetime 1/e in the reservoir+crossing", "Text",
 CellChangeTimes->{{3.8393057462661977`*^9, 3.839305753337883*^9}, {
  3.8393058619432726`*^9, 3.83930587443923*^9}, {3.8393062353078175`*^9, 
  3.8393062388483915`*^9}, {3.8393065368596325`*^9, 
  3.8393065428295116`*^9}},ExpressionUUID->"133aac24-ed34-4e21-a8f6-\
ef2814659f05"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"flux", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"286", ",", "299", ",", "315"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]Flux", "=", 
    RowBox[{"{", 
     RowBox[{"20", ",", "20", ",", "18"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"wFlux", " ", "=", " ", 
    RowBox[{"1.", "/", 
     RowBox[{"\[Sigma]Flux", "^", "2."}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wMean", " ", "=", " ", 
   RowBox[{
    RowBox[{"Total", "[", 
     RowBox[{"wFlux", "*", "flux"}], "]"}], "/", 
    RowBox[{"Total", "[", "wFlux", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]wMean", " ", "=", " ", 
   RowBox[{"1.", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"Total", "[", "wFlux", "]"}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"std", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Total", "[", 
        RowBox[{"wFlux", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}]}], "]"}], "/", 
       RowBox[{"Total", "[", "wFlux", "]"}]}], "*", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"std2", " ", "=", " ", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Mean value: \>\"", ",", "wMean", ",", "\"\<(\>\"", ",", "std", ",", 
   "\"\<) ms\>\""}], "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwd0mlIE2AAxvGh05qRaBc2MTNbmdJB5DZNy5lD8U4N01RCFC288kgxUDRc
tkJpLXNb6XKiUxiId2Z5UB5zLqeYIqEZi+Zcnh1eVO+zDw+/L8/Hv0N8elii
CYVCYZPBr57HbzMiDZz1/S9ToJXKLBNOif3vwX1xAYWwLE1UDNUTwkcw+MGg
BIoST8sg++YPozsRRxvgdLVKAWmUlmZ4eI9/Bzxg76uEVF+DGjIzzdykUQZO
83SkH+TL0wJhb8vJMOiX5DWycsPAiQ/gqeC5vOtz8JXURQubhgQ62F7qpIfj
mi+7V4ncvlAapHu7cGF/sTQcUkNt42BOwqlsSLnF+AWnTnzchB6flNQ1YmeV
zByys2Yt4AD9hSUMLhWuwoTRg2tQGlZptk6sDqeYw5mxYyx4iF9vVFLxOAfq
Uih34c4kXW7UzbEBbqTXfoZNNopZ2KZg6GB3zIQeWrUoAn/jZ10TBIuebAqh
plFYCfN54ug/xJEIbiw8o2QtwPYeu0XoHKf02SB6KosC4FivddQWUZuXFQud
XbP1UPnPaRGud2wtw7qzpmtw50ieyD3ewLnQNlwFmwJja+Heql2t0Dl1OO0i
sdVWngsbyxO6LhM7o2cGYBl7ewSad6kmod3w81n4vjtyDg5mMLVwOUS2AAsz
TKw4xAV/jg20KHnzEPJohqdwK1wk6Ek1cLyW+iSQxTKtgTYamhy6FrxVwPNB
PW3QfX7lNSyISVbC3HcCNWy+4uHYSwzZWBr/ThzSPJuAV4foJTqiWp8vgMmN
PhJYPs+rhymS7Z9aMemMqdqEdrL71G9EyzujRvsrui/BkL8fjPIZfG/IrLvG
hUv2DknQb1GcCv8D+6Hixw==
  "],
 CellLabel->"In[99]:=",ExpressionUUID->"569ecd3e-b1f9-40af-9fc8-8460aafc0ea7"],

Cell[BoxData["11.120437137873878`"], "Output",
 CellChangeTimes->{
  3.839305680556528*^9, 3.8393057675543456`*^9, 3.8393062836415596`*^9, {
   3.8393065943663454`*^9, 3.8393066056278453`*^9}},
 CellLabel->
  "Out[103]=",ExpressionUUID->"91829870-76e5-426c-bbda-f60d60647f63"],

Cell[BoxData["14.586806313229511`"], "Output",
 CellChangeTimes->{
  3.839305680556528*^9, 3.8393057675543456`*^9, 3.8393062836415596`*^9, {
   3.8393065943663454`*^9, 3.839306605643469*^9}},
 CellLabel->
  "Out[105]=",ExpressionUUID->"0c008790-c178-4ffa-a1e0-50d9ae7ebb24"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Mean value: \"\>", "\[InvisibleSpace]", "301.08778625954193`", 
   "\[InvisibleSpace]", "\<\"(\"\>", "\[InvisibleSpace]", 
   "14.778320124508902`", "\[InvisibleSpace]", "\<\") ms\"\>"}],
  SequenceForm[
  "Mean value: ", 301.08778625954193`, "(", 14.778320124508902`, ") ms"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.839305680572155*^9, 3.8393057675699687`*^9, 3.8393062836571836`*^9, {
   3.8393065943663454`*^9, 3.839306605643469*^9}},
 CellLabel->
  "During evaluation of \
In[99]:=",ExpressionUUID->"f3fdb0e4-908e-4d0d-b204-c1b235c0a699"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Lifetime 1/e in the reservoir (old)", "Text",
 CellChangeTimes->{{3.8393057462661977`*^9, 3.839305753337883*^9}, {
  3.8393058619432726`*^9, 3.83930587443923*^9}, {3.8393062353078175`*^9, 
  3.8393062388483915`*^9}, {3.8393065368596325`*^9, 3.8393065428295116`*^9}, {
  3.839306621038571*^9, 
  3.8393066236455226`*^9}},ExpressionUUID->"330ee07d-3a63-43c9-b49b-\
e6bab1e9c4ef"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"flux", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"665", ",", "583", ",", "385"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]Flux", "=", 
    RowBox[{"{", 
     RowBox[{"214", ",", "74", ",", "37"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"wFlux", " ", "=", " ", 
    RowBox[{"1.", "/", 
     RowBox[{"\[Sigma]Flux", "^", "2."}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wMean", " ", "=", " ", 
   RowBox[{
    RowBox[{"Total", "[", 
     RowBox[{"wFlux", "*", "flux"}], "]"}], "/", 
    RowBox[{"Total", "[", "wFlux", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]wMean", " ", "=", " ", 
   RowBox[{"1.", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"Total", "[", "wFlux", "]"}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"std", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Total", "[", 
        RowBox[{"wFlux", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}]}], "]"}], "/", 
       RowBox[{"Total", "[", "wFlux", "]"}]}], "*", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"std2", " ", "=", " ", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Mean value: \>\"", ",", "wMean", ",", "\"\<(\>\"", ",", "std", ",", 
   "\"\<) ms\>\""}], "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwd0n0s1AEAxvHfOHJaRqrpTJKuxHpZyx2inNzcvIcmwswYNW95iWljNJeu
xrouubvicsax3Wbek/Ky8nLO5ZiYNdKuOufy2ou3Vb/n/nj2+ef58+uQkBGW
ZEQQhDs5+MXr+C16pJ61Yf0iFVoqTbLgtMj/LtwfF1AEy9OFJVA1KXgIg+8P
iaEw6bQUusX/MLgbcbQRztQo5ZBKtLbAw3v9O+EBez8FpPjpVZCRZeIuidKz
WmYiOZAnSw+Efa0nwyAn2Xt09YaelRDAVcJz+dfn4UuJiwY2D/O1sKPMSQcn
1J/N1kjZ/aFUSPNxYcOBEkk4pITaxsHcxFM5kLhJ/wWnT3zYgp4fFZR10q5q
qSl0y54zh4O05xYwuEywBhPHDq5DSViVyQZpTThhCmfHjzHhIV6DQXHlo1yo
TSXuwN0pmsygu2Mj3Myo+wSbbeRzsF1O18KemEkdtGyVB/7Gz6o2CBY/3hJA
dZOgChZwRdF/SEcj2LHwjIK5CDt67Zagc5zCd5PUS1EcAMf7rKK2STX52bHQ
2TVHBxX/nJbgRuf2Cqw/a7wOd4/kCz0S9KwL7SPVsDkwtg7uq97TBp3TRtIv
krbZyvJgU0Vi92XSrujZQVjutjMKTbuVU9Bu5NkcfNcTOQ+HMhkauBIiXYRF
mUaWLNJFf5YNNC99/QByqfoncDtcyO9N07O8l/vFkMk0roU2aqoMuha+kcPz
Qb3t0GNh9RUsjElRwLy3fBVsueLp2Ecasrk88Z10WP10El4dppVqSVW6Aj5M
afIVw4oFbgNMFe/81IjIzhjKLWgnvUf5Smpxe8zgQGXPJRjy971BHp3nAxn1
19hw2d4hGXKWRGmwizDLhvHW33Lgf23U6yA=
  "],
 CellLabel->
  "In[107]:=",ExpressionUUID->"cd328278-8466-47d4-8569-3e0deece82df"],

Cell[BoxData["32.705049999847795`"], "Output",
 CellChangeTimes->{
  3.839305680556528*^9, 3.8393057675543456`*^9, 3.8393062836415596`*^9, {
   3.8393065943663454`*^9, 3.8393066056278453`*^9}, 3.8393066640702085`*^9},
 CellLabel->
  "Out[111]=",ExpressionUUID->"75adccac-a36d-4edc-a883-30515f961f58"],

Cell[BoxData["200.63868720750955`"], "Output",
 CellChangeTimes->{
  3.839305680556528*^9, 3.8393057675543456`*^9, 3.8393062836415596`*^9, {
   3.8393065943663454`*^9, 3.8393066056278453`*^9}, 3.8393066640702085`*^9},
 CellLabel->
  "Out[113]=",ExpressionUUID->"2a5c58ff-41a1-40f7-8d8b-f9acd6220e32"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Mean value: \"\>", "\[InvisibleSpace]", "430.2148292216877`", 
   "\[InvisibleSpace]", "\<\"(\"\>", "\[InvisibleSpace]", 
   "105.67223123533584`", "\[InvisibleSpace]", "\<\") ms\"\>"}],
  SequenceForm[
  "Mean value: ", 430.2148292216877, "(", 105.67223123533584`, ") ms"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.839305680572155*^9, 3.8393057675699687`*^9, 3.8393062836571836`*^9, {
   3.8393065943663454`*^9, 3.839306605643469*^9}, 3.8393066640702085`*^9},
 CellLabel->
  "During evaluation of \
In[107]:=",ExpressionUUID->"92572f94-9559-4789-b047-dd478401af4a"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Lifetime 1/e in the reservoir (new)", "Text",
 CellChangeTimes->{{3.8393057462661977`*^9, 3.839305753337883*^9}, {
  3.8393058619432726`*^9, 3.83930587443923*^9}, {3.8393062353078175`*^9, 
  3.8393062388483915`*^9}, {3.8393065368596325`*^9, 3.8393065428295116`*^9}, {
  3.839306627571943*^9, 
  3.839306629840026*^9}},ExpressionUUID->"c207a873-abfc-45be-ac9c-\
fc923e4cf1e6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"flux", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"501", ",", "477", ",", "385"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]Flux", "=", 
    RowBox[{"{", 
     RowBox[{"70", ",", "45", ",", "26"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"wFlux", " ", "=", " ", 
    RowBox[{"1.", "/", 
     RowBox[{"\[Sigma]Flux", "^", "2."}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wMean", " ", "=", " ", 
   RowBox[{
    RowBox[{"Total", "[", 
     RowBox[{"wFlux", "*", "flux"}], "]"}], "/", 
    RowBox[{"Total", "[", "wFlux", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]wMean", " ", "=", " ", 
   RowBox[{"1.", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"Total", "[", "wFlux", "]"}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"std", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Total", "[", 
        RowBox[{"wFlux", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}]}], "]"}], "/", 
       RowBox[{"Total", "[", "wFlux", "]"}]}], "*", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"std2", " ", "=", " ", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"flux", "-", "wMean"}], ")"}], "^", "2."}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "[", "flux", "]"}], "-", "1."}], ")"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Mean value: \>\"", ",", "wMean", ",", "\"\<(\>\"", ",", "std", ",", 
   "\"\<) ms\>\""}], "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwd0n0s1AEAxvEbR52W0dt0JklXYr2s5Q5RTm5u3kOJMBmjxpHXmzZGc+lq
rOuSuysuZxzbbeY9KS8rL+dcjolZI+1a51xee/G26vfcH88+/zx/fh0S0sOS
TEgkkjsx+NXr+B1apIG5vv9lKrRSmWXCKbH/PbgvLqAQlnFExVA9IXwEgx8M
SqAo6bQMusX/MLoTcbQBTlerFJBCammGh/f4d8AD9n5KSPYzqCE908xdGmVg
Nk9HsiFfzgmEvS0nwyA72Xtk5aaBmRDAU8Fz3Btz8JXURQubhgQ62F7qpIfj
mi+7VwlZfaEUSPVxYcH+Ymk4JIfaxsGcxFPZkHSb9gtOnfi4CT0/KclrhJ1V
MnPoljVrAQeoLyxhcKlwFSaOHlyD0rBKs3XC6nCSOZwZO8aAh/j1RiUVj3Og
LpWUC3cmqXKj7o4NcCO99jNsslHMwjYFTQe7Yyb00KpFEfgbP+uaIFj0ZFMI
NY3CSpjPE0f/IRyJYMXCM0rGAmzvsVuEznFK3w1CL2VRABzrtY7aItRys2Kh
s2u2Hir/OS3C9Y6tZVh31nQN7hzhijwSDMwLbcNVsCkwthburdrVCp3ThjkX
CVtt5XmwsTyx6zJhZ/TMACxz2x6B5l2qSWg3/HwWvu+OnIODGXQtXA6RLcDC
DBMrJuGCP9MGWpS8eQh5FMNTuBUuEvSkGZjeS30SyGCY1kAbDUUOXQveKuD5
oJ426DG/8hoWxKQoYd47gRo2X/F07CUM2Vga/044pHk2Aa8OUUt0hGp9vgCm
NPpKYPk8rx6mSrZ/asVEZ3TVJrST3Sd/I7S8O2q0v6L7Egz5+8Eon8b3gfS6
ayy4ZO+QDNmL4jR4ncPPheT4W1z4H3Ga6yE=
  "],
 CellLabel->
  "In[115]:=",ExpressionUUID->"78476d31-0541-4ff7-b7c0-43d01c72744f"],

Cell[BoxData["21.4314207910091`"], "Output",
 CellChangeTimes->{
  3.839305680556528*^9, 3.8393057675543456`*^9, 3.8393062836415596`*^9, {
   3.8393065943663454`*^9, 3.8393066056278453`*^9}, 3.8393066920678515`*^9},
 CellLabel->
  "Out[119]=",ExpressionUUID->"88808d27-84ab-441d-8e56-22bd11c0b51b"],

Cell[BoxData["76.61041103154153`"], "Output",
 CellChangeTimes->{
  3.839305680556528*^9, 3.8393057675543456`*^9, 3.8393062836415596`*^9, {
   3.8393065943663454`*^9, 3.8393066056278453`*^9}, 3.8393066920678515`*^9},
 CellLabel->
  "Out[121]=",ExpressionUUID->"78c45820-29a8-4e3e-b7e2-9fd102c82cee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Mean value: \"\>", "\[InvisibleSpace]", "416.7405880661198`", 
   "\[InvisibleSpace]", "\<\"(\"\>", "\[InvisibleSpace]", 
   "57.10030454515609`", "\[InvisibleSpace]", "\<\") ms\"\>"}],
  SequenceForm[
  "Mean value: ", 416.7405880661198, "(", 57.10030454515609, ") ms"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.839305680572155*^9, 3.8393057675699687`*^9, 3.8393062836571836`*^9, {
   3.8393065943663454`*^9, 3.839306605643469*^9}, 3.8393066920678515`*^9},
 CellLabel->
  "During evaluation of \
In[115]:=",ExpressionUUID->"58f8fa3e-dfd9-432f-baaf-447828a72757"]
}, Open  ]]
}, Closed]]
},
CellGrouping->Manual,
WindowSize->{759, 833},
WindowMargins->{{Automatic, 51}, {35, Automatic}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 224, 4, 34, "Text",ExpressionUUID->"d2a8d9ac-ccaf-4f8b-b9c8-b09b280dd44a"],
Cell[CellGroupData[{
Cell[829, 30, 3073, 81, 276, "Input",ExpressionUUID->"f37bfb11-b831-4942-9f52-3720103273c6"],
Cell[3905, 113, 219, 3, 32, "Output",ExpressionUUID->"4e1d6935-871f-4bac-bdb5-d04771fe54da"],
Cell[4127, 118, 219, 3, 32, "Output",ExpressionUUID->"40b1c348-bcf6-4ad1-b4e9-941b69fe2908"],
Cell[4349, 123, 578, 13, 22, "Print",ExpressionUUID->"773e9dfb-73ae-4a5e-83f7-3d611ffdbae0"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[4976, 142, 221, 4, 30, "Text",ExpressionUUID->"ae0db6e4-b96d-40a7-b2b6-2548316ed7c0"],
Cell[CellGroupData[{
Cell[5222, 150, 3085, 81, 276, "Input",ExpressionUUID->"06f0caac-c947-4671-ba3a-90b15b1668b1"],
Cell[8310, 233, 243, 3, 32, "Output",ExpressionUUID->"8a2af207-1191-4bf9-8f29-4eb3f33dd462"],
Cell[8556, 238, 243, 3, 32, "Output",ExpressionUUID->"e80b40bb-794e-41d4-84e8-f807f6d422e7"],
Cell[8802, 243, 600, 13, 22, "Print",ExpressionUUID->"fe09364d-781e-4c1f-ac5a-154b99f095ba"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[9451, 262, 274, 4, 30, "Text",ExpressionUUID->"98bba6c7-5c50-4f15-82d5-af0388e6a233"],
Cell[CellGroupData[{
Cell[9750, 270, 3079, 81, 276, "Input",ExpressionUUID->"ea3c8c6e-4ea9-4e42-a7aa-6945f140a0d7"],
Cell[12832, 353, 219, 3, 32, "Output",ExpressionUUID->"f1e82914-9e52-47cf-8d02-5255ba4d33a5"],
Cell[13054, 358, 219, 3, 32, "Output",ExpressionUUID->"12e0d126-4a49-4dc5-94e3-10f4655b46ee"],
Cell[13276, 363, 575, 13, 22, "Print",ExpressionUUID->"5a439908-a039-4b63-91a0-2c291dae4941"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[13900, 382, 334, 5, 30, "Text",ExpressionUUID->"d6eaeedb-a900-443b-8217-3c576e4859c3"],
Cell[CellGroupData[{
Cell[14259, 391, 5067, 104, 276, "Input",ExpressionUUID->"4348bd8f-7069-40f7-bde2-309918299b26"],
Cell[19329, 497, 268, 3, 32, "Output",ExpressionUUID->"c9dcdf5d-22ee-4d73-98e3-0dd6ab5d7448"],
Cell[19600, 502, 268, 3, 32, "Output",ExpressionUUID->"78f511b4-508b-4e96-8b1b-c3364524da64"],
Cell[19871, 507, 600, 12, 22, "Print",ExpressionUUID->"f88cba49-83a1-4445-af02-d4cf30218ee7"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[20520, 525, 383, 6, 30, "Text",ExpressionUUID->"cf716f03-9734-4cd8-8b80-f995f585a975"],
Cell[CellGroupData[{
Cell[20928, 535, 3109, 81, 276, "Input",ExpressionUUID->"ab6edaf0-d47f-4cf9-a823-e54ad98ba2ed"],
Cell[24040, 618, 293, 4, 32, "Output",ExpressionUUID->"a5e14a45-2750-4d41-9760-df0073c0aa9f"],
Cell[24336, 624, 294, 4, 32, "Output",ExpressionUUID->"72d7dce9-0cdc-4b2d-a054-341694f72652"],
Cell[24633, 630, 628, 13, 22, "Print",ExpressionUUID->"9ad2937a-7957-46ed-87c3-dd0e68396872"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[25310, 649, 335, 5, 30, "Text",ExpressionUUID->"133aac24-ed34-4e21-a8f6-ef2814659f05"],
Cell[CellGroupData[{
Cell[25670, 658, 3073, 81, 276, "Input",ExpressionUUID->"569ecd3e-b1f9-40af-9fc8-8460aafc0ea7"],
Cell[28746, 741, 276, 5, 32, "Output",ExpressionUUID->"91829870-76e5-426c-bbda-f60d60647f63"],
Cell[29025, 748, 274, 5, 32, "Output",ExpressionUUID->"0c008790-c178-4ffa-a1e0-50d9ae7ebb24"],
Cell[29302, 755, 606, 13, 22, "Print",ExpressionUUID->"f3fdb0e4-908e-4d0d-b204-c1b235c0a699"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[29957, 774, 383, 6, 30, "Text",ExpressionUUID->"330ee07d-3a63-43c9-b49b-e6bab1e9c4ef"],
Cell[CellGroupData[{
Cell[30365, 784, 3090, 82, 276, "Input",ExpressionUUID->"cd328278-8466-47d4-8569-3e0deece82df"],
Cell[33458, 868, 300, 5, 32, "Output",ExpressionUUID->"75adccac-a36d-4edc-a883-30515f961f58"],
Cell[33761, 875, 300, 5, 32, "Output",ExpressionUUID->"2a5c58ff-41a1-40f7-8d8b-f9acd6220e32"],
Cell[34064, 882, 628, 13, 22, "Print",ExpressionUUID->"92572f94-9559-4789-b047-dd478401af4a"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[34741, 901, 381, 6, 30, "Text",ExpressionUUID->"c207a873-abfc-45be-ac9c-fc923e4cf1e6"],
Cell[CellGroupData[{
Cell[35147, 911, 3089, 82, 276, "Input",ExpressionUUID->"78476d31-0541-4ff7-b7c0-43d01c72744f"],
Cell[38239, 995, 298, 5, 32, "Output",ExpressionUUID->"88808d27-84ab-441d-8e56-22bd11c0b51b"],
Cell[38540, 1002, 299, 5, 32, "Output",ExpressionUUID->"78c45820-29a8-4e3e-b7e2-9fd102c82cee"],
Cell[38842, 1009, 625, 13, 22, "Print",ExpressionUUID->"58f8fa3e-dfd9-432f-baaf-447828a72757"]
}, Open  ]]
}, Closed]]
}
]
*)

