(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     85346,       1902]
NotebookOptionsPosition[     84262,       1861]
NotebookOutlinePosition[     84628,       1877]
CellTagsIndexPosition[     84585,       1874]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
   "SetDirectory", "[", "\"\<C:\\\\SrBEC\\\\Mathematica\\\\\>\"", "]"}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "change", " ", "folder", " ", "location", " ", "to", " ", "find", " ", 
    "the", " ", "right", " ", "packages"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ComputerArithmetic`"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
   "SetDirectory", "[", 
    "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "put", " ", "your", " ", "favorite", " ", "number", " ", "of", " ", 
    "kernels"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"LaunchKernels", "[", "4", "]"}], ";"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.5762145050325127`*^9, 3.5762146061362906`*^9}, {
   3.5771775675*^9, 3.5771775870625*^9}, 3.5775300583180485`*^9, 
   3.578201945757494*^9, {3.582267332776631*^9, 3.582267340873045*^9}, 
   3.5822673792803125`*^9, 3.584118926375*^9, {3.680418450025509*^9, 
   3.6804184511155105`*^9}, {3.68050357578312*^9, 3.6805035822231293`*^9}, {
   3.680503637373205*^9, 3.6805036458332167`*^9}, {3.680504532805441*^9, 
   3.6805045410154524`*^9}, {3.6817976261212807`*^9, 
   3.6817976329906735`*^9}, {3.6817977392057486`*^9, 
   3.6817977488022976`*^9}, {3.6818074135660906`*^9, 3.681807420485486*^9}, {
   3.6823996065237646`*^9, 3.6823996070237656`*^9}, {3.6848482267833843`*^9, 
   3.6848482288165007`*^9}, {3.7005500290671997`*^9, 3.70055002925121*^9}, 
   3.7005577305170455`*^9, 3.7005716481647415`*^9, {3.7813452873102155`*^9, 
   3.781345302977112*^9}, {3.8001049538510466`*^9, 3.80010496109146*^9}, {
   3.803902618852017*^9, 3.8039026193180437`*^9}}],

Cell[CellGroupData[{

Cell["\<\
Test of the validity of the 3-body loss rate parameter (without directly \
fitting the data, not good enough)\
\>", "Section",
 CellChangeTimes->{{3.800181994092242*^9, 3.800182007977036*^9}, {
  3.8002736508191123`*^9, 3.800273671563299*^9}, {3.8002737996676264`*^9, 
  3.8002738035308475`*^9}}],

Cell["\<\
Using the values from  Simon' s paper \[OpenCurlyDoubleQuote]Production of \
quantum-degenerate strontium gases\[CloseCurlyDoubleQuote] PHYSICAL REVIEW A \
87, 013611 (2013)
The lifetime is stated to be 15s in these conditions (3-body limited).\
\>", "Text",
 CellChangeTimes->{{3.800182009500123*^9, 3.8001820933459187`*^9}, {
  3.8001829473727665`*^9, 3.8001829657688184`*^9}, {3.8002736234955497`*^9, 
  3.8002736290648685`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Experimental", " ", "values", " ", "given", " ", "by", " ", "the", " ", 
    "paper"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Omega]xD", "=", 
     RowBox[{"2.", "*", "Pi", "*", " ", "20."}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]yD", "=", 
     RowBox[{"2.", "*", "Pi", "*", " ", "2.5"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]zD", "=", 
     RowBox[{"2.", "*", "Pi", "*", " ", "260."}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBEC", " ", "=", " ", 
     RowBox[{"0.9", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Gamma]3", "=", 
     RowBox[{"13.5", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"3", "-", 
       RowBox[{"body", " ", "loss", " ", "in", " ", 
        RowBox[{
         SuperscriptBox["\[Micro]m", "6"], "/", "s"}]}]}], ";", " ", 
      RowBox[{
      "from", " ", "thesis", " ", "by", " ", "Martinez", " ", "de", " ", 
       "Escobar"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Gamma]3SI", "=", 
     RowBox[{"\[Gamma]3", "*", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}], ")"}], "^", "6."}], "/", 
       RowBox[{"aB", "^", "6."}]}]}]}], ";", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "units", " ", "of", " ", 
      RowBox[{"aB", "^", "6"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"K1", "=", 
     RowBox[{"1", "/", "120."}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "rough", " ", "estimation", " ", "of", " ", "the", " ", "vacuum", " ", 
      "lifetime", " ", "in", " ", "Innsbruck"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"tEndDecay", " ", "=", " ", "30"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{
      "max", " ", "duration", " ", "of", " ", "the", " ", "measurement"}], 
      ",", " ", 
      RowBox[{"in", " ", "s"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"\[Omega]IsoD", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Omega]xD", " ", "*", "\[Omega]yD", "*", " ", "\[Omega]zD"}],
        ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aScat", "=", 
     RowBox[{"a1S0iso84", " ", "/", " ", "aB"}]}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mAss", "=", 
     RowBox[{"mSr84", "/", "au"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ahoD", "=", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{"hbarreOverAu", "/", 
        RowBox[{"(", 
         RowBox[{"mAss", "*", "\[Omega]IsoD"}], ")"}]}], "]"}], "/", "aB"}]}],
     ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "units", " ", "of", " ", "aB"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"gInt", "=", 
     RowBox[{"2.", " ", "*", " ", 
      RowBox[{"aScat", "/", "mAss"}], " ", "*", " ", 
      RowBox[{"hbarreOverAu", "/", 
       RowBox[{"aB", "^", "2."}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "units", " ", "of", " ", "ctePlanck", "*", 
      RowBox[{"aB", "^", "3"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Mu]DFun", "[", "NbBEC_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"\[Omega]IsoD", "/", "2."}], "*", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"15.", " ", "*", "NbBEC", "*", " ", 
          RowBox[{"aScat", "/", "ahoD"}]}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"RadTFFun", "[", 
      RowBox[{"NbBEC_", ",", "\[Omega]D_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{"2.", "*", 
         RowBox[{
          RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "mAss"}], " ", "*", 
         " ", "ctePlanckOverAu"}], "]"}], "/", "\[Omega]D"}], "/", "aB"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"n0Fun", "[", "NbBEC_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "gInt"}]}], ";", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "units", " ", "of", " ", 
      RowBox[{"aB", "^", "3"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"fitFun", "[", 
      RowBox[{"t_", ",", "Ampl_", ",", "\[Tau]_"}], "]"}], ":=", 
     RowBox[{"Ampl", "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "t"}], "/", "\[Tau]"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"solBECdecayFun", "[", 
      RowBox[{"{", 
       RowBox[{"\[Gamma]3SI_", ",", "K1_", ",", "tEndDecay_"}], "}"}], "]"}], 
     ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "sol", ",", "decayTab", ",", "FitResult", ",", "\[Tau]Result"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"sol", " ", "=", " ", 
         RowBox[{"NDSolve", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"NbBEC", "'"}], "[", "t", "]"}], "\[Equal]", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "\[Gamma]3SI"}], "*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"n0Fun", "[", 
                   RowBox[{"NbBEC", "[", "t", "]"}], "]"}], ")"}], "^", 
                 "2."}], "*", 
                RowBox[{"8.", "/", "21."}], " ", "*", 
                RowBox[{"NbBEC", "[", "t", "]"}]}], "-", 
               RowBox[{"K1", "*", 
                RowBox[{"NbBEC", "[", "t", "]"}]}]}]}], ",", 
             RowBox[{
              RowBox[{"NbBEC", "[", "0.", "]"}], "\[Equal]", "NBEC"}]}], 
            "}"}], ",", "NbBEC", ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "0.", ",", "tEndDecay"}], "}"}]}], "]"}]}], ";",
         "\[IndentingNewLine]", 
        RowBox[{"decayTab", " ", "=", " ", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{"First", "[", 
              RowBox[{"Quiet", "[", 
               RowBox[{
                RowBox[{"Evaluate", "[", 
                 RowBox[{"NbBEC", "[", "t", "]"}], "]"}], "/.", "sol"}], 
               "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "0.", ",", "tEndDecay", ",", 
             RowBox[{"tEndDecay", "/", "100."}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"FitResult", " ", "=", 
         RowBox[{"Quiet", "[", 
          RowBox[{"NonlinearModelFit", "[", 
           RowBox[{"decayTab", ",", 
            RowBox[{"fitFun", "[", 
             RowBox[{"t", ",", "Ampl", ",", "\[Tau]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"Ampl", ",", 
                RowBox[{"2.", "*", 
                 RowBox[{"10", "^", "7."}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"\[Tau]", ",", "15."}], "}"}]}], "}"}], ",", "t"}], 
           "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Tau]Result", " ", "=", " ", 
         RowBox[{"\[Tau]", "/.", 
          RowBox[{
          "FitResult", "[", "\"\<BestFitParameters\>\"", "]"}]}]}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MonteCarloFindSigmaFun", "[", 
      RowBox[{"paramList_", ",", "Fun_", ",", "testNb_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"CreatNormDistribParamFun", ",", "valueTab", ",", "resTab"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"CreatNormDistribParamFun", "[", 
          RowBox[{"{", 
           RowBox[{"ele_", ",", "\[Sigma]ele_"}], "}"}], "]"}], ":=", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{
           RowBox[{"NormalDistribution", "[", 
            RowBox[{"ele", ",", "\[Sigma]ele"}], "]"}], ",", "testNb"}], 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"valueTab", " ", "=", " ", 
         RowBox[{"ParallelMap", "[", 
          RowBox[{"CreatNormDistribParamFun", ",", "paramList", ",", "1"}], 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"valueTab", " ", "=", " ", 
         RowBox[{"Transpose", "[", "valueTab", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"resTab", " ", "=", " ", 
         RowBox[{"ParallelMap", "[", 
          RowBox[{"Fun", ",", "valueTab", ",", "1"}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Mean", "[", "resTab", "]"}], ",", 
          RowBox[{"StandardDeviation", "[", "resTab", "]"}]}], "}"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"paramList", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Gamma]3SI", ",", 
         RowBox[{"\[Gamma]3SI", "*", 
          RowBox[{"30.", "/", "100."}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"K1", ",", 
         RowBox[{"K1", "*", 
          RowBox[{"40.", "/", "100."}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"tEndDecay", ",", 
         RowBox[{"tEndDecay", "*", 
          RowBox[{"40.", "/", "100."}]}]}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res", " ", "=", " ", 
     RowBox[{"MonteCarloFindSigmaFun", "[", 
      RowBox[{"paramList", ",", "solBECdecayFun", ",", 
       RowBox[{"10", "^", "3"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Statistical value of the fitted lifetime: \>\"", ",", 
     RowBox[{"First", "[", "res", "]"}], ",", "\"\<(\>\"", ",", 
     RowBox[{"Last", "[", "res", "]"}], ",", "\"\<) s\>\""}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.800178710080407*^9, 3.8001787105924363`*^9}, {
   3.800178755084981*^9, 3.800178836555641*^9}, {3.8001788713006287`*^9, 
   3.800179010311579*^9}, {3.8001790435994835`*^9, 3.8001793002821646`*^9}, {
   3.8001793446026993`*^9, 3.8001793903033133`*^9}, {3.8001794395901327`*^9, 
   3.800179574973876*^9}, {3.8001798920540123`*^9, 3.800180216268556*^9}, {
   3.8001802751599245`*^9, 3.8001802783031044`*^9}, {3.800180346269992*^9, 
   3.8001803467060165`*^9}, {3.800180401084127*^9, 3.800180568415698*^9}, 
   3.8001806151033683`*^9, {3.8001806814601636`*^9, 3.800180834684928*^9}, {
   3.8001808784254293`*^9, 3.800181001656478*^9}, {3.8001810602238274`*^9, 
   3.8001810784488697`*^9}, {3.800181113104852*^9, 3.8001811147529464`*^9}, {
   3.8001811862450356`*^9, 3.800181215436705*^9}, {3.8001812494296494`*^9, 
   3.8001813223198185`*^9}, {3.80018136010098*^9, 3.8001813765829225`*^9}, {
   3.8001814329751477`*^9, 3.800181433342169*^9}, {3.8001814765306387`*^9, 
   3.800181581848663*^9}, {3.8001816453302937`*^9, 3.800181786425364*^9}, {
   3.800181833894079*^9, 3.800181834250099*^9}, {3.8001818814698*^9, 
   3.800181900593894*^9}, {3.8001819463105087`*^9, 3.800181974096098*^9}, {
   3.800182064429265*^9, 3.800182108524787*^9}, {3.800182158339636*^9, 
   3.800182255981221*^9}, {3.8001823587130966`*^9, 3.8001824796090117`*^9}, {
   3.800182968139954*^9, 3.8001829683009634`*^9}, {3.8002662294818573`*^9, 
   3.800266250873081*^9}, {3.800273635494236*^9, 3.800273636816312*^9}, {
   3.800273681740881*^9, 3.800273681942893*^9}, {3.8002737181449633`*^9, 
   3.8002737409252663`*^9}, {3.8002738132784047`*^9, 3.800273815521533*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Statistical value of the fitted lifetime: \"\>", 
   "\[InvisibleSpace]", "32.42317924759641`", 
   "\[InvisibleSpace]", "\<\"(\"\>", "\[InvisibleSpace]", 
   "9.486256081858695`", "\[InvisibleSpace]", "\<\") s\"\>"}],
  SequenceForm[
  "Statistical value of the fitted lifetime: ", 32.42317924759641, "(", 
   9.486256081858695, ") s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.800182242713462*^9, 3.800182260895502*^9}, 
   3.800182328438365*^9, {3.8001824675033197`*^9, 3.8001824842242756`*^9}, 
   3.8002491340360537`*^9, {3.8002662398674517`*^9, 3.8002662566334105`*^9}, {
   3.800273666741023*^9, 3.8002736910504136`*^9}, {3.800273723455267*^9, 
   3.8002737449194946`*^9}, 3.8002738196537695`*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"solBECdecay", " ", "=", " ", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"NbBEC", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[Gamma]3SI"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n0Fun", "[", 
             RowBox[{"NbBEC", "[", "t", "]"}], "]"}], ")"}], "^", "2."}], " ",
           "*", 
          RowBox[{"8.", "/", "21."}], "*", 
          RowBox[{"NbBEC", "[", "t", "]"}]}], "-", 
         RowBox[{"K1", "*", 
          RowBox[{"NbBEC", "[", "t", "]"}]}]}]}], ",", 
       RowBox[{
        RowBox[{"NbBEC", "[", "0.", "]"}], "\[Equal]", "NBEC"}]}], "}"}], ",",
      "NbBEC", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0.", ",", "tEndDecay"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"decayTab", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"First", "[", 
         RowBox[{"Quiet", "[", 
          RowBox[{
           RowBox[{"Evaluate", "[", 
            RowBox[{"NbBEC", "[", "t", "]"}], "]"}], "/.", "solBECdecay"}], 
          "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tEndDecay", ",", 
        RowBox[{"tEndDecay", "/", "100."}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FitResult", " ", "=", 
   RowBox[{"Quiet", "[", 
    RowBox[{"NonlinearModelFit", "[", 
     RowBox[{"decayTab", ",", 
      RowBox[{"fitFun", "[", 
       RowBox[{"t", ",", "Ampl", ",", "\[Tau]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Ampl", ",", 
          RowBox[{"2", "*", 
           RowBox[{"10", "^", "7"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Tau]", ",", "15."}], "}"}]}], "}"}], ",", "t"}], "]"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AmplResult", " ", "=", " ", 
   RowBox[{"Ampl", "/.", 
    RowBox[{"FitResult", "[", "\"\<BestFitParameters\>\"", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Tau]Result", " ", "=", " ", 
    RowBox[{"\[Tau]", "/.", 
     RowBox[{"FitResult", "[", "\"\<BestFitParameters\>\"", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pldecayTab", " ", "=", " ", 
   RowBox[{"ListPlot", "[", "decayTab", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plFitRes", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"fitFun", "[", 
      RowBox[{"t", ",", "AmplResult", ",", "\[Tau]Result"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0.", ",", "tEndDecay"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{"{", 
    RowBox[{"pldecayTab", ",", "plFitRes"}], "}"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Fitted lifetime: \>\"", ",", "\[Tau]Result", ",", "\"\< s\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.800178710080407*^9, 3.8001787105924363`*^9}, {
   3.800178755084981*^9, 3.800178836555641*^9}, {3.8001788713006287`*^9, 
   3.800179010311579*^9}, {3.8001790435994835`*^9, 3.8001793002821646`*^9}, {
   3.8001793446026993`*^9, 3.8001793903033133`*^9}, {3.8001794395901327`*^9, 
   3.800179574973876*^9}, {3.8001798920540123`*^9, 3.800180216268556*^9}, {
   3.8001802751599245`*^9, 3.8001802783031044`*^9}, {3.800180346269992*^9, 
   3.8001803467060165`*^9}, {3.800180401084127*^9, 3.800180568415698*^9}, 
   3.8001806151033683`*^9, {3.8001806814601636`*^9, 3.800180834684928*^9}, {
   3.800181617163683*^9, 3.8001816246121087`*^9}, 3.800182149018103*^9, {
   3.800182274638288*^9, 3.8001822943244143`*^9}, 3.800249108386587*^9, 
   3.8002492119635115`*^9, {3.80027375253093*^9, 3.800273753507986*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {{}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.009166666666666668],
       AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxN0glMU3ccwPGOYxKDgQm9ael9UCjQUq629ld1IBMDzo0N58aKFByGazrI
TJxAMpBwDZDbYQTBSSLbQJo5ps5tgArFoy0jEOYEFAeFLmGjjKDO0V+T/ZKX
l3/ee9//5708dmrOm3oXAoGgf3n8d/7/QIFEK98ck+Z8QVvvOsO5ntVQxmak
VUMB2tHNsWrykkfOWXMD8PqKZl+FvNeDEaB1lNY0Qp/1GssdMd6/oXkQ1zof
c0KsNW6uCRCnYhsTJWJ83hUCXXyM89MibfPmuEOX0GQm1Iqw5wETLj/tr4kV
adM3Zys0kg/Zqp4Lse8JWcV5d20GIfa8oORsvK47V4j7eYN5Zii1XyLE3nbo
D1I+2/JUgPf7QIZvUXFzpwD7vrDj8Svf6dIE6CGCsvJUybs8AfZI8CgzUZH/
mI89CsjdS7V9F/nYo8Khbmuax1E+9mjwc+bhzuxgPvbooJ5m8h7+xUO/H1RM
FGUcGOBhjwkyJc97sJiHPX+wz/lOBu11rlmQvPP+fKkvDz0sUFW2HjP+xsX9
2MD7pvrO2iUu9jiQTUqvc8vn4v4cmH2ur17cycUeF/anaiu/8uZijwtJydTu
8Icc7PHAlX3Ev6aHgz0+kEfXg/s+42CPDwaf4tSmBA72BCCRfv+eis3BngDe
//2HoZYVNvaEEF/efvrrITb2RNA+a+vMb2FjTwQJeWVCazYbe2Ig1h6I9dzN
xp4YNIryFBPV2QsAy1T+iPpPFvYkUN5w13PPMAt7EojRTViW21jYC4S/Dfop
aQELv38gLPGLTG6JLOwFgWzR0poldvakUNQfp013dfakcJC41vXrgD/2guHF
bN0vq3n+2AsG+9QVKU/svB4ChFNpTQcfMR29whDQ3vzn+pkWJr5PCPCF91KM
bzEdfWoofHnLnPTCi4meUKjvGpvkjzIcvb5QcNsikavKGOiTwUzwOxfVsQxH
L14GFZaQav6rDPTKYNA8V2sb9HP0nrxcj/zxcWOJH/rkQEg22Ch7/NAnh+VP
b9/P2eqHPjlsjHdwm4x09IVBwxurXlU1dPSFQZ1H1819SXT0hYGkl5BhotPR
p4Az2VQdfYaGPgV84fFjBOcSDX0K6Dl99dhcLg19CpAVUds+iKKhLxya0oM+
rHShoS8c7r2ub8oapaIvHCRD4+KNBir6ImCjqtGuSKWiLwKuZRc8IUup6IsA
88Iut3PrFPRFwlLmQumtYQr6ImFyhNRdU09BXyQcXTjeYT9MQV8kdNsv99hl
FPRFwUef6wOrXbBXGAUnY8xtAw/I6IuCq6EJZSc6yOiLhlW1JOf2cTL6omH8
7JKlM4aMvmjov2DVb6OS0aeEK2b32WeLJPQpwX147LVPbpDQp4RJ4rQht46E
PiUk3TjZspxBQp8K2t++3GVVkdCnAtH5FNOR7ST8X1XQnMin6J4S0acG6TZx
ruk6EX1qUKWM2K7VE9Gnhm8ThQZmFhF9O4BUqJtZ2U3U/gs1y3g0
       "]]}, {}}, {}}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
     1.], LineBox[CompressedData["
1:eJwVj2s01HkYgDXpUO2cwp9xNzMYZtxrlpRf874uudRQxM60sZmScu2i3LUp
qo12jWpFyiodERJJtZKRirZySSbZLiNdqEOYZiPbth+e83x8zsOSxAdG0NTU
1ITf+N+fnrXfsjh8dnkcQtnwYR5+9nCKQXmmYOHn1qLBQzyMuPYmWF8uFdS9
HLk6cICHRUpZx2x5qWCUaxz7cB8PnfMdsz73XRKonp2vbkjlobokUjLZJxMo
FI+KcqJ5GN1O6/rY1y1gnRfODVnJQ9P01QfH+hSCyO6qg2HzeXhniv97V+mE
oGYqnt+SycWKM83dEtsZgWOuc1PjHC6aX7cv1vCYDUFlCrPEXGsU7z5Z4R+s
Cbfabdbl0a1xyMr3wseFdPC9HfM2t8AKLwR3tNIMtICzLnYEjK2w52VCWn6x
zre5/SGXz3LQ8t1yh+5PujA0XL5igwsHo8Vy//ZMfeikXxFzWi1xwDNvS9yg
IQQFYFqHyBKvT/kLDZeYQHLCrsGMcQs8YjBwKqPZDHJtayWVWRZ4W+y56y6d
BY2WlW6mbAsU/JjZZRfMhr6h7REhjeY42uKef/y4OYzQn8cUBpoj/7V2YIjM
AubRO+5KlWycuOHnvUODA2y6cuU5KRt9gqWuQ85WUK3IVLGXsJFRgpL6PdZg
aQ2danIWmqzeOZYt40LWPHefnFQWNjbVp14c5UFVZ8+HaQ4L7z8PJc7OtnCG
65ZteJ+Jic16X7Qj7cD06pNueQoTReqBzIk8ezB4ubXkug0T62YmUxweO8C+
oKfreTVmGNgftDU80xEYayRai3TNUHNhuKOY4wQtds+OntpuiuIkh4rAO06g
mjmmI3xkgruas0oTQxeB5r+n7eM8TfDBiwUNfmqLwau+vSap0hjHX7B8fAsW
w7LCvIS9ZsZYq6PM8bXjQzyL5zpYYIRVzC/vVQ/44Gnq0Vk+1wgTvjt8ryvi
e0jSeWxUlm2ISd3CNvFcZ8jbUvcmatoAvRMLCL3UGao3LnKbSTXAWv+zW2Qu
LuC31uNR7CwDFKm9qrbsdwGFAucw9uhjx2+VO+u3L4HNTmtuPNbQx+Tpc0Ef
dV2BBHE22BxiYGvBxtcOV1yhTGFVLlrAQDlVrjohXApumn8Gfzith7xopsWl
saWwMz0sOZ2rh94lzIfKg8ugyOdqr2GTLn7VUNguM3UDVau518BaXZz07Suz
v+kG1GDlE9UQhfVRa4uFPxBoyzNRz/6Zwpu0hs1jYgLu2dPb2jIovFfIcMxf
TyBKx1F9TjqFio5+mTycQNPAr8X7kynUsgl/uzGGAC3jQVHWDgrjRmIXp+wl
0JMS3XpkE4XcmAPt5yoJ+NECypt8KOSrv5P6VhOYIBeezPKmEE76rX9/kcBm
mcpxhReFor/oo04NBFZXr1rzECnMtj1KNd0kAGH5osGlFL56X/JTTy+BgMjm
DG07Csf207i75QQut6XRxTYUThtvGtd/SkBaM9lymkuhttAqK+wFgfmgcdKO
QyFWVVW8GyZQbxRKrTSjcJXXgoScDwSqi452Sk2+9f/eRhzGCCgVMZf6jSjc
Rud3JigJ/DI8/jpKn8K0smMnGP8QMCSFrnV6FB4gKsm1KQJpqb210xSF0l6R
begMgT3xfwR46lB4Kvaa8utXAq6DU9q5WhT+B6E3F3g=
      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->{505., Automatic},
  Method->{},
  PlotRange->{{0, 30.}, {0, 900000.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.8001789623238344`*^9, 3.800179010653599*^9}, {
   3.8001792653251653`*^9, 3.8001793011292133`*^9}, {3.8001793454757495`*^9, 
   3.800179390884347*^9}, {3.800179439868149*^9, 3.8001794620844193`*^9}, {
   3.8001795015606775`*^9, 3.800179575633914*^9}, {3.8001800353872104`*^9, 
   3.8001800868281527`*^9}, {3.800180142870358*^9, 3.800180216665579*^9}, 
   3.800180279066148*^9, 3.8001803469930334`*^9, {3.800180402853228*^9, 
   3.800180568643711*^9}, 3.800181628428327*^9, 3.8001817087249193`*^9, 
   3.8001817758487587`*^9, {3.8001818764055104`*^9, 3.8001818937885046`*^9}, 
   3.80018198426468*^9, {3.800182265106743*^9, 3.800182294986452*^9}, 
   3.8001823332526407`*^9, 3.8001824865654097`*^9, {3.800249109035624*^9, 
   3.8002491359041605`*^9}, 3.80024921246754*^9, 3.8002737561051345`*^9, 
   3.8002738340965953`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Fitted lifetime: \"\>", "\[InvisibleSpace]", 
   "30.835879624267804`", "\[InvisibleSpace]", "\<\" s\"\>"}],
  SequenceForm["Fitted lifetime: ", 30.835879624267804`, " s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.800182288202064*^9, 3.8001822949974527`*^9}, 
   3.8001823332636414`*^9, 3.8001824865764103`*^9, {3.8002491107797236`*^9, 
   3.8002491360841713`*^9}, 3.8002492124805408`*^9, 3.8002737561181355`*^9, 
   3.800273834105596*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Test of the validity of the 3-body loss rate parameter (direct fit of the \
data, good)\
\>", "Section",
 CellChangeTimes->{{3.800181994092242*^9, 3.800182007977036*^9}, {
  3.8002736508191123`*^9, 3.800273671563299*^9}, {3.8002737996676264`*^9, 
  3.8002738035308475`*^9}, {3.8002738548007793`*^9, 3.800273865873413*^9}}],

Cell[CellGroupData[{

Cell["Data from Innsbruck of 111216 _S6 _lifetime", "Text",
 CellChangeTimes->{{3.8001832873072095`*^9, 3.8001832873102093`*^9}, 
   3.8001834206398354`*^9, {3.8002494243056564`*^9, 3.8002494353072853`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"indStart", "=", " ", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"indFinish", " ", "=", " ", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"timeExpTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "1.", ",", "1001.", ",", "2001.", ",", "3001.", ",", "4001.", ",", 
      "5001.", ",", "6001.", ",", "7001.", ",", "10001.", ",", "20001.", ",", 
      "30001."}], "}"}], "/", "1000."}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"NatExpTab", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1.06499", "*", 
      RowBox[{"10", "^", "6"}]}], ",", "928960.586", ",", "889930.4629", ",", 
     "849774.7358", ",", "808038.5215", ",", "780537.6595", ",", 
     "775471.1609", ",", "713175.8064", ",", "625782.2178", ",", "480793.362",
      ",", "373723.0848"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"timeExpTab", "=", 
   RowBox[{"timeExpTab", "[", 
    RowBox[{"[", 
     RowBox[{"indStart", ";;", 
      RowBox[{
       RowBox[{"Length", "[", "timeExpTab", "]"}], "-", "indFinish"}]}], 
     "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NatExpTab", "=", 
   RowBox[{"NatExpTab", "[", 
    RowBox[{"[", 
     RowBox[{"indStart", ";;", 
      RowBox[{
       RowBox[{"Length", "[", "NatExpTab", "]"}], "-", "indFinish"}]}], "]"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataExpTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"timeExpTab", ",", "NatExpTab"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]xD", "=", 
   RowBox[{"2.", "*", "Pi", "*", " ", "20."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]yD", "=", 
   RowBox[{"2.", "*", "Pi", "*", " ", "2.5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]zD", "=", 
    RowBox[{"2.", "*", "Pi", "*", " ", "260."}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Gamma]3", "=", 
    RowBox[{"7.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"3", "-", 
      RowBox[{"body", " ", "loss", " ", "in", " ", 
       RowBox[{
        SuperscriptBox["\[Micro]m", "6"], "/", "s"}]}]}], ";", " ", 
     RowBox[{
     "from", " ", "thesis", " ", "by", " ", "Martinez", " ", "de", " ", 
      "Escobar"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Gamma]3SI", "=", 
    RowBox[{"\[Gamma]3", "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}], ")"}], "^", "6."}], "/", 
      RowBox[{"aB", "^", "6."}]}], " ", "*", " ", 
     RowBox[{"aB", "^", "2"}]}]}], ";", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "units", " ", "of", " ", 
     RowBox[{
      RowBox[{"aB", "^", "6"}], "/", 
      RowBox[{"aB", "^", "2"}]}]}], "   ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"K1", "=", 
    RowBox[{"1", "/", "120."}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "rough", " ", "estimation", " ", "of", " ", "the", " ", "vacuum", " ", 
     "lifetime", " ", "in", " ", "Innsbruck"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"tEndDecay", " ", "=", " ", 
    RowBox[{"Last", "[", "timeExpTab", "]"}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "max", " ", "duration", " ", "of", " ", "the", " ", "measurement"}], ",",
      " ", 
     RowBox[{"in", " ", "s"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"tStartDecay", " ", "=", " ", 
    RowBox[{"First", "[", "timeExpTab", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]IsoD", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]xD", " ", "*", "\[Omega]yD", "*", " ", "\[Omega]zD"}], 
     ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aScat", "=", 
    RowBox[{"a1S0iso84", "/", "aB"}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mAss", "=", 
   RowBox[{"mSr84", "/", "au"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ahoD", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"hbarreOverAu", "/", 
      RowBox[{"(", 
       RowBox[{"mAss", "*", "\[Omega]IsoD"}], ")"}]}], "]"}], "/", "aB"}]}], 
  ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "units", " ", "of", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"gInt", "=", 
   RowBox[{"2.", " ", "*", " ", 
    RowBox[{"aScat", "/", "mAss"}], " ", "*", " ", 
    RowBox[{"hbarreOverAu", "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "units", " ", "of", " ", "ctePlanck", "*", 
    RowBox[{"aB", "^", "2"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"\[Mu]DFun", "[", "NbBEC_Real", "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Omega]IsoD", "/", "2."}], "*", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"15.", " ", "*", "NbBEC", "*", " ", 
        RowBox[{"aScat", "/", "ahoD"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RadTFFun", "[", 
    RowBox[{"NbBEC_", ",", "\[Omega]D_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"2.", "*", 
       RowBox[{
        RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "mAss"}], " ", "*", 
       " ", "ctePlanckOverAu"}], "]"}], "/", "\[Omega]D"}], "/", "aB"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"n0Fun", "[", "NbBEC_Real", "]"}], ":=", 
    RowBox[{
     RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "gInt"}]}], ";", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "units", " ", "of", " ", 
     RowBox[{"aB", "^", "2"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Remove", "[", "fitDecayFun", "]"}]}], "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fitDecay2Fun", "[", 
      RowBox[{
       RowBox[{"t_", "?", "NumericQ"}], ",", 
       RowBox[{"\[Gamma]3SI_", "?", "NumericQ"}], ",", 
       RowBox[{"K1_", "?", "NumericQ"}], ",", 
       RowBox[{"NBECStart_", "?", "NumericQ"}]}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "sol", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"sol", " ", "=", " ", 
         RowBox[{"NDSolve", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"NbBEC", "'"}], "[", "tvar", "]"}], "\[Equal]", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "\[Gamma]3SI"}], "*", 
                RowBox[{
                 RowBox[{
                  RowBox[{"75", "/", "56"}], "/", 
                  RowBox[{"Pi", "^", "2"}]}], "/", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"RadTFFun", "[", 
                    RowBox[{
                    RowBox[{"NbBEC", "[", "tvar", "]"}], ",", 
                    "\[Omega]IsoD"}], "]"}], ")"}], "^", "6."}]}], "*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"NbBEC", "[", "tvar", "]"}], ")"}], "^", "3."}]}], 
               "-", 
               RowBox[{"K1", "*", 
                RowBox[{"NbBEC", "[", "tvar", "]"}]}]}]}], ",", 
             RowBox[{
              RowBox[{"NbBEC", "[", "tStartDecay", "]"}], "\[Equal]", 
              "NBECStart"}]}], "}"}], ",", "NbBEC", ",", 
           RowBox[{"{", 
            RowBox[{"tvar", ",", "tStartDecay", ",", 
             RowBox[{"tEndDecay", "*", "1.1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"First", "[", 
          RowBox[{"Quiet", "[", 
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{"NbBEC", "[", "tvar", "]"}], "]"}], "/.", "sol"}], "]"}],
           "]"}], "/.", 
         RowBox[{"{", 
          RowBox[{"tvar", "\[Rule]", " ", "t"}], "}"}]}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fitDecayFun", "[", 
     RowBox[{
      RowBox[{"t_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Gamma]3SI_", "?", "NumericQ"}], ",", 
      RowBox[{"K1_", "?", "NumericQ"}], ",", 
      RowBox[{"NBECStart_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "sol", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"sol", " ", "=", " ", 
        RowBox[{"NDSolve", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"NbBEC", "'"}], "[", "tvar", "]"}], "\[Equal]", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "\[Gamma]3SI"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"n0Fun", "[", 
                  RowBox[{"NbBEC", "[", "tvar", "]"}], "]"}], ")"}], "^", 
                "2."}], "*", 
               RowBox[{"8.", "/", "21."}], "*", 
               RowBox[{"NbBEC", "[", "tvar", "]"}]}], "-", 
              RowBox[{"K1", "*", 
               RowBox[{"NbBEC", "[", "tvar", "]"}]}]}]}], ",", 
            RowBox[{
             RowBox[{"NbBEC", "[", "tStartDecay", "]"}], "\[Equal]", 
             "NBECStart"}]}], "}"}], ",", "NbBEC", ",", 
          RowBox[{"{", 
           RowBox[{"tvar", ",", 
            RowBox[{"tStartDecay", "*", "0.9"}], ",", 
            RowBox[{"tEndDecay", "*", "1.1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"First", "[", 
         RowBox[{"Quiet", "[", 
          RowBox[{
           RowBox[{"Evaluate", "[", 
            RowBox[{"NbBEC", "[", "tvar", "]"}], "]"}], "/.", "sol"}], "]"}], 
         "]"}], "/.", 
        RowBox[{"{", 
         RowBox[{"tvar", "\[Rule]", " ", "t"}], "}"}]}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FitResult", " ", "=", 
     RowBox[{"Quiet", "[", 
      RowBox[{"NonlinearModelFit", "[", 
       RowBox[{"dataExpTab", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Evaluate", "[", 
           RowBox[{"fitDecayFun", "[", 
            RowBox[{
            "t", ",", "\[Gamma]3SIvar", ",", "K1var", ",", "NBECStartVar"}], 
            "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"K1var", "\[GreaterEqual]", "   ", 
             RowBox[{"1", "/", "500."}]}], ",", 
            RowBox[{"K1var", "\[LessEqual]", "  ", 
             RowBox[{"1", "/", "15."}]}]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\[Gamma]3SIvar", ",", 
            RowBox[{"\[Gamma]3SI", "/", "2."}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"K1var", ",", "K1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"NBECStartVar", ",", 
            RowBox[{"First", "[", "NatExpTab", "]"}]}], "}"}]}], "}"}], ",", 
        "t"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"\[Gamma]3SIres", " ", "=", " ", 
     RowBox[{"\[Gamma]3SIvar", "/.", 
      RowBox[{"FitResult", "[", "\"\<BestFitParameters\>\"", "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"K1res", " ", "=", " ", 
     RowBox[{"K1var", "/.", 
      RowBox[{"FitResult", "[", "\"\<BestFitParameters\>\"", "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"NBECStartRes", " ", "=", " ", 
     RowBox[{"NBECStartVar", "/.", 
      RowBox[{"FitResult", "[", "\"\<BestFitParameters\>\"", "]"}]}]}], ";"}],
    "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FitResult", " ", "=", 
   RowBox[{"Quiet", "[", 
    RowBox[{"NonlinearModelFit", "[", 
     RowBox[{"dataExpTab", ",", 
      RowBox[{"{", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"fitDecayFun", "[", 
         RowBox[{"t", ",", "\[Gamma]3SIvar", ",", "K1", ",", "NBECStartVar"}],
          "]"}], "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\[Gamma]3SIvar", ",", 
          RowBox[{"\[Gamma]3SI", "/", "2."}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"NBECStartVar", ",", 
          RowBox[{"First", "[", "NatExpTab", "]"}]}], "}"}]}], "}"}], ",", 
      "t"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Gamma]3SIres", " ", "=", " ", 
   RowBox[{"\[Gamma]3SIvar", "/.", 
    RowBox[{"FitResult", "[", "\"\<BestFitParameters\>\"", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"K1res", " ", "=", "K1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NBECStartRes", " ", "=", " ", 
   RowBox[{"NBECStartVar", "/.", 
    RowBox[{"FitResult", "[", "\"\<BestFitParameters\>\"", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"FitResult", "[", "\"\<ParameterTable\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]\[Gamma]3SIres", " ", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"FitResult", "[", "\"\<ParameterTableEntries\>\"", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]NBECStartRes", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"FitResult", "[", "\"\<ParameterTableEntries\>\"", "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fs", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"decayTabEscobar", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"fitDecayFun", "[", 
        RowBox[{"t", ",", "\[Gamma]3SI", ",", "K1", ",", 
         RowBox[{"First", "[", "NatExpTab", "]"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "tStartDecay", ",", "tEndDecay", ",", 
       RowBox[{"tEndDecay", "/", "100."}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"decayTabFitSimon", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"fitDecayFun", "[", 
        RowBox[{
        "t", ",", "\[Gamma]3SIres", ",", "K1res", ",", "NBECStartRes"}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "tStartDecay", ",", "tEndDecay", ",", 
       RowBox[{"tEndDecay", "/", "100."}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pldecayTabEscobar", "  ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"decayTabEscobar", ",", 
     RowBox[{"Joined", "\[Rule]", " ", "True"}], ",", 
     RowBox[{"PlotStyle", "->", "Orange"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Decay predicted by Escobar's number\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "fs"}]}], "]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pldecayTabFitSimon", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"decayTabFitSimon", ",", 
     RowBox[{"Joined", "\[Rule]", " ", "True"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Fit to data\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "fs"}]}], "]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pldecayExpTab", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dataExpTab", ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Innsbruck data points\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "fs"}]}], "]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "pldecayExpTab", ",", "pldecayTabEscobar", ",", "pldecayTabFitSimon"}], 
     "}"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"FontSize", "\[Rule]", "fs"}], "]"}]}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Time (s)\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "fs"}]}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<BEC atom number\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "fs"}]}], "]"}]}], "}"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<3-body loss rate parameter: \>\"", ",", 
   RowBox[{
    RowBox[{"\[Gamma]3SIres", "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"-", "6."}], ")"}]}], ")"}], "^", "6."}]}], "*", 
    RowBox[{
     RowBox[{"aB", "^", "6."}], "/", 
     RowBox[{"aB", "^", "2."}]}], " ", "*", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\<(\>\"", ",", 
   RowBox[{
    RowBox[{"\[Sigma]\[Gamma]3SIres", "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"-", "6."}], ")"}]}], ")"}], "^", "6."}]}], "*", 
    RowBox[{
     RowBox[{"aB", "^", "6."}], "/", 
     RowBox[{"aB", "^", "2."}]}], " ", "*", 
    RowBox[{"10", "^", "6"}]}], ",", 
   "\"\<) x10^(-6) \!\(\*SuperscriptBox[\(\[Micro]m\), \(6\)]\)/s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<1-body loss rate parameter: \>\"", ",", "K1res", ",", 
   "\"\< /s which is \>\"", ",", 
   RowBox[{"1", "/", "K1res"}], ",", "\"\< s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Starting atom number from the fit: \>\"", ",", 
   RowBox[{"NBECStartRes", "/", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\<(\>\"", ",", 
   RowBox[{"\[Sigma]NBECStartRes", "/", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\<) x10^6\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.800183452446655*^9, 3.8001834651533813`*^9}, {
   3.800183503182557*^9, 3.8001836400703864`*^9}, {3.800248693230841*^9, 
   3.800249014960243*^9}, 3.800249081459047*^9, {3.800249262798419*^9, 
   3.800249268569749*^9}, {3.800249318820623*^9, 3.8002493240899243`*^9}, {
   3.80024941055587*^9, 3.8002494109488926`*^9}, {3.8002496952331524`*^9, 
   3.800249793765788*^9}, {3.800249825147583*^9, 3.8002499663636603`*^9}, {
   3.800250006551959*^9, 3.800250045347178*^9}, {3.8002501812839527`*^9, 
   3.8002501926156015`*^9}, {3.8002502339759665`*^9, 3.800250237914192*^9}, 
   3.800250457689762*^9, {3.8002507305033665`*^9, 3.8002507398629017`*^9}, {
   3.8002508109459677`*^9, 3.800250843593835*^9}, {3.8002511247049136`*^9, 
   3.8002511536845713`*^9}, {3.8002515109480057`*^9, 
   3.8002515259498634`*^9}, {3.8002516036683087`*^9, 
   3.8002516044613543`*^9}, {3.800251695734575*^9, 3.800251737070939*^9}, {
   3.800251836727639*^9, 3.800251837287671*^9}, {3.800252127158251*^9, 
   3.8002522264829316`*^9}, 3.8002523143159556`*^9, 3.8002523747444115`*^9, {
   3.8002524459304833`*^9, 3.8002524466685257`*^9}, {3.800252530121299*^9, 
   3.8002526055386124`*^9}, {3.8002527537470894`*^9, 
   3.8002527666528273`*^9}, {3.8002530102307596`*^9, 3.800253019037263*^9}, {
   3.800253050381056*^9, 3.8002530729773483`*^9}, {3.800253117610901*^9, 
   3.800253122293169*^9}, {3.800253505445084*^9, 3.800253549030577*^9}, {
   3.8002539466083174`*^9, 3.8002539508395596`*^9}, {3.800254021242586*^9, 
   3.8002540273169336`*^9}, {3.800260467522292*^9, 3.800260470176444*^9}, 
   3.8002609411763835`*^9, {3.800261038055925*^9, 3.800261074025982*^9}, {
   3.8002612921714597`*^9, 3.800261331290697*^9}, {3.8002613613844185`*^9, 
   3.8002614454812284`*^9}, {3.8002614902937913`*^9, 3.8002614904458*^9}, {
   3.800261527817938*^9, 3.8002615504952345`*^9}, {3.800261586617301*^9, 
   3.8002616136008444`*^9}, {3.8002616945494742`*^9, 
   3.8002617001467943`*^9}, {3.8002617321796265`*^9, 
   3.8002617448013487`*^9}, {3.8002617749290714`*^9, 3.800261782544507*^9}, {
   3.8002618197906375`*^9, 3.8002618280061073`*^9}, {3.800261979996801*^9, 
   3.800261983088978*^9}, {3.800266117838472*^9, 3.800266148443222*^9}, {
   3.8002662027653294`*^9, 3.8002662031193495`*^9}, {3.800266267183014*^9, 
   3.800266267903055*^9}, {3.800266488713685*^9, 3.8002665087978334`*^9}, {
   3.8002665406786566`*^9, 3.8002665411936865`*^9}, {3.8002665805549374`*^9, 
   3.8002665813999863`*^9}, {3.8002666146578884`*^9, 3.8002666151639175`*^9}, 
   3.8002667108073874`*^9, {3.8002673344758387`*^9, 3.8002673394961257`*^9}, {
   3.800268638438421*^9, 3.80026864279467*^9}, {3.800270636370696*^9, 
   3.8002706463482666`*^9}, {3.800270705618657*^9, 3.8002707056886606`*^9}, 
   3.8002707495851717`*^9, {3.8002708038132734`*^9, 3.8002708041492925`*^9}, {
   3.800271267840814*^9, 3.8002712717420373`*^9}, {3.8002714391216106`*^9, 
   3.800271440233674*^9}, {3.800272529752991*^9, 3.8002726322028513`*^9}, {
   3.8002729003761897`*^9, 3.8002729028463306`*^9}, {3.800272946275815*^9, 
   3.8002729468758492`*^9}, {3.8002730116395535`*^9, 3.800273152193593*^9}, {
   3.80027318466545*^9, 3.800273185102475*^9}, {3.800273242276745*^9, 
   3.8002733116397123`*^9}, {3.8002733964435635`*^9, 3.800273482705497*^9}, {
   3.8002738854545326`*^9, 3.8002738858985586`*^9}, {3.803892514164062*^9, 
   3.8038925328081284`*^9}, {3.803892683034721*^9, 3.8038927452372785`*^9}, {
   3.80389278897178*^9, 3.8038928647551146`*^9}, {3.803893047936592*^9, 
   3.8038930792013803`*^9}, {3.803893139445826*^9, 3.8038931470952635`*^9}, {
   3.8038931833613377`*^9, 3.803893219349396*^9}, {3.8039021374194803`*^9, 
   3.8039021714494267`*^9}, {3.8039022370891814`*^9, 
   3.8039023001467876`*^9}, {3.8039023303805175`*^9, 3.803902419885637*^9}, 
   3.8039024653562374`*^9, {3.803902500120226*^9, 3.8039025512681513`*^9}}],

Cell[BoxData[
 StyleBox[
  TagBox[GridBox[{
     {"\<\"\"\>", "\<\"Estimate\"\>", "\<\"Standard Error\"\>", "\<\"t\
\[Hyphen]Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
     {"\[Gamma]3SIvar", "1.729666757520559`", "0.08145402557306258`", 
      "21.23488367028691`", "2.5428454272655773`*^-8"},
     {"NBECStartVar", "924383.7255327973`", "7978.545557607456`", 
      "115.858676103116`", "3.4423736554956676`*^-14"}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
    GridBoxDividers->{
     "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
      "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{
     "ColumnsIndexed" -> {2 -> 1}, "RowsIndexed" -> {2 -> 0.75}}],
   "Grid"], "DialogStyle",
  StripOnInput->False]], "Output",
 CellChangeTimes->{
  3.8002535917080183`*^9, 3.8002539727038097`*^9, 3.8002603786782103`*^9, 
   3.8002609240214024`*^9, 3.8002609646157246`*^9, 3.800261095212194*^9, {
   3.8002614942800193`*^9, 3.800261503304536*^9}, {3.800261534696331*^9, 
   3.8002615558015385`*^9}, {3.8002615923136263`*^9, 3.8002616190621567`*^9}, 
   3.800261750984702*^9, 3.8002619762665873`*^9, 3.8002620167609034`*^9, {
   3.8002661370155687`*^9, 3.8002661555596294`*^9}, 3.8002662098147326`*^9, 
   3.8002662756554985`*^9, {3.800266496049104*^9, 3.800266515625224*^9}, 
   3.800266548317094*^9, {3.800266595211776*^9, 3.8002666215972853`*^9}, 
   3.8002673454434657`*^9, 3.800268658987596*^9, 3.8002706316964283`*^9, 
   3.800270680229204*^9, 3.800270738313527*^9, 3.8002707801269183`*^9, 
   3.8002708412444143`*^9, 3.8002713082971277`*^9, 3.8002714822890797`*^9, 
   3.8002726940483885`*^9, 3.8002729417065535`*^9, 3.8002729860770917`*^9, {
   3.80027302854152*^9, 3.8002731055629253`*^9}, 3.8002731754879255`*^9, 
   3.800273216731284*^9, {3.800273253108365*^9, 3.800273316180972*^9}, {
   3.8002734023669024`*^9, 3.8002734729749403`*^9}, 3.8002735132532444`*^9, 
   3.8002738944160457`*^9, 3.8038925026894054`*^9, 3.8038925367043514`*^9, {
   3.8038926940093484`*^9, 3.8038927471633887`*^9}, 3.8038927924059763`*^9, {
   3.803892823167736*^9, 3.8038928662642007`*^9}, 3.80389308497171*^9, 
   3.803893171405654*^9, 3.803893221045493*^9, {3.8039021446178923`*^9, 
   3.803902172881509*^9}, 3.803902302017895*^9, 3.803902345949408*^9, {
   3.803902379051301*^9, 3.8039024242708874`*^9}, 3.8039024728726673`*^9, {
   3.803902504996505*^9, 3.8039025553503847`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{}, {{{}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.012833333333333334`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         PointBox[{{1.0010000000000001`, 928960.586}, {2.001, 889930.4629}, {
          3.001, 849774.7358}, {4.001, 808038.5215}, {5.001, 780537.6595}, {
          6.001, 775471.1609}, {7.001, 713175.8064}, {10.001, 625782.2178}, {
          20.001, 480793.362}, {30.001, 
          373723.0848}}]}, {}}}, {}}, {{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.011000000000000001`], 
          AbsoluteThickness[1.6], 
          RGBColor[1, 0.5, 0]], 
         LineBox[CompressedData["
1:eJwVkWlYUwcahW8YpITKIEIVI8vNTW4CSRDiDQlkke8DHQw0qEgpPGpxIQlK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          "]]}}}, {}}, {{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.011000000000000001`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         LineBox[CompressedData["
1:eJwVkWdUkwcYhT8FR1SQmYQwshM2xIQwQsj7uhFSarBUjloHIwwXipMVbevA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          "]]}}}, {}}}, {
    Frame -> True, FrameStyle -> Directive[FontSize -> 20], FrameLabel -> {
       FormBox[
        StyleBox["\"Time (s)\"", FontSize -> 20, StripOnInput -> False], 
        TraditionalForm], 
       FormBox[
        StyleBox[
        "\"BEC atom number\"", FontSize -> 20, StripOnInput -> False], 
        TraditionalForm]}, ImageSize -> 600, DisplayFunction -> Identity, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, AxesOrigin -> {0.5478750000000001, 0}, 
     PlotRange -> {{1.0010000000000001`, 30.001}, {0, 928960.586}}, 
     DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0.5478750000000001, 0}, 
     DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], Method -> {}, 
     PlotRange -> {{1.0010000000000001`, 30.001}, {0, 928960.586}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    TagBox[
     GridBox[{{
        FormBox[
         TemplateBox[{
           StyleBox[
           "\"Innsbruck data points\"", FontSize -> 20, StripOnInput -> 
            False]}, "PointLegend", DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.462], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.462], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"PointLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.012833333333333334`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", "False", "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{
           StyleBox[
           "\"Decay predicted by Escobar's number\"", FontSize -> 20, 
            StripOnInput -> False]}, "PointLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.198], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0.5, 0]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.198], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0.5, 0]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"PointLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.011000000000000001`", "]"}], 
                    ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0.5, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.6666666666666666, 0.33333333333333337`, 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[1, 0.5, 0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0.5, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0.5, 0], Editable -> False, Selectable -> 
                    False]}], "]"}], "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", "True", "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{
           StyleBox[
           "\"Fit to data\"", FontSize -> 20, StripOnInput -> False]}, 
          "PointLegend", DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.198], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.198], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"PointLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.011000000000000001`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", "True", "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8002535917080183`*^9, 3.8002539727038097`*^9, 3.8002603786782103`*^9, 
   3.8002609240214024`*^9, 3.8002609646157246`*^9, 3.800261095212194*^9, {
   3.8002614942800193`*^9, 3.800261503304536*^9}, {3.800261534696331*^9, 
   3.8002615558015385`*^9}, {3.8002615923136263`*^9, 3.8002616190621567`*^9}, 
   3.800261750984702*^9, 3.8002619762665873`*^9, 3.8002620167609034`*^9, {
   3.8002661370155687`*^9, 3.8002661555596294`*^9}, 3.8002662098147326`*^9, 
   3.8002662756554985`*^9, {3.800266496049104*^9, 3.800266515625224*^9}, 
   3.800266548317094*^9, {3.800266595211776*^9, 3.8002666215972853`*^9}, 
   3.8002673454434657`*^9, 3.800268658987596*^9, 3.8002706316964283`*^9, 
   3.800270680229204*^9, 3.800270738313527*^9, 3.8002707801269183`*^9, 
   3.8002708412444143`*^9, 3.8002713082971277`*^9, 3.8002714822890797`*^9, 
   3.8002726940483885`*^9, 3.8002729417065535`*^9, 3.8002729860770917`*^9, {
   3.80027302854152*^9, 3.8002731055629253`*^9}, 3.8002731754879255`*^9, 
   3.800273216731284*^9, {3.800273253108365*^9, 3.800273316180972*^9}, {
   3.8002734023669024`*^9, 3.8002734729749403`*^9}, 3.8002735132532444`*^9, 
   3.8002738944160457`*^9, 3.8038925026894054`*^9, 3.8038925367043514`*^9, {
   3.8038926940093484`*^9, 3.8038927471633887`*^9}, 3.8038927924059763`*^9, {
   3.803892823167736*^9, 3.8038928662642007`*^9}, 3.80389308497171*^9, 
   3.803893171405654*^9, 3.803893221045493*^9, {3.8039021446178923`*^9, 
   3.803902172881509*^9}, 3.803902302017895*^9, 3.803902345949408*^9, {
   3.803902379051301*^9, 3.8039024242708874`*^9}, 3.8039024728726673`*^9, {
   3.803902504996505*^9, 3.8039025578225265`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"3-body loss rate parameter: \"\>", "\[InvisibleSpace]", 
   "13.56335005724354`", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "0.6387296614307414`", 
   "\[InvisibleSpace]", "\<\") x10^(-6) \
\\!\\(\\*SuperscriptBox[\\(\[Micro]m\\), \\(6\\)]\\)/s\"\>"}],
  SequenceForm[
  "3-body loss rate parameter: ", 13.56335005724354, "(", 0.6387296614307414, 
   ") x10^(-6) \!\(\*SuperscriptBox[\(\[Micro]m\), \(6\)]\)/s"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8002535917130184`*^9, 3.8002539727658134`*^9, 3.8002604380116043`*^9, 
   3.8002609319448557`*^9, 3.8002609646687274`*^9, 3.8002610952621965`*^9, {
   3.8002614955450916`*^9, 3.8002615033505383`*^9}, {3.8002615347443337`*^9, 
   3.800261555848541*^9}, {3.8002615923636293`*^9, 3.8002616191091595`*^9}, 
   3.8002617510307045`*^9, 3.800261977025631*^9, 3.8002620168089066`*^9, {
   3.8002661370725718`*^9, 3.800266155620633*^9}, 3.800266209877736*^9, 
   3.800266275717502*^9, {3.8002664961101074`*^9, 3.8002665156852274`*^9}, 
   3.8002665483800974`*^9, {3.8002665952747793`*^9, 3.8002666216572886`*^9}, 
   3.8002673454944687`*^9, 3.8002686591016026`*^9, 3.800270631741431*^9, 
   3.8002706802772074`*^9, 3.8002707383615294`*^9, 3.8002707801819215`*^9, 
   3.8002708412924166`*^9, 3.800271308346131*^9, 3.800271482375085*^9, 
   3.8002726941013913`*^9, 3.800272941755556*^9, 3.8002729861270943`*^9, {
   3.800273028591523*^9, 3.800273105621929*^9}, 3.800273175534928*^9, 
   3.8002732167892876`*^9, {3.8002732531543674`*^9, 3.800273316227975*^9}, {
   3.8002734024139047`*^9, 3.800273473021943*^9}, 3.8002735133002467`*^9, 
   3.800273894463048*^9, 3.8038925027344084`*^9, 3.80389253808543*^9, {
   3.803892695382427*^9, 3.803892748672475*^9}, 3.8038927939880667`*^9, {
   3.8038928248048296`*^9, 3.80389286747427*^9}, 3.8038930878438745`*^9, 
   3.8038931726467247`*^9, 3.803893222283564*^9, {3.8039021459329677`*^9, 
   3.803902174630609*^9}, 3.8039023041550174`*^9, 3.803902348144533*^9, {
   3.8039023808754053`*^9, 3.8039024267830315`*^9}, 3.8039024755858226`*^9, {
   3.8039025074946475`*^9, 3.8039025578665285`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"1-body loss rate parameter: \"\>", "\[InvisibleSpace]", 
   "0.008333333333333333`", "\[InvisibleSpace]", "\<\" /s which is \"\>", 
   "\[InvisibleSpace]", "120.`", "\[InvisibleSpace]", "\<\" s\"\>"}],
  SequenceForm[
  "1-body loss rate parameter: ", 0.008333333333333333, " /s which is ", 120.,
    " s"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8002535917130184`*^9, 3.8002539727658134`*^9, 3.8002604380116043`*^9, 
   3.8002609319448557`*^9, 3.8002609646687274`*^9, 3.8002610952621965`*^9, {
   3.8002614955450916`*^9, 3.8002615033505383`*^9}, {3.8002615347443337`*^9, 
   3.800261555848541*^9}, {3.8002615923636293`*^9, 3.8002616191091595`*^9}, 
   3.8002617510307045`*^9, 3.800261977025631*^9, 3.8002620168089066`*^9, {
   3.8002661370725718`*^9, 3.800266155620633*^9}, 3.800266209877736*^9, 
   3.800266275717502*^9, {3.8002664961101074`*^9, 3.8002665156852274`*^9}, 
   3.8002665483800974`*^9, {3.8002665952747793`*^9, 3.8002666216572886`*^9}, 
   3.8002673454944687`*^9, 3.8002686591016026`*^9, 3.800270631741431*^9, 
   3.8002706802772074`*^9, 3.8002707383615294`*^9, 3.8002707801819215`*^9, 
   3.8002708412924166`*^9, 3.800271308346131*^9, 3.800271482375085*^9, 
   3.8002726941013913`*^9, 3.800272941755556*^9, 3.8002729861270943`*^9, {
   3.800273028591523*^9, 3.800273105621929*^9}, 3.800273175534928*^9, 
   3.8002732167892876`*^9, {3.8002732531543674`*^9, 3.800273316227975*^9}, {
   3.8002734024139047`*^9, 3.800273473021943*^9}, 3.8002735133002467`*^9, 
   3.800273894463048*^9, 3.8038925027344084`*^9, 3.80389253808543*^9, {
   3.803892695382427*^9, 3.803892748672475*^9}, 3.8038927939880667`*^9, {
   3.8038928248048296`*^9, 3.80389286747427*^9}, 3.8038930878438745`*^9, 
   3.8038931726467247`*^9, 3.803893222283564*^9, {3.8039021459329677`*^9, 
   3.803902174630609*^9}, 3.8039023041550174`*^9, 3.803902348144533*^9, {
   3.8039023808754053`*^9, 3.8039024267830315`*^9}, 3.8039024755858226`*^9, {
   3.8039025074946475`*^9, 3.803902557868529*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Starting atom number from the fit: \"\>", "\[InvisibleSpace]", 
   "0.9243837255327972`", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "0.007978545557607457`", 
   "\[InvisibleSpace]", "\<\") x10^6\"\>"}],
  SequenceForm[
  "Starting atom number from the fit: ", 0.9243837255327972, "(", 
   0.007978545557607457, ") x10^6"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8002535917130184`*^9, 3.8002539727658134`*^9, 3.8002604380116043`*^9, 
   3.8002609319448557`*^9, 3.8002609646687274`*^9, 3.8002610952621965`*^9, {
   3.8002614955450916`*^9, 3.8002615033505383`*^9}, {3.8002615347443337`*^9, 
   3.800261555848541*^9}, {3.8002615923636293`*^9, 3.8002616191091595`*^9}, 
   3.8002617510307045`*^9, 3.800261977025631*^9, 3.8002620168089066`*^9, {
   3.8002661370725718`*^9, 3.800266155620633*^9}, 3.800266209877736*^9, 
   3.800266275717502*^9, {3.8002664961101074`*^9, 3.8002665156852274`*^9}, 
   3.8002665483800974`*^9, {3.8002665952747793`*^9, 3.8002666216572886`*^9}, 
   3.8002673454944687`*^9, 3.8002686591016026`*^9, 3.800270631741431*^9, 
   3.8002706802772074`*^9, 3.8002707383615294`*^9, 3.8002707801819215`*^9, 
   3.8002708412924166`*^9, 3.800271308346131*^9, 3.800271482375085*^9, 
   3.8002726941013913`*^9, 3.800272941755556*^9, 3.8002729861270943`*^9, {
   3.800273028591523*^9, 3.800273105621929*^9}, 3.800273175534928*^9, 
   3.8002732167892876`*^9, {3.8002732531543674`*^9, 3.800273316227975*^9}, {
   3.8002734024139047`*^9, 3.800273473021943*^9}, 3.8002735133002467`*^9, 
   3.800273894463048*^9, 3.8038925027344084`*^9, 3.80389253808543*^9, {
   3.803892695382427*^9, 3.803892748672475*^9}, 3.8038927939880667`*^9, {
   3.8038928248048296`*^9, 3.80389286747427*^9}, 3.8038930878438745`*^9, 
   3.8038931726467247`*^9, 3.803893222283564*^9, {3.8039021459329677`*^9, 
   3.803902174630609*^9}, 3.8039023041550174`*^9, 3.803902348144533*^9, {
   3.8039023808754053`*^9, 3.8039024267830315`*^9}, 3.8039024755858226`*^9, {
   3.8039025074946475`*^9, 3.803902557870529*^9}}]
}, Open  ]]
}, Open  ]]
}, Closed]]
},
CellGrouping->Manual,
WindowSize->{1366, 696},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 2336, 52, 252, "Input"],
Cell[CellGroupData[{
Cell[2918, 76, 306, 6, 70, "Section"],
Cell[3227, 84, 442, 8, 49, "Text"],
Cell[CellGroupData[{
Cell[3694, 96, 12315, 302, 935, "Input"],
Cell[16012, 400, 764, 14, 23, "Print"],
Cell[CellGroupData[{
Cell[16801, 418, 4017, 103, 272, "Input"],
Cell[20821, 523, 5050, 93, 319, "Output"],
Cell[25874, 618, 499, 9, 23, "Print"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[26434, 634, 332, 6, 56, "Section"],
Cell[CellGroupData[{
Cell[26791, 644, 207, 2, 30, "Text"],
Cell[CellGroupData[{
Cell[27023, 650, 22751, 556, 1618, "Input"],
Cell[49777, 1208, 2511, 42, 71, "Output"],
Cell[52291, 1252, 25667, 502, 381, "Output"],
Cell[77961, 1756, 2157, 33, 23, "Print"],
Cell[80121, 1791, 2033, 31, 23, "Print"],
Cell[82157, 1824, 2065, 32, 23, "Print"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}
]
*)

(* End of internal cache information *)
