(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    240342,       5071]
NotebookOptionsPosition[    238410,       5002]
NotebookOutlinePosition[    238776,       5018]
CellTagsIndexPosition[    238733,       5015]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SetDirectory", "[", "\"\<C:\\\\SrBEC\\\\Mathematica\>\"", "]"}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "change", " ", "folder", " ", "location", " ", "to", " ", "find", " ", 
    "the", " ", "right", " ", "packages"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ComputerArithmetic`"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "SetDirectory", "[", 
     "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
   " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"LaunchKernels", "[", "4", "]"}], ";"}], "*)"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "put", " ", "your", " ", "favorite", " ", "number", " ", "of", " ", 
    "kernels"}], " ", "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7286202174860296`*^9, 3.728620217703042*^9}, {
   3.728711424316966*^9, 3.728711424667986*^9}, {3.7318186909359274`*^9, 
   3.7318186914469566`*^9}, {3.7362219622568893`*^9, 3.736221963848092*^9}, {
   3.750685517644865*^9, 3.7506855815085177`*^9}, {3.751015397460146*^9, 
   3.751015405152586*^9}, {3.751686861017559*^9, 3.7516868614915867`*^9}, {
   3.7789356108208427`*^9, 3.778935614772069*^9}, {3.7809130088505454`*^9, 
   3.780913009292571*^9}, 3.7915557935610447`*^9, {3.795004814206807*^9, 
   3.7950048152708683`*^9}, {3.800438737167503*^9, 3.800438741826769*^9}, {
   3.80492921382415*^9, 3.8049292211185675`*^9}, {3.8141798854968147`*^9, 
   3.8141798922842026`*^9}, {3.8141800011574297`*^9, 3.8141800059777055`*^9}}],

Cell[CellGroupData[{

Cell["Parameters and necessary functions (TO LOAD)", "Text",
 CellChangeTimes->{{3.814204368312151*^9, 3.814204386020164*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NbBEC", " ", "=", "11600."}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]0x", " ", "=", " ", 
   RowBox[{"2.", "*", "Pi", "*", "330."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]0y", " ", "=", " ", 
   RowBox[{"2.", "*", "Pi", "*", "740."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]0z", " ", "=", " ", 
    RowBox[{"2.", "*", "Pi", "*", "315."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"endTOF", " ", "=", 
    RowBox[{"18.", " ", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nThC", " ", "=", " ", 
   RowBox[{"3.497", "*", 
    RowBox[{"10", "^", "20"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nTh0", " ", "=", " ", 
    RowBox[{"3.1917", "*", 
     RowBox[{"10", "^", "20"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Tau]Tab", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"\[Tau]", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Tau]", ",", "0.1", ",", "3000.", ",", "10."}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tofTab", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"\[Tau]", "*", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"-", "3."}], ")"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Tau]", ",", "0.1", ",", 
        RowBox[{"endTOF", "*", 
         RowBox[{"10", "^", "3."}]}], ",", "0.1"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]IsoD", " ", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]0x", "*", "\[Omega]0y", "*", "\[Omega]0z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ahoD", "=", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"hbarreOverAu", "/", 
       RowBox[{"(", 
        RowBox[{"mAss", "*", "\[Omega]IsoD"}], ")"}]}], "]"}], "/", "aB"}]}], 
   ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "units", " ", "of", " ", "aB"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"aScat", "=", 
    RowBox[{"a1S0iso84", " ", "/", " ", "aB"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mAss", "=", 
   RowBox[{"mSr84", "/", "au"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gInt", "=", 
   RowBox[{"2.", " ", "*", " ", 
    RowBox[{"aScat", "/", "mAss"}], " ", "*", " ", 
    RowBox[{"hbarreOverAu", "/", 
     RowBox[{"aB", "^", "2."}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "units", " ", "of", " ", "ctePlanck", "*", 
    RowBox[{"aB", "^", "3"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"\[Mu]DFun", "[", "NbBEC_Real", "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Omega]IsoD", "/", "2."}], "*", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"15.", " ", "*", "NbBEC", "*", " ", 
        RowBox[{"aScat", "/", "ahoD"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0Fun", "[", "NbBEC_Real", "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "gInt"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RadTFisoFun", "[", "NbBEC_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"2.", "*", 
       RowBox[{
        RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "mAss"}], " ", "*", 
       " ", "ctePlanckOverAu"}], "]"}], "/", "\[Omega]IsoD"}], "/", "aB"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"RadTFaxisFun", "[", 
     RowBox[{"NbBEC_", ",", "\[Omega]Axis_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{"2.", "*", 
        RowBox[{
         RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}], "/", "mAss"}], " ", "*", 
        " ", "ctePlanckOverAu"}], "]"}], "/", "\[Omega]Axis"}], "/", "aB"}]}],
    ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0x", " ", "=", " ", 
   RowBox[{"RadTFaxisFun", "[", 
    RowBox[{"NbBEC", ",", "\[Omega]0x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0y", " ", "=", " ", 
   RowBox[{"RadTFaxisFun", "[", 
    RowBox[{"NbBEC", ",", "\[Omega]0y"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0z", " ", "=", " ", 
   RowBox[{"RadTFaxisFun", "[", 
    RowBox[{"NbBEC", ",", "\[Omega]0z"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0", " ", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"R0x", "*", "R0y", "*", "R0z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]", "=", 
    RowBox[{"\[Mu]DFun", "[", "NbBEC", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Intx", " ", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"4.", "*", "gInt", "*", 
      RowBox[{"(", 
       RowBox[{"nThC", "-", "nTh0"}], ")"}], "*", 
      RowBox[{
       RowBox[{"aB", "^", "3."}], " ", "/", " ", "mAss"}], "*", 
      "ctePlanckOverAu"}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"R0x", "*", "aB"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Inty", " ", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"4.", "*", "gInt", "*", 
      RowBox[{"(", 
       RowBox[{"nThC", "-", "nTh0"}], ")"}], "*", 
      RowBox[{
       RowBox[{"aB", "^", "3."}], " ", "/", " ", "mAss"}], "*", 
      "ctePlanckOverAu"}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"R0y", "*", "aB"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]Intz", " ", "=", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"4.", "*", "gInt", "*", 
       RowBox[{"(", 
        RowBox[{"nThC", "-", "nTh0"}], ")"}], "*", 
       RowBox[{
        RowBox[{"aB", "^", "3."}], " ", "/", " ", "mAss"}], "*", 
       "ctePlanckOverAu"}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"R0z", "*", "aB"}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Omega]Fun", "[", 
     RowBox[{"t_", ",", "\[Omega]Intx_", ",", "\[Tau]_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"t", ">", " ", "\[Tau]"}], "||", 
        RowBox[{"t", "<", "0."}]}], ")"}], ",", "0.", ",", 
      RowBox[{"\[Omega]Intx", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"t", "-", "\[Tau]"}], ")"}], "/", "\[Tau]"}]}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqx", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Lambda]x", "''"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Omega]0x", "^", "2."}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Lambda]x", "[", "t", "]"}], ")"}], "^", "2."}], " ", "*",
         " ", 
        RowBox[{"\[Lambda]y", "[", "t", "]"}], "*", 
        RowBox[{"\[Lambda]z", "[", "t", "]"}]}], ")"}]}], "-", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Omega]Fun", "[", 
         RowBox[{"t", ",", "\[Omega]Intx", ",", "\[Tau]"}], "]"}], ")"}], "^",
        "2."}], "*", 
      RowBox[{"\[Lambda]x", "[", "t", "]"}]}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqy", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Lambda]y", "''"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Omega]0y", "^", "2."}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Lambda]x", "[", "t", "]"}], " ", "*", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Lambda]y", "[", "t", "]"}], ")"}], "^", "2."}], "*", 
        RowBox[{"\[Lambda]z", "[", "t", "]"}]}], ")"}]}], "-", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Omega]Fun", "[", 
         RowBox[{"t", ",", "\[Omega]Inty", ",", "\[Tau]"}], "]"}], ")"}], "^",
        "2."}], "*", 
      RowBox[{"\[Lambda]y", "[", "t", "]"}]}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eqz", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Lambda]z", "''"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Omega]0z", "^", "2."}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Lambda]x", "[", "t", "]"}], " ", "*", " ", 
         RowBox[{"\[Lambda]y", "[", "t", "]"}], "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Lambda]z", "[", "t", "]"}], ")"}], "^", "2."}]}], 
        ")"}]}], "-", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Omega]Fun", "[", 
          RowBox[{"t", ",", "\[Omega]Intz", ",", "\[Tau]"}], "]"}], ")"}], 
        "^", "2."}], "*", 
       RowBox[{"\[Lambda]z", "[", "t", "]"}]}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"initCond", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Lambda]x", "[", "0", "]"}], "\[Equal]", " ", "1"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Lambda]x", "'"}], "[", "0", "]"}], "\[Equal]", " ", "0"}], 
      ",", 
      RowBox[{
       RowBox[{"\[Lambda]y", "[", "0", "]"}], "\[Equal]", " ", "1"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Lambda]y", "'"}], "[", "0", "]"}], "\[Equal]", " ", "0"}], 
      ",", 
      RowBox[{
       RowBox[{"\[Lambda]z", "[", "0", "]"}], "\[Equal]", " ", "1"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Lambda]z", "'"}], "[", "0", "]"}], "\[Equal]", " ", 
       "0"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eqTot", "=", " ", 
    RowBox[{"{", 
     RowBox[{"eqx", ",", "eqy", ",", " ", "eqz"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"expandWithIntFun", "[", 
     RowBox[{
     "\[Tau]tabEle_", ",", "endTime_", ",", "eqTot_", ",", "initCond_", ",", 
      RowBox[{"{", 
       RowBox[{"R0X_", ",", "R0Y_", ",", "R0Z_"}], "}"}], ",", "boolT_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "timeOfFlightSol", ",", "res\[Lambda]x", ",", "res\[Lambda]y", ",", 
        "res\[Lambda]z", ",", "tAux", ",", "resRx", ",", "resRy", ",", 
        "resRz", ",", "\[Omega]Expo", ",", "R0factz", ",", "R0facty", ",", 
        "R0factMean"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"timeOfFlightSol", " ", "=", " ", 
        RowBox[{"NDSolve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Join", "[", 
            RowBox[{"eqTot", ",", "initCond"}], "]"}], "/.", 
           RowBox[{"{", 
            RowBox[{"\[Tau]", "\[Rule]", " ", "\[Tau]tabEle"}], "}"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Lambda]x", ",", "\[Lambda]y", ",", "\[Lambda]z"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0.", ",", "endTime"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"res\[Lambda]x", " ", "=", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"First", "[", 
           RowBox[{"\[Lambda]x", "/.", "timeOfFlightSol"}], "]"}], ")"}], "[",
          "endTime", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"res\[Lambda]y", " ", "=", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"First", "[", 
           RowBox[{"\[Lambda]y", "/.", "timeOfFlightSol"}], "]"}], ")"}], "[",
          "endTime", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"res\[Lambda]z", " ", "=", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"First", "[", 
           RowBox[{"\[Lambda]z", "/.", "timeOfFlightSol"}], "]"}], ")"}], "[",
          "endTime", "]"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"resRx", "=", 
        RowBox[{"R0X", "*", "res\[Lambda]x", "*", "aB", "*", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"resRy", "=", 
        RowBox[{"R0Y", "*", "res\[Lambda]y", "*", "aB", "*", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"resRz", "=", 
        RowBox[{"R0Z", "*", "res\[Lambda]z", "*", "aB", "*", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Omega]Expo", " ", "=", 
        RowBox[{"First", "[", 
         RowBox[{"expo", "/.", " ", 
          RowBox[{"Quiet", "[", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"resRy", "/", "resRz"}], " ", "\[Equal]", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"\[Omega]0y", "/", "\[Omega]0z"}], ")"}], "^", 
               RowBox[{"(", "expo", ")"}]}]}], ",", "expo"}], "]"}], "]"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"R0factz", " ", "=", " ", 
        RowBox[{"First", "[", 
         RowBox[{"R0fact", "/.", 
          RowBox[{"Quiet", "[", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{"resRz", "\[Equal]", " ", 
              RowBox[{"R0", "*", "R0fact", "*", 
               RowBox[{"Sqrt", "[", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"\[Omega]IsoD", "^", "2."}], "*", 
                  RowBox[{"endTime", "^", "2."}]}], ")"}], "]"}], "*", "aB", 
               "*", 
               RowBox[{"10", "^", "6."}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Omega]0z", "/", "\[Omega]IsoD"}], ")"}], "^", 
                RowBox[{"(", "\[Omega]Expo", ")"}]}]}]}], ",", "R0fact"}], 
            "]"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"R0facty", " ", "=", 
        RowBox[{"First", "[", " ", 
         RowBox[{"R0fact", "/.", 
          RowBox[{"Quiet", "[", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{"resRy", "\[Equal]", " ", 
              RowBox[{"R0", "*", "R0fact", "*", 
               RowBox[{"Sqrt", "[", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"\[Omega]IsoD", "^", "2."}], "*", 
                  RowBox[{"endTime", "^", "2."}]}], ")"}], "]"}], "*", "aB", 
               "*", 
               RowBox[{"10", "^", "6."}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Omega]0y", "/", "\[Omega]IsoD"}], ")"}], "^", 
                RowBox[{"(", "\[Omega]Expo", ")"}]}]}]}], ",", "R0fact"}], 
            "]"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"R0factMean", " ", "=", " ", 
        RowBox[{"Mean", "[", 
         RowBox[{"{", 
          RowBox[{"R0facty", ",", "R0factz"}], "}"}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{"boolT", ",", 
         RowBox[{
          RowBox[{"tAux", " ", "=", " ", 
           RowBox[{"endTime", "*", 
            RowBox[{"10", "^", "3."}]}]}], ";"}], ",", 
         RowBox[{
          RowBox[{"tAux", " ", "=", " ", 
           RowBox[{"\[Tau]tabEle", "*", 
            RowBox[{"10", "^", "6."}]}]}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"tAux", ",", "resRx"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"tAux", ",", "resRy"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"tAux", ",", "resRz"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"tAux", ",", "R0factMean"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"tAux", ",", "\[Omega]Expo"}], "}"}]}], "}"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"plotBECFun", "[", 
     RowBox[{"r_", ",", "tabEle_", ",", 
      RowBox[{"{", 
       RowBox[{"R0X_", ",", "R0Y_", ",", "R0Z_"}], "}"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[Lambda]xAux", ",", " ", "\[Lambda]yAux", ",", " ", "\[Lambda]zAux", 
        ",", "nBECx", ",", "nBECy", ",", "nBECz"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]xAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "]"}], "/", "R0X"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]yAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "]"}], "/", "R0Y"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]zAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "R0Z"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"nBECx", " ", "=", 
        RowBox[{"Max", "[", 
         RowBox[{"0.", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Mu]", " ", "-", " ", 
              RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
               RowBox[{"\[Omega]0x", "^", "2."}], "*", 
               RowBox[{
                RowBox[{"r", "^", "2."}], "/", 
                RowBox[{"\[Lambda]xAux", "^", "2."}]}], "*", 
               "auOverCtePlanck"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
             "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
              "\[Lambda]zAux"}], ")"}]}], "/", 
           RowBox[{"aB", "^", "3."}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"nBECy", " ", "=", 
        RowBox[{"Max", "[", 
         RowBox[{"0.", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Mu]", " ", "-", " ", 
              RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
               RowBox[{"\[Omega]0y", "^", "2."}], "*", 
               RowBox[{
                RowBox[{"r", "^", "2."}], "/", 
                RowBox[{"\[Lambda]yAux", "^", "2."}]}], "*", 
               "auOverCtePlanck"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
             "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
              "\[Lambda]zAux"}], ")"}]}], "/", 
           RowBox[{"aB", "^", "3."}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"nBECz", " ", "=", 
        RowBox[{"Max", "[", 
         RowBox[{"0.", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Mu]", " ", "-", " ", 
              RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
               RowBox[{"\[Omega]0z", "^", "2."}], "*", 
               RowBox[{
                RowBox[{"r", "^", "2."}], "/", 
                RowBox[{"\[Lambda]zAux", "^", "2."}]}], "*", 
               "auOverCtePlanck"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
             "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
              "\[Lambda]zAux"}], ")"}]}], "/", 
           RowBox[{"aB", "^", "3."}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nBECx", ",", "nBECy", ",", "nBECz"}], "}"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"plotBEC2DFun", "[", 
     RowBox[{"r_", ",", "tabEle_", ",", 
      RowBox[{"{", 
       RowBox[{"R0X_", ",", "R0Y_", ",", "R0Z_"}], "}"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[Lambda]xAux", ",", " ", "\[Lambda]yAux", ",", " ", "\[Lambda]zAux", 
        ",", "nBECx", ",", "nBECy", ",", "nBECz"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]xAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "]"}], "/", "R0X"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]yAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "]"}], "/", "R0Y"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]zAux", " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", 
            RowBox[{"tabEle", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", "R0Z"}], "/", "aB"}],
          "/", 
         RowBox[{"10", "^", "6."}]}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"nBECy", " ", "=", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{"Max", "[", 
           RowBox[{"0.", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Mu]", " ", "-", " ", 
                RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
                 RowBox[{"\[Omega]0y", "^", "2."}], "*", 
                 RowBox[{
                  RowBox[{"r", "^", "2."}], "/", 
                  RowBox[{"\[Lambda]yAux", "^", "2."}]}], "*", 
                 "auOverCtePlanck"}], "-", " ", 
                RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
                 RowBox[{"\[Omega]0x", "^", "2."}], "*", 
                 RowBox[{
                  RowBox[{"x", "^", "2."}], "/", 
                  RowBox[{"\[Lambda]xAux", "^", "2."}]}], "*", 
                 "auOverCtePlanck"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
               "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
                "\[Lambda]zAux"}], ")"}]}], "/", 
             RowBox[{"aB", "^", "3."}]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{
             RowBox[{"-", "100."}], "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}], ",", 
            RowBox[{"100.", "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"nBECz", " ", "=", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{"Max", "[", 
           RowBox[{"0.", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Mu]", " ", "-", " ", 
                RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
                 RowBox[{"\[Omega]0z", "^", "2."}], "*", 
                 RowBox[{
                  RowBox[{"r", "^", "2."}], "/", 
                  RowBox[{"\[Lambda]zAux", "^", "2."}]}], "*", 
                 "auOverCtePlanck"}], "-", " ", 
                RowBox[{"0.5", "*", " ", "mAss", " ", "*", " ", 
                 RowBox[{"\[Omega]0x", "^", "2."}], "*", 
                 RowBox[{
                  RowBox[{"x", "^", "2."}], "/", 
                  RowBox[{"\[Lambda]xAux", "^", "2."}]}], "*", 
                 "auOverCtePlanck"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
               "gInt", " ", "*", "\[Lambda]xAux", "*", "\[Lambda]yAux", "*", 
                "\[Lambda]zAux"}], ")"}]}], "/", 
             RowBox[{"aB", "^", "3."}]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{
             RowBox[{"-", "100."}], "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}], ",", 
            RowBox[{"100.", "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nBECy", ",", "nBECz"}], "}"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<BEC Thomas-Fermi radii: \>\"", ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}], "*", "aB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Effective trap frequencies due to interactions with thermal gas: \
2\[Pi] x \>\"", ",", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Omega]Intx", ",", "\[Omega]Inty", ",", "\[Omega]Intz"}], 
      "}"}], "/", "2."}], "/", "Pi"}], ",", "\"\< Hz\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.814174269869619*^9, 3.8141744912592816`*^9}, {
   3.8141745219470367`*^9, 3.8141746638231516`*^9}, {3.814174703202404*^9, 
   3.8141747244116173`*^9}, 3.8141747904693956`*^9, {3.8141748616874685`*^9, 
   3.814174869879937*^9}, {3.814174914927514*^9, 3.8141750822040815`*^9}, {
   3.814175130241829*^9, 3.814175130638852*^9}, {3.814175322028799*^9, 
   3.8141753235138836`*^9}, {3.8141756373748355`*^9, 3.81417570528372*^9}, {
   3.8141759474725723`*^9, 3.814175948921655*^9}, {3.8141762442455463`*^9, 
   3.814176244690572*^9}, {3.814179614750328*^9, 3.814179616614435*^9}, {
   3.814179658395825*^9, 3.8141796940728655`*^9}, {3.8141797536052704`*^9, 
   3.81417981600984*^9}, {3.8141799141074505`*^9, 3.814180003306553*^9}, {
   3.814180035304383*^9, 3.8141800437288647`*^9}, {3.8141811033694725`*^9, 
   3.814181111422933*^9}, {3.8141814651701665`*^9, 3.814181480461041*^9}, {
   3.814181574138399*^9, 3.8141815969457035`*^9}, {3.8141826692580366`*^9, 
   3.814182695408532*^9}, {3.814182732905677*^9, 3.814182734311757*^9}, {
   3.8141828682234163`*^9, 3.8141828686264396`*^9}, {3.8141830054162636`*^9, 
   3.8141830141917653`*^9}, {3.8141831080241327`*^9, 3.814183117974702*^9}, {
   3.8141833714181976`*^9, 3.8141833723722525`*^9}, {3.8141835679304376`*^9, 
   3.8141836006383085`*^9}, {3.8141838849045672`*^9, 3.814183984308253*^9}, {
   3.8141840302088785`*^9, 3.8141840697461395`*^9}, {3.8141842296192837`*^9, 
   3.8141845512516804`*^9}, {3.8141851785475597`*^9, 3.814185179323604*^9}, {
   3.814186137765424*^9, 3.8141861439557776`*^9}, {3.8141863534047575`*^9, 
   3.8141863630953116`*^9}, {3.814186456514655*^9, 3.8141864969599686`*^9}, 
   3.8141865726973004`*^9, {3.81418702306306*^9, 3.8141871225547504`*^9}, {
   3.8141871754257746`*^9, 3.814187181944147*^9}, {3.8141876292767334`*^9, 
   3.8141876294767447`*^9}, {3.8141885659823093`*^9, 
   3.8141886832300158`*^9}, {3.8141887251634145`*^9, 
   3.8141887466676445`*^9}, {3.8141888999164095`*^9, 3.814188928002016*^9}, {
   3.8141891149147067`*^9, 3.81418911515172*^9}, {3.8141932205445356`*^9, 
   3.81419322079555*^9}, {3.814193307381502*^9, 3.8141933124467916`*^9}, {
   3.8141933518480453`*^9, 3.8141933754883976`*^9}, {3.814194337250407*^9, 
   3.8141943374934216`*^9}, {3.8141962401142445`*^9, 3.81419624545555*^9}, 
   3.8141968523762646`*^9, 3.8141970820664015`*^9, {3.814197151232358*^9, 
   3.8141971573807096`*^9}, 3.8141973283004856`*^9, {3.814197524767723*^9, 
   3.814197524982735*^9}, {3.814198824955089*^9, 3.814198887582671*^9}, {
   3.8141989222396536`*^9, 3.814198976179739*^9}, {3.814199034508075*^9, 
   3.814199170983881*^9}, {3.814199490051131*^9, 3.814199519793832*^9}, {
   3.81419965770072*^9, 3.8141996908306146`*^9}, {3.814199851526806*^9, 
   3.814199851707816*^9}, {3.8141998907540493`*^9, 3.8141998909280596`*^9}, 
   3.8141999745318413`*^9, {3.814200040004586*^9, 3.8142000405466175`*^9}, 
   3.8142001042962637`*^9, 3.8142001783735003`*^9, {3.8142003929307723`*^9, 
   3.814200393919829*^9}, {3.8142004521111574`*^9, 3.8142004538392563`*^9}, {
   3.8142005048961763`*^9, 3.814200510645505*^9}, {3.8142007412756968`*^9, 
   3.814200750480223*^9}, {3.8142007841381483`*^9, 3.8142007987459836`*^9}, 
   3.8142013557878447`*^9, {3.814201394837078*^9, 3.814201395100093*^9}, {
   3.814202088843773*^9, 3.8142021177024236`*^9}, {3.814204556316904*^9, 
   3.8142045950071173`*^9}, {3.8142046796329575`*^9, 3.8142046803449984`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BEC Thomas-Fermi radii: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "3.1744352215948535`", ",", "1.4156265177382457`", ",", 
     "3.3255988035755606`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "BEC Thomas-Fermi radii: ", {3.1744352215948535`, 1.4156265177382457`, 
   3.3255988035755606`}, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8141839735826397`*^9, 3.8141839845132647`*^9}, {
   3.8141842822942967`*^9, 3.814184317381304*^9}, {3.814184410243615*^9, 
   3.8141844149048815`*^9}, {3.814184509591297*^9, 3.8141845189228315`*^9}, 
   3.814184562863344*^9, 3.814185179701626*^9, 3.8141861498421144`*^9, 
   3.8141863671505437`*^9, 3.8141864581827507`*^9, 3.814186499226098*^9, {
   3.8141870954952025`*^9, 3.81418712289977*^9}, 3.8141871823891726`*^9, 
   3.814187629869767*^9, 3.8141887489687757`*^9, 3.8141889374545565`*^9, 
   3.8141891160947742`*^9, 3.8141932213465815`*^9, {3.814193284661203*^9, 
   3.8141933133648443`*^9}, {3.8141933527410965`*^9, 3.8141933758164167`*^9}, 
   3.8141943379324465`*^9, {3.8141962406282744`*^9, 3.8141962465386124`*^9}, 
   3.8141968527702866`*^9, 3.814197082541429*^9, 3.814197157763732*^9, 
   3.814197328932522*^9, 3.8141975254237604`*^9, {3.814199116624772*^9, 
   3.8141991279604206`*^9}, 3.8141991722289524`*^9, {3.8141995030808764`*^9, 
   3.8141995201948547`*^9}, 3.814199560219144*^9, 3.8141996942868123`*^9, 
   3.8141998521008387`*^9, 3.8141998913640842`*^9, 3.8141999749738665`*^9, 
   3.8142000409876423`*^9, 3.8142001047542896`*^9, 3.8142001790615396`*^9, 
   3.81420040023919*^9, 3.814200454468292*^9, 3.8142005115445566`*^9, 
   3.8142007509302487`*^9, {3.814200799525028*^9, 3.814200813048802*^9}, {
   3.8142013266561785`*^9, 3.8142013561008625`*^9}, 3.8142013955151167`*^9, 
   3.814201893386594*^9, 3.8142021181954517`*^9, {3.8142045905728636`*^9, 
   3.8142045961991854`*^9}, 3.814204644479947*^9, 3.8142046944348044`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap frequencies due to interactions with thermal \
gas: 2\[Pi] x \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "119.8064369534232`", ",", "268.6568586228277`", ",", 
     "114.36068981917667`"}], "}"}], "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Effective trap frequencies due to interactions with thermal gas: 2\[Pi] x \
", {119.8064369534232, 268.6568586228277, 114.36068981917667`}, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8141839735826397`*^9, 3.8141839845132647`*^9}, {
   3.8141842822942967`*^9, 3.814184317381304*^9}, {3.814184410243615*^9, 
   3.8141844149048815`*^9}, {3.814184509591297*^9, 3.8141845189228315`*^9}, 
   3.814184562863344*^9, 3.814185179701626*^9, 3.8141861498421144`*^9, 
   3.8141863671505437`*^9, 3.8141864581827507`*^9, 3.814186499226098*^9, {
   3.8141870954952025`*^9, 3.81418712289977*^9}, 3.8141871823891726`*^9, 
   3.814187629869767*^9, 3.8141887489687757`*^9, 3.8141889374545565`*^9, 
   3.8141891160947742`*^9, 3.8141932213465815`*^9, {3.814193284661203*^9, 
   3.8141933133648443`*^9}, {3.8141933527410965`*^9, 3.8141933758164167`*^9}, 
   3.8141943379324465`*^9, {3.8141962406282744`*^9, 3.8141962465386124`*^9}, 
   3.8141968527702866`*^9, 3.814197082541429*^9, 3.814197157763732*^9, 
   3.814197328932522*^9, 3.8141975254237604`*^9, {3.814199116624772*^9, 
   3.8141991279604206`*^9}, 3.8141991722289524`*^9, {3.8141995030808764`*^9, 
   3.8141995201948547`*^9}, 3.814199560219144*^9, 3.8141996942868123`*^9, 
   3.8141998521008387`*^9, 3.8141998913640842`*^9, 3.8141999749738665`*^9, 
   3.8142000409876423`*^9, 3.8142001047542896`*^9, 3.8142001790615396`*^9, 
   3.81420040023919*^9, 3.814200454468292*^9, 3.8142005115445566`*^9, 
   3.8142007509302487`*^9, {3.814200799525028*^9, 3.814200813048802*^9}, {
   3.8142013266561785`*^9, 3.8142013561008625`*^9}, 3.8142013955151167`*^9, 
   3.814201893386594*^9, 3.8142021181954517`*^9, {3.8142045905728636`*^9, 
   3.8142045961991854`*^9}, 3.814204644479947*^9, 3.8142046944388046`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Time-of-flight expansion of the BEC ", "Section",
 CellChangeTimes->{{3.814201749416359*^9, 3.8142017680294237`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"resTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"expandWithIntFun", "[", 
         RowBox[{
          RowBox[{"0.001", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "3."}], ")"}]}]}], ",", "#", ",", "eqTot", ",", 
          "initCond", ",", 
          RowBox[{"{", 
           RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}], ",", "True"}], 
         "]"}], "&"}], ",", "tofTab"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"resTab", "[", 
     RowBox[{"[", 
      RowBox[{"1", ";;", "3"}], "]"}], "]"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"PlotMarkers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", "Medium"}], "}"}]}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<BEC free expansion\>\"", ",", 
       RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"PlotLegends", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) X\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) Y\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) Z\>\""}], "}"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Time of Flight (ms)\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Thomas-Fermi Radii (\[Micro]m)\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"resTab", "[", 
    RowBox[{"[", 
     RowBox[{"4", ";;", "5"}], "]"}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotMarkers", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Medium"}], "}"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Parameters for BEC free expansion\>\"", ",", 
      RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Factor for R0\>\"", ",", "\"\<Exponent between \[Omega]\>\""}], 
     "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Time of Flight (ms)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Value\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.814183606663653*^9, 3.814183620405439*^9}, {
  3.8141846224667535`*^9, 3.814184648734256*^9}, {3.814184902613777*^9, 
  3.8141849114352818`*^9}, {3.8141850232496767`*^9, 3.8141850290540085`*^9}, {
  3.814185076402717*^9, 3.814185077237765*^9}, {3.814185195548532*^9, 
  3.8141852009668417`*^9}, {3.814185884910961*^9, 3.8141858866230593`*^9}, {
  3.8141991384850225`*^9, 3.8141991423012404`*^9}, {3.814199197306387*^9, 
  3.8141992629651423`*^9}, {3.8141993122939634`*^9, 3.814199312829994*^9}, {
  3.8141997013232145`*^9, 3.81419970194125*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw11Hs81Pkex/FBRHK/izEMY4bBTINB9HtjXGKE0YXkVhvGSbm0naKbXFI5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         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw11Hs81Pkex3GXEqEUuQxhMGYYzIxLJfJ7ZxhDbmMY4zZjtdHZSrulQw8t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         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledDiamond]\"", FontSize -> Medium, StripOnInput -> 
             False], TraditionalForm]], {0., 0.}], CompressedData["
1:eJw11n801Pkex/FBxSK/TSZkxgwz5vfQ+hH5voyfw2DMTVF+9IuU7rpH5cqq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         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{0, 18.000000000000007`}, {0, 130.28568150706107`}}, 
     DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         StyleBox[
         "\"Thomas-Fermi Radii (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
          False], TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Time of Flight (ms)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"BEC free expansion\"", FontSize -> 16, StripOnInput -> False], 
       TraditionalForm], 
     PlotRange -> {{0, 18.000000000000007`}, {0, 130.28568150706107`}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
      "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) X\"", 
       "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) Y\"", 
       "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) Z\""}, "PointLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledDiamond]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledDiamond]\"", ",", "Medium"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8141852030039587`*^9, 3.8141853380516825`*^9, 3.8141858944295053`*^9, 
   3.814186545020717*^9, 3.814187535442366*^9, {3.8141876410344057`*^9, 
   3.814187665334796*^9}, 3.8141889578897257`*^9, 3.8141932954468193`*^9, {
   3.814193325977566*^9, 3.8141933556082606`*^9}, 3.814193403920024*^9, 
   3.8141943497191205`*^9, 3.814196276355318*^9, 3.814196885763174*^9, 
   3.8141971126371503`*^9, 3.8141971905616074`*^9, 3.8141972228734555`*^9, 
   3.814197364201539*^9, 3.814197539181547*^9, 3.814199144831385*^9, 
   3.8141991874528227`*^9, 3.8141992764349127`*^9, 3.814199326362768*^9, 
   3.8141995770651073`*^9, 3.8141997157720413`*^9, 3.8141998680047483`*^9, 
   3.8141999072029905`*^9, 3.8141999912557983`*^9, 3.8142000565495324`*^9, 
   3.814200120740204*^9, 3.8142001965025377`*^9, 3.8142004159090867`*^9, 
   3.8142004697701674`*^9, 3.814200526849432*^9, 3.814200766733153*^9, 
   3.8142008300197725`*^9, {3.814201343194124*^9, 3.8142013727298136`*^9}, 
   3.8142014137551603`*^9, 3.8142019093125043`*^9, 3.8142046569576607`*^9, 
   3.8142047041423597`*^9}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw11Hs81Pkex3EmK+tu1j0xBoNxmRnJtl383rmcVkdO2dJNux2JaLe0j8Pa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         "]]}, {
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw11H081Xcfx/FDSpbb4pBOOA6Ou3OcQ7Vcyu/dpZpERkoUTRQlaam51MOV
klCLUhlqxZVtWaXINN2paytUmtGdSs5dRCuTUmrTiu/n+3j8/vDw/T6/r/M5
P4TLEoOXj+DxeFUfHq0Pj/aHp6jw46rhWmpq1OHaz2qHf27g2sNas3y/7aid
5PFxtXA2EqemQCcF+30rl73kmjQw/3Ytb2gpON405eNUp2u1Q9s91NzOvYKN
hxJramNXfFwd3FN3g78nJ+ey811cpefLZo3JMe7mjY/rD+69lY/P1r5z3LD3
J3d6se+A8YhfueH9vZy0qUw1y7aBG+7p40RGE6uUmY3s/EtufPRkgfnxJm74
vn5O35d3eGloM6c15L3heFeOZSY0tTBvgCsP3DBzr/Vt5r3jngQdnbVy7h3u
tyHvL+7uiaAKz7C7zBvkpI0ZKfMC7rE+HqZHbrji7NLKNQ7t56HiasmZn161
Ml8LIVV+leEn77Pz2kheavxGGP6A3TcCG7gfjv/y+gHr08Ge0E2l1dkP2efR
wZPobP1pJm3MG4mGOuGxuNw25o3C9gCRr+vIR8zTxZw3P34fmvSIeaNx08Ly
i5L7j5g3Gn1XDNvKvNqZpwdPYXnRYH478z7BC81aheBZO/PGYEaigvcvawXz
9LEvgldyepaCefpoqBRWi1cpmGeAtrIpZhe/VjDPEJbpC/OLTiiYZwR918Dd
bTcUbH7GOGwYPLO0W8ENbV9hDP3HDz31dJVsnsZwmuGeY2er5IbfJxPExNt7
6k9TckPXFZog6rr1nFshStY3FgmvnvNzVyuZNxYXzB4mBaSTNxZP30f+blVI
3jiIerNiTMqVrH8c8va+nen+fyXrM8WrT9Zn7bpNnim2vrJfLH2iZJ/fFCMe
hptZvyXPDD39l+atHKNinhlcKg/3mAlUzONDtmsGJK4q5vFROuZcf7WXivXx
8ax6kc9ZPxXzzDGi99KD6WHkmSPiyKiRvrHkWWAw6/zBR+vJs8CZYIlQd6uK
9VmAt77+56s55I3HkgIdT9sD5I1HUsF0V6sfVGx+luj5av/di5XkWaLgPz3c
6IvUZ4mksxXSwXryJiB9247JpS3kTUBL9LvKv9uoT4CwCP4dgyfkCdBpGl58
t5f6BPim+1h3xDvyJiKnqnDFER018ybi68Sckh8N1MyzwoO9Jrpf8dXMs0Lp
kR6VrrWa9VnBwN47eplYzTxrbMuTF2W6kWeN280PNqd8Sp4Nohou93lytN8G
Wi+DL16bTb4Ndmb450nm0XkbBPkNGsQsoPtsMG7Mt+cTl5AnxIE/KvjB0eQJ
4TUpeZv+KvKEWJC9MaJ4LXlCdL9w7jZMJk8Ip6k5MWGpavZ92CIoY/RAWjp5
tjivZ163PZs8W1z7jKeKzyXPFmcmZwbJ95Nni8T8sLH3iqhPBEFCCz+qmDwR
5sfHf9b4nZqLG/JESOj6NH3iMfJEMDu1ojj4FHkiuMypXp3wE3l28Ft69cSa
s+TZYerlQmForZr9/duhfoLuZvGv5Nkh4N+rNijq1ez7t4N3SGD51kby7BFy
KeqGYTN59kgSJa3OuEOePbJL99p33ifPHulGi7IntVOfPfinLOzWqMlzgPdZ
Seq+TvIc8FojMj/6lDwHeMgGEst6yHPAhe1+WoV95DnAqyoDya/JE2N5JP/w
zHfkiVEQm7dD6z3NT4yyLsXqcm0N88Q4lR5zfO4oDfPEmP/Y6nirnoZ5jrBQ
t1xfZKBhniOMFS5xDcYa1ueIuu6W+y6m5DnCIbZoY5q5hs3PEeGdOQfqLMlz
wpVMQa6WFXlOcDwuKpUKyXPC1lJTcaAdeU6oLB65LFpMfU4oPv/sYLyzhr1/
zlh7y2hinETD/n87w4cX7RAmI88Z11Pmv/X2IM8Z/7PdfG/8FPKcEbb4u8Gu
qdTnAr/ImqMnvajPBbXiF8bx3ho2Pxfk199PFMwgzwWpO6L++sWHPBdo+B1P
o2aT54oqa991/b7kuUK/7OXlLXOpzxWn61+M0ZlHniuuZwxsTv2c5ueKLXnh
/s+DyZPAwMPz0MIF5EnQ77+ppDqUPAneFramGYaTJ4GXRffyyCXUJ8HcBseU
7yPJk+JCqZaq4wuanxQB61uvWkeTJ0XXn2YBQcvJk6JvoXPhpljypPg9as/N
QyvJc8Oalg6jc/HU54YTszX/bUqg+blBXrBqWnsieW64ezQrrvNL8tzQ2LbF
tiuJPBlqfW5laTaw/eNl6O/1rmlNpl4Z+kLqmupT2Hl/GTL31D6t2ET9Mny5
qN5+fyp7X9JkuFfVVrhuM90vw+VrC5b5bWHeaRme+HcWCNKpRwarNeULu7Yx
r0OGom3yqlPb6f2To7ImpmFdFvXJcXDKyRNuO6hPjrQZz5M7d1KfHCW6Kd5F
u6hPjhf9dua+udQnx+5Lfua9u6lPjo2quvn786hPjmVl2spJ+6hPDi7+WfNv
+6lPjjlv9aav+EbDaQ/1ucM9cbX7mwIN9w8sieFp
         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{0, 18.000000000000007`}, {-0.9065374801410208, 
       3.922076326659938}}, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         StyleBox["\"Value\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Time of Flight (ms)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"Parameters for BEC free expansion\"", FontSize -> 16, StripOnInput -> 
        False], TraditionalForm], 
     PlotRange -> {{0, 18.000000000000007`}, {-0.9065374801410208, 
       3.922076326659938}}, PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"Factor for R0\"", "\"Exponent between \[Omega]\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Medium"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8141852030039587`*^9, 3.8141853380516825`*^9, 3.8141858944295053`*^9, 
   3.814186545020717*^9, 3.814187535442366*^9, {3.8141876410344057`*^9, 
   3.814187665334796*^9}, 3.8141889578897257`*^9, 3.8141932954468193`*^9, {
   3.814193325977566*^9, 3.8141933556082606`*^9}, 3.814193403920024*^9, 
   3.8141943497191205`*^9, 3.814196276355318*^9, 3.814196885763174*^9, 
   3.8141971126371503`*^9, 3.8141971905616074`*^9, 3.8141972228734555`*^9, 
   3.814197364201539*^9, 3.814197539181547*^9, 3.814199144831385*^9, 
   3.8141991874528227`*^9, 3.8141992764349127`*^9, 3.814199326362768*^9, 
   3.8141995770651073`*^9, 3.8141997157720413`*^9, 3.8141998680047483`*^9, 
   3.8141999072029905`*^9, 3.8141999912557983`*^9, 3.8142000565495324`*^9, 
   3.814200120740204*^9, 3.8142001965025377`*^9, 3.8142004159090867`*^9, 
   3.8142004697701674`*^9, 3.814200526849432*^9, 3.814200766733153*^9, 
   3.8142008300197725`*^9, {3.814201343194124*^9, 3.8142013727298136`*^9}, 
   3.8142014137551603`*^9, 3.8142019093125043`*^9, 3.8142046569576607`*^9, 
   3.8142047044333763`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<X radius of the BEC after expansion: \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
   "\"\< \[Micro]m\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Y radius of the BEC after expansion: \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], ",", 
   "\"\< \[Micro]m\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Z radius of the BEC after expansion: \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], ",", 
   "\"\< \[Micro]m\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.81420001734529*^9, 3.8142000253917503`*^9}, {
  3.814201797061084*^9, 3.814201880059831*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"X radius of the BEC after expansion: \"\>", 
   "\[InvisibleSpace]", "77.68087188322268`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "X radius of the BEC after expansion: ", 77.68087188322268, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81420184892005*^9, 3.8142019342989335`*^9}, 
   3.814204657843712*^9, 3.8142047312409096`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Y radius of the BEC after expansion: \"\>", 
   "\[InvisibleSpace]", "130.28568150706107`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Y radius of the BEC after expansion: ", 130.28568150706107`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81420184892005*^9, 3.8142019342989335`*^9}, 
   3.814204657843712*^9, 3.81420473124391*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Z radius of the BEC after expansion: \"\>", 
   "\[InvisibleSpace]", "75.18734262607998`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Z radius of the BEC after expansion: ", 75.18734262607998, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81420184892005*^9, 3.8142019342989335`*^9}, 
   3.814204657843712*^9, 3.81420473124691*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Factor for R0: \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "4", "]"}], "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Exponent for (\[Omega]i/\[Omega]Iso): \>\"", ",", 
   RowBox[{"Last", "[", 
    RowBox[{"Last", "[", 
     RowBox[{"resTab", "[", 
      RowBox[{"[", "5", "]"}], "]"}], "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8142019447915335`*^9, 3.8142020145145216`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Factor for R0: \"\>", "\[InvisibleSpace]", 
   "0.7698936351431012`"}],
  SequenceForm["Factor for R0: ", 0.7698936351431012],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.814201970333995*^9, {3.8142020078191385`*^9, 3.814202015251564*^9}, 
   3.814204657870713*^9, 3.8142047330430126`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Exponent for (\[Omega]i/\[Omega]Iso): \"\>", 
   "\[InvisibleSpace]", "0.6436730370364556`"}],
  SequenceForm["Exponent for (\[Omega]i/\[Omega]Iso): ", 0.6436730370364556],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.814201970333995*^9, {3.8142020078191385`*^9, 3.814202015251564*^9}, 
   3.814204657870713*^9, 3.814204733046013*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Plot of the density distribution of the BEC after TOF", "Section",
 CellChangeTimes->{{3.814201709476074*^9, 3.814201723958903*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tabPlotY", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{
        RowBox[{"plotBECFun", "[", 
         RowBox[{
          RowBox[{"r", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], ",", 
          RowBox[{"Last", "[", 
           RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"-", "150"}], ",", "150", ",", "1."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tabPlotZ", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r", ",", 
        RowBox[{
         RowBox[{"plotBECFun", "[", 
          RowBox[{
           RowBox[{"r", "*", 
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}]}], ",", 
           RowBox[{"Last", "[", 
            RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", 
        RowBox[{"-", "150"}], ",", "150", ",", "1."}], "}"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"tabPlotY", ",", "tabPlotZ"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotMarkers", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Small"}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<BEC density profile\>\"", ",", 
      RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Along the Y axis\>\"", ",", "\"\<Along the Z axis\>\""}], 
     "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Distance (\[Micro]m)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Density (1/m^3)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8141893987729425`*^9, 3.814189399725997*^9}, {
  3.8141944122726984`*^9, 3.8141944225872884`*^9}, {3.814202949402994*^9, 
  3.8142029508960795`*^9}, {3.814203124579014*^9, 3.814203194782029*^9}, {
  3.814203231244115*^9, 3.8142033254935055`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Small, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}], CompressedData["
1:eJxdmHlUVOcZxr+4IIbIEkkERCUICIoLgojI8rCKrLMwzAwww7hA2lQJJxpp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         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Small, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}], CompressedData["
1:eJxd1mtQlGUUB/Ani5SE8UYDitpqiIhAclFYWOGwsFyW2+6KorIrq2TexjIv
4yXDt2y8YEkfbLCLQZY31CZHRZMmzjimjJPoB0xraKKUClNjKmOcMmtmn9c8
/3f48pvDf9/d932ec54x817wzH9UKRX/iFL//al+Sl88j9XDVyPYAPvBBLaA
FbhrrjSDG8EG2A8msAWswF1+uD+4EWyA/WACW8AK71cFnw8msALzHMiDCazA
7IM8mMAKzF7IgwmswFwJeTCBFZhnQx5MYAXmWZAHE1iBeSbkwQRWYK6APJjA
CswzIA8msALzdMiDCazAXA55MIEVmKdBHkxgBWYPV58/29NQf8YeyHs4tMd1
cGNKb8Dk4fDeA1W2ffcCVh4e3zcmtG5VUE4g7+b7L9YtDVMhARtujjq2Pabe
OiRgcnPkre7K5xeEBazc/E31hUt1W8N13sULIhyb/2oYofMuvvhEyYYjTaN0
3sXrdi3vvFpu0XkXL+94fERN+xj9/2VcHlu9psD+tK6XcWTD5r7UT6J0vZTb
klbWF0dE63op+7pjZm5aN17XS/hy8x5r91cxul7CqftuZCyKj9X1Yq5p7psz
tGairhfzgetf7u5qi9P1Im5NXNy/IzRB14v4xK6Lr98sfkbXnezcUTP8yZxJ
uu7khEV315/t1DYK+bWSq8tqVyTqeiGXZkfe8fdP0vUC3pZ7Oti5U1sVcHrF
hY8d0cm6ns/etbbr045oq3z+rWlQ00priq7n8b1f8tT+z7VVHq+2/fDjLZqs
6w5e+N73vjzWVg4+P9Ax/4htiq7nckNtyL2EZm2Vyz9FpI1rjUvV9Rz+sPnc
t3MbtVUOd1S3RIcPSdN1O6+yDFPf1WgrO9febF/0aY9Zz+awttvVe91WXc/m
QUeX397TrG0Q1xyeHXwyIl3XiatO7D3Wudp0Fh+9NKN3WIfpTH757uLPfPEZ
2lP5ZOK1iFMbTdv4ubWtQROumM7gLZfuv9o03qadziNTP3ozc5VpK487fCih
u9V0GjckDfe933+qdiq/ca4ncnGx6Sn865LRSwq2m57Mp5864bReMJ3CIdeO
nrIFZ2on8xfHw1o8dtNJ/Hv910UvrTGdyDu29lvafND0JN5fWzf6sU7TCZz4
ruF/NjhLO45jWy4nXUk2Hctv39j+lrfSdAyvnXBoyx8bTEdz++r4kIYPTEfx
jstDLV42PZbb7d4zEztNW3h9a/Dd0DumR3L7ntCqV4JIO4J3rmgLDhpkOowj
C4//PSTc9GCuiO5I3T/K9AAuHTiu5dxY04r/6du3aVm06d7WhTe97+yOeVBX
237O+dM34UE9C+ok8wNIfv5gkvcPI/n9Ikh+/5Ekf5+F5O8fS/L5RJF8ftEk
n28MyecfS/L9xJF8fwkk3+8kku8/keT6SCK5fpJJrq8UkutvMsn1OYXk+k0l
ub7TSK5/K8n9kU5y/2SQ3F82kvtvKsn9mUly/2aR3N9EYv8bRLI/ZJPsH9kk
+4udZP+xk+xPOST7Vw7J/pZLsv/lkuyPDpL900Gyv+aR7L95JPtzPsn+nU+y
vxeQ7P8FJOdDIcn5UUhyvjhJzh8nyflURHJ+FZGcb8Uk518xyflYQnJ+lpCc
r6Uk528pyflcRnJ+l5Gc7y4S859cJM4HhovE+YFdJM4Xyk3i/EFuEucTw03i
/MJuEucb5SFx/iEPifOR4SFxfmIPifOVmkbq4YvABpjBqhzyYAPMYDUd8mAD
zGA1A/JgA8xgVQF5sAFmsJoJebABZrCaBXmwAWawmg15sAFmsKqEPNgAM1h5
IQ82wAxWPsiDDTCD1RzIgw0wg1UV5MEGmMHKL20BE9gPNsCNYAZ3gdVcuD+Y
wH6wAW4EM7gLrObB/cEE9oMNcCOY//e/LwhM4A==
         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{-150., 150.}, {0, 9.098166335426838*^15}}, 
     DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         StyleBox[
         "\"Density (1/m^3)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Distance (\[Micro]m)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"BEC density profile\"", FontSize -> 16, StripOnInput -> False], 
       TraditionalForm], 
     PlotRange -> {{-150., 150.}, {0, 9.098166335426838*^15}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"Along the Y axis\"", "\"Along the Z axis\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.132], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Small"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Small"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.814203254276432*^9, 3.8142033262765503`*^9}, 
   3.8142048158387485`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tabAuxR", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{"r", ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"-", "150"}], ",", "150", ",", "2."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tabAux2D", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"plotBEC2DFun", "[", 
        RowBox[{
         RowBox[{"#", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], ",", 
         RowBox[{"Last", "[", 
          RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "&"}], ",",
       "tabAuxR"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tabPlot2DY", " ", "=", " ", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"tabAuxR", "[", 
         RowBox[{"[", "#", "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"tabAux2D", "[", 
          RowBox[{"[", "#", "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "&"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{"i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "tabAuxR", "]"}]}], "}"}]}], "]"}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tabPlot2DZ", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"tabAuxR", "[", 
          RowBox[{"[", "#", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"tabAux2D", "[", 
           RowBox[{"[", "#", "]"}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "&"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{"i", ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"Length", "[", "tabAuxR", "]"}]}], "}"}]}], "]"}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"tabPlot2DY", ",", "tabPlot2DZ"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotMarkers", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Small"}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<BEC integrated density profile along X\>\"", ",", 
      RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Along the Y axis\>\"", ",", "\"\<Along the Z axis\>\""}], 
     "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Distance (\[Micro]m)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Integrated density\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8141803263970327`*^9, 3.814180467654112*^9}, {
   3.8141808248225408`*^9, 3.8141808798666887`*^9}, {3.8141810572108326`*^9, 
   3.814181086402502*^9}, {3.814181179588832*^9, 3.81418117990385*^9}, {
   3.814181264226673*^9, 3.814181268100895*^9}, {3.8141814092249665`*^9, 
   3.8141814112220807`*^9}, 3.8141816746571484`*^9, 3.814181893622672*^9, {
   3.814185991398052*^9, 3.814186029632239*^9}, {3.81418875569116*^9, 
   3.8141887560611815`*^9}, {3.814188792194248*^9, 3.8141888089242053`*^9}, {
   3.814188972591566*^9, 3.8141890056484575`*^9}, {3.814189090756325*^9, 
   3.814189125478311*^9}, {3.814189165932625*^9, 3.814189183282617*^9}, {
   3.8142021701964264`*^9, 3.8142021717535152`*^9}, {3.8142025166022396`*^9, 
   3.81420273953199*^9}, {3.8142029560313735`*^9, 3.8142029594985714`*^9}, 
   3.814203009255418*^9, {3.8142030815435524`*^9, 3.8142030821485868`*^9}, {
   3.8142033377882085`*^9, 3.8142033892221503`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Small, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}], CompressedData["
1:eJxdln9M1HUYx7/A3SJQYtgasEDMGyhpXux05Ig9d+dxwh1wv3//viMTKbKV
5q956h9OK9GBP4CWqOhqwmYb0daoHpv9WOWPRjna0k1GclbMOYx0QurG8zGf
73f7/vG61z533+/n8zzP+xbEWm1NGZIkHX54pz280yW6MIbS41dSxiBjScYY
la2XMchYkjFGZOtlDBE8j+1NmbVntLMfRDAtLfTt7XNTs5wM43Jl2UTh2Bzd
rA/j6MgR54i/YJaTIXwi0H/o1NRz5ENo7pvoufznYvJBHNWd7L84qCYfxDc6
JzOjAxryAfzQWjxS8kcl+QBK+2pm9mhfJu/HuQ2eAwevAXk/GlNdoYoKPXkf
5u/w3SvabyDvw4GJrxuK7hrJe3HZWOcPz6+rI+/FjFLl7jfHzOQ9+MmJvCZt
vJG8BxOlHw8rJi3k3bjTabrYt9xG3o2XJ2Ltf79jJ+/CjgM90YVDDvIuPLx+
uPvz/5zknbixreWsCtzkndhzyt7x+3YPeQfW390XTHzhJe/AUs0tk+GOj7wd
g+/qUjnqAHk7pizmblciSN6Gjcev6z7rCJG34fjPnw5fwjB5Kz519bd01VsR
8lYszJ1WxJVR8ha8IFWpptuJJQsOdDvzvp8fI27E4msFiWMfCW7A23XxTYkX
4sT12LbLu+bmGcFmzCv/amyBOkFswszXciqvnBZch6ljL5YpVE3EtRhM70tt
PiJ4Nb7/wZxnyp58hdiIncm9R2++LbgGN6zvx6Grgg2YNXPjn436NcSr8K87
hZPZvYL1eDD7m66E9CqxDnNemjf1ukewFm+t3ba0oE8wYOnx7J22e4Kr8f7C
cmN2zVriKvwpT3FF857glVjs9p8+e15wJSraf332ZFYz8QocHx3sGtYJ1uCh
6Yw9ug2CK/DcjFKf6hWsxs3j5flDFwQvwS8j1bWDk4IXYeuNKeWleeuIVdi/
+JfmjGWCSzC8y7TdZBCcj6atoOl1Cc7ForTvYllxwRK2Xl/645bmRyxtabE8
/W/LIwbuc4Gvzwf+/SXAf18F/PkWAX/+JcDfTw38/SuA748G+P6tAL6/lcD3
fyXw86kCfn7VwM8XgJ+/Fnh96IDXjx54fa0CXn8G4PVZA7x+jcDrezXw+q8F
3h91wPvHBLy/zMD7rx54fzYA799G4P1tAdb/SQvw+WAFPj+swOeLDfj8sQGf
T3bg88sOfL45gM8/B/D56AQ+P53A56sL+Px1AZ/PbuDz2w18vnuAz38P8Hzw
As8PL/B88QHPHx/wfPIDzy8/8HwLAM+/APB8DALPzyDwfA0Bz98Q8HwOA8/v
MPB8jwDLf4gA+3+QjID0+IUylqKcQcZJGaOMpZhsvYyTMsb/+QG8A2GY
         "]]}, {
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Small, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}], CompressedData["
1:eJxd1G1Ik1EUB/DrRkRBIbQgsjBLycqoTGTkS8eptenUbdrU6ZxbrsykPpWS
YDckQYgoeoXETyYVFJFgUVAnMjOkD1H0AoGoFBQVgZVgfUjwzjz/C8+H3/N/
7vY8955zkyKHfVGrUurSzBU3c1mUGRxhNX9oMIEVmMMwH0xgBeZ6mA8msMLn
Q5CDdR3kYB2EHKxrIQfrGsjBOgA5WFdDDtZVkIN1JeRg7YccrPdADtYVkIN1
OeRg7ePQs/slfa2TebM3fHzvmuvlsj82x2zu5W+27Y0n/SmzVl5++0W3DC7e
ZnIPD338+aR9td3kHj4zbH316O5O4zLOeRxNcH7INy7lhncPBl5YnMYl7Mjp
uN1Z4DZ2s8u9aMTm9hgX8/euQMXrYz7jIr55hROnblQYu/hQac8t/3u/sZOn
R5q6E63Vxru5d1XWvcGUGuNdPPFwIvFXbtC4kLd5/CfOu0PGBTxe87Il0Fdv
nM9jG4KTwz1hYwenrQsnDJ2OGOfxqGvEe+7IXmPihf2BrhO+BuNcvvq0b/mP
5KhxNnfdabte/DXmHZx1ytm25No+YzsvWL+l637lfuNMto32To1Px5zBn+p6
OpPONhqnc8i5dGXCygPGW7nKnljefiHmNA60xtut1ibjVHastXxuisSczHHd
ZfXH+2New48HAjnLfse8gv++Gbsct/GgcTwHLZvGN5fFrPj5xaODHdE5q7Zm
j22qec4k83iS81eQ/P01JP8/meT7pZJ8/zSS37eV5Penk1yfDJLrl0lyfe0k
138Hyf3JJrl/uST3l0jufx7J+nCQrJ98kvVVQLL+CknW5y6S9bubZH07Sda/
i2R/FJHsn2KS/eUm2X8lJPuzlGT/lpHsbw+J/tcekueDl+T54SV5vvhInj8+
kudTOan5Q4NVBeRgtQdysPJDDlaVkINVFeRgVQ05WAUgB6sayMGqFnKwCkIO
VnWQg1UIcrCqlyawBjNYhWE+WIMZrCIwH6zB/N//AK2Bmxc=
         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{-150., 150.}, {0, 9.4233799129939*^11}}, DisplayFunction -> 
     Identity, AspectRatio -> NCache[GoldenRatio^(-1), 0.6180339887498948], 
     Axes -> {True, True}, AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
     FrameLabel -> {{
        FormBox[
         StyleBox[
         "\"Integrated density\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Distance (\[Micro]m)\"", FontSize -> 16, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"BEC integrated density profile along X\"", FontSize -> 16, 
        StripOnInput -> False], TraditionalForm], 
     PlotRange -> {{-150., 150.}, {0, 9.4233799129939*^11}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"Along the Y axis\"", "\"Along the Z axis\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Small"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Small"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.814189190446027*^9, 3.8141906643083267`*^9, 
  3.8141944165249414`*^9, 3.8142020489914937`*^9, 3.814202174687683*^9, 
  3.814202229440815*^9, 3.814203069222848*^9, 3.81420343047651*^9, 
  3.814203532742359*^9, 3.814204873843066*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"auxScale2D", " ", "=", " ", 
   RowBox[{
    RowBox[{"plotBEC2DFun", "[", 
     RowBox[{"0.", ",", 
      RowBox[{"Last", "[", 
       RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"auxScale", " ", "=", 
    RowBox[{
     RowBox[{"plotBECFun", "[", 
      RowBox[{"0.", ",", 
       RowBox[{"Last", "[", 
        RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tabPlotYScaled", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"plotBECFun", "[", 
           RowBox[{
            RowBox[{"r", "*", 
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}]}], ",", 
            RowBox[{"Last", "[", 
             RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], "/", "auxScale"}], "*", 
        "auxScale2D"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"-", "150"}], ",", "150", ",", "1."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tabPlotZScaled", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r", ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"plotBECFun", "[", 
            RowBox[{
             RowBox[{"r", "*", 
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}]}], ",", 
             RowBox[{"Last", "[", 
              RowBox[{"Transpose", "[", "resTab", "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}]}], "]"}], "[", 
           RowBox[{"[", "3", "]"}], "]"}], "/", "auxScale"}], "*", 
         "auxScale2D"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", 
        RowBox[{"-", "150"}], ",", "150", ",", "1."}], "}"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"compPlotY", "=", " ", 
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tabPlotYScaled", ",", "tabPlot2DY"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]",
       ",", 
      RowBox[{"PlotMarkers", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", "Small"}], "}"}]}], "\[IndentingNewLine]", 
      ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<Comparison of density profiles with/without integration along \
X\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<Not integrated\>\"", ",", "\"\<Integrated\>\""}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.85", ",", "0.85"}], "}"}]}], "]"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Distance along Y (\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Rescaled density\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"compPlotZ", " ", "=", " ", 
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tabPlotZScaled", ",", "tabPlot2DZ"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]",
       ",", 
      RowBox[{"PlotMarkers", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", "Small"}], "}"}]}], "\[IndentingNewLine]", 
      ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<Comparison of density profiles with/without integration along \
X\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<Not integrated\>\"", ",", "\"\<Integrated\>\""}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.85", ",", "0.85"}], "}"}]}], "]"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Distance along Z(\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Rescaled density\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{"compPlotY", ",", "compPlotZ"}], "}"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8142024744408283`*^9, 3.8142024942749624`*^9}, {
   3.8142027553788967`*^9, 3.8142028892365527`*^9}, 3.814202919557287*^9, {
   3.8142029728983383`*^9, 3.8142029815288315`*^9}, {3.8142030206710706`*^9, 
   3.8142030885069504`*^9}, {3.814203409032284*^9, 3.814203638775424*^9}, {
   3.8142037864988737`*^9, 3.8142038582739787`*^9}, {3.814204329674941*^9, 
   3.8142043338231783`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{}, {
            {RGBColor[0.368417, 0.506779, 0.709798], AbsolutePointSize[6], 
             AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
               StyleBox["\<\"\[FilledCircle]\"\>",
                StripOnInput->False,
                FontSize->Small], {0., 0.}], CompressedData["
1:eJxdmHtQVOcZxj+DZuykQTQwoBiLikoMIHhbEYWH5bqwwLJ3WPYiSvCSoOKo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              "]]}, 
            {RGBColor[0.880722, 0.611041, 0.142051], AbsolutePointSize[6], 
             AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
               StyleBox["\<\"\[FilledSquare]\"\>",
                StripOnInput->False,
                FontSize->Small], {0., 0.}], CompressedData["
1:eJxdln9M1HUYx7/A3SJQYtgasEDMGyhpXux05Ig9d+dxwh1wv3//viMTKbKV
5q956h9OK9GBP4CWqOhqwmYb0daoHpv9WOWPRjna0k1GclbMOYx0QurG8zGf
73f7/vG61z533+/n8zzP+xbEWm1NGZIkHX54pz280yW6MIbS41dSxiBjScYY
la2XMchYkjFGZOtlDBE8j+1NmbVntLMfRDAtLfTt7XNTs5wM43Jl2UTh2Bzd
rA/j6MgR54i/YJaTIXwi0H/o1NRz5ENo7pvoufznYvJBHNWd7L84qCYfxDc6
JzOjAxryAfzQWjxS8kcl+QBK+2pm9mhfJu/HuQ2eAwevAXk/GlNdoYoKPXkf
5u/w3SvabyDvw4GJrxuK7hrJe3HZWOcPz6+rI+/FjFLl7jfHzOQ9+MmJvCZt
vJG8BxOlHw8rJi3k3bjTabrYt9xG3o2XJ2Ltf79jJ+/CjgM90YVDDvIuPLx+
uPvz/5zknbixreWsCtzkndhzyt7x+3YPeQfW390XTHzhJe/AUs0tk+GOj7wd
g+/qUjnqAHk7pizmblciSN6Gjcev6z7rCJG34fjPnw5fwjB5Kz519bd01VsR
8lYszJ1WxJVR8ha8IFWpptuJJQsOdDvzvp8fI27E4msFiWMfCW7A23XxTYkX
4sT12LbLu+bmGcFmzCv/amyBOkFswszXciqvnBZch6ljL5YpVE3EtRhM70tt
PiJ4Nb7/wZxnyp58hdiIncm9R2++LbgGN6zvx6Grgg2YNXPjn436NcSr8K87
hZPZvYL1eDD7m66E9CqxDnNemjf1ukewFm+t3ba0oE8wYOnx7J22e4Kr8f7C
cmN2zVriKvwpT3FF857glVjs9p8+e15wJSraf332ZFYz8QocHx3sGtYJ1uCh
6Yw9ug2CK/DcjFKf6hWsxs3j5flDFwQvwS8j1bWDk4IXYeuNKeWleeuIVdi/
+JfmjGWCSzC8y7TdZBCcj6atoOl1Cc7ForTvYllxwRK2Xl/645bmRyxtabE8
/W/LIwbuc4Gvzwf+/SXAf18F/PkWAX/+JcDfTw38/SuA748G+P6tAL6/lcD3
fyXw86kCfn7VwM8XgJ+/Fnh96IDXjx54fa0CXn8G4PVZA7x+jcDrezXw+q8F
3h91wPvHBLy/zMD7rx54fzYA799G4P1tAdb/SQvw+WAFPj+swOeLDfj8sQGf
T3bg88sOfL45gM8/B/D56AQ+P53A56sL+Px1AZ/PbuDz2w18vnuAz38P8Hzw
As8PL/B88QHPHx/wfPIDzy8/8HwLAM+/APB8DALPzyDwfA0Bz98Q8HwOA8/v
MPB8jwDLf4gA+3+QjID0+IUylqKcQcZJGaOMpZhsvYyTMsb/+QG8A2GY
              "]]}, {}}, {}}, InsetBox[
           TemplateBox[{"\"Not integrated\"","\"Integrated\""},
            "PointLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"PointLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], 
                    "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\[FilledCircle]\"", ",", "Small"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\[FilledSquare]\"", ",", "Small"}], "}"}]}], 
                    "}"}]}], ",", 
                 RowBox[{"Joined", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "False"}], "}"}]}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.85, 0.85}], ImageScaled[{0.5, 0.5}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{0, 0},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Rescaled density\"", FontSize -> 16, StripOnInput -> False], 
             TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Distance along Y (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}},
         FrameStyle->Directive[FontSize -> 18],
         FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImageSize->400,
         Method->{},
         PlotLabel->FormBox[
           StyleBox[
           "\"Comparison of density profiles with/without integration along X\
\"", FontSize -> 16, StripOnInput -> False], TraditionalForm],
         PlotRange->{{-150., 150.}, {0, 9.4233799129939*^11}},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.02], 
            Scaled[0.05]}},
         Ticks->{Automatic, Automatic}],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{}, {{{
              Directive[
               PointSize[0.007333333333333334], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               AbsolutePointSize[6]], 
              GeometricTransformation[
               Inset[
                Style["\[FilledCircle]", FontSize -> Small], {0., 
                0.}], CompressedData["
1:eJxdmHtQVOcZxj+DZuykQTQwoBiLikoMIHhbEYWH5bqwwLJ3WPYiSvCSoOKo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               "]]}, {
              Directive[
               PointSize[0.007333333333333334], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6], 
               AbsolutePointSize[6]], 
              GeometricTransformation[
               Inset[
                Style["\[FilledSquare]", FontSize -> Small], {0., 
                0.}], CompressedData["
1:eJxdln9M1HUYx7/A3SJQYtgasEDMGyhpXux05Ig9d+dxwh1wv3//viMTKbKV
5q956h9OK9GBP4CWqOhqwmYb0daoHpv9WOWPRjna0k1GclbMOYx0QurG8zGf
73f7/vG61z533+/n8zzP+xbEWm1NGZIkHX54pz280yW6MIbS41dSxiBjScYY
la2XMchYkjFGZOtlDBE8j+1NmbVntLMfRDAtLfTt7XNTs5wM43Jl2UTh2Bzd
rA/j6MgR54i/YJaTIXwi0H/o1NRz5ENo7pvoufznYvJBHNWd7L84qCYfxDc6
JzOjAxryAfzQWjxS8kcl+QBK+2pm9mhfJu/HuQ2eAwevAXk/GlNdoYoKPXkf
5u/w3SvabyDvw4GJrxuK7hrJe3HZWOcPz6+rI+/FjFLl7jfHzOQ9+MmJvCZt
vJG8BxOlHw8rJi3k3bjTabrYt9xG3o2XJ2Ltf79jJ+/CjgM90YVDDvIuPLx+
uPvz/5zknbixreWsCtzkndhzyt7x+3YPeQfW390XTHzhJe/AUs0tk+GOj7wd
g+/qUjnqAHk7pizmblciSN6Gjcev6z7rCJG34fjPnw5fwjB5Kz519bd01VsR
8lYszJ1WxJVR8ha8IFWpptuJJQsOdDvzvp8fI27E4msFiWMfCW7A23XxTYkX
4sT12LbLu+bmGcFmzCv/amyBOkFswszXciqvnBZch6ljL5YpVE3EtRhM70tt
PiJ4Nb7/wZxnyp58hdiIncm9R2++LbgGN6zvx6Grgg2YNXPjn436NcSr8K87
hZPZvYL1eDD7m66E9CqxDnNemjf1ukewFm+t3ba0oE8wYOnx7J22e4Kr8f7C
cmN2zVriKvwpT3FF857glVjs9p8+e15wJSraf332ZFYz8QocHx3sGtYJ1uCh
6Yw9ug2CK/DcjFKf6hWsxs3j5flDFwQvwS8j1bWDk4IXYeuNKeWleeuIVdi/
+JfmjGWCSzC8y7TdZBCcj6atoOl1Cc7ForTvYllxwRK2Xl/645bmRyxtabE8
/W/LIwbuc4Gvzwf+/SXAf18F/PkWAX/+JcDfTw38/SuA748G+P6tAL6/lcD3
fyXw86kCfn7VwM8XgJ+/Fnh96IDXjx54fa0CXn8G4PVZA7x+jcDrezXw+q8F
3h91wPvHBLy/zMD7rx54fzYA799G4P1tAdb/SQvw+WAFPj+swOeLDfj8sQGf
T3bg88sOfL45gM8/B/D56AQ+P53A56sL+Px1AZ/PbuDz2w18vnuAz38P8Hzw
As8PL/B88QHPHx/wfPIDzy8/8HwLAM+/APB8DALPzyDwfA0Bz98Q8HwOA8/v
MPB8jwDLf4gA+3+QjID0+IUylqKcQcZJGaOMpZhsvYyTMsb/+QG8A2GY
               "]]}, {}}}, {}}, {
          DisplayFunction -> Identity, PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.02], 
              Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
           PlotRange -> {{-150., 150.}, {0, 9.4233799129939*^11}}, 
           DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
           Axes -> {True, True}, AxesLabel -> {None, None}, 
           AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Rescaled density", FontSize -> 16], None}, {
              Style["Distance along Y (\[Micro]m)", FontSize -> 16], None}}, 
           FrameStyle -> Directive[FontSize -> 18], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> 400, Method -> {}, PlotLabel -> 
           Style[
            "Comparison of density profiles with/without integration along X",
              FontSize -> 16], 
           PlotRange -> {{-150., 150.}, {0, 9.4233799129939*^11}}, 
           PlotRangeClipping -> True, PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.02], 
              Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           PointLegend[{
             Directive[
              PointSize[0.007333333333333334], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6]], 
             Directive[
              PointSize[0.007333333333333334], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]]}, {"Not integrated", "Integrated"}, 
            LegendMarkers -> {{"\[FilledCircle]", Small}, {
              "\[FilledSquare]", Small}}, Joined -> {False, False}, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {0.85, 0.85}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {192., -189.}, {Center, Center}, {360., 360.}], 
    InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{}, {
            {RGBColor[0.368417, 0.506779, 0.709798], AbsolutePointSize[6], 
             AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
               StyleBox["\<\"\[FilledCircle]\"\>",
                StripOnInput->False,
                FontSize->Small], {0., 0.}], CompressedData["
1:eJxd1n1MlXUUB/AfaIpZKsKcTs3bVRENUJA3QeDcCxe4XF7uvYCAvHi5qRho
0aJmYvWspTKbZviGpoVtOg2YOkvFdJwmbTnLt6LN3BzM1jSbSam4NrQ2fo95
vs/457PD9z73Ps/vd87vRf9r3mXDlFKRAUr996cClb7Yz+rpqxVsgH1gAlvA
CtxbLc3gVrAB9oEJbAErcK8P7g9uBRtgH5jAFrDC+y2BzwcTWIG5CvJgAisw
V0IeTGAF5grIgwmswFwOeTCBFZgXQx5MYAXmMsiDCazAXAp5MIEVmEsgDyaw
AvMiyIMJrMBcDHkwgRWYiyAPJrACcyHkwQRWYPZyQM86V9/qfttQ3svBv848
2ffeZPtQ3ssdyf5VI2fPHrLycqfr8J25cTFDZg9fDBw+YfCbhCEbHu6xH464
nZSi8x4eXFc6abDApvMennB4eOj2h+k67+bOKRXrU3Zm6ryb/75QVf/gJafO
u/ngt89d6Tru0nk331TL23Yl5Ov/L+ByintkK3HregFvsG7yd23y6Ho+Dxw4
Fejo8up6Pnf8cOb6lduFup7H+3fseLAipFjX8/i3AEfOyPhFup7LtWPPXe0o
LNH1XI7psu6vWFmq6y62B3vbQ4wyXXfxtmdK/ryyebGu5/CcPdGv7m4p1/Uc
DurpC6/dW6HrTp59pGaafW+lrju5OfKsx9pSpevZnJZ3r+vZzUt0PZt3bhj8
8p00n65n8dHO27PWfKWtsvjO6e6T/4RX63omuz9uqnm8S1tl8qX4hNimIL+u
O/itjksvbG/QVg5OuV80K+y6Wc/gsDHdecmOl3U9g6MfTm3+6ZC2kc6+Y/57
/aOX6no6H0trbthap23Yeebe9vGd35l1O399/ugF//Rlum7jhvP7Dm5p1FY2
LtizttV+2awT56baj6+esVzXieuO/nUr5k3Tadx+f1Py62dNp3LI6NC2+WNr
tFN4d/8HiWtKTS/k9EO9NzI+M53MY2NmdWy9YTqJH31Yum35zBXaC3jciYZd
Z5aaTmT7scbTLftMJ3CLsWpw4JrpeA6ellNxLeQV7Thu2xx81e40Hcu1F8++
EbXW9Hx29vkiPm03HcOu7puBzb+Yjub61eUDo0bUas/jE4MnR42YazqKrUUB
SeuLTUdwR2Ns08a3Tc/hygbvvfGfmA7nyNTyd6edMh3G1qv5YUd+Nj2DEx2R
f3TfNW3l+vcfXKwMqtO28Pdbvri8ZqrpKeysd/ZPnmd6It+y/BhlI9Oh3PZ5
1sbf80yP44/uHxg2scx0EO+Y1L/7XLVpxTwmzP24xvTdrud7HNM7657UVeNK
d+jAyif1NKiTzAeR/PxxJO8fSvL7TST5/aeQ/H0Wkr/fSvL5zCD5/MJIPt9w
ks9/Dsn3E0Hy/UWRfL/zSL7/aJLrI4bk+plPcn3Fklx/cSTXZzzJ9ZtAcn0n
klz/C0jujySS+yeZ5P5aSHL/pZDcn6kk928ayf1NJPa/QST7g41k/7CR7C92
kv3HTrI/pZPsX+kk+1sGyf6XQbI/Okj2TwfJ/ppJsv9mkuzPWST7dxbJ/p5N
sv9nk5wPTpLzw0lyvuSQnD85JOeTi+T8cpGcb7kk518uyfmYR3J+5pGcr/kk
528+yflcQHJ+F5Cc724S85/cJM4HhpvE+YHdJM4XykPi/EEeEucTw0Pi/MIe
Eucb5SVx/iEvifOR4SVxfmIvifOVKiT19EVgA8xgVQR5sAFmsCqGPNgAM1gt
gjzYADNYlUAebIAZrEohDzbADFZlkAcbYAarxZAHG2AGq3LIgw0wg1UF5MEG
mMGqEvJgA8xgVQV5sAFmsFoCebABZrDySVvABPaBDXArmMG9YFUN9wcT2Ac2
wK1gBveClR/uDyawD2yAW8H8v/8F1L9dfA==
              "]]}, 
            {RGBColor[0.880722, 0.611041, 0.142051], AbsolutePointSize[6], 
             AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
               StyleBox["\<\"\[FilledSquare]\"\>",
                StripOnInput->False,
                FontSize->Small], {0., 0.}], CompressedData["
1:eJxd1G1Ik1EUB/DrRkRBIbQgsjBLycqoTGTkS8eptenUbdrU6ZxbrsykPpWS
YDckQYgoeoXETyYVFJFgUVAnMjOkD1H0AoGoFBQVgZVgfUjwzjz/C8+H3/N/
7vY8955zkyKHfVGrUurSzBU3c1mUGRxhNX9oMIEVmMMwH0xgBeZ6mA8msMLn
Q5CDdR3kYB2EHKxrIQfrGsjBOgA5WFdDDtZVkIN1JeRg7YccrPdADtYVkIN1
OeRg7ePQs/slfa2TebM3fHzvmuvlsj82x2zu5W+27Y0n/SmzVl5++0W3DC7e
ZnIPD338+aR9td3kHj4zbH316O5O4zLOeRxNcH7INy7lhncPBl5YnMYl7Mjp
uN1Z4DZ2s8u9aMTm9hgX8/euQMXrYz7jIr55hROnblQYu/hQac8t/3u/sZOn
R5q6E63Vxru5d1XWvcGUGuNdPPFwIvFXbtC4kLd5/CfOu0PGBTxe87Il0Fdv
nM9jG4KTwz1hYwenrQsnDJ2OGOfxqGvEe+7IXmPihf2BrhO+BuNcvvq0b/mP
5KhxNnfdabte/DXmHZx1ytm25No+YzsvWL+l637lfuNMto32To1Px5zBn+p6
OpPONhqnc8i5dGXCygPGW7nKnljefiHmNA60xtut1ibjVHastXxuisSczHHd
ZfXH+2New48HAjnLfse8gv++Gbsct/GgcTwHLZvGN5fFrPj5xaODHdE5q7Zm
j22qec4k83iS81eQ/P01JP8/meT7pZJ8/zSS37eV5Penk1yfDJLrl0lyfe0k
138Hyf3JJrl/uST3l0jufx7J+nCQrJ98kvVVQLL+CknW5y6S9bubZH07Sda/
i2R/FJHsn2KS/eUm2X8lJPuzlGT/lpHsbw+J/tcekueDl+T54SV5vvhInj8+
kudTOan5Q4NVBeRgtQdysPJDDlaVkINVFeRgVQ05WAUgB6sayMGqFnKwCkIO
VnWQg1UIcrCqlyawBjNYhWE+WIMZrCIwH6zB/N//AK2Bmxc=
              "]]}, {}}, {}}, InsetBox[
           TemplateBox[{"\"Not integrated\"","\"Integrated\""},
            "PointLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.17600000000000002`], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {15, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"PointLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], 
                    "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\[FilledCircle]\"", ",", "Small"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\[FilledSquare]\"", ",", "Small"}], "}"}]}], 
                    "}"}]}], ",", 
                 RowBox[{"Joined", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "False"}], "}"}]}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.85, 0.85}], ImageScaled[{0.5, 0.5}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{0, 0},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Rescaled density\"", FontSize -> 16, StripOnInput -> False], 
             TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Distance along Z(\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}},
         FrameStyle->Directive[FontSize -> 18],
         FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImageSize->400,
         Method->{},
         PlotLabel->FormBox[
           StyleBox[
           "\"Comparison of density profiles with/without integration along X\
\"", FontSize -> 16, StripOnInput -> False], TraditionalForm],
         PlotRange->{{-150., 150.}, {0, 9.4233799129939*^11}},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.02], 
            Scaled[0.05]}},
         Ticks->{Automatic, Automatic}],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{}, {{{
              Directive[
               PointSize[0.007333333333333334], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               AbsolutePointSize[6]], 
              GeometricTransformation[
               Inset[
                Style["\[FilledCircle]", FontSize -> Small], {0., 
                0.}], CompressedData["
1:eJxd1n1MlXUUB/AfaIpZKsKcTs3bVRENUJA3QeDcCxe4XF7uvYCAvHi5qRho
0aJmYvWspTKbZviGpoVtOg2YOkvFdJwmbTnLt6LN3BzM1jSbSam4NrQ2fo95
vs/457PD9z73Ps/vd87vRf9r3mXDlFKRAUr996cClb7Yz+rpqxVsgH1gAlvA
CtxbLc3gVrAB9oEJbAErcK8P7g9uBRtgH5jAFrDC+y2BzwcTWIG5CvJgAisw
V0IeTGAF5grIgwmswFwOeTCBFZgXQx5MYAXmMsiDCazAXAp5MIEVmEsgDyaw
AvMiyIMJrMBcDHkwgRWYiyAPJrACcyHkwQRWYPZyQM86V9/qfttQ3svBv848
2ffeZPtQ3ssdyf5VI2fPHrLycqfr8J25cTFDZg9fDBw+YfCbhCEbHu6xH464
nZSi8x4eXFc6abDApvMennB4eOj2h+k67+bOKRXrU3Zm6ryb/75QVf/gJafO
u/ngt89d6Tru0nk331TL23Yl5Ov/L+ByintkK3HregFvsG7yd23y6Ho+Dxw4
Fejo8up6Pnf8cOb6lduFup7H+3fseLAipFjX8/i3AEfOyPhFup7LtWPPXe0o
LNH1XI7psu6vWFmq6y62B3vbQ4wyXXfxtmdK/ryyebGu5/CcPdGv7m4p1/Uc
DurpC6/dW6HrTp59pGaafW+lrju5OfKsx9pSpevZnJZ3r+vZzUt0PZt3bhj8
8p00n65n8dHO27PWfKWtsvjO6e6T/4RX63omuz9uqnm8S1tl8qX4hNimIL+u
O/itjksvbG/QVg5OuV80K+y6Wc/gsDHdecmOl3U9g6MfTm3+6ZC2kc6+Y/57
/aOX6no6H0trbthap23Yeebe9vGd35l1O399/ugF//Rlum7jhvP7Dm5p1FY2
LtizttV+2awT56baj6+esVzXieuO/nUr5k3Tadx+f1Py62dNp3LI6NC2+WNr
tFN4d/8HiWtKTS/k9EO9NzI+M53MY2NmdWy9YTqJH31Yum35zBXaC3jciYZd
Z5aaTmT7scbTLftMJ3CLsWpw4JrpeA6ellNxLeQV7Thu2xx81e40Hcu1F8++
EbXW9Hx29vkiPm03HcOu7puBzb+Yjub61eUDo0bUas/jE4MnR42YazqKrUUB
SeuLTUdwR2Ns08a3Tc/hygbvvfGfmA7nyNTyd6edMh3G1qv5YUd+Nj2DEx2R
f3TfNW3l+vcfXKwMqtO28Pdbvri8ZqrpKeysd/ZPnmd6It+y/BhlI9Oh3PZ5
1sbf80yP44/uHxg2scx0EO+Y1L/7XLVpxTwmzP24xvTdrud7HNM7657UVeNK
d+jAyif1NKiTzAeR/PxxJO8fSvL7TST5/aeQ/H0Wkr/fSvL5zCD5/MJIPt9w
ks9/Dsn3E0Hy/UWRfL/zSL7/aJLrI4bk+plPcn3Fklx/cSTXZzzJ9ZtAcn0n
klz/C0jujySS+yeZ5P5aSHL/pZDcn6kk928ayf1NJPa/QST7g41k/7CR7C92
kv3HTrI/pZPsX+kk+1sGyf6XQbI/Okj2TwfJ/ppJsv9mkuzPWST7dxbJ/p5N
sv9nk5wPTpLzw0lyvuSQnD85JOeTi+T8cpGcb7kk518uyfmYR3J+5pGcr/kk
528+yflcQHJ+F5Cc724S85/cJM4HhpvE+YHdJM4XykPi/EEeEucTw0Pi/MIe
Eucb5SVx/iEvifOR4SVxfmIvifOVKiT19EVgA8xgVQR5sAFmsCqGPNgAM1gt
gjzYADNYlUAebIAZrEohDzbADFZlkAcbYAarxZAHG2AGq3LIgw0wg1UF5MEG
mMGqEvJgA8xgVQV5sAFmsFoCebABZrDySVvABPaBDXArmMG9YFUN9wcT2Ac2
wK1gBveClR/uDyawD2yAW8H8v/8F1L9dfA==
               "]]}, {
              Directive[
               PointSize[0.007333333333333334], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6], 
               AbsolutePointSize[6]], 
              GeometricTransformation[
               Inset[
                Style["\[FilledSquare]", FontSize -> Small], {0., 
                0.}], CompressedData["
1:eJxd1G1Ik1EUB/DrRkRBIbQgsjBLycqoTGTkS8eptenUbdrU6ZxbrsykPpWS
YDckQYgoeoXETyYVFJFgUVAnMjOkD1H0AoGoFBQVgZVgfUjwzjz/C8+H3/N/
7vY8955zkyKHfVGrUurSzBU3c1mUGRxhNX9oMIEVmMMwH0xgBeZ6mA8msMLn
Q5CDdR3kYB2EHKxrIQfrGsjBOgA5WFdDDtZVkIN1JeRg7YccrPdADtYVkIN1
OeRg7ePQs/slfa2TebM3fHzvmuvlsj82x2zu5W+27Y0n/SmzVl5++0W3DC7e
ZnIPD338+aR9td3kHj4zbH316O5O4zLOeRxNcH7INy7lhncPBl5YnMYl7Mjp
uN1Z4DZ2s8u9aMTm9hgX8/euQMXrYz7jIr55hROnblQYu/hQac8t/3u/sZOn
R5q6E63Vxru5d1XWvcGUGuNdPPFwIvFXbtC4kLd5/CfOu0PGBTxe87Il0Fdv
nM9jG4KTwz1hYwenrQsnDJ2OGOfxqGvEe+7IXmPihf2BrhO+BuNcvvq0b/mP
5KhxNnfdabte/DXmHZx1ytm25No+YzsvWL+l637lfuNMto32To1Px5zBn+p6
OpPONhqnc8i5dGXCygPGW7nKnljefiHmNA60xtut1ibjVHastXxuisSczHHd
ZfXH+2New48HAjnLfse8gv++Gbsct/GgcTwHLZvGN5fFrPj5xaODHdE5q7Zm
j22qec4k83iS81eQ/P01JP8/meT7pZJ8/zSS37eV5Penk1yfDJLrl0lyfe0k
138Hyf3JJrl/uST3l0jufx7J+nCQrJ98kvVVQLL+CknW5y6S9bubZH07Sda/
i2R/FJHsn2KS/eUm2X8lJPuzlGT/lpHsbw+J/tcekueDl+T54SV5vvhInj8+
kudTOan5Q4NVBeRgtQdysPJDDlaVkINVFeRgVQ05WAUgB6sayMGqFnKwCkIO
VnWQg1UIcrCqlyawBjNYhWE+WIMZrCIwH6zB/N//AK2Bmxc=
               "]]}, {}}}, {}}, {
          DisplayFunction -> Identity, PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.02], 
              Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
           PlotRange -> {{-150., 150.}, {0, 9.4233799129939*^11}}, 
           DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
           Axes -> {True, True}, AxesLabel -> {None, None}, 
           AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Rescaled density", FontSize -> 16], None}, {
              Style["Distance along Z(\[Micro]m)", FontSize -> 16], None}}, 
           FrameStyle -> Directive[FontSize -> 18], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> 400, Method -> {}, PlotLabel -> 
           Style["Comparison of density profiles with/without integration \
along X", FontSize -> 16], 
           PlotRange -> {{-150., 150.}, {0, 9.4233799129939*^11}}, 
           PlotRangeClipping -> True, PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.02], 
              Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           PointLegend[{
             Directive[
              PointSize[0.007333333333333334], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6]], 
             Directive[
              PointSize[0.007333333333333334], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]]}, {"Not integrated", "Integrated"}, 
            LegendMarkers -> {{"\[FilledCircle]", Small}, {
              "\[FilledSquare]", Small}}, Joined -> {False, False}, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {0.85, 0.85}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {576., -189.}, {Center, Center}, {360., 360.}]}, {}},
  ContentSelectable->True,
  ImageSize->{1088., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{3.81420388032824*^9, 3.8142043366513405`*^9, 
  3.8142048750311337`*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Effect of interaction with the thermal gas", "Section",
 CellChangeTimes->{{3.8142016568000617`*^9, 3.814201676306177*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"resTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"expandWithIntFun", "[", 
         RowBox[{"#", ",", "endTOF", ",", "eqTot", ",", "initCond", ",", 
          RowBox[{"{", 
           RowBox[{"R0x", ",", "R0y", ",", "R0z"}], "}"}], ",", "False"}], 
         "]"}], "&"}], ",", "\[Tau]Tab"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"resTab", "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", "3"}], "]"}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"All", ",", 
      RowBox[{"{", 
       RowBox[{"0.", ",", "All"}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"FontSize", "\[Rule]", "18"}], "]"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotMarkers", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Medium"}], "}"}]}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{
     "\"\<BEC expansion at 18ms with thermal gas interaction\>\"", ",", 
      RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "\[IndentingNewLine]",
    ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) X\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) Y\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(R\), \(TF\)]\) Z\>\""}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Interaction time with thermal gas (\[Micro]s)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Thomas-Fermi Radii (\[Micro]m)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.814175721969674*^9, 3.8141757544255304`*^9}, {
  3.814175812691863*^9, 3.814175832704008*^9}, {3.8141759596672697`*^9, 
  3.8141759642235303`*^9}, {3.8141791223471646`*^9, 3.814179135100894*^9}, {
  3.8141833841909285`*^9, 3.814183384833965*^9}, {3.8141850645480394`*^9, 
  3.8141850714664345`*^9}, {3.814186381684375*^9, 3.814186382629429*^9}, {
  3.814201462495948*^9, 3.81420146742023*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledCircle]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw91ns81fcfB3AkLF0ZHa0iU6SGilJJL5WSJFHGmJRLJkUicuvIXeK4Hnfn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         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledSquare]\"", FontSize -> Medium, StripOnInput -> False],
             TraditionalForm]], {0., 0.}], CompressedData["
1:eJw91nk8lWkbB3AkRZtSQxhZUkQSCqn8rClEyFLhaDAqyyFa0CCyTJZjO5Ys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         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         AbsolutePointSize[6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
            "\"\[FilledDiamond]\"", FontSize -> Medium, StripOnInput -> 
             False], TraditionalForm]], {0., 0.}], CompressedData["
1:eJw91ntcjPkXB/BBqN3QlpLYFUKIDUmW8km0lWTKLRW6q7QJKaUr3XWZblNT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         "]]}, {}}}, {}}, {DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {0, 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{0, 2990.1}, {0., 130.28599163360323`}}, DisplayFunction -> 
     Identity, AspectRatio -> NCache[GoldenRatio^(-1), 0.6180339887498948], 
     Axes -> {True, True}, AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
     FrameLabel -> {{
        FormBox[
         StyleBox[
         "\"Thomas-Fermi Radii (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
          False], TraditionalForm], None}, {
        FormBox[
         StyleBox[
         "\"Interaction time with thermal gas (\[Micro]s)\"", FontSize -> 16, 
          StripOnInput -> False], TraditionalForm], None}}, FrameStyle -> 
     Directive[FontSize -> 18], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> 500, Method -> {}, PlotLabel -> 
     FormBox[
       StyleBox[
       "\"BEC expansion at 18ms with thermal gas interaction\"", FontSize -> 
        16, StripOnInput -> False], TraditionalForm], 
     PlotRange -> {{0, 2990.1}, {0., 130.28599163360323`}}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {0, 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
      "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) X\"", 
       "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) Y\"", 
       "\"\\!\\(\\*SubscriptBox[\\(R\\), \\(TF\\)]\\) Z\""}, "PointLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledCircle]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledSquare]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    FormBox[
                    StyleBox["\"\[FilledDiamond]\"", 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.099], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], FontSize -> 10, Plain, 
                    StripOnInput -> False], TraditionalForm], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledCircle]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledSquare]\"", ",", "Medium"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"\"\[FilledDiamond]\"", ",", "Medium"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8141863973622713`*^9, 3.814186595610611*^9, 3.8141876565792947`*^9, {
   3.8142014702373905`*^9, 3.8142014971369295`*^9}, 3.8142049179965916`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", " ", "=", " ", 
   RowBox[{"1.", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"velTh", " ", "=", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"kB", "*", 
      RowBox[{
       RowBox[{"Temp", "/", "mAss"}], "/", "au"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Time for thermal atom to go from BEC center to BEC edge in Y: \>\"", 
   ",", 
   RowBox[{"R0y", " ", "*", 
    RowBox[{"aB", "/", "velTh"}], " ", "*", " ", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Time for thermal atom to go from BEC center to BEC edge in Y: \>\"", 
   ",", 
   RowBox[{"R0z", " ", "*", 
    RowBox[{"aB", "/", "velTh"}], " ", "*", " ", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]s\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.814192793903133*^9, 3.8141928434529667`*^9}, {
  3.8141929469188848`*^9, 3.8141929570884666`*^9}, {3.8141929951996465`*^9, 
  3.8141931013627186`*^9}, {3.8142015404534073`*^9, 3.8142016114414673`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Time for thermal atom to go from BEC center to BEC edge in Y: \
\"\>", "\[InvisibleSpace]", "142.21562704453953`", 
   "\[InvisibleSpace]", "\<\" \[Micro]s\"\>"}],
  SequenceForm[
  "Time for thermal atom to go from BEC center to BEC edge in Y: ", 
   142.21562704453953`, " \[Micro]s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.814201582038786*^9, 3.814201612065503*^9}, 
   3.814204918096597*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Time for thermal atom to go from BEC center to BEC edge in Y: \
\"\>", "\[InvisibleSpace]", "334.0938540093943`", 
   "\[InvisibleSpace]", "\<\" \[Micro]s\"\>"}],
  SequenceForm[
  "Time for thermal atom to go from BEC center to BEC edge in Y: ", 
   334.0938540093943, " \[Micro]s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.814201582038786*^9, 3.814201612065503*^9}, 
   3.814204918099597*^9}]
}, Open  ]]
}, Closed]]
},
CellGrouping->Manual,
WindowSize->{1366, 696},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 2122, 46, 252, "Input"],
Cell[CellGroupData[{
Cell[2705, 70, 126, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[2856, 75, 29672, 751, 2072, "Input"],
Cell[32531, 828, 2010, 32, 23, "Print"],
Cell[34544, 862, 2086, 32, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[36679, 900, 123, 1, 56, "Section"],
Cell[CellGroupData[{
Cell[36827, 905, 4234, 102, 392, "Input"],
Cell[41064, 1009, 26064, 512, 358, "Output"],
Cell[67131, 1523, 18834, 371, 365, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86002, 1899, 972, 23, 72, "Input"],
Cell[86977, 1924, 428, 9, 23, "Print"],
Cell[87408, 1935, 428, 9, 23, "Print"],
Cell[87839, 1946, 425, 9, 23, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[88301, 1960, 561, 14, 52, "Input"],
Cell[88865, 1976, 348, 8, 23, "Print"],
Cell[89216, 1986, 392, 8, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[89657, 2000, 138, 1, 56, "Section"],
Cell[CellGroupData[{
Cell[89820, 2005, 3196, 82, 232, "Input"],
Cell[93019, 2089, 17396, 351, 334, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[110452, 2445, 4435, 111, 292, "Input"],
Cell[114890, 2558, 15398, 316, 336, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[130325, 2879, 6757, 174, 552, "Input"],
Cell[137085, 3055, 66545, 1234, 583, 44542, 872, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[203679, 4295, 129, 1, 56, "Section"],
Cell[CellGroupData[{
Cell[203833, 4300, 2618, 63, 212, "Input"],
Cell[206454, 4365, 29716, 572, 351, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[236207, 4942, 1256, 32, 132, "Input"],
Cell[237466, 4976, 458, 10, 23, "Print"],
Cell[237927, 4988, 455, 10, 23, "Print"]
}, Open  ]]
}, Closed]]
}
]
*)

(* End of internal cache information *)
