(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     68478,       1629]
NotebookOptionsPosition[     65116,       1574]
NotebookOutlinePosition[     65460,       1589]
CellTagsIndexPosition[     65417,       1586]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"BEC", " ", "expansion"}], "Title"], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.814338699732519*^9, 
  3.8143387146327686`*^9}},ExpressionUUID->"91feb33c-2f05-42f1-863c-\
0254d8f87172"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{
    RowBox[{"Castin", " ", "&"}], " ", "Dum"}], ",", " ", 
   RowBox[{"PRL", " ", "77"}], ",", " ", 
   RowBox[{"5315", " ", 
    RowBox[{"(", "1996", ")"}]}]}], "Text"]], "Input",
 CellChangeTimes->{{3.814338719249399*^9, 
  3.8143387606532497`*^9}},ExpressionUUID->"08ed8526-4d4e-4811-b3c9-\
f168e0e4d214"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mp", "=", 
     RowBox[{"1.66053906660", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MassSr", "=", 
     RowBox[{"84", "*", "mp"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gravity", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"my", "=", 
     RowBox[{"9.274009994", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "24"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"kb", "=", 
     RowBox[{"1.380649", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "23"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"6.62607015", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"hbar", "=", 
     RowBox[{"h", "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", "Pi"}], ")"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"5.29177210903", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "11"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"124", " ", "a0"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sigmaEl", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{"a", "^", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g", "=", 
     RowBox[{"4", "Pi", " ", 
      RowBox[{"hbar", "^", "2"}], " ", 
      RowBox[{"a", "/", "MassSr"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"omega1", "=", 
     RowBox[{"2", " ", "Pi", " ", "330"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"omega2", "=", " ", 
     RowBox[{"2", "Pi", " ", "740"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"from", " ", "trap", " ", 
       RowBox[{"trap", " ", ":", " ", "650"}]}], ",", " ", 
      RowBox[{
       RowBox[{
       "rest", " ", "from", " ", "thermal", " ", "gas", " ", "after", " ", 
        RowBox[{"Benjamin", "'"}], "s", " ", "code"}], " ", "->", " ", 
       "740"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"omega3", "=", 
     RowBox[{"2", "Pi", " ", "315"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"HOSize1", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"hbar", "/", 
       RowBox[{"(", 
        RowBox[{"MassSr", " ", "omega1"}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"HOSize2", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"hbar", "/", 
       RowBox[{"(", 
        RowBox[{"MassSr", " ", "omega2"}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"HOSize3", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"hbar", "/", 
       RowBox[{"(", 
        RowBox[{"MassSr", " ", "omega3"}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"omegabar", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"omega1", " ", "omega2", " ", "omega3"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "3"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"HOSizebar", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"hbar", "/", 
       RowBox[{"(", 
        RowBox[{"MassSr", " ", "omegabar"}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AtomNumber", "=", 
     RowBox[{"11.6", " ", 
      RowBox[{"10", "^", "3"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TOF", "=", 
     RowBox[{"18", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"chempot", "=", 
     RowBox[{"0.5", "  ", "hbar", " ", "omegabar", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"15", " ", "AtomNumber", " ", 
         RowBox[{"a", " ", "/", "HOSizebar"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"2", "/", "5"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TFRadius1", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", " ", 
       RowBox[{"chempot", "/", 
        RowBox[{"(", 
         RowBox[{"MassSr", " ", 
          RowBox[{"omega1", "^", "2"}]}], ")"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TFRadius2", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", " ", 
       RowBox[{"chempot", "/", 
        RowBox[{"(", 
         RowBox[{"MassSr", " ", 
          RowBox[{"omega2", "^", "2"}]}], ")"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TFRadius3", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", " ", 
       RowBox[{"chempot", "/", 
        RowBox[{"(", 
         RowBox[{"MassSr", " ", 
          RowBox[{"omega3", "^", "2"}]}], ")"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R0Init", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"15", "*", "BECN", "*", 
         RowBox[{"aScat", "/", "aHO"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "5"}], ")"}]}], "*", "aHO"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PeakDensity", "=", 
     RowBox[{"chempot", "/", "g"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AverageAtomDistance", "=", 
     RowBox[{"PeakDensity", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "3"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<HOSize1 = \>\"", ",", 
     RowBox[{"HOSize1", " ", 
      RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Mu]m\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<HOSize2 = \>\"", ",", 
     RowBox[{"HOSize2", " ", 
      RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Mu]m\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<HOSize3 = \>\"", ",", 
     RowBox[{"HOSize3", " ", 
      RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Mu]m\>\""}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Chem pot = \>\"", ",", " ", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}], " ", 
      RowBox[{"chempot", "/", "h"}]}], ",", "\"\< kHz\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<TF radius 1 = \>\"", ",", " ", 
     RowBox[{
      RowBox[{"10", "^", "6"}], " ", "TFRadius1"}], ",", "\"\< \[Mu]m\>\""}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<TF radius 2 = \>\"", ",", " ", 
     RowBox[{
      RowBox[{"10", "^", "6"}], " ", "TFRadius2"}], ",", "\"\< \[Mu]m\>\""}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<TF radius 3 = \>\"", ",", " ", 
     RowBox[{
      RowBox[{"10", "^", "6"}], " ", "TFRadius3"}], ",", "\"\< \[Mu]m\>\""}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Peak density = \>\"", ",", 
     RowBox[{"PeakDensity", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<AverageAtomDistance = \>\"", ",", 
     RowBox[{"AverageAtomDistance", " ", 
      RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Mu]m\>\""}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s", "=", 
     RowBox[{"NDSolve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           SubscriptBox["\[PartialD]", "t"], 
           RowBox[{
            SubscriptBox["\[PartialD]", "t"], " ", 
            RowBox[{"Lambda1", "[", "t", "]"}]}]}], " ", "\[Equal]", " ", 
          RowBox[{
           RowBox[{"omega1", "^", "2"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Lambda1", "[", "t", "]"}], 
             RowBox[{"Lambda1", "[", "t", "]"}], 
             RowBox[{"Lambda2", "[", "t", "]"}], 
             RowBox[{"Lambda3", "[", "t", "]"}]}], ")"}]}]}], ",", 
         RowBox[{
          RowBox[{
           SubscriptBox["\[PartialD]", "t"], 
           RowBox[{
            SubscriptBox["\[PartialD]", "t"], " ", 
            RowBox[{"Lambda2", "[", "t", "]"}]}]}], " ", "\[Equal]", " ", 
          RowBox[{
           RowBox[{"omega2", "^", "2"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Lambda2", "[", "t", "]"}], 
             RowBox[{"Lambda1", "[", "t", "]"}], 
             RowBox[{"Lambda2", "[", "t", "]"}], 
             RowBox[{"Lambda3", "[", "t", "]"}]}], ")"}]}]}], ",", 
         RowBox[{
          RowBox[{
           SubscriptBox["\[PartialD]", "t"], 
           RowBox[{
            SubscriptBox["\[PartialD]", "t"], " ", 
            RowBox[{"Lambda3", "[", "t", "]"}]}]}], " ", "\[Equal]", " ", 
          RowBox[{
           RowBox[{"omega3", "^", "2"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Lambda3", "[", "t", "]"}], 
             RowBox[{"Lambda1", "[", "t", "]"}], 
             RowBox[{"Lambda2", "[", "t", "]"}], 
             RowBox[{"Lambda3", "[", "t", "]"}]}], ")"}]}]}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"Lambda1", "[", "t", "]"}], ",", "t"}], "]"}], "/.", 
            RowBox[{"t", "\[Rule]", "0"}]}], ")"}], "\[Equal]", "0"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"Lambda2", "[", "t", "]"}], ",", "t"}], "]"}], "/.", 
            RowBox[{"t", "\[Rule]", "0"}]}], ")"}], "\[Equal]", "0"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"Lambda3", "[", "t", "]"}], ",", "t"}], "]"}], "/.", 
            RowBox[{"t", "\[Rule]", "0"}]}], ")"}], "\[Equal]", "0"}], ",", 
         RowBox[{
          RowBox[{"Lambda1", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
         RowBox[{
          RowBox[{"Lambda2", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
         RowBox[{
          RowBox[{"Lambda3", "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Lambda1", ",", "Lambda2", ",", "Lambda3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "TOF"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"10", "^", "6"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"TFRadius1", "  ", 
           RowBox[{"Lambda1", "[", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"-", "3"}]}], " ", "t"}], "]"}]}], ",", 
          RowBox[{"TFRadius2", "  ", 
           RowBox[{"Lambda2", "[", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"-", "3"}]}], " ", "t"}], "]"}]}], ",", 
          RowBox[{"TFRadius3", "  ", 
           RowBox[{"Lambda3", "[", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"-", "3"}]}], " ", "t"}], "]"}]}]}], "}"}]}], "/.", 
       "s"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{
        RowBox[{"10", "^", "3"}], " ", "TOF"}]}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FinalLambda1", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Lambda1", "[", "t", "]"}], "/.", "s"}], ")"}], "/.", 
      RowBox[{"t", "->", "TOF"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FinalLambda2", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Lambda2", "[", "t", "]"}], "/.", "s"}], ")"}], "/.", 
      RowBox[{"t", "->", "TOF"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FinalLambda3", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Lambda3", "[", "t", "]"}], "/.", "s"}], ")"}], "/.", 
      RowBox[{"t", "->", "TOF"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ExpandedTFRadius1", "=", 
     RowBox[{
      RowBox[{"TFRadius1", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Lambda1", "[", "t", "]"}], "/.", "s"}], ")"}]}], "/.", 
      RowBox[{"t", "->", "TOF"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ExpandedTFRadius2", "=", 
     RowBox[{
      RowBox[{"TFRadius2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Lambda2", "[", "t", "]"}], "/.", "s"}], ")"}]}], "/.", 
      RowBox[{"t", "->", "TOF"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ExpandedTFRadius3", "=", 
     RowBox[{
      RowBox[{"TFRadius3", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Lambda3", "[", "t", "]"}], "/.", "s"}], ")"}]}], "/.", 
      RowBox[{"t", "->", "TOF"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Expanded TF radius 1 = \>\"", ",", " ", 
     RowBox[{
      RowBox[{"10", "^", "6"}], " ", "ExpandedTFRadius1"}], ",", 
     "\"\< \[Mu]m\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Expanded TF radius 2 = \>\"", ",", " ", 
     RowBox[{
      RowBox[{"10", "^", "6"}], " ", "ExpandedTFRadius2"}], ",", 
     "\"\< \[Mu]m\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Expanded TF radius 3 = \>\"", ",", " ", 
     RowBox[{
      RowBox[{"10", "^", "6"}], "ExpandedTFRadius3"}], ",", 
     "\"\< \[Mu]m\>\""}], "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Benjamin", "'"}], "s", " ", "nomenclature"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]Expo", " ", "=", 
     RowBox[{"First", "[", 
      RowBox[{"expo", "/.", " ", 
       RowBox[{"Quiet", "[", 
        RowBox[{"NSolve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"ExpandedTFRadius2", "/", "ExpandedTFRadius3"}], " ", 
           "\[Equal]", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"omega2", "/", "omega3"}], ")"}], "^", 
            RowBox[{"(", "expo", ")"}]}]}], ",", "expo"}], "]"}], "]"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<\[Omega]Expo = \>\"", ",", "\[Omega]Expo"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R01", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"FinalLambda1", "/", "omega1"}], ")"}], 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"omegabar", "/", "omega1"}], ")"}], "^", "\[Omega]Expo"}], 
       " ", "/", "TOF"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R02", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"FinalLambda2", "/", "omega2"}], ")"}], 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"omegabar", "/", "omega2"}], ")"}], "^", "\[Omega]Expo"}], 
       " ", "/", "TOF"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R03", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"FinalLambda3", "/", "omega3"}], ")"}], 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"omegabar", "/", "omega3"}], ")"}], "^", "\[Omega]Expo"}], 
       " ", "/", "TOF"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<R01 = \>\"", ",", "R01"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<R02 = \>\"", ",", "R02"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<R03 = \>\"", ",", "R03"}], "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzmkowwEABfBhbc5M7pQjs6i5spgRVmxuEWkTuebYCklIiTSTlOSIlGJh
ZSFiJcqUJmyiKDmW2syRDzRTjvB//w+v34f3PryQ6uYiiT2FQgkjAgWvQbEC
2QvflV3GgVUGmglaaDFmqEvo/YX6Nh1dSLj91O0Kd+7GGHDmxt8b9oVvJUOz
pyINKmJrM6ByWJ0LOb8/+VC/elIEi5kjIsgQicshNyGmkuwlrBa4sv9Fyl8I
G4c637cZOJ3XoILWbK4a/q3f62C8T6cBHmk0Z/C8ovQS2miqO3h4/mkif9jt
PcK5Y5sNpk8dfUOj0EiaKLf8wY1IL0omoViaRYUtt6F0OCD7cIatGV7+kNpn
CoSjjKhg6MCTs2HTYnQ8bDwQ8yBzd6kSngiUUqgpsJIqa6jLcLwkcwV21VM3
oVZCJz09e9qFcUPuWqjwkOkhu8l6Ax05PY/kL3nkC1QL+wOyCA11tUFwxP6H
CR88jCxI185y4Sl/IhX68YILoHVSVUjuefOibEKp97MMKpv32mH4xWAHfI6I
uILXSSwLTHEzv0OHNSeXHMJ/96Ibmw==
  "],
 CellLabel->
  "In[1048]:=",ExpressionUUID->"6a25db0f-3a4e-434e-91eb-3142bb7594c5"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"HOSize1 = \"\>", "\[InvisibleSpace]", "0.6038470996261106`", 
   "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["HOSize1 = ", 0.6038470996261106, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.8143488893384185`*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"44148c26-02ee-47b3-b1e9-0269702d68b1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"HOSize2 = \"\>", "\[InvisibleSpace]", "0.4032441677161815`", 
   "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["HOSize2 = ", 0.4032441677161815, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.8143488893404045`*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"eb28ae63-0fea-4e8a-8b28-b18070b4e805"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"HOSize3 = \"\>", "\[InvisibleSpace]", "0.6180572108667092`", 
   "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["HOSize3 = ", 0.6180572108667092, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.814348889341403*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"d877ce31-5cc3-43e3-a655-f268db28c9f2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Chem pot = \"\>", "\[InvisibleSpace]", "4.574543212437795`", 
   "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm["Chem pot = ", 4.574543212437795, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.814348889344282*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"d7a817c1-8531-49c2-ad82-05dba0d2254f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"TF radius 1 = \"\>", "\[InvisibleSpace]", "3.179500369267846`",
    "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["TF radius 1 = ", 3.179500369267846, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.814348889345279*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"ceb01dcf-60cf-4c99-8f1d-e638c330e997"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"TF radius 2 = \"\>", "\[InvisibleSpace]", "1.417885299808634`",
    "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["TF radius 2 = ", 1.417885299808634, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.8143488893462763`*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"12f543d1-aa2b-4f7e-8c8c-94d71efa0806"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"TF radius 3 = \"\>", "\[InvisibleSpace]", "3.330905148756791`",
    "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["TF radius 3 = ", 3.330905148756791, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.814348889347274*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"d57972a5-100b-4cbe-b6c6-874184e705ca"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density = \"\>", "\[InvisibleSpace]", 
   "4.6104906231213594`*^14", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["Peak density = ", 4.6104906231213594`*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.814348889348392*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"2ad862a5-0e34-4a39-858e-e0ab3295dc60"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AverageAtomDistance = \"\>", "\[InvisibleSpace]", 
   "0.12944470366937497`", "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["AverageAtomDistance = ", 0.12944470366937497`, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.814348889351618*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"c0369cec-cd43-476e-9597-400218fa2e58"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVknk81PkDh2kV3zGhcmVIRc4cXxFyfN4Zkg7Xt0MSllLafo5Ix6stQodj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       "]]},
     Annotation[#, "Charting`Private`Tag$38189#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV0Hk81PkfwPHJHZKSeyS5WcdXEVGfNxPWkdyyYb6rsiv9jCKV+rkVYzzC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       "]]},
     Annotation[#, "Charting`Private`Tag$38189#1"]& ], 
    TagBox[
     {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVkGs81PkCxuXIZWYSlpKhaNxl8pdrLr9H0oUSf+m+CKus1pBCpxK55DI+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       "]]},
     Annotation[#, "Charting`Private`Tag$38189#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 18}, {0., 130.4939054465418}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.8143411672138777`*^9, 3.814341240906196*^9, 3.8143412778355064`*^9, {
   3.8143413180505104`*^9, 3.814341325204085*^9}, 3.8143413785965652`*^9, 
   3.8143415130902824`*^9, {3.814341805270853*^9, 3.81434187258383*^9}, 
   3.814341957067088*^9, {3.814342226779377*^9, 3.814342252734524*^9}, {
   3.8143422861537876`*^9, 3.8143422921099916`*^9}, 3.8143428574379377`*^9, {
   3.8143432975319967`*^9, 3.814343307565631*^9}, {3.814343355615283*^9, 
   3.8143434301565638`*^9}, 3.814344051068651*^9, 3.814344104819356*^9, 
   3.8143441485252013`*^9, 3.8143441929125085`*^9, {3.8143444179971423`*^9, 
   3.8143444245703754`*^9}, 3.814344546875983*^9, 3.814345015680049*^9, {
   3.814345168867423*^9, 3.814345178615517*^9}, 3.814345213881047*^9, {
   3.8143485601770267`*^9, 3.814348571379609*^9}, {3.814348874222806*^9, 
   3.814348889392351*^9}},
 CellLabel->
  "Out[1086]=",ExpressionUUID->"9f809526-66eb-4359-827e-49a18fe8e803"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Expanded TF radius 1 = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "77.80501115679807`", "}"}], 
   "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["Expanded TF radius 1 = ", {77.80501115679807}, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.814348889395339*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"b8e25ae2-0f61-492f-94ea-83a44b938ef2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Expanded TF radius 2 = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "130.49390811197046`", "}"}], 
   "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["Expanded TF radius 2 = ", {130.49390811197046`}, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.814348889397334*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"2a77aa9f-f0a1-40e7-9e22-fd9c9641397a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Expanded TF radius 3 = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "75.30749624726464`", "}"}], 
   "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["Expanded TF radius 3 = ", {75.30749624726464}, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.814348889401639*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"8edf3fc2-1227-42f9-8b9f-cad4a2ae01c9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[Omega]Expo = \"\>", "\[InvisibleSpace]", 
   "0.6436732409400288`"}],
  SequenceForm["\[Omega]Expo = ", 0.6436732409400288],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.8143488894036446`*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"b1f79a4b-7498-4029-bc5c-c960911cbe55"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"R01 = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "0.771963559369005`", "}"}]}],
  SequenceForm["R01 = ", {0.771963559369005}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.8143488894083767`*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"6ddba51c-be36-4587-be00-e9a658fecace"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"R02 = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "0.7698955659359095`", "}"}]}],
  SequenceForm["R02 = ", {0.7698955659359095}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.8143488894093485`*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"b16759fe-cddc-463c-9945-6bba4cebf7c6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"R03 = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "0.7698955659359092`", "}"}]}],
  SequenceForm["R03 = ", {0.7698955659359092}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8143428573990917`*^9, {3.814343297535984*^9, 3.8143433075213766`*^9}, {
   3.8143433555693817`*^9, 3.8143434301115117`*^9}, 3.8143440510135927`*^9, 
   3.814344104762665*^9, 3.814344148463084*^9, 3.8143441928646345`*^9, {
   3.8143444179374003`*^9, 3.8143444245172415`*^9}, 3.8143445468046045`*^9, 
   3.81434501563183*^9, {3.814345168818327*^9, 3.814345178560393*^9}, 
   3.81434521383504*^9, {3.81434856011873*^9, 3.8143485713271685`*^9}, {
   3.814348874166541*^9, 3.814348889410385*^9}},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"3b1d622f-f94b-4017-ba30-b769880f631d"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{"cross", "-", 
   RowBox[{"check", " ", "\"\<Laser cooling to BEC\>\""}]}], 
  "Subchapter"]], "Input",
 CellChangeTimes->{{3.8143435806982956`*^9, 
  3.8143435919414625`*^9}},ExpressionUUID->"1b5391ba-5506-42fe-9eb4-\
6980ebf36435"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mp", "=", 
   RowBox[{"1.66053906660", " ", 
    RowBox[{"10", "^", 
     RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MassSr", "=", 
   RowBox[{"84", "*", "mp"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gravity", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"my", "=", 
   RowBox[{"9.274009994", " ", 
    RowBox[{"10", "^", 
     RowBox[{"-", "24"}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"kb", "=", 
   RowBox[{"1.380649", " ", 
    RowBox[{"10", "^", 
     RowBox[{"-", "23"}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"h", "=", 
   RowBox[{"6.62607015", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "34"}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"hbar", "=", 
   RowBox[{"h", "/", 
    RowBox[{"(", 
     RowBox[{"2", "*", "Pi"}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"a0", "=", 
   RowBox[{"5.29177210903", " ", 
    RowBox[{"10", "^", 
     RowBox[{"-", "11"}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"124", " ", "a0"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sigmaEl", "=", 
    RowBox[{"8", "*", "Pi", "*", 
     RowBox[{"a", "^", "2"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g", "=", 
    RowBox[{"4", "Pi", " ", 
     RowBox[{"hbar", "^", "2"}], " ", 
     RowBox[{"a", "/", "MassSr"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"omega1", "=", 
   RowBox[{"2", " ", "Pi", " ", "244"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"omega2", "=", " ", 
   RowBox[{"2", "Pi", " ", "247"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"omega3", "=", 
   RowBox[{"2", "Pi", " ", "624"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"omegabar", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"omega1", " ", "omega2", " ", "omega3"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1", "/", "3"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AtomNumber", "=", 
   RowBox[{"111", " ", 
    RowBox[{"10", "^", "3"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TOF", "=", 
   RowBox[{"18", " ", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"chempot", "=", 
   RowBox[{"0.5", "  ", "hbar", " ", "omegabar", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"15", " ", "AtomNumber", " ", "a", " ", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"MassSr", " ", 
         RowBox[{"omegabar", "/", "hbar"}]}], "]"}]}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"2", "/", "5"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TFRadius1", "=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"2", " ", 
     RowBox[{"chempot", "/", 
      RowBox[{"(", 
       RowBox[{"MassSr", " ", 
        RowBox[{"omega1", "^", "2"}]}], ")"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TFRadius2", "=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"2", " ", 
     RowBox[{"chempot", "/", 
      RowBox[{"(", 
       RowBox[{"MassSr", " ", 
        RowBox[{"omega2", "^", "2"}]}], ")"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TFRadius3", "=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"2", " ", 
     RowBox[{"chempot", "/", 
      RowBox[{"(", 
       RowBox[{"MassSr", " ", 
        RowBox[{"omega3", "^", "2"}]}], ")"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PeakDensity", "=", 
    RowBox[{"chempot", "/", "g"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Chem pot = \>\"", ",", " ", 
   RowBox[{
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}], " ", 
    RowBox[{"chempot", "/", "h"}]}], ",", "\"\< kHz\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<TF radius 1 = \>\"", ",", " ", 
   RowBox[{
    RowBox[{"10", "^", "6"}], " ", "TFRadius1"}], ",", "\"\< \[Mu]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<TF radius 2 = \>\"", ",", " ", 
   RowBox[{
    RowBox[{"10", "^", "6"}], " ", "TFRadius2"}], ",", "\"\< \[Mu]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<TF radius 3 = \>\"", ",", " ", 
   RowBox[{
    RowBox[{"10", "^", "6"}], " ", "TFRadius3"}], ",", "\"\< \[Mu]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Peak density = \>\"", ",", 
    RowBox[{"PeakDensity", " ", 
     RowBox[{"10", "^", 
      RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", "t"], 
         RowBox[{
          SubscriptBox["\[PartialD]", "t"], " ", 
          RowBox[{"Lambda1", "[", "t", "]"}]}]}], " ", "\[Equal]", " ", 
        RowBox[{
         RowBox[{"omega1", "^", "2"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Lambda1", "[", "t", "]"}], 
           RowBox[{"Lambda1", "[", "t", "]"}], 
           RowBox[{"Lambda2", "[", "t", "]"}], 
           RowBox[{"Lambda3", "[", "t", "]"}]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", "t"], 
         RowBox[{
          SubscriptBox["\[PartialD]", "t"], " ", 
          RowBox[{"Lambda2", "[", "t", "]"}]}]}], " ", "\[Equal]", " ", 
        RowBox[{
         RowBox[{"omega2", "^", "2"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Lambda2", "[", "t", "]"}], 
           RowBox[{"Lambda1", "[", "t", "]"}], 
           RowBox[{"Lambda2", "[", "t", "]"}], 
           RowBox[{"Lambda3", "[", "t", "]"}]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", "t"], 
         RowBox[{
          SubscriptBox["\[PartialD]", "t"], " ", 
          RowBox[{"Lambda3", "[", "t", "]"}]}]}], " ", "\[Equal]", " ", 
        RowBox[{
         RowBox[{"omega3", "^", "2"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Lambda3", "[", "t", "]"}], 
           RowBox[{"Lambda1", "[", "t", "]"}], 
           RowBox[{"Lambda2", "[", "t", "]"}], 
           RowBox[{"Lambda3", "[", "t", "]"}]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"Lambda1", "[", "t", "]"}], ",", "t"}], "]"}], "/.", 
          RowBox[{"t", "\[Rule]", "0"}]}], ")"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"Lambda2", "[", "t", "]"}], ",", "t"}], "]"}], "/.", 
          RowBox[{"t", "\[Rule]", "0"}]}], ")"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"Lambda3", "[", "t", "]"}], ",", "t"}], "]"}], "/.", 
          RowBox[{"t", "\[Rule]", "0"}]}], ")"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"Lambda1", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
       RowBox[{
        RowBox[{"Lambda2", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
       RowBox[{
        RowBox[{"Lambda3", "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Lambda1", ",", "Lambda2", ",", "Lambda3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "TOF"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Lambda1", "[", "t", "]"}], ",", 
       RowBox[{"Lambda2", "[", "t", "]"}], ",", 
       RowBox[{"Lambda3", "[", "t", "]"}]}], "}"}], "/.", "s"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "TOF"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExpandedTFRadius1", "=", 
   RowBox[{
    RowBox[{"TFRadius1", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Lambda1", "[", "t", "]"}], "/.", "s"}], ")"}]}], "/.", 
    RowBox[{"t", "->", "TOF"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExpandedTFRadius2", "=", 
   RowBox[{
    RowBox[{"TFRadius2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Lambda2", "[", "t", "]"}], "/.", "s"}], ")"}]}], "/.", 
    RowBox[{"t", "->", "TOF"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExpandedTFRadius3", "=", 
   RowBox[{
    RowBox[{"TFRadius3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Lambda3", "[", "t", "]"}], "/.", "s"}], ")"}]}], "/.", 
    RowBox[{"t", "->", "TOF"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Expanded TF radius 1 = \>\"", ",", " ", 
   RowBox[{
    RowBox[{"10", "^", "6"}], " ", "ExpandedTFRadius1"}], ",", 
   "\"\< \[Mu]m\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Expanded TF radius 2 = \>\"", ",", " ", 
   RowBox[{
    RowBox[{"10", "^", "6"}], " ", "ExpandedTFRadius2"}], ",", 
   "\"\< \[Mu]m\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Expanded TF radius 3 = \>\"", ",", " ", 
   RowBox[{
    RowBox[{"10", "^", "6"}], "ExpandedTFRadius3"}], ",", "\"\< \[Mu]m\>\""}],
   "]"}]}], "Input",
 CellChangeTimes->{{3.81434368113355*^9, 3.8143437358078585`*^9}, {
  3.8143439322732725`*^9, 3.814343982572634*^9}, {3.814344096237894*^9, 
  3.8143440963147974`*^9}},
 CellLabel->
  "In[492]:=",ExpressionUUID->"fee402bf-68d6-4fbd-a85c-801599f4c922"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Chem pot = \"\>", "\[InvisibleSpace]", "8.479686426129332`", 
   "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm["Chem pot = ", 8.479686426129332, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8143437410695057`*^9, 3.814343986385384*^9, 
  3.8143440593741817`*^9, 3.8143441115604854`*^9},
 CellLabel->
  "During evaluation of \
In[492]:=",ExpressionUUID->"dd6170a5-cab7-4a83-bb00-40da869e521c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"TF radius 1 = \"\>", "\[InvisibleSpace]", "5.854624184204666`",
    "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["TF radius 1 = ", 5.854624184204666, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8143437410695057`*^9, 3.814343986385384*^9, 
  3.8143440593741817`*^9, 3.8143441115664387`*^9},
 CellLabel->
  "During evaluation of \
In[492]:=",ExpressionUUID->"30e0b3d6-72c2-4ed3-9129-c1140b992145"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"TF radius 2 = \"\>", "\[InvisibleSpace]", "5.783515388445095`",
    "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["TF radius 2 = ", 5.783515388445095, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8143437410695057`*^9, 3.814343986385384*^9, 
  3.8143440593741817`*^9, 3.814344111570428*^9},
 CellLabel->
  "During evaluation of \
In[492]:=",ExpressionUUID->"6091b20b-09ac-40f6-8482-8a9ab88592c1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"TF radius 3 = \"\>", "\[InvisibleSpace]", 
   "2.2893081745928496`", "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["TF radius 3 = ", 2.2893081745928496`, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8143437410695057`*^9, 3.814343986385384*^9, 
  3.8143440593741817`*^9, 3.8143441115741405`*^9},
 CellLabel->
  "During evaluation of \
In[492]:=",ExpressionUUID->"7ef1bc6c-2eb7-4632-b012-5315379454b2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density = \"\>", "\[InvisibleSpace]", 
   "8.546321007173212`*^14", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["Peak density = ", 8.546321007173212*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8143437410695057`*^9, 3.814343986385384*^9, 
  3.8143440593741817`*^9, 3.814344111577132*^9},
 CellLabel->
  "During evaluation of \
In[492]:=",ExpressionUUID->"ac0202be-3ea3-419c-becc-3d6d393ac7fc"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVx3k81PkfwHG3CbGOhuQYFjOMmK8jk5j3Z0buJClXyZF2iR1XCVvCOBIx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       "]]},
     Annotation[#, "Charting`Private`Tag$28966#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV0Hk81PseBnBbDMmYCIlhMGYs4YeOfT5f+xpCOpQXSQfRyMneag2R8XMb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       "]]},
     Annotation[#, "Charting`Private`Tag$28966#1"]& ], 
    TagBox[
     {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVx3k8lPsewHH7liVZc6yFkSQzKSPM92enyfpIoQmZDsJYsgwtColraTxO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       "]]},
     Annotation[#, "Charting`Private`Tag$28966#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->NCache[{{0, 
      Rational[9, 500]}, {0., 79.52692207623427}}, {{0, 0.018}, {0., 
     79.52692207623427}}],
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.814343741120002*^9, 3.8143439864453015`*^9, 
  3.8143440594287214`*^9, 3.814344111608564*^9},
 CellLabel->
  "Out[521]=",ExpressionUUID->"17c97eeb-d3c0-494f-b8d9-af6970a4c465"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Expanded TF radius 1 = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "100.66162980235141`", "}"}], 
   "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["Expanded TF radius 1 = ", {100.66162980235141`}, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8143437410695057`*^9, 3.814343986385384*^9, 
  3.8143440593741817`*^9, 3.814344111616543*^9},
 CellLabel->
  "During evaluation of \
In[492]:=",ExpressionUUID->"a16cab19-4dbb-42b0-b3a7-aae534c2411c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Expanded TF radius 2 = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "101.50658751120334`", "}"}], 
   "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["Expanded TF radius 2 = ", {101.50658751120334`}, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8143437410695057`*^9, 3.814343986385384*^9, 
  3.8143440593741817`*^9, 3.814344111618537*^9},
 CellLabel->
  "During evaluation of \
In[492]:=",ExpressionUUID->"311114f3-daa8-4dd1-b0b4-27363b0fd592"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Expanded TF radius 3 = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "182.06163653194585`", "}"}], 
   "\[InvisibleSpace]", "\<\" \[Mu]m\"\>"}],
  SequenceForm["Expanded TF radius 3 = ", {182.06163653194585`}, " \[Mu]m"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8143437410695057`*^9, 3.814343986385384*^9, 
  3.8143440593741817`*^9, 3.814344111621529*^9},
 CellLabel->
  "During evaluation of \
In[492]:=",ExpressionUUID->"70f3353d-7227-426d-872e-61a6621a5777"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{732, 996},
WindowMargins->{{Automatic, -1397}, {Automatic, 0}},
FrontEndVersion->"11.3 for Microsoft Windows (64-bit) (March 6, 2018)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 249, 7, 78, "Input",ExpressionUUID->"91feb33c-2f05-42f1-863c-0254d8f87172"],
Cell[810, 29, 356, 10, 32, "Input",ExpressionUUID->"08ed8526-4d4e-4811-b3c9-f168e0e4d214"],
Cell[CellGroupData[{
Cell[1191, 43, 16699, 464, 1549, "Input",ExpressionUUID->"6a25db0f-3a4e-434e-91eb-3142bb7594c5"],
Cell[CellGroupData[{
Cell[17915, 511, 871, 16, 22, "Print",ExpressionUUID->"44148c26-02ee-47b3-b1e9-0269702d68b1"],
Cell[18789, 529, 871, 16, 22, "Print",ExpressionUUID->"eb28ae63-0fea-4e8a-8b28-b18070b4e805"],
Cell[19663, 547, 869, 16, 22, "Print",ExpressionUUID->"d877ce31-5cc3-43e3-a655-f268db28c9f2"],
Cell[20535, 565, 863, 16, 22, "Print",ExpressionUUID->"d7a817c1-8531-49c2-ad82-05dba0d2254f"],
Cell[21401, 583, 875, 16, 22, "Print",ExpressionUUID->"ceb01dcf-60cf-4c99-8f1d-e638c330e997"],
Cell[22279, 601, 877, 16, 22, "Print",ExpressionUUID->"12f543d1-aa2b-4f7e-8c8c-94d71efa0806"],
Cell[23159, 619, 875, 16, 22, "Print",ExpressionUUID->"d57972a5-100b-4cbe-b6c6-874184e705ca"],
Cell[24037, 637, 886, 16, 24, "Print",ExpressionUUID->"2ad862a5-0e34-4a39-858e-e0ab3295dc60"],
Cell[24926, 655, 896, 16, 22, "Print",ExpressionUUID->"c0369cec-cd43-476e-9597-400218fa2e58"]
}, Open  ]],
Cell[25837, 674, 9807, 183, 237, "Output",ExpressionUUID->"9f809526-66eb-4359-827e-49a18fe8e803"],
Cell[CellGroupData[{
Cell[35669, 861, 919, 17, 22, "Print",ExpressionUUID->"b8e25ae2-0f61-492f-94ea-83a44b938ef2"],
Cell[36591, 880, 922, 17, 22, "Print",ExpressionUUID->"2a77aa9f-f0a1-40e7-9e22-fd9c9641397a"],
Cell[37516, 899, 919, 17, 22, "Print",ExpressionUUID->"8edf3fc2-1227-42f9-8b9f-cad4a2ae01c9"],
Cell[38438, 918, 830, 16, 22, "Print",ExpressionUUID->"b1f79a4b-7498-4029-bc5c-c960911cbe55"],
Cell[39271, 936, 832, 16, 22, "Print",ExpressionUUID->"6ddba51c-be36-4587-be00-e9a658fecace"],
Cell[40106, 954, 834, 16, 22, "Print",ExpressionUUID->"b16759fe-cddc-463c-9945-6bba4cebf7c6"],
Cell[40943, 972, 832, 16, 22, "Print",ExpressionUUID->"3b1d622f-f94b-4017-ba30-b769880f631d"]
}, Open  ]]
}, Open  ]],
Cell[41802, 992, 268, 7, 49, "Input",ExpressionUUID->"1b5391ba-5506-42fe-9eb4-6980ebf36435"],
Cell[CellGroupData[{
Cell[42095, 1003, 9755, 285, 865, "Input",ExpressionUUID->"fee402bf-68d6-4fbd-a85c-801599f4c922"],
Cell[CellGroupData[{
Cell[51875, 1292, 463, 10, 22, "Print",ExpressionUUID->"dd6170a5-cab7-4a83-bb00-40da869e521c"],
Cell[52341, 1304, 475, 10, 22, "Print",ExpressionUUID->"30e0b3d6-72c2-4ed3-9129-c1140b992145"],
Cell[52819, 1316, 473, 10, 22, "Print",ExpressionUUID->"6091b20b-09ac-40f6-8482-8a9ab88592c1"],
Cell[53295, 1328, 478, 10, 22, "Print",ExpressionUUID->"7ef1bc6c-2eb7-4632-b012-5315379454b2"],
Cell[53776, 1340, 481, 10, 24, "Print",ExpressionUUID->"ac0202be-3ea3-419c-becc-3d6d393ac7fc"]
}, Open  ]],
Cell[54272, 1353, 9225, 176, 240, "Output",ExpressionUUID->"17c97eeb-d3c0-494f-b8d9-af6970a4c465"],
Cell[CellGroupData[{
Cell[63522, 1533, 520, 11, 22, "Print",ExpressionUUID->"a16cab19-4dbb-42b0-b3a7-aae534c2411c"],
Cell[64045, 1546, 520, 11, 22, "Print",ExpressionUUID->"311114f3-daa8-4dd1-b0b4-27363b0fd592"],
Cell[64568, 1559, 520, 11, 22, "Print",ExpressionUUID->"70f3353d-7227-426d-872e-61a6621a5777"]
}, Open  ]]
}, Open  ]]
}
]
*)

