(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    170090,       4302]
NotebookOptionsPosition[    165051,       4154]
NotebookOutlinePosition[    165395,       4169]
CellTagsIndexPosition[    165352,       4166]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 StyleBox[
  RowBox[{"BEC", " ", "MASTER", " ", "EQUATION"}], "Title"]], "Input",
 CellChangeTimes->{{3.7974339959887886`*^9, 3.7974340015211525`*^9}, {
  3.7985213795078115`*^9, 3.7985213891156*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.7985215005073547`*^9, 3.79852150632847*^9}, 
   3.798623365937951*^9}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Load", " ", "data"}], "Section"]], "Input",
 CellChangeTimes->{{3.797740103264415*^9, 3.797740106154433*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"data", "=", 
     RowBox[{
     "Import", "[", 
      "\"\<C:\\\\Users\\\\Robertek\\\\surfdrive\\\\BEC\\\\AllResults_Summary_\
S43S49_CCformat.xlsx\>\"", "]"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"data", "=", 
    RowBox[{"Import", "[", 
     RowBox[{
      RowBox[{"Directory", "[", "]"}], "<>", 
      "\"\<\\\\AllResults_Summary_S43S49_CCformat.xlsx\>\""}], "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.788784028717837*^9, 3.788784036101486*^9}, 
   3.7887854984861135`*^9, {3.795365021594395*^9, 3.7953650559244175`*^9}, {
   3.7953650892159233`*^9, 3.795365098145215*^9}, {3.795405656400421*^9, 
   3.795405658593975*^9}, {3.7994903021323357`*^9, 3.799490304542051*^9}, {
   3.799490445851912*^9, 3.799490456577488*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tdata", "=", 
   RowBox[{"data", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", 
      RowBox[{"2", ";;", 
       RowBox[{"-", "1"}]}], ",", "2"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NBECdata", "=", 
   RowBox[{"data", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", 
      RowBox[{"2", ";;", 
       RowBox[{"-", "1"}]}], ",", "3"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NDdata", "=", 
   RowBox[{"data", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", 
      RowBox[{"2", ";;", 
       RowBox[{"-", "1"}]}], ",", "13"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NRdata", "=", 
   RowBox[{"data", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", 
      RowBox[{"2", ";;", 
       RowBox[{"-", "1"}]}], ",", "15"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NCrossdata", "=", 
   RowBox[{"data", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", 
      RowBox[{"2", ";;", 
       RowBox[{"-", "1"}]}], ",", "17"}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7953651454776516`*^9, 3.7953652340490036`*^9}, {
  3.7953652761527367`*^9, 3.7953653196974797`*^9}, {3.795365823542182*^9, 
  3.795365890665569*^9}, {3.7953659248156977`*^9, 3.795365936866192*^9}, {
  3.795366103816167*^9, 3.7953661169504547`*^9}, {3.795366357124156*^9, 
  3.7953663588953943`*^9}, {3.795405663655137*^9, 3.79540567206409*^9}, {
  3.7954057033341846`*^9, 3.79540570675058*^9}, {3.7954058296388273`*^9, 
  3.7954058367838426`*^9}, {3.7954059974544945`*^9, 3.7954060018155746`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"order", "=", 
   RowBox[{"Ordering", "[", "tdata", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tdata", "=", 
   RowBox[{"tdata", "[", 
    RowBox[{"[", "order", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NBECdata", "=", 
   RowBox[{"NBECdata", "[", 
    RowBox[{"[", "order", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NRdata", "=", 
   RowBox[{"NRdata", "[", 
    RowBox[{"[", "order", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NDdata", "=", 
   RowBox[{"NDdata", "[", 
    RowBox[{"[", "order", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NCrossdata", "=", 
   RowBox[{"NCrossdata", "[", 
    RowBox[{"[", "order", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.795366113293872*^9, 3.7953661382740145`*^9}, {
  3.7954056770306168`*^9, 3.795405682696581*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Rescale", " ", "the", " ", "time", " ", "axis", " ", "to", " ", "s"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"NBECdata", "=", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "tdata", "}"}], ",", 
        RowBox[{"{", "NBECdata", "}"}]}], "]"}], "//", "Transpose"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NRdata", "=", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "tdata", "}"}], ",", 
        RowBox[{"{", "NRdata", "}"}]}], "]"}], "//", "Transpose"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NDdata", "=", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "tdata", "}"}], ",", 
        RowBox[{"{", "NDdata", "}"}]}], "]"}], "//", "Transpose"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NCrossdata", "=", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "tdata", "}"}], ",", 
        RowBox[{"{", "NCrossdata", "}"}]}], "]"}], "//", "Transpose"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECdataResc", "=", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"NBECdata", "[", 
           RowBox[{"[", 
            RowBox[{";;", ",", "1"}], "]"}], "]"}], "/", "1000"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"NBECdata", "[", 
          RowBox[{"[", 
           RowBox[{";;", ",", "2"}], "]"}], "]"}], "}"}]}], "]"}], "//", 
      "Transpose"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NRdataResc", "=", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"NRdata", "[", 
           RowBox[{"[", 
            RowBox[{";;", ",", "1"}], "]"}], "]"}], "/", "1000"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"NRdata", "[", 
          RowBox[{"[", 
           RowBox[{";;", ",", "2"}], "]"}], "]"}], "}"}]}], "]"}], "//", 
      "Transpose"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NDdataResc", "=", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"NDdata", "[", 
           RowBox[{"[", 
            RowBox[{";;", ",", "1"}], "]"}], "]"}], "/", "1000"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"NDdata", "[", 
          RowBox[{"[", 
           RowBox[{";;", ",", "2"}], "]"}], "]"}], "}"}]}], "]"}], "//", 
      "Transpose"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7953661422288203`*^9, 3.7953661556272974`*^9}, {
   3.7954056865983353`*^9, 3.795405692212301*^9}, {3.795414484886862*^9, 
   3.7954145070144725`*^9}, {3.7954145964422064`*^9, 3.795414632021329*^9}, {
   3.795711676401955*^9, 3.795711705984853*^9}, {3.7977401490407248`*^9, 
   3.7977401607670407`*^9}, 3.7977402050432997`*^9, 3.7978585442027025`*^9, 
   3.7985214622613335`*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"fs", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"plotBEC", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", "NBECdataResc", "}"}], "\[IndentingNewLine]", ",", 
    RowBox[{"PlotMarkers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", "10"}], "}"}]}], "\[IndentingNewLine]", ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", "Orange", "}"}]}], "\[IndentingNewLine]", ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"FontSize", "\[Rule]", "fs"}], "]"}]}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<t [s]\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "fs"}]}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(BEC\)]\)\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "fs"}]}], "]"}]}], "}"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7985215900634947`*^9, 3.79852159891278*^9}}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJzt1fs31HkYB/Chcc2qtl1K6ex0kggl7HZUPp+y6SKFtLJSStGmmlG5ZSKX
XFp71qCpYZJIuXQjjEvGZZhxm2JkuqiGoVy6GZal1C76zmP/g/3Fc86cOa/z
OfP9Ps9zPmfelANUx0OKJBJpYPwz8W1svfCN9EcdtOkPF8n+EBmSO2KU5+h2
QQmfYxWGHMrIQkoR5vlXdZzQKdEn/uOUYiTIlonsDtijbHcnR/3UKc810vQK
tuAhTri16a/jfns8pS8uuQ4JNAYnzxd/HvZtZ9eh5TU7DYJaO5B0tzanmdSE
ll+PX7r+SDDacVoy8sysBbnv0Nv48xNlPNK1/6rYvAXFrt3tuox/EJck37Ds
8hSjN8+TNNkh2Ui/jEp/x3oK799rW6uyLvkpmqcnM+rc2YkSX/7EHW58jjy9
vVsmzkmT1Y5yMyJX53REga3Zxx44O36D5W4lnve1v3ZkukZS72cxhrRit/aR
zTuR1I7ml7nKDG8pP6O72us1UtflGpA99HASa6J6UQPxe7lDcr6aPnDX3jup
F82OtPn+vI0buqPXFZ4ifIusQukk6pAX8rn5e9thUj+8X26ZjfKTqefJUHQu
re2/VssqHTu1goavSbiabLNBpKhqZ8T4vAd7eU7UMDqzIJW61icCTLZ2n/9d
Uxp+/O3A+ofj7mguVQhckgo+rXk5gcKOB3v+Imzufzt1Hp0o3JYbfAm8Ma6q
dehkKv7a7wgyDNtzJE35BLh1/omxex5scOThvFFjtQvgbgdP3tE16VjdRs9X
MWkU+ZX1SLeduwb2T15WKYnOAr+gGa70r2aCLYeZc97fuQEeK1fVsNUvxGaT
9QnZZ4efCTyWB04Mpc/nvLxL7OsTMkkJ+HMoMBMctSgmZYU0Byx4t5Vl75YI
3jSzcOltSgG2CtydaSEcQ0yXA9wNW/LBI8EDs4wtK8A64sGCZ3kZYPX3S7Y9
9rwHNs+6G6X1VyGxzy+owvCsON8uD8wtv7jXiswD08knC0o6S4n7SsKs0tJV
pAU1YCdtt4DeBVV4tbjmmPm4ldJyQltMi8ESd3HK4u2VYOF2/que3hJwmwP1
6Uh2BVZKj7dUEJLwzMKL8/Ru5YKZrlYoL6oIrBUTzjBRLMIi6j6VBywF/I6S
EdrmwgGfS6fEhcVXggONCkIEXC7Yw3ezd/FHAXE/FXERQ+H9oRgueBd9UWZ9
fzW+stboUdK4EzKv8YUmNWDnVl1XjY9l4Gjuq7CEvDJ8VG001ctsBua8jvni
vbAcbBzS4FJVUA0+ToqK8WVywT0Z5/2iJUVgkYxRV28r3ycZf/iN5cdhl2Fh
40SRsXfIZufqXdVgrRf0MB+fWmI/ZFwj8Bfb9vLAak7ZVpEPueAfnsf2zsgr
IfahhO0EPUaMI/J5lXHDs/6BWWZlYBmb4frClAuOS4+8EOVeS9xvFWwedPDs
UGsjeETsEGAYK59XBTcFaHP/5lQQ86hiaT+PKVlUC2b0Mf/RH5w6txBJ8ufu
5xP9qmKqS323jno98X+nhnFHs+xJIR9c8FF06VGHgJhHDbeomzbqOleA1xht
V6B088BJihdfMVqKiXnUsWY7ndZ9uIrodyZ27zXQNQxvAF8n299OwxzwPmnV
MvZpPnH/NfDnIH5SKo0HTvZXZnjMFRD9a+CbjC7K5Rt14JW41GRMKt+3Jl7c
svzLWbNa8NZbO9d9qK0BJ1Bb59E5DXgyLUmzMSmIZXC/kQ/udLkf2/xwyskO
sUHtzDrcx7kzo7txNhaXN2mXdFXiwgh60z3WHNxHy74iUhLg6TyezuPpPJ7O
4+k8ns7j6Tz+//P4X8TT91g=
   "], {
    {RGBColor[1, 0.5, 0], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 122], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 123], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 124], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 125], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 126], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 127], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 128], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 129], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 130], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 131], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 132], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 133], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 134], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 135], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 136], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 137], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 138], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 139], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 140], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 141], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 142], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 143], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 144], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 145], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 146], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 147], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 148], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 149], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 150], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 151], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 152], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 153], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 154], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 155], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 156], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 157], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 158], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 159], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 160], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 161], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 162], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 163], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 164], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 165], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 166], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 167], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 168], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 169], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 170], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 171], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 172], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 173], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 174], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 175], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 176], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 177], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 178], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 179], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 180], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 181], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 182], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 183], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 184], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 185], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 186], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 187], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 188], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 189], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 190], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 191], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 192], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 193], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 194], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 195], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 196], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 197], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 198], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 199], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 200], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 201], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 202], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 203], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 204], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 205], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 206], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 207], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 208], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 209], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 210], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 211], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 212], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 213], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 214], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 215], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 216], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 217], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 218], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 219], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 220], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 221], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 222], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 223], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 224], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 225], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 226], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 227], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 228], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 229], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 230], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 231], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 232], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 233], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 234], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 235], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 236], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 237], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 238], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 239], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 240], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 241], InsetBox[
      StyleBox["\<\"\[FilledCircle]\"\>",
       StripOnInput->False,
       FontSize->10], 242]}, {}}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  Frame->True,
  FrameLabel->{
    FormBox[
     StyleBox["\"t [s]\"", FontSize -> 20, StripOnInput -> False], 
     TraditionalForm], 
    FormBox[
     StyleBox[
     "\"\\!\\(\\*SubscriptBox[\\(N\\), \\(BEC\\)]\\)\"", FontSize -> 20, 
      StripOnInput -> False], TraditionalForm]},
  FrameStyle->Directive[FontSize -> 20],
  ImageSize->600,
  PlotRange->{{0., 4.4001}, {0., 14763.9179807283}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.7985215834238014`*^9, 3.798521600904152*^9}, 
   3.7986233955448537`*^9}]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{"Input", " ", "Parameters"}], "Section"]], "Input",
 CellChangeTimes->{{3.7977403963755035`*^9, 3.7977404205901546`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Loads", " ", "elementary", " ", "constants"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"nb", "=", 
     RowBox[{
     "NotebookOpen", "[", 
      "\"\<C:\\\\Dokumenty\\\\work\\\\Mathematica\\\\Module_constants.nb\>\"",
       "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"NotebookEvaluate", "[", "nb", "]"}], ";"}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.7977407603063283`*^9, 3.797740769022647*^9}, {
  3.799490477000887*^9, 3.79949049310828*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"amu", "=", 
    RowBox[{"1.660538921", "*", 
     SuperscriptBox["10", 
      RowBox[{"-", "27"}]]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"atomic", " ", "mass", " ", "unit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kB", "=", 
    RowBox[{"1.3806488", "*", 
     SuperscriptBox["10", 
      RowBox[{"-", "23"}]]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Boltzmann", " ", "constant"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"hbar", "=", 
    RowBox[{"1.054571726", "*", 
     SuperscriptBox["10", 
      RowBox[{"-", "34"}]]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"reduced", " ", "Planck", " ", "constant"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a0", "=", 
    RowBox[{"5.29", "*", 
     SuperscriptBox["10", 
      RowBox[{"-", "11"}]]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Bohr", "'"}], "s", " ", "radius"}], " ", 
   "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.799490509073577*^9, 3.799490562228116*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"DATA", " ", "from", " ", "Benjamin", " ", 
   RowBox[{"(", 
    RowBox[{"in", " ", "SI"}], ")"}]}], "Subsection"]], "Input",
 CellChangeTimes->{
  3.795412359625389*^9, {3.7956865798771315`*^9, 3.7956865840290637`*^9}, {
   3.7956866147530217`*^9, 3.7956866166453276`*^9}, 3.7977404108802643`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nBEC", "=", 
   RowBox[{"4.2", " ", 
    SuperscriptBox["10", "20"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NBEC", "=", "11800."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nDexp", "=", 
   RowBox[{"1.7", " ", 
    SuperscriptBox["10", "20"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NDexp", "=", 
   RowBox[{"7", " ", 
    SuperscriptBox["10", "5"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nRexp", "=", 
   RowBox[{"5", " ", 
    SuperscriptBox["10", "18"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NRexp", "=", 
   RowBox[{"8", " ", 
    SuperscriptBox["10", "5"]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.795686599025654*^9, 3.7956867282371244`*^9}, {
   3.7975650695004616`*^9, 3.7975650749411745`*^9}, 3.799484867844166*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Equilibrium", " ", "Temperatures"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"TD", "=", 
     RowBox[{"1.1", " ", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TR", "=", 
     RowBox[{"0.9", " ", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"trap", " ", "frequencies"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]xR", "=", 
     RowBox[{"2", "\[Pi]", " ", "95"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]yR", "=", 
     RowBox[{"2", "\[Pi]", " ", "740"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]zR", "=", 
     RowBox[{"2", "\[Pi]", " ", "14"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]R", "=", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"\[Omega]xR", " ", "\[Omega]yR", " ", "\[Omega]zR"}], ")"}], 
      RowBox[{"1", "/", "3"}]]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]xD", "=", 
     RowBox[{"2", "\[Pi]", " ", "330"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]yD", "=", 
     RowBox[{"2", "\[Pi]", " ", "740"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]zD", "=", 
     RowBox[{"2", "\[Pi]", " ", "315"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]D", "=", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"\[Omega]xD", " ", "\[Omega]yD", " ", "\[Omega]zD"}], ")"}], 
      RowBox[{"1", "/", "3"}]]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Atom", " ", "parameters"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"asc", "=", 
     RowBox[{"123", " ", "a0"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]", "=", 
     RowBox[{"8", "\[Pi]", " ", 
      SuperscriptBox["asc", "2"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mSr84", "=", 
     RowBox[{"84", " ", "amu"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Pump", "/", "scattering"}], " ", "rates"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Gamma]3", "=", 
     RowBox[{"7", " ", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"3", "-", 
       RowBox[{"body", " ", "loss", " ", "in", " ", 
        RowBox[{"Hz", "\[Cross]", 
         SuperscriptBox["\[Mu]m", "6"]}]}]}], ";", " ", 
      RowBox[{
      "from", " ", "thesis", " ", "by", " ", "Martinez", " ", "de", " ", 
       "Escobar"}]}], "  ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Gamma]3SI", "=", 
     RowBox[{"\[Gamma]3", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        SuperscriptBox["10", 
         RowBox[{"-", "6"}]], ")"}], "6"]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalGamma]Rp", "=", 
     RowBox[{"1.7", " ", 
      SuperscriptBox["10", "6"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalGamma]Dp", "=", 
     RowBox[{"0.5", " ", 
      SuperscriptBox["10", "6"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalGamma]RD", "=", "360"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.795711859432927*^9, 3.79571188220201*^9}, {
  3.795712400785723*^9, 3.795712400840763*^9}, {3.7968992237403173`*^9, 
  3.796899236243452*^9}, {3.796899817150168*^9, 3.796899836551879*^9}, {
  3.7977406157621937`*^9, 3.79774063579035*^9}, {3.797740737626293*^9, 
  3.7977407458260975`*^9}, {3.7977407797511992`*^9, 3.797740797013423*^9}, {
  3.7977410308731337`*^9, 3.7977410427695384`*^9}, {3.797741328838567*^9, 
  3.7977413515526147`*^9}, {3.7985218660522814`*^9, 3.7985218772281995`*^9}, {
  3.7985219633644624`*^9, 3.7985220481503315`*^9}, {3.7994856929698987`*^9, 
  3.799485693664384*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "here", " ", "we", " ", "set", " ", "the", " ", "minimum", " ", 
     "energy"}], " ", "-", " ", 
    RowBox[{"bottom", " ", "of", " ", "the", " ", "Dimple"}], " ", "-", " ", 
    RowBox[{"to", " ", "0"}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"El", "=", 
     RowBox[{"kB", " ", "6", " ", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ";"}], "  ", 
   RowBox[{"(*", " ", 
    RowBox[{"botom", " ", "of", " ", "the", " ", "Reservoir"}], " ", "*)"}], 
   "\n", 
   RowBox[{
    RowBox[{"Et", "=", 
     RowBox[{"kB", " ", "6.5", " ", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"threshold", " ", "energy"}], ";", " ", 
      RowBox[{"Et", "=", 
       RowBox[{
       "El", " ", "corresponds", " ", "to", " ", "Dimple", " ", "only"}]}]}], 
     " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"rlimR", "=", 
     SqrtBox[
      RowBox[{"2", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Et", "-", "El"}], ")"}], "/", "mSr84"}], " ", 
       RowBox[{"1", "/", 
        SuperscriptBox["\[Omega]R", "2"]}]}]]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"size", " ", "of", " ", "the", " ", "reservoir"}], " ", "*)"}], 
    "\[IndentingNewLine]"}]}]}]], "Input",
 CellChangeTimes->{{3.7994850052301145`*^9, 3.799485091983406*^9}, {
  3.799485369622471*^9, 3.7994853844669585`*^9}, {3.7994854671073465`*^9, 
  3.7994855045868244`*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Thomas", "-", 
   RowBox[{"Fermi", " ", "profiles"}]}], "Subsection"]], "Input",
 CellChangeTimes->{{3.798110148276576*^9, 3.7981101710546746`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ahoD", "=", 
   SqrtBox[
    RowBox[{"hbar", "/", 
     RowBox[{"(", 
      RowBox[{"mSr84", " ", "\[Omega]D"}], ")"}]}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gD", "=", 
   RowBox[{"4", "\[Pi]", " ", 
    SuperscriptBox["hbar", "2"], 
    RowBox[{"asc", "/", "mSr84"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Mu]D", "=", 
   RowBox[{"hbar", " ", "\[Omega]D", " ", 
    RowBox[{"1", "/", "2"}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"15", " ", "NBEC", " ", 
       RowBox[{"asc", "/", "ahoD"}]}], ")"}], 
     RowBox[{"2", "/", "5"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rx", "=", 
   RowBox[{
    SqrtBox[
     RowBox[{"2", 
      RowBox[{"\[Mu]D", "/", "mSr84"}]}]], 
    RowBox[{"1", "/", "\[Omega]xD"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ry", "=", 
   RowBox[{
    SqrtBox[
     RowBox[{"2", 
      RowBox[{"\[Mu]D", "/", "mSr84"}]}]], 
    RowBox[{"1", "/", "\[Omega]yD"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rz", "=", 
   RowBox[{
    SqrtBox[
     RowBox[{"2", 
      RowBox[{"\[Mu]D", "/", "mSr84"}]}]], 
    RowBox[{"1", "/", "\[Omega]zD"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0", "=", 
    RowBox[{"\[Mu]D", "/", "gD"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Beta]D", "=", 
    RowBox[{"1", "/", 
     RowBox[{"(", 
      RowBox[{"kB", " ", "TD"}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rxth", "=", 
   SqrtBox[
    RowBox[{"2", " ", "kB", " ", 
     RowBox[{"TD", "/", 
      RowBox[{"(", 
       RowBox[{"mSr84", " ", 
        SuperscriptBox["\[Omega]xD", "2"]}], ")"}]}]}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ryth", "=", 
   SqrtBox[
    RowBox[{"2", " ", "kB", " ", 
     RowBox[{"TD", "/", 
      RowBox[{"(", 
       RowBox[{"mSr84", " ", 
        SuperscriptBox["\[Omega]yD", "2"]}], ")"}]}]}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Rzth", "=", 
    SqrtBox[
     RowBox[{"2", " ", "kB", " ", 
      RowBox[{"TD", "/", 
       RowBox[{"(", 
        RowBox[{"mSr84", " ", 
         SuperscriptBox["\[Omega]zD", "2"]}], ")"}]}]}]]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Instantaneous", " ", "profiles"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]Df", "[", "n_List", "]"}], ":=", 
   RowBox[{"hbar", " ", "\[Omega]D", " ", 
    RowBox[{"1", "/", "2"}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"15", " ", "n", " ", 
       RowBox[{"asc", "/", "ahoD"}]}], ")"}], 
     RowBox[{"2", "/", "5"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Rxf", "[", "n_List", "]"}], ":=", 
   RowBox[{
    SqrtBox[
     RowBox[{"2", 
      RowBox[{
       RowBox[{"\[Mu]Df", "[", "n", "]"}], "/", "mSr84"}]}]], 
    RowBox[{"1", "/", "\[Omega]xD"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Ryf", "[", "n_List", "]"}], ":=", 
   RowBox[{
    SqrtBox[
     RowBox[{"2", 
      RowBox[{
       RowBox[{"\[Mu]Df", "[", "n", "]"}], "/", "mSr84"}]}]], 
    RowBox[{"1", "/", "\[Omega]yD"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Rzf", "[", "n_List", "]"}], ":=", 
   RowBox[{
    SqrtBox[
     RowBox[{"2", 
      RowBox[{
       RowBox[{"\[Mu]Df", "[", "n", "]"}], "/", "mSr84"}]}]], 
    RowBox[{"1", "/", "\[Omega]zD"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.798110148946049*^9, {3.7981107008059363`*^9, 3.7981107813954496`*^9}, 
   3.7981114979396696`*^9, {3.7981117598976917`*^9, 3.7981117606562295`*^9}, {
   3.7985221581257367`*^9, 3.798522181008899*^9}, {3.7985398147453127`*^9, 
   3.7985398208005905`*^9}, {3.798623414765442*^9, 3.7986234211739607`*^9}, {
   3.799484461529456*^9, 3.799484462515153*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Volume", " ", "of", " ", "Thomas"}], "-", 
     RowBox[{"Fermi", " ", 
      RowBox[{"ellipsoid", ":", " ", "NBEC"}]}]}], " ", "=", " ", 
    RowBox[{"n0", " ", "vTF", " ", "Rx", " ", "Ry", " ", "Rz"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"vTF", "=", 
   RowBox[{
    RowBox[{"4", "\[Pi]", " ", 
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["r", "2"], 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          SuperscriptBox["r", "2"]}], ")"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "//", 
    "FullSimplify"}]}]}]], "Input",
 CellChangeTimes->{{3.7985222329696245`*^9, 3.798522283190091*^9}, {
  3.798522373939648*^9, 3.7985224267319517`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"8", " ", "\[Pi]"}], "15"]], "Output",
 CellChangeTimes->{3.798522284197803*^9, 3.798522414314186*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Volume", " ", "of", " ", "third", " ", "power", " ", "of", " ", 
     "Thomas"}], "-", 
    RowBox[{"Fermi", " ", "densities"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"vTF3", "=", 
   RowBox[{
    RowBox[{"4", "\[Pi]", " ", 
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["r", "2"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", 
           SuperscriptBox["r", "2"]}], ")"}], "3"]}], ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "//", 
    "FullSimplify"}]}]}]], "Input",
 CellChangeTimes->{{3.7985222993769703`*^9, 3.7985223212574296`*^9}, {
  3.79852241566613*^9, 3.798522415752205*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"64", " ", "\[Pi]"}], "315"]], "Output",
 CellChangeTimes->{3.798522331413603*^9, 3.798522416112443*^9}]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{"3", "-", 
   RowBox[{"body", " ", "loss"}]}], "Subsection"]], "Input",
 CellChangeTimes->{{3.7994851685975065`*^9, 3.7994851710414324`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Effective", " ", "time"}], "-", 
    RowBox[{"dependent", " ", "decay", " ", "rate"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalGamma]3f", "[", "n_Real", "]"}], ":=", 
    RowBox[{"\[Gamma]3SI", " ", 
     RowBox[{"(", 
      RowBox[{"75", "/", 
       RowBox[{"(", 
        RowBox[{"56", " ", 
         SuperscriptBox["\[Pi]", "2"]}], ")"}]}], ")"}], 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Rxf", "[", "n", "]"}], " ", 
          RowBox[{"Ryf", "[", "n", "]"}], " ", 
          RowBox[{"Rzf", "[", "n", "]"}]}], ")"}], "2"], ")"}]}]}]}], 
   ";"}]}]], "Input"],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.7994851566680765`*^9}],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"Test", " ", "Case", " ", "1"}], ":", " ", 
   RowBox[{
    RowBox[{"3", "b"}], "-", 
    RowBox[{"losses", " ", "from", " ", "BEC", " ", "only"}]}]}], 
  "Subtitle"]], "Input",
 CellChangeTimes->{{3.7981765116973467`*^9, 3.798176569512192*^9}, {
  3.7985221619274173`*^9, 3.798522166162411*^9}, {3.798522490435004*^9, 
  3.798522503457206*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Kappa]", "=", 
   RowBox[{
    RowBox[{"1", "/", 
     SuperscriptBox["\[Omega]D", "3"]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"2", "/", "mSr84"}], ")"}], 
     RowBox[{"3", "/", "2"}]], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"hbar", " ", 
       RowBox[{"\[Omega]D", "/", "2"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"15", " ", 
          RowBox[{"asc", "/", "ahoD"}]}], ")"}], 
        RowBox[{"2", "/", "5"}]]}], ")"}], 
     RowBox[{"3", "/", "2"}]]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"cf", ".", " ", "Eq", ".", " ", 
     RowBox[{"(", "35", ")"}]}], " ", 
    RowBox[{"in", " ", "'"}], "note_on", "_SS", "_BEC", 
    RowBox[{"_v1b", ".", 
     RowBox[{"pdf", "'"}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.7985229261289806`*^9, 3.7985229708815985`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"so", " ", "that", " ", "EITHER"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"\[CapitalGamma]3p", "=", 
    RowBox[{"\[Gamma]3SI", " ", 
     RowBox[{"(", 
      RowBox[{"75", "/", 
       RowBox[{"(", 
        RowBox[{"56", " ", 
         SuperscriptBox["\[Pi]", "2"]}], ")"}]}], ")"}], 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"Rx", " ", "Ry", " ", "Rz"}], ")"}], "2"], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"\[CapitalGamma]p", "=", 
    RowBox[{"\[CapitalGamma]3p", " ", 
     SuperscriptBox["NBEC", "2"]}]}]}]}]], "Input",
 CellChangeTimes->{{3.798522979329568*^9, 3.7985229892005415`*^9}, {
  3.7985230459286885`*^9, 3.798523053529061*^9}, {3.7985230904161196`*^9, 
  3.7985230943919287`*^9}}],

Cell[BoxData["4.169007333368994`*^-9"], "Output",
 CellChangeTimes->{
  3.7985230096129756`*^9, 3.798523046528112*^9, 3.7985230993374224`*^9, {
   3.7986234321887436`*^9, 3.7986234395949907`*^9}}],

Cell[BoxData["0.5804925810982988`"], "Output",
 CellChangeTimes->{
  3.7985230096129756`*^9, 3.798523046528112*^9, 3.7985230993374224`*^9, {
   3.7986234321887436`*^9, 3.7986234395969915`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "  ", "OR", " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"\[CapitalGamma]3", "=", 
    RowBox[{"\[Gamma]3SI", " ", 
     RowBox[{"(", 
      RowBox[{"75", "/", 
       RowBox[{"(", 
        RowBox[{"56", " ", 
         SuperscriptBox["\[Pi]", "2"]}], ")"}]}], ")"}], 
     RowBox[{"1", "/", 
      SuperscriptBox["\[Kappa]", "2"]}]}]}], "\[IndentingNewLine]", 
   RowBox[{"\[CapitalGamma]p", "=", 
    RowBox[{"\[CapitalGamma]3", " ", 
     SuperscriptBox["NBEC", 
      RowBox[{"4", "/", "5"}]]}]}]}]}]], "Input",
 CellChangeTimes->{{3.7985229928060884`*^9, 3.79852300616953*^9}, {
  3.798523081809038*^9, 3.798523085616744*^9}}],

Cell[BoxData["0.00032084189135232673`"], "Output",
 CellChangeTimes->{
  3.798523010633698*^9, 3.7985230868376055`*^9, {3.7986234336197543`*^9, 
   3.798623440491625*^9}}],

Cell[BoxData["0.5804925810982997`"], "Output",
 CellChangeTimes->{
  3.798523010633698*^9, 3.7985230868376055`*^9, {3.7986234336197543`*^9, 
   3.798623440493625*^9}}]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.799485189214256*^9}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Rate", " ", "Equation"}], "Subsection"]], "Input",
 CellChangeTimes->{{3.798523113704589*^9, 3.798523119264501*^9}, {
  3.7994851985468483`*^9, 3.7994851996986637`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tend", "=", "4"}], ";", " ", 
  RowBox[{"fact", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"soln1", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"n", "'"}], "[", "t", "]"}], "==", " ", 
        RowBox[{
         RowBox[{"fact", " ", "\[CapitalGamma]p", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"n", "[", "t", "]"}], "+", "1"}], ")"}]}], "-", 
         RowBox[{"fact", " ", 
          RowBox[{"\[CapitalGamma]3f", "[", 
           RowBox[{"n", "[", "t", "]"}], "]"}], " ", 
          SuperscriptBox[
           RowBox[{"n", "[", "t", "]"}], "3"]}]}]}], ",", 
       RowBox[{
        RowBox[{"n", "[", "0", "]"}], "\[Equal]", "24"}]}], "}"}], ",", "n", 
     ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tend"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{3.798523487014683*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tend", "=", "4"}], ";", " ", 
  RowBox[{"fact", "=", "7"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"soln2", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"n", "'"}], "[", "t", "]"}], "==", " ", 
        RowBox[{
         RowBox[{"fact", " ", "\[CapitalGamma]p", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"n", "[", "t", "]"}], "+", "1"}], ")"}]}], "-", 
         RowBox[{"fact", " ", 
          RowBox[{"\[CapitalGamma]3f", "[", 
           RowBox[{"n", "[", "t", "]"}], "]"}], " ", 
          SuperscriptBox[
           RowBox[{"n", "[", "t", "]"}], "3"]}]}]}], ",", 
       RowBox[{
        RowBox[{"n", "[", "0", "]"}], "\[Equal]", "5"}]}], "}"}], ",", "n", 
     ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tend"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.798221094334478*^9, 3.79822109974*^9}, {
  3.7985233544805036`*^9, 3.798523360510743*^9}, {3.798523441178321*^9, 
  3.7985234988460655`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"fs", "=", "24"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plBECrate", "=", 
   RowBox[{"Plot", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Evaluate", "[", 
        RowBox[{
         RowBox[{"n", "[", "t", "]"}], "/.", "soln1"}], "]"}], ",", 
       RowBox[{"Evaluate", "[", 
        RowBox[{
         RowBox[{"n", "[", "t", "]"}], "/.", "soln2"}], "]"}]}], "}"}], 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"Evaluate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"n", "[", "t", "]"}], "/.", 
         RowBox[{"sol0", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"g", "\[Rule]", 
           RowBox[{"\[Gamma]p", "-", "\[Gamma]1"}]}], ",", 
          RowBox[{"g3", "\[Rule]", "\[Gamma]3"}], ",", 
          RowBox[{
           RowBox[{"C", "[", "1", "]"}], "\[Rule]", "0"}]}], "}"}]}], "]"}], 
      "*)"}], "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tend"}], "}"}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Directive", "[", 
         RowBox[{"Orange", ",", 
          RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Dashed"}], "]"}], 
        ",", 
        RowBox[{"Directive", "[", 
         RowBox[{"Orange", ",", 
          RowBox[{"Thickness", "[", "0.005", "]"}]}], "]"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "fs"}], "]"}]}], "\[IndentingNewLine]", 
     ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<t [s]\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "fs"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(BEC\)]\)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "fs"}]}], "]"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"ImageSize", "\[Rule]", "700"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{"plBECrate", ",", "plotBEC"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.798214809083956*^9, 3.7982148396664515`*^9}, {
  3.798214951543245*^9, 3.798214958640585*^9}, {3.798523415250987*^9, 
  3.798523433767085*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {RGBColor[1, 0.5, 0], Thickness[0.005], Dashing[{Small, Small}], 
     LineBox[CompressedData["
1:eJwVzHk41HkAx/HB5Cy/XDGJHiW5yrGOkfh+ijAhx9CoxCRU08ys2tqu7RiP
EcqydmrpVLoVJYxnqTya2upRcrSOMEySUKQQxWz7x/t5/fe2iPs5PEGVRqMF
/+h/Vyf01Ve/3+29pvmeAY3GBN1nbpKcEUGOyM5vOUpn4qfzuWfuMuKJ4mZd
GqXFRODz5pKzjF1km8Fy7wX6THDix+/lMFIIWd+yJ8ySiQ6Hoz6ZDAmxjsxg
NQcwkW8UkprBuETMOYQrymFCpHl3cTqjlJS5n3vPsfZA1LoLxcOfZKTi6Yt6
zX3LoKMURfub15EKv2TFnzWeWBT2se/hsSbyq4d2YbqhF/a88CC5X1rJSWP9
RInEG8alep0qKnIyRn95k1IHyhU+tXXLFcTJM4m79jVQwztrum6wh2Sn9ctN
pCswauVF3RK8I065hxqeZa6E6kThbNNF/QRtLdJikQ/clNxydtEgUfqOaaxK
8kVtisuLx7ZDRD4VJ22OX4X52QMT1z8OkweHLj6p2O+HgXF55yvHEfJPqtg9
MMMfl/orn+n+/pm4u7CG79wPgK7Z1aGeni9kaXe1Lfs7C8e3lSXmW46RvDzX
1CTnQIyhsGfr4XFCy4k+cD0nCLucZaVzHn4lLY6cyan+YMiLZMfqLSaJNEQ+
v3tHCL7xmk7b7P9GPNyNNnklh8JuhcZ0YuV38iYxyOtfvzD4X7TYcsd4mjxy
qI7VsgrHHrPYBd3RSqJIN1QPpLFhPxip0xxMQ9pVHvkoZ8OAGtaUTdKAsqwT
rR0RoD84XbzwjAr6IpKjel9FYrtLZatWoCoS1viWbhpai0JWXP79MVXo5zkq
TPWiMDowd3bvSTWMhXTVtNmtQxnbX03iS4eHYbhVFX89DgeIz5f20uGXVT/p
eWUDLDpWtxSIZ8D6iazS6100lrmnSBjO6khiqO7NYccg2rxuQqVRHX4TKTY2
0liMPstUJIk0EHeY99bzMhe59Jhd4ZaakLixjFm8TTDoLLuoKtNE7MCTYG2X
OMw4KIrw2KGFhI5DVl0mm0G7HlOs0NfGzoOuJZ5fN2PnqeJM/RptBDnrJvJH
43HPLk1TT6iDktDavIcTCdBbvdM+WXcmYsUj0hPjiWhf8rJxX9VM/LHYRcEy
3orb54hlT8wstBsqUhmO27Cx2E3PbHoWptnex8JCeDgiviBqv6GLWzEN7FbJ
dtzqMzutG0TBJ0DAdWngI+2smNu5hsLL/BCj9mY+4sM/LCoKo6D0eduW0sHH
vKqq28EcCiqyvtzWPj4ysjY8Ph5HodZc/DZLycdWt7xP2vsoXO0u73dYIsCC
FMMAjSsUym+ajninCzDN/G1W8zUKBxpOMbSyBGj98KbhSiGFrtnVnCaJANmc
uxv97lCIdKo0EeYLoLQN/0VcRWHh7mslRVIB2uuzzqk1Ugi9oZoU3ytARer4
5sZXFB51OplgUACJZ6xNQQuFjhxa27wRAQIvLy1d2UlB2rissHVKgL/3Pn8q
ek8hyp6TzjUS4uQS16ywQQq2DeVqq0yF2KE4E2ExRMG80DnP1kII6yC+vPoL
BddQrzkT9kLQVZouZY9TcGfZTXc7C9FV5snjTlIwq/usUssUoopX4OA49eO/
97GF1FuIv+brjCqVFCJeN2ws8BXiP7a1KiU=
      "]]}, 
    {RGBColor[1, 0.5, 0], Thickness[0.005], LineBox[CompressedData["
1:eJwV13c81d8fB3DbdV33plS2RLK18CU577JnWWVnhcooK0JGVkZmyGjZihSi
lHnvR8uMVEKRvWdI+n1+f30ez8c55/F5vM/jdd6fzxF28DS+wEBHR9dET0f3
/6fuhYmuxklf1Ubrc5F0dFzApMZ7ZYjHFPUdnC0qEuSCo/czcyp5nNBdtcCv
vie4QK+t73kujw/y+qlzKCaQC845/X6TwhOBknhaHGI3uGBALlotgScNGYXr
uhz+uxse7D4dFcuTj9pTw9WCRbkhsC2DevZVPpr0L3p3WZsbzkb+YBCxKkCH
jU/viXHjBtLq1ZC6nEKUXdc9rlvNDf49af4zQiXoRpTf8D9tHjBK/XbJUKwc
xddkNVkF8EIYofLgLZ4qZBXuyJDwjx8ktZJjnl+pQu/kIxcVZQSgO9Jzsr+1
Cr23zpsVthIAUUbpx7J+1Sh6s8epqkYAsL/5sj3dL5B91aPm796CQFpOlxeK
f4m8boZM31oXgsyB62rV2/XoPx/iw4UsYTjJb5E/aNaAMh9TzSkvhGHKUpGZ
UNaAOH7xXjfpEgbBmQDHMplGFEV2xvQJ+8HzosIBuu+NKFPaYy+b/37Y6fS0
uOC/ZsQZ+7Xgs60ImFs8fLqwSEXdUVdy9PQOwHy/KfERLw01/12PsL54AKJs
CRdM1GioCwz406IPQKWjJ++LNBpqGYwU9qceALLHichARQyJO1zh4AExoIV/
tWQJbkX/iZILplQPwpEnnCz8hPcoJUhR/YS1BLyTpdm1HXqPjpDkaTEhEmD3
zL/uhsV79GMxIJc+TwISXgxd+Vn6HiVJTR4LmpKAicay/kKDD6jFODE1O1AS
7vXqPDuc+hFtS4VdqC2UAvZ/YdZagh2IZvogkGe/LGRePGcrrdmB0OFzw9W6
siDaI23H6dGBOoZ6XCO9ZUG1pM+x/00HctZ26aqnycLLkvTqGtlO9Mbq1dpD
NzmYNZl5rdfeifwaCcKHHQ6BWXHGB2+ObkSX7MD9uf0w5NiE6zsLdyMl1Yyf
6WOHYXine5u5fDdqjHWP8t0+DJ7BpzpO2HSjSvaFzXjZI3DLeLabtawb8S6P
vBBPOgJvtk59y9b/hPKIGjXHLI7CAaO5iZa4HuSUm6xUySgPvCFayi4Pe9Di
aERwn7A87Ch7EEes6UERadffiYI8bBJMZI2GexBZ6aze8WB56Gys8R78rxcF
eEjutd2Qh+uHwrbXR3vRUlf8zfINBWincHHJQh8q4fNp4+FXgpYT7he6zPrQ
52+7jDuREtRexl74XO5DURouzjWOSpDX6m9Rl96HluYntbmfKIF/yMA97dk+
5GOZD9JIGfbPF0o4Zn1Bsil8Zn0ex+FauxLKXPmKzm+cuS2wdgLIstWj7wjf
0Ns7rL7pAqqQn3Ao/g//N/QsKe3cSQ1V6NI/+NVW4xui77rCJHtHFaQ+cHkf
SP+GvKgzpRcVEQy1zhc+V+xHSzWPQztPAWg1FZDbrn9HyukXnXwLTsLgPuHq
7dvfkYOn/Muk1yfBJzTH6lDed7Rz/Zziu08n4SFKLU798B2ZPVk4nsJwCv68
CT1lyT+A7tcnpsTYn4Knr6z8xt8MoDDxJh3xA2qwt4pzkJ5+CO0gGH86RVUH
6/g/pr/2DCG3CpHJlJ/q8Mhp9AMmPYQSOpsI7P/UQXr3y5dx5kPoxvv8Uz7K
GnDKz+7O7oohRBprLztUqQEKOecK0+R+oJfNf1vDnmiCvW2hTfHgD0S59yZ1
Z6M2ROjy3b07+QNtOlendg1rQ6FCUk/syg900/P+RAOzDsyQr+u5E38imfrW
W1L6OuDXYKB0ROEnin3b56PRrwPx+1a5Xif8RAfJA9frGPTgxbDaxw6VYfQj
qZwp2d8APmuHLSZoDaOrnyzXNx4YwFp5/R5942GkY6jzIPOdASgGKtm/dRlG
tjkaMv58hlC7S26tMWUYXbthnPq2yRBeqvPuez4xjPpVlQv9SWfgdeGCd1ra
CHI7qSP9OsAIvpNk7xrfH0EuP+mu3Uk2gi2vy/U7SkcQ9dkFm9slRnACjRES
GkZQT2nTnaGvRlDf158bOTWC+nSW1xlVjKGB0NrqB7/QAzo93kAWE2i+lMtn
MfML9YW/FbWrNoXKycuXbdd+Id/8YKGcDlPId1Wuc6QbRZVBx9zWJ00h0rnP
0oNrFPEIDdzeKWQG2g6cWTdVRhFze8q/zlgz6LCI5C6PH0XOY7THGa5n4bu2
+25GmTGUYui930/VHNpaj18gKI4hTzpza6KNOdRrEqs5To6hRxp7BamB5nBf
vciU22wMdd67O1780hwc4GeqTPAY6hb4dk5F0QImFM12mreNIcNv5Z8rlCxh
VewEpcx9HNnERdvusrEG1eFTrbH+4+hIsfvvypvWEJWrHeJ6cxydPstfHV1q
DXu4TOdF7o4jRnAqeLduDQr0lzuyqONIRyUtuj7DBvz7MxNj+CaQ7hXR5oIh
W9hKXKE4vZtALcLE+nsf7UBdb7P1ZM8EepliqegwYgfxLHShQkMT6NPpyly1
TTsQCGZf+LYygewmGj7YiduD6qX9nUb7JtFZ8d2jhCh7CFE/k4SuTaK4ROkP
h7UcgGHj8Q6+A1OIqStzbfWnI/C1nVpGclNo9daZjI1NRzj28Guvk9IUCjeo
LeHjcoILOqzZ5QZTyIFwrKpO0wne3nU4cMpvCm192WfqWeYEico8yhdbp5CF
2oo9NfQC8AdFOdZcnEbZxNLDouAC8mcENL97T6N2QYMqFRsXMBStEqe/MY0y
eL+e9b/uAiEff87qpkyjb0Wq9y2qXWCY/4T/4Ktp1HFY/cVbaVcoebMcz0ya
QapvLWhB+y+Cwj+7FyblM6hts6vYWvIy6Bs0hmvUziB+xx93buhdBsdsodOK
zTPI/OcXq1a3y5CkODjO+3kGEX4x7Gt/ehkmPa14hv/OoO/26VrVim6Q88Ms
6IrBLIo4ns6y47Q70DfrnkqYmUWZ/lI7JHI9gXtHKTlkbRYtBzRuXW/xBFlb
tv4rdHNIZLee3cakJ1hutnqbcs2h5AaVg/V8V6DqiEYBn8ocIq45sJ+5dAWc
8xChNG4O1dW/nKSyX4WPEcfaMcl5ZF0VInLPzguUKR8YkuXnkfYPhtIH/l5Q
fNde0QrmUdGmL2dTkhfcLL/9YN5sHk0HS3FYN+Hzv0x4cYfNoy7TzuBtEW8o
lsrde6lvHvGtjXrvmveGU5PhFSynFtDgb6kdXrm+ECDb/v6y1gIKGzjh4fPS
Fyq8eUY79RfQTWvbg3d7fUFw+ylP9rkFtP5AXk2X7AcbOwfC5dwXEGuOmP7p
MD+oUFE0M89cQEsCNpvMHtdAKGl6o2RuAbGtau5ScAyAevuQkufLC0h5kXr+
flgA2B7dZVG3voAqFVjHJB8EQM5n5dqPDIvox6TvwZKBAOAWiPWb37OI5gk6
RzUtr8POUvHlY2gRRY/J8uyzDARm6oWZhsRFFNq6HqjpGwz5dzay36YtIjHP
h3TKmcGg7pKg13V3EcUaq0uY1gVDOLG6dDhvEe1xSdzYor8B22eYLjLXLqIT
DF+zRZNvwPrAo1HdH4uIp0+Ka+ZFCEz/HhrsPbSEvFxVG5/tCIMXLonNugpL
6KqfZO5FsTAI7VMtbDi+hFjBaEtZJQz21OS6l2guoZiohgJJ1zC8/1ttBVkv
IXqnI07QFAZZK595RGOWkMncpRgr/3DQXmwz9RpaQpuFDuzMf27CLvvg/8Z/
LaG6vzp1glwRMNgpzW89tYQezgdJmclEgE9F3IjG6hIaqmet4baLgPueOl48
7MtoX1OIw18sAtZmqYmNCsvoY/qcuWlWJORP1b0n315GyoYcLuvnosEj47TI
pdRldPC61O+zPtGgqD4SSMtcRkFvTkb1JEXD+1yiTFDeMvrCQUeUeR8Ni2cs
Eidrl5Geu3PEWdUYUK1ZM6GOLKNXMnLmj6RvwdebhwcClFbQO76c4C/CcfDo
EE2+V3UF/XSV0tE9FQduA+a3D6mvoL5gbpdBhzigUwxF44YraLJxgckjPw7E
ptofmjqtoM61b1UyEvHgc8bNWS5xBQXEpdppKiUAWaBo/tevFYRUZPszfBIB
zt4cGJlcQeJdAzpsGYnglXj+w/DcCvLye+WX/TIRPtNzF/1YX0Ep4ST7/f8S
4d5YjO130ioa0tG6OKiRBLIVl9o+HVtFue5tYdm9SWCgJvu4OWIVkeZJs5P0
KRB/sdr5gegaUuuSrOZKSoMpKIthl1xDF8ZPB8YXpYEWd0Gpn9waMtUzuMHb
kAYMrWlz+sprqDGUcClgLg0CRH38Nk6vIQtVZhF1wzvgPHQkyjhwDXFNqnju
3ZkOJ80qCpi611Cx83YW0+MMWIPHv1xDfqOLjVp3Dohmw+v86exrEb/RTjzK
sSgbwgnSJlG3fqPrD5ePMFtlA7nzSVNe6m9kIvp0QjklG8TOl98bLPqNhJqF
LpTQ58DZ4Gfmpp2/USkx82DGrxyoflnzEQmvo1cNlqo9r+6BzxFq1Z6WdXT+
WMf8O9OHMFROjesS3kS/3vPlecgVwp9LPdkS1/+g08mmnC+fPwapk6zbznVb
qF0mic6ksgK0Hgm7PNu7jVJ179Wq0VXBNYHz+39a/0OSBYvzTpI1ID1jxt5n
QAfe5VqZZ46/gl2UBQJ1kw7IDP2PpZzfAFND9lORHHq4L1QbRaY0wuVjdV/Z
9BhgKOUo1mbbBI91HB7UrzEAp9XeY53Xm+GYtLAq2mAAt1bfa7k3mqGe/KO/
4Q8DrG++1XANb4bOTzZ7m+gYgf9pR8TarWZYsbG43UJkBMEdM+mrmc2g6nUm
6K0gIyzptp+/8QKfn6Vq3q3JCKD3oObNfDOsTvPuGEtnhCpWTm5uqxZIyx1v
zbnLCO9FnCKSbVvg6OmqEJMcRrj1uV+Z4NACV58bzDc+ZISucUrcrGsLzPqH
tmc/YcTvBZlfMvxaYJR5LN6omREMD2SIuyW3QK/QM7Y3s4z4f0PlfT5aC1Sb
aDGmqTOB2LBvwhdRKsTo1UbyazEB92uBouCDVLBWkyAU6ODjUyLF+ySpwHCU
neOFIRP8i4hxspOjguHOjj1fzJlgJOr8L0yJChOdZyX53Zng1xmB34cMqcBr
6GyUf4cJfFgunw7zpUKIduT9qjEm8MjO22VcT4VuW1frQ5NMEHpLZcujkQqi
vno8T6aZgLX9jlhsMxXeP+RMzVtgAveZ7+p1GBW4/uRGpWwygUIQC0booEJx
2Qv3K2RmGO4htxkNUaFz58RxaQVmqM+eC83bpoLwgO6XvEhmsHtoEBj2Hw1i
m48/NYthhlT2vcHWyjRYKpKOYo1jhlcuAs3yKjRo9iIfu5zEDAeUBPlGEA2c
CN2JR7KZYd/eXBkJLRoUH7XQaqpgBjnftQ1HMxrIxrq8GOxnBkcJQ6vcKzRQ
VoxI4znCAoyCeQSXRzT47MCjkHuMBY7YPKOn5tHA+3Z53z5FFli2tqwXKqDB
k9EvvOIqLLCRGhr1qYgGgmkyDxU0WYAWYu0uXUYDhsXPZSaWLMA7WO6cX0OD
D6USrQnhLBCvj25XfqCB6+d6V85I3CzcHVMfacDEYEq8E80Cd4ZSF/e100DV
4oZBTjwLrIbJDd3qpEEF66dPpeksoHN7xzXDXhqkOQX9aC1lAanbYhfzBmlg
LdixQf+JBU6JqbqGL9CAzONVXdfLAts7Gr6WL9Kgadfuq75fWMAroJLv2xIN
xNisJiYGWED1nfZumVUazC+Pfe6YYIGQeMe/1A0ahL/brszdZoG8Yd3UNwwY
FPvIeihJssKnZWPDr7swsPTskliWZgWLSurgTy4MOC75jD6Rw13dbze5GwOv
86+s98mzAvNi14nVvRgc19XUYwVW6DR/70vHj0G7kK14rxkrHPdXqx4VwWD1
fcLwlTBWUDDkkVk6gsF39l7XrZusQJUy9vhwFINmff756ChWkO1wHcw7hkFS
e+mfe3Gs8Dx/wcBYAQPJ7lautjusoK9QGVyghIHtV3otiVJW0DDWeXUAMMDG
fR//7GYFeftfASn6GDwRf3PYvZcV0tM8Z4wNMEi9yFS73scKjX7DeTsNMbCb
TqFSBlghPgJ+JZ7GYHPu6cCJcVb4clWsPswYA7m1SUrWH1ZgTBjxVDPHIJPJ
1sdYlABDZvoyao4YbDvule8SI0DHm7uSU7idWjpXT0sQQNDVJzrJCYND4WrX
DGQJcKufy6H/AgZv/4lf1/6PABZ5X0svumLwe3M5RFWfAMdGZdguumNwdvFW
nKQPARJ6hqbW/DB4fUZNv8SPADujLy/EXsNgf8UWSTyAACvDLC6C/hjMeXje
PnADn99mX6IWgEHkjGnyvhgCHJ21TooOxKBqXChjTw4BbE6TzFZDMNg1WP2I
gUqAJy6eYm4xGNwmBQfXYAQ4sJRgtombeFzd3O0dAXokNuaib2HAkNnN8bmd
AJd05R0fxmKwZDTvX/KVADXWzx3a4jHopImfPjNPgLmobRViMgbxZdl/cnnZ
wHrmzX6+uxgQvjt8NhZgg6hZo8oM3BFEyWes+9hAQvZbw64sDAJdap2vHmAD
oQuzhsRsDC4J93apH2KDCjdx08UcDLTvkIunNdggfEPVu+gBBszBYaZKV9mg
WWXqTk0RXt/izEaDNxs4kZgdBYrx/Xc2v6/pxwZf5mffh+OmnpabMglkg/dO
xW76Jfj79w+EeESywR9xeYb+UgyY3v73OO8uG2RJnXs3WobXu2uBntzMBhkX
85yqKjF4Hm1VlEZlgx7SaXVyFQYOW5g+Xysb5IUHvXfB3TyamyH+kQ2Kih59
4KnGILxWT0btMxtwiTCVBrzAgN62yNx/ig1GT9gKSrzEgK7E9unwTiLkroUJ
6dTjeZ3p87i/mwhFcSKk+7jjDxnJWnMTodC+JHsF995atbJeASLU2tAV3GvA
QLZV/PFbcSLc8TrsNteIgfXoUmG5KhG+Tb0SDW7B4KVw9L3rl4hgQBN/avEW
gxsX6GwV3YlwmceyIh+3ekmAwIonEVRFhs/P4+485Jbj7kuEhGvGH26+w2AC
GWXZhRIh7t9/A8XvMdhjy5eumU6EcS91pV8f8fOe9TRhZzMRhA0dZfd3YVCz
lRXdTCXCbmGxKw64t2yjwrxaiXBUU9L9Ee5oERvf7o9EYNBhzRLuxiDnCdEm
pY8ItiG3MP5PGNDqL0jvnCUCtt+ikKUXA+4Rvg+c3OzAP+xvW/oFAxsNVloT
LzuUbt6MH8b9qGip/qoAO0z7nr3B+xUDabd3z7v2s0P6WYfyW7hPrvplJcuw
A4kSp3XhG54n1u6LnGrs8NzU/g7ndwzeSMUQOD3Y4WD0lhQMYaDQs7ct5Qo7
LDQv/XXHXRFUlMzlzQ6Ts8MPs3E/asN4uf3Z4USXi90a7hhPZhmhcHaQJDG+
KfmBgXFluJFMOjvQtAP4CcMYjCsHZ+nUs4PpXMXz/F94fxkhnf/QyI73mxy+
Ntzf4nJEDFrYQVV802oV98fvdU/OvGUHwZuPHDVG8bzd2Kw/180OPGHUlBHc
Qc3XRi6MsYP/yH/J3OMYcOp6SYeTSfDK/cQe50kMHjRR2JU5SUD342Z1PO5D
SmWTi7tIEO9bJFmJ21B8otCehwSpwxoZ/3DHstgKnxQlgWKZYEj6FJ7/Fp09
dMokeGDU+fz1NAZrx4XpblwgQW1QQ/v0LN5PKusH5V1JwLF1KYRjDgMuKes3
s5dIcHlRhV0O91HejOs2V0hwdnqx6iruK+ukVZVAErj1zZuu4p6sWp/8k0SC
EreXk6vzeL+X6fwU8JoE334vBwwsYnB/mjOYsYEEhfGrE+u4HUpMxBKaSMAb
vX2cawlfL9rn/wAjAcNy4m1d3Gt8gwKtnSQ4kZw8UY2bkzjjwjVKgqvKe6Oj
lzHQHGPdKufggJQvzmJ7VzFgy9cp+G8HBxA4TXTkcH+0jzNs3skBGUNJJlq4
TQbID3v34uORlwSv4bbr2a25JcwBj/r9knpxBzaLJOkocEBW5NJWwhqej3tI
9JctB1g9/ZIz+xuD5evLrPb2HLCu/9eDYR3P07mi6QFHDmDmVZbei7uOQqns
c+WAv3EGroAbCx08+cGLA852c00m4+53CD7/PIoD6OlmBQ9vYMBysC4rtJwD
dmcxTdltYqDD6HnjbwUHCLTe1vTGHT+03+F6JQfss6pLisTNmRkr4VPLAS2G
MFeCm5/NstalmQNCc1o7FnEfmV7vNfzMAdkalsdv/MHP01MFToFtDpB3Y5SI
3cLgheU6uZOODMlGIS+zcZNZXpFuMpKhtLRLoQx3o/UJwiSBDLRKw/UO3PuJ
6v+qdpHBj/FvJtdfDMacjGb1JcgQX9TkmIXbg9ftXZApGVqJjU8zt/F6aTKt
cufI8KB/B2MxbqGr89RhCzI8OfNEowZ3Z6tXo/Z5MpSdZb3bi/uIb0AN1yUy
xApIXef8h38fO6IKnoSQwXhhl3wU7tDIh2HfS8kgeu0NkxNdK3BcY9W1LyMD
nwXHjSu4s1zdd449JUPg+9KpINyVekp581VkGG9ivncH9xhnF5WhgQw2nQ0e
GG69e3QEiU9kOLXbnHqAvhW/j5+/7fuHDLtdKGn9uPOKaWc3/+LrEysSx3Af
ypISCqGjwC5modBF3DrBv5/GMFPgmUMiYmVohSC1xK5sCgVi2+eUjuAe7qjn
ahahwM8IObEo3GUTAtlkfQq0GCyKizG2QkxupN2gIQU0ML+lQ7idjGcPlBtR
YLSp7ulx3PyvX1cYnKMA09dGZiPcsYlWWLwDBSzzzwsH4nZVuLtIDKAAKcpd
pA33/ggubdZCCuT9HS1yZWqF7f+COPqKKZB6/yCjF+6vsyPdhY/x9TsaTAJx
J52rtNF8RgHTf4K9Cbj/SRp7R76mgEPAgsVz3N+7Eu8xfsLr5dTw28BdG/Xb
8VMvBXoC/aUZmFsh7fh5ibwv+LhS4xcibr0C2apTgxRY03u9ix/3K/+2d2GT
FKhUquJSxZ0uI59oNEOBD/f6gjRxXx3OMRWep4B8pke/IW5xfbehxhUKTE+I
BZ3HzUTfk5/0mwKlO+zqXXD/qD5+yW6TAoXuKr89cb++lCd36C8FeCZaxfxx
Zwixr/77RwEVV7JBKO7/AXylFB8=
      "]]}}, GraphicsComplexBox[CompressedData["
1:eJzt1fs31HkYB/Chcc2qtl1K6ex0kggl7HZUPp+y6SKFtLJSStGmmlG5ZSKX
XFp71qCpYZJIuXQjjEvGZZhxm2JkuqiGoVy6GZal1C76zmP/g/3Fc86cOa/z
OfP9Ps9zPmfelANUx0OKJBJpYPwz8W1svfCN9EcdtOkPF8n+EBmSO2KU5+h2
QQmfYxWGHMrIQkoR5vlXdZzQKdEn/uOUYiTIlonsDtijbHcnR/3UKc810vQK
tuAhTri16a/jfns8pS8uuQ4JNAYnzxd/HvZtZ9eh5TU7DYJaO5B0tzanmdSE
ll+PX7r+SDDacVoy8sysBbnv0Nv48xNlPNK1/6rYvAXFrt3tuox/EJck37Ds
8hSjN8+TNNkh2Ui/jEp/x3oK799rW6uyLvkpmqcnM+rc2YkSX/7EHW58jjy9
vVsmzkmT1Y5yMyJX53REga3Zxx44O36D5W4lnve1v3ZkukZS72cxhrRit/aR
zTuR1I7ml7nKDG8pP6O72us1UtflGpA99HASa6J6UQPxe7lDcr6aPnDX3jup
F82OtPn+vI0buqPXFZ4ifIusQukk6pAX8rn5e9thUj+8X26ZjfKTqefJUHQu
re2/VssqHTu1goavSbiabLNBpKhqZ8T4vAd7eU7UMDqzIJW61icCTLZ2n/9d
Uxp+/O3A+ofj7mguVQhckgo+rXk5gcKOB3v+Imzufzt1Hp0o3JYbfAm8Ma6q
dehkKv7a7wgyDNtzJE35BLh1/omxex5scOThvFFjtQvgbgdP3tE16VjdRs9X
MWkU+ZX1SLeduwb2T15WKYnOAr+gGa70r2aCLYeZc97fuQEeK1fVsNUvxGaT
9QnZZ4efCTyWB04Mpc/nvLxL7OsTMkkJ+HMoMBMctSgmZYU0Byx4t5Vl75YI
3jSzcOltSgG2CtydaSEcQ0yXA9wNW/LBI8EDs4wtK8A64sGCZ3kZYPX3S7Y9
9rwHNs+6G6X1VyGxzy+owvCsON8uD8wtv7jXiswD08knC0o6S4n7SsKs0tJV
pAU1YCdtt4DeBVV4tbjmmPm4ldJyQltMi8ESd3HK4u2VYOF2/que3hJwmwP1
6Uh2BVZKj7dUEJLwzMKL8/Ru5YKZrlYoL6oIrBUTzjBRLMIi6j6VBywF/I6S
EdrmwgGfS6fEhcVXggONCkIEXC7Yw3ezd/FHAXE/FXERQ+H9oRgueBd9UWZ9
fzW+stboUdK4EzKv8YUmNWDnVl1XjY9l4Gjuq7CEvDJ8VG001ctsBua8jvni
vbAcbBzS4FJVUA0+ToqK8WVywT0Z5/2iJUVgkYxRV28r3ycZf/iN5cdhl2Fh
40SRsXfIZufqXdVgrRf0MB+fWmI/ZFwj8Bfb9vLAak7ZVpEPueAfnsf2zsgr
IfahhO0EPUaMI/J5lXHDs/6BWWZlYBmb4frClAuOS4+8EOVeS9xvFWwedPDs
UGsjeETsEGAYK59XBTcFaHP/5lQQ86hiaT+PKVlUC2b0Mf/RH5w6txBJ8ufu
5xP9qmKqS323jno98X+nhnFHs+xJIR9c8FF06VGHgJhHDbeomzbqOleA1xht
V6B088BJihdfMVqKiXnUsWY7ndZ9uIrodyZ27zXQNQxvAF8n299OwxzwPmnV
MvZpPnH/NfDnIH5SKo0HTvZXZnjMFRD9a+CbjC7K5Rt14JW41GRMKt+3Jl7c
svzLWbNa8NZbO9d9qK0BJ1Bb59E5DXgyLUmzMSmIZXC/kQ/udLkf2/xwyskO
sUHtzDrcx7kzo7txNhaXN2mXdFXiwgh60z3WHNxHy74iUhLg6TyezuPpPJ7O
4+k8ns7j6Tz+//P4X8TT91g=
    "], {
     {RGBColor[1, 0.5, 0], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 122], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 123], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 124], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 125], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 126], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 127], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 128], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 129], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 130], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 131], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 132], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 133], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 134], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 135], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 136], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 137], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 138], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 139], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 140], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 141], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 142], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 143], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 144], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 145], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 146], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 147], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 148], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 149], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 150], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 151], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 152], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 153], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 154], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 155], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 156], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 157], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 158], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 159], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 160], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 161], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 162], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 163], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 164], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 165], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 166], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 167], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 168], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 169], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 170], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 171], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 172], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 173], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 174], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 175], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 176], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 177], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 178], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 179], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 180], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 181], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 182], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 183], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 184], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 185], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 186], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 187], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 188], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 189], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 190], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 191], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 192], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 193], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 194], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 195], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 196], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 197], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 198], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 199], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 200], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 201], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 202], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 203], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 204], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 205], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 206], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 207], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 208], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 209], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 210], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 211], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 212], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 213], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 214], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 215], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 216], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 217], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 218], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 219], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 220], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 221], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 222], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 223], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 224], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 225], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 226], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 227], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 228], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 229], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 230], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 231], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 232], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 233], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 234], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 235], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 236], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 237], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 238], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 239], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 240], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 241], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->10], 242]}, {}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  Frame->True,
  FrameLabel->{
    FormBox[
     StyleBox["\"t [s]\"", FontSize -> 24, StripOnInput -> False], 
     TraditionalForm], 
    FormBox[
     StyleBox[
     "\"\\!\\(\\*SubscriptBox[\\(N\\), \\(BEC\\)]\\)\"", FontSize -> 24, 
      StripOnInput -> False], TraditionalForm]},
  FrameStyle->Directive[FontSize -> 24],
  ImageSize->700,
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7985233922597294`*^9, {3.798523425685357*^9, 3.7985234599645767`*^9}, {
   3.798523494525994*^9, 3.798523499846754*^9}, 3.798539862079035*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7985398711886544`*^9, 3.798539874406909*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"Test", " ", "Case", " ", "2"}], ":", " ", 
   RowBox[{
    RowBox[{"3", "b"}], "-", 
    RowBox[{"losses", " ", "from", " ", "BEC"}], " ", "+", " ", 
    RowBox[{"Thermal", " ", "atoms"}]}]}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.7985235624948177`*^9, 3.79852357339852*^9}, {
  3.799485215971158*^9, 3.7994852260002613`*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.798176666963042*^9, 3.798176668634222*^9}, {
   3.798176717697901*^9, 3.7981767311704216`*^9}, {3.798185419903284*^9, 
   3.798185429741671*^9}, {3.798187912581577*^9, 3.798187932076124*^9}, {
   3.798187986500601*^9, 3.7981879981671534`*^9}, {3.798188461098571*^9, 
   3.7981884737033644`*^9}, {3.798188958258927*^9, 3.7981890229270887`*^9}, 
   3.7985233530514545`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Further", " ", 
     RowBox[{"definitions", ":", " ", 
      RowBox[{"Distribution", " ", "functions"}]}]}], ",", " ", 
    RowBox[{"Self", "-", 
     RowBox[{
     "consistent", " ", "MF", " ", "equations", " ", "for", " ", "the", " ", 
      "densities"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nth0in", "=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", 
        SuperscriptBox["\[Lambda]thD", "3"]}], 
       RowBox[{"PolyLog", "[", 
        RowBox[{
         RowBox[{"3", "/", "2"}], ",", 
         RowBox[{"-", 
          RowBox[{"Exp", "[", 
           RowBox[{"\[Beta]D", " ", "\[Mu]Dexp"}], "]"}]}]}], "]"}]}], "//", 
      "Re"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nth0SS", "=", 
     RowBox[{
      RowBox[{"nth", "/.", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{"nth", "\[Equal]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", 
            SuperscriptBox["\[Lambda]thD", "3"]}], 
           RowBox[{"PolyLog", "[", 
            RowBox[{
             RowBox[{"3", "/", "2"}], ",", "\[IndentingNewLine]", 
             RowBox[{"-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"kB", " ", "TD"}], ")"}]}], 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", " ", "gint", " ", "n0"}], "+", 
                  RowBox[{"2", " ", "gint", " ", "nth"}], " ", "-", " ", 
                  "\[Mu]Dexp"}], ")"}]}], "\[IndentingNewLine]", "]"}]}]}], 
            "\[IndentingNewLine]", "]"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"nth", ",", "n0"}], "}"}]}], "]"}]}], "//", "Re"}]}], ";"}],
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Mu]Dexp", "=", 
     RowBox[{
      RowBox[{"\[Mu]", "/.", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{"NDexp", "\[Equal]", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"kB", " ", 
               RowBox[{"TD", "/", 
                RowBox[{"(", 
                 RowBox[{"hbar", " ", "\[Omega]D"}], ")"}]}]}], ")"}], "3"]}], 
           RowBox[{"PolyLog", "[", 
            RowBox[{"3", ",", 
             RowBox[{"-", 
              RowBox[{"Exp", "[", 
               RowBox[{"\[Mu]", "/", 
                RowBox[{"(", 
                 RowBox[{"kB", " ", "TD"}], ")"}]}], "]"}]}]}], "]"}]}]}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"\[Mu]", ",", 
           RowBox[{"100", " ", "eD"}]}], "}"}]}], "]"}]}], "//", "Quiet"}]}], 
    ";"}], "\n", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gint", "=", 
     RowBox[{"4", "\[Pi]", " ", 
      SuperscriptBox["hbar", "2"], 
      RowBox[{"asc", "/", "mSr84"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Lambda]thD", "=", 
     RowBox[{"2", "\[Pi]", " ", 
      RowBox[{"hbar", "/", 
       SqrtBox[
        RowBox[{"2", "\[Pi]", " ", "mSr84", " ", "kB", " ", "TD"}]]}]}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"VDx", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"1", "/", "2"}], " ", "mSr84", " ", 
      SuperscriptBox["\[Omega]xD", "2"], 
      SuperscriptBox["x", "2"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"VDy", "[", "y_", "]"}], ":=", 
     RowBox[{
      RowBox[{"1", "/", "2"}], " ", "mSr84", " ", 
      SuperscriptBox["\[Omega]yD", "2"], 
      SuperscriptBox["y", "2"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"VDz", "[", "z_", "]"}], ":=", 
     RowBox[{
      RowBox[{"1", "/", "2"}], " ", "mSr84", " ", 
      SuperscriptBox["\[Omega]zD", "2"], 
      SuperscriptBox["z", "2"]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sign", "=", 
     RowBox[{"-", "1"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"+", "1"}], ":", " ", 
       RowBox[{"Bose", "-", "Einstein"}]}], ",", " ", 
      RowBox[{
       RowBox[{"-", "1"}], ":", " ", 
       RowBox[{"Fermi", "-", "Dirac"}]}]}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"nth0f", "[", "n_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"nth", "/.", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{"nth", "\[Equal]", 
          RowBox[{"sign", " ", 
           RowBox[{"1", "/", 
            SuperscriptBox["\[Lambda]thD", "3"]}], 
           RowBox[{"PolyLog", "[", 
            RowBox[{
             RowBox[{"3", "/", "2"}], ",", 
             RowBox[{"sign", " ", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"kB", " ", "TD"}], ")"}]}], 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", 
                   RowBox[{"\[Mu]Df", "[", "n", "]"}]}], "-", "\[Mu]Dexp", 
                  "+", 
                  RowBox[{"2", " ", "gint", " ", "nth"}]}], ")"}]}], 
               "]"}]}]}], "]"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"nth", ",", "nth0in"}], "}"}]}], "]"}]}], "//", "Re"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ncxf", "[", "n_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"nth", "/.", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{"nth", "\[Equal]", 
          RowBox[{"sign", " ", 
           RowBox[{"1", "/", 
            SuperscriptBox["\[Lambda]thD", "3"]}], 
           RowBox[{"PolyLog", "[", 
            RowBox[{
             RowBox[{"3", "/", "2"}], ",", 
             RowBox[{"sign", " ", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"kB", " ", "TD"}], ")"}]}], 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"VDx", "[", 
                   RowBox[{"Rxf", "[", "n", "]"}], "]"}], "+", 
                  RowBox[{"2", " ", "gint", " ", "nth"}], " ", "-", " ", 
                  "\[Mu]Dexp"}], ")"}]}], "]"}]}]}], "]"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"nth", ",", "nth0in"}], "}"}]}], "]"}]}], "//", "Re"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ncyf", "[", "n_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"nth", "/.", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{"nth", "\[Equal]", 
          RowBox[{"sign", " ", 
           RowBox[{"1", "/", 
            SuperscriptBox["\[Lambda]thD", "3"]}], 
           RowBox[{"PolyLog", "[", 
            RowBox[{
             RowBox[{"3", "/", "2"}], ",", 
             RowBox[{"sign", " ", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"kB", " ", "TD"}], ")"}]}], 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"VDy", "[", 
                   RowBox[{"Ryf", "[", "n", "]"}], "]"}], "+", 
                  RowBox[{"2", " ", "gint", " ", "nth"}], " ", "-", " ", 
                  "\[Mu]Dexp"}], ")"}]}], "]"}]}]}], "]"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"nth", ",", "nth0in"}], "}"}]}], "]"}]}], "//", "Re"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"nczf", "[", "n_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"nth", "/.", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{"nth", "\[Equal]", 
          RowBox[{"sign", " ", 
           RowBox[{"1", "/", 
            SuperscriptBox["\[Lambda]thD", "3"]}], 
           RowBox[{"PolyLog", "[", 
            RowBox[{
             RowBox[{"3", "/", "2"}], ",", 
             RowBox[{"sign", " ", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"kB", " ", "TD"}], ")"}]}], 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"VDz", "[", 
                   RowBox[{"Rzf", "[", "n", "]"}], "]"}], "+", 
                  RowBox[{"2", " ", "gint", " ", "nth"}], " ", "-", " ", 
                  "\[Mu]Dexp"}], ")"}]}], "]"}]}]}], "]"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"nth", ",", "nth0in"}], "}"}]}], "]"}]}], "//", "Re"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Effective", " ", "Thomas"}], "-", 
     RowBox[{
     "Fermi", " ", "profiles", " ", "of", " ", "the", " ", "thermal", " ", 
      "cloud"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"axf", "[", "n_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ncxf", "[", "n", "]"}], "-", 
        RowBox[{"nth0f", "[", "n", "]"}]}], ")"}], "/", 
      SuperscriptBox[
       RowBox[{"Rxf", "[", "n", "]"}], "2"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ayf", "[", "n_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ncyf", "[", "n", "]"}], "-", 
        RowBox[{"nth0f", "[", "n", "]"}]}], ")"}], "/", 
      SuperscriptBox[
       RowBox[{"Ryf", "[", "n", "]"}], "2"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"azf", "[", "n_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"nczf", "[", "n", "]"}], "-", 
        RowBox[{"nth0f", "[", "n", "]"}]}], ")"}], "/", 
      SuperscriptBox[
       RowBox[{"Rzf", "[", "n", "]"}], "2"]}]}], ";"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]xf", "[", "n_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ncxf", "[", "n", "]"}], "-", 
        RowBox[{"nth0f", "[", "n", "]"}]}], ")"}], "/", 
      RowBox[{"nth0f", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]yf", "[", "n_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ncyf", "[", "n", "]"}], "-", 
        RowBox[{"nth0f", "[", "n", "]"}]}], ")"}], "/", 
      RowBox[{"nth0f", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]zf", "[", "n_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"nczf", "[", "n", "]"}], "-", 
        RowBox[{"nth0f", "[", "n", "]"}]}], ")"}], "/", 
      RowBox[{"nth0f", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]barf", "[", "n_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{"1", "/", "3"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Gamma]xf", "[", "n", "]"}], "+", 
        RowBox[{"\[Gamma]yf", "[", "n", "]"}], "+", 
        RowBox[{"\[Gamma]zf", "[", "n", "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Gf", "[", "n_Real", "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", "5"}], 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"\[Gamma]xf", "[", "n", "]"}], "2"], "+", 
         SuperscriptBox[
          RowBox[{"\[Gamma]yf", "[", "n", "]"}], "2"], "+", 
         SuperscriptBox[
          RowBox[{"\[Gamma]zf", "[", "n", "]"}], "2"]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"2", "/", "15"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"\[Gamma]xf", "[", "n", "]"}], 
          RowBox[{"\[Gamma]yf", "[", "n", "]"}]}], "+", 
         RowBox[{
          RowBox[{"\[Gamma]xf", "[", "n", "]"}], 
          RowBox[{"\[Gamma]zf", "[", "n", "]"}]}], "+", 
         RowBox[{
          RowBox[{"\[Gamma]yf", "[", "n", "]"}], 
          RowBox[{"\[Gamma]zf", "[", "n", "]"}]}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]xf2", "[", 
      RowBox[{"ncx_", ",", "nth0_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"ncx", "-", "nth0"}], ")"}], "/", "nth0"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]yf2", "[", 
      RowBox[{"ncy_", ",", "nth0_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"ncy", "-", "nth0"}], ")"}], "/", "nth0"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]zf2", "[", 
      RowBox[{"ncz_", ",", "nth0_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"ncz", "-", "nth0"}], ")"}], "/", "nth0"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]barf2", "[", 
      RowBox[{"ncx_", ",", "ncy_", ",", "ncz_", ",", "nth0_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"1", "/", "3"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Gamma]xf2", "[", 
         RowBox[{"ncx", ",", "nth0"}], "]"}], "+", 
        RowBox[{"\[Gamma]yf2", "[", 
         RowBox[{"ncy", ",", "nth0"}], "]"}], "+", 
        RowBox[{"\[Gamma]zf2", "[", 
         RowBox[{"ncz", ",", "nth0"}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Gf2", "[", 
      RowBox[{"ncx_", ",", "ncy_", ",", "ncz_", ",", "nth0_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", "5"}], 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"\[Gamma]xf2", "[", 
           RowBox[{"ncx", ",", "nth0"}], "]"}], "2"], "+", 
         SuperscriptBox[
          RowBox[{"\[Gamma]yf2", "[", 
           RowBox[{"ncy", ",", "nth0"}], "]"}], "2"], "+", 
         SuperscriptBox[
          RowBox[{"\[Gamma]zf2", "[", 
           RowBox[{"ncz", ",", "nth0"}], "]"}], "2"]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"2", "/", "15"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"\[Gamma]xf2", "[", 
           RowBox[{"ncx", ",", "nth0"}], "]"}], 
          RowBox[{"\[Gamma]yf2", "[", 
           RowBox[{"ncy", ",", "nth0"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"\[Gamma]xf2", "[", 
           RowBox[{"ncx", ",", "nth0"}], "]"}], 
          RowBox[{"\[Gamma]zf2", "[", 
           RowBox[{"ncz", ",", "nth0"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"\[Gamma]yf2", "[", 
           RowBox[{"ncy", ",", "nth0"}], "]"}], 
          RowBox[{"\[Gamma]zf2", "[", 
           RowBox[{"ncz", ",", "nth0"}], "]"}]}]}], ")"}]}]}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.798591774432295*^9, {3.79859183810744*^9, 3.798591895983385*^9}, {
   3.798591947836805*^9, 3.7985919911650496`*^9}, {3.7985920614330997`*^9, 
   3.7985920616699295`*^9}, {3.7985920959851*^9, 3.7985921208806047`*^9}, {
   3.798592193950552*^9, 3.7985922770944567`*^9}, {3.798592320330318*^9, 
   3.7985925754588337`*^9}, {3.7985927480234866`*^9, 
   3.7985927840745745`*^9}, {3.798594114719453*^9, 3.7985941274923177`*^9}, {
   3.79862316718979*^9, 3.7986231999667253`*^9}, {3.79862355295461*^9, 
   3.7986235540103545`*^9}, {3.798623611088678*^9, 3.798623649166006*^9}, {
   3.7986238675567665`*^9, 3.7986238692278404`*^9}, {3.7986239157102165`*^9, 
   3.798623987057167*^9}, {3.798624182351531*^9, 3.798624182607726*^9}, {
   3.798645691783105*^9, 3.798645758611414*^9}, {3.7986469654239273`*^9, 
   3.798646966759688*^9}, {3.798685399045681*^9, 3.7986854838356028`*^9}, {
   3.798685583694066*^9, 3.798685595597761*^9}, {3.7991307480683727`*^9, 
   3.799130756883136*^9}, {3.7991693261191916`*^9, 3.7991695326986465`*^9}, {
   3.799169785118594*^9, 3.799169785853546*^9}, {3.7992307655493307`*^9, 
   3.7992308002271347`*^9}, {3.7992320037313433`*^9, 3.799232069122528*^9}, {
   3.7992321093674035`*^9, 3.799232125775975*^9}, {3.79923218106958*^9, 
   3.7992323165598536`*^9}, 3.7992323745145235`*^9, {3.7992331776172*^9, 
   3.7992331805950336`*^9}, {3.7992332327893667`*^9, 3.799233248517209*^9}, {
   3.799233290196415*^9, 3.799233296149568*^9}, {3.7992343512333374`*^9, 
   3.79923436604918*^9}, {3.7992344251785383`*^9, 3.7992344358082914`*^9}, 
   3.799484455126934*^9, {3.799484517790208*^9, 3.7994846680922184`*^9}, {
   3.799487126526846*^9, 3.799487210499538*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.7994871851546335`*^9, 3.7994872006025333`*^9}}]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.7994872177726793`*^9}],

Cell[BoxData[
 StyleBox[
  RowBox[{
  "Plot", " ", "the", " ", "densities", " ", "of", " ", "the", " ", "thermal",
    " ", "cloud"}], "Subsection"]], "Input",
 CellChangeTimes->{{3.7994847951739883`*^9, 3.7994848135848603`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"N2", "=", "NBEC"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pldisc", "=", 
   RowBox[{"DiscretePlot", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"sol", "=", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{"nth", "\[Equal]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", 
            SuperscriptBox["\[Lambda]thD", "3"]}], 
           RowBox[{"PolyLog", "[", 
            RowBox[{
             RowBox[{"3", "/", "2"}], ",", "\[IndentingNewLine]", 
             RowBox[{"-", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"kB", " ", "TD"}], ")"}]}], 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"VDx", "[", "r", "]"}], "+", 
                  RowBox[{"2", " ", "gint", " ", 
                   RowBox[{"UnitStep", "[", 
                    RowBox[{"r", "+", 
                    RowBox[{"Rxf", "[", "N2", "]"}]}], "]"}], 
                   RowBox[{"UnitStep", "[", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", 
                    RowBox[{"Rxf", "[", "N2", "]"}]}], "]"}], 
                   RowBox[{"n0f", "[", "N2", "]"}], 
                   RowBox[{"(", 
                    RowBox[{"1", "-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "/", 
                    RowBox[{"Rxf", "[", "N2", "]"}]}], ")"}], "2"]}], ")"}]}],
                   "+", 
                  RowBox[{"2", " ", "gint", " ", "nth"}], " ", "-", " ", 
                  "\[Mu]Dexp"}], ")"}]}], "\[IndentingNewLine]", "]"}]}]}], 
            "\[IndentingNewLine]", "]"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"nth", ",", "n0"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nth", "/.", "sol"}], "//", "Re"}]}], "\[IndentingNewLine]", 
     ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"-", "rlimR"}], ",", "rlimR", ",", 
       RowBox[{"2", 
        RowBox[{"rlimR", "/", "51"}]}]}], "}"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nth0f", "[", "NBECtest", "]"}], 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{
         RowBox[{"\[Gamma]xf", "[", "NBECtest", "]"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"x", "/", "Rx"}], ")"}], "2"]}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "Rx"}], ",", "Rx"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{"pldisc", ",", "pl"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.7994848359736605`*^9, 3.799484876968642*^9}, {
  3.799485252611032*^9, 3.799485253117404*^9}, {3.7994853423355837`*^9, 
  3.79948534397874*^9}, {3.7994853934413166`*^9, 3.7994854201321435`*^9}, {
  3.799485517118678*^9, 3.79948554485225*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.7994852849368877`*^9, {3.799485410979677*^9, 3.799485421651229*^9}, {
   3.79948551902101*^9, 3.7994855460440793`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.7994852849368877`*^9, {3.799485410979677*^9, 3.799485421651229*^9}, {
   3.79948551902101*^9, 3.7994855461021333`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.7994852849368877`*^9, {3.799485410979677*^9, 3.799485421651229*^9}, {
   3.79948551902101*^9, 3.799485546128152*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(FindRoot \
:: lstol\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.7994852849368877`*^9, {3.799485410979677*^9, 3.799485421651229*^9}, {
   3.79948551902101*^9, 3.799485546131142*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.7994852849368877`*^9, {3.799485410979677*^9, 3.799485421651229*^9}, {
   3.79948551902101*^9, 3.7994855468786864`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.7994852849368877`*^9, {3.799485410979677*^9, 3.799485421651229*^9}, {
   3.79948551902101*^9, 3.7994855469016976`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.7994852849368877`*^9, {3.799485410979677*^9, 3.799485421651229*^9}, {
   3.79948551902101*^9, 3.7994855469287214`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(FindRoot \
:: lstol\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.7994852849368877`*^9, {3.799485410979677*^9, 3.799485421651229*^9}, {
   3.79948551902101*^9, 3.799485546930707*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[0.24720000000000014`, 0.24, 0.6], {
      {Opacity[0.2], LineBox[{},
        VertexColors->None]}, 
      {Opacity[0.2], 
       LineBox[{{{-0.000015918535681253288`, 
          7.292755169552928*^18}, {-0.000015918535681253288`, 
           0}}, {{-0.000015294279380027667`, 
          1.064411511394071*^19}, {-0.000015294279380027667`, 
           0}}, {{-0.00001467002307880205, 
          1.5239137922019514`*^19}, {-0.00001467002307880205, 
           0}}, {{-0.00001404576677757643, 
          2.138206527296973*^19}, {-0.00001404576677757643, 
           0}}, {{-0.000013421510476350812`, 
          2.937561439503308*^19}, {-0.000013421510476350812`, 
           0}}, {{-0.000012797254175125193`, 
          3.948512927820162*^19}, {-0.000012797254175125193`, 
           0}}, {{-0.000012172997873899574`, 
          5.18985168360986*^19}, {-0.000012172997873899574`, 
           0}}, {{-0.000011548741572673953`, 
          6.6690911408444604`*^19}, {-0.000011548741572673953`, 
           0}}, {{-0.000010924485271448336`, 
          8.380329501869151*^19}, {-0.000010924485271448336`, 
           0}}, {{-0.000010300228970222715`, 
          1.0304056651588837`*^20}, {-0.000010300228970222715`, 
           0}}, {{-9.675972668997098*^-6, 
          1.2408844435662786`*^20}, {-9.675972668997098*^-6, 
           0}}, {{-9.051716367771477*^-6, 
          1.4654329762506016`*^20}, {-9.051716367771477*^-6, 
           0}}, {{-8.427460066545858*^-6, 
          1.6994686345738548`*^20}, {-8.427460066545858*^-6, 
           0}}, {{-7.80320376532024*^-6, 
          1.9381890897496896`*^20}, {-7.80320376532024*^-6, 
           0}}, {{-7.178947464094621*^-6, 
          2.176836878103788*^20}, {-7.178947464094621*^-6, 
           0}}, {{-6.554691162869002*^-6, 
          2.4108884422205293`*^20}, {-6.554691162869002*^-6, 
           0}}, {{-5.930434861643383*^-6, 
          2.63617324116396*^20}, {-5.930434861643383*^-6, 
           0}}, {{-5.306178560417764*^-6, 
          2.848937467920607*^20}, {-5.306178560417764*^-6, 
           0}}, {{-4.681922259192145*^-6, 
          3.0458686082415565`*^20}, {-4.681922259192145*^-6, 
           0}}, {{-4.057665957966526*^-6, 
          3.2240949906995885`*^20}, {-4.057665957966526*^-6, 
           0}}, {{-3.433409656740907*^-6, 
          3.381171129774428*^20}, {-3.433409656740907*^-6, 
           0}}, {{-2.809153355515288*^-6, 
          3.3604931029754734`*^20}, {-2.809153355515288*^-6, 
           0}}, {{-2.184897054289669*^-6, 
          3.2556788930276504`*^20}, {-2.184897054289669*^-6, 
           0}}, {{-1.56064075306405*^-6, 
          3.1782227913338094`*^20}, {-1.56064075306405*^-6, 
           0}}, {{-9.363844518384293*^-7, 
          3.127139760516736*^20}, {-9.363844518384293*^-7, 
           0}}, {{-3.12128150612812*^-7, 
          3.1017654572338066`*^20}, {-3.12128150612812*^-7, 0}}, {{
          3.1212815061280863`*^-7, 3.1017654572338066`*^20}, {
          3.1212815061280863`*^-7, 0}}, {{9.363844518384259*^-7, 
          3.127139760516736*^20}, {9.363844518384259*^-7, 0}}, {{
          1.5606407530640466`*^-6, 3.1782227913338107`*^20}, {
          1.5606407530640466`*^-6, 0}}, {{2.184897054289664*^-6, 
          3.2556788930276504`*^20}, {2.184897054289664*^-6, 0}}, {{
          2.8091533555152845`*^-6, 3.360493102975474*^20}, {
          2.8091533555152845`*^-6, 0}}, {{3.4334096567409017`*^-6, 
          3.381171129774429*^20}, {3.4334096567409017`*^-6, 0}}, {{
          4.057665957966522*^-6, 3.22409499069959*^20}, {
          4.057665957966522*^-6, 0}}, {{4.681922259192143*^-6, 
          3.0458686082415565`*^20}, {4.681922259192143*^-6, 0}}, {{
          5.30617856041776*^-6, 2.8489374679206085`*^20}, {
          5.30617856041776*^-6, 0}}, {{5.930434861643381*^-6, 
          2.63617324116396*^20}, {5.930434861643381*^-6, 0}}, {{
          6.554691162868998*^-6, 2.4108884422205384`*^20}, {
          6.554691162868998*^-6, 0}}, {{7.178947464094619*^-6, 
          2.176836878103789*^20}, {7.178947464094619*^-6, 0}}, {{
          7.803203765320236*^-6, 1.9381890897496877`*^20}, {
          7.803203765320236*^-6, 0}}, {{8.427460066545857*^-6, 
          1.6994686345738555`*^20}, {8.427460066545857*^-6, 0}}, {{
          9.051716367771474*^-6, 1.465432976250603*^20}, {
          9.051716367771474*^-6, 0}}, {{9.675972668997095*^-6, 
          1.2408844435662799`*^20}, {9.675972668997095*^-6, 0}}, {{
          0.000010300228970222712`, 1.030405665158885*^20}, {
          0.000010300228970222712`, 0}}, {{0.000010924485271448333`, 
          8.380329501869162*^19}, {0.000010924485271448333`, 0}}, {{
          0.00001154874157267395, 6.669091140844471*^19}, {
          0.00001154874157267395, 0}}, {{0.00001217299787389957, 
          5.189851683609866*^19}, {0.00001217299787389957, 0}}, {{
          0.000012797254175125188`, 3.94851292782017*^19}, {
          0.000012797254175125188`, 0}}, {{0.000013421510476350808`, 
          2.9375614395033117`*^19}, {0.000013421510476350808`, 0}}, {{
          0.000014045766777576429`, 2.138206527296974*^19}, {
          0.000014045766777576429`, 0}}, {{0.000014670023078802046`, 
          1.5239137922019543`*^19}, {0.000014670023078802046`, 0}}, {{
          0.000015294279380027664`, 1.0644115113940732`*^19}, {
          0.000015294279380027664`, 0}}, {{0.000015918535681253288`, 
          7.292755169552928*^18}, {0.000015918535681253288`, 0}}},
        VertexColors->None]}}}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], {}, PointBox[CompressedData["
1:eJw1k38sFGAYxy9uIvVHLcqPZsVJHI5sTrNnd+7961pbdFi2NnPTGjY1VI6Z
RKk4Z7FipozEjsJYnfIgYaR2KZYsLknnV4z+6MiWet774927Z3v2/Ph+P8/h
hNSoRBuBQBCy/f79UfERl1xaV9FzwL6InZpQWIaZ6YbDKj45Wzu0cnlGEZGs
rTb3/UTHR+rzt1IXFKWyu9l96csYlhnR2n9nTWFyuh9XLVrCfnFGXJvGoghc
rJJmji+gfkQ43emxg+X01Dirbs7jyV1dutlrdmykvP5XgNSMB180tPsv7Wbu
yfpRh/k5zNoLaULxPpYka2mZrfiOoiR5wVysM+t06tB2K2cxHwY+K82uzH7R
kFK5OYNhxv3XhwY8WGwPKjOavmKx5s0BS8oRVl/e53P6nAnvfanx19qK2MKY
bk+M+xRGNqfVrFQcZYW5lUOOOZP4w7LOSjx9mbdfXUHv9CesbPTpnigTs9dj
zfIr8nE0HCoeVX8LYAm5z7bEtR/Q67i3eStPwgR+vYYZ4XssLAupVWmCWLi+
fFHydgRdlj8qI1XB7KqgUV2lG0SVULZZHRrM2qNfTu5UvUKbRHXOsfogZop+
8HguoBNDfTe0+hNB7KGgKDAr+SkKm9TSwXUJk+nbPKLWytDotp6uM273oxis
cS7lgzXfSPUgjNdroH5g7XeR5oFoPo+E5gU3Pu8f3//7wG2+TzztC9Z9e0gP
6OJ6eJFeYNUrn/QE2w3S00x6g4rrXUd+QCn3I4b8ghLulx35CXLu53PyG4q4
3xeIB/DnPLgSL5DHeRkmnkDEecom3uAM501MPEIH53GKeIV3nFcd8QzhnGcZ
8Q4unPffdA9g4PfA7wWs9/IXt+iedg==
      "]], {}}}, {{}, {}, 
    {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJw12Hk8VN//B3AifFrshRaypVDNTPY4xLWkECK0kCVkzzpZisqefWTJMpZM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      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  Method->{"MessagesHead" -> DiscretePlot},
  PlotRange->{{-0.000015918535681253288`, 0.000015918535681253288`}, {
    0, 3.381171129774429*^20}},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}}]], "Output",
 CellChangeTimes->{
  3.7994853076751084`*^9, {3.799485415626978*^9, 3.7994854235785913`*^9}, 
   3.799485539018118*^9, 3.799485575349784*^9}]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.7994856403927517`*^9}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Rate", " ", 
   RowBox[{"equation", ":", " ", 
    RowBox[{
     RowBox[{"C12", " ", "source"}], " ", "+", " ", "3", "-", 
     RowBox[{"body", " ", "losses"}]}]}]}], "Section"]], "Input",
 CellChangeTimes->{{3.7992342043538685`*^9, 3.7992342122548704`*^9}, {
  3.7994856423871613`*^9, 3.799485655752602*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Zero", " ", "anisotropy", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"no", " ", "out"}], "-", "term"}], ")"}]}], 
  "Subsubsection"]], "Input",
 CellChangeTimes->{{3.7994865667479925`*^9, 3.7994865775004587`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Solve", " ", "for", " ", "Iin", " ", "to", " ", "match", " ", "the", " ",
      "steady"}], "-", 
    RowBox[{"state", " ", "NBEC"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Clear", "[", "Iin", "]"}], ";", " ", 
    RowBox[{"ani", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Iin", "=", 
    RowBox[{"Iin", "/.", 
     RowBox[{"FindRoot", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"nth0", "=", 
         RowBox[{"nth0f", "[", "NBEC", "]"}]}], ";", " ", 
        "\[IndentingNewLine]", 
        RowBox[{"ncx", "=", 
         RowBox[{"ncxf", "[", "NBEC", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"ncy", "=", 
         RowBox[{"ncyf", "[", "NBEC", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"ncz", "=", 
         RowBox[{"nczf", "[", "NBEC", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"n0t", "=", 
         RowBox[{"n0f", "[", "NBEC", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"0", "==", " ", "\[IndentingNewLine]", " ", 
          RowBox[{
           RowBox[{"\[Sigma]", " ", "4", "\[Pi]", " ", 
            RowBox[{"Rxf", "[", "NBEC", "]"}], " ", 
            RowBox[{"Ryf", "[", "NBEC", "]"}], 
            RowBox[{"Rzf", "[", "NBEC", "]"}], "\[IndentingNewLine]", "Iin", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"n0t", " ", 
               SuperscriptBox["nth0", "2"], " ", 
               RowBox[{"(", 
                RowBox[{"8", 
                 RowBox[{"\[Pi]", "/", "315"}]}], ")"}], 
               RowBox[{"(", 
                RowBox[{"21", "+", 
                 RowBox[{"5", 
                  RowBox[{"Gf2", "[", 
                   RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                   "]"}]}], "+", 
                 RowBox[{"18", " ", 
                  RowBox[{"\[Gamma]barf2", "[", 
                   RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                   "]"}]}]}], ")"}]}], "\[IndentingNewLine]", "-", 
              RowBox[{"ani", " ", "n0t", " ", "nth0", " ", 
               RowBox[{"2", "/", "105"}], 
               RowBox[{"(", 
                RowBox[{"7", "+", 
                 RowBox[{"3", 
                  RowBox[{"\[Gamma]barf2", "[", 
                   RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                   "]"}]}]}], ")"}]}]}], "\[IndentingNewLine]", ")"}]}], 
           "\[IndentingNewLine]", "-", 
           RowBox[{
            RowBox[{"\[CapitalGamma]3f", "[", "NBEC", "]"}], " ", 
            SuperscriptBox["NBEC", "3"]}], "\[IndentingNewLine]", "-", 
           RowBox[{"6", " ", "\[Gamma]3SI", " ", "4", "\[Pi]", " ", 
            RowBox[{"Rxf", "[", "NBEC", "]"}], 
            RowBox[{"Ryf", "[", "NBEC", "]"}], 
            RowBox[{"Rzf", "[", "NBEC", "]"}], "\[IndentingNewLine]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["n0t", "2"], "nth0", " ", 
               RowBox[{"8", "/", "315"}], 
               RowBox[{"(", 
                RowBox[{"3", "+", 
                 RowBox[{"\[Gamma]barf2", "[", 
                  RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                  "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
              RowBox[{"n0t", " ", 
               SuperscriptBox["nth0", "2"], 
               RowBox[{"2", "/", "315"}], 
               RowBox[{"(", 
                RowBox[{"21", "+", 
                 RowBox[{"5", 
                  RowBox[{"Gf2", "[", 
                   RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                   "]"}]}], "+", 
                 RowBox[{"18", " ", 
                  RowBox[{"\[Gamma]barf2", "[", 
                   RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                   "]"}]}]}], ")"}]}]}], ")"}]}]}]}], " ", "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"Iin", ",", 
         SuperscriptBox["10", 
          RowBox[{"-", "27."}]]}], "}"}]}], "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.799485842220233*^9, 3.7994859043249464`*^9}, {
  3.799485944293172*^9, 3.799485963198544*^9}, {3.799485999598271*^9, 
  3.7994860005048895`*^9}, {3.799486081606393*^9, 3.799486087909849*^9}, {
  3.799486179139299*^9, 3.799486187691346*^9}, {3.799486294049159*^9, 
  3.799486426554776*^9}, {3.799486496962463*^9, 3.799486552511578*^9}},
 FormatType->"InputForm"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.7994860044006376`*^9, 3.799486088800474*^9, 
  3.7994861908005266`*^9, 3.7994864275854917`*^9, 3.7994892409197803`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.7994860044006376`*^9, 3.799486088800474*^9, 
  3.7994861908005266`*^9, 3.7994864275854917`*^9, 3.7994892409438105`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.7994860044006376`*^9, 3.799486088800474*^9, 
  3.7994861908005266`*^9, 3.7994864275854917`*^9, 3.799489240968816*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(FindRoot \
:: lstol\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.7994860044006376`*^9, 3.799486088800474*^9, 
  3.7994861908005266`*^9, 3.7994864275854917`*^9, 3.799489240969829*^9}],

Cell[BoxData["6.107924017828838`*^-27"], "Output",
 CellChangeTimes->{3.799486004469699*^9, 3.799486088872512*^9, 
  3.7994861908895884`*^9, 3.7994864276545525`*^9, 3.7994892409958506`*^9}]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{"Inferred", " ", "Atom", " ", "fluxes", " ", 
   RowBox[{"{", 
    RowBox[{"Sin", ",", 
     RowBox[{"-", "Sout"}], ",", 
     RowBox[{"-", "L3"}], ",", 
     RowBox[{"-", "L2"}], ",", 
     RowBox[{"-", "L1"}]}], "}"}]}], "Subsubsection"]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Fluxesani0", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[Sigma]", " ", "4", "\[Pi]", " ", 
     RowBox[{"Rxf", "[", "NBECnum", "]"}], " ", 
     RowBox[{"Ryf", "[", "NBECnum", "]"}], 
     RowBox[{"Rzf", "[", "NBECnum", "]"}], "Iin", " ", "n0t", " ", 
     SuperscriptBox["nth0", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"8", 
       RowBox[{"\[Pi]", "/", "315"}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"21", "+", 
       RowBox[{"5", 
        RowBox[{"Gf2", "[", 
         RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], "]"}]}], "+", 
       RowBox[{"18", " ", 
        RowBox[{"\[Gamma]barf2", "[", 
         RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], "]"}]}]}], 
      ")"}]}], "\[IndentingNewLine]", ",", 
    RowBox[{
     RowBox[{"-", "\[Sigma]"}], " ", "4", "\[Pi]", " ", 
     RowBox[{"Rxf", "[", "NBECnum", "]"}], " ", 
     RowBox[{"Ryf", "[", "NBECnum", "]"}], 
     RowBox[{"Rzf", "[", "NBECnum", "]"}], " ", "Iin", " ", "ani", " ", "n0t",
      " ", "nth0", " ", 
     RowBox[{"2", "/", "105"}], 
     RowBox[{"(", 
      RowBox[{"7", "+", 
       RowBox[{"3", 
        RowBox[{"\[Gamma]barf2", "[", 
         RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], "]"}]}]}], 
      ")"}]}], "\[IndentingNewLine]", ",", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"\[CapitalGamma]3f", "[", "NBECnum", "]"}]}], " ", 
     SuperscriptBox["NBECnum", "3"]}], "\[IndentingNewLine]", ",", 
    RowBox[{
     RowBox[{"-", "6"}], " ", "\[Gamma]3SI", " ", "4", "\[Pi]", " ", 
     RowBox[{"Rxf", "[", "NBECnum", "]"}], 
     RowBox[{"Ryf", "[", "NBECnum", "]"}], 
     RowBox[{"Rzf", "[", "NBECnum", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["n0t", "2"], "nth0", " ", 
       RowBox[{"8", "/", "315"}], 
       RowBox[{"(", 
        RowBox[{"3", "+", 
         RowBox[{"\[Gamma]barf2", "[", 
          RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], "]"}]}], 
        ")"}]}], ")"}]}], "\[IndentingNewLine]", ",", 
    RowBox[{
     RowBox[{"-", "6"}], " ", "\[Gamma]3SI", " ", "4", "\[Pi]", " ", 
     RowBox[{"Rxf", "[", "NBECnum", "]"}], 
     RowBox[{"Ryf", "[", "NBECnum", "]"}], 
     RowBox[{"Rzf", "[", "NBECnum", "]"}], "n0t", " ", 
     SuperscriptBox["nth0", "2"], 
     RowBox[{"2", "/", "315"}], 
     RowBox[{"(", 
      RowBox[{"21", "+", 
       RowBox[{"5", 
        RowBox[{"Gf2", "[", 
         RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], "]"}]}], "+", 
       RowBox[{"18", " ", 
        RowBox[{"\[Gamma]barf2", "[", 
         RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], "]"}]}]}], 
      ")"}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.799488445944151*^9, 3.799488553710732*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"101462.1850326033`", ",", "0.`", ",", 
   RowBox[{"-", "6849.812456959926`"}], ",", 
   RowBox[{"-", "42434.233653923024`"}], ",", 
   RowBox[{"-", "52178.13892172033`"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.799489235951288*^9, 3.799489244124044*^9}}]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.799488425116418*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tend", "=", "4.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"solnMasterC12ani0", "=", 
   RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"nth0", "=", 
       RowBox[{"nth0f", "[", 
        RowBox[{"n", "[", "t", "]"}], "]"}]}], ";", " ", 
      "\[IndentingNewLine]", 
      RowBox[{"ncx", "=", 
       RowBox[{"ncxf", "[", 
        RowBox[{"n", "[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ncy", "=", 
       RowBox[{"ncyf", "[", 
        RowBox[{"n", "[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ncz", "=", 
       RowBox[{"nczf", "[", 
        RowBox[{"n", "[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"n0t", "=", 
       RowBox[{"n0f", "[", 
        RowBox[{"n", "[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"n", "'"}], "[", "t", "]"}], "==", " ", 
         "\[IndentingNewLine]", " ", 
         RowBox[{
          RowBox[{"\[Sigma]", " ", "4", "\[Pi]", " ", 
           RowBox[{"Rxf", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], " ", 
           RowBox[{"Ryf", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], 
           RowBox[{"Rzf", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], "\[IndentingNewLine]", "Iin", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"n0t", " ", 
              SuperscriptBox["nth0", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"8", 
                RowBox[{"\[Pi]", "/", "315"}]}], ")"}], 
              RowBox[{"(", 
               RowBox[{"21", "+", 
                RowBox[{"5", 
                 RowBox[{"Gf2", "[", 
                  RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                  "]"}]}], "+", 
                RowBox[{"18", " ", 
                 RowBox[{"\[Gamma]barf2", "[", 
                  RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                  "]"}]}]}], ")"}]}], "\[IndentingNewLine]", "-", 
             RowBox[{"ani", " ", "n0t", " ", "nth0", " ", 
              RowBox[{"2", "/", "105"}], 
              RowBox[{"(", 
               RowBox[{"7", "+", 
                RowBox[{"3", 
                 RowBox[{"\[Gamma]barf2", "[", 
                  RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                  "]"}]}]}], ")"}]}]}], "\[IndentingNewLine]", ")"}]}], 
          "\[IndentingNewLine]", "-", 
          RowBox[{
           RowBox[{"\[CapitalGamma]3f", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], " ", 
           SuperscriptBox[
            RowBox[{"n", "[", "t", "]"}], "3"]}], "\[IndentingNewLine]", "-", 
          RowBox[{"6", " ", "\[Gamma]3SI", " ", "4", "\[Pi]", " ", 
           RowBox[{"Rxf", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], 
           RowBox[{"Ryf", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], 
           RowBox[{"Rzf", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], "\[IndentingNewLine]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["n0t", "2"], "nth0", " ", 
              RowBox[{"8", "/", "315"}], 
              RowBox[{"(", 
               RowBox[{"3", "+", 
                RowBox[{"\[Gamma]barf2", "[", 
                 RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                 "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
             RowBox[{"n0t", " ", 
              SuperscriptBox["nth0", "2"], 
              RowBox[{"2", "/", "315"}], 
              RowBox[{"(", 
               RowBox[{"21", "+", 
                RowBox[{"5", 
                 RowBox[{"Gf2", "[", 
                  RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                  "]"}]}], "+", 
                RowBox[{"18", " ", 
                 RowBox[{"\[Gamma]barf2", "[", 
                  RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                  "]"}]}]}], ")"}]}]}], ")"}]}]}]}], " ", 
        "\[IndentingNewLine]", ",", 
        RowBox[{
         RowBox[{"n", "[", "0", "]"}], "\[Equal]", "0.5"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", "n", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tend"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7994864343219256`*^9, 3.799486458513024*^9}, {
  3.7994878153548374`*^9, 3.799487816546678*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.799486473060295*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.799486473090315*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.799486473113333*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(FindRoot \
:: lstol\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.799486473114332*^9}]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.7994875949484634`*^9}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Non", "-", 
   RowBox[{"zero", " ", "anisotropy", " ", 
    RowBox[{"(", 
     RowBox[{"out", "-", 
      RowBox[{"term", " ", "present"}]}], ")"}]}]}], 
  "Subsubsection"]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Solve", " ", "for", " ", "Iin", " ", "to", " ", "match", " ", "the", " ",
      "steady"}], "-", 
    RowBox[{"state", " ", "NBEC"}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"Clear", "[", "Iin", "]"}], ";", " ", 
   RowBox[{"ani", "=", 
    RowBox[{"333", " ", 
     SuperscriptBox["10", "19"]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"max", " ", "ani"}], " ", "=", " ", 
     RowBox[{"408.329", " ", 
      SuperscriptBox["10", "19"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Iin", "=", 
    RowBox[{"Iin", "/.", 
     RowBox[{"FindRoot", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"nth0", "=", 
         RowBox[{"nth0f", "[", "NBEC", "]"}]}], ";", " ", 
        "\[IndentingNewLine]", 
        RowBox[{"ncx", "=", 
         RowBox[{"ncxf", "[", "NBEC", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"ncy", "=", 
         RowBox[{"ncyf", "[", "NBEC", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"ncz", "=", 
         RowBox[{"nczf", "[", "NBEC", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"n0t", "=", 
         RowBox[{"n0f", "[", "NBEC", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"0", "==", " ", "\[IndentingNewLine]", " ", 
          RowBox[{
           RowBox[{"\[Sigma]", " ", "4", "\[Pi]", " ", 
            RowBox[{"Rxf", "[", "NBEC", "]"}], " ", 
            RowBox[{"Ryf", "[", "NBEC", "]"}], 
            RowBox[{"Rzf", "[", "NBEC", "]"}], "\[IndentingNewLine]", "Iin", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"n0t", " ", 
               SuperscriptBox["nth0", "2"], " ", 
               RowBox[{"(", 
                RowBox[{"8", 
                 RowBox[{"\[Pi]", "/", "315"}]}], ")"}], 
               RowBox[{"(", 
                RowBox[{"21", "+", 
                 RowBox[{"5", 
                  RowBox[{"Gf2", "[", 
                   RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                   "]"}]}], "+", 
                 RowBox[{"18", " ", 
                  RowBox[{"\[Gamma]barf2", "[", 
                   RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                   "]"}]}]}], ")"}]}], "\[IndentingNewLine]", "-", 
              RowBox[{"ani", " ", "n0t", " ", "nth0", " ", 
               RowBox[{"2", "/", "105"}], 
               RowBox[{"(", 
                RowBox[{"7", "+", 
                 RowBox[{"3", 
                  RowBox[{"\[Gamma]barf2", "[", 
                   RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                   "]"}]}]}], ")"}]}]}], "\[IndentingNewLine]", ")"}]}], 
           "\[IndentingNewLine]", "-", 
           RowBox[{
            RowBox[{"\[CapitalGamma]3f", "[", "NBEC", "]"}], " ", 
            SuperscriptBox["NBEC", "3"]}], "\[IndentingNewLine]", "-", 
           RowBox[{"6", " ", "\[Gamma]3SI", " ", "4", "\[Pi]", " ", 
            RowBox[{"Rxf", "[", "NBEC", "]"}], 
            RowBox[{"Ryf", "[", "NBEC", "]"}], 
            RowBox[{"Rzf", "[", "NBEC", "]"}], "\[IndentingNewLine]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["n0t", "2"], "nth0", " ", 
               RowBox[{"8", "/", "315"}], 
               RowBox[{"(", 
                RowBox[{"3", "+", 
                 RowBox[{"\[Gamma]barf2", "[", 
                  RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                  "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
              RowBox[{"n0t", " ", 
               SuperscriptBox["nth0", "2"], 
               RowBox[{"2", "/", "315"}], 
               RowBox[{"(", 
                RowBox[{"21", "+", 
                 RowBox[{"5", 
                  RowBox[{"Gf2", "[", 
                   RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                   "]"}]}], "+", 
                 RowBox[{"18", " ", 
                  RowBox[{"\[Gamma]barf2", "[", 
                   RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                   "]"}]}]}], ")"}]}]}], ")"}]}]}]}], " ", "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"Iin", ",", 
         SuperscriptBox["10", 
          RowBox[{"-", "27."}]]}], "}"}]}], "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.799486139016941*^9, 3.7994861419910555`*^9}, {
  3.7994865930250235`*^9, 3.7994866084949665`*^9}, {3.7994875910166845`*^9, 
  3.79948759146802*^9}, {3.7994878238688393`*^9, 3.7994878552720385`*^9}, {
  3.799488274163286*^9, 3.7994883073937654`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.799487502021843*^9, 3.7994878706819153`*^9, 
  3.7994882821068983`*^9, 3.7994883233600454`*^9, 3.7994892501683145`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.799487502021843*^9, 3.7994878706819153`*^9, 
  3.7994882821068983`*^9, 3.7994883233600454`*^9, 3.7994892501923485`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.799487502021843*^9, 3.7994878706819153`*^9, 
  3.7994882821068983`*^9, 3.7994883233600454`*^9, 3.7994892502153473`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(FindRoot \
:: lstol\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.799487502021843*^9, 3.7994878706819153`*^9, 
  3.7994882821068983`*^9, 3.7994883233600454`*^9, 3.7994892502163486`*^9}],

Cell[BoxData["3.327570605800392`*^-26"], "Output",
 CellChangeTimes->{3.7994875019958267`*^9, 3.7994878707559657`*^9, 
  3.7994882821739464`*^9, 3.799488323431094*^9, 3.799489250240366*^9}]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{"Inferred", " ", "Atom", " ", "fluxes", " ", 
   RowBox[{"{", 
    RowBox[{"Sin", ",", 
     RowBox[{"-", "Sout"}], ",", 
     RowBox[{"-", "L3"}], ",", 
     RowBox[{"-", "L2"}], ",", 
     RowBox[{"-", "L1"}]}], "}"}]}], "Subsubsection"]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Fluxesani333", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[Sigma]", " ", "4", "\[Pi]", " ", 
     RowBox[{"Rxf", "[", "NBECnum", "]"}], " ", 
     RowBox[{"Ryf", "[", "NBECnum", "]"}], 
     RowBox[{"Rzf", "[", "NBECnum", "]"}], "Iin", " ", "n0t", " ", 
     SuperscriptBox["nth0", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"8", 
       RowBox[{"\[Pi]", "/", "315"}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"21", "+", 
       RowBox[{"5", 
        RowBox[{"Gf2", "[", 
         RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], "]"}]}], "+", 
       RowBox[{"18", " ", 
        RowBox[{"\[Gamma]barf2", "[", 
         RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], "]"}]}]}], 
      ")"}]}], "\[IndentingNewLine]", ",", 
    RowBox[{
     RowBox[{"-", "\[Sigma]"}], " ", "4", "\[Pi]", " ", 
     RowBox[{"Rxf", "[", "NBECnum", "]"}], " ", 
     RowBox[{"Ryf", "[", "NBECnum", "]"}], 
     RowBox[{"Rzf", "[", "NBECnum", "]"}], " ", "Iin", " ", "ani", " ", "n0t",
      " ", "nth0", " ", 
     RowBox[{"2", "/", "105"}], 
     RowBox[{"(", 
      RowBox[{"7", "+", 
       RowBox[{"3", 
        RowBox[{"\[Gamma]barf2", "[", 
         RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], "]"}]}]}], 
      ")"}]}], "\[IndentingNewLine]", ",", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"\[CapitalGamma]3f", "[", "NBECnum", "]"}]}], " ", 
     SuperscriptBox["NBECnum", "3"]}], "\[IndentingNewLine]", ",", 
    RowBox[{
     RowBox[{"-", "6"}], " ", "\[Gamma]3SI", " ", "4", "\[Pi]", " ", 
     RowBox[{"Rxf", "[", "NBECnum", "]"}], 
     RowBox[{"Ryf", "[", "NBECnum", "]"}], 
     RowBox[{"Rzf", "[", "NBECnum", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["n0t", "2"], "nth0", " ", 
       RowBox[{"8", "/", "315"}], 
       RowBox[{"(", 
        RowBox[{"3", "+", 
         RowBox[{"\[Gamma]barf2", "[", 
          RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], "]"}]}], 
        ")"}]}], ")"}]}], "\[IndentingNewLine]", ",", 
    RowBox[{
     RowBox[{"-", "6"}], " ", "\[Gamma]3SI", " ", "4", "\[Pi]", " ", 
     RowBox[{"Rxf", "[", "NBECnum", "]"}], 
     RowBox[{"Ryf", "[", "NBECnum", "]"}], 
     RowBox[{"Rzf", "[", "NBECnum", "]"}], "n0t", " ", 
     SuperscriptBox["nth0", "2"], 
     RowBox[{"2", "/", "315"}], 
     RowBox[{"(", 
      RowBox[{"21", "+", 
       RowBox[{"5", 
        RowBox[{"Gf2", "[", 
         RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], "]"}]}], "+", 
       RowBox[{"18", " ", 
        RowBox[{"\[Gamma]barf2", "[", 
         RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], "]"}]}]}], 
      ")"}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.799488445944151*^9, 3.799488574126804*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"552761.5987514933`", ",", 
   RowBox[{"-", "451299.4137188897`"}], ",", 
   RowBox[{"-", "6849.812456959926`"}], ",", 
   RowBox[{"-", "42434.233653923024`"}], ",", 
   RowBox[{"-", "52178.13892172033`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7994892529542837`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Fluxesani333", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "+", 
  RowBox[{"Fluxesani333", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.799489390413666*^9, 3.7994894099915276`*^9}}],

Cell[BoxData["101462.18503260356`"], "Output",
 CellChangeTimes->{3.7994894102737093`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tend", "=", "4.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"solnMasterC12ani333", "=", 
   RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"nth0", "=", 
       RowBox[{"nth0f", "[", 
        RowBox[{"n", "[", "t", "]"}], "]"}]}], ";", " ", 
      "\[IndentingNewLine]", 
      RowBox[{"ncx", "=", 
       RowBox[{"ncxf", "[", 
        RowBox[{"n", "[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ncy", "=", 
       RowBox[{"ncyf", "[", 
        RowBox[{"n", "[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ncz", "=", 
       RowBox[{"nczf", "[", 
        RowBox[{"n", "[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"n0t", "=", 
       RowBox[{"n0f", "[", 
        RowBox[{"n", "[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"n", "'"}], "[", "t", "]"}], "==", " ", 
         "\[IndentingNewLine]", " ", 
         RowBox[{
          RowBox[{"\[Sigma]", " ", "4", "\[Pi]", " ", 
           RowBox[{"Rxf", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], " ", 
           RowBox[{"Ryf", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], 
           RowBox[{"Rzf", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], "\[IndentingNewLine]", "Iin", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"n0t", " ", 
              SuperscriptBox["nth0", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"8", 
                RowBox[{"\[Pi]", "/", "315"}]}], ")"}], 
              RowBox[{"(", 
               RowBox[{"21", "+", 
                RowBox[{"5", 
                 RowBox[{"Gf2", "[", 
                  RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                  "]"}]}], "+", 
                RowBox[{"18", " ", 
                 RowBox[{"\[Gamma]barf2", "[", 
                  RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                  "]"}]}]}], ")"}]}], "\[IndentingNewLine]", "-", 
             RowBox[{"ani", " ", "n0t", " ", "nth0", " ", 
              RowBox[{"2", "/", "105"}], 
              RowBox[{"(", 
               RowBox[{"7", "+", 
                RowBox[{"3", 
                 RowBox[{"\[Gamma]barf2", "[", 
                  RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                  "]"}]}]}], ")"}]}]}], "\[IndentingNewLine]", ")"}]}], 
          "\[IndentingNewLine]", "-", 
          RowBox[{
           RowBox[{"\[CapitalGamma]3f", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], " ", 
           SuperscriptBox[
            RowBox[{"n", "[", "t", "]"}], "3"]}], "\[IndentingNewLine]", "-", 
          RowBox[{"6", " ", "\[Gamma]3SI", " ", "4", "\[Pi]", " ", 
           RowBox[{"Rxf", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], 
           RowBox[{"Ryf", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], 
           RowBox[{"Rzf", "[", 
            RowBox[{"n", "[", "t", "]"}], "]"}], "\[IndentingNewLine]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["n0t", "2"], "nth0", " ", 
              RowBox[{"8", "/", "315"}], 
              RowBox[{"(", 
               RowBox[{"3", "+", 
                RowBox[{"\[Gamma]barf2", "[", 
                 RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                 "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
             RowBox[{"n0t", " ", 
              SuperscriptBox["nth0", "2"], 
              RowBox[{"2", "/", "315"}], 
              RowBox[{"(", 
               RowBox[{"21", "+", 
                RowBox[{"5", 
                 RowBox[{"Gf2", "[", 
                  RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                  "]"}]}], "+", 
                RowBox[{"18", " ", 
                 RowBox[{"\[Gamma]barf2", "[", 
                  RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0"}], 
                  "]"}]}]}], ")"}]}]}], ")"}]}]}]}], " ", 
        "\[IndentingNewLine]", ",", 
        RowBox[{
         RowBox[{"n", "[", "0", "]"}], "\[Equal]", "0.5"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", "n", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tend"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.799487796671623*^9, 3.799487797928513*^9}, {
  3.799487895335677*^9, 3.799487896067211*^9}, {3.7994883309904385`*^9, 
  3.7994883321932855`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.799487911053768*^9, 3.799488335633729*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.799487911053768*^9, 3.7994883356627483`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.799487911053768*^9, 3.7994883356937785`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(FindRoot \
:: lstol\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.799487911053768*^9, 3.7994883356947784`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"fs", "=", "24"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"plBECrate", "=", 
     RowBox[{"Plot", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"UnitStep", "[", "t", "]"}], 
           RowBox[{"Evaluate", "[", 
            RowBox[{
             RowBox[{"n", "[", 
              RowBox[{"t", "-", "t1"}], "]"}], "/.", "solnMasterC12ani0"}], 
            "]"}]}], "//", "Re"}], "\[IndentingNewLine]", ",", 
         RowBox[{
          RowBox[{"Evaluate", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"UnitStep", "[", 
              RowBox[{"t", "-", "0.76"}], "]"}], 
             RowBox[{"n", "[", 
              RowBox[{"t", "-", "t2"}], "]"}]}], "/.", 
            "solnMasterC12ani333"}], "]"}], "//", "Re"}]}], 
        "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"n", "[", "t", "]"}], "/.", 
           RowBox[{"sol0", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"g", "\[Rule]", 
             RowBox[{"\[Gamma]p", "-", "\[Gamma]1"}]}], ",", 
            RowBox[{"g3", "\[Rule]", "\[Gamma]3"}], ",", 
            RowBox[{
             RowBox[{"C", "[", "1", "]"}], "\[Rule]", "0"}]}], "}"}]}], "]"}],
         "*)"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "tend"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Directive", "[", 
           RowBox[{"Orange", ",", 
            RowBox[{"Thickness", "[", "0.004", "]"}]}], "]"}], ",", 
          RowBox[{"Directive", "[", 
           RowBox[{"Red", ",", 
            RowBox[{"Thickness", "[", "0.005", "]"}]}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
       RowBox[{"FrameStyle", "\[Rule]", 
        RowBox[{"Directive", "[", 
         RowBox[{"FontSize", "\[Rule]", "fs"}], "]"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<t [s]\>\"", ",", 
            RowBox[{"FontSize", "\[Rule]", "fs"}]}], "]"}], ",", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(BEC\)]\)\>\"", ",", 
            RowBox[{"FontSize", "\[Rule]", "fs"}]}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"ImageSize", "\[Rule]", "700"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{"{", 
      RowBox[{"plBECrate", ",", "plotBEC"}], "}"}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"t1", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"t2", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7994866612392187`*^9, 3.799486664847784*^9}, {
  3.7994879167614374`*^9, 3.7994879179943123`*^9}, {3.7994883391201963`*^9, 
  3.7994883404721346`*^9}, {3.7994891879133453`*^9, 3.7994891882305694`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`t1$$ = -0.365, $CellContext`t2$$ = 0.782, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`t1$$], -1, 1}, {
      Hold[$CellContext`t2$$], 0, 1}}, Typeset`size$$ = {700., {215., 219.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`t1$379198$$ = 0, $CellContext`t2$379199$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`t1$$ = -1, $CellContext`t2$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t1$$, $CellContext`t1$379198$$, 0], 
        Hold[$CellContext`t2$$, $CellContext`t2$379199$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`plBECrate = Plot[{
           Re[UnitStep[$CellContext`t] Evaluate[
              ReplaceAll[
               $CellContext`n[$CellContext`t - $CellContext`t1$$], \
$CellContext`solnMasterC12ani0]]], 
           Re[
            Evaluate[
             ReplaceAll[
             UnitStep[$CellContext`t - 
                0.76] $CellContext`n[$CellContext`t - $CellContext`t2$$], \
$CellContext`solnMasterC12ani333]]]}, {$CellContext`t, 0, $CellContext`tend}, 
          PlotRange -> All, PlotStyle -> {
            Directive[Orange, 
             Thickness[0.004]], 
            Directive[Red, 
             Thickness[0.005]]}, Frame -> True, FrameStyle -> 
          Directive[FontSize -> $CellContext`fs], FrameLabel -> {
            Style["t [s]", FontSize -> $CellContext`fs], 
            Style[
            "\!\(\*SubscriptBox[\(N\), \(BEC\)]\)", 
             FontSize -> $CellContext`fs]}, ImageSize -> 700]; 
       Show[{$CellContext`plBECrate, $CellContext`plotBEC}]), 
      "Specifications" :> {{$CellContext`t1$$, -1, 1}, {$CellContext`t2$$, 0, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{749., {275., 280.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.799489020375182*^9, 3.7994891884777308`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.7994885915480947`*^9}],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.799486792364277*^9}],

Cell[BoxData[
 StyleBox["Miscellaneous", "Section"]], "Input",
 CellChangeTimes->{{3.799486793682987*^9, 3.7994867961307163`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Norma", "=", 
   RowBox[{"4", 
    RowBox[{"\[Pi]", "/", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"2", "\[Pi]", " ", "hbar"}], ")"}], "3"]}], 
    SqrtBox[
     RowBox[{"\[Pi]", "/", "2"}]], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"mSr84", "/", "\[Beta]D"}], ")"}], 
     RowBox[{"3", "/", "2"}]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7994870124332523`*^9, 3.7994870138772893`*^9}, {
  3.7994870508684053`*^9, 3.799487052796768*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Iin", ",", " ", 
    RowBox[{
    "Iout", " ", "for", " ", "the", " ", "Boltzmann", " ", "momentum", " ", 
     "distribution"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SinBoltzmann", "=", " ", 
     RowBox[{"\[Sigma]", " ", "4", "\[Pi]", " ", 
      RowBox[{"Rxf", "[", "NBEC", "]"}], " ", 
      RowBox[{"Ryf", "[", "NBEC", "]"}], 
      RowBox[{"Rzf", "[", "NBEC", "]"}], "n0", " ", 
      SuperscriptBox["nth0SS", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"8", 
        RowBox[{"\[Pi]", "/", "315"}]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"21", "+", 
        RowBox[{"5", 
         RowBox[{"Gf2", "[", 
          RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0SS"}], "]"}]}], 
        "+", 
        RowBox[{"18", " ", 
         RowBox[{"\[Gamma]barf2", "[", 
          RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0SS"}], "]"}]}]}], 
       ")"}], 
      RowBox[{"(", 
       RowBox[{"8", 
        RowBox[{"\[Pi]", "/", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]", " ", "hbar"}], ")"}], "3"]}], 
        RowBox[{"mSr84", "/", 
         SuperscriptBox["\[Beta]D", "2"]}]}], ")"}], 
      RowBox[{"1", "/", 
       SuperscriptBox["Norma", "2"]}], 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"0", " ", "0.2"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SoutBoltzmann", "=", 
     RowBox[{"\[Sigma]", " ", "4", "\[Pi]", " ", 
      RowBox[{"Rxf", "[", "NBEC", "]"}], " ", 
      RowBox[{"Ryf", "[", "NBEC", "]"}], 
      RowBox[{"Rzf", "[", "NBEC", "]"}], "n0", " ", "nth0SS", " ", 
      RowBox[{"2", "/", "105"}], 
      RowBox[{"(", 
       RowBox[{"7", "+", 
        RowBox[{"3", 
         RowBox[{"\[Gamma]barf2", "[", 
          RowBox[{"ncx", ",", "ncy", ",", "ncz", ",", "nth0SS"}], "]"}]}]}], 
       ")"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "/", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]", " ", "hbar"}], ")"}], "3"]}], 
        RowBox[{"mSr84", "/", 
         SuperscriptBox["\[Beta]D", "2"]}], 
        RowBox[{"1", "/", "Norma"}]}], ")"}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7994868338242674`*^9, 3.799486843988287*^9}, {
  3.7994869275826545`*^9, 3.7994870037661295`*^9}, {3.7994898200752373`*^9, 
  3.799489848423251*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"SinBoltzmann", ",", "SoutBoltzmann"}], "}"}]], "Input",
 CellChangeTimes->{{3.7994898072551646`*^9, 3.79948985554031*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.6722931316753435`*^9", ",", "5.372100587087953`*^6"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.7994898284331274`*^9, 3.799489856892249*^9}}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.799486882068994*^9, 3.7994869044939814`*^9}, 
   3.799486937653757*^9}]
},
WindowSize->{1360, 803},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 214, 4, 58, "Input"],
Cell[774, 26, 166, 3, 31, "Input"],
Cell[943, 31, 145, 3, 39, "Input"],
Cell[1091, 36, 828, 20, 52, "Input"],
Cell[1922, 58, 1626, 46, 112, "Input"],
Cell[3551, 106, 922, 25, 132, "Input"],
Cell[4476, 133, 3043, 89, 172, "Input"],
Cell[CellGroupData[{
Cell[7544, 226, 1227, 28, 172, "Input"],
Cell[8774, 256, 15720, 418, 387, "Output"]
}, Open  ]],
Cell[24509, 677, 156, 3, 39, "Input"],
Cell[24668, 682, 555, 14, 72, "Input"],
Cell[25226, 698, 1149, 38, 112, "Input"],
Cell[26378, 738, 333, 7, 31, "Input"],
Cell[26714, 747, 842, 24, 132, "Input"],
Cell[27559, 773, 4138, 107, 555, "Input"],
Cell[31700, 882, 1536, 43, 138, "Input"],
Cell[33239, 927, 184, 4, 31, "Input"],
Cell[33426, 933, 3958, 128, 490, "Input"],
Cell[CellGroupData[{
Cell[37409, 1065, 842, 24, 54, "Input"],
Cell[38254, 1091, 140, 3, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38431, 1099, 788, 23, 54, "Input"],
Cell[39222, 1124, 142, 3, 47, "Output"]
}, Open  ]],
Cell[39379, 1130, 176, 4, 31, "Input"],
Cell[39558, 1136, 765, 24, 54, "Input"],
Cell[40326, 1162, 89, 1, 52, "Input"],
Cell[40418, 1165, 392, 10, 44, "Input"],
Cell[40813, 1177, 891, 27, 33, "Input"],
Cell[CellGroupData[{
Cell[41729, 1208, 856, 24, 75, "Input"],
Cell[42588, 1234, 196, 3, 30, "Output"],
Cell[42787, 1239, 193, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43017, 1247, 684, 18, 75, "Input"],
Cell[43704, 1267, 171, 3, 30, "Output"],
Cell[43878, 1272, 167, 3, 30, "Output"]
}, Open  ]],
Cell[44060, 1278, 87, 1, 52, "Input"],
Cell[44150, 1281, 205, 4, 31, "Input"],
Cell[44358, 1287, 969, 28, 54, "Input"],
Cell[45330, 1317, 1090, 30, 54, "Input"],
Cell[CellGroupData[{
Cell[46445, 1351, 2653, 67, 272, "Input"],
Cell[49101, 1420, 27247, 602, 449, "Output"]
}, Open  ]],
Cell[76363, 2025, 94, 1, 31, "Input"],
Cell[76460, 2028, 381, 9, 44, "Input"],
Cell[76844, 2039, 420, 6, 31, "Input"],
Cell[CellGroupData[{
Cell[77289, 2049, 16714, 453, 872, "Input"],
Cell[94006, 2504, 716, 13, 39, "Message"]
}, Open  ]],
Cell[94737, 2520, 89, 1, 52, "Input"],
Cell[94829, 2523, 229, 5, 31, "Input"],
Cell[CellGroupData[{
Cell[95083, 2532, 3219, 84, 248, "Input"],
Cell[98305, 2618, 790, 15, 39, "Message"],
Cell[99098, 2635, 790, 15, 39, "Message"],
Cell[99891, 2652, 788, 15, 39, "Message"],
Cell[100682, 2669, 632, 13, 21, "Message"],
Cell[101317, 2684, 790, 15, 39, "Message"],
Cell[102110, 2701, 790, 15, 39, "Message"],
Cell[102903, 2718, 790, 15, 39, "Message"],
Cell[103696, 2735, 632, 13, 21, "Message"],
Cell[104331, 2750, 12511, 220, 246, "Output"]
}, Open  ]],
Cell[116857, 2973, 89, 1, 52, "Input"],
Cell[116949, 2976, 345, 8, 39, "Input"],
Cell[117297, 2986, 255, 7, 30, "Input"],
Cell[CellGroupData[{
Cell[117577, 2997, 4534, 101, 390, "Input"],
Cell[122114, 3100, 787, 14, 39, "Message"],
Cell[122904, 3116, 787, 14, 39, "Message"],
Cell[123694, 3132, 785, 14, 39, "Message"],
Cell[124482, 3148, 629, 12, 21, "Message"],
Cell[125114, 3162, 189, 2, 30, "Output"]
}, Open  ]],
Cell[125318, 3167, 285, 8, 30, "Input"],
Cell[CellGroupData[{
Cell[125628, 3179, 2720, 68, 118, "Input"],
Cell[128351, 3249, 297, 6, 30, "Output"]
}, Open  ]],
Cell[128663, 3258, 87, 1, 52, "Input"],
Cell[CellGroupData[{
Cell[128775, 3263, 4472, 106, 392, "Input"],
Cell[133250, 3371, 688, 13, 39, "Message"],
Cell[133941, 3386, 688, 13, 39, "Message"],
Cell[134632, 3401, 688, 13, 39, "Message"],
Cell[135323, 3416, 532, 11, 21, "Message"]
}, Open  ]],
Cell[135870, 3430, 89, 1, 52, "Input"],
Cell[135962, 3433, 219, 7, 30, "Input"],
Cell[CellGroupData[{
Cell[136206, 3444, 4618, 105, 390, "Input"],
Cell[140827, 3551, 787, 14, 39, "Message"],
Cell[141617, 3567, 787, 14, 39, "Message"],
Cell[142407, 3583, 787, 14, 39, "Message"],
Cell[143197, 3599, 631, 12, 21, "Message"],
Cell[143831, 3613, 189, 2, 30, "Output"]
}, Open  ]],
Cell[144035, 3618, 285, 8, 30, "Input"],
Cell[CellGroupData[{
Cell[144345, 3630, 2722, 68, 118, "Input"],
Cell[147070, 3700, 309, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[147416, 3712, 243, 6, 31, "Input"],
Cell[147662, 3720, 90, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[147789, 3726, 4523, 107, 392, "Input"],
Cell[152315, 3835, 710, 13, 39, "Message"],
Cell[153028, 3850, 712, 13, 39, "Message"],
Cell[153743, 3865, 712, 13, 39, "Message"],
Cell[154458, 3880, 556, 11, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[155051, 3896, 3550, 86, 392, "Input"],
Cell[158604, 3984, 2708, 55, 572, "Output"]
}, Open  ]],
Cell[161327, 4042, 70, 1, 31, "Input"],
Cell[161400, 4045, 87, 1, 52, "Input"],
Cell[161490, 4048, 130, 2, 39, "Input"],
Cell[161623, 4052, 504, 15, 37, "Input"],
Cell[162130, 4069, 2407, 65, 98, "Input"],
Cell[CellGroupData[{
Cell[164562, 4138, 162, 3, 31, "Input"],
Cell[164727, 4143, 185, 4, 33, "Output"]
}, Open  ]],
Cell[164927, 4150, 120, 2, 31, "Input"]
}
]
*)

(* End of internal cache information *)
