(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[   3310033,      57398]
NotebookOptionsPosition[   3298086,      57087]
NotebookOutlinePosition[   3298576,      57106]
CellTagsIndexPosition[   3298533,      57103]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"some", " ", "constants"}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"<<", " ", "Graphics`Graphics`"}], "\n", 
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IsotopLi", "=", "6"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"mp", "=", 
     RowBox[{"1.67", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MassLi", "=", 
     RowBox[{"IsotopLi", "*", "1.67", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"MassK", "=", 
     RowBox[{"40", "*", "1.67", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MassSr", "=", 
     RowBox[{"84", "*", "mp"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MassYb", "=", 
     RowBox[{"171", "*", "mp"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gravity", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"my", "=", 
     RowBox[{"9.27", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "24"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"kb", "=", 
     RowBox[{"1.38", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "23"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"6.6", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"hbar", "=", 
     RowBox[{"h", "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", "Pi"}], ")"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"0.529", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "10"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"sigmaEl", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{"(", 
       RowBox[{"120", "*", "120", "*", "a0", "*", "a0"}], ")"}]}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"LambdaAtomLi", "=", 
     RowBox[{"671", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LambdaAtomK", "=", 
     RowBox[{"767", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomKUpper", "=", 
     RowBox[{"1200", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomYbBlue", "=", 
     RowBox[{"399", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomSrRed", "=", 
     RowBox[{"689.9267499282614", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"84", "Sr"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomSr3P1To3S1", "=", " ", 
     RowBox[{"688.0250593200731", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomSrBlue", "=", " ", 
     RowBox[{"461", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomSr3P2To3S1", "=", " ", 
     RowBox[{"707", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthSr3P2To3S1", "=", 
     RowBox[{"2", "*", "Pi", "*", "7.0", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomYbInterComb", "=", 
     RowBox[{"555.8", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaRed", "=", 
     RowBox[{"1075", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LambdaBlue", "=", 
     RowBox[{"532", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LambdaAtomChrom", "=", 
     RowBox[{"425.5", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthChrom", "=", 
     RowBox[{"2", "*", "Pi", "*", "5.02", "*", 
      RowBox[{"10", " ", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{"3", "*", 
      RowBox[{"10", "^", "8"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"g", "=", "9.8"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthLi", "=", 
     RowBox[{"2", "*", "Pi", "*", "5.9", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LinewidthK", "=", 
     RowBox[{"2", "*", "Pi", "*", "5.9", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LinewidthKUpper", "=", 
     RowBox[{"2", "*", "Pi", "*", "4", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthSrBlue", "=", 
     RowBox[{"2", "*", "Pi", "*", "32", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthSrRed", "=", 
     RowBox[{"2", "*", "Pi", "*", "7.6", "*", 
      RowBox[{"10", "^", "3"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthYbBlue", "=", 
     RowBox[{"2", "*", "Pi", "*", "28", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthYbInterComb", "=", 
     RowBox[{"2", "*", "Pi", "*", "180", "*", 
      RowBox[{"10", "^", "3"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomSrMetaMOT", " ", "=", " ", 
     RowBox[{"497", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthSrMetaMOT", "=", 
     RowBox[{"2", "*", "Pi", "*", "11", "*", 
      RowBox[{"10", " ", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomSrMeta3S1", " ", "=", " ", 
     RowBox[{"679", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthSrMeta3S1", " ", "=", " ", 
     RowBox[{"2", "*", "Pi", "*", "1.2", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Intensity", "=", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"100", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "6"}]}]}], ")"}], "^", "2"}], ")"}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "1", " ", "Watt", " ", "auf", " ", "100", "x100", " ", "micronquadrat"}], 
    " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Katori", " ", "Koefizient", " ", "fuer", " ", "1075", " ", "nm", " ", 
     RowBox[{"(", 
      RowBox[{"IPG", " ", "wellenlaenge"}], ")"}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"KatoriFallenStaerke1075nm", " ", "=", " ", 
     RowBox[{
      RowBox[{"-", "113.35"}], "*", 
      RowBox[{"10", "^", "3"}], "*", 
      RowBox[{"h", "/", 
       RowBox[{"(", 
        RowBox[{"10000", "/", 
         RowBox[{"0.01", "^", "2"}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Optical", " ", "potential", " ", "strength"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Detuning", "[", 
      RowBox[{"Lambda_", ",", "LambdaAtom_", ",", "LinewidthAtom_"}], "]"}], ":=", 
     RowBox[{"2", "*", "Pi", "*", "c", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "/", "Lambda"}], "-", 
         RowBox[{"1", "/", "LambdaAtom"}]}], ")"}], "/", 
       "LinewidthAtom"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"SaturationIntensity", "[", 
      RowBox[{"LambdaAtom_", ",", "LinewidthAtom_"}], "]"}], ":=", 
     RowBox[{"2", "*", 
      RowBox[{"Pi", "^", "2"}], "*", "hbar", "*", "c", "*", 
      RowBox[{"LinewidthAtom", "/", 
       RowBox[{"(", 
        RowBox[{"3", "*", 
         RowBox[{"LambdaAtom", "^", "3"}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"PotentialH", "[", 
     RowBox[{"Intensity_", ",", "Gamma_", ",", "Omega0_", ",", "Omega_"}], 
     "]"}], ":=", 
    RowBox[{
     RowBox[{"-", "\[IndentingNewLine]", "3"}], "*", "Pi", "*", 
     RowBox[{"c", "^", "2"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Gamma", "/", 
        RowBox[{"(", 
         RowBox[{"Omega0", "-", "Omega"}], ")"}]}], "+", 
       RowBox[{"Gamma", "/", 
        RowBox[{"(", 
         RowBox[{"Omega0", "+", "Omega"}], ")"}]}]}], ")"}], "*", 
     RowBox[{"Intensity", "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", 
        RowBox[{"Omega0", "^", "3"}]}], ")"}]}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Potential", "[", 
     RowBox[{
     "Intensity_", ",", "Lambda_", ",", "LambdaAtom_", ",", 
      "LinewidthAtom_"}], "]"}], ":=", 
    RowBox[{"PotentialH", "[", 
     RowBox[{"Intensity", ",", "LinewidthAtom", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "*", "Pi", "*", "c"}], ")"}], "/", "LambdaAtom"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "*", "Pi", "*", "c"}], ")"}], "/", "Lambda"}]}], "]"}]}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ScatteringRateH", "[", 
      RowBox[{"Intensity_", ",", "Gamma_", ",", "Omega0_", ",", "Omega_"}], 
      "]"}], ":=", "\[IndentingNewLine]", 
     RowBox[{"3", "*", "Pi", "*", 
      RowBox[{"c", "^", "2"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Omega", "/", "Omega0"}], ")"}], "^", "3"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Gamma", "/", 
          RowBox[{"(", 
           RowBox[{"Omega0", "-", "Omega"}], ")"}]}], "+", 
         RowBox[{"Gamma", "/", 
          RowBox[{"(", 
           RowBox[{"Omega0", "+", "Omega"}], ")"}]}]}], ")"}], "^", "2"}], 
      "*", 
      RowBox[{"Intensity", "/", 
       RowBox[{"(", 
        RowBox[{"2", "*", "hbar", "*", 
         RowBox[{"Omega0", "^", "3"}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ScatteringRate", "[", 
      RowBox[{
      "Intensity_", ",", "Lambda_", ",", "LambdaAtom_", ",", 
       "LinewidthAtom_"}], "]"}], ":=", 
     RowBox[{"ScatteringRateH", "[", 
      RowBox[{"Intensity", ",", "LinewidthAtom", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi", "*", "c"}], ")"}], "/", "LambdaAtom"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi", "*", "c"}], ")"}], "/", "Lambda"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRateForPotentialDepthH", "[", 
     RowBox[{"Depth_", ",", "Gamma_", ",", "Omega0_", ",", "Omega_"}], "]"}], 
    ":=", 
    RowBox[{"Depth", "*", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Omega", "/", "Omega0"}], ")"}], "^", "3"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "/", 
         RowBox[{"(", 
          RowBox[{"Omega0", "-", "Omega"}], ")"}]}], "+", 
        RowBox[{"Gamma", "/", 
         RowBox[{"(", 
          RowBox[{"Omega0", "+", "Omega"}], ")"}]}]}], ")"}], "/", 
      RowBox[{"(", "hbar", ")"}]}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ScatteringRateForPotentialDepth", "[", 
      RowBox[{
      "Depth_", ",", "Lambda_", ",", "LambdaAtom_", ",", "LinewidthAtom_"}], 
      "]"}], ":=", 
     RowBox[{"ScatteringRateForPotentialDepthH", "[", 
      RowBox[{"Depth", ",", "LinewidthAtom", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi", "*", "c"}], ")"}], "/", "LambdaAtom"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi", "*", "c"}], ")"}], "/", "Lambda"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Intensity", " ", "distribution", " ", "of", " ", "Gaussian", " ", 
     "beam"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"RayleightLength", "[", 
      RowBox[{"Waist0_", ",", "Lambda_"}], "]"}], ":=", 
     RowBox[{"Pi", "*", 
      RowBox[{
       RowBox[{"Waist0", "^", "2"}], "/", "Lambda"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"WaistZ", "[", 
      RowBox[{"Waist0_", ",", "Lambda_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"Waist0", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "/", 
            RowBox[{"RayleightLength", "[", 
             RowBox[{"Waist0", ",", "Lambda"}], "]"}]}], ")"}], "^", "2"}]}], 
        ")"}], "^", "0.5"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IntensityGausBeam", "[", 
      RowBox[{
      "PowerKK_", ",", "Waist0x_", ",", "Waist0y_", ",", "Lambda_", ",", "x_",
        ",", "y_", ",", "z_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", "*", 
        RowBox[{"PowerKK", "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"WaistZ", "[", 
            RowBox[{"Waist0x", ",", "Lambda", ",", "z"}], "]"}], "*", 
           RowBox[{"WaistZ", "[", 
            RowBox[{"Waist0y", ",", "Lambda", ",", "z"}], "]"}], "*", "Pi"}], 
          ")"}]}]}], ")"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "^", "2"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"WaistZ", "[", 
             RowBox[{"Waist0x", ",", "Lambda", ",", "z"}], "]"}], "^", "2"}], 
           ")"}]}]}], "-", 
        RowBox[{"2", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "^", "2"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"WaistZ", "[", 
             RowBox[{"Waist0y", ",", "Lambda", ",", "z"}], "]"}], "^", "2"}], 
           ")"}]}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IntensityRotatedShiftedGaussBeam", "[", 
      RowBox[{
      "Power_", ",", "Waist0x_", ",", "Waist0y_", ",", "Lambda_", ",", 
       "Angle_", ",", "Shift_", ",", "x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"IntensityGausBeam", "[", 
      RowBox[{"Power", ",", "Waist0x", ",", "Waist0y", ",", "Lambda", ",", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"Cos", "[", "Angle", "]"}]}], "+", 
        RowBox[{"z", "*", 
         RowBox[{"Sin", "[", "Angle", "]"}]}]}], ",", "y", ",", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"Sin", "[", "Angle", "]"}]}], "+", 
        RowBox[{"z", "*", 
         RowBox[{"Cos", "[", "Angle", "]"}]}], "-", "Shift"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
      RowBox[{
      "Power_", ",", "Waist0x_", ",", "Waist0y_", ",", "Lambda_", ",", 
       "LambdaAtom_", ",", "LinewidthAtom_", ",", "Angle_", ",", "Shift_", 
       ",", "x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"Potential", "[", 
      RowBox[{
       RowBox[{"IntensityRotatedShiftedGaussBeam", "[", 
        RowBox[{
        "Power", ",", "Waist0x", ",", "Waist0y", ",", "Lambda", ",", "Angle", 
         ",", "Shift", ",", "x", ",", "y", ",", "z"}], "]"}], ",", "Lambda", 
       ",", "LambdaAtom", ",", "LinewidthAtom"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.455269399265625*^9, 3.45526945309375*^9}, {
   3.45526953996875*^9, 3.455269542921875*^9}, {3.46287931596875*^9, 
   3.46287931965625*^9}, {3.463143758109375*^9, 3.463143758625*^9}, {
   3.463161783640625*^9, 3.463161785015625*^9}, {3.488290755*^9, 
   3.48829084065625*^9}, {3.508781930578125*^9, 3.50878193184375*^9}, {
   3.50894085265625*^9, 3.508940852953125*^9}, 3.5402883983737917`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "obspkg"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(\\\"Graphics`Graphics`\\\"\\)\[NoBreak] is \
now obsolete. The legacy version being loaded may conflict with current \
Mathematica functionality. See the Compatibility Guide for updating \
information. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:Compatibility/Tutorials/Graphics/Graphics\\\", \
ButtonNote -> \\\"General::obspkg\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.46314375984375*^9, 3.463159564890625*^9, 3.4631682984375*^9, 
   3.463484642515625*^9, 3.463484808671875*^9, {3.46348547296875*^9, 
   3.463485493390625*^9}, 3.463486738859375*^9, 3.463550948171875*^9, 
   3.46356629678125*^9, 3.46356890015625*^9, 3.4636465294375*^9, 
   3.46374800153125*^9, 3.48178534571875*^9, 3.481787199421875*^9, 
   3.4818712430625*^9, 3.483940171109375*^9, 3.484156946640625*^9, 
   3.488290959953125*^9, 3.4882912784375*^9, 3.5081735413759513`*^9, 
   3.5082623100757504`*^9, 3.5082679147945004`*^9, 3.5082695083413754`*^9, 
   3.5082701499663754`*^9, 3.5082703556538754`*^9, 3.5082733035913754`*^9, 
   3.5083357763882504`*^9, 3.5083591255132504`*^9, 3.5084148665445004`*^9, 
   3.508781933328125*^9, 3.5088292978125*^9, 3.508935464515625*^9, 
   3.508935504765625*^9, 3.508940855078125*^9, 3.508941651828125*^9, 
   3.508944730765625*^9, 3.5095365125845346`*^9, 3.5388278619878473`*^9, 
   3.538829032848756*^9, 3.5388332829451556`*^9, 3.5388439930491405`*^9, 
   3.5388448370584154`*^9, 3.538845111216096*^9, 3.538845532971219*^9, 
   3.5388961311056385`*^9, 3.5399498927315598`*^9, 3.540278349457144*^9, 
   3.5402881061695423`*^9, 3.540288611208314*^9, 3.5402908088168845`*^9, 
   3.5405443311094503`*^9, 3.5405443801262536`*^9, 3.54054476605275*^9, 
   3.540794434028125*^9, 3.541314388028125*^9, 3.5438990541731253`*^9, {
   3.548658882606735*^9, 3.5486588867559724`*^9}, 3.549438563398776*^9, 
   3.5494436596038136`*^9, 3.549524340808833*^9, 3.5495263362509437`*^9, 
   3.5495343500740623`*^9, 3.549562809473683*^9, 3.549601792837185*^9, 
   3.549615217437157*^9, 3.549617097625106*^9, 3.54961806752946*^9, 
   3.5497734300872583`*^9, 3.549774517243369*^9, 3.549774885934417*^9, 
   3.549789776767818*^9, 3.549796216266911*^9, 3.549797212837508*^9, 
   3.549893142222427*^9, 3.549893282075888*^9, 3.5498963450469365`*^9, 
   3.5505006248219476`*^9, 3.550502092977706*^9, 3.5505024736836057`*^9, 
   3.55050306787125*^9, 3.5505035270537105`*^9, 3.5505047789875393`*^9, 
   3.5505049749165154`*^9, 3.550505027413023*^9, 3.550505393697466*^9, 
   3.5505055884326077`*^9, 3.550505865114694*^9, 3.5505070820228357`*^9, 
   3.5505079893074784`*^9, 3.5505085549502935`*^9, 3.5505089273055906`*^9, 
   3.550511669366428*^9, 3.5505541981435337`*^9, 3.5506601248224297`*^9, 
   3.550668915091715*^9, 3.5514514346205025`*^9, 3.5514527888164835`*^9, 
   3.551453138767299*^9, 3.5514537562943835`*^9, 3.551589514548171*^9, 
   3.5515946955636387`*^9, 3.5516206864136972`*^9, 3.551623262266423*^9, 
   3.551624020524355*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Potential", " ", "of", " ", "the", " ", "Sr", " ", "BEC", " ", "Laser", 
    " ", "crossed", " ", "beam", " ", "dipole", " ", "trap", " ", "with", " ",
     "one", " ", "horizontal", " ", "beam", " ", "with", " ", "frequency", 
    " ", "modulation", " ", "and", " ", "a", " ", "near", " ", "vertical", 
    " ", "beam"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Strontium", " ", "trap", " ", "parameter", " ", "set", " ", "of", " ", 
    "Jan", " ", "24", "nd", " ", "2012"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"AtomNumber", "=", "8000000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"1", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringLength", "=", 
     RowBox[{"122.7", "*", "a0"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Mass", "=", "MassSr"}], ";"}], "\[LineSeparator]", 
   RowBox[{
    RowBox[{"LambdaAtom", "=", "LambdaAtomSrBlue"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Linewidth", "=", "LinewidthSrBlue"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerHoriz", "=", "1.748"}], ";"}], " ", "\n", 
   RowBox[{
    RowBox[{"PowerVert", "=", 
     RowBox[{"743", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerDimple", "=", 
     RowBox[{"1.0975", "*", "39.6", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"full", " ", 
       RowBox[{"on", ":", " ", 
        RowBox[{
         RowBox[{"-", "18.2"}], 
         RowBox[{"dB", ":", " ", 
          RowBox[{"38", "mW", " ", 
           RowBox[{"off", ":", " ", 
            RowBox[{
             RowBox[{"-", "32"}], 
             RowBox[{"dB", ":", " ", 
              RowBox[{"2", "mW"}]}]}]}]}]}]}]}]}], ";", " ", 
      RowBox[{
       RowBox[{"oBECaser", ":", " ", 
        RowBox[{
         RowBox[{"-", "10"}], "db"}]}], "=", 
       RowBox[{"232", "mW"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"PowerESD", "=", 
     RowBox[{"0", "*", "7.5", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Lambda", "=", 
     RowBox[{"1064", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"5", "W", " ", "Fiberlaser", " ", "wavelength"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"Angle", " ", "=", 
     RowBox[{"0", "*", "2", "*", 
      RowBox[{"Pi", "/", "360"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Angle", " ", "of", " ", "near", " ", "vertical", " ", "beam", " ", "to",
       " ", "vertical", " ", "converted", " ", "to", " ", "radians"}], " ", 
     "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"DetuningESD", "=", 
     RowBox[{
      RowBox[{"+", "17"}], "*", 
      RowBox[{"10", "^", "9"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FrequencyESD", "=", 
     RowBox[{
      RowBox[{"c", "/", "LambdaAtomSr3P1To3S1"}], "+", "DetuningESD"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaESD", "=", 
     RowBox[{"c", "/", "FrequencyESD"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Waist0Horizx", "=", 
     RowBox[{"298.2", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Waist0Horizy", "=", 
     RowBox[{"17.32", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Waist0Vertx", "=", 
     RowBox[{"297", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Waist0Verty", "=", 
     RowBox[{"297", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Waist0Dimplex", "=", 
     RowBox[{"22.41", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Waist0Dimpley", "=", 
     RowBox[{"22.41", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Waist0ESDx", "=", 
     RowBox[{"26.17", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Waist0ESDy", "=", 
     RowBox[{"26.17", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Shift", " ", "=", " ", 
     RowBox[{"0", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "3"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Shift", " ", "in", " ", "mm", " ", "converted", " ", "to", " ", 
      "meter"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"GCdistanceHoriz", " ", "=", " ", 
     RowBox[{"70", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{"glass", " ", "cell", " ", "distance"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"GCdistanceVert", " ", "=", " ", 
     RowBox[{"15", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{"glass", " ", "cell", " ", "distance"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"LensDistance", " ", "=", " ", 
     RowBox[{"150", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Power horiz = \>\"", ",", 
      RowBox[{"N", "[", "PowerHoriz", "]"}], ",", "\"\< W\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Power vert = \>\"", ",", 
      RowBox[{"N", "[", "PowerVert", "]"}], ",", "\"\< W\>\""}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Power dimple = \>\"", ",", 
      RowBox[{"N", "[", "PowerDimple", "]"}], ",", "\"\< W\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Power ESD = \>\"", ",", 
      RowBox[{"N", "[", "PowerESD", "]"}], ",", "\"\< W\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"actual", " ", "calculation"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringCrossSection", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{"ScatteringLength", "^", "2"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g", "=", "9.8"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"acceleration", " ", "due", " ", "to", " ", "gravity"}], " ", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"coordinate", " ", 
       RowBox[{"system", ":", " ", 
        RowBox[{"x", ":", " ", 
         RowBox[{"resonator", " ", "axis"}]}]}]}], ",", " ", 
      RowBox[{"y", ":", " ", 
       RowBox[{"atomic", " ", "beam", " ", "axis"}]}], ",", " ", 
      RowBox[{"z", ":", " ", "vertical"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"rotated", " ", "gauss", " ", "beam", " ", "coord", " ", 
       RowBox[{"syst", ":", " ", 
        RowBox[{"not", " ", 
         RowBox[{"rotated", ":", " ", "x"}]}]}]}], ",", 
      RowBox[{"y", ":", " ", "radial"}], ",", " ", 
      RowBox[{"z", ":", " ", 
       RowBox[{
        RowBox[{"axial", ".", " ", "rotation"}], " ", "around", " ", "y", " ",
         "axis"}]}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"PotentialHoriz", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"10", "^", "6"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
         RowBox[{
         "PowerHoriz", ",", "Waist0Horizx", ",", "Waist0Horizy", ",", 
          "Lambda", ",", "LambdaAtom", ",", "Linewidth", ",", "0", ",", "0", 
          ",", "y", ",", "z", ",", "x"}], "]"}], ")"}], "/", "kb"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialGravity", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"10", "^", "6"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Mass", "*", "g", "*", "z"}], ")"}], "/", "kb"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialVert", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"10", "^", "6"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
         RowBox[{
         "PowerVert", ",", "Waist0Vertx", ",", "Waist0Verty", ",", "Lambda", 
          ",", "LambdaAtom", ",", "Linewidth", ",", "Angle", ",", "0", ",", 
          "y", ",", "x", ",", "z"}], "]"}], ")"}], "/", "kb"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialDimple", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"10", "^", "6"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
         RowBox[{
         "PowerDimple", ",", "Waist0Dimplex", ",", "Waist0Dimpley", ",", 
          "Lambda", ",", "LambdaAtom", ",", "Linewidth", ",", "Angle", ",", 
          "0", ",", "y", ",", "x", ",", "z"}], "]"}], ")"}], "/", "kb"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialESD", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"10", "^", "6"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
          RowBox[{
          "PowerESD", ",", "Waist0ESDx", ",", "Waist0ESDy", ",", "LambdaESD", 
           ",", "LambdaAtomSrRed", ",", "LinewidthSrRed", ",", "Angle", ",", 
           "0", ",", "y", ",", "x", ",", "z"}], "]"}], "+", 
         RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
          RowBox[{
          "PowerESD", ",", "Waist0ESDx", ",", "Waist0ESDy", ",", "LambdaESD", 
           ",", "LambdaAtomSrBlue", ",", "LinewidthSrBlue", ",", "Angle", ",",
            "0", ",", "y", ",", "x", ",", "z"}], "]"}]}], ")"}], "/", 
       "kb"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRateHoriz", "=", 
     RowBox[{"ScatteringRateForPotentialDepth", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}], "*", "kb", "*", 
        RowBox[{"PotentialHoriz", "[", 
         RowBox[{"0", ",", "0", ",", "0"}], "]"}]}], ",", "Lambda", ",", 
       "LambdaAtom", ",", "Linewidth"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRateVert", "=", 
     RowBox[{"ScatteringRateForPotentialDepth", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}], "*", "kb", "*", 
        RowBox[{"PotentialVert", "[", 
         RowBox[{"0", ",", "0", ",", "0"}], "]"}]}], ",", "Lambda", ",", 
       "LambdaAtom", ",", "Linewidth"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRateDimple", "=", 
     RowBox[{"ScatteringRateForPotentialDepth", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}], "*", "kb", "*", 
        RowBox[{"PotentialDimple", "[", 
         RowBox[{"0", ",", "0", ",", "0"}], "]"}]}], ",", "Lambda", ",", 
       "LambdaAtom", ",", "Linewidth"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRateESDred", "=", 
     RowBox[{"ScatteringRateForPotentialDepth", "[", 
      RowBox[{
       RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
        RowBox[{
        "PowerESD", ",", "Waist0ESDx", ",", "Waist0ESDy", ",", "LambdaESD", 
         ",", "LambdaAtomSrRed", ",", "LinewidthSrRed", ",", "Angle", ",", 
         "0", ",", "0", ",", "0", ",", "0"}], "]"}], ",", "LambdaESD", ",", 
       "LambdaAtomSrRed", ",", "LinewidthSrRed"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRateESDblue", "=", 
     RowBox[{"ScatteringRateForPotentialDepth", "[", 
      RowBox[{
       RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
        RowBox[{
        "PowerESD", ",", "Waist0ESDx", ",", "Waist0ESDy", ",", "LambdaESD", 
         ",", "LambdaAtomSrBlue", ",", "LinewidthSrBlue", ",", "Angle", ",", 
         "0", ",", "0", ",", "0", ",", "0"}], "]"}], ",", "LambdaESD", ",", 
       "LambdaAtomSrBlue", ",", "LinewidthSrBlue"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Potential", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"PotentialHoriz", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialVert", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialDimple", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialESD", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialGravity", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TotalPotential", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"Potential", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ReservoirPotential", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"PotentialHoriz", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialVert", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialGravity", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DimplePotential", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"PotentialDimple", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialESD", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Rayleight length horiz x = \>\"", ",", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"RayleightLength", "[", 
        RowBox[{"Waist0Horizx", ",", "Lambda"}], "]"}], "]"}], "*", "1000"}], 
     ",", " ", "\"\< mm\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Rayleight length horiz y = \>\"", ",", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"RayleightLength", "[", 
        RowBox[{"Waist0Horizy", ",", "Lambda"}], "]"}], "]"}], "*", "1000"}], 
     ",", " ", "\"\< mm\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Rayleight length vert x = \>\"", ",", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"RayleightLength", "[", 
        RowBox[{"Waist0Vertx", ",", "Lambda"}], "]"}], "]"}], "*", "1000"}], 
     ",", " ", "\"\< mm\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Rayleight length vert y = \>\"", ",", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"RayleightLength", "[", 
        RowBox[{"Waist0Verty", ",", "Lambda"}], "]"}], "]"}], "*", "1000"}], 
     ",", " ", "\"\< mm\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Rayleight length dimple x = \>\"", ",", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"RayleightLength", "[", 
        RowBox[{"Waist0Dimplex", ",", "Lambda"}], "]"}], "]"}], "*", "1000"}],
      ",", " ", "\"\< mm\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Rayleight length dimple y = \>\"", ",", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"RayleightLength", "[", 
        RowBox[{"Waist0Dimpley", ",", "Lambda"}], "]"}], "]"}], "*", "1000"}],
      ",", " ", "\"\< mm\>\""}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth = \>\"", ",", 
      RowBox[{"Potential", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
      "\"\< \[Micro]K * kB\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency X = \>\"", ",", 
      RowBox[{"FrequencyXWithoutGravity", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Potential", "[", 
                RowBox[{"hx", ",", "0", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hx", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hx", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Y = \>\"", ",", 
      RowBox[{"FrequencyYWithoutGravity", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Potential", "[", 
                RowBox[{"0", ",", "hy", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hy", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hy", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Z = \>\"", ",", 
      RowBox[{"FrequencyZWithoutGravity", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Potential", "[", 
                RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hz", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ZeroPosition", "=", 
     RowBox[{
      RowBox[{"FindRoot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"Potential", "[", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"hz", "*", 
                RowBox[{"10", "^", 
                 RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"hz", ",", "1"}], "}"}]}], "]"}], "/.", 
           RowBox[{"hz", "->", 
            RowBox[{"(", "z", ")"}]}]}], ")"}], "==", "0"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "0"}], "}"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<gravitational sag = \>\"", ",", 
      RowBox[{"ZP", "=", 
       RowBox[{"z", "/.", "ZeroPosition"}]}], ",", "\"\< mm\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SearchRange", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaximumPosition", "=", 
     RowBox[{
      RowBox[{"FindRoot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"Potential", "[", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"hz", "*", 
                RowBox[{"10", "^", 
                 RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"hz", ",", "1"}], "}"}]}], "]"}], "/.", 
           RowBox[{"hz", "->", 
            RowBox[{"(", "z", ")"}]}]}], ")"}], "==", "0"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", 
          RowBox[{"-", "0.05"}]}], "}"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MP", "=", 
     RowBox[{"z", "/.", "MaximumPosition"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"MP", "-", "ZP"}], "]"}], "<", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"SearchRange", "=", "10"}], ";", "\[IndentingNewLine]", 
       RowBox[{"MaximumPosition", "=", 
        RowBox[{
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"D", "[", 
               RowBox[{
                RowBox[{"Potential", "[", 
                 RowBox[{"0", ",", "0", ",", 
                  RowBox[{"hz", "*", 
                   RowBox[{"10", "^", 
                    RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"hz", ",", "1"}], "}"}]}], "]"}], "/.", 
              RowBox[{"hz", "->", 
               RowBox[{"(", "z", ")"}]}]}], ")"}], "==", "0"}], ",", 
           RowBox[{"{", 
            RowBox[{"z", ",", 
             RowBox[{"SearchRange", "*", "ZP"}]}], "}"}]}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"MP", "=", 
        RowBox[{"z", "/.", "MaximumPosition"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FrequencyX", "=", 
     RowBox[{"Re", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Potential", "[", 
                 RowBox[{"hx", ",", "0", ",", 
                  RowBox[{"z", "*", 
                   RowBox[{"10", " ", "^", 
                    RowBox[{"-", "3"}]}]}]}], "]"}], "*", "kb", "*", 
                RowBox[{"10", "^", 
                 RowBox[{"-", "6"}]}]}], ",", 
               RowBox[{"{", 
                RowBox[{"hx", ",", "2"}], "}"}]}], "]"}], "/.", 
             RowBox[{"hx", "->", 
              RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}], "/.", "ZeroPosition"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FrequencyY", "=", 
     RowBox[{"Re", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Potential", "[", 
                 RowBox[{"0", ",", "hy", ",", 
                  RowBox[{"z", "*", 
                   RowBox[{"10", " ", "^", 
                    RowBox[{"-", "3"}]}]}]}], "]"}], "*", "kb", "*", 
                RowBox[{"10", "^", 
                 RowBox[{"-", "6"}]}]}], ",", 
               RowBox[{"{", 
                RowBox[{"hy", ",", "2"}], "}"}]}], "]"}], "/.", 
             RowBox[{"hy", "->", 
              RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}], "/.", "ZeroPosition"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FrequencyZ", "=", 
     RowBox[{"Re", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Potential", "[", 
                 RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
                RowBox[{"10", "^", 
                 RowBox[{"-", "6"}]}]}], ",", 
               RowBox[{"{", 
                RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
             RowBox[{"hz", "->", 
              RowBox[{"(", 
               RowBox[{"z", "*", 
                RowBox[{"10", " ", "^", 
                 RowBox[{"-", "3"}]}]}], ")"}]}]}], ")"}], "/", "Mass"}], 
          "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}], "/.", "ZeroPosition"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialDep", "=", 
     RowBox[{
      RowBox[{"Potential", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"MP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}], "-", 
      RowBox[{"Potential", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<GravityCorrectedVerticalFrequencyX = \>\"", ",", "FrequencyX", ",", 
      "\"\< Hz\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<GravityCorrectedVerticalFrequencyY = \>\"", ",", "FrequencyY", ",", 
      "\"\< Hz\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<GravityCorrectedVerticalFrequencyZ = \>\"", ",", "FrequencyZ", ",", 
      "\"\< Hz\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "FrequencyX", ",", "\"\<     \>\"", ",", "FrequencyY", ",", 
      "\"\<     \>\"", ",", "FrequencyZ", ",", "\"\<     \>\"", ",", 
      RowBox[{
       RowBox[{"10", "^", "9"}], "*", 
       RowBox[{"PotentialDep", "/", "kb"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth horiz beam w/o grav sagg = \>\"", ",", 
      RowBox[{"PotentialHoriz", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
      "\"\< \[Micro]K * kB\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialDepthWithSagging", "=", 
     RowBox[{
      RowBox[{"Potential", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}], "-", 
      RowBox[{"Potential", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"MP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Potential depth horiz beam with grav sagg = \>\"", ",", 
      "PotentialDepthWithSagging", ",", "\"\< \[Micro]K * kB\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth sagging ratio = \>\"", ",", 
      RowBox[{"100", "*", 
       RowBox[{"PotentialDepthWithSagging", "/", 
        RowBox[{"PotentialHoriz", "[", 
         RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], ",", "\"\<%\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Total Potential with grav sagg at position of atoms = \>\"", ",", 
      RowBox[{"Potential", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}], ",", "\"\< \[Micro]K * kB\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth vert beam = \>\"", ",", 
      RowBox[{"PotentialVert", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
      "\"\< \[Micro]K * kB\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Scattering rate horiz = \>\"", ",", "ScatteringRateHoriz", ",", 
      "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency X horiz = \>\"", ",", 
      RowBox[{"FrequencyXHoriz", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialHoriz", "[", 
                RowBox[{"hx", ",", "0", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hx", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hx", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Y horiz = \>\"", ",", 
      RowBox[{"FrequencyYHoriz", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialHoriz", "[", 
                RowBox[{"0", ",", "hy", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hy", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hy", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Z horiz = \>\"", ",", 
      RowBox[{"FrequencyZHoriz", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialHoriz", "[", 
                RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hz", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth vert = \>\"", ",", 
      RowBox[{"PotentialVert", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
      "\"\< \[Micro]K * kB\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Scattering rate vert = \>\"", ",", "ScatteringRateVert", ",", 
      "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency X vert = \>\"", ",", 
      RowBox[{"FrequencyXVert", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialVert", "[", 
                RowBox[{"hx", ",", "0", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hx", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hx", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Y vert = \>\"", ",", 
      RowBox[{"FrequencyYVert", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialVert", "[", 
                RowBox[{"0", ",", "hy", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hy", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hy", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Z vert = \>\"", ",", 
      RowBox[{"FrequencyZVert", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialVert", "[", 
                RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hz", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth Dimple = \>\"", ",", 
      RowBox[{"PotentialDimple", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
      "\"\< \[Micro]K * kB\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Scattering rate Dimple = \>\"", ",", "ScatteringRateDimple", ",", 
      "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency X Dimple = \>\"", ",", 
      RowBox[{"FrequencyXDimple", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialDimple", "[", 
                RowBox[{"hx", ",", "0", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hx", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hx", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Y Dimple = \>\"", ",", 
      RowBox[{"FrequencyYDimple", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialDimple", "[", 
                RowBox[{"0", ",", "hy", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hy", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hy", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Z Dimple = \>\"", ",", 
      RowBox[{"FrequencyZDimple", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialDimple", "[", 
                RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hz", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth ESD = \>\"", ",", 
      RowBox[{"PotentialESD", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
      "\"\< \[Micro]K * kB\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Scattering rate ESD red = \>\"", ",", "ScatteringRateESDred", ",", 
      "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Scattering rate ESD blue = \>\"", ",", "ScatteringRateESDblue", 
      ",", "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaX", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"kb", "*", 
       RowBox[{"Temperature", "/", 
        RowBox[{"(", 
         RowBox[{"Mass", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"FrequencyX", "*", "2", "*", "Pi"}], ")"}], "^", "2"}]}], 
         ")"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Sigma X = \>\"", ",", 
      RowBox[{"SigmaX", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaY", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"kb", "*", 
       RowBox[{"Temperature", "/", 
        RowBox[{"(", 
         RowBox[{"Mass", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"FrequencyY", "*", "2", "*", "Pi"}], ")"}], "^", "2"}]}], 
         ")"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Sigma Y = \>\"", ",", 
      RowBox[{"SigmaY", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaZ", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"kb", "*", 
       RowBox[{"Temperature", "/", 
        RowBox[{"(", 
         RowBox[{"Mass", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"FrequencyZ", "*", "2", "*", "Pi"}], ")"}], "^", "2"}]}], 
         ")"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Sigma Z = \>\"", ",", 
      RowBox[{"SigmaZ", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Density", "=", 
     RowBox[{"AtomNumber", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{"2", "*", "Pi"}], "]"}], "*", "SigmaX", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"2", "*", "Pi"}], "]"}], "*", "SigmaY", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"2", "*", "Pi"}], "]"}], "*", "SigmaZ"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Density = \>\"", ",", 
      RowBox[{"Density", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Velocity", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "*", "kb", "*", 
       RowBox[{"Temperature", "/", "Mass"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "Mass", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Velocity = \>\"", ",", 
      RowBox[{"Velocity", "*", "1000"}], ",", "\"\< \[Micro]m/ms\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRate", "=", 
     RowBox[{"ScatteringCrossSection", "*", "Density", "*", 
      RowBox[{"Velocity", "/", 
       RowBox[{"Sqrt", "[", "8", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "ScatteringCrossSection", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<ScatteringRate = \>\"", ",", "ScatteringRate", ",", 
      "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"PhaseSpaceDensityCheck", "=", 
     RowBox[{
      RowBox[{"h", "^", "3"}], "*", "FrequencyX", "*", "FrequencyY", "*", 
      "FrequencyZ", "*", 
      RowBox[{"AtomNumber", "/", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"kb", "*", "Temperature"}], ")"}], "^", "3"}]}]}]}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeBroglieWavelength", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "Pi", "*", 
       RowBox[{
        RowBox[{"hbar", "^", "2"}], "/", 
        RowBox[{"(", 
         RowBox[{"Mass", "*", "kb", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<DeBroglieWavelength = \>\"", ",", 
      RowBox[{"DeBroglieWavelength", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PhaseSpaceDensity", "=", 
     RowBox[{"Density", "*", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<PhaseSpace Density = \>\"", ",", "PhaseSpaceDensity"}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Tc", "=", 
     RowBox[{"hbar", "*", 
      RowBox[{"(", 
       RowBox[{"2", "*", "Pi"}], ")"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"FrequencyX", "*", "FrequencyY", "*", "FrequencyZ"}], ")"}], 
       "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "3"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"AtomNumber", "/", "1.202"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "3"}], ")"}]}], "/", "kb"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Tc = \>\"", ",", 
      RowBox[{"Tc", "*", 
       RowBox[{"10", "^", "9"}]}], ",", "\"\< nK\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.4619105585205*^9, 3.461910585504875*^9}, {
   3.46191062217675*^9, 3.461910624208*^9}, {3.461910704411125*^9, 
   3.46191072673925*^9}, {3.462471732671875*^9, 3.462471880328125*^9}, {
   3.462471920328125*^9, 3.46247196309375*^9}, {3.46247248959375*^9, 
   3.4624725839375*^9}, {3.46247290571875*^9, 3.462472971265625*^9}, {
   3.462473049*^9, 3.462473193625*^9}, {3.46247322465625*^9, 
   3.46247322603125*^9}, {3.462473280375*^9, 3.462473403046875*^9}, {
   3.462473444046875*^9, 3.462473452125*^9}, {3.462514532421875*^9, 
   3.462514764546875*^9}, 3.46251491390625*^9, {3.462515018984375*^9, 
   3.462515096609375*^9}, {3.46251512753125*^9, 3.46251518240625*^9}, {
   3.4625152675625*^9, 3.46251529190625*^9}, {3.46251535790625*^9, 
   3.462515358765625*^9}, {3.462515497984375*^9, 3.4625155005*^9}, {
   3.462515534390625*^9, 3.46251554928125*^9}, {3.462516640234375*^9, 
   3.462516959046875*^9}, {3.462517041921875*^9, 3.46251717028125*^9}, 
   3.462517202125*^9, {3.462517269015625*^9, 3.462517311703125*^9}, {
   3.462878257390625*^9, 3.462878570640625*^9}, {3.46287933071875*^9, 
   3.462879345609375*^9}, {3.4628793769375*^9, 3.462879453109375*^9}, {
   3.46287958228125*^9, 3.46287967871875*^9}, 3.463137408640625*^9, {
   3.463168148375*^9, 3.4631682655*^9}, {3.463168374078125*^9, 
   3.463168386734375*^9}, {3.4634872443125*^9, 3.463487295578125*^9}, 
   3.4635511010625*^9, {3.463568563953125*^9, 3.46356862384375*^9}, {
   3.463568758*^9, 3.463568760359375*^9}, {3.46356881675*^9, 
   3.463568829875*^9}, {3.46356895659375*^9, 3.4635691539375*^9}, {
   3.46360268759375*^9, 3.46360269096875*^9}, {3.4636495709375*^9, 
   3.46364957240625*^9}, {3.463649794171875*^9, 3.463649794390625*^9}, {
   3.463649841984375*^9, 3.463649842390625*^9}, {3.463655242640625*^9, 
   3.463655268203125*^9}, {3.463655344078125*^9, 3.463655345953125*^9}, {
   3.46374824659375*^9, 3.463748310984375*^9}, {3.463748357328125*^9, 
   3.46374839584375*^9}, {3.481787787734375*^9, 3.481787795703125*^9}, {
   3.481871281484375*^9, 3.481871334828125*^9}, {3.481871606890625*^9, 
   3.481871607234375*^9}, {3.4818719*^9, 3.481871981234375*^9}, {
   3.48187226071875*^9, 3.481872334546875*^9}, {3.481872406234375*^9, 
   3.481872470203125*^9}, {3.481881500392202*^9, 3.481881501595327*^9}, {
   3.481881576110952*^9, 3.481881577142202*^9}, {3.48415724953125*^9, 
   3.484157249859375*^9}, {3.488290923578125*^9, 3.488291012765625*^9}, {
   3.488291206515625*^9, 3.488291290421875*^9}, {3.5082656135445004`*^9, 
   3.5082656155757504`*^9}, {3.5082656980757504`*^9, 3.5082657684038754`*^9}, 
   3.5082658876070004`*^9, {3.5082660169195004`*^9, 3.5082660921538754`*^9}, {
   3.5082661441851254`*^9, 3.5082661774820004`*^9}, {3.5082680409195004`*^9, 
   3.5082680443101254`*^9}, {3.5082680765288754`*^9, 
   3.5082680767163754`*^9}, {3.5082695462320004`*^9, 
   3.5082695464195004`*^9}, {3.5082695767163754`*^9, 
   3.5082695769507504`*^9}, {3.5082703950132504`*^9, 
   3.5082703956695004`*^9}, {3.5083367332476254`*^9, 
   3.5083367404351254`*^9}, {3.50894269015625*^9, 3.5089427324375*^9}, {
   3.508942783703125*^9, 3.508942790484375*^9}, {3.5388278708173523`*^9, 
   3.5388278710473657`*^9}, {3.540288446150276*^9, 3.540288476694248*^9}, {
   3.540288524469732*^9, 3.54028855104489*^9}, {3.549563075243884*^9, 
   3.549563100645337*^9}, {3.5496180839718885`*^9, 3.5496180852198906`*^9}, {
   3.5497762228092117`*^9, 3.5497762459440527`*^9}, {3.5497772003908014`*^9, 
   3.549777204228408*^9}, {3.5497772455840807`*^9, 3.549777247939685*^9}, {
   3.549777289123973*^9, 3.5497772951299834`*^9}, {3.54977749265853*^9, 
   3.5497774972449384`*^9}, {3.5497897850358324`*^9, 3.549789785831434*^9}, {
   3.5497899430639257`*^9, 3.549789943219926*^9}, {3.549794126375746*^9, 
   3.5497941415857725`*^9}, {3.5497946872605624`*^9, 3.549794687822163*^9}, {
   3.5505050395342445`*^9, 3.55050506560189*^9}, {3.550505446550359*^9, 
   3.5505054602315826`*^9}, {3.550505584298601*^9, 3.550505584938202*^9}, {
   3.550508579750712*^9, 3.550508581538814*^9}, {3.550660135236025*^9, 
   3.5506601355510435`*^9}, {3.5506689660102043`*^9, 3.550668967086606*^9}, {
   3.5506690468613462`*^9, 3.550669048093748*^9}, {3.551451446944525*^9, 
   3.551451459081346*^9}, {3.5514531453505106`*^9, 3.5514531462085123`*^9}, {
   3.5514537604907913`*^9, 3.5514537629867954`*^9}, {3.5514541602102933`*^9, 
   3.551454160818694*^9}, {3.5516233793758287`*^9, 3.55162337998423*^9}, {
   3.5516234218703036`*^9, 3.5516234220419035`*^9}, {3.551623469933988*^9, 
   3.5516234877180195`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ScatteringRate = \"\>", "\[InvisibleSpace]", 
   "50776.36343892555`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["ScatteringRate = ", 50776.36343892555, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DeBroglieWavelength = \"\>", "\[InvisibleSpace]", 
   "0.18924158618346631`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["DeBroglieWavelength = ", 0.18924158618346631`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"PhaseSpace Density = \"\>", "\[InvisibleSpace]", 
   "32.76644602672198`"}],
  SequenceForm["PhaseSpace Density = ", 32.76644602672198],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Tc = \"\>", "\[InvisibleSpace]", "3009.596619202542`", 
   "\[InvisibleSpace]", "\<\" nK\"\>"}],
  SequenceForm["Tc = ", 3009.596619202542, " nK"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348824842*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power horiz = \"\>", "\[InvisibleSpace]", "1.748`", 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["Power horiz = ", 1.748, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024049961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power vert = \"\>", "\[InvisibleSpace]", "0.743`", 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["Power vert = ", 0.743, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024049961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power dimple = \"\>", "\[InvisibleSpace]", "0.043461`", 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["Power dimple = ", 0.043461, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024049961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power ESD = \"\>", "\[InvisibleSpace]", "0.`", 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["Power ESD = ", 0., " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024049961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleight length horiz x = \"\>", "\[InvisibleSpace]", 
   "262.5569525539492`", "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["Rayleight length horiz x = ", 262.5569525539492, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240655613`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleight length horiz y = \"\>", "\[InvisibleSpace]", 
   "0.8857354361336794`", "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["Rayleight length horiz y = ", 0.8857354361336794, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240655613`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleight length vert x = \"\>", "\[InvisibleSpace]", 
   "260.44806990648686`", "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["Rayleight length vert x = ", 260.44806990648686`, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240655613`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleight length vert y = \"\>", "\[InvisibleSpace]", 
   "260.44806990648686`", "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["Rayleight length vert y = ", 260.44806990648686`, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240655613`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleight length dimple x = \"\>", "\[InvisibleSpace]", 
   "1.4828320277568496`", "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["Rayleight length dimple x = ", 1.4828320277568496`, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240655613`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleight length dimple y = \"\>", "\[InvisibleSpace]", 
   "1.4828320277568496`", "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["Rayleight length dimple y = ", 1.4828320277568496`, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240811615`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "15.018793075875525`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm["Potential depth = ", -15.018793075875525`, " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240811615`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency X = \"\>", "\[InvisibleSpace]", "244.1090839259139`",
    "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency X = ", 244.1090839259139, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240811615`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Y = \"\>", "\[InvisibleSpace]", 
   "246.71156110085062`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Y = ", 246.71156110085062`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240811615`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Z = \"\>", "\[InvisibleSpace]", "624.2528837909842`",
    "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Z = ", 624.2528837909842, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240811615`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"gravitational sag = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.0006387435604229921`"}], 
   "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["gravitational sag = ", -0.0006387435604229921, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240967617`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindRoot\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.55162348815482*^9, 3.5516240240967617`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"GravityCorrectedVerticalFrequencyX = \"\>", 
   "\[InvisibleSpace]", "244.10841745194685`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "GravityCorrectedVerticalFrequencyX = ", 244.10841745194685`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240967617`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"GravityCorrectedVerticalFrequencyY = \"\>", 
   "\[InvisibleSpace]", "246.70427901667279`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "GravityCorrectedVerticalFrequencyY = ", 246.70427901667279`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240967617`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"GravityCorrectedVerticalFrequencyZ = \"\>", 
   "\[InvisibleSpace]", "621.7064410701773`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "GravityCorrectedVerticalFrequencyZ = ", 621.7064410701773, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240967617`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
  "244.10841745194685`", "\[InvisibleSpace]", "\<\"     \"\>", 
   "\[InvisibleSpace]", "246.70427901667279`", 
   "\[InvisibleSpace]", "\<\"     \"\>", "\[InvisibleSpace]", 
   "621.7064410701773`", "\[InvisibleSpace]", "\<\"     \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "5.273802407662767`*^33"}]}],
  SequenceForm[
  244.10841745194685`, "     ", 246.70427901667279`, "     ", 
   621.7064410701773, "     ", -5.273802407662767*^33],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240240967617`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth horiz beam w/o grav sagg = \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "11.7280478968907`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm[
  "Potential depth horiz beam w/o grav sagg = ", -11.7280478968907, 
   " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241123614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth horiz beam with grav sagg = \"\>", 
   "\[InvisibleSpace]", "72.7784732257462`", 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm[
  "Potential depth horiz beam with grav sagg = ", 72.7784732257462, 
   " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241123614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth sagging ratio = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "620.5506139264743`"}], "\[InvisibleSpace]", "\<\"%\"\>"}],
  SequenceForm["Potential depth sagging ratio = ", -620.5506139264743, "%"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241123614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Total Potential with grav sagg at position of atoms = \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "15.050565305437384`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm[
  "Total Potential with grav sagg at position of atoms = ", \
-15.050565305437384`, " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241123614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth vert beam = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.2918876664923933`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm[
  "Potential depth vert beam = ", -0.2918876664923933, " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241123614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate horiz = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.015173102344390543`"}], 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Scattering rate horiz = ", -0.015173102344390543`, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241123614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency X horiz = \"\>", "\[InvisibleSpace]", 
   "6.103417981431812`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency X horiz = ", 6.103417981431812, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241123614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Y horiz = \"\>", "\[InvisibleSpace]", 
   "36.257430089926885`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Y horiz = ", 36.257430089926885`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024127961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Z horiz = \"\>", "\[InvisibleSpace]", 
   "624.2474395390414`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Z horiz = ", 624.2474395390414, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024127961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth vert = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.2918876664923933`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm[
  "Potential depth vert = ", -0.2918876664923933, " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024127961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate vert = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.00037762818464687344`"}], 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Scattering rate vert = ", -0.00037762818464687344`, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024127961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency X vert = \"\>", "\[InvisibleSpace]", 
   "5.743058166100803`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency X vert = ", 5.743058166100803, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024127961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Y vert = \"\>", "\[InvisibleSpace]", 
   "5.743058166100803`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Y vert = ", 5.743058166100803, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024127961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Z vert = \"\>", "\[InvisibleSpace]", 
   "0.004630879954344252`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Z vert = ", 0.004630879954344252, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241435614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth Dimple = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "2.998857512492431`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm[
  "Potential depth Dimple = ", -2.998857512492431, " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241435614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate Dimple = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.003879756661409561`"}], 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Scattering rate Dimple = ", -0.003879756661409561, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241435614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency X Dimple = \"\>", "\[InvisibleSpace]", 
   "243.9651828171258`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency X Dimple = ", 243.9651828171258, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241435614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Y Dimple = \"\>", "\[InvisibleSpace]", 
   "243.9651828171258`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Y Dimple = ", 243.9651828171258, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241435614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Z Dimple = \"\>", "\[InvisibleSpace]", 
   "2.6071303891458966`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Z Dimple = ", 2.6071303891458966`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241435614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth ESD = \"\>", "\[InvisibleSpace]", "0.`", 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm["Potential depth ESD = ", 0., " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241435614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate ESD red = \"\>", "\[InvisibleSpace]", "0.`", 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Scattering rate ESD red = ", 0., " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241591616`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate ESD blue = \"\>", "\[InvisibleSpace]", "0.`", 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Scattering rate ESD blue = ", 0., " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241591616`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sigma X = \"\>", "\[InvisibleSpace]", "6.466645311716471`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Sigma X = ", 6.466645311716471, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241591616`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sigma Y = \"\>", "\[InvisibleSpace]", "6.398602243779794`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Sigma Y = ", 6.398602243779794, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241591616`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sigma Z = \"\>", "\[InvisibleSpace]", "2.539080261978456`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Sigma Z = ", 2.539080261978456, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241591616`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Density = \"\>", "\[InvisibleSpace]", "4.834812096611288`*^15",
    "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["Density = ", 4.834812096611288*^15, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.5516240241591616`*^9}]
}, Open  ]],

Cell[BoxData["1.4028`*^-25"], "Output",
 CellChangeTimes->{
  3.5505056985376015`*^9, 3.550505867407898*^9, 3.55050709035325*^9, 
   3.550507991756683*^9, 3.5505085575494423`*^9, 3.5505085933124876`*^9, 
   3.5505089294937162`*^9, 3.550511671988578*^9, 3.550554201045139*^9, 
   3.550660138486211*^9, 3.5506690526801567`*^9, 3.5514514712337675`*^9, 
   3.551452791796089*^9, 3.55145315065452*^9, 3.551453765358*^9, 
   3.551454162862298*^9, 3.551589524204588*^9, 3.5515947109140654`*^9, 
   3.551620707333334*^9, 3.5516232664160304`*^9, 3.551623380795431*^9, 
   3.5516234228687053`*^9, {3.55162347110399*^9, 3.55162348823282*^9}, 
   3.5516240241591616`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Velocity = \"\>", "\[InvisibleSpace]", "28.0534745388877`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m/ms\"\>"}],
  SequenceForm["Velocity = ", 28.0534745388877, " \[Micro]m/ms"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024174762*^9}],

Cell[BoxData["1.0588643562160388`*^-15"], "Output",
 CellChangeTimes->{
  3.5505056985376015`*^9, 3.550505867407898*^9, 3.55050709035325*^9, 
   3.550507991756683*^9, 3.5505085575494423`*^9, 3.5505085933124876`*^9, 
   3.5505089294937162`*^9, 3.550511671988578*^9, 3.550554201045139*^9, 
   3.550660138486211*^9, 3.5506690526801567`*^9, 3.5514514712337675`*^9, 
   3.551452791796089*^9, 3.55145315065452*^9, 3.551453765358*^9, 
   3.551454162862298*^9, 3.551589524204588*^9, 3.5515947109140654`*^9, 
   3.551620707333334*^9, 3.5516232664160304`*^9, 3.551623380795431*^9, 
   3.5516234228687053`*^9, {3.55162347110399*^9, 3.55162348823282*^9}, 
   3.551624024174762*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ScatteringRate = \"\>", "\[InvisibleSpace]", 
   "50776.36343892555`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["ScatteringRate = ", 50776.36343892555, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024174762*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DeBroglieWavelength = \"\>", "\[InvisibleSpace]", 
   "0.18924158618346631`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["DeBroglieWavelength = ", 0.18924158618346631`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024174762*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"PhaseSpace Density = \"\>", "\[InvisibleSpace]", 
   "32.76644602672198`"}],
  SequenceForm["PhaseSpace Density = ", 32.76644602672198],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024174762*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Tc = \"\>", "\[InvisibleSpace]", "3009.596619202542`", 
   "\[InvisibleSpace]", "\<\" nK\"\>"}],
  SequenceForm["Tc = ", 3009.596619202542, " nK"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 3.551624024174762*^9}],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   RowBox[{"\<\"Potential depth ESD = \"\>", "\[InvisibleSpace]", 
    RowBox[{"-", "0.49399241536541455`"}], 
    "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
   SequenceForm[
   "Potential depth ESD = ", -0.49399241536541455`, " \[Micro]K * kB"],
   Editable->False], "\[LineSeparator]"}]], "Print",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590663412*^9, 3.550505694403594*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate ESD red = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.000053964618402226915`"}], 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm[
  "Scattering rate ESD red = ", -0.000053964618402226915`, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590663412*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate ESD blue = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.003946195757736935`"}], 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Scattering rate ESD blue = ", -0.003946195757736935, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590663412*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sigma X = \"\>", "\[InvisibleSpace]", "6.48243303248977`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Sigma X = ", 6.48243303248977, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590663412*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sigma Y = \"\>", "\[InvisibleSpace]", "6.413797980415534`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Sigma Y = ", 6.413797980415534, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590663412*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sigma Z = \"\>", "\[InvisibleSpace]", "2.5588752873043026`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Sigma Z = ", 2.5588752873043026`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590663412*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Density = \"\>", "\[InvisibleSpace]", "4.774388428874312`*^15",
    "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["Density = ", 4.774388428874312*^15, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055906790123`*^9}]
}, Open  ]],

Cell[BoxData["1.4028`*^-25"], "Output",
 CellChangeTimes->{
  3.484157144984375*^9, 3.4841572508125*^9, 3.48829096815625*^9, 
   3.488291013375*^9, 3.488291099203125*^9, 3.48829118546875*^9, {
   3.4882912464375*^9, 3.488291291171875*^9}, {3.4882913629375*^9, 
   3.488291503921875*^9}, {3.508173614291066*^9, 3.50817365157685*^9}, {
   3.5081740057292843`*^9, 3.5081740547664967`*^9}, {3.5081742554784*^9, 
   3.50817426838622*^9}, 3.5082623762945004`*^9, {3.5082625082632504`*^9, 
   3.5082625543413754`*^9}, {3.5082626012788754`*^9, 3.5082627010601254`*^9}, 
   3.5082654427945004`*^9, 3.5082656176226254`*^9, {3.5082657485757504`*^9, 
   3.5082657706538754`*^9}, 3.5082658906851254`*^9, {3.5082661017945004`*^9, 
   3.5082661191382504`*^9}, 3.5082661919976254`*^9, 3.5082679588101254`*^9, 
   3.5082680484038754`*^9, 3.5082680787788754`*^9, {3.5082695252788754`*^9, 
   3.5082695482163754`*^9}, 3.5082695794820004`*^9, 3.5082701851695004`*^9, 
   3.5082703663413754`*^9, 3.5082703981695004`*^9, 3.5082705993101254`*^9, 
   3.5082711779507504`*^9, 3.5082733101538754`*^9, 3.5082734562007504`*^9, 
   3.5082736043413754`*^9, 3.5082736351070004`*^9, 3.5082803383570004`*^9, 
   3.5083357836382504`*^9, 3.5083367423257504`*^9, 3.5083591538101254`*^9, 
   3.5084148834195004`*^9, 3.5084149255757504`*^9, 3.5084162239820004`*^9, 
   3.508781967*^9, 3.508829361125*^9, 3.5088296655625*^9, 
   3.508935681796875*^9, 3.508936048453125*^9, {3.508936095484375*^9, 
   3.50893612075*^9}, {3.508936179453125*^9, 3.508936311703125*^9}, 
   3.508940914953125*^9, 3.508941097671875*^9, 3.508941147296875*^9, {
   3.508941180328125*^9, 3.508941272203125*^9}, 3.508941681359375*^9, 
   3.508942741484375*^9, 3.5089427934375*^9, 3.5095365440353336`*^9, 
   3.5388290501179857`*^9, 3.5388290810216403`*^9, {3.538829118009305*^9, 
   3.5388292677705684`*^9}, {3.5388295195550103`*^9, 3.538829707956541*^9}, 
   3.5388297780630646`*^9, {3.5388298318675594`*^9, 3.538829956433778*^9}, {
   3.538833279341549*^9, 3.5388336738380423`*^9}, {3.538833704928897*^9, 
   3.5388338129912868`*^9}, 3.5399501753182173`*^9, {3.5399502782545843`*^9, 
   3.539950304914587*^9}, 3.539950355390443*^9, 3.539950533431133*^9, 
   3.54027839868996*^9, 3.5402784684819517`*^9, 3.5402785540678473`*^9, {
   3.5402785899989023`*^9, 3.5402786467371473`*^9}, 3.540278681207119*^9, 
   3.5402788470436044`*^9, {3.5402881167297044`*^9, 3.54028813198794*^9}, 
   3.5402882248903675`*^9, 3.5402886232709994`*^9, 3.5402886705967264`*^9, {
   3.540288734557459*^9, 3.5402887601538534`*^9}, 3.540290813605708*^9, 
   3.5405443481564255`*^9, 3.5405443944220715`*^9, 3.5405444319752192`*^9, {
   3.5405444648120975`*^9, 3.540544527205666*^9}, 3.5405447968965*^9, 
   3.540794522778125*^9, 3.540794580903125*^9, 3.540794630403125*^9, 
   3.54079468698125*^9, {3.5407947191375*^9, 3.5407947460125*^9}, {
   3.54082064229375*^9, 3.540820741059375*^9}, 3.54083532691875*^9, 
   3.540835359996875*^9, {3.540835471434375*^9, 3.5408355203875*^9}, {
   3.5408356811375*^9, 3.54083573166875*^9}, {3.540835776465625*^9, 
   3.54083581910625*^9}, 3.54083586904375*^9, 3.541314422575*^9, 
   3.54131449260625*^9, 3.5438990823762503`*^9, 3.5438991812825003`*^9, 
   3.5438992417825003`*^9, 3.5438992796575003`*^9, 3.5438993442512503`*^9, 
   3.5438993765325003`*^9, {3.5438994114387503`*^9, 3.5438994341418753`*^9}, 
   3.5438995305793753`*^9, 3.5438995756887503`*^9, 3.5494437263686323`*^9, 
   3.5495243455200415`*^9, 3.549526340462951*^9, 3.5495343541768694`*^9, 
   3.549562813665922*^9, 3.549563103269487*^9, 3.549601798203594*^9, 
   3.54961523054218*^9, 3.5496152607282333`*^9, 3.5496153234559436`*^9, 
   3.549615364593216*^9, 3.5496171022739143`*^9, 3.549618093082305*^9, {
   3.5497734329108634`*^9, 3.5497734584325085`*^9}, 3.549774519661373*^9, 
   3.549774888992022*^9, 3.5497772960347853`*^9, 3.5497774977909393`*^9, 
   3.5497897871886363`*^9, 3.5497899438751273`*^9, 3.5497941423345737`*^9, 
   3.5497946885865645`*^9, 3.549796218528915*^9, 3.5497972192959194`*^9, 
   3.5498931486652384`*^9, 3.5498932845094924`*^9, 3.5498963526129494`*^9, 
   3.5505006305023575`*^9, 3.5505020963005114`*^9, 3.5505024761796103`*^9, 
   3.550503070835255*^9, 3.550503530126916*^9, 3.550504780797143*^9, 
   3.550504976944519*^9, {3.5505050298934274`*^9, 3.550505066225891*^9}, 
   3.550505396489871*^9, 3.5505054638039894`*^9, 3.5505055906790123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Velocity = \"\>", "\[InvisibleSpace]", "28.0534745388877`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m/ms\"\>"}],
  SequenceForm["Velocity = ", 28.0534745388877, " \[Micro]m/ms"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055906790123`*^9}],

Cell[BoxData["1.0588643562160388`*^-15"], "Output",
 CellChangeTimes->{
  3.484157144984375*^9, 3.4841572508125*^9, 3.48829096815625*^9, 
   3.488291013375*^9, 3.488291099203125*^9, 3.48829118546875*^9, {
   3.4882912464375*^9, 3.488291291171875*^9}, {3.4882913629375*^9, 
   3.488291503921875*^9}, {3.508173614291066*^9, 3.50817365157685*^9}, {
   3.5081740057292843`*^9, 3.5081740547664967`*^9}, {3.5081742554784*^9, 
   3.50817426838622*^9}, 3.5082623762945004`*^9, {3.5082625082632504`*^9, 
   3.5082625543413754`*^9}, {3.5082626012788754`*^9, 3.5082627010601254`*^9}, 
   3.5082654427945004`*^9, 3.5082656176226254`*^9, {3.5082657485757504`*^9, 
   3.5082657706538754`*^9}, 3.5082658906851254`*^9, {3.5082661017945004`*^9, 
   3.5082661191382504`*^9}, 3.5082661919976254`*^9, 3.5082679588101254`*^9, 
   3.5082680484038754`*^9, 3.5082680787788754`*^9, {3.5082695252788754`*^9, 
   3.5082695482163754`*^9}, 3.5082695794820004`*^9, 3.5082701851695004`*^9, 
   3.5082703663413754`*^9, 3.5082703981695004`*^9, 3.5082705993101254`*^9, 
   3.5082711779507504`*^9, 3.5082733101538754`*^9, 3.5082734562007504`*^9, 
   3.5082736043413754`*^9, 3.5082736351070004`*^9, 3.5082803383570004`*^9, 
   3.5083357836382504`*^9, 3.5083367423257504`*^9, 3.5083591538101254`*^9, 
   3.5084148834195004`*^9, 3.5084149255757504`*^9, 3.5084162239820004`*^9, 
   3.508781967*^9, 3.508829361125*^9, 3.5088296655625*^9, 
   3.508935681796875*^9, 3.508936048453125*^9, {3.508936095484375*^9, 
   3.50893612075*^9}, {3.508936179453125*^9, 3.508936311703125*^9}, 
   3.508940914953125*^9, 3.508941097671875*^9, 3.508941147296875*^9, {
   3.508941180328125*^9, 3.508941272203125*^9}, 3.508941681359375*^9, 
   3.508942741484375*^9, 3.5089427934375*^9, 3.5095365440353336`*^9, 
   3.5388290501179857`*^9, 3.5388290810216403`*^9, {3.538829118009305*^9, 
   3.5388292677705684`*^9}, {3.5388295195550103`*^9, 3.538829707956541*^9}, 
   3.5388297780630646`*^9, {3.5388298318675594`*^9, 3.538829956433778*^9}, {
   3.538833279341549*^9, 3.5388336738380423`*^9}, {3.538833704928897*^9, 
   3.5388338129912868`*^9}, 3.5399501753182173`*^9, {3.5399502782545843`*^9, 
   3.539950304914587*^9}, 3.539950355390443*^9, 3.539950533431133*^9, 
   3.54027839868996*^9, 3.5402784684819517`*^9, 3.5402785540678473`*^9, {
   3.5402785899989023`*^9, 3.5402786467371473`*^9}, 3.540278681207119*^9, 
   3.5402788470436044`*^9, {3.5402881167297044`*^9, 3.54028813198794*^9}, 
   3.5402882248903675`*^9, 3.5402886232709994`*^9, 3.5402886705967264`*^9, {
   3.540288734557459*^9, 3.5402887601538534`*^9}, 3.540290813605708*^9, 
   3.5405443481564255`*^9, 3.5405443944220715`*^9, 3.5405444319752192`*^9, {
   3.5405444648120975`*^9, 3.540544527205666*^9}, 3.5405447968965*^9, 
   3.540794522778125*^9, 3.540794580903125*^9, 3.540794630403125*^9, 
   3.54079468698125*^9, {3.5407947191375*^9, 3.5407947460125*^9}, {
   3.54082064229375*^9, 3.540820741059375*^9}, 3.54083532691875*^9, 
   3.540835359996875*^9, {3.540835471434375*^9, 3.5408355203875*^9}, {
   3.5408356811375*^9, 3.54083573166875*^9}, {3.540835776465625*^9, 
   3.54083581910625*^9}, 3.54083586904375*^9, 3.541314422575*^9, 
   3.54131449260625*^9, 3.5438990823762503`*^9, 3.5438991812825003`*^9, 
   3.5438992417825003`*^9, 3.5438992796575003`*^9, 3.5438993442512503`*^9, 
   3.5438993765325003`*^9, {3.5438994114387503`*^9, 3.5438994341418753`*^9}, 
   3.5438995305793753`*^9, 3.5438995756887503`*^9, 3.5494437263686323`*^9, 
   3.5495243455200415`*^9, 3.549526340462951*^9, 3.5495343541768694`*^9, 
   3.549562813665922*^9, 3.549563103269487*^9, 3.549601798203594*^9, 
   3.54961523054218*^9, 3.5496152607282333`*^9, 3.5496153234559436`*^9, 
   3.549615364593216*^9, 3.5496171022739143`*^9, 3.549618093082305*^9, {
   3.5497734329108634`*^9, 3.5497734584325085`*^9}, 3.549774519661373*^9, 
   3.549774888992022*^9, 3.5497772960347853`*^9, 3.5497774977909393`*^9, 
   3.5497897871886363`*^9, 3.5497899438751273`*^9, 3.5497941423345737`*^9, 
   3.5497946885865645`*^9, 3.549796218528915*^9, 3.5497972192959194`*^9, 
   3.5498931486652384`*^9, 3.5498932845094924`*^9, 3.5498963526129494`*^9, 
   3.5505006305023575`*^9, 3.5505020963005114`*^9, 3.5505024761796103`*^9, 
   3.550503070835255*^9, 3.550503530126916*^9, 3.550504780797143*^9, 
   3.550504976944519*^9, {3.5505050298934274`*^9, 3.550505066225891*^9}, 
   3.550505396489871*^9, 3.5505054638039894`*^9, 3.5505055906790123`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ScatteringRate = \"\>", "\[InvisibleSpace]", 
   "50141.77949811926`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["ScatteringRate = ", 50141.77949811926, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055906790123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DeBroglieWavelength = \"\>", "\[InvisibleSpace]", 
   "0.18924158618346631`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["DeBroglieWavelength = ", 0.18924158618346631`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055906790123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"PhaseSpace Density = \"\>", "\[InvisibleSpace]", 
   "32.35694327706437`"}],
  SequenceForm["PhaseSpace Density = ", 32.35694327706437],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055906790123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Tc = \"\>", "\[InvisibleSpace]", "2997.0064202745934`", 
   "\[InvisibleSpace]", "\<\" nK\"\>"}],
  SequenceForm["Tc = ", 2997.0064202745934`, " nK"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055906790123`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Potential", "[", 
    RowBox[{
     RowBox[{"x", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Potential", "[", 
    RowBox[{
     RowBox[{"x", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Potential", "[", 
    RowBox[{"0", ",", 
     RowBox[{"y", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"TotalPotential", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"z", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "0.02"}], ",", "0.01"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"Potential", "[", 
         RowBox[{"0", ",", "0", ",", "hz"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"hz", ",", "1"}], "}"}]}], "]"}], "/.", 
      RowBox[{"hz", "->", 
       RowBox[{"(", 
        RowBox[{"z", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}], ")"}]}]}], ")"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "0.2"}], ",", "0.002"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZeroPosition", "=", 
   RowBox[{
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"Potential", "[", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"hz", "*", 
              RowBox[{"10", "^", 
               RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"hz", ",", "1"}], "}"}]}], "]"}], "/.", 
         RowBox[{"hz", "->", 
          RowBox[{"(", "z", ")"}]}]}], ")"}], "==", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ZP", "=", 
  RowBox[{"z", "/.", "ZeroPosition"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SearchRange", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MP", "=", "ZP"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{"MP", "-", "ZP"}], "]"}], "<", 
      RowBox[{"10", "^", 
       RowBox[{"-", "10"}]}]}], ","}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MaximumPosition", "=", 
   RowBox[{
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"Potential", "[", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"hz", "*", 
              RowBox[{"10", "^", 
               RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"hz", ",", "1"}], "}"}]}], "]"}], "/.", 
         RowBox[{"hz", "->", 
          RowBox[{"(", "z", ")"}]}]}], ")"}], "==", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{"-", "0.03"}]}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MP", "=", 
   RowBox[{"z", "/.", "MaximumPosition"}]}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"SearchRange", "=", 
       RowBox[{"SearchRange", "*", "1.1", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", "SearchRange", "]"}]}]}], ";"}], 
     "\[IndentingNewLine]", "]"}], ";"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Potential", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"MP", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], "]"}], "-", 
   RowBox[{"Potential", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"ZP", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GravityCorrectedVerticalFrequency", "=", 
   RowBox[{"Re", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Potential", "[", 
               RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}]}], ",", 
             RowBox[{"{", 
              RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"hz", "->", 
            RowBox[{"(", 
             RowBox[{"z", "*", 
              RowBox[{"10", " ", "^", 
               RowBox[{"-", "3"}]}]}], ")"}]}]}], ")"}], "/", "Mass"}], "]"}],
        "/", 
       RowBox[{"(", 
        RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}], "/.", "ZeroPosition"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<GravityCorrectedVerticalFrequency = \>\"", ",", 
    "GravityCorrectedVerticalFrequency", ",", "\"\< Hz\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"GravityCorrectedVerticalFrequency", "=", 
  RowBox[{"Re", "[", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Potential", "[", 
             RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "6"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
         RowBox[{"hz", "->", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "0.01"}], "*", 
            RowBox[{"10", " ", "^", 
             RowBox[{"-", "3"}]}]}], ")"}]}]}], ")"}], "/", "Mass"}], "]"}], 
     "/", 
     RowBox[{"(", 
      RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.46348553371875*^9, 3.46348570703125*^9}, {
   3.463486069109375*^9, 3.463486119515625*^9}, {3.463486192203125*^9, 
   3.463486296265625*^9}, {3.463486427953125*^9, 3.4634864400625*^9}, {
   3.4634864716875*^9, 3.463486511140625*^9}, {3.46348660471875*^9, 
   3.4634867101875*^9}, {3.46348677040625*^9, 3.463486852*^9}, {
   3.463486887421875*^9, 3.463486887515625*^9}, {3.4634869415625*^9, 
   3.463486945296875*^9}, {3.463487178765625*^9, 3.463487238203125*^9}, {
   3.463488534328125*^9, 3.46348855946875*^9}, {3.46348889784375*^9, 
   3.46348892821875*^9}, {3.46358037721875*^9, 3.4635803773125*^9}, {
   3.46358061025*^9, 3.463580610390625*^9}, {3.463580879953125*^9, 
   3.463580880046875*^9}, {3.463585203875*^9, 3.46358520521875*^9}, {
   3.46366416115625*^9, 3.46366421690625*^9}, {3.481787487140625*^9, 
   3.48178748740625*^9}, {3.481787547828125*^9, 3.481787573453125*^9}, {
   3.481871406296875*^9, 3.481871631125*^9}, {3.481871674921875*^9, 
   3.481871713984375*^9}, {3.4818717659375*^9, 3.48187186990625*^9}, {
   3.481872138421875*^9, 3.481872248984375*^9}, {3.481881458751577*^9, 
   3.481881479470327*^9}, 3.481881562923452*^9, {3.484157181078125*^9, 
   3.4841571895*^9}, {3.484157236375*^9, 3.48415723671875*^9}, {
   3.48829095334375*^9, 3.4882909535625*^9}, {3.5082656791538754`*^9, 
   3.5082656797632504`*^9}, {3.5082657575757504`*^9, 
   3.5082657578257504`*^9}, {3.5082680095913754`*^9, 
   3.5082680235288754`*^9}, {3.5082680602788754`*^9, 
   3.5082680603570004`*^9}, {3.5082704075601254`*^9, 
   3.5082704083413754`*^9}, {3.5082704790445004`*^9, 
   3.5082704796382504`*^9}, {3.5082706180601254`*^9, 
   3.5082706290757504`*^9}, {3.5082734916851254`*^9, 
   3.5082735726382504`*^9}, {3.5083358020288754`*^9, 
   3.5083358027163754`*^9}, {3.5083358985913754`*^9, 
   3.5083360873257504`*^9}, {3.5083362187788754`*^9, 
   3.5083362497788754`*^9}, {3.5083363017632504`*^9, 
   3.5083363071851254`*^9}, {3.5083363936070004`*^9, 
   3.5083364225601254`*^9}, {3.5083365414663754`*^9, 
   3.5083365614820004`*^9}, {3.5083366261538754`*^9, 
   3.5083366269663754`*^9}, {3.5083366833726254`*^9, 
   3.5083367270445004`*^9}, {3.50878202003125*^9, 3.508782027546875*^9}, {
   3.54029085602836*^9, 3.5402908809182425`*^9}, {3.5494440960867786`*^9, 
   3.5494441028201637`*^9}, {3.5505048956445446`*^9, 3.550504895738145*^9}, {
   3.5505056086814437`*^9, 3.550505619866663*^9}, {3.5505057128896265`*^9, 
   3.550505713591628*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k01V3bB3CUEiIdQ8LJfH7n4EREknbcGRIZKz0Z7wZuQ8aSyFAyNUll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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, -14.},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057143560295`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Xk4VG/YB/DSQkRSlpIs0ZzBjF1EPRIVqZQ1IdmyZYmyr9ll33fGWEpC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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, -15.},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057146524296`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mHk41VvUxwsNkopjDMVBv3NwfoZCIVuiopQhomSWeYqKDCEZryHznOGE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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, -14.},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057148552303`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV1nk4lN0bB3BLSSWkkiSeEbLNQ8oS1YNU9mWyiyRLyN5kDxEt1hlJKCkq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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, -15.},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057151048307`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwd1nk8VN//B3D7DKFCCFlmSrKWEBJzLZEiVMiebN8SUdEiu6yVZF/HNmMv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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.550505715619632*^9}}],

Cell[BoxData[
 RowBox[{"-", "0.0012762474409877067`"}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.550505715619632*^9}}],

Cell[BoxData[
 RowBox[{"-", "0.02043648461196555`"}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.550505715619632*^9}}],

Cell[BoxData["7.159677047157393`"], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.550505715619632*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"GravityCorrectedVerticalFrequency = \"\>", "\[InvisibleSpace]",
    "616.8970254619665`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "GravityCorrectedVerticalFrequency = ", 616.8970254619665, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.481871824421875*^9, 3.481871871421875*^9}, 
   3.481872009484375*^9, {3.4818721826875*^9, 3.481872250421875*^9}, {
   3.481881400220327*^9, 3.481881429032827*^9}, {3.481881460751577*^9, 
   3.481881482095327*^9}, 3.481881527548452*^9, 3.481881564439077*^9, 
   3.481881779048452*^9, {3.481881813079702*^9, 3.481881857907827*^9}, 
   3.481882747564077*^9, 3.481882834376577*^9, 3.481883498189077*^9, 
   3.48415710046875*^9, 3.484157191234375*^9, 3.484157238203125*^9, 
   3.488291219609375*^9, 3.4882913008125*^9, 3.5082656519195004`*^9, 
   3.5082656827945004`*^9, 3.5082657604195004`*^9, 3.5082663271070004`*^9, {
   3.5082680003101254`*^9, 3.5082680271695004`*^9}, 3.5082680634195004`*^9, {
   3.5082695336851254`*^9, 3.5082695595288754`*^9}, 3.5082703759351254`*^9, 
   3.5082704112945004`*^9, {3.5082704731382504`*^9, 3.5082704832320004`*^9}, {
   3.5082706114195004`*^9, 3.5082706319820004`*^9}, 3.5082733218570004`*^9, {
   3.5082734666226254`*^9, 3.5082735758257504`*^9}, 3.5082736138726254`*^9, 
   3.5082736446226254`*^9, {3.5083357942320004`*^9, 3.5083358064976254`*^9}, {
   3.5083359511070004`*^9, 3.5083359616695004`*^9}, 3.5083359965132504`*^9, {
   3.5083360278726254`*^9, 3.5083360528882504`*^9}, 3.5083360907632504`*^9, 
   3.5083362241695004`*^9, 3.5083363102320004`*^9, 3.5083364091695004`*^9, {
   3.5083365472476254`*^9, 3.5083365666382504`*^9}, 3.5083366303413754`*^9, {
   3.5083366896695004`*^9, 3.5083367187476254`*^9}, 3.508781986*^9, 
   3.508782030671875*^9, 3.5095366182835803`*^9, {3.5402908026142893`*^9, 
   3.5402908186870365`*^9}, {3.540290859153408*^9, 3.5402908831932774`*^9}, {
   3.5405444141211977`*^9, 3.540544439978677*^9}, {3.540544472714549*^9, 
   3.540544532764984*^9}, 3.54054481167775*^9, 3.54131443410625*^9, 
   3.5413145017625*^9, 3.5494437409084635`*^9, 3.549444104863281*^9, 
   3.5495243500440493`*^9, {3.5496152413373995`*^9, 3.549615265065041*^9}, 
   3.549615328650753*^9, 3.549615368758423*^9, 3.549773480381747*^9, 
   3.549777507182156*^9, 3.5505048231512175`*^9, 3.5505048992013507`*^9, {
   3.5505056027222333`*^9, 3.5505056115050488`*^9}, {3.5505056871963816`*^9, 
   3.550505715619632*^9}}],

Cell[BoxData["0.`"], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.550505715619632*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ContourPlot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"PotentialHoriz", "[", 
      RowBox[{
       RowBox[{"x", "*", 
        RowBox[{"10", " ", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"y", "*", 
        RowBox[{"10", " ", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"z", "*", 
        RowBox[{"10", " ", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}], "+", 
     RowBox[{"PotentialDimple", "[", 
      RowBox[{
       RowBox[{"x", "*", 
        RowBox[{"10", " ", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"y", "*", 
        RowBox[{"10", " ", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"z", "*", 
        RowBox[{"10", " ", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], "\[Equal]", 
    RowBox[{"-", "6"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", " ", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"y", ",", " ", 
     RowBox[{"-", "0.2"}], ",", " ", "0.2"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"z", ",", " ", 
     RowBox[{"-", "0.2"}], ",", " ", "0.2"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
   RowBox[{"ContourStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"Orange", ",", 
      RowBox[{"Opacity", "[", "0.8", "]"}], ",", 
      RowBox[{"Specularity", "[", 
       RowBox[{"White", ",", "30"}], "]"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.549443850895755*^9, 3.549443851301778*^9}}],

Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJx0nXlcTd33xyNkFqlkLpWZBkMimceMmTN7KpGxpGhAwx3CRVSXSEVKqYSS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   "], {{
     {RGBColor[1, 0.5, 0], Opacity[0.8], EdgeForm[None], Specularity[
       GrayLevel[1], 30], GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJxMnXWcV9XWxn9ITKECijUFA8zAMMQMIDCAiMDADCYxiB2Y2J3YHdcWE7u7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         "]], Polygon3DBox[CompressedData["
1:eJxMnXe8z+X7xw8qnGmPrGSfw3EOzj6EllGZLSmjkgoZSbLKiIyUjJYWySoa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         "]], Polygon3DBox[CompressedData["
1:eJxN2nlcF8X/wPFFEQERBFQQ8UBBDgHBExAEFcE7j/C+FdFKLc2jNG+8b0HF
u8uvopZlmpmdWplHaWqlpuKdJ95aHv1e78f7/cfvjyef2dnZmdnZmdmdXUIG
jOg0vITjOHH8KcXv/kaO8zMO4hAOYJ2X46zFCqzEemQnOM5QvIJXMRDNkIo0
NEUTtCrjOC3RCe3RFpnEt0C6HSPpGvtwHDxRCh64TdrneIan+AeDSNsPfRO0
DlJuadJ6wRtJdmxzy1/KGePhOG+jMeF14dQfSYQTUc7fcaqiGmqgJm4TfwvX
UYybiKjgOGEIRQPEI4L42qiHBmiIOZQzD+3sfDugBmlrIgTVEFhB6yXt0AcT
ST/SQ8/xa3yJf+18k9n/mrVnmtU5gDpWhD/KowLOpztOEe7hDooxmbST8Bl2
YDs+J34XvsRu7MXEhrQB+6bzm4sJWJlIGDOxBquxBVuxC3n4HEsxWtoYH1nc
I8L3EzSPVSjAHc7lLm6V0etajDdIM9LOT/rScLuu0iavJ+h+iSvD+SUjBT74
z89xKtOGlRCEYGvT98nzC7yH9ViGEdZHh1o5bRL0nGZY3eU8luB4C8c5gXMo
gWe0y0qOX44VKLD8cih/ICojCIOxnuPfw7uJ2s4/YQPh/1mbSbt8gG8ZY1/B
h/2+CMIyxlIe1mC1ja0NlP8hvsdebEQa55eItmiPdhX0WoWRRxRqJeh1y6I+
XfA2xmOS1XUQqlh/8cPx5o5zFD/iAH7DTsr5DoVW7g78zfi/j43UezOuEK7O
uTxI0OscQzgatcozHhCOSIRiBXkuRz7ysBRzMA/zsQCzUZO00YhCbVQrr+f+
JXbjc6tLDeKrI6S8HiPpZAwEopJdDzk3uYZncQZPuI4PMU76Uz3HuYRFhBfC
g7ReKAtvuPvrtX9Mehd+n6drP/CEO8rACx7IYo7pip7ohc4+Or+k2RzYHd1Q
l+tUARURZfNGEuUk4h1MxFR/zdcbPihnZXRCR7RDW3SAP/yQjLpojp7oglZo
ghS8Qj8ahuEYgSFeenx7dLX03eGL8qhg5ynlNopgLovQOU3mtv0ROj+W8te5
Jxgh2E9b7mb/sQRt0xtsJ3FNEq0PSF9IKK/zsMzHXdAVWXjKGH4Oh3xcbExP
4XcYhlvffctf+7T0bZlrwzGe7a+bMU6o57t4T+Yytk/wexx/4hROpmvc7ziK
P3AM5yx8yebLM5hJ20zFFMxCLiKJD0eEXZda6ToXy32jDvvjvHQuaUR8QySg
AeLtV65NPdS3uGqkrYLDdl8NtbboaX0l1dqlj82Bco+rznwznvvCN3Ud50gc
cybHjcUDnEIh97FdJZlnSugYTbXrf4QxdRiZhFclM7dgNdZiBV6jr47EcLyB
V7CNfrkdn+BTfIwtKMRmbMUmjKzJ2MFczMMYfEb8Djt+m6XrRnxXdEIHtEdb
xCDW8hiOBZbPHLyJ+ZZuBGYgF20wLt5x9tRn/sQL+tkctm9Tzhe4g6u4jOu4
iYd4hMfoxTE9MRjzODZbwrRDDj5swr2B3yHJem5v4HUrX+q31o35HD/iAJZh
Fw7hMI7gcxRiHw9Q32ID4U1YHcD8hwKswsoAjduA/+FD5ONv0l5D1dL0EVRC
cGndlvizOIPR1kYbqnM8RhEuE8a4xRuh1BsehFdxTiuwHAVYiSDyqowrblqe
lPG7m25LfDWckPOryLFYhdVYicJ4bfNOeBnPcRnP8GM9nQdk7D+OpM/QT1dg
JZ6wvZ7f9/Au3sc6rKee8zEP72JdqO6T4+T4jy3dJ3acHP8ptmEwhmAzNmED
CpFj+7qiM3yDOM9KjlOSX2+UC9LyFmAy1mINFgUy95DuOvxIkx+o+W7EaGRZ
GeXZ5x+kaSTtVcxizookfTwaYgXbq0hbYOcv57McrhzjhTLwhEeQXqPVKMQn
2NZE21TuT3KfaoFR9bTvDkA4ItEDn5J2OzZYHnJ9X0nWfrzZ9n3WRNPJ9X9V
xnyyxkl7lArSOrmhBHZyjT9DWYvzsDQlrQ2vwSdI93dhPu9aXttUjs3jvB1+
XYK0HRewvQyl2XYP0n1L2P6LvnUap3ASf+Ie7qMI5/ECxbiNS/gPLvTL5fyu
QAFW2hicHe04L6Et2mMWthKfjzxstjG4HvMlPRZiHZ4wRu/hEYrxEC9qc77k
4Qo3PGN7SVXHWYzb7L+DbMJh7KuJcEQhQrbJswqqoxbCMIa0Y3EABzES5aQu
/C7EInix3TaKuR6lyccD7khDEhLQEE3hR1p/lEcF+MIbZeEKNzfN7xj3i9M4
hT9wFHsp63u8aXU5hLcpcyqmYBrG4Wt8hT34GB9J3bjWr2IQ+qI3TpLnYzyy
sqTM33EcJ/CblSttupi6b8HmaG3fuRiF0Vho120b5ezEKXxj5W7m+E3YiC0o
RH3OrwEaItza+ZqNXel70geln3qSp5e0GUJQDT045+4Ygj7ohbsc/xAPrB/e
wjnrnzdw3eZdF+njMsaZq5/jXzzDHRTjqcXdtv57x03zlvyuWt8+a3P8ZZtz
Ze69aPsvW/iS9f17NhZyyXMp6iAG0wJ0HBVZfaXeTmk97qLl+Qcu2HmctbKL
bLxVpx3aRGmfc7d2kXtlJfKticAAvW8G8FsG3qiMCsjGEvTHYgxENGpjIaZb
/R4zTipS1kDad1BVHTPyXDCRfVMwNUCfMVz4LYkScMV/zD8v8Ayl2HYs7gZu
4jqKcA4ngrkn41vmx80oRDDpq6AqKlqdoxCOWohFBM5bPtdwC3/jKmKpU50K
Wp6UcZn+dhZncAkXPXQulPtKhSC9H8g9oJLN6zK/ByEQ0cyztREl911E4m3u
y29hMqZgKqZZ2AcO3BBB2srwhBsScYV6tQ5xnJZoE6LPOXVJG4f4ML2XTUQD
wqXxgvAzxBBexrN7HvKxFIuRRnwmGiMRyfiH9E+QQriJxfVGT/RCD3RHDdKE
YBjhsWH6vFHGwuPsHL3gkkpfoO6P8AROqta1EbrV0vu+3H/luW4s+nOf7Icx
8XrPl3v/oni9n8o9dAbHzMJMzEYu5mEE3sFczME5nMFfKMJZnExxnF9whHr8
zu8JfMr98HNcwHk0IC6V/U3QCi2Rifscfw0Pccfy+4u0p3GS/afwJ85Y+Ef8
hNMopq1v4TZu4gb+SNE6nLE8TqXoeusALuC8rLvQjmenGEQjQ35ptzb81kGY
7Wsdqeli2ZeKthZXDH+Z21kbzMJ1trfL/T9Z1wMrk/X85bcAO60tJE6e4UJQ
JVLrfoffH/Al9mMDa44PEEg4CNWlLPjiOend+X2Ah7iPu3BFSTh4EaHbEn9P
8mBcVUIyY6kxkuABdxlb7P8vQo8LtDKkTw7FUeL7st3Hyn2Cx3iGp/iVdj2M
Q3btD6ZoPf3gAU/LbwlpN2EDPrDxsZe0+3AJF3EL7jYeS6E0XDGI4/ujH3KQ
jWe04SU8x33cw7/4G1dxGRfxBE9t3zNLJ/05lTyGIwHD2P6Qtl6NVXjf2v4h
96L92IcD+CdQ4x7jEZ7gPvxkvsJpwuX59ccextxXWIo8fInHKMY1PMQD/Iz9
OI0zmIkjOIokxHvSFz013Wyswh/4Cb/jW3yHX3Ec51mrNGCdWh9/Ei5CNPFR
iJC5CrVxFn8iB0U4h0juU6HyTF+H9qmjz1yyvryARqiN7jW1jCu4DC/KKYPp
nPs0fIoZyMUx8voNR+N0Xf1rnM5rsn6qg1hUD9W1hDz/d8HLtq4Isudaeb6t
bPN9gD3/OravYpC27/ZQXevsxJJQXbcMtrXKUGTjUaTmn2XrDZkjZN4YbWsQ
WQ/JGKzBedfEWLbH2bES9pAxF6HrozGYQjnTMQHvYFKorp/W27ppnKUbSXw7
1LO2rxWq9zBXe/YPsPOYSXvNx1jMtvYbg0lYh3exBq8xvw9HEhLwOjoyf9+p
zPyHDoSz4nUtuQlTbN6XdXxT0g5L1TyGIi5V09/iuGJ0IVxL8mLNW4wfcBh3
cY+yR3BfH46R8kzGtiv93BNlEIASGEyevdEVo/Am3OP1ntPX+oMTr8eWhBtK
o5SsfbBRniPI24uwN7YR/hgfYSu22HhLQATCUa6S9j9ptzmYhanoTtk9UvW8
6yEL/TAQndEJfaQN0N/29UVbFNnafyPO4Wx1fTb6inwPYU+gPtu0SdU5UOa9
jpanvJtbzf7lKMDA8not38RojMJIFOMyruBuoLaprPMWYjGWBuqaLpY8G6KR
XfOYVF1PT8B4Sy/rwV7M7wMwDG+gn4c+g7bGHfS3NdA7xE/AaA/9JiLvvhJ5
noxFDFLQDDtduXehI+GG6IAf2D6In3AAe9GI+E7YTvgzV03XxPJJRmMkyfEt
yQvbWzvOLnzRWo+VvOOs/AZYI/eFNOY1fINa3ANOtKLvYCfH7MBnWE5Zh3EI
vyDfVessdfgEO1CA+z7UBcl4iLu456PruyA33S9xuyzv3fja6veUMp/jHlpQ
9+bo6Uu/QndfXTPJ2qkx9UxEUpo+o8hzyUzKXohFKEQuJnHMRAxENt4RlD0e
M5CLiUhsQF4YVYVriQTCD7ju9/FPqj73ybNegK1R5Xwe4DmmYSomY5LlJ+8u
5R3mTkRSjw1sd+eceqAnBjanzdL1fV1v9EI3ZKM+/TcOdW1tOgDzmnLPzKC/
4gPMbarfLeT7heT9AQqxmH3zkJ+h79flPftawguxCL3YTkvX8IIMTd+Z7W7p
+pwYTb5xiEFKE/1uId9AwhBj3yZ+4ZjDGZpvM4471ly/t8l3N/kuIt9HjrFv
H/bieyQiCd5cY19UxF7a4Xvswx58id0WJ2PlTYzy0O+c8h2xA2V3Qk/0wn4/
xgVpf8TP+BBrW2k/mIF5mIvZOEP8WRzBLzjdSo9dh0Lswg9yfaS/4SDhQziA
4xjUUvfJ9tFW+l5K3j31tOsn71nfI3493rV8pS55lD0HS7EEi101X6nDYRyz
Mt6z+pez9vGRsUrfbpKm8+VLMielaftJG22ysiSdvK+bgZnIxXQcxM84gEN+
2lYx3ox5DMBA1MZy4pdgKVbLez4MJ34YhuA1vIqP6Q/bmurzYRI+IvwB3pd+
iE3YgJVYi61N9ZiPLLwGkzABW1CIjU11DRmOdwhPRL7lK/slrjHjtQXSkYYE
jPHWd16LMMLqJ+NjFmZiAeYjryxpsBh+ZXWtO6IR54dheBWv4PVyjHmMxFCM
QCLl1EcDJFm5b3rrezYpW+owGvGkrYcVWIY8zPXWd+fyDn2+1A0zkYsZiLa2
l/OWdfF46vq2ne/1ZjxT4zwu4Bpmkud85FsZc5GNwcjBEAzAHtLuxhfN9FuS
fD86Rb1PwpXrWgpufvrs34y+3BotW+o6oDe//dEX/WwMdEYWerXU/p+DpuQ1
Qa6Br74jk3dl2dxDBmEA+qEvQkkbjihEIsTC0QhCVUTgG+asr+37sXxH3lNC
5wOZGwLo21UQjFQpG+kt9b6QgSqogBpWhuSXQ73GYhym2nzfnvhOdj5d7J74
NJM1SqbWsyaeEb7FGPNljJWDH26y/YjjS9BmLviP8EO8wGPcxX2L82a/F8r4
6f92yP8DyHn6oCIqIQDnSHsZF3AJZ311LStr2kkYhZEl9Zyq4Xmm1k/a7yTz
5ykEWn6VW2o42NqiqpVRTJ5XcBVFVsa/Lbh/caxrhn5HlO+JhwgfyND5/Lh9
K69I2BflM/TbaW/4cI3LwRfe8II/glEZVeCHNKSjOVLlGUfu1e7MDViNtcjH
5VjOHck896egsawBiK+DeqiLEMSgOoJtOw7H7Llbnr8P4yBWYjVcgvW55IjM
+eQ5C33RDzPxOkYgB1nogFzqsQCbYrhnYxrh9tQ7RZ4x7DyaIQFRqI1INEJX
F+ZR+no3vIzO8rxG3F6cwxH8jF/wFw5Y3GEXfcaQZ40hyMFriCDPcNSyMsJw
kXO+hCJpN5x317gLuCXtgRtYQr3DOJ9aCMUitutxfAAqeuj7iAZ4mX2d0BGd
rQ2iOD4Wf+Markh5tkaRtYq0+W/YSp7rUEA7LUcrwqG0eVWEoSZC4FeN/oEI
+MIHtYlPRDmLi0R6ba4p6qAFmqOA5+XZyMUMLEVZ4kPhCjd4YSbx+ViGPEuX
zfnlYDKmYBKGYJCH7huK/uiIGgixvlsV1aRt0AM98RKmoi/62LGSnztleyIM
3laX9uiIDmiLdmiNluiGlyxO+tp0TMYUzInVvl0FNdx1DITYtZBrUtX6fzQK
sALLsez/jaOr+BtXcBFZ9MH+MgfTx7JctE8ujtX+8BuO4ggaefI8gThPfeeR
4Kn98xAOYr/13QLS9qPux/k9iAP2eyhW+9xii2uLpchDO+kXcGcO8cjQOSU9
Xf+f4Cfy3Oei40TK+BH59ItlWBis/e825jLvLcB8LMScTH2neZ+8HuAZiti+
kqzhm7iRoe+nZB28lPR5WJ6pa+IdxD9i/z08zNB3g2nET2B/fqam78J2XXuX
I+90ypbQ/x+U9eB49vdH30xdGyamargf+qCx3DtIWx2RiEI0RrNvDEZk6r1d
7uf1U/WY7Ewtv06q3m9qyFyPkEy998j/F8n/s8n/tW3N1P81akfdW6MtMtEi
Q/8fqEj+twsXSVvKwk9b6Lz/F3EX0vV/jna10DxyMBjxtEMdxCIOMcggviMG
WTopow+yMnSflPuSPdPXRR3E2fO9v9w3kIKy6fr/RQmEG+DjdP3fqHXNNe/s
DP3fLPk/KKlLOO0ViobWfhEYKM839M3eGGTPOZPpJ9ORiwl4G5kyHyEMjZGI
cPrgllpcW1QlXBO/k/YH+84i31uOoT99MAeTMBkTMQMdMB1zkIvqkifWk99m
VCN8nvizNsf/iiLUI35fNPcB+d5pdZFjn7P9Qr4XEq6JYZT9GnLQF92Dtbxp
LprvBXyHV4nvjZ6WbjC+YD7ehRGEX8dwdENbtENnvIxO6IgOFvcS2iAFScH6
XU3+P0L2N0NTZNmxsr8xkoP1m7V8f5NxHoYItEZLTGP/VIy36zEFvaRd8Ray
0QNjsI06j7I6v4EFiEQ0XsGQYH3H6QFPG4PyvvP/ADx74yQ=
         "]], Polygon3DBox[CompressedData["
1:eJwt0UsvA2EUxvEnEiIRK3wAG4lbXKMtRqc6QsUlKqpuJULEBns+CIlYuiQW
FfopJBJpG7cpSmsrJC5Lf5l38cuc9+TMzDNnapc3oxslkmpQhmKvlMcz3lDA
Kw5whiRS2MMuxoKSa0m3fVK3LfnRhbwjfaN0gPu5PiKHClSiAY2oRx3mMIs4
JhHFDK7C0jXS6OccwiAuI9LSkJSAS53DA86HpRi9NWQ4Z3FBb4Kcd+TMYpR6
EQkEzTNtzJsMluPN3DB7b3nfOI4RtMFGDNOIYwrt6ESLmelAK3ZC0jYC7Kcc
SepTnOAIzfSacEx9iH12+umTVnnviuXt/H/3fjI5WEA1qhDGk9ntC1xkkMYH
fvCFX/Mv3uEjUwA9JvM6tvAHamhh5w==
         "]], 
        Polygon3DBox[{{1776, 22266, 18508, 19133, 22305, 22312, 1781, 1777}, {
         12447, 12463, 12460, 12456, 12457, 12459, 12392, 12448}, {16760, 
         15917, 16807, 16809, 16811, 16803, 16761, 16759}, {17449, 17451, 
         10738, 17454, 17452, 17453, 10490, 17447}, {14422, 20683, 17467, 
         17466, 22306, 22311, 14427, 14423}, {6676, 6677, 22310, 16795, 15875,
          20229, 22308, 6675}, {14401, 14444, 14450, 14449, 14448, 14430, 
         14407, 14398}, {12443, 12688, 22309, 15604, 15605, 20113, 22307, 
         12441}, {18908, 2280, 18925, 18924, 18927, 2284, 18910, 
         18909}}]}]}, {}, {}, {}, {}}, 
    {GrayLevel[0], 
     Line3DBox[{1175, 1176, 1298, 1299, 1301, 18319, 18317, 18318, 18311, 
      18313, 18320, 18309, 1287, 1285, 1291, 1231, 1227, 1221, 1220, 18940, 
      18943, 18942, 18941, 18939, 1229, 1175}], Line3DBox[CompressedData["
1:eJwl1FlsT2kUAPAjtliqoSpIVDxJJLZWiVaLofg3dg2TzhCtRkJoi8ZuiCCW
qor/yKSxzFjaJkg7Mk8zQ9AZz1Jbomi8CSWIIETi13j43dxzz73fufc7J3dE
acXi8i4RMcLhXbeI92TMjjhOSY+IUsr4m3/4l2q5+mkRjdQMjDjCUW6lRTTx
J2fkfqfeeQOXWC+uoIqTJDlB/tCIXPJITon4lUu08oDHtDMvL2IuCQqpoJKV
lFLCBtbyI8tYxELeev4VHaSI+/Ja7Q4S6s5hCYmpEbMpYBTDyaBmkG/kGA/F
D3iaHvGEds5yhgaGWHMwF2ZG9E+JSKUf+eQwmZtyN6jpY12OkVMQsZgidrCd
fXzNjvjCZxp/UIMmes+I6EVfbk23Ju08pYNy96znEEep5gj7yCWHAmZRzDnr
XKWZNp7Q0hmPjLjCZWoTEXWUs46N/EzlGNfYxh9z9J7kaHNELWtYTRl1ch9z
Iz7w12Q1aWYDlVSwWZ+qGJYVkU4am8SrKCGZb3Y4zfXMiGu0UKevjTRQIDeT
BXwSf+QDKeKJZDOBLDIZw1imMIB+pFLEm855oYMXvOSe6/c738O77WYPq+17
GUu4aEbqOccm+1LFFoaZjQxOjYoYx3jaaOUub93/id/0ZG5/s0mCJLUc57zc
Bf5Ljfif2xwW/0ImWWSzorPnPc0TO9lv77eyjWc8oo3n7Cr0PHvYy0nqOMRh
qjnIAQrJYyrzmM8KllPMT9zhBrnqZjOJZf4dSykinUEMpGv37/+fb/540DM=

      "]], 
     Line3DBox[{4741, 4743, 16685, 16688, 16687, 16683, 16682, 4765, 4764, 
      4755, 4753, 4942, 4933, 4931, 16547, 16579, 16578, 16576, 16577, 16580, 
      15773, 4944, 4940, 4941, 4762, 4741}], 
     Line3DBox[{9378, 9380, 9406, 9408, 9430, 9429, 17298, 17295, 17297, 
      17292, 17290, 9425, 9424, 9426, 9401, 9400, 9402, 17251, 18779, 18778, 
      18809, 18811, 18812, 17257, 9382, 9378}], 
     Line3DBox[{9497, 9496, 10553, 10552, 10606, 16782, 16775, 16774, 16772, 
      16784, 10598, 10599, 10592, 10594, 9523, 9498, 9499, 15413, 15412, 
      15394, 15392, 15406, 15407, 15409, 9509, 9497}]}},
   VertexNormals->CompressedData["
1:eJzUvGdUVtmy94sJRVEEBUQUkWCWoEgQXAWSESTnHCSKiKLkKBkl55wVESUJ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    "]],
  Axes->True,
  BoxRatios->{1, 1, 1},
  ImageSize->{700., Automatic},
  PlotRange->{{-2, 2}, {-0.2, 0.2}, {-0.2, 0.2}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  ViewPoint->{-0.01554401538413741, -3.1375175167085394`, 1.2671788413372518`},
  ViewVertical->{0.026958704098395764`, -0.24629361108288983`, 
   0.9688202544399479}]], "Output",
 CellChangeTimes->{3.5494439887656403`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Test", " ", "Bose"}], "-", 
    RowBox[{"Einstein", " ", "statistics"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Fugacity", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Exp", "[", "Energy", "]"}], "/", "Fugacity"}], "-", "1"}], 
       ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"Energy", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.54952534081839*^9, 3.549525404606902*^9}, {
  3.5495267042800055`*^9, 3.5495267229688377`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVVGk8lHsbnhmSEcM0Q4UW4jhlRB2vDtL1P05lb1FSKcnSQkUlhJMUXm+R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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0, 2}, {0., 5.508493299242822}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.5495253880240726`*^9, 3.5495254050437026`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"test", " ", "Bose"}], "-", 
    RowBox[{"Einstein", " ", "density", " ", "distribution"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"GlobalChemicalPotential", "=", 
     RowBox[{
      RowBox[{"-", "0.01"}], "*", "kb", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeepestPotential", "=", 
     RowBox[{"Potential", "[", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"ZP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"LocalChemicalPotential", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], "=", 
     RowBox[{"GlobalChemicalPotential", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Potential", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", "DeepestPotential"}],
         ")"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}], "*", "kb"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DensityOfStatesPerVolume", "[", "Energy_", "]"}], ":=", 
     RowBox[{
      RowBox[{"Mass", "^", 
       RowBox[{"(", 
        RowBox[{"3", "/", "2"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"Sqrt", "[", "Energy", "]"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", "2", "]"}], "*", 
         RowBox[{"Pi", "^", "2"}], "*", 
         RowBox[{"hbar", "^", "3"}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BoseEinsteinDistribution", "[", 
      RowBox[{"Energy_", ",", "x_", ",", "y_", ",", "z_"}], "]"}], ":=", " ", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"Energy", "-", 
            RowBox[{"LocalChemicalPotential", "[", 
             RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"kb", "*", "Temperature"}], ")"}]}], "]"}], "-", "1"}], 
       ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"density", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"DensityOfStatesPerVolume", "[", "Energy", "]"}], "*", 
        RowBox[{"BoseEinsteinDistribution", "[", 
         RowBox[{"Energy", ",", "x", ",", "y", ",", "z"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"Energy", ",", "0", ",", 
         RowBox[{"10", "*", "Temperature", "*", "kb"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"peakdensity", "=", 
     RowBox[{"density", "[", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"ZP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<peak density = \>\"", ",", 
      RowBox[{"peakdensity", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", " ", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sidedensity", "=", 
     RowBox[{"density", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", " ", 
       RowBox[{
        RowBox[{"-", "0.2"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{
        RowBox[{"-", "0.02"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<side density = \>\"", ",", 
      RowBox[{"sidedensity", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", " ", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"BoseEinsteinDistribution", "[", 
      RowBox[{
       RowBox[{"Energy", "*", "kb"}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"ZP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"Energy", ",", "0", ",", 
       RowBox[{"2", "*", "Temperature"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"DensityOfStatesPerVolume", "[", 
      RowBox[{"Energy", "*", "kb"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"Energy", ",", "0", ",", 
       RowBox[{"2", "*", "Temperature"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"DensityOfStatesPerVolume", "[", 
       RowBox[{"Energy", "*", "kb"}], "]"}], "*", 
      RowBox[{"BoseEinsteinDistribution", "[", 
       RowBox[{
        RowBox[{"Energy", "*", "kb"}], ",", 
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"Energy", ",", "0", ",", 
       RowBox[{"2", "*", "Temperature"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.549524461677846*^9, 3.549524540972785*^9}, {
   3.5495245725160403`*^9, 3.5495246761938224`*^9}, {3.5495247215129023`*^9, 
   3.54952476601978*^9}, {3.5495248096998568`*^9, 3.5495249251556597`*^9}, {
   3.549525084182339*^9, 3.549525105101976*^9}, {3.549525137503233*^9, 
   3.549525137643633*^9}, {3.5495252097313595`*^9, 3.5495252194657764`*^9}, {
   3.549525251149432*^9, 3.5495252514458327`*^9}, {3.549525292224304*^9, 
   3.5495253270747657`*^9}, {3.549525409864111*^9, 3.549525495305461*^9}, {
   3.5495255838824167`*^9, 3.549525694923412*^9}, {3.5495257938431854`*^9, 
   3.549525827055644*^9}, {3.5495259148837976`*^9, 3.549526060182453*^9}, 
   3.5495260909769077`*^9, {3.549526124808172*^9, 3.5495261327173862`*^9}, {
   3.5495261696270514`*^9, 3.5495261779106655`*^9}, {3.5495263635197916`*^9, 
   3.5495263714778056`*^9}, {3.5495265388847*^9, 3.549526584046779*^9}, {
   3.549526724825241*^9, 3.5495267396608677`*^9}, {3.549526942711824*^9, 
   3.5495269805116906`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"peak density = \"\>", "\[InvisibleSpace]", 
   "3.352878216208625`*^14", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["peak density = ", 3.352878216208625*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.549524476248271*^9, {3.5495245067619247`*^9, 3.549524541565586*^9}, {
   3.549524601376091*^9, 3.549524676708623*^9}, {3.5495247263645105`*^9, 
   3.5495247664877815`*^9}, {3.549524810667059*^9, 3.5495248304946938`*^9}, {
   3.5495248802743807`*^9, 3.5495249255924606`*^9}, {3.549525112745989*^9, 
   3.549525138236434*^9}, {3.5495252102617607`*^9, 3.5495252199181776`*^9}, 
   3.5495252518202333`*^9, {3.549525298760716*^9, 3.549525327371166*^9}, {
   3.54952544334177*^9, 3.549525495789062*^9}, 3.549525584475218*^9, 
   3.5495256955318127`*^9, {3.5495257957619886`*^9, 3.549525827788845*^9}, {
   3.5495259163034005`*^9, 3.549525924150214*^9}, {3.549525961044279*^9, 
   3.549526034036807*^9}, 3.5495260914917088`*^9, 3.549526133169787*^9, 
   3.549526179845069*^9, {3.5495263485749655`*^9, 3.549526373303009*^9}, {
   3.549526532176688*^9, 3.549526585169981*^9}, {3.5495269685142694`*^9, 
   3.549526980808091*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"side density = \"\>", "\[InvisibleSpace]", 
   "5.844968819425715`*^9", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["side density = ", 5.844968819425715*^9, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.549524476248271*^9, {3.5495245067619247`*^9, 3.549524541565586*^9}, {
   3.549524601376091*^9, 3.549524676708623*^9}, {3.5495247263645105`*^9, 
   3.5495247664877815`*^9}, {3.549524810667059*^9, 3.5495248304946938`*^9}, {
   3.5495248802743807`*^9, 3.5495249255924606`*^9}, {3.549525112745989*^9, 
   3.549525138236434*^9}, {3.5495252102617607`*^9, 3.5495252199181776`*^9}, 
   3.5495252518202333`*^9, {3.549525298760716*^9, 3.549525327371166*^9}, {
   3.54952544334177*^9, 3.549525495789062*^9}, 3.549525584475218*^9, 
   3.5495256955318127`*^9, {3.5495257957619886`*^9, 3.549525827788845*^9}, {
   3.5495259163034005`*^9, 3.549525924150214*^9}, {3.549525961044279*^9, 
   3.549526034036807*^9}, 3.5495260914917088`*^9, 3.549526133169787*^9, 
   3.549526179845069*^9, {3.5495263485749655`*^9, 3.549526373303009*^9}, {
   3.549526532176688*^9, 3.549526585169981*^9}, {3.5495269685142694`*^9, 
   3.5495269808236914`*^9}}]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVy3c41Y0bx3FSdicjMhJOskdChO7vLfNBZklGISOU7B3HTEkRTpmhhMyM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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495245163403416`*^9, 3.5495245415811863`*^9}, {
   3.549524601422891*^9, 3.5495246767398233`*^9}, {3.549524726411311*^9, 
   3.5495247664877815`*^9}, {3.549524810667059*^9, 3.5495248304946938`*^9}, {
   3.5495248802743807`*^9, 3.5495249255924606`*^9}, {3.549525112761589*^9, 
   3.549525138236434*^9}, {3.5495252102617607`*^9, 3.5495252199181776`*^9}, 
   3.5495252518202333`*^9, {3.549525298760716*^9, 3.549525327371166*^9}, {
   3.54952544334177*^9, 3.549525495789062*^9}, 3.549525584475218*^9, 
   3.5495256955318127`*^9, {3.5495257957619886`*^9, 3.549525827788845*^9}, {
   3.5495259163034005`*^9, 3.5495259241658144`*^9}, {3.549525961044279*^9, 
   3.549526034036807*^9}, 3.5495260914917088`*^9, 3.549526133169787*^9, 
   3.549526179860669*^9, {3.5495263485749655`*^9, 3.5495263733342085`*^9}, {
   3.549526532223488*^9, 3.549526585216781*^9}, {3.54952696859227*^9, 
   3.549526980870491*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVk3k81Akfx6chWaw0k9wxE/OrRMVjqfgmRL8v29K6Muhw7bIsT45Kx4xC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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495245163403416`*^9, 3.5495245415811863`*^9}, {
   3.549524601422891*^9, 3.5495246767398233`*^9}, {3.549524726411311*^9, 
   3.5495247664877815`*^9}, {3.549524810667059*^9, 3.5495248304946938`*^9}, {
   3.5495248802743807`*^9, 3.5495249255924606`*^9}, {3.549525112761589*^9, 
   3.549525138236434*^9}, {3.5495252102617607`*^9, 3.5495252199181776`*^9}, 
   3.5495252518202333`*^9, {3.549525298760716*^9, 3.549525327371166*^9}, {
   3.54952544334177*^9, 3.549525495789062*^9}, 3.549525584475218*^9, 
   3.5495256955318127`*^9, {3.5495257957619886`*^9, 3.549525827788845*^9}, {
   3.5495259163034005`*^9, 3.5495259241658144`*^9}, {3.549525961044279*^9, 
   3.549526034036807*^9}, 3.5495260914917088`*^9, 3.549526133169787*^9, 
   3.549526179860669*^9, {3.5495263485749655`*^9, 3.5495263733342085`*^9}, {
   3.549526532223488*^9, 3.549526585216781*^9}, {3.54952696859227*^9, 
   3.549526980886091*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVlHc8FI4fxmVHw8ioSGR0yN7j47gL90kSGSWlcsqMMlM6MxwhI6MjEZGQ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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495245163403416`*^9, 3.5495245415811863`*^9}, {
   3.549524601422891*^9, 3.5495246767398233`*^9}, {3.549524726411311*^9, 
   3.5495247664877815`*^9}, {3.549524810667059*^9, 3.5495248304946938`*^9}, {
   3.5495248802743807`*^9, 3.5495249255924606`*^9}, {3.549525112761589*^9, 
   3.549525138236434*^9}, {3.5495252102617607`*^9, 3.5495252199181776`*^9}, 
   3.5495252518202333`*^9, {3.549525298760716*^9, 3.549525327371166*^9}, {
   3.54952544334177*^9, 3.549525495789062*^9}, 3.549525584475218*^9, 
   3.5495256955318127`*^9, {3.5495257957619886`*^9, 3.549525827788845*^9}, {
   3.5495259163034005`*^9, 3.5495259241658144`*^9}, {3.549525961044279*^9, 
   3.549526034036807*^9}, 3.5495260914917088`*^9, 3.549526133169787*^9, 
   3.549526179860669*^9, {3.5495263485749655`*^9, 3.5495263733342085`*^9}, {
   3.549526532223488*^9, 3.549526585216781*^9}, {3.54952696859227*^9, 
   3.549526980917291*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{{3.54979523190675*^9, 3.5497953227323256`*^9}, {
  3.549795405802471*^9, 3.549795407627674*^9}, {3.549795599196011*^9, 
  3.549795650974502*^9}, {3.549796166237623*^9, 3.549796177703643*^9}, {
  3.549796228684533*^9, 3.549796264080995*^9}, {3.5497963095777054`*^9, 
  3.549796315037715*^9}, {3.549797246907968*^9, 3.549797266158402*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVz3k8lfkCBnB1oslyJqEsxeFVJlG6czM06fe8Z3sl19SguprCoXPsM5bT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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwVy304lPkCxnEaqbxFpULG6CG7k0qn42xD7e9+5pmZx9vaysqmPclQQ4YW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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJwVx3841AcAx/ET0iM1P0oh7s7XXAml5sEq38/3fhLyKxVaOi4UKo1lHEnJ
ryeudUnqJvnRmp1Gpz0aSlF+N5laES3dI5ZoFyFltz/ez/t5MUMP+e1bQKPR
vNT9f1lK6EIHUY6r96prU/ZWAjT1MDx3MvaTD/cLPW8TAszfbzjBYHxPev9m
csVbbdmd03RtRhbp45ftddhSgOgt8TEf6BdI38yo0iqGAD0fI6UT9Gvk9vd2
fl+ZC6DT95I1Rq8lAzuq5S7GAhS3FcX+Q28lw8R1Iu4iASqvZ/VF2z8j0wf9
qmijfESQ3RfeHBkie5tcoho6+TioXDOkqBwhVRppS3Sr+dBlnmQNOk+QdLZX
7txZPnL1222K96rIBK394omjfIT2bb+t2TFFDrbquOcE8hHbfDL0EGuWXDas
8/nGJj6qDuv5r3T/RB49tYsxQOejOClqdP1OGoZX2zKva/CRVjTn+/6NBk55
+eQdV/JA63mBukRNqFp7lX+38mAdF56w3UYb0e4DpiMVPLyaPL9jcf1CLPdw
qn+Xx8NW5YHkH2IXoc3byLU4lodtryRrLSx04fWLz9UBfx5G74WmtsgXYz57
INncmQd7g8fmnJAlaIge36BpyoMuOSnsVy1FxR8+AaOfuBCMBX2wDNBHmZPj
joRBLv66K9IIsjVAzFQiKW3koiazaQ9j0gAiJ4P8qjIuwrXjX3R1GSIyyaY9
PoOLsCNJNXqFRiikpDGborhYF7G2y1O4DIUhIdO53lw8NLRdHO+yHD+lyoVZ
Dlz8Xpl20VbTGEOEp3P6ci6SNGx8Op4bw7YtZoz1gQPd/kS3g4oV4LRMZO96
yoGynCktEq9EplvTuex6DqSrTbRqA0zwrN30WFgRB5LC8AdChimCuxt7t5zg
IEj6TZfesCl+tm9bVh7BwTS3bKaowQzaeQEbatw5GFKyE+5mrEJerEN9sx0H
V7Y4mHUKzcHaKbFO/oIDeXq8QYSdBd40kJ8cVWxkBIR5aE5aIDXFp078hA3H
/uJrGZ10MKlXgQdq2ShYc1He6cHAeHqLKFDGxrE7pws8ahno6Fy3bTyFDS+z
gLI2Kya+i5mmGwnZoA4+CDbIYsI7zyDEmcdG0apQq45JJhwVcrEWiw2re1fz
twVbwj24UOeRLhsSu7s2jxossTbodaLdOIVwlVZ3qw0B0921Heu6KYRW/cvI
yiPg9OJZzsYaCtFp/nNbzxAYW6GTf1NBId5f8UTvLIFS742XXdTOnIzPleQT
0L+doyBvUKh0mfl4XkZgVLb5uUcVhZnG+cflFQQuBf9oL5JTkDzSO930gADt
ibBbWkahsCQm8lQrgZtLc/tWqF0S18VxaycQzb+lLCylcNNYMtveReBpjeHs
5RIK/UFGkT29BKql9yzlxRRYQyacl0MERH5fxjXLKKxXJFqUKgmYZfumuKn9
dXrfzL5hAt2NyZntlyh4smS/jowScHV4fKn7IoUjUQyLd+8IGOtnND+/QEG8
+fhMtYpAp+DGw71qpy95+WfcJIETxwafDhVQKLhekjM9TWDirdPbkfMUrqRq
RdyaJVBuLZqOVrvCdx9bPEdg9x7Jgol8CgrL++aunwkY5tfpfat2g8p6Zn6e
QEvna+OpcxT+A8fpJMs=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 35.17157255523085},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{34.538776394910684`, 
       FormBox[
        TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {36.841361487904734`, 
       FormBox[
        TemplateBox[{"10", "16"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {39.14394658089878, 
       FormBox[
        TemplateBox[{"10", "17"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {41.44653167389282, 
       FormBox[
        TemplateBox[{"10", "18"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {43.74911676688687, 
       FormBox[
        TemplateBox[{"10", "19"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {46.051701859880914`, 
       FormBox[
        TemplateBox[{"10", "20"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {48.35428695287496, 
       FormBox[
        TemplateBox[{"10", "21"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {35.23192357547063, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {35.63738868357879, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {35.92507075603058, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {36.14821430734479, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {36.33053586413874, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {36.484686543966, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {36.61821793659052, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {36.736000972246906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {37.534508668464674`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {37.93997377657284, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.22765584902462, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.45079940033883, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.63312095713279, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.78727163696004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.92080302958457, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {39.03858606524095, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {39.837093761458725`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.242558869566885`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.530240942018665`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.753384493332874`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.93570605012683, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.08985672995409, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.22338812257861, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.341171158235, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.13967885445277, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.545143962560935`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.832826035012715`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.055969586326924`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.238291143120875`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.392441822948136`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.525973215572655`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.64375625122904, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {44.44226394744681, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {44.84772905555498, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.13541112800676, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.35855467932097, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.540876236114926`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.69502691594218, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.828558308566706`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.946341344223086`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {46.74484904044086, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.15031414854902, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.4379962210008, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.66113977231501, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.84346132910897, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.99761200893623, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {48.13114340156075, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {48.248926437217136`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{34.538776394910684`, 
       FormBox["\"\"", TraditionalForm]}, {36.841361487904734`, 
       FormBox["\"\"", TraditionalForm]}, {39.14394658089878, 
       FormBox["\"\"", TraditionalForm]}, {41.44653167389282, 
       FormBox["\"\"", TraditionalForm]}, {43.74911676688687, 
       FormBox["\"\"", TraditionalForm]}, {46.051701859880914`, 
       FormBox["\"\"", TraditionalForm]}, {48.35428695287496, 
       FormBox["\"\"", TraditionalForm]}, {35.23192357547063, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {35.63738868357879, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {35.92507075603058, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {36.14821430734479, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {36.33053586413874, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {36.484686543966, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {36.61821793659052, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {36.736000972246906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {37.534508668464674`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {37.93997377657284, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.22765584902462, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.45079940033883, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.63312095713279, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.78727163696004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.92080302958457, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {39.03858606524095, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {39.837093761458725`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.242558869566885`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.530240942018665`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.753384493332874`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.93570605012683, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.08985672995409, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.22338812257861, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.341171158235, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.13967885445277, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.545143962560935`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.832826035012715`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.055969586326924`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.238291143120875`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.392441822948136`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.525973215572655`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.64375625122904, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {44.44226394744681, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {44.84772905555498, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.13541112800676, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.35855467932097, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.540876236114926`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.69502691594218, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.828558308566706`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.946341344223086`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {46.74484904044086, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.15031414854902, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.4379962210008, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.66113977231501, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.84346132910897, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.99761200893623, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {48.13114340156075, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {48.248926437217136`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{0, 10}, {35.17157255523085, 47.24294004070943}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{34.538776394910684`, 
      FormBox[
       TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {36.841361487904734`, 
      FormBox[
       TemplateBox[{"10", "16"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {39.14394658089878, 
      FormBox[
       TemplateBox[{"10", "17"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {41.44653167389282, 
      FormBox[
       TemplateBox[{"10", "18"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {43.74911676688687, 
      FormBox[
       TemplateBox[{"10", "19"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {46.051701859880914`, 
      FormBox[
       TemplateBox[{"10", "20"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {48.35428695287496, 
      FormBox[
       TemplateBox[{"10", "21"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {35.23192357547063, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {35.63738868357879, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {35.92507075603058, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {36.14821430734479, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {36.33053586413874, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {36.484686543966, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {36.61821793659052, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {36.736000972246906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {37.534508668464674`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {37.93997377657284, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.22765584902462, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.45079940033883, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.63312095713279, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.78727163696004, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.92080302958457, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {39.03858606524095, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {39.837093761458725`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {40.242558869566885`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {40.530240942018665`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {40.753384493332874`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {40.93570605012683, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {41.08985672995409, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {41.22338812257861, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {41.341171158235, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {42.13967885445277, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {42.545143962560935`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {42.832826035012715`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.055969586326924`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.238291143120875`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.392441822948136`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.525973215572655`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.64375625122904, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {44.44226394744681, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {44.84772905555498, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.13541112800676, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.35855467932097, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.540876236114926`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.69502691594218, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.828558308566706`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.946341344223086`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {46.74484904044086, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.15031414854902, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.4379962210008, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.66113977231501, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.84346132910897, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.99761200893623, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {48.13114340156075, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {48.248926437217136`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{3.5497972480623703`*^9}]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.5497958321670356`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"density", " ", "distribution"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"to", " ", "gain", " ", "speed"}], ",", " ", 
    RowBox[{
    "we", " ", "store", " ", "PolyLog", " ", "as", " ", "interpolating", " ", 
     RowBox[{"function", ".", " ", "This"}], " ", "calculation", " ", "has", 
     " ", "to", " ", "be", " ", "executed", " ", "only", " ", "if", " ", "T", 
     " ", "or", " ", "maximum", " ", "potential", " ", "depth", " ", 
     "changes"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"0.9", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeepestPotential", "=", 
     RowBox[{"-", 
      RowBox[{"Potential", "[", 
       RowBox[{
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeBroglieWavelength", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "Pi", "*", 
       RowBox[{
        RowBox[{"hbar", "^", "2"}], "/", 
        RowBox[{"(", 
         RowBox[{"Mass", "*", "kb", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"densityInDependenceOfPotential", "[", "U_", "]"}], ":=", " ", 
     RowBox[{
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "U"}], "/", 
          RowBox[{"(", 
           RowBox[{"kb", " ", "*", "Temperature"}], ")"}]}], "]"}]}], "]"}], 
      "/", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TableEntries", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"densityInDependenceOfPotentialInterpolated", "=", 
     RowBox[{"Interpolation", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"U", ",", 
          RowBox[{"densityInDependenceOfPotential", "[", 
           RowBox[{"U", "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "6"}]}], "*", "kb"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"U", ",", "0", ",", "DeepestPotential", ",", 
          RowBox[{"DeepestPotential", "/", "TableEntries"}]}], "}"}]}], "]"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"check", " ", "quality", " ", "of", " ", "approximation"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"densityInDependenceOfPotentialBoltzman", "[", "U_", "]"}], ":=",
       " ", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "U"}], "/", 
         RowBox[{"(", 
          RowBox[{"kb", " ", "*", "Temperature"}], ")"}]}], "]"}], "/", 
       RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"LogPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
         "densityInDependenceOfPotentialInterpolated", "[", "U", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"densityInDependenceOfPotential", "[", 
          RowBox[{"U", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", "kb"}], "]"}], ",", 
         RowBox[{"densityInDependenceOfPotentialBoltzman", "[", 
          RowBox[{"U", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", "kb"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"U", ",", "0", ",", "10"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AtomNumber", "=", "8000000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPot", "=", 
     RowBox[{"580", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}], "*", "kb"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeepestPotential", "=", 
     RowBox[{"Potential", "[", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"ZP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Boltzman", " ", "distribution"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"NormalizationConstant", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"8", "*", 
         RowBox[{
          RowBox[{"10", "^", "6"}], "/", "2.572320880363418`*^7"}]}], ")"}], 
       "*", 
       RowBox[{"80000000", "/", "1.0955538218974254`*^1"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"density", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", " ", 
      RowBox[{"NormalizationConstant", "*", "AtomNumber", "*", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Potential", "[", 
           RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}], "*", 
         RowBox[{"kb", "/", 
          RowBox[{"(", 
           RowBox[{"kb", " ", "*", "Temperature"}], ")"}]}]}], "]"}]}]}], ";",
      "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ReservoirDensity", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", " ", 
      RowBox[{"NormalizationConstant", "*", "AtomNumber", "*", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"ReservoirPotential", "[", 
           RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}], "*", 
         RowBox[{"kb", "/", 
          RowBox[{"(", 
           RowBox[{"kb", " ", "*", "Temperature"}], ")"}]}]}], "]"}]}]}], 
     ";"}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "semiclassical", " ", "Bose", " ", "distribution", " ", "of", " ", 
     "atoms", " ", "in", " ", "excited", " ", "states", " ", "in", " ", 
     "presence", " ", "of", " ", "BEC", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"for", " ", "T"}], "<", "Tc"}], ")"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"density", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", " ", 
      RowBox[{
       RowBox[{"PolyLog", "[", 
        RowBox[{
         RowBox[{"3", "/", "2"}], ",", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Potential", "[", 
               RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
              "DeepestPotential"}], ")"}]}], "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", 
           RowBox[{"kb", "/", 
            RowBox[{"(", 
             RowBox[{"kb", " ", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
        "]"}], "/", 
       RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ReservoirDensity", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", "  ", 
      RowBox[{
       RowBox[{"PolyLog", "[", 
        RowBox[{
         RowBox[{"3", "/", "2"}], ",", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"ReservoirPotential", "[", 
               RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
              "DeepestPotential"}], ")"}]}], "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", 
           RowBox[{"kb", "/", 
            RowBox[{"(", 
             RowBox[{"kb", " ", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
        "]"}], "/", 
       RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "semiclassical", " ", "Bose", " ", "distribution", " ", "of", " ", 
     "atoms", " ", "in", " ", "excited", " ", "states", " ", "in", " ", 
     "presence", " ", "of", " ", "BEC", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"for", " ", "T"}], "<", "Tc"}], ")"}], " ", "including", " ", 
     "BEC", " ", "mean", " ", "field"}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialWithBECMeanField", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Potential", "[", 
            RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
           "DeepestPotential"}], ")"}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}], "*", "kb"}], ")"}], "-", "ChemPot"}], "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialWithoutDimple", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"ReservoirPotential", "[", 
            RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
           "DeepestPotential"}], ")"}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}], "*", "kb"}], ")"}], "-", "ChemPot"}], "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"density", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", " ", 
     RowBox[{"densityInDependenceOfPotentialInterpolated", "[", 
      RowBox[{
       RowBox[{"PotentialWithBECMeanField", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "*", 
       RowBox[{
        RowBox[{"10", "^", "6"}], "/", "kb"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ReservoirDensity", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", "  ", 
     RowBox[{"densityInDependenceOfPotentialInterpolated", "[", 
      RowBox[{
       RowBox[{"PotentialWithoutDimple", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "*", 
       RowBox[{
        RowBox[{"10", "^", "6"}], "/", "kb"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{"Bose", "-", 
      RowBox[{"Einstein", " ", "distribution"}]}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"GlobalChemicalPotential", "=", 
      RowBox[{
       RowBox[{"-", "0.01"}], "*", "kb", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"DeepestPotential", "=", 
      RowBox[{"Potential", "[", 
       RowBox[{
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"LocalChemicalPotential", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], "=", 
      RowBox[{"GlobalChemicalPotential", "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Potential", "[", 
           RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
          "DeepestPotential"}], ")"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}], "*", "kb"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"DensityOfStatesPerVolume", "[", "Energy_", "]"}], ":=", 
      RowBox[{
       RowBox[{"Mass", "^", 
        RowBox[{"(", 
         RowBox[{"3", "/", "2"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"Sqrt", "[", "Energy", "]"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Sqrt", "[", "2", "]"}], "*", 
          RowBox[{"Pi", "^", "2"}], "*", 
          RowBox[{"hbar", "^", "3"}]}], ")"}]}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"BoseEinsteinDistribution", "[", 
       RowBox[{"Energy_", ",", "x_", ",", "y_", ",", "z_"}], "]"}], ":=", " ", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Energy", "-", 
             RowBox[{"LocalChemicalPotential", "[", 
              RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"kb", "*", "Temperature"}], ")"}]}], "]"}], "-", "1"}], 
        ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"density", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"DensityOfStatesPerVolume", "[", "Energy", "]"}], "*", 
         RowBox[{"BoseEinsteinDistribution", "[", 
          RowBox[{"Energy", ",", "x", ",", "y", ",", "z"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"Energy", ",", "0", ",", 
          RowBox[{"10", "*", "Temperature", "*", "kb"}]}], "}"}]}], "]"}]}], 
     ";"}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"ZP", ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EvapPotential", "=", 
     RowBox[{"Potential", "[", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"MP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialDepth", "=", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"DeepestPotential", "-", "EvapPotential"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"peakdensity", "=", 
     RowBox[{"density", "[", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"ZP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<peak density = \>\"", ",", 
      RowBox[{"peakdensity", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", " ", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Velocity", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "*", "kb", "*", 
       RowBox[{"Temperature", "/", "Mass"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Velocity = \>\"", ",", 
      RowBox[{"Velocity", "*", "1000"}], ",", "\"\< \[Micro]m/ms\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRate", "=", 
     RowBox[{"ScatteringCrossSection", "*", "peakdensity", "*", 
      RowBox[{"Velocity", "/", 
       RowBox[{"Sqrt", "[", "8", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<ScatteringRate = \>\"", ",", "ScatteringRate", ",", 
      "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<DeBroglieWavelength = \>\"", ",", 
      RowBox[{"DeBroglieWavelength", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PhaseSpaceDensity", "=", 
     RowBox[{"peakdensity", "*", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<PhaseSpace Density = \>\"", ",", "PhaseSpaceDensity"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"PotentialWithBECMeanField", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{
         RowBox[{"10", "^", "6"}], "/", "kb"}]}], ",", 
       RowBox[{
        RowBox[{"PotentialWithoutDimple", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{
         RowBox[{"10", "^", "6"}], "/", "kb"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"density", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"density", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"density", "[", 
       RowBox[{"0", ",", 
        RowBox[{"y", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"density", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"z", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "0.02"}], ",", "0.01"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"CurrentAtomNumber", "=", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"density", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", 
         RowBox[{
          RowBox[{"-", "2"}], "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", 
         RowBox[{"2", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"y", ",", " ", 
         RowBox[{
          RowBox[{"-", "0.2"}], "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", " ", 
         RowBox[{"0.2", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", 
         RowBox[{
          RowBox[{"-", "0.015"}], "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", " ", 
         RowBox[{"0.01", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<CurrentAtomNumber = \>\"", ",", "CurrentAtomNumber"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIx", "=", 
     RowBox[{"0.05", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIy", "=", 
     RowBox[{"0.05", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIz", "=", 
     RowBox[{"0.015", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DimpleAtomNumber", "=", 
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"density", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"-", "ROIx"}], ",", "ROIx"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"y", ",", " ", 
          RowBox[{"-", "ROIy"}], ",", " ", "ROIy"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", 
          RowBox[{"-", "ROIz"}], ",", " ", "ROIz"}], "}"}]}], "]"}], "-", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"ReservoirDensity", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"-", "ROIx"}], ",", "ROIx"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"y", ",", " ", 
          RowBox[{"-", "ROIy"}], ",", " ", "ROIy"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", 
          RowBox[{"-", "ROIz"}], ",", " ", "ROIz"}], "}"}]}], "]"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<DimpleAtomNumber = \>\"", ",", "DimpleAtomNumber"}], "]"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.549444238023897*^9, 3.5494442834814973`*^9}, {
   3.549444373359638*^9, 3.5494447073787427`*^9}, {3.5494448379252095`*^9, 
   3.549444863565676*^9}, {3.5494449049400425`*^9, 3.5494450473951907`*^9}, {
   3.5494451357392435`*^9, 3.5494451835759797`*^9}, {3.5494453226989374`*^9, 
   3.549445332040471*^9}, {3.5494453793941803`*^9, 3.549445434678342*^9}, 
   3.5494455784275637`*^9, {3.5494456338917365`*^9, 3.5494456403131037`*^9}, {
   3.549445750483405*^9, 3.5494458026613894`*^9}, {3.5494459301606817`*^9, 
   3.5494459626925426`*^9}, {3.549446064896388*^9, 3.549446136900507*^9}, {
   3.5494461672812443`*^9, 3.549446195841878*^9}, {3.5494462720852385`*^9, 
   3.5494462810657525`*^9}, {3.5494463265603547`*^9, 
   3.5494463897329683`*^9}, {3.5494464266000767`*^9, 
   3.5494464281001625`*^9}, {3.549447693129518*^9, 3.549447749954768*^9}, {
   3.549447810876253*^9, 3.5494478441401553`*^9}, {3.5494478781140985`*^9, 
   3.5494479071957617`*^9}, {3.5494481624153595`*^9, 3.549448168456705*^9}, {
   3.549523584472705*^9, 3.549523705918918*^9}, {3.549524174184941*^9, 
   3.549524216523415*^9}, {3.549524254025881*^9, 3.5495243338668213`*^9}, 
   3.549524374036892*^9, 3.5495261972546997`*^9, {3.5495264417871294`*^9, 
   3.549526444470334*^9}, {3.5495265980126185`*^9, 3.5495266047830305`*^9}, {
   3.549526674671153*^9, 3.5495266749051533`*^9}, {3.549526751720689*^9, 
   3.5495267727807255`*^9}, {3.549531373571802*^9, 3.5495313912622337`*^9}, {
   3.5495319444744053`*^9, 3.549531975050459*^9}, {3.549532722830989*^9, 
   3.5495327573226495`*^9}, {3.549532798912322*^9, 3.5495328176011553`*^9}, {
   3.549534363880087*^9, 3.5495344039097567`*^9}, {3.5495353881459546`*^9, 
   3.5495353995339746`*^9}, {3.549562656660942*^9, 3.549562803181323*^9}, {
   3.54956283443511*^9, 3.5495628367252417`*^9}, {3.549562938436059*^9, 
   3.5495629403301673`*^9}, {3.549563122919611*^9, 3.5495631820609937`*^9}, {
   3.5495632215022497`*^9, 3.549563259953449*^9}, {3.549563291498253*^9, 
   3.5495633442542706`*^9}, {3.549563710771234*^9, 3.549563711126254*^9}, {
   3.549563948980859*^9, 3.549564109635048*^9}, {3.5495641657362566`*^9, 
   3.549564172775659*^9}, {3.5495642704452457`*^9, 3.5495642735404224`*^9}, 
   3.5495643876419487`*^9, {3.5495644532637024`*^9, 3.5495644797832193`*^9}, {
   3.5495650534830327`*^9, 3.5495650830917263`*^9}, {3.5495651184827504`*^9, 
   3.549565135988752*^9}, {3.54956516900064*^9, 3.549565169366661*^9}, {
   3.5496017711531467`*^9, 3.5496017816051645`*^9}, {3.549601844379675*^9, 
   3.549601844894476*^9}, {3.5496024001230974`*^9, 3.549602400965499*^9}, {
   3.5496155107498727`*^9, 3.5496155193454876`*^9}, {3.549615551013543*^9, 
   3.5496156633493404`*^9}, {3.549615703987412*^9, 3.5496157525970974`*^9}, {
   3.5496158571854963`*^9, 3.549615857591097*^9}, {3.5496169977225304`*^9, 
   3.549616997987731*^9}, {3.549618054721837*^9, 3.549618058450244*^9}, {
   3.5496192879556413`*^9, 3.5496194113698893`*^9}, {3.549621352358396*^9, 
   3.549621356196003*^9}, {3.5497773198560266`*^9, 3.549777329621644*^9}, {
   3.549794769457322*^9, 3.5497947787393384`*^9}, {3.549794937688018*^9, 
   3.5497952206747303`*^9}, {3.5497956876813664`*^9, 3.549795704919397*^9}, {
   3.549796087399084*^9, 3.5497960964315*^9}, {3.54979619881048*^9, 
   3.5497961995904818`*^9}, {3.5497962876128674`*^9, 3.5497962884552684`*^9}, 
   3.549796324506932*^9, {3.5497964876832185`*^9, 3.549796490194823*^9}, {
   3.5497965475103235`*^9, 3.5497965637499523`*^9}, {3.5497966890961723`*^9, 
   3.549796689423773*^9}, {3.549797268436006*^9, 3.549797285533636*^9}, {
   3.5497975073682413`*^9, 3.549797509333845*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"peak density = \"\>", "\[InvisibleSpace]", 
   "8.387506407303623`*^13", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["peak density = ", 8.387506407303623*^13, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.5498931703804765`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Velocity = \"\>", "\[InvisibleSpace]", "26.6138627473281`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m/ms\"\>"}],
  SequenceForm["Velocity = ", 26.6138627473281, " \[Micro]m/ms"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.549893170396076*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ScatteringRate = \"\>", "\[InvisibleSpace]", 
   "853.4741236354979`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["ScatteringRate = ", 853.4741236354979, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.549893170396076*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DeBroglieWavelength = \"\>", "\[InvisibleSpace]", 
   "0.19947814678760153`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["DeBroglieWavelength = ", 0.19947814678760153`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.549893170396076*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"PhaseSpace Density = \"\>", "\[InvisibleSpace]", 
   "0.6657617491257822`"}],
  SequenceForm["PhaseSpace Density = ", 0.6657617491257822],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.549893170396076*^9}]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mXc01l/8wI3nw6OdyogkKRkZkYbxvqFhhUKRRISQXVb2yN57PniMlMxQ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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0Vd3/B/BruNcVKg0oPElmmQoptLfQQELmMtwMueYxQ25ChmTmkrkb
QqUkPKlkm7lRCdFjiswlCUmpfLe1fr8/zjrr9cdZZ5999t6f92evvddZJ1YC
gfAHXxt38U7e61lZTPTn+6kwX3ZOeI4+605PZyL1J+heMBsnTLRuME5KYaKG
8NyJMFZOuDLnLRgVy0TKPxnRSQRO2MrT9dA7mIniDD0jH/wmw4uGie9OWDHR
nuMzbnPLZFjavWnfigATWeof4A2YJMP9/7HVnc1sRzUN2YtPW8kwcNhr3jm8
DXm/lmRliSJD/YMSw6u0VmRZO+8wdJIMU2pV8+9caUFc7tVcklvIcLdmg9VD
ajMaVQ/dztfNAeW3ZPQcuNiEKn1XI+9mc8DI9xMntp9pRP75Vkv+FA54+l1C
4hb1BqR0qlT/nDQHzN8XnhZzpB6NOxkGfv5Bgk7dQ+JPTtYhI69JcUYzCRYQ
Tt8216pF/VoailtukmBTuleDnM4zpBOSXV7lToIuu2L6agVrEKx4NxqmRYL7
4EGqtsC/qK3wtvFnQRK0N+uZD5+tROUltDjDFSKMfiu5e7W5As18urpe3UuE
IWN7IztulKP9hYRPgTVEuPx78AWfyn1k0eD/zTyPCNNt0YKRdAny/nZI2TWG
CJPjDmS18ZegPcVdcduwb9Tc0TpKKkGG7q9En0cTYdi2+FTZ8WLUTN28hQfb
tdVSmZRXjOqZbmOVkUQI5RcDn28tRtzI148nggg//xFbF18tQudNnl5eoBGh
Vt4NnrXWArT1uU1goB8R+nrs82uqLkDvqUuSSthFmrXv44oKEPsOcf7PvkRI
HvlSKBRRgL62+FTYYXf9Y3zkqGYBWjPT7dP3IUJbBr9zeOVt1HnWfVLBC39v
YVE9B4OBkvOiNCXdiLDMT1OiK5GBGMu3O2ZciXBEuy8u8woDDbb8zryHfWyC
w0L6PAOtLoV9k8feJO72RY+Pga6fPJl9xIUIFQ0clIV23ULcs7OvbZyJ0M3k
yrTUYi4SQRoTPQ5ESDgaJMPZnYsISic5b2PTpfw8ZitykeKlQSdP7Lo/1KW7
PrloeHtJCyf2tlLTdZlvOejEUSURbXsifPZbll9uIRvROH9p11Pw9xYPHFea
z0RFEpPWEzZEmJf8Lpb3dSZSewuCa7APhHR1fnuQiUwuXH8Vj21t1Hr2sUcm
al+fF1bFLv9VYXvwy02kw+FoG2dNhOaGsQEqcxlortyLAs/j+V09VHz4Ex0V
ednSei2JcK9oBNWpjY4IR69dK8PO1++USSmio4nWV52R2Fn5lPIZWzpyfDwq
roqdqBNbc7MnDbFfMlvMsSDCwOSBl99rU9Fck/gPP3O8vp6KJezNTkX1bvyi
Rti+456GBoGp6KugXdJ+bHdVtt4ipVT0fnFNccqMCClDssMmxSlIauxpsjW2
ntSVrxVJyai8tbTZzJQI24zbKobdk5E/hy6fKrZOCK8/p14y0nGyv8eHDV7f
WaWwJyOrKJns9yZESJ3JZRNZTERGCSqZdtjqYUBqqDkeeQkabr18lgg/lkf6
mLpeR9zOmoQxI/z8zfuTetLXkbfUN8UO7NzQbiutmRik6DiYU41tbiByTP5i
DGI3sRKJw2Z+er6NbB+N4h3EJtSwH4kvVT63ikQT5cqWtwyJkIdnt9RjgUhk
def3/gRs12WYW9p/Df225dUIwRZrSoxMN8MWleC0xM6kyJh5GUcgRck9djuw
r+ZcWBE9FYZo8SZrN88Q4VDEdddd5DBE6bl0KRbbt9f2xZ7Eq8if74d0CPak
z6+En7GhKDl59zE77M4yJYUH4TRU7kJQkMGODrnKn70egsKaVWjC2FDv1Xr0
lRB0t/wtGy921TS1ixJ8GVEqYeOqARHmiDJ8dvgEoa2L236/xDb99sWK5Wsg
6vSgC9Vjb65XPzbvHojEyNcCq7EjbPq3tVMDkGXqvSEGtmvm5qoQij/SmFF1
vIwt5mydSx3xQ8L2KpY+2CMq9yLNrP1Qc0RxNBXbuEfXTMHSF83Jj6daYKtt
vrLy0dAbMWL6qGrY5l++Jj1neKHOu6qmStgadZMHKm57ooWxtkAZbA7K26Dc
Qnf0wvWqszD2nGKbYGqRG1LMKz7Ij93N8qIu5o4r0rhLUOPFzi8sZfcroaI9
M2dmidiR/vkl1FJn5DWinUHYGL8uXc/27kWko+IRsnaaCFWnryafuu+Ihi7Y
zn/DFqq5dBCUOaBHQxK0L9issW59yg/skSOr+LFZ7FcyFkIi5RRU5tkUMIZ9
8UdWqCzFDm3XcJwcxlbKimrms7dB7Q3q8QPYv4/4bGJ1PI9qD+u59WO3D1kb
fXGyQtwDSRG92PTQkxnvnS3Qci9391tsOxHloSYXM7Rq2WD1BlumcY9ouZsJ
6k9+sOsV9ooDFzXbwxj5F77l7cC+xjV/nuvDGTRbKXeMib3bsGV67KMeoo81
3GvDfpya61czdRyNnkjUb8U+1ee3nvjpGCr9myrWgl1/MIOvY0gTPd3VpdKM
/fWZjnzQhAoyuqt7tQlbPXIqTu+9LHr0dImwYUXxmIBTb/gRxWTgWSO2PO2K
GbsYAUiG/CzbcLkR61Txz31gSMm4f8PSt8+el/iuBBr8xw5vPL+2q0g7+Mth
IKV5r3fDF5m/dk4tQhAfdr9k4/1vovbd2PJVB9QrTj7eGJ/asdN/1T6fBGXq
Fisb47/919/Xfvo08I5j8W3Hjho+s9TiYwQCSRPiL7Gfqjs8GPA6C0DSX95O
7PmsQOevHqagjN1Y9TW26GrcXnZ3c0DXGkztwjY3ZwwKuFoCEeE8yR7suKqq
dDnqOVDrmrH8DnvZe5jTwtEWVGXIHxra+F/Tq2MqShTwH/lV2Qfsh3xsACpe
AGE7Cs6NY4/78/80lXcAhivztp+x/xbuNbeTcwSjWherv2IL9MhWuux3Al28
23WWsU8rQY9QGWfQts616e/GfFD0Xl6XpoJ3/hZabHi9hiWZSqZJuQBHof5H
ZOyqL9SxEgk3wB3jo7YDW/heitlbUS/QQef4JIf9a2HrEBL0BgzyEk0Fe4rb
ioe/2BuIEQlnNbHrdGa9Wp75gNqdtEYDbI8qThXRCT8gNDxbu7F/LbuMLwZ7
+gNrtjeUEGyduaybXav+IEes63gUtpCYzK9QngAwLbfvvyzszjQ9NKgaBOa4
vvO1YteUpy4caAgCQqMFHW+xizoG9t7QDwbs3U6Nw9g0NrdINcplQNeQDFjB
lvWLO5UeSwOlJ2grG+eZrvSUi6RnGNg6EmrFwD5y6AarSWUYENnGovAIW1FX
Pid0NQzQn0cfr8cWuhDQ+S4iHNQb3FQfw17OJClE3owAbfalmhL4vC0iSy6P
1keC0W4jRi12Nl9HPDcpCqyWO6V3YSeLeYmr6UcByb3OnRPYNPjEPOldFNhh
LE3YjM9/k6ATTzU/RYOyF7RQB2zWGefQ7O2xgOw73LvbmAgzLgRLSprGAg1+
WT0lbOnBG12V9Fiwx5e5egLb6PUD0Vc7bwAC2yJLAHZ+1VLrOn8c6HrZ0tSL
fTj86hYnoQSQNcXOnofrl1qCftfN1GQQWRziaonrH6ter9jI42TQKRpPCsDu
JNkEi/UkA41HlYNp2HZhnqIV21NAczNQ6sKO9kvxf0lPAaUuvLH6uN72WPUL
/MlIBTvSns2exvXZU8Lhgn0OHVhaWNldxvXeqChX1aaODtgPP1IswFYS7eOy
HKODByn1Oi+xl4VP/WsgmQ6knxJUBK2IMHinAtfhynRwS7lQpR47kn2taktH
BriuHlHFh/NH9sdU8otfmcC0WiT5O84rNErn8BPhLEAbXq8QtyVCmxFi5WOY
BRZ4JPnMsUUGgmxKo7NA8x/NO0+w77y1fZy2LRskKYmMXLHD9bdextpVJgcE
vVZ5wncB54X8xnL+c3mgFGbOBjvi9dH3aJMXLQ8wRPx1KrAf8txyas3PA2Vs
FSMz2HRaiOCl8TwwWq3x1tIJ55FzyjHd7vlg/afoQ/WLeL/sLLZNuHoL5Cqb
afNQ8f9sbY4O72aAmJ6Hzz/gfNmuWary40cB8K7b+x76E6FL1RHJNY5CYGQ9
KnQNe5PsK4F1/kJwUrb6Zgv2aYHFNZJaIdDpTFLQv4Tz7KJ6I19QIXDySJi2
DCDC/pI3Z1RXC4HubIN/aBDen7w/nC+tFoHcnyIT33B+Zp/SzV5aLQa58Tnc
wTh/q1as7Qgzug8yF5oIP3Ceh6rXM4Rty0EtSzPPmSf4/F4xm75zvwKYvtSe
1uwhwsFxv81RPZWAvU1Wf2oZ5yG5PzXufdWgPjSiyYifBB1jUz1z2WuAwHXV
0EZAgt1aaSW9PM/ASQGDYBMqCVqnfVB/x10LTHuoFumpJHhh5dCg8KE6MOYd
foKriYTX95/QQ//UA+rn+T0ZiyT4oWlyZ6RqA/Cv6W+4JMUB9wX7DVSdagTt
36MfJ9txwOGhf0dd9JqAoYRRZyedA5qdCptrpDQDylCHh00XB9R2XD/McGwB
c3WvAlM4ybBOX6z6gkMrGCqRn2bXJsMV9TcqbYFtQNa7TasxggyLBhRWHwW3
g/75I5K+iAxd7b2yFUPbQazZQ8a1ejJU/PRQ41FEO+Ag2CikN5Bh7U+58PK4
dgDT9eJrmsiwV2D/pod57WB/EU2b0E6G7BZSQvcb2gFP7/dbaV1k6NgjAu9w
MoGXXHk/c4wMZc5TPoptZgLr9JiZ4Y9kuPDxVmTRNibw+E7nWRwnQ9riP8xC
QSbQvSdP3z1FhnRe4bMFckywYz401f0TGTYb7nK8ZcwEbXl3Tu9YIsMb/Zak
PeZMUJS2M08a97NGdpml+eeYIExcgwV8J8MhT/4veQ5MAFYS2F1/kOFyws6A
3EtM0LzgulK/RobPdpoJCF1mAmXTf8f7cH8clkd/lhPKBElWlyfm/pAh94Pt
69kxTMByw0BkF+6nu5VNbu+OZwJpG4PzCiycMLM2VTs7mQn0RUvu6uL+21an
e3JXOhOEqJhwWeP+/P/6d/D//fv/ABsGGts=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495644849835167`*^9, 3.549564494417056*^9}, 
   3.5496018463296785`*^9, 3.5496156694957514`*^9, {3.5496157214906425`*^9, 
   3.5496157615409174`*^9}, 3.5496158640651083`*^9, {3.549617087906289*^9, 
   3.549617108170725*^9}, 3.549618062677851*^9, 3.5496181049851255`*^9, 
   3.5496194127582912`*^9, 3.549621364448417*^9, 3.549777334130052*^9, 
   3.5497775171973734`*^9, 3.5497957137802124`*^9, 3.54979635761019*^9, 
   3.549796491614425*^9, 3.5497972952056527`*^9, 3.5497975151994553`*^9, 
   3.5498931710200777`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw12HlYDW3cB/CUJJHqEU/7RpRElpzTac79kyRppRLaaVEnJUSkTVLZ2vd9
3zetpFv7jrTSgvZFHZWl8sg773W971/n+vxx5pq55/7N9zsjYel4xoqVhYVF
eB0Ly//+yqPtM3//MrH89WCvidcUcFyR8ltZZeKQuPa/2TUUKHyuIL30g4mp
N3hCHGspcHCPluXELBNz0/KWl+socJTX52N7HxM/n/yCNzdRAEYXWqMKmNja
XJKgdFDgzMOOnENmTJxuKTQR/4ECt976ONhUz+NLi66e2YsU6O7mmqmxmMP/
DTgCjywVRF47bjsq/BXvP84ztMOMCqX29exbh2ZwVZhrFi2UCuaPFb598J7G
dXhHLfdbKiwH3/XDaAo/SuVMZ25QghTuYYHILxOY21dk0lxVCWI1FJy7/Mfx
3wOlDaZeSuDNsLgtc2oMx7349iz+hRLcZcu+5Tw3gsvHdkQ2LSuBhefbnb2Z
X/DLFUFa0EEahL0aj4y1+4wLzvEv5tjR4MWnPZtzJYfx6Lkq4dB0GkjxgIp+
/AC+KLYSpjZEg2JZP7uR0X6c5v0icv0OZfjUUCSuqNiL4/x1MjdoK8O4XNhB
XNaFVdN223V6KAOve5ai/LpO3GztECZVogxyiky5tKV2vHFl6b7oqDLcV517
V3m7CaetlpaJ/ENArfpXncOXmvDbFRuh96RZtGbf5Gs14TYTK0XfbQS4GUy3
p0g2YYX4xcdz/AS4WI83P2lvxH9spnIr/iXA1m/otYV4I1751aMIogRotncU
cjbXYwP+EoJHhgB+/fzA8ztqcXuQ/cdnBAHF0o9enGCrxRntcVaSdAJ0V2zG
FJg1mP2T8eMS0gHxEpRNTTW4Z4tYdh8iYG0q9NMLlxp8qqaXX0CFgIl7d+WF
e1/jPypr0n5qBFzVCYp8JYPxiaLpKT4dAjK/a3wNW4dxU4lJRQTpkaj1cPVD
Nda707xVWJcAw7Fbk6L+1bj2N5u+lB4ByNVU0XPqFb6i8VRc7iwBPCl7u1Uy
qjDv4ighfY48358NW5t3vsDUlyx7K0wJeJqdXEtfqcRJX5qfKpoRYG/qcbO0
oxKLP1nVKiG9s5EykOxSiVUQYyDPnIDwsJz0e80VWEavUzjKkoA7h4OIQ4xy
PDS55bGONXk+Uw7fsqAcj4tKnKojfShWI0WcvxwPL6kYKNoQ8JVtPSd3dRnO
kcs9J2hLgGmXS/fU1jK84fkv5ocrBKg4G9vHPy/B0i52zYoOBIhKU0X5/Uqw
Vfi8cALp3x/4Ox8Zl+Bf40UlG64SUHLsraIrewn+8106p4u0NK8Kq/6553j7
LsnEy04EbCrcHcX5uwhrOy7wWl4nIG1g/Mm0Tz5+fyUurOk2AR/dtifEHcrH
h4g3/HyuBHCLnizUG8nDUR3TixdJu5hnvq9EeZj75vqeOdJq43Y7AlZzsDzF
5/umu+T1+8bsoWfl4Fzx79v0SOfvbqcunsvBZ+/UD4aT3mG3z/hCaTY+LyZa
IeFGwNQ8M1HWKQt3jYpxU+4RIBwoXjwsmoWTVnCbO2ldBb264I5MfNLW2b2R
dMX14vFV2UyscGVE6oI7uX7bRn/mf8jAVbvqmOmkxcv+2XjJLwP/a6Zm+5O0
//IN2bbxdBwk3bAu0YOA6qg0mkdoOuZ97Fz1m/SiUq/moePpOMcy3szEk1yv
wQ2mkwtp2ILitK2R9IV7Rx1jEtOwZpnewaNe5P4QtfXU0UnDRutmVYtJ1+LI
ILa1VJwC6XxUbwJ+mrckl+em4rTLlSkdpGVZV5/bX0zFR8SKTznfJ+9vimyD
2KZUbJvjnCHjQ0Cw6sXerooUfE3odeVP0o3jjyYf2qTgKlm2z4MPCFj1rVqm
bU/BJaGm4598CZDfM8f5rT4ZaxYucq73I8CyRUQo9XoyHp7dslnbn9yPdtpy
RpLJ+JBqkEJdAAFtXB7E5s4kbPjuju6Vx+T85xVov/ZIwlqjnH1qTwk4rP3Z
7IZ8Eo7d7NdlGUjOO5Pn2p6hRHzJe+tqfTABsYHHvAcfJeJ/TAayboYR8E7B
OSRQKRF3Fk8y70USsDH9xCn/9wk4xOSG32QMAU5T6fYL+xPww3uyQ1UJBPTL
bnx6/kk8Prn/OwtnKgHgcKWwZiYOGwg+zOzLJOe5oPW9jHoc5iLsxI7kk/O5
uPdHUFosnhbfS5UvIcD18JMdq6yx2LrUmP7uBTnvLvNUS/MYbCvY1LOnlgCN
Sh3j1lfRONvJcepEKznPvwvdDwpFY44xOe8jXQQI0vmSom9HYY6BXXnsQwR4
e16vY+2NxP62j0/VTxIwW9s9bncoEosW8I+4LxGgz664sSswAruuXXBTYaFD
1ckIWdp8OI4X224rxE2HnQHLmimnw/HpsDEufhE6PG4/78iVFYb15R4WU/fR
wURPuGTgUij2iYtxl9ajw9elH9Sb9SH42zHf3WGX6eAW/hZz7wrBVYpUT2VX
OsQOeLcdmwjCI7abW2jpdJBzN9YbUAvC5fxfXIOr6fBSXLHvRkYgNjqvxRDr
p0NJ2/sGnc6nuPPBuEoTN4JuHt9O7+AnuFpoQ3n3XgRLBtSh0rOPsfMdR6e1
UwgOfk74LtTrj+PlOM0C/BEUfGdITX30wRpawc4VmwDeUMX3C8Xex6HTarZV
IgDz7l1K2ibeeMLDlxGtALCl3lfNS9QLbzBOpKarARjx3Ui1xR4YJIKJZyYA
EbEfX745dg+Pev9SEroN0Ct9rOtw/R1MvbUh+2kCwLaijJlotdu4Ptk7yv0B
wFkaN+u6lpt48KheKRsDILjhhoDN6euYyaWWevY8wDudgQMdHU74s8GBpKsa
AKIl9wOtExk4xYzI1qEDxDTr4oNpNvhIw7en7ocB/h0SmV/LssThL+15q+QA
9o72UMNNLmJLRdb8MWkA6c1OEfI2evjB5taVUUkAz+493UJ1BN4pxPDPFweQ
2zpkx75vJ6I53O6nk+5d8E7gWVZHs1eDPodIAHzT2b3o6GyIaDFS3YU7Ae6G
qLXaHzZHG8bYF+JkANbcXWMS9luhTnOHbLsD5PHtchldsnaoSS+M7SAVgM3w
E8Eh7Yi6BQVOS6kC1In7P4zjcUaCK9lbw/QAfMIlnY4+vYEi4nmOHrEEUNtc
ZdTJdQt9Ydhk5d4C4PA2OGbv74rW27M42UYCNP+al2HncEOvWEs5KH4AAQ5+
fAk+7ojPqAPW2QGkLwTeE/byRKEVrBWZ5PF9c4euTWMvJD3utfSOBmBjI2td
tuaNDLVCaIzdAOqSty7cJ3zQRfWvk2zbAPYM1Wnruj1AVOKquPE6gJkzJkdn
Vh4iu/O+GVUvEbRuyd5bTvFHk9rSGZ+iEOQ0/xTzuRWAfOPUBLldETDogRtF
fzxGYemRX8OUEGitDP43c+gpknmlIfNbGIF8icxCufMzxPPHKsSTBcFy6Jev
e5YDUZw94wRnGx1sFzlsnkUEIQfzgLF/i+nQryP/5YdiMPJKq0w2j6ZD5aa7
PbU3Q9DK+bnTiVfpkLiPv6tAMhQJzMe+XzSig69uwbvYt6HINDJpvFiVDg7X
T73xdwtDjKRK1Y8KdNAPH21zkQlHPKdfe5mL04FWea/lUm848tl19SiNhw6S
gzuadO9HILfKaHXTdXTg/FtUTxyIRK2K/FJV5PPhm4RmrexQJNJnaLGrkc+P
PtUJvCMgCo06MI5/HSDzxcbz1fqj0Ygv7lhAfCcBqQGCLxdGo1Hde3ExzWYC
HuWVVAwHxiDeY12CY5gA53faZW1ELDJIMUkwqCDAaGnqecVMLBp2CeUILCL7
y/b7RWkRcUjgVQ3P/Rwyn6giBcGq8eg367U/oukEbDYuz/VYiEcK14OL9ZMI
WHLXy2bEJ6CvYn86+OMImHv3oyt3VyKycowq148iwHyk9oyUWyIyvCqVtz6c
gO6lZ51R7xOR/BG1FoEQAk6ym+jyyCQhg+9eG/zJPHixXfatr0cS8lvPTVd/
+r/580vrT08SujZ9Zqc2mSfJ1Pr263LJKEB59lgwmTf8p4NOz3gno+jjgbOb
yTzyMzZtNf+QjJSKHhwtf0jAfw57T/XtT0Ea6TcWA8g8c/RYbtLyTUEB3i4h
3mTejQQ2qNUPpiArKav9UWQeGiYHNygdSkWYVZPRSuZny3Mz1SL/VCTN8/EG
H2nlBrm63Z9TUbm9+lcHMm8Le1eOxSumIeZX75EPZD5LTTW+3vYkDW18xNJy
lnT4Sgh6NJqGWhzUbT+Q+b6Jy6J6nVI6kjPb12tL+p6wPHE7MB1J2bcyWEhf
Rs1KVkQGSi9STVIh+0K/bljlQEgGSmUD1lmyX5y2tKScmclAbBut2SNIH3zw
3xEUkYkOZ7YI/CL7yt/WAwoCC1loOo8u00L2HefBPwXPTmaj+K42LQ/SE3Ot
8hvisxHjH4HoI6TbeazkljRy0OK32D9JZF+KNoza3ZGaiy7+5i10uUPAkZF1
ol5GBehHGYplJfua/ItzCweyCpDMr3jtslvk/gjOq/+8UoDe9bkbXiHNlZR7
JFGrEE30n7zU4UKuv67R4N/5QlSWQrN6cpOAocICGaxQjCrVc3bMOROQ4GRa
T5SXIBvbVF55sl/GGnPmh30qQT9NnuW1MwiIVC+JmOMoRQ8YqZl2pAPFN9nH
GZWiPRLR1an2BHi+K+X9s1KKjES/ufLaEWBxYItZlXI5ij+cV9RB9l+pby9X
lGor0b+81ed7yD7t1nHc5/tcJYoXDlY6R7o3u407X+AFuh6672Y/2ccDrAak
JK69QPy106v9JuT8fVzV4hB/iYY+tZm+v0jOWwM1ueteFSrZp0XLIPv8hZhy
DQYVoy8E78ywNgGnUj50aBvVoks587zPaeT/H+RbNzjUIra7i2nbSEfa3v9L
u1+LTiS9br2pRPbRffsUZPJr0T+jUS2KVHL/VniGsq2vQ2t7+AufKxLQ3LH7
YkVBHXIrXnsVpUDOy/LNKQmOBuQjopkjtJuAE1p8bD9Km1CTUc+MIC8Bz8z6
PA+Ut6OYskBNlXFlaNIW2aLL14kqu1R8h4uVYU6C3/19dBe605jy5IeXMty8
sdfi2fZedGbnybO+usrQN8hzxrq5H/k75RkeE1AGc1flSQ7NAbSq+zdVdowG
dXuPBtSxDyOJb1wKW7NoIM1ZNZWq/hlpyoo/iXOigUiV/Ql2vy/oe26fiCWF
BiyrrFnOIyNIYOa0YfWqEvzSe2XasGsMfR7PTV58rQQDh82EdvmMo/KdAh8s
vJXA6RwPr+TgBOLDGS3nTiiBQOiY0XqRKeT000t0bbMS5F9MzFi6PY3sHsik
1ryjwjnCQ7351QyKoF9I84iiQpGpg6TSf7Modm3dQ9PL5Pv3puNslQZzaGPm
HzcWOSqc6aQpikTOo1ZBEdu8ZQpsonHVVMXNo7YseZG2XxSoSf142jhlHon6
D8xO/aTAgduuFjH580jsj1Tvzh8U4BYrfyzQMI+6a/KH4xYo0MI4OMq/OI/a
/SdrQ2coABtlArk1mWhC1oYZNkiB5WvLgvl6THRBp2e4bIACBQNNaVrnmIgp
oT3V95ECogXWLx9bMpF2otkpwQ8U+M8gdWKTKxNZ9JuoJvZQoDxFjOBIZyL2
qL3iRW8ocHULsyk9h4myUq4UdXVQQPpW9Rm1IibSnRsy/tlOgVANE9sHVUx0
ec2YVbmNAs4L0SFsXUy0Tf+EX3MTBWQv2omm9DPRVi6L2dlGCnypp2apDDPR
1eFG262kdSP7q72mmciy8U6xYT0FNrJmnpJgMlHu1kb3O3UUwPa3ul9/ZyIj
fVOr+FoKuPSomZmvMtF2NU3r2hoK/N/3GvT/32v+B/4kc3g=
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0VV0fB3BTRDL0JAk3Q4lLnpRu97pOe6fSaKxQZhVC5ZWxzCQakHlO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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-1, 24.75351724458158},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{25.328436022934504`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {26.937873935368604`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.240459028362647`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {31.543044121356694`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {33.84562921435074, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-1, 1}, {24.75351724458158, 33.246541264683806`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{25.328436022934504`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {26.937873935368604`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.240459028362647`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {31.543044121356694`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {33.84562921435074, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{{3.5495644849835167`*^9, 3.549564494417056*^9}, 
   3.5496018463296785`*^9, 3.5496156694957514`*^9, {3.5496157214906425`*^9, 
   3.5496157615409174`*^9}, 3.5496158640651083`*^9, {3.549617087906289*^9, 
   3.549617108170725*^9}, 3.549618062677851*^9, 3.5496181049851255`*^9, 
   3.5496194127582912`*^9, 3.549621364448417*^9, 3.549777334130052*^9, 
   3.5497775171973734`*^9, 3.5497957137802124`*^9, 3.54979635761019*^9, 
   3.549796491614425*^9, 3.5497972952056527`*^9, 3.5497975151994553`*^9, 
   3.549893171815679*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mXc0F37Ux0uIlIayK2RUyqYifXTbWmRlZBVZ2RXZe+8v3+Frf42MzCTJ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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495644849835167`*^9, 3.549564494417056*^9}, 
   3.5496018463296785`*^9, 3.5496156694957514`*^9, {3.5496157214906425`*^9, 
   3.5496157615409174`*^9}, 3.5496158640651083`*^9, {3.549617087906289*^9, 
   3.549617108170725*^9}, 3.549618062677851*^9, 3.5496181049851255`*^9, 
   3.5496194127582912`*^9, 3.549621364448417*^9, 3.549777334130052*^9, 
   3.5497775171973734`*^9, 3.5497957137802124`*^9, 3.54979635761019*^9, 
   3.549796491614425*^9, 3.5497972952056527`*^9, 3.5497975151994553`*^9, 
   3.5498931721120796`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw1m3c0F27UwAuVnZldmUVlRSXq8b1pkB2SlU1WdkRWqMjee8/svR97RGVk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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495644849835167`*^9, 3.549564494417056*^9}, 
   3.5496018463296785`*^9, 3.5496156694957514`*^9, {3.5496157214906425`*^9, 
   3.5496157615409174`*^9}, 3.5496158640651083`*^9, {3.549617087906289*^9, 
   3.549617108170725*^9}, 3.549618062677851*^9, 3.5496181049851255`*^9, 
   3.5496194127582912`*^9, 3.549621364448417*^9, 3.549777334130052*^9, 
   3.5497775171973734`*^9, 3.5497957137802124`*^9, 3.54979635761019*^9, 
   3.549796491614425*^9, 3.5497972952056527`*^9, 3.5497975151994553`*^9, 
   3.5498931726736803`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVl3c8198Xx0VaFCmEplQ0ZVNcHdl775ktfOy9P/aemRlJCSXJKNzMssfH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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495644849835167`*^9, 3.549564494417056*^9}, 
   3.5496018463296785`*^9, 3.5496156694957514`*^9, {3.5496157214906425`*^9, 
   3.5496157615409174`*^9}, 3.5496158640651083`*^9, {3.549617087906289*^9, 
   3.549617108170725*^9}, 3.549618062677851*^9, 3.5496181049851255`*^9, 
   3.5496194127582912`*^9, 3.549621364448417*^9, 3.549777334130052*^9, 
   3.5497775171973734`*^9, 3.5497957137802124`*^9, 3.54979635761019*^9, 
   3.549796491614425*^9, 3.5497972952056527`*^9, 3.5497975151994553`*^9, 
   3.5498931733600817`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/NIntegrate\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5497965128938627`*^9, 3.54979731640609*^9, 
  3.549797535869491*^9, 3.5498931936245174`*^9}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{{3.5495644849835167`*^9, 3.549564494417056*^9}, 
   3.5496018463296785`*^9, 3.5496156694957514`*^9, {3.5496157214906425`*^9, 
   3.5496157615409174`*^9}, 3.5496158640651083`*^9, {3.549617087906289*^9, 
   3.549617108170725*^9}, 3.549618062677851*^9, 3.5496181049851255`*^9, 
   3.5496194127582912`*^9, 3.549621364448417*^9, 3.549777334130052*^9, 
   3.5497775171973734`*^9, 3.5497957137802124`*^9, 3.54979635761019*^9, 
   3.549796491614425*^9, 3.5497972952056527`*^9, 3.5497975151994553`*^9, 
   3.549893254324224*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CurrentAtomNumber = \"\>", "\[InvisibleSpace]", 
   "CurrentAtomNumber"}],
  SequenceForm["CurrentAtomNumber = ", $CellContext`CurrentAtomNumber],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.549893254324224*^9}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{{3.5495644849835167`*^9, 3.549564494417056*^9}, 
   3.5496018463296785`*^9, 3.5496156694957514`*^9, {3.5496157214906425`*^9, 
   3.5496157615409174`*^9}, 3.5496158640651083`*^9, {3.549617087906289*^9, 
   3.549617108170725*^9}, 3.549618062677851*^9, 3.5496181049851255`*^9, 
   3.5496194127582912`*^9, 3.549621364448417*^9, 3.549777334130052*^9, 
   3.5497775171973734`*^9, 3.5497957137802124`*^9, 3.54979635761019*^9, 
   3.549796491614425*^9, 3.5497972952056527`*^9, 3.5497975151994553`*^9, 
   3.549893274650275*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DimpleAtomNumber = \"\>", "\[InvisibleSpace]", 
   "DimpleAtomNumber"}],
  SequenceForm["DimpleAtomNumber = ", $CellContext`DimpleAtomNumber],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.549893274650275*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Can", " ", "mean"}], "-", 
    RowBox[{
    "field", " ", "pressure", " ", "explain", " ", "dependence", " ", "of", 
     " ", "BEC", " ", "size", " ", "on", " ", "reservoir", " ", 
     RowBox[{"density", "?"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kB", "=", 
     RowBox[{"1.3806503", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "23"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"0.052917721086", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hbar", "=", 
     RowBox[{"1.05457148", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"2", "*", "Pi", "*", "hbar"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"massunit", "=", 
     RowBox[{"1.66053886", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", "=", 
     RowBox[{"88", "*", "massunit"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Omega", "=", 
     RowBox[{"2", "*", "Pi", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"630", "*", "245", "*", "245"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "3"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"124", "a0"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g", "=", 
     RowBox[{"4", "*", "Pi", "*", 
      RowBox[{"hbar", "^", "2"}], "*", 
      RowBox[{"a", "/", "m"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPot", "=", 
     RowBox[{"600", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}], "*", "kB"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"900", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Upot", "=", 
     RowBox[{"3", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}], "*", "kB"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"waist", "=", 
     RowBox[{"22.5", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rCutOff", "=", 
     RowBox[{"22.5", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"N0", "[", "ChemPot_", "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"8", "*", 
        RowBox[{"Pi", "/", "15"}]}], ")"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "*", 
         RowBox[{"ChemPot", "/", 
          RowBox[{"(", 
           RowBox[{"m", "*", 
            RowBox[{"Omega", "^", "2"}]}], ")"}]}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"3", "/", "2"}], ")"}]}], "*", 
      RowBox[{"ChemPot", "/", "g"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "semiclassical", " ", "Bose", " ", "distribution", " ", "of", " ", 
     "atoms", " ", "in", " ", "excited", " ", "states", " ", "in", " ", 
     "presence", " ", "of", " ", "BEC", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"for", " ", "T"}], "<", "Tc"}], ")"}], " ", "including", " ", 
     "BEC", " ", "mean", " ", "field"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeBroglieWavelength", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "Pi", "*", 
       RowBox[{
        RowBox[{"hbar", "^", "2"}], "/", 
        RowBox[{"(", 
         RowBox[{"m", "*", "kB", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HarmonicPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"0.5", "*", "m", "*", 
      RowBox[{"Omega", "^", "2"}], "*", 
      RowBox[{"r", "^", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GaussPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"Upot", "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "2"}], 
          RowBox[{
           RowBox[{"r", "^", "2"}], "/", 
           RowBox[{"waist", "^", "2"}]}]}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Potential", "[", "r_", "]"}], ":=", 
     RowBox[{"GaussPotential", "[", "r", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialWithBECMeanField", "[", 
      RowBox[{"r_", ",", "ChemPot_"}], "]"}], ":=", 
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{"Potential", "[", "r", "]"}], "-", "ChemPot"}], "]"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"density", "[", 
      RowBox[{"r_", ",", "ChemPot_"}], "]"}], ":=", " ", 
     RowBox[{
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"PotentialWithBECMeanField", "[", 
            RowBox[{"r", ",", "ChemPot"}], "]"}]}], "/", 
          RowBox[{"(", 
           RowBox[{"kB", " ", "*", "Temperature"}], ")"}]}], "]"}]}], "]"}], 
      "/", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"densityBEC", "[", 
      RowBox[{"r_", ",", "ChemPot_"}], "]"}], ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"ChemPot", "<", 
        RowBox[{"Potential", "[", "r", "]"}]}], ",", "0", ",", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"ChemPot", "-", 
          RowBox[{"Potential", "[", "r", "]"}]}], ")"}], "/", "g"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Ntherm", "[", "ChemPot_", "]"}], ":=", 
     RowBox[{"Abs", "[", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"4", "*", "Pi", "*", 
         RowBox[{"r", "^", "2"}], "*", 
         RowBox[{"density", "[", 
          RowBox[{"r", ",", "ChemPot"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", "0", ",", "rCutOff"}], "}"}]}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NBEC", "[", "ChemPot_", "]"}], ":=", 
     RowBox[{"Abs", "[", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"4", "*", "Pi", "*", 
         RowBox[{"r", "^", "2"}], "*", 
         RowBox[{"densityBEC", "[", 
          RowBox[{"r", ",", "ChemPot"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", "0", ",", "rCutOff"}], "}"}]}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aho", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"hbar", "/", 
       RowBox[{"(", 
        RowBox[{"m", "*", "Omega"}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"rTF", "[", "ChemPot_", "]"}], "=", 
     RowBox[{
      RowBox[{"15", "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "5"}], ")"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"N0", "[", "ChemPot", "]"}], "*", 
         RowBox[{"a", "/", "aho"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "5"}], ")"}]}], "*", "aho"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"iMax", "=", "2"}], ";", "\[IndentingNewLine]", 
     RowBox[{"ResultTable", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", "iMax", "}"}], ",", 
        RowBox[{"{", "2", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ResultTable2", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", "iMax", "}"}], ",", 
        RowBox[{"{", "2", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"MinChemPot", "=", 
      RowBox[{"00", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "9"}]}], "*", "kB"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"MaxChemPot", "=", 
      RowBox[{"600", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "9"}]}], "*", "kB"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", 
       RowBox[{"i", "\[LessEqual]", "iMax"}], ",", 
       RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ChemPot", "=", 
         RowBox[{"MinChemPot", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"MaxChemPot", "-", "MinChemPot"}], ")"}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"i", "-", "1"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"iMax", "-", "1"}], ")"}]}]}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ResultTable", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], "=", 
         RowBox[{
          RowBox[{"density", "[", 
           RowBox[{"rCutOff", ",", "ChemPot"}], "]"}], "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "6"}]}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ResultTable", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}], "=", 
         RowBox[{"NBEC", "[", "ChemPot", "]"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ResultTable2", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}], "=", 
         RowBox[{
          RowBox[{"ResultTable", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"density", "[", 
             RowBox[{"rCutOff", ",", "ChemPot"}], "]"}], "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "6"}]}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ResultTable2", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], "=", 
         RowBox[{
          RowBox[{"10", "^", "6"}], "*", 
          RowBox[{"ChemPot", "/", "kB"}]}]}], ";"}]}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ListPlot", "[", "ResultTable", "]"}], "\[IndentingNewLine]", 
      RowBox[{"ListPlot", "[", "ResultTable2", "]"}]}]}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialWithBECMeanField2ndOrderhelp", "[", "r_", "]"}], ":=", 
     RowBox[{
      RowBox[{"PotentialWithBECMeanField", "[", 
       RowBox[{"r", ",", "ChemPot"}], "]"}], "+", 
      RowBox[{"2", "*", "g", "*", 
       RowBox[{"density", "[", 
        RowBox[{"r", ",", "ChemPot"}], "]"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"ZeroPosition", "=", 
      RowBox[{
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
              "PotentialWithBECMeanField2ndOrderhelp", "[", "hr", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"hr", ",", "1"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hr", "->", 
             RowBox[{"(", "r", ")"}]}]}], ")"}], "==", "0"}], ",", 
         RowBox[{"{", 
          RowBox[{"r", ",", 
           RowBox[{"1", "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "6"}]}]}]}], "}"}]}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"RZ", "=", 
      RowBox[{"r", "/.", "ZeroPosition"}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"RZ", "=", 
     RowBox[{"7.2", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialWithBECMeanField2ndOrder", "[", "r_", "]"}], ":=", 
     RowBox[{
      RowBox[{"PotentialWithBECMeanField2ndOrderhelp", "[", "r", "]"}], "-", 
      RowBox[{"PotentialWithBECMeanField2ndOrderhelp", "[", "RZ", "]"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"density2ndOrder", "[", "r_", "]"}], ":=", " ", 
     RowBox[{
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"PotentialWithBECMeanField2ndOrder", "[", "r", "]"}]}], 
          "/", 
          RowBox[{"(", 
           RowBox[{"kB", " ", "*", "Temperature"}], ")"}]}], "]"}]}], "]"}], 
      "/", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PlotRadius", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Potential", "[", 
         RowBox[{"r", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "6"}]}]}], "]"}], "*", 
        RowBox[{
         RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", 
       RowBox[{
        RowBox[{"PotentialWithBECMeanField", "[", 
         RowBox[{
          RowBox[{"r", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}]}], ",", "ChemPot"}], "]"}], "*", 
        RowBox[{
         RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", 
       RowBox[{
        RowBox[{"PotentialWithBECMeanField2ndOrder", "[", 
         RowBox[{"r", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "6"}]}]}], "]"}], "*", 
        RowBox[{
         RowBox[{"10", "^", "6"}], "/", "kB"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "PlotRadius"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialWithBECMeanField2ndOrder", "[", 
     RowBox[{"3", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], "]"}], "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"density", "[", 
         RowBox[{
          RowBox[{"r", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}]}], ",", "ChemPot"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"densityBEC", "[", 
         RowBox[{
          RowBox[{"r", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}]}], ",", "ChemPot"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"density2ndOrder", "[", 
         RowBox[{"r", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "6"}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "PlotRadius"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<N0 = \>\"", ",", 
      RowBox[{"N0", "[", "ChemPot", "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ntherm = \>\"", ",", 
      RowBox[{"Ntherm", "[", "ChemPot", "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<NBEC = \>\"", ",", 
      RowBox[{"NBEC", "[", "ChemPot", "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Ntherm2ndOrder", "=", 
     RowBox[{"Abs", "[", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"4", "*", "Pi", "*", 
         RowBox[{"r", "^", "2"}], "*", 
         RowBox[{"density2ndOrder", "[", "r", "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", "0", ",", "rCutOff"}], "}"}]}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ntherm2ndOrder = \>\"", ",", "Ntherm2ndOrder"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<n2ndOrder(rCutOff) = \>\"", ",", 
      RowBox[{
       RowBox[{"density2ndOrder", "[", "rCutOff", "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<n(rCutOff) = \>\"", ",", 
      RowBox[{
       RowBox[{"density", "[", 
        RowBox[{"rCutOff", ",", "ChemPot"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<npeakBEC = \>\"", ",", 
      RowBox[{
       RowBox[{"densityBEC", "[", 
        RowBox[{"0", ",", "ChemPot"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Depletion", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"densityBEC", "[", 
         RowBox[{"0", ",", "ChemPot"}], "]"}], "*", 
        RowBox[{"a", "^", "3"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<depletion = \>\"", ",", "Depletion"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<rTF = \>\"", ",", 
      RowBox[{
       RowBox[{"rTF", "[", "ChemPot", "]"}], "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.549628617409438*^9, 3.549628650637497*^9}, {
   3.5496286876407623`*^9, 3.5496288062477703`*^9}, {3.549629067407829*^9, 
   3.5496292028004665`*^9}, {3.5496292390237303`*^9, 
   3.5496294028396177`*^9}, {3.549629435802476*^9, 3.549629503319394*^9}, {
   3.549629537155854*^9, 3.5496298159127436`*^9}, {3.549629855490013*^9, 
   3.5496301962736115`*^9}, {3.5496302320444746`*^9, 3.54963024070249*^9}, {
   3.549630289546176*^9, 3.5496303611815014`*^9}, {3.5496304083247843`*^9, 
   3.549630441318842*^9}, {3.549630479476509*^9, 3.549630685381271*^9}, {
   3.5496307345369573`*^9, 3.5496307502773848`*^9}, {3.5496308199471073`*^9, 
   3.549630827965521*^9}, 3.5496325109951077`*^9, {3.5496326258123093`*^9, 
   3.549632685903615*^9}, {3.549632747242923*^9, 3.5496327476017237`*^9}, {
   3.5496327874285936`*^9, 3.549632843307892*^9}, {3.549632896394785*^9, 
   3.5496329093740077`*^9}, {3.5496329959541597`*^9, 
   3.5496329992145653`*^9}, {3.549633404175677*^9, 3.5496334963094387`*^9}, {
   3.5496335272598925`*^9, 3.5496335743095756`*^9}, {3.549633670608545*^9, 
   3.549633670717745*^9}, 3.5496337849111614`*^9, {3.5496366171196456`*^9, 
   3.5496369587144456`*^9}, {3.5496370094369497`*^9, 3.5496370241477757`*^9}, 
   3.549637065331848*^9, {3.549637199211283*^9, 3.5496372005528855`*^9}, {
   3.5496372353721466`*^9, 3.5496372483825693`*^9}, 3.5496372808306265`*^9, {
   3.5496373492211466`*^9, 3.54963737382239*^9}, 3.549637474224166*^9, {
   3.54964297588087*^9, 3.5496430462681932`*^9}, {3.549643100509488*^9, 
   3.5496431181843195`*^9}, {3.5496437859444923`*^9, 3.549643822869757*^9}, {
   3.5496445267322083`*^9, 3.5496446071971498`*^9}, {3.549644712762535*^9, 
   3.5496449265199256`*^9}, {3.549644979170018*^9, 3.549645007796068*^9}, {
   3.549645274431737*^9, 3.5496454318672132`*^9}, {3.5496454982141294`*^9, 
   3.5496455008661346`*^9}, {3.5496479513452587`*^9, 3.549647985337718*^9}, 
   3.5496480322626004`*^9, {3.5496480832746897`*^9, 3.5496481929584827`*^9}, {
   3.5496482443605733`*^9, 3.549648399315645*^9}, {3.5496484517629375`*^9, 
   3.549648472666974*^9}, {3.549648520122257*^9, 3.5496485332934957`*^9}, {
   3.5496485911539974`*^9, 3.5496485992348113`*^9}, {3.549648674894944*^9, 
   3.5496488006935654`*^9}, {3.5496488541090593`*^9, 3.549648881112706*^9}, {
   3.549649160337597*^9, 3.549649170884431*^9}, {3.5496496260776305`*^9, 
   3.549649651926876*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwd0wk0lekbAPDvo8X+t/wTZbn6bCGlhRju82KkJKMwNdWUa3BJSWKyby3I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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwV0wk01OsbB3BrbrYsXZGZsQwmS+iWWyqeV64rbrkV0lWRyVpStvRHJS0o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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJwV1nc8Vf8fB3CjTQol455zr64iSZFvIbzfiEpKg2hZKULKikrLCNkSIiMj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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5496487351578503`*^9, 3.549648802176568*^9}, 
   3.5496488828755093`*^9, 3.549649172132433*^9, {3.549649627824834*^9, 
   3.5496496531124783`*^9}}],

Cell[BoxData["0.31338913738330054`"], "Output",
 CellChangeTimes->{{3.5496487351578503`*^9, 3.549648802176568*^9}, 
   3.5496488828755093`*^9, 3.549649172132433*^9, {3.549649627824834*^9, 
   3.549649653128078*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV13k8VN0fB3BLi7XHUh4xM4ZRhLQviHP6SiGpRynJY80WqUTWJEsSCsma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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJxN1Hk01VsbB3BjgynnpxvFOY5eUUi6Ukjt3W/XDUlKUkouyZGkEg24JTKF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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJwV1Hk4VdsbB3BD3JuhwYl0zjaWKCfRcKVkrRZ+SlKRsUISFR2ZQuR2UUhF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     "]], LineBox[CompressedData["
1:eJwVVHtUzHkcbfVao1adOqWm73fV2CkVS1mL7Pr4cKxGL9EhRR7bGhklqVV2
B5M4Hlusajo9OEbbi0YrZCmvMiV6jVkRZamtDNP8HrFL2Xb8cc/965577r3n
XPeNCeGx48zMzCQmfGS1+hcH5VIC/lp16ioVj+N9Y1g+kEAZ835VvYJH6d96
YXQwgdPmYdcUMTw2nkxZ0hBGQO49lla7hEfx6nGJvisJdLcnP+iYyWOGfWZB
9ioC6+s+bB+jPPY1u2hG1xDY18E+ldvyqPpmprBlA4Grr7RC42sOb4cI0ke+
J/DixvKQlB4OX8T06qdKCWhVB91C2jkUKXKuHognkNzVP7H8IofFmneRsJuA
T7zDww45h7+F3s6rziZg4eianePAoWZ9gdkLJYFlodNbDJYc9ifulNoVEKAp
ccPT/mVRnC2es+00gfx1ZRFRT1kseXS4U6wmcOJs53Z6hsWyDSuc8hsJuEUc
bsn0ZLFph6+8qZkAjLl+9o8Ti4Pplv1vWwjs/NowamPFoldJzaUVOgLCgZ8K
xL0MLq05RhSdBC4fCpa7djAobdqSUdVF4KDjmGvhdQbL9cII2+cEnLvjBMI8
BptHhmsD+gjw1yv7RtMZ1Nu0TokbIBBeJD8yK4FB7y/3DmsMBDYL6i4ELWJQ
ApHRb5iPeg/rYR8G45b7NYiGCbzJqLfc7cBgRVLfib3vCbhaWU/KqjVi8/66
EfUHAlF9l++07TOiPid3U7cZhQX9Rzws0YiC0oR7EywoPDPf8l/KyBD6XFnq
P8+aguRGhNrz7BAG3XUvkAooeDm/adVLhlDW9X6c0pbCifzMlKNNBjz66kHc
HTsK74o+LTSXGfDc6Dkt70Bh+4LBqV5OQ3jf9sA8D2cKWW3eh+wUQ/iaxqjC
XCnYCT1leY+G0GbGHMEeQuHC7PyBmSIj+i6031E5mcIP2DptMNaIQeH6x09E
FBa9PL1mUGVE2ab6hQJPCvI0hffBJ0aszEi23zyNwuxbdR1J7gy+nr9WkTGD
QnmTQvdyDoO+w4v5M/4UTjJu8zeEmvrZ6PjnX3MppJUGFWtTGSxbUJ23ZgkF
N6XG4NzI4ODb/PGpgRTmnqt39nnMoKdakaYMotBjiDTq9AyWuIVH68JN+USB
A7a2LBa/Yz4PiaEgWO+3tTWYxb6qR8dkGynQkmv86rUsiqQ3PzkSS2HEZpm4
Qsai6mFWb+NWCri8quz8YRZPVU8vXbiLgjDqll9xA4v522TTvzpu8tvrMXbe
j8OuKStPrcimUOaRLXIBDl2eBtjtUFJoYcpn7QrmME8ygVMXUei3DCj5Qsph
jmfFJa8KCokT2MkXijjU9RwXf1dJwWqt5OW3Zzl0zE1VxlZR6Kxx5/RXOPzV
IjBVddm0v3zP3Hs6DrXXZuhv/kHhgcXvLcJeDu2TJkU9q6WwsiG3XcNyeOz5
wHy3egoNoixxuR2P7XltlfM0FI47nixc7M7jxLAaGnmXwg2rPf1Cfx5DrE9l
/Xjf1HdoRECP6S8yrx8wy22jEJbgEi1Yx2NrcnziRS0Fm6TnToU/87h5wJCz
VUeh2kfirjvD4//1wzFh
     "]], LineBox[CompressedData["
1:eJwVkntUjHkcxmPiROxqtTqKfm/9bBTSYiyd4tuX7uVSZ7XVQbpNLcphWrsZ
W1Oh6cK4bKUrpmnQSjrDRmqzOWzZRIW0hX3HaItq5n0324Rp2z+e8/zzOefz
/PHYRSYGxUw2MTHxmsj//SZ/RN/sT6Ardtgm4yyPa2/9bGEIIBDqcWaxKJPH
b65/QcM3E/g0LVEpjeNxf3XpyvpgAgkKaVVLEI/HLll5kRACG1yU57uAxwvl
8hBpGIHpBd3tk77ksal0WrxmG4HAqkmuOfY8Pi9IS/bcSSC27WPC7M95NJx8
n62KJmAzz9Y3zIxHy1xxybS4CT40Q7z6A4e+0tjG1gQC+47Hd2/RcqiO95u6
VUIgft34uU11HLZFNVnVphBoPeLQF3mVw4Ftbo7W6QSOHqpep1RxSIKcA57L
CKhWB5ZVnOYwy/Wzk7H5BJ64b/jJay+HypXZit8LCZSnblx3QMRho7PpNadS
AlsrP4pvb+dwxP7d06FyAtfe6Q3FgRxGmHfPP1BDoFn9cmjzEg6FPecuHm2d
2PdLVPvoWz3Oco4bvfKQgNGxsLZdq8e3Kc7eXR0E7nxi41b7XI/ltO7Vom4C
XP/9gfKHerTc1UlaXhOo8X763Ue1HsckAv+pJgzkSZItklP0+Mx81W2fuQws
719Wl26txwLHosut/gyYfD86GBGlw394L2V6IAMvY0q9s7bpcFMDV7xmEwPt
m99Y3AjR4dRgvxxlEAMHvhI1OQToMEli+PZQKAPoy63wEOowqC1k0VIRA7ar
XnaKzHQ4I8lSkZPGAGfmGRIdPYwpjbkF/jcYuLDHz9hIh3Cgt/G04SYDrqXh
z7ZbD+HW97xcdYuBzhdTbAUWQ7hkVZhM0MiAzPpR3XbjIHZVOiTX3WWgr2K6
cOezQVye/2v44s4Jv6dVR5Z8EF/v0duaDzPQ3/QkeIVgEANtvla2LLCDEw5n
rFxG36BHwr1wC5kdeM38K3uScADL5kUu+GPEDq4MRQrc0//GBU2qvI3h9rA3
YvW/bVZ9KF/6m1N7gz1Um+5bkt+hxVje9FGzE4XhevFF5uQrnPgIIztOQbzj
UmbxjxrcnRb8we8EhaI1C8eMP2gwKVj9dMYpCg5O/YKoJA1mjiQdk+dRSJCV
9CzbrcGqNYb3+SUU3LVnZT2hGjTcHn9SUUkhTVRkLhVqUN4+I/fOPQpTGlIr
dIMsFir2xB1ppuBVHZmY0c+iQvxgvc99CudT7a/N1bJ4fY587P6DCb5sstqn
h8WesNlxHY8phFb0xtW2sLhQM3c9q6GgfjzP2Kti0UWdbFuupVA/UiGUKVh0
PfynIaaPgsr0UK+wjMWAhSXV/QMUeqtMDp7KY3HfLsZWr6cwvU/YteMwixI3
qaGGp7B874BkjpTFwzPZTvEIBasaTfYDCYsFVxTZo6MU6twua1HM4vlUU9HN
MQr75YJl44ksVm6JQckHCh5XL724tYtFtf3d+WuNFDLc+94dFLHYwDsYxscp
aJKM+92iWPwPc58haw==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5496487351578503`*^9, 3.549648802176568*^9}, 
   3.5496488828755093`*^9, 3.549649172132433*^9, {3.549649627824834*^9, 
   3.549649655592882*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"N0 = \"\>", "\[InvisibleSpace]", "284654.49218857946`"}],
  SequenceForm["N0 = ", 284654.49218857946`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.5496496556240826`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ntherm = \"\>", "\[InvisibleSpace]", "2.149856170160184`*^6"}],
  SequenceForm["Ntherm = ", 2.149856170160184*^6],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.5496496559672832`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"NBEC = \"\>", "\[InvisibleSpace]", "894207.9557624565`"}],
  SequenceForm["NBEC = ", 894207.9557624565],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.5496496561232834`*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "ncvb"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"NIntegrate failed to converge to prescribed accuracy after \
\[NoBreak]\\!\\(9\\)\[NoBreak] recursive bisections in \[NoBreak]\\!\\(r\\)\
\[NoBreak] near \[NoBreak]\\!\\({r}\\)\[NoBreak] = \
\[NoBreak]\\!\\({7.\
71216958964173063287387286171559175329548452282324433326721191406`15.\
954589770191005*^-6}\\)\[NoBreak]. NIntegrate obtained \
\[NoBreak]\\!\\(2.8715835861068107`*^6 - \\(\\(1600.163852485651`\\\\ \
\[ImaginaryI]\\)\\)\\)\[NoBreak] and \[NoBreak]\\!\\(8.39621995361471`\\)\
\[NoBreak] for the integral and error estimates. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/NIntegrate\\\", ButtonNote -> \\\"NIntegrate::ncvb\
\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5496488879299183`*^9, 3.549649177186842*^9, {3.5496496306172385`*^9, 
   3.5496496582760873`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ntherm2ndOrder = \"\>", "\[InvisibleSpace]", 
   "2.8715840319451573`*^6"}],
  SequenceForm["Ntherm2ndOrder = ", 2.8715840319451573`*^6],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.549649658291687*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"n2ndOrder(rCutOff) = \"\>", "\[InvisibleSpace]", 
   "2.0350492071985125`*^13", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["n2ndOrder(rCutOff) = ", 2.0350492071985125`*^13, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.549649658291687*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"n(rCutOff) = \"\>", "\[InvisibleSpace]", 
   "1.5043691681371658`*^13", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["n(rCutOff) = ", 1.5043691681371658`*^13, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.549649658291687*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"npeakBEC = \"\>", "\[InvisibleSpace]", 
   "1.3200243161421045`*^15", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["npeakBEC = ", 1.3200243161421045`*^15, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.549649658291687*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"depletion = \"\>", "\[InvisibleSpace]", 
   "0.019311908400786216`"}],
  SequenceForm["depletion = ", 0.019311908400786216`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.549649658307287*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"rTF = \"\>", "\[InvisibleSpace]", "5.048889160372767`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["rTF = ", 5.048889160372767, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.549649658307287*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Can", " ", "mean"}], "-", 
    RowBox[{
    "field", " ", "pressure", " ", "explain", " ", "dependence", " ", "of", 
     " ", "BEC", " ", "size", " ", "on", " ", "reservoir", " ", 
     RowBox[{"density", "?"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "here", " ", "we", " ", "use", " ", "tables", " ", "to", " ", "represent", 
    " ", "the", " ", "density", " ", "distributions"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kB", "=", 
     RowBox[{"1.3806503", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "23"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"0.052917721086", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hbar", "=", 
     RowBox[{"1.05457148", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"2", "*", "Pi", "*", "hbar"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"massunit", "=", 
     RowBox[{"1.66053886", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", "=", 
     RowBox[{"88", "*", "massunit"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Omega", "=", 
     RowBox[{"2", "*", "Pi", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"630", "*", "245", "*", "245"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "3"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"124", "a0"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g", "=", 
     RowBox[{"4", "*", "Pi", "*", 
      RowBox[{"hbar", "^", "2"}], "*", 
      RowBox[{"a", "/", "m"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPot", "=", 
     RowBox[{"600", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}], "*", "kB"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"1000", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UpotDimple", "=", "3"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dimplewaist", "=", 
     RowBox[{"20", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UpotReservoir", "=", "5"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"reservoirwaist", "=", 
     RowBox[{"200", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rCutOff", "=", 
     RowBox[{"2", "*", "reservoirwaist"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "semiclassical", " ", "Bose", " ", "distribution", " ", "of", " ", 
     "atoms", " ", "in", " ", "excited", " ", "states", " ", "in", " ", 
     "presence", " ", "of", " ", "BEC", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"for", " ", "T"}], "<", "Tc"}], ")"}], " ", "including", " ", 
     "BEC", " ", "mean", " ", "field"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HarmonicPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"0.5", "*", "m", "*", 
      RowBox[{"Omega", "^", "2"}], "*", 
      RowBox[{"r", "^", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DimpleGaussPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"UpotDimple", "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "2"}], 
          RowBox[{
           RowBox[{"r", "^", "2"}], "/", 
           RowBox[{"dimplewaist", "^", "2"}]}]}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ReservoirGaussPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"UpotReservoir", "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "2"}], 
          RowBox[{
           RowBox[{"r", "^", "2"}], "/", 
           RowBox[{"reservoirwaist", "^", "2"}]}]}], "]"}]}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Potential", "[", "r_", "]"}], ":=", 
     RowBox[{
      RowBox[{"DimpleGaussPotential", "[", "r", "]"}], "+", 
      RowBox[{"ReservoirGaussPotential", "[", "r", "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rTableEntries", "=", "5000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Potential", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"i", "-", "1"}], ")"}], "*", 
         RowBox[{"rCutOff", "/", "rTableEntries"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
    "potential", " ", "has", " ", "to", " ", "be", " ", "0", " ", "at", " ", 
     "lowest", " ", 
     RowBox[{"point", "!"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialWiththermalmeanfieldTable", "=", "PotentialTable"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MinChemPot", "=", "0.35"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxChemPot", "=", "0.46"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MinT", "=", 
     RowBox[{"900", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxT", "=", 
     RowBox[{"1000", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NrChemPot", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NthemalTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DensityEdgeTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPotTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TemperatureTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECvsEdgeDensityTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECvsNtotTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECvsChemPot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TvsNtot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"ChemPotNr", "=", "1"}], ",", 
     RowBox[{"ChemPotNr", "<=", "NrChemPot"}], ",", 
     RowBox[{"ChemPotNr", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ChemPot", "=", 
       RowBox[{"MinChemPot", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"MaxChemPot", "-", "MinChemPot"}], ")"}], "*", 
         RowBox[{"ChemPotNr", "/", "NrChemPot"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ChemPotTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "ChemPot"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Temperature", "=", 
       RowBox[{"MinT", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"MaxT", "-", "MinT"}], ")"}], "*", 
         RowBox[{"ChemPotNr", "/", "NrChemPot"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TemperatureTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "Temperature"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"to", " ", "gain", " ", "speed"}], ",", " ", 
        RowBox[{
        "we", " ", "store", " ", "PolyLog", " ", "as", " ", "interpolating", 
         " ", 
         RowBox[{"function", ".", " ", "This"}], " ", "calculation", " ", 
         "has", " ", "to", " ", "be", " ", "executed", " ", "only", " ", "if",
          " ", "T", " ", "or", " ", "maximum", " ", "potential", " ", "depth",
          " ", "changes"}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"DeepestPotential", "=", 
       RowBox[{"1.1", "*", 
        RowBox[{"(", 
         RowBox[{"UpotDimple", "+", "UpotReservoir"}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"DeBroglieWavelength", "=", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"2", "*", "Pi", "*", 
         RowBox[{
          RowBox[{"hbar", "^", "2"}], "/", 
          RowBox[{"(", 
           RowBox[{"m", "*", "kB", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"densityInDependenceOfPotential", "[", "U_", "]"}], ":=", " ", 
       RowBox[{
        RowBox[{"PolyLog", "[", 
         RowBox[{
          RowBox[{"3", "/", "2"}], ",", 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", "U"}], "/", 
            RowBox[{"(", 
             RowBox[{"kB", " ", "*", "Temperature"}], ")"}]}], "]"}]}], "]"}],
         "/", 
        RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"UTableEntries", "=", "1000"}], ";", "\[IndentingNewLine]", 
      RowBox[{"densityInDependenceOfPotentialInterpolated", "=", 
       RowBox[{"Interpolation", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"U", ",", 
            RowBox[{"densityInDependenceOfPotential", "[", 
             RowBox[{"U", "*", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}], "*", "kB"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"U", ",", "0", ",", "DeepestPotential", ",", 
            RowBox[{"DeepestPotential", "/", "UTableEntries"}]}], "}"}]}], 
         "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"check", " ", "quality", " ", "of", " ", "approximation"}], 
       " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"densityInDependenceOfPotentialBoltzman", "[", "U_", "]"}], ":=",
          " ", 
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", "U"}], "/", 
            RowBox[{"(", 
             RowBox[{"kB", "*", "Temperature"}], ")"}]}], "]"}], "/", 
          RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"LogPlot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "densityInDependenceOfPotentialInterpolated", "[", "U", "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"densityInDependenceOfPotential", "[", 
             RowBox[{"U", "*", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}], "*", "kB"}], "]"}], ",", 
            RowBox[{"densityInDependenceOfPotentialBoltzman", "[", 
             RowBox[{"U", "*", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}], "*", "kB"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"U", ",", "0", ",", "DeepestPotential"}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ";"}], "*)"}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"BECdensityTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"thermaldensityTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"PotentialWiththermalmeanfieldTable", "=", "PotentialTable"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"BECdensity", "[", "k_", "]"}], ":=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"PotentialWiththermalmeanfieldTable", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "-", "ChemPot"}], ")"}], "<", 
          "0"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"ChemPot", "-", 
            RowBox[{"PotentialWiththermalmeanfieldTable", "[", 
             RowBox[{"[", "k", "]"}], "]"}]}], ")"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"-", "6"}]}], "*", "kB"}], ")"}], "/", "g"}]}], ",", 
         "0"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"cycle", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"cycle", "=", "1"}], ",", 
          RowBox[{"cycle", "\[LessEqual]", "5"}], ",", 
          RowBox[{"cycle", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BECdensityTable", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"BECdensity", "[", "k", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"PotentialWithBECmeanfieldTable", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialTable", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"2", "*", "g", "*", 
                RowBox[{"BECdensityTable", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "*", 
                RowBox[{
                 RowBox[{"10", "^", "6"}], "/", "kB"}]}], "-", "ChemPot"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           RowBox[{"(*", " ", 
            RowBox[{
            "potential", " ", "has", " ", "to", " ", "be", " ", "0", " ", 
             "at", " ", "lowest", " ", 
             RowBox[{"point", "!"}]}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"PotentialMinimum", "=", 
            RowBox[{"Min", "[", "PotentialWithBECmeanfieldTable", "]"}]}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"PotentialWithBECmeanfieldTable", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialWithBECmeanfieldTable", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "-", "PotentialMinimum"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"thermaldensityTable", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"densityInDependenceOfPotentialInterpolated", "[", 
               RowBox[{"PotentialWithBECmeanfieldTable", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "  ", "]"}], " ", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"PotentialWiththermalmeanfieldTable", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialTable", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"2", "*", "g", "*", 
                RowBox[{"thermaldensityTable", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "*", 
                RowBox[{
                 RowBox[{"10", "^", "6"}], "/", "kB"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           RowBox[{"(*", " ", 
            RowBox[{
            "potential", " ", "has", " ", "to", " ", "be", " ", "0", " ", 
             "at", " ", "lowest", " ", 
             RowBox[{"point", "!"}]}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"PotentialMinimum", "=", 
            RowBox[{"Min", "[", "PotentialWiththermalmeanfieldTable", "]"}]}],
            ";", "\[IndentingNewLine]", 
           RowBox[{"PotentialWiththermalmeanfieldTable", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialWiththermalmeanfieldTable", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "-", "PotentialMinimum"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], 
           ";"}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"{", 
          RowBox[{
          "PotentialWiththermalmeanfieldTable", ",", 
           "PotentialWithBECmeanfieldTable"}], "}"}], "]"}], 
        "\[IndentingNewLine]", 
        RowBox[{"ListLogPlot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"BECdensityTable", ",", "thermaldensityTable"}], "}"}], 
          ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "Nthermal"}], "=", 
       "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"NBEC", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "<=", 
          RowBox[{"rTableEntries", "+", "1"}]}], ",", 
         RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"r", "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"i", "-", "1"}], ")"}], "*", 
            RowBox[{"rCutOff", "/", "rTableEntries"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Nthermal", "=", 
           RowBox[{"Nthermal", "+", 
            RowBox[{"4", "*", "Pi", "*", 
             RowBox[{"r", "^", "2"}], "*", 
             RowBox[{"thermaldensityTable", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"NBEC", "=", 
           RowBox[{"NBEC", "+", 
            RowBox[{"4", "*", "Pi", "*", 
             RowBox[{"r", "^", "2"}], "*", 
             RowBox[{"BECdensityTable", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}]}]}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
       RowBox[{"Nthermal", "=", 
        RowBox[{"Nthermal", "*", 
         RowBox[{"rCutOff", "/", 
          RowBox[{"(", 
           RowBox[{"rTableEntries", "-", "1"}], ")"}]}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"NBEC", "=", 
       RowBox[{"NBEC", "*", 
        RowBox[{"rCutOff", "/", 
         RowBox[{"(", 
          RowBox[{"rTableEntries", "-", "1"}], ")"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "NBEC"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NthemalTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "Nthermal"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"DensityEdgeTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", 
       RowBox[{
        RowBox[{"thermaldensityTable", "[", 
         RowBox[{"[", 
          RowBox[{"rTableEntries", "+", "1"}], " ", "]"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECvsEdgeDensityTable", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", 
       RowBox[{"DensityEdgeTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECvsEdgeDensityTable", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", 
       RowBox[{"NBECTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECvsNtotTable", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", 
       RowBox[{
        RowBox[{"NthemalTable", "[", 
         RowBox[{"[", "ChemPotNr", "]"}], "]"}], "+", 
        RowBox[{"NBECTable", "[", 
         RowBox[{"[", "ChemPotNr", "]"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECvsNtotTable", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", 
       RowBox[{"NBECTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECvsChemPot", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", "ChemPot"}], ";",
       "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECvsChemPot", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", 
       RowBox[{"NBECTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TvsNtot", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", 
       RowBox[{"NBECvsNtotTable", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TvsNtot", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", "Temperature"}], 
      ";"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"Print", "[", 
       RowBox[{"\"\<ChemPot = \>\"", ",", 
        RowBox[{"N", "[", "ChemPot", "]"}], ",", "\"\< \[Micro]K\>\""}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<Nthermal = \>\"", ",", "Nthermal"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<NBEC = \>\"", ",", "NBEC"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<n_thermal_edge = \>\"", ",", 
        RowBox[{
         RowBox[{"thermaldensityTable", "[", 
          RowBox[{"[", 
           RowBox[{"rTableEntries", "+", "1"}], " ", "]"}], "]"}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
     "*)"}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"{", 
     RowBox[{
     "PotentialWiththermalmeanfieldTable", ",", 
      "PotentialWithBECmeanfieldTable"}], "}"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"BECdensityTable", ",", "thermaldensityTable"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", "NBECTable", "]"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", "NthemalTable", "]"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", "DensityEdgeTable", "]"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"NBECvsEdgeDensityTable", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Max", "[", "DensityEdgeTable", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], "]"}],
    "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"NBECvsNtotTable", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{
           RowBox[{"Max", "[", "NthemalTable", "]"}], "+", 
           RowBox[{"Max", "[", "NBECTable", "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], "]"}],
    "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"NBECvsChemPot", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Max", "[", "ChemPotTable", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], "]"}],
    "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"TvsNtot", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{
           RowBox[{"Max", "[", "NthemalTable", "]"}], "+", 
           RowBox[{"Max", "[", "NBECTable", "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Max", "[", "TemperatureTable", "]"}]}], "}"}]}], "}"}]}]}],
     "]"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.549628617409438*^9, 3.549628650637497*^9}, {
   3.5496286876407623`*^9, 3.5496288062477703`*^9}, {3.549629067407829*^9, 
   3.5496292028004665`*^9}, {3.5496292390237303`*^9, 
   3.5496294028396177`*^9}, {3.549629435802476*^9, 3.549629503319394*^9}, {
   3.549629537155854*^9, 3.5496298159127436`*^9}, {3.549629855490013*^9, 
   3.5496301962736115`*^9}, {3.5496302320444746`*^9, 3.54963024070249*^9}, {
   3.549630289546176*^9, 3.5496303611815014`*^9}, {3.5496304083247843`*^9, 
   3.549630441318842*^9}, {3.549630479476509*^9, 3.549630685381271*^9}, {
   3.5496307345369573`*^9, 3.5496307502773848`*^9}, {3.5496308199471073`*^9, 
   3.549630827965521*^9}, 3.5496325109951077`*^9, {3.5496326258123093`*^9, 
   3.549632685903615*^9}, {3.549632747242923*^9, 3.5496327476017237`*^9}, {
   3.5496327874285936`*^9, 3.549632843307892*^9}, {3.549632896394785*^9, 
   3.5496329093740077`*^9}, {3.5496329959541597`*^9, 
   3.5496329992145653`*^9}, {3.549633404175677*^9, 3.5496334963094387`*^9}, {
   3.5496335272598925`*^9, 3.5496335743095756`*^9}, {3.549633670608545*^9, 
   3.549633670717745*^9}, 3.5496337849111614`*^9, {3.5496366171196456`*^9, 
   3.5496369587144456`*^9}, {3.5496370094369497`*^9, 3.5496370241477757`*^9}, 
   3.549637065331848*^9, {3.549637199211283*^9, 3.5496372005528855`*^9}, {
   3.5496372353721466`*^9, 3.5496372483825693`*^9}, 3.5496372808306265`*^9, {
   3.5496373492211466`*^9, 3.54963737382239*^9}, 3.549637474224166*^9, {
   3.54964297588087*^9, 3.5496430462681932`*^9}, {3.549643100509488*^9, 
   3.5496431181843195`*^9}, {3.5496437859444923`*^9, 3.549643822869757*^9}, {
   3.5496445267322083`*^9, 3.5496446071971498`*^9}, {3.549644712762535*^9, 
   3.5496449265199256`*^9}, {3.549644979170018*^9, 3.549645007796068*^9}, {
   3.549645274431737*^9, 3.5496454318672132`*^9}, {3.5496454982141294`*^9, 
   3.5496455008661346`*^9}, {3.5496479513452587`*^9, 3.549647985337718*^9}, 
   3.5496480322626004`*^9, {3.5496480832746897`*^9, 3.5496481929584827`*^9}, {
   3.5496482443605733`*^9, 3.549648399315645*^9}, {3.5496484517629375`*^9, 
   3.549648472666974*^9}, {3.549648520122257*^9, 3.5496485332934957`*^9}, {
   3.5496485911539974`*^9, 3.5496485992348113`*^9}, {3.549648674894944*^9, 
   3.5496488006935654`*^9}, {3.5496488541090593`*^9, 3.549648881112706*^9}, {
   3.549649160337597*^9, 3.549649170884431*^9}, {3.5496496260776305`*^9, 
   3.549649651926876*^9}, {3.549807388128911*^9, 3.5498074260993776`*^9}, {
   3.549807457096632*^9, 3.549807680629425*^9}, {3.549807736477523*^9, 
   3.5498078486439357`*^9}, {3.5498081328144655`*^9, 
   3.5498082404256706`*^9}, {3.5498083672850933`*^9, 3.549808521491364*^9}, {
   3.549808554251422*^9, 3.549808885003418*^9}, {3.549808963582972*^9, 
   3.5498094727054663`*^9}, 3.549809507836728*^9, {3.5498095988185186`*^9, 
   3.5498096363833847`*^9}, {3.5498096777546577`*^9, 
   3.5498097765964313`*^9}, {3.549809816953702*^9, 3.5498099472795467`*^9}, {
   3.549809982083208*^9, 3.5498100842477875`*^9}, {3.5498101150734415`*^9, 
   3.549810507694931*^9}, {3.549811078408765*^9, 3.54981160933436*^9}, {
   3.5498117410765915`*^9, 3.5498117438533964`*^9}, {3.549811873489624*^9, 
   3.5498118844876432`*^9}, {3.5498119333469296`*^9, 3.549812154040517*^9}, {
   3.5498121906381807`*^9, 3.5498122243538437`*^9}, {3.5498122602183065`*^9, 
   3.549812359403281*^9}, {3.5498123955173445`*^9, 3.54981241282659*^9}, 
   3.549812456337866*^9, {3.5498124991435413`*^9, 3.5498124992683415`*^9}, {
   3.549812539188812*^9, 3.549812582682904*^9}, {3.5498126921631117`*^9, 
   3.549812737215991*^9}, {3.5498128485998335`*^9, 3.549812855885046*^9}, {
   3.5498128990503216`*^9, 3.5498129198607583`*^9}, {3.549812983040869*^9, 
   3.5498131190253553`*^9}, {3.549813162006246*^9, 3.5498132152959394`*^9}, {
   3.5498132532976065`*^9, 3.549813262657623*^9}, {3.549813294202094*^9, 
   3.5498133509705935`*^9}, {3.5498134106718984`*^9, 3.549813454336375*^9}, {
   3.5498134910744395`*^9, 3.549813686152998*^9}, {3.549813747243921*^9, 
   3.5498137479303217`*^9}, {3.549813820283249*^9, 3.54981383252927*^9}, {
   3.549813906630616*^9, 3.549813907410618*^9}, {3.549813967390323*^9, 
   3.5498139683263245`*^9}, {3.5498140213976183`*^9, 3.549814027310028*^9}, {
   3.5498140882475505`*^9, 3.54981410509558*^9}, {3.549814666599428*^9, 
   3.549814700794688*^9}, {3.549815065249421*^9, 3.5498150655770216`*^9}, {
   3.54987307738916*^9, 3.5498730776543603`*^9}, {3.5498734018711605`*^9, 
   3.549873408953573*^9}, {3.5498738119361277`*^9, 3.5498738160077353`*^9}, {
   3.5498743968917866`*^9, 3.549874578446121*^9}, {3.5498746824515038`*^9, 
   3.5498746827479043`*^9}, {3.54987480974896*^9, 3.5498750006781263`*^9}, {
   3.5498750451706204`*^9, 3.5498750494608436`*^9}, {3.5498751429050074`*^9, 
   3.54987514416861*^9}, {3.5498929116251755`*^9, 3.549892963713667*^9}, {
   3.5498931260451984`*^9, 3.549893130288406*^9}, {3.549893218568961*^9, 
   3.5498932213613663`*^9}, {3.5498933093135357`*^9, 3.5498933645220327`*^9}, 
   3.549894895379431*^9, {3.5498949262335005`*^9, 3.5498949312879095`*^9}, {
   3.549894964500368*^9, 3.5498951132956448`*^9}, {3.5498954520964713`*^9, 
   3.5498954758865128`*^9}, {3.549895545259835*^9, 3.549895643945608*^9}, {
   3.549895725939352*^9, 3.549895779338246*^9}, {3.5498958096022987`*^9, 
   3.5498958651383963`*^9}, {3.5498958960576506`*^9, 3.549895956446357*^9}, {
   3.54989600931485*^9, 3.5498960326212907`*^9}, {3.549896128190089*^9, 
   3.5498961490005255`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxU13dcjf8fN/AQKiGEEEJ8QymrkPGKVLKKKCNSaUhpauu0d506o3MqhIxk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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], PointBox[CompressedData["
1:eJxU12lYje3eBvBCyhChiAwhhFAyZD4jyhyVIjRPKs3ztJrnWq3WWCEqkpA5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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751910615077`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxdzXFY1X19//EzIyMjOxkZGdnJkZGRkZFxG9n39uY28ua2k5GRkZ2MjIzs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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], PointBox[CompressedData["
1:eJw013lYjO/bBvBBiCyRJfQlewghRJaTFiEJUQotiiiVNpWWad9rmqVmKLKH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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751910927076`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], 
   PointBox[{{1., 94084.94443098833}, {2., 102263.11596115599`}, {3., 
    111321.25203897522`}, {4., 120090.3543203018}, {5., 
    129287.18827378907`}, {6., 139223.65716499588`}, {7., 
    149480.75329473635`}, {8., 160573.0405963734}, {9., 172069.2772773473}, {
    10., 183639.20268195643`}, {11., 0.}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.549875191108308*^9}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], 
   PointBox[{{1., 2.0608682175100718`*^7}, {2., 2.2582216182248633`*^7}, {3., 
    2.4636035239483353`*^7}, {4., 2.675451494939514*^7}, {5., 
    2.921951427976639*^7}, {6., 3.1877729287201483`*^7}, {7., 
    3.474156585159139*^7}, {8., 3.782386626201127*^7}, {9., 
    4.07230081128025*^7}, {10., 4.4243449786746144`*^7}, {11., 0.}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.549875191123908*^9}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], 
   PointBox[{{1., 2.629424834782086*^10}, {2., 2.961601558107305*^10}, {3., 
    3.3176804300245674`*^10}, {4., 3.695929555242392*^10}, {5., 
    4.135824585055753*^10}, {6., 4.618726266611826*^10}, {7., 
    5.147895646021302*^10}, {8., 5.726764289819307*^10}, {9., 
    6.2960821244293*^10}, {10., 6.978234748284879*^10}, {11., 0.}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751911395082`*^9}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], 
   PointBox[{{2.629424834782086*^10, 94084.94443098833}, {
    2.961601558107305*^10, 102263.11596115599`}, {3.3176804300245674`*^10, 
    111321.25203897522`}, {3.695929555242392*^10, 120090.3543203018}, {
    4.135824585055753*^10, 129287.18827378907`}, {4.618726266611826*^10, 
    139223.65716499588`}, {5.147895646021302*^10, 149480.75329473635`}, {
    5.726764289819307*^10, 160573.0405963734}, {6.2960821244293*^10, 
    172069.2772773473}, {6.978234748284879*^10, 183639.20268195643`}, {0., 
    0.}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  PlotRange->{{0, 6.978234748284879*^10}, {0, 183639.20268195643`}},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751911707077`*^9}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], 
   PointBox[{{2.0702767119531706`*^7, 94084.94443098833}, {
    2.268447929820979*^7, 102263.11596115599`}, {2.4747356491522327`*^7, 
    111321.25203897522`}, {2.687460530371544*^7, 120090.3543203018}, {
    2.9348801468040176`*^7, 129287.18827378907`}, {3.2016952944366477`*^7, 
    139223.65716499588`}, {3.489104660488613*^7, 149480.75329473635`}, {
    3.798443930260764*^7, 160573.0405963734}, {4.089507739007985*^7, 
    172069.2772773473}, {4.44270889894281*^7, 183639.20268195643`}, {0., 
    0.}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  ImageSize->{534., Automatic},
  PlotRange->{{0, 4.44270889894281*^7}, {0, 183639.20268195643`}},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.549875191186308*^9}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], 
   PointBox[{{0.361, 94084.94443098833}, {0.372, 102263.11596115599`}, {0.383,
     111321.25203897522`}, {0.394, 120090.3543203018}, {0.405, 
    129287.18827378907`}, {0.416, 139223.65716499588`}, {0.427, 
    149480.75329473635`}, {0.438, 160573.0405963734}, {0.449, 
    172069.2772773473}, {0.46, 183639.20268195643`}, {0., 0.}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  PlotRange->{{0, 0.46}, {0, 183639.20268195643`}},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.549875191201908*^9}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], 
   PointBox[{{2.0702767119531706`*^7, 9.1*^-7}, {2.268447929820979*^7, 
    9.2*^-7}, {2.4747356491522327`*^7, 9.3*^-7}, {2.687460530371544*^7, 
    9.4*^-7}, {2.9348801468040176`*^7, 9.5*^-7}, {3.2016952944366477`*^7, 
    9.6*^-7}, {3.489104660488613*^7, 9.7*^-7}, {3.798443930260764*^7, 
    9.8*^-7}, {4.089507739007985*^7, 9.9*^-7}, {4.44270889894281*^7, 
    1.*^-6}, {0., 0.}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  ImageSize->{541., Automatic},
  PlotRange->NCache[{{0, 4.44270889894281*^7}, {0, 
      Rational[1, 1000000]}}, {{0, 4.44270889894281*^7}, {0, 1.*^-6}}],
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751912175083`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"NBECvsNtotTable900nK", ",", "NBECvsNtotTable1000nK"}], "}"}], 
    ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          RowBox[{"Max", "[", "NthemalTable", "]"}], "+", 
          RowBox[{"Max", "[", "NBECTable", "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.5498730638471203`*^9, 3.5498730668423257`*^9}, {
  3.54987335917667*^9, 3.549873389531539*^9}, {3.549873713325924*^9, 
  3.5498737897204733`*^9}, {3.549874221890464*^9, 3.549874222998066*^9}, {
  3.549875019976576*^9, 3.549875025561386*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxdk2tMUwcYhks7FIadgDVcCpiiCE6BiHabSsb3bdWYCqKQSaAYpEgceE7P
aU+ZiYKiaSp26rRSr4gV8NJAppZJvRGJCi2ttyCsYS1ICeE2LusQXUHGXLLt
x57kzZsnef++AimVls9msVirPuTvLniXqkrgE8j6h93/c2PNLY02nMDZRYbD
YeOvklqCEubyognkK1m3R6o/hlnRo/rP4gi825tV9WI6FjasvWEUIYHtvHlJ
/V+KwRJKnHyQRaD9YcDWCcsOWBbBW1G3l0CmRqNfdEwO59t+/DrqMoGZ3Sea
rdtKgaku5CQ+J/BPYXBlypAGdFOtYwFsEtcfWLq/ILkcHCFDC76PILHZ1ZC+
J6YSRvsEmsvZJFapazKu8a9As900unM/iaFDm63DUAd888It/mYSG66339pn
NsL447nCpDESx6Q2Y5nFBKfP6u3tKEPNTG1rZEsjOKTWkUqZDKNtJYNrSx7B
8LfCVMlFGX4SMp1TKm6BTkHmwTAWhfucFQlVdisEbzREPlxNYXaLjqtjvwRV
/jy+bDeFga9De9ffb4MlKh9xdA2FQY87TtC6DviuKCVPxaXRLahY4grshKuX
Yt77xdL42+8ZzVSHE6aabAdupNBof+KKWVPYA3rp8hyKojEySvb86pFeeO1b
x/9GS2Pd0SKlorsPwqJzS3IbaAwOTDX5bx+A5Tc53loHjZd8qnWn3EPwLG7z
GY+XHNnH1fI86wjYAqoyTy+TYxzhcJ9/NQ5K/b2fiDQ51k4evr9L7YbO1esy
DhXL0a9gUPcgcQJYTqPBeU2ObwVLX7ZxJ2EL7wdDabscB1y5rWbPW1i4+Nc0
hq3AeFvQ2TMsD5jSzY3mlQr0Cvf9hfP5NNS6r3NJqQKP5a87bimegQWiow66
XIHpUudXEV2zIOnq4TjMCkxmAmaHY73wqYOymd4rsEiTZ0g/yEb/+CnPTAKD
FXOGd2zq4qD3H43KO4UMvpv/NPsLkTeqVZ/qPdUMlp3MH/y5aQ4W7wwZsHR/
2Atc3eVRPlifrH1j72FwJZ19W3LPF4+oxavIcCWG9VM9ZJkfbiDieYckSkw8
J0rjSrhYIdYKF19QIvNRVq1WOP+/H/zLX24mb7E=
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], PointBox[CompressedData["
1:eJxdk/tPkwcYRjt0gDZqnMKY1jsGQfFCh2Wzs+8rIjBBbjF1YDE6NDpGYWBS
G9Hv1gZEQCwWixtYJdioYLUgn4guxrWgZhWGwdWFMmwZsw1pUYFBpaJLtv2w
kzw5ef6As2xfbup+Hw6Hw3+/v53y+2r7OjmBnH9I+99nAoQC1VECayNmQsNn
bSJ9++7GkwSBrmhzhjR+VKQyZRp4SgKLpA6EYwtAcEbt8FMTGLMhz1NAfg5S
iXc4/SqB2mxTcpkrBSwDU+2uWwTW3fFf+ZP+axBXdyx4aSFQuu7b4fq2ApCH
cffKpwj8ZXriEc13FFAZgkcJgSSqbKGt57pPguc839qznMQrzw9rWIEayvWR
+7/ZTGKxv15M3aqFp5K9S4lEEtXe9HLNp/UgM1b+wZeSqL/5dizicgNwD5T7
2gkS2cisL6xVBrhxIkhjqSdxsJQTvaOHhVksT8e/TaLHduqxdeAuPDH1z5Z3
kphs74o6KroPv840DV+eJLEpjL92Y1w7DIVrpex8Cu84vbJFzx7BubYJJxtO
oco1l/tzRSd0h57WX4ulkGuH3cGSbogZfJiffpzCQ/k7KjTHeyCbl9YI31Mo
TNrz6u6gBWo8WwLDWykMEipK2Au9sG25ZJJnoVC8wrBkk7AfCldvTwscp/Ar
0eFxQ5INIn10NxZ9QmOIeTx6z9kBSAqR3eRvotGPsGl9PvgTmnt5JRmZNA6z
ko3iUgdsjdhsqqFp/HI07sLTXUOwPq7jhUdHY35AtU6d5oY1O7dwZI9pzMLU
59dEL0GaEfhXwBiNJe4J63XXK2h+u7CobzGDdRFVL1LvjYAgRbutK47BLPF0
b+6lMbjiG6QYLWDwYGhMzpumcTgV9VqepGXQEVI540y/B64HJzb0mhnsYlcV
5y/0QstKuuPqJIPJfUaOk5kCq6ruQcsaBdoKo0LDvBys8+R1+mUqsE+WeHFf
rA++fuIeulShwCbG/lGrbho+WxoyUmlUYO4P5jnZ8z7ExcWzfzRPKDDP+Vty
jdwXy4qPDEjXK7HU2OxUuf3QSMgsORuU6O8WchsLZ2BQQU5AySElVraUGeIT
uHg7du3HoxeVOFJodBTNmfVfB//yDtGif20=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  ImageSize->{552., Automatic},
  PlotRange->{{0, 4.5375138897597745`*^7}, {0, 238064.98914430256`}},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.549873718083932*^9, 3.5498737449471793`*^9}, 
   3.5498737926064787`*^9, 3.54987422549407*^9}],

Cell[BoxData["1.4735764134761529`*^7"], "Output",
 CellChangeTimes->{{3.549873718083932*^9, 3.5498737449471793`*^9}, 
   3.5498737926064787`*^9, 3.5498742255096703`*^9}],

Cell[BoxData["3.3002238198211018`*^7"], "Output",
 CellChangeTimes->{{3.549873718083932*^9, 3.5498737449471793`*^9}, 
   3.5498737926064787`*^9, 3.5498742255096703`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
   "PotentialWiththermalmeanfieldTable", ",", 
    "PotentialWithBECmeanfieldTable"}], "}"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"BECdensityTable", ",", "thermaldensityTable"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "300"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"10", "^", "21"}]}], "}"}]}], "}"}]}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"NBECvsNtotTable", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"Max", "[", "NthemalTable", "]"}], "+", 
         RowBox[{"Max", "[", "NBECTable", "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"TvsNtot", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"Max", "[", "NthemalTable", "]"}], "+", 
         RowBox[{"Max", "[", "NBECTable", "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"Max", "[", "TemperatureTable", "]"}]}], "}"}]}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.5498754076017523`*^9, 3.5498754127849617`*^9}, {
  3.549877581541589*^9, 3.549877607344034*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxU13dcjf8fN/AQKiGEEEJ8QymrkPGKVLKKKCNSaUhpauu0d506o3MqhIxk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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], PointBox[CompressedData["
1:eJxU12lYje3eBvBCyhChiAwhhFAyZD4jyhyVIjRPKs3ztJrnWq3WWCEqkpA5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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.54987757644038*^9, 3.5498776077184353`*^9}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxdzXFY1X19//EzIyMjOxkZGdnJkZGRkZFxG9n39uY28ua2k5GRkZ2MjIzs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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], PointBox[CompressedData["
1:eJw013lYjO/bBvBBiCyRJfQlewghRJaTFiEJUQotiiiVNpWWad9rmqVmKLKH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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRange->
   NCache[{{0, 300}, {0, 1000000000000000000000}}, {{0, 300}, {0, 1.*^21}}],
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.54987757644038*^9, 3.5498776077496347`*^9}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\
eJzNXGtsXEcVHu+9d9fvR5wmceI6jrHXcRLbbUIaYRqcqKRpBJUIUdT+KFJM
xZL8IKFuWvoDEKiI/miCFiklNCmtkEyjyEKtVFikqrQSFVUqJKpIiEQsUGQR
VbwhPEJakmXneWfunDNz195NY8XX3rnzne87Z87MPffOde6dOXrwM5+bOXro
wZnB3bMznz946MGHB+8+MlttCpoIaTpICLk4SOjvleqv4lCp/qscogfaAv8+
wn4EpFQg7GuqWCYTrC0k5eIUkV+FUiUDdB1jbc2qrdpIypxY7wdBR1lbZEEp
a4Y1ZCkr65Uwl2cNLTE0FpnsSiBqjs+C+Cq9h31UhCdGT5FiGQwP3kaGhfsV
eq5QEiTMErmNfcpVPxdIiQoA+qxnnzqrxzIpTol+SF+gLS+U6fAwBW1e0NJR
ot5UKiVSpD9roQ2T8CC1wx1ccUGkWTpW0mTGnLKrwa12p0pkzMvFAoNAfbCY
Q32BNlfMXbSjwvNysVgrpcAGBjZI7WoHG6AC4VrTciaizcfD7DIp1o1KuVid
Pdw80A8LOGQSaIMCHqRjHtX9V9mUilXFXMdmaqHtjJfe2qhT5Pk4+9QqhDAK
V1LVJeWBVaoW9nY1j1OyJmE1sXWw7sVSbfMsEXloEZqQV61ifI3EVuwGrO6Z
Guh5VdClrRp0FcDXV9xGM2yD9uM6Mo6I5YWMSrksJFdNTC1q6YfqHHMRUhdy
NeFEv/XimsWDqbIo7fU+74J7yWM0jZ6zoHKTA3Avuax04m41kYtKBys9BwEI
O383P7/WkRms3y6zHzQtoX7QWsquCrQTmaKHZr9lfh0JRKXNz+WAtuY69+O8
2XvePLdw/tMH5hf275u78KkHztI+9HMLbeAQ+hv7lGPHrN5GIcefOvEGhUQo
xGwL2THSobSFqcNpQ9qmYyDTUFuGt+lQEqTEZmOsDIxD4s0SGaH674/sOUZP
VZ7e/hBpZsdAfhaf2PGdb3/icdWWAfrl3G0qpbL++fZ+ZfuN4LiZtDSQ47G3
5l5hgx+xY3juhc8WZVrQ8y3+DKIQMCOhTBNZev3U9tl6Zil01QgBz29fQhu/
FwxYxOREFNL1qJEVgIvLTXfoORmy66c+Mrswt++r9Ju0s2Nw4ewDTxx/48SL
5+cPPElWxG1KDx9BeU9hyPyxJlPS9wCSugH6jJtetWXjtgMXS29q4QElvQhI
ioDILWPHrC5Jp+0GWO/HWc8ArJ1AIAIgEG0A1RGc6jmAqgswGwCxDACqL+NU
J/FYXn5292OqLQvQRwDVkzjVNwGqNm726umdR6l61OwJzSyzegww1uIOkTL2
HVzjE4BZaGJlALNzuNk7hNnvzb1Vmd7+9Mnjx14ne1hbpFOp5S9rZ67MXko3
72V6+779z1OmK7vueobswsdYZi5lAmP1gpeKFomvHTn80oEflS6SnQBVwhmZ
ra+9dPgpSvNDnOELqPAoOamZ4JdxU0cBU6HD1Ku4qYdQU6HuIzXzE9zK4fRW
fppMfnHlOvn6sXllb8a0x9IIsXfOUpWcQsYymgXY9gHqM3Kc45TSWX9msaoZ
z9f/8N3qKiCtUSudAPHHAGK+4obXTk3P6on1czz4/DIf3bNw7gIVAV2MdDFy
CTCUQLMqAwf8PK6kR0wioURfswwFEaBgB6qALVYql3+B0680AyGnAaUGx/3D
KSl/iVOuYcdQp6R0fBCj907veFhfDhn7tpSsF3HWAdtRCvvTdz/+RTC2rcCK
PZxSxq9wGUOw8yGgoBlYyYdSKvg1rmDETDg20gFAnwNW98GU9L9NLlijKUl5
v1zymmgY/x3u21hMc+WZux7V9Rk0wyloFnCaDYA3EA0frWyShq5TlOL3OMOm
OFulI2oyrDPFyyrNEH8JNz3uMD0Ax4VWZ3JRJe/gpiccpvvdsfgDt6rv1Iov
+kgsIxdt+ohQ2/wVDxHkbotnf7gLkDwZz0cpufrzkTW2Wj2+f1Rq6c/kLiWX
Ix5o0kcc/Ce/f2whaZ62dwJSxd4hlfqbM/d9TUbWWKFW8BHQdcsIkz9z0fIZ
qr5XJ25tuRQRPEwu9JgSkstvebNvP7//cRlVfSlb7s6Hv5hi9U0uHl7tCZKW
FAEiGnoay0Szx2M8slk9sj/4/qPPyWWv1y31r1yqeGQaPzyWw8tHX3kik6Ii
07o1VYirbQFL5Ah8ASECRmCzuIBoI0CAsOuJ/TeV2NCGShs7254qg7V2tfmi
uS67QQ9VNsdzUk/0ZY7c/ofQbe1BtKn89m6rqD3bamMB35iDFG8BIt3jkHuZ
y+VrYk5tlsmtcpk2BeSp05b4+qOW5W4H3T8TdI59Tojug7xNmmbLeaeD7l+c
rk9kt5lJImvsVHAwG3HlzKFsk6z/1knRnSy5441NGR7ZkK2p92//xqVv7f06
Nd4hmoW3l+b2foU2/4egl0KZEXrxlrAiPbrisxLJGmz+7JfOqBFodYyAbpJZ
3AoEshUO5H9xOVuBvGuBQ3MVt7IDDsO7XkRSqQMxDat6D0eIxdK4mrbASv/n
tWIMewus3mslZ5Te1RZjAoawh9dwq/LJkJ4DIdB23WvCSIAAFqJbYUbuBKgq
ONWdAJWj++3A8OWAdYv1bvLaMQYwhyn32zGGMIe55LDzIcyHwIux9foxtjYH
hh2nk+MstzX0kYgwL0Lc+m3ASESYZ347xkhEmLcOO5a3dT4/CcSNneGXDYIX
kI27LzKj71PToPueSWAAdSnV0dReIVaX90bc0+hjSI3JSlF3tE43JpF22bbn
TRRrYEaqBrkGeReijwv71k837I5jGzY/Tb2qOCuU2llDw28pJoDJlcUWgQhP
8VaZ4g29nZjAJh/PyUXfN0xgMylpt8YbBH1a1KHqt80tup73Lbrj2KLb5cXY
o6NjGGQci7fD+lIvI5swj7q9GNsjP8b2zYFZqm8bMd96kpHfiHnU47Vue+TA
LNWjDZhHy7wY2zc/xvbNgVmqb2OYb73J0RrDPOr1Wrc9cmB8itdjipd7MbZ2
P8bWLjDqsi4WvMRlva6FnlHSREa1JJf/BtV1CWbHxaauNdwoNsi3GFL4A30e
vvhyXqfiDpZk51AsSX85Wv6BgVH9N77WY4/K81jqSqmB4qBAXqI3vLzTUwkq
DW5M2ZbHMovvyiy6bMtj6ZG0W2PZho6lsHtzlXIjWHRX4gvtCBY5P8aOio7h
L81ozkGWhjHFq7wYW7EfYyt2YHzaP4Bp7/NibO1+jK3dgRnCtK32YmxtOoZB
hjBFDuu+aA5iivu9GFuxH2Nrd2DWYtpu9WJsbX6Mrc2B8cV1ANM+kBzVAUzx
gNe6rdiBuRVTtNaLsbX5MbY2B6Yf08bThr/OUNYepgFlRl1rz37McU2QVijI
oqJB9Wg/FlI9PPI1hHhTvBE16hpspNYJKWHsGWE1Zl2fPbJKbzU2OOvMcKg/
M35filI4cPYYaqKNyoVH4Aa92LAaG9YheAKK8bsx1Ss63kLcYqtXUfZJpy99
cu8cHRbQdI0FbB8mmVcV9Shg+7CEMigWXdSuwjJiGF/GV2Fe+zG2GzqGQVZi
ikZw6ysxRQ7MCkdaeGEAVR7H3OKg8sIAqlEvxo6zA7Mci/h6L8bW5sD0OsKg
wxiqFyMYwwmWOQi8MIBqA47pcVA5YN0mTNKxkxu9MKnw2o7pU4rNAetyiNzk
gwHxGMcxnQ4qHcZQHY4oTOAcHY4oOGDtDmmTOKzNIdLxp4HyrSgNJoUSH7bF
h+UvdcjXfpMFb+PqZP7iSFYKu7xn97PWCGwW2uQOqypkxItC9a6Ws6Ym+n31
oztPy1WPddqCaRKXwrrWzJFv9La6I9SYR7uhT9UdmKpG7ORnrUJaRJ+xs1cO
zCG10mwbJneRG/mBzAQNJt8W0nSQiB2DOHbURFKQUR7X/OZvzqiaE+5xst2c
TPwtQ+I/uVF9wa7GW+Fg1z6RamC16lAjcYkSVMMo5w0c+138Lymk6f/jTbu2
\
\>"]],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], 
   PointBox[{{2.0702767119531706`*^7, 94084.94443098833}, {
    2.268447929820979*^7, 102263.11596115599`}, {2.4747356491522327`*^7, 
    111321.25203897522`}, {2.687460530371544*^7, 120090.3543203018}, {
    2.9348801468040176`*^7, 129287.18827378907`}, {3.2016952944366477`*^7, 
    139223.65716499588`}, {3.489104660488613*^7, 149480.75329473635`}, {
    3.798443930260764*^7, 160573.0405963734}, {4.089507739007985*^7, 
    172069.2772773473}, {4.44270889894281*^7, 183639.20268195643`}, {0., 
    0.}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  PlotRange->{{0, 4.44270889894281*^7}, {0, 183639.20268195643`}},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.54987757644038*^9, 3.549877607765235*^9}}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], 
   PointBox[{{2.0702767119531706`*^7, 9.1*^-7}, {2.268447929820979*^7, 
    9.2*^-7}, {2.4747356491522327`*^7, 9.3*^-7}, {2.687460530371544*^7, 
    9.4*^-7}, {2.9348801468040176`*^7, 9.5*^-7}, {3.2016952944366477`*^7, 
    9.6*^-7}, {3.489104660488613*^7, 9.7*^-7}, {3.798443930260764*^7, 
    9.8*^-7}, {4.089507739007985*^7, 9.9*^-7}, {4.44270889894281*^7, 
    1.*^-6}, {0., 0.}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  PlotRange->NCache[{{0, 4.44270889894281*^7}, {0, 
      Rational[1, 1000000]}}, {{0, 4.44270889894281*^7}, {0, 1.*^-6}}],
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.54987757644038*^9, 3.549877607780835*^9}}]
}, Open  ]],

Cell[BoxData[" "], "Input",
 CellChangeTimes->{3.5498776499285574`*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ListPlot", "[", "NBECTable", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", "ChemPotTable", "]"}], "\[IndentingNewLine]", 
 RowBox[{"NBECTable", "[", 
  RowBox[{"[", "35", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ChemPotTable", "[", 
  RowBox[{"[", "35", "]"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.549874607867773*^9, 3.5498746588642626`*^9}, {
  3.5498747032619405`*^9, 3.549874711656971*^9}, {3.5498747939617324`*^9, 
  3.5498748312772136`*^9}}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxVzmtI01EYx/F/ZjkbYVeQLnSzdCMsN51TZ/vNObdF6lov1k0EW1BYm03B
olWKgWKzRNNWlGhiUliLrfonKkRZL6KVCUZFE51ibcS2RGUt1o09b3zgcPjw
PQeeTSVG7dEohmGE/87/OzIBKTN/MJ8ctAmWoCejj94tg0/uPGRQz5JXodbg
keHcGvoXD0VKWai8KpO8Du2lLzUNvr3kjejs52x9YTtC3gzDjhOBrr5ycgLe
R+eftp6qJm9Dk5vXe2P4EjkJ98YrrGx6C5mPOo5NV/20jbwdLeGDl62pXeRk
2B7/nhPc7SHvBJumz3a12skpmLIw8oIRlixAyH3lrWtygCyEZmJIfFb6nJwK
B1+YLFK9Iqeh3xuuXP/pNVmEJt9y7pvGd+R0cCdwOKFomCzGcVNBo/X8CDkD
ksLi6YGpj+RMxEsu1rMdX8hZ0G2xb8iSjJElOCCtCNoL3eRsJDqD8uJrk+Rd
iLngbo9a8JUsRYAtEuksHjKwe1bV8WH/94irANPq690t+/zUZdDLtOMPpD+o
y1Dv/+l66JumnoNOQes37bMZ6jnQ66LDxjtz1OU4xlOc/OUIUpfDk9gce3Us
RD0XQ2xSnWltmHouNKODjLfmD3UF3GYxjx9mZJGuwGhl/u0SZVTETB4cNRMr
ersXUs+D8aYzrnTlIupKlHk/a26dWUxdCcvgI2+TP4a6Chy/hHvfHEtdheYn
DXb1Hi51NWbMg57auKXU1bQXw/wF7KLdWg==
    "]]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{
  3.549874349857704*^9, 3.5498746137489834`*^9, {3.549874644278237*^9, 
   3.5498746592074633`*^9}, {3.549874705321144*^9, 3.5498747121093717`*^9}, {
   3.549874796566937*^9, 3.549874831651614*^9}}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJw10TtIQnEUx/FLUzg13KEh7EGERURl7zKPbxt1dgpqzVZb7pCzS0sNLbq0
CEGQQURl0QON3rd3OdfQYnP+/379g8jn/rznnP+xc34pvtBkGIa79lHf9fPr
XTHzkUpq1csDqXsNN0vBmf6OFTZxC3kOm7Kxrs4WbuX3edwmPzH1ZBt38P4O
7hKHnU16HLu4m3p7uEd6E5njqmsfu6h/gPskV3vbzh7ifvod4QFx61PEg/Q/
wUNSrLpqHU7xMPOcYbfEdcNzPMJ8F3hUKilV8BKPMW8Jj8uyGi9ZxhPMf4Un
pf59jae4T8PTEtUNbvAM92vYI6pbInOLZ7nvHfaKvo7dsHD/+7otkXY1jvOB
3Mc+sOWTRX0eyf3sxyb3i6pm5rERYF9P5AH5U+Wq2Aiyv2fyoOj1eF7IQ+wT
WyHR46VfycPs9408LOWSOtiIsO938ojo65of5FH2j62o6HKJT/I5/o8v8oYN
4x8xxOJo
    "]]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{
  3.549874349857704*^9, 3.5498746137489834`*^9, {3.549874644278237*^9, 
   3.5498746592074633`*^9}, {3.549874705321144*^9, 3.5498747121093717`*^9}, {
   3.549874796566937*^9, 3.549874831698414*^9}}],

Cell[BoxData["77547.05419343538`"], "Output",
 CellChangeTimes->{
  3.549874349857704*^9, 3.5498746137489834`*^9, {3.549874644278237*^9, 
   3.5498746592074633`*^9}, {3.549874705321144*^9, 3.5498747121093717`*^9}, {
   3.549874796566937*^9, 3.549874831698414*^9}}],

Cell[BoxData["0.35`"], "Output",
 CellChangeTimes->{
  3.549874349857704*^9, 3.5498746137489834`*^9, {3.549874644278237*^9, 
   3.5498746592074633`*^9}, {3.549874705321144*^9, 3.5498747121093717`*^9}, {
   3.549874796566937*^9, 3.549874831698414*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"self", "-", 
     RowBox[{"consistent", " ", "mean"}], "-", "field"}], ",", " ", 
    RowBox[{"T", " ", "dependence", " ", "and", " ", "real", " ", 
     RowBox[{"potential", "!"}]}]}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "here", " ", "we", " ", "use", " ", "tables", " ", "to", " ", "represent", 
    " ", "the", " ", "density", " ", "distributions"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kB", "=", 
     RowBox[{"1.3806503", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "23"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"0.052917721086", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hbar", "=", 
     RowBox[{"1.05457148", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"2", "*", "Pi", "*", "hbar"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"massunit", "=", 
     RowBox[{"1.66053886", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", "=", 
     RowBox[{"84", "*", "massunit"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Omega", "=", 
     RowBox[{"2", "*", "Pi", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"630", "*", "245", "*", "245"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "3"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"122.7", "a0"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gcouple", "=", 
     RowBox[{"4", "*", "Pi", "*", 
      RowBox[{"hbar", "^", "2"}], "*", 
      RowBox[{"a", "/", "m"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPot", "=", 
     RowBox[{"600", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}], "*", "kB"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"1000", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UTotal", "=", 
     RowBox[{
      RowBox[{"-", "1.1"}], "*", 
      RowBox[{"Potential", "[", 
       RowBox[{
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UpotDimple", "=", "3"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dimplewaist", "=", 
     RowBox[{"20", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UpotReservoir", "=", "5"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"reservoirwaist", "=", 
     RowBox[{"200", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rCutOff", "=", 
     RowBox[{"2", "*", "reservoirwaist"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "semiclassical", " ", "Bose", " ", "distribution", " ", "of", " ", 
     "atoms", " ", "in", " ", "excited", " ", "states", " ", "in", " ", 
     "presence", " ", "of", " ", "BEC", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"for", " ", "T"}], "<", "Tc"}], ")"}], " ", "including", " ", 
     "BEC", " ", "mean", " ", "field"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HarmonicPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"0.5", "*", "m", "*", 
      RowBox[{"Omega", "^", "2"}], "*", 
      RowBox[{"r", "^", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DimpleGaussPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"UpotDimple", "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "2"}], 
          RowBox[{
           RowBox[{"r", "^", "2"}], "/", 
           RowBox[{"dimplewaist", "^", "2"}]}]}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ReservoirGaussPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"UpotReservoir", "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "2"}], 
          RowBox[{
           RowBox[{"r", "^", "2"}], "/", 
           RowBox[{"reservoirwaist", "^", "2"}]}]}], "]"}]}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Potential", "[", "r_", "]"}], ":=", 
     RowBox[{
      RowBox[{"DimpleGaussPotential", "[", "r", "]"}], "+", 
      RowBox[{"ReservoirGaussPotential", "[", "r", "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"LinearPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"UTotal", "*", 
      RowBox[{"r", "/", "rCutOff"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Potential", "[", "r_", "]"}], ":=", 
     RowBox[{"LinearPotential", "[", "r", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rTableEntries", "=", "5000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Potential", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"i", "-", "1"}], ")"}], "*", 
         RowBox[{"rCutOff", "/", "rTableEntries"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
    "potential", " ", "has", " ", "to", " ", "be", " ", "0", " ", "at", " ", 
     "lowest", " ", 
     RowBox[{"point", "!"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialWiththermalmeanfieldTable", "=", "PotentialTable"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Parameters", " ", "for", " ", "S42", " ", "of", " ", "19.3", ".2012"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MinChemPot", "=", "0.478167"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxChemPot", "=", "0.478167"}], ";", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"MinT", "=", 
     RowBox[{"944", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxT", "=", 
     RowBox[{"944", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NrChemPot", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"MinChemPot", "=", "0.437"}], ";", 
     RowBox[{"(*", " ", 
      RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"MaxChemPot", "=", "0.335"}], ";", 
     RowBox[{"(*", " ", 
      RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"MinT", "=", 
      RowBox[{"915.5", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "9"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"MaxT", "=", 
      RowBox[{"841", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "9"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"NrChemPot", "=", "11"}], ";"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"MinChemPot", "=", "0.413"}], ";", 
     RowBox[{"(*", " ", 
      RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"MaxChemPot", "=", "0.5054"}], ";", 
     RowBox[{"(*", " ", 
      RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"MinT", "=", 
      RowBox[{"857", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "9"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"MaxT", "=", 
      RowBox[{"929.6", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "9"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"NrChemPot", "=", "11"}], ";"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NthemalTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NtotTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NDimpleTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DensityEdgeTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPotTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TemperatureTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECvsEdgeDensityTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECvsNtotTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECvsChemPot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TvsNtot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPotNr", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"ChemPotNr", "=", "1"}], ",", 
      RowBox[{"ChemPotNr", "\[LessEqual]", "NrChemPot"}], ",", 
      RowBox[{"ChemPotNr", "++"}], ","}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPot", "=", 
     RowBox[{"N", "[", 
      RowBox[{"MinChemPot", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"MaxChemPot", "-", "MinChemPot"}], ")"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"ChemPotNr", "-", "1"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"NrChemPot", "-", "1"}], ")"}]}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ChemPotTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "ChemPot"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"N", "[", 
      RowBox[{"MinT", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"MaxT", "-", "MinT"}], ")"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"ChemPotNr", "-", "1"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"NrChemPot", "-", "1"}], ")"}]}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TemperatureTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "Temperature"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"to", " ", "gain", " ", "speed"}], ",", " ", 
     RowBox[{
     "we", " ", "store", " ", "PolyLog", " ", "as", " ", "interpolating", " ", 
      RowBox[{"function", ".", " ", "This"}], " ", "calculation", " ", "has", 
      " ", "to", " ", "be", " ", "executed", " ", "only", " ", "if", " ", "T",
       " ", "or", " ", "maximum", " ", "potential", " ", "depth", " ", 
      "changes"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeepestPotential", "=", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{"UpotDimple", "+", "UpotReservoir"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeBroglieWavelength", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "Pi", "*", 
       RowBox[{
        RowBox[{"hbar", "^", "2"}], "/", 
        RowBox[{"(", 
         RowBox[{"m", "*", "kB", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"densityInDependenceOfPotential", "[", "U_", "]"}], ":=", " ", 
     RowBox[{
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "U"}], "/", 
          RowBox[{"(", 
           RowBox[{"kB", " ", "*", "Temperature"}], ")"}]}], "]"}]}], "]"}], 
      "/", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UTableEntries", "=", "5000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"densityInDependenceOfPotentialInterpolated", "=", 
     RowBox[{"Interpolation", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"U", ",", 
          RowBox[{"densityInDependenceOfPotential", "[", 
           RowBox[{"U", "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "6"}]}], "*", "kB"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"U", ",", "0", ",", "DeepestPotential", ",", 
          RowBox[{"DeepestPotential", "/", "UTableEntries"}]}], "}"}]}], 
       "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"check", " ", "quality", " ", "of", " ", "approximation"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"densityInDependenceOfPotentialBoltzman", "[", "U_", "]"}], ":=",
       " ", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "U"}], "/", 
         RowBox[{"(", 
          RowBox[{"kB", "*", "Temperature"}], ")"}]}], "]"}], "/", 
       RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"LogPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
         "densityInDependenceOfPotentialInterpolated", "[", "U", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"densityInDependenceOfPotential", "[", 
          RowBox[{"U", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", "kB"}], "]"}], ",", 
         RowBox[{"densityInDependenceOfPotentialBoltzman", "[", 
          RowBox[{"U", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", "kB"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"U", ",", "0", ",", "DeepestPotential"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"self", "-", 
      RowBox[{"consistent", " ", "mean"}], "-", 
      RowBox[{"field", ":", "\[IndentingNewLine]", 
       RowBox[{"two", " ", 
        RowBox[{"components", ":", " ", 
         RowBox[{"BEC", " ", "and", " ", "thermal", " ", 
          RowBox[{"gas", ".", " ", "BEC"}], " ", "atoms", " ", "are", " ", 
          RowBox[{"correlated", ".", " ", "Their"}], " ", "g2", " ", "is", 
          " ", "2", "x", " ", "lower", " ", "than", " ", "the", " ", "g2", 
          " ", "of", " ", "thermal", " ", "atoms"}]}]}]}]}], ",", " ", 
     RowBox[{
     "or", " ", "between", " ", "thermal", " ", "and", " ", "BEC", " ", 
      RowBox[{"atoms", ".", " ", "\[IndentingNewLine]", "BEC"}], " ", 
      RowBox[{"experiences", ":", " ", 
       RowBox[{
        RowBox[{"external", " ", "potential"}], " ", "+", " ", 
        RowBox[{"g", "*", "nBEC"}], " ", "+", " ", 
        RowBox[{
        "2", "*", "g", "*", "nThermal", "\[IndentingNewLine]", "thermal", " ", 
         RowBox[{"experiences", ":", " ", 
          RowBox[{
           RowBox[{"external", " ", "potential"}], " ", "+", " ", 
           RowBox[{"2", "*", "g", "*", "nBEC"}], " ", "+", " ", 
           RowBox[{"2", "*", "g", "*", 
            RowBox[{"nThermal", ".", "\[IndentingNewLine]", "The"}], " ", 
            "interaction", " ", "of", " ", "the", " ", "BEC", " ", "with", 
            " ", "itself", " ", "is", " ", "taken", " ", "into", " ", 
            "account", " ", "already", " ", "by", " ", "the", " ", "Thomas"}],
            "-", 
           RowBox[{"Fermi", " ", 
            RowBox[{"approximation", ".", " ", "So"}], " ", "we", " ", "can", 
            " ", "drop", " ", "the", " ", "term", " ", "g", "*", "nBEC", " ", 
            "in", " ", "the", " ", "calculation", " ", "of", " ", "the", " ", 
            "potential", " ", "taht", " ", "the", " ", "BEC", " ", 
            RowBox[{"experiences", "."}]}]}]}]}]}]}]}]}], " ", 
    "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BECdensityTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"thermaldensityTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"thermaldensityTableHelp", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialWiththermalmeanfieldTable", "=", "PotentialTable"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BECdensity", "[", "k_", "]"}], ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"PotentialWiththermalmeanfieldTable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "-", "ChemPot"}], ")"}], "<", 
        "0"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"ChemPot", "-", 
          RowBox[{"PotentialWiththermalmeanfieldTable", "[", 
           RowBox[{"[", "k", "]"}], "]"}]}], ")"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", "kB"}], ")"}], "/", "gcouple"}]}], ",",
        "0"}], "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "These", " ", "numbers", " ", "need", " ", "to", " ", "be", " ", "tuned", 
     " ", "a", " ", "bit", " ", "to", " ", "obtain", " ", "the", " ", 
     "correct", " ", "distributions", " ", "and", " ", "no", " ", "numerical",
      " ", "instability"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MinThermCycle", "=", "20"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{
      "it", " ", "is", " ", "very", " ", "importnat", " ", "to", " ", "first",
        " ", "take", " ", "the", " ", "thermal", " ", "mean"}], "-", 
      RowBox[{
      "field", " ", "on", " ", "the", " ", "BEC", " ", "into", " ", 
       "account"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"MaxThermCycle", "=", "45"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"only", " ", "then", " ", "the", " ", "thermal", " ", "mean"}], 
      "-", 
      RowBox[{
      "field", " ", "is", " ", "slowly", " ", "turned", " ", "on", " ", "to", 
       " ", "act", " ", "on", " ", "the", " ", "thermal", " ", "atoms"}]}], 
     " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"MaxCycle", "=", "46"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LastPotentialMinium", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"cycle", "=", "1"}], ",", 
     RowBox[{"cycle", "\[LessEqual]", "MaxCycle"}], ",", 
     RowBox[{"cycle", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ThermalWeight", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"ramp", " ", "on", " ", "thermal", " ", "mean"}], "-", 
         RowBox[{
         "field", " ", "interaction", " ", "with", " ", "thermal", " ", 
          "atoms", " ", "slowly"}]}], ",", " ", 
        RowBox[{
        "so", " ", "that", " ", "system", " ", "has", " ", "time", " ", "to", 
         " ", "adapt", " ", "and", " ", "does", " ", "not", " ", "produce", 
         " ", "too", " ", "many", " ", "numerical", " ", "artefacts"}]}], " ",
        "*)"}], "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"cycle", ">", "MinThermCycle"}], ",", 
        RowBox[{"ThermalWeight", "=", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"cycle", "-", "MinThermCycle"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"MaxThermCycle", "-", "MinThermCycle"}], ")"}]}], ")"}]}],
         ",", 
        RowBox[{"ThermalWeight", "=", "0"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"ThermalWeight", ">", "1"}], ",", 
        RowBox[{"ThermalWeight", "=", "1"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"BECdensityTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"BECdensity", "[", "k", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"PotentialWithBECmeanfieldTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"PotentialTable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "+", 
          RowBox[{"2", "*", "gcouple", "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"BECdensityTable", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "+", 
             RowBox[{"ThermalWeight", "*", 
              RowBox[{"thermaldensityTable", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}]}], ")"}], "*", 
           RowBox[{
            RowBox[{"10", "^", "6"}], "/", "kB"}]}], "-", "ChemPot"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"cycle", "\[Equal]", "1"}], ",", 
        RowBox[{"LastPotentialMinium", "=", 
         RowBox[{"Min", "[", "PotentialWithBECmeanfieldTable", "]"}]}]}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"PotentialMinimum", "=", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Min", "[", "PotentialWithBECmeanfieldTable", "]"}], "+", 
          "LastPotentialMinium"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"LastPotentialMinium", "=", "PotentialMinimum"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"PotentialWithBECmeanfieldTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"PotentialWithBECmeanfieldTable", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "<", "PotentialMinimum"}], ",", 
           "0", ",", 
           RowBox[{
            RowBox[{"PotentialWithBECmeanfieldTable", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "-", "PotentialMinimum"}]}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"thermaldensityTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"densityInDependenceOfPotentialInterpolated", "[", 
          RowBox[{"PotentialWithBECmeanfieldTable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "  ", "]"}], " ", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"PotentialWiththermalmeanfieldTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"PotentialTable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "+", 
          RowBox[{"2", "*", "gcouple", "*", 
           RowBox[{"thermaldensityTable", "[", 
            RowBox[{"[", "k", "]"}], "]"}], "*", 
           RowBox[{
            RowBox[{"10", "^", "6"}], "/", "kB"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      RowBox[{"(*", " ", 
       RowBox[{
       "potential", " ", "has", " ", "to", " ", "be", " ", "0", " ", "at", 
        " ", "lowest", " ", 
        RowBox[{"point", "!"}]}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"PotentialMinimum", "=", 
       RowBox[{"Min", "[", "PotentialWiththermalmeanfieldTable", "]"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"PotentialWiththermalmeanfieldTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"PotentialWiththermalmeanfieldTable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "-", "PotentialMinimum"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}]}], 
    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"{", 
     RowBox[{
     "PotentialWiththermalmeanfieldTable", ",", 
      "PotentialWithBECmeanfieldTable"}], "}"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"BECdensityTable", ",", "thermaldensityTable"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "START", "  ", "convert", " ", "from", " ", "general", " ", "linear", " ",
      "potential", " ", "to", " ", "actual", " ", "potential", " ", "used", 
     " ", "in", " ", "the", " ", "experiment"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BECDensityVsPotentialTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ThermalDensityVsPotentialTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"i", "=", "1"}], ",", 
     RowBox[{"i", "<=", 
      RowBox[{"rTableEntries", "+", "1"}]}], ",", 
     RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"r", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"i", "-", "1"}], ")"}], "*", 
        RowBox[{"rCutOff", "/", "rTableEntries"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"BECDensityVsPotentialTable", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "1"}], "]"}], "]"}], "=", 
       RowBox[{"Potential", "[", "r", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"BECDensityVsPotentialTable", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "2"}], "]"}], "]"}], "=", 
       RowBox[{"BECdensityTable", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ThermalDensityVsPotentialTable", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "1"}], "]"}], "]"}], "=", 
       RowBox[{"Potential", "[", "r", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ThermalDensityVsPotentialTable", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "2"}], "]"}], "]"}], "=", 
       RowBox[{"thermaldensityTable", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", 
    "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BECDensityVsPotentialInterpolated", "=", 
     RowBox[{"Interpolation", "[", "BECDensityVsPotentialTable", "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ThermalDensityVsPotentialInterpolated", "=", 
     RowBox[{"Interpolation", "[", "ThermalDensityVsPotentialTable", "]"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"BECDensityVsPotentialInterpolated", "[", "r", "]"}], ",", 
       RowBox[{"ThermalDensityVsPotentialInterpolated", "[", "r", "]"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "10"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeepestPotential", "=", 
     RowBox[{"TotalPotential", "[", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"ZP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialLowestZero", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"TotalPotential", "[", 
       RowBox[{"x", ",", "y", ",", 
        RowBox[{"z", "+", 
         RowBox[{"ZP", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}]}]}], "]"}], "-", "DeepestPotential"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"ReservoirPotential", "[", 
       RowBox[{"x", ",", "y", ",", 
        RowBox[{"z", "+", 
         RowBox[{"ZP", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}]}]}], "]"}], "-", "DeepestPotential"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ThermalDensity", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"ThermalDensityVsPotentialInterpolated", "[", 
      RowBox[{"PotentialLowestZero", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BECDensity", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"BECDensityVsPotentialInterpolated", "[", 
      RowBox[{"PotentialLowestZero", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ReservoirThermalDensity", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"ThermalDensityVsPotentialInterpolated", "[", 
      RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIxAll", "=", 
     RowBox[{"2", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIyAll", "=", 
     RowBox[{"0.2", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIzAll", "=", 
     RowBox[{"0.02", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIxDimple", "=", 
     RowBox[{"0.05", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIyDimple", "=", 
     RowBox[{"0.05", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIzDimple", "=", 
     RowBox[{"0.02", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIxBEC", "=", 
     RowBox[{"0.015", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIyBEC", "=", 
     RowBox[{"0.015", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIzBEC", "=", 
     RowBox[{"0.005", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIx", "=", "ROIxBEC"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIy", "=", "ROIyBEC"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIz", "=", "ROIzBEC"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"-", "ROIx"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIx", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "ROIy"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIy", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{"0", ",", "0", ",", 
          RowBox[{"z", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{"0", ",", "0", ",", 
          RowBox[{"z", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{"0", ",", "0", ",", 
          RowBox[{"z", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{
        RowBox[{"-", "ROIz"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIz", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{"ROIxDimple", ",", "0", ",", 
          RowBox[{"z", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{"ROIxDimple", ",", "0", ",", 
          RowBox[{"z", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{"ROIxDimple", ",", "0", ",", 
          RowBox[{"z", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{
        RowBox[{"-", "ROIz"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIz", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PotentialLowestZero", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], ",", 
       RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"-", "ROIx"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIx", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PotentialLowestZero", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
       RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "ROIy"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIy", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PotentialLowestZero", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"z", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
       RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"z", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{
        RowBox[{"-", "ROIz"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIz", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<T = \>\"", ",", 
      RowBox[{"N", "[", "Temperature", "]"}], ",", "\"\< \[Micro]K\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<ChemPot = \>\"", ",", "ChemPot", ",", "\"\< \[Micro]K\>\""}], "]"}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n0", "=", 
     RowBox[{"ChemPot", "*", "kB", "*", 
      RowBox[{
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}], "/", "gcouple"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<n0 = \>\"", ",", 
      RowBox[{
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}], "*", "n0"}], ",", "\"\< cm^-3\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nc", "=", 
     RowBox[{"2.612", "/", 
      RowBox[{"(", 
       RowBox[{"DeBroglieWavelength", "^", "3"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<nc = \>\"", ",", 
      RowBox[{
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}], "*", "nc"}], ",", "\"\< cm^-3\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<peak BEC density  = \>\"", ",", 
      RowBox[{
       RowBox[{"BECDensity", "[", 
        RowBox[{"0", ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<central thermal density  = \>\"", ",", 
      RowBox[{
       RowBox[{"ThermalDensity", "[", 
        RowBox[{"0", ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<peak reservoir density  = \>\"", ",", 
      RowBox[{
       RowBox[{"ReservoirThermalDensity", "[", 
        RowBox[{"0", ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nDimpleEdge", "=", 
     RowBox[{"ReservoirThermalDensity", "[", 
      RowBox[{"ROIxDimple", ",", "0", ",", "0"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<dimple edge reservoir density  = \>\"", ",", 
      RowBox[{"nDimpleEdge", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"elastic", " ", "collision", " ", "rates"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vThermal", "=", 
     RowBox[{"4", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"kB", "*", 
        RowBox[{"Temperature", "/", 
         RowBox[{"(", 
          RowBox[{"Pi", "*", "Mass"}], ")"}]}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<vThermal = \>\"", ",", "vThermal", ",", "\"\< mm/ms\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kThermal", "=", 
     RowBox[{"vThermal", "*", 
      RowBox[{"Mass", "/", "hbar"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaPseudoPotential", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{
       RowBox[{"a", "^", "2"}], "/", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"kThermal", "^", "2"}], 
          RowBox[{"a", "^", "2"}]}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaZeroT", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{"a", "^", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<SigmaThermal/Sigma0T = \>\"", ",", 
      RowBox[{"SigmaPseudoPotential", "/", "SigmaZeroT"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GammaEl", "[", "n_", "]"}], ":=", 
     RowBox[{"n", "*", "SigmaPseudoPotential", "*", 
      RowBox[{"vThermal", "/", 
       RowBox[{"Sqrt", "[", "8", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Gamma el thermal (nc) = \>\"", ",", 
      RowBox[{"GammaEl", "[", "nc", "]"}], ",", "\"\< s^-1\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Gamma el thermal (nDimpleEdge) = \>\"", ",", 
      RowBox[{"GammaEl", "[", "nDimpleEdge", "]"}], ",", "\"\< s^-1\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ReservoirAtomNumber", "=", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"ReservoirThermalDensity", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", 
         RowBox[{"-", "ROIxAll"}], ",", "ROIxAll"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"y", ",", " ", 
         RowBox[{"-", "ROIyAll"}], ",", " ", "ROIyAll"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", 
         RowBox[{"-", "ROIzAll"}], ",", " ", "ROIzAll"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<ReservoirAtomNumber = \>\"", ",", "ReservoirAtomNumber"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DimpleThermalAtomNumber", "=", 
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"-", "ROIxDimple"}], ",", "ROIxDimple"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"y", ",", " ", 
          RowBox[{"-", "ROIyDimple"}], ",", " ", "ROIyDimple"}], "}"}], ",", 
        " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", 
          RowBox[{"-", "ROIzDimple"}], ",", " ", "ROIzDimple"}], "}"}]}], 
       "]"}], "-", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"-", "ROIxDimple"}], ",", "ROIxDimple"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"y", ",", " ", 
          RowBox[{"-", "ROIyDimple"}], ",", " ", "ROIyDimple"}], "}"}], ",", 
        " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", 
          RowBox[{"-", "ROIzDimple"}], ",", " ", "ROIzDimple"}], "}"}]}], 
       "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<DimpleThermalAtomNumber  = \>\"", ",", "DimpleThermalAtomNumber"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BECAtomNumber", "=", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"BECDensity", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", 
         RowBox[{"-", "ROIxBEC"}], ",", "ROIxBEC"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"y", ",", " ", 
         RowBox[{"-", "ROIyBEC"}], ",", " ", "ROIyBEC"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", 
         RowBox[{"-", "ROIzBEC"}], ",", " ", "ROIzBEC"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<BECAtomNumber = \>\"", ",", "BECAtomNumber"}], "]"}], ";"}],
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DimpleAtomNumber", "=", 
     RowBox[{"DimpleThermalAtomNumber", "+", "BECAtomNumber"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ThermalAtomNumber", "=", 
     RowBox[{"ReservoirAtomNumber", "+", "DimpleAtomNumber"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TotalAtomNumber", "=", 
     RowBox[{"ThermalAtomNumber", "+", "BECAtomNumber"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<DimpleAtomNumber = \>\"", ",", "DimpleAtomNumber"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<ThermalAtomNumber = \>\"", ",", "ThermalAtomNumber"}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<TotalAtomNumber = \>\"", ",", "TotalAtomNumber"}], "]"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"SumSteps", "=", "5"}], ";", "\[IndentingNewLine]", 
     RowBox[{"BECAtomNumberSum", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"2", "*", "ROIxBEC"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"2", "*", "ROIyBEC"}], ")"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", "*", "ROIzBEC"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", "*", "SumSteps"}], "+", "1"}], ")"}], "^", "3"}], 
           ")"}]}]}], ")"}], 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"BECDensity", "[", 
          RowBox[{
           RowBox[{"xi", "*", 
            RowBox[{"ROIxBEC", "/", "SumSteps"}]}], ",", 
           RowBox[{"yi", "*", 
            RowBox[{"ROIyBEC", "/", "SumSteps"}]}], ",", 
           RowBox[{"zi", "*", 
            RowBox[{"ROIzBEC", "/", "SumSteps"}]}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"xi", ",", 
           RowBox[{"-", "SumSteps"}], ",", "SumSteps"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"yi", ",", 
           RowBox[{"-", "SumSteps"}], ",", "SumSteps"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"zi", ",", 
           RowBox[{"-", "SumSteps"}], ",", "SumSteps"}], "}"}]}], "]"}]}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"\"\<BECAtomNumberSum = \>\"", ",", "BECAtomNumberSum"}], "]"}],
      ";"}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "STOP", " ", "convert", " ", "from", " ", "general", " ", "linear", " ", 
     "potential", " ", "to", " ", "actual", " ", "potential", " ", "used", 
     " ", "in", " ", "the", " ", "experiment"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NBECTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "BECAtomNumber"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NthemalTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "ThermalAtomNumber"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NDimpleTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "DimpleAtomNumber"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NtotTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "TotalAtomNumber"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DensityEdgeTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "nDimpleEdge"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NBECvsNtotTable", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", 
     RowBox[{"NtotTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NBECvsNtotTable", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", 
     RowBox[{"NBECTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NBECvsChemPot", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", "ChemPot"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NBECvsChemPot", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", 
     RowBox[{"NBECTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TvsNtot", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", 
     RowBox[{"NBECvsNtotTable", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TvsNtot", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", "Temperature"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{" ", "]"}], "*)"}], " ", "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ListPlot", "[", 
      RowBox[{"{", 
       RowBox[{
       "PotentialWiththermalmeanfieldTable", ",", 
        "PotentialWithBECmeanfieldTable"}], "}"}], "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"BECdensityTable", ",", "thermaldensityTable"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", "NBECTable", "]"}], "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", "NthemalTable", "]"}], "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", "NDimpleTable", "]"}], "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", "NtotTable", "]"}], "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", "DensityEdgeTable", "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"NBECvsEdgeDensityTable", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "DensityEdgeTable", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], 
      "]"}], "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"NBECvsChemPot", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "ChemPotTable", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], 
      "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"NBECvsNtotTable", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "NtotTable", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], 
      "]"}], "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"TvsNtot", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "NtotTable", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "TemperatureTable", "]"}]}], "}"}]}], 
         "}"}]}]}], "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "NBECTable", "\[IndentingNewLine]", "NthemalTable", 
     "\[IndentingNewLine]", "NDimpleTable", "\[IndentingNewLine]", 
     "NtotTable", "\[IndentingNewLine]", "ChemPotTable", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "TemperatureTable"}], 
    "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5498960888593893`*^9, 3.5498961163046527`*^9}, {
   3.5498961815265827`*^9, 3.5498961891081963`*^9}, 3.5498963868238096`*^9, {
   3.5498965556947527`*^9, 3.549896558736758*^9}, {3.549896593431219*^9, 
   3.5498965937432203`*^9}, {3.5498966294204826`*^9, 3.549896691262207*^9}, {
   3.5498967360966854`*^9, 3.5498969000217733`*^9}, {3.5498969307538276`*^9, 
   3.549896930941028*^9}, {3.5498971239840627`*^9, 3.5498971439632053`*^9}, {
   3.5498971859456067`*^9, 3.549897195005125*^9}, {3.5498972332363114`*^9, 
   3.549897287134394*^9}, {3.549897322362409*^9, 3.5498973263186355`*^9}, {
   3.549897379267664*^9, 3.5498974052051477`*^9}, {3.5505019486306524`*^9, 
   3.550501955775465*^9}, {3.550502011826363*^9, 3.550502070716467*^9}, {
   3.550502133990178*^9, 3.5505021366109824`*^9}, {3.550502234516754*^9, 
   3.55050224314357*^9}, {3.55050289700415*^9, 3.550502934912216*^9}, {
   3.5505031133931303`*^9, 3.550503121848345*^9}, {3.550503314274683*^9, 
   3.550503314555483*^9}, {3.5505034454151287`*^9, 3.550503446678731*^9}, {
   3.550503716859244*^9, 3.5505037255796595`*^9}, {3.5505037586673174`*^9, 
   3.550503761116522*^9}, {3.550503826431267*^9, 3.550503846040501*^9}, {
   3.550503900687397*^9, 3.5505039020601997`*^9}, {3.5505040722564983`*^9, 
   3.5505041931889105`*^9}, {3.550504228444973*^9, 3.5505042398485928`*^9}, {
   3.5505043381755657`*^9, 3.550504339626368*^9}, {3.550504375600031*^9, 
   3.550504377815235*^9}, {3.5505044464553556`*^9, 3.550504517653881*^9}, {
   3.550504572768778*^9, 3.5505046816101685`*^9}, {3.5505049474376354`*^9, 
   3.5505049502456408`*^9}, 3.5505049850653486`*^9, {3.550505112698373*^9, 
   3.550505117783982*^9}, {3.5505052139071503`*^9, 3.5505052493192124`*^9}, {
   3.5505054888420334`*^9, 3.55050549263284*^9}, {3.5505056364026923`*^9, 
   3.5505056376506944`*^9}, {3.5505057418588777`*^9, 
   3.5505058375806456`*^9}, {3.5505058931479435`*^9, 
   3.5505058955815477`*^9}, {3.5505059272652035`*^9, 3.550505932054412*^9}, {
   3.5505064175272646`*^9, 3.5505064939985986`*^9}, {3.550506847276819*^9, 
   3.5505068603184423`*^9}, {3.5505071879314213`*^9, 
   3.5505073587793417`*^9}, {3.5505074098382316`*^9, 3.550507415204641*^9}, {
   3.550507546666072*^9, 3.5505075528280826`*^9}, {3.5505079341059523`*^9, 
   3.5505079500335803`*^9}, {3.550508078430435*^9, 3.5505080995996723`*^9}, {
   3.5505083348587046`*^9, 3.550508352708726*^9}, {3.5505083854856005`*^9, 
   3.550508476177788*^9}, {3.5505085150750127`*^9, 3.5505085160990715`*^9}, {
   3.550508665526618*^9, 3.5505086656256237`*^9}, {3.550508696281377*^9, 
   3.550508797590172*^9}, {3.550508866399107*^9, 3.5505088989059663`*^9}, {
   3.550509501504433*^9, 3.5505095340062923`*^9}, {3.550509590401518*^9, 
   3.5505096160449843`*^9}, {3.550510262525961*^9, 3.550510285256261*^9}, {
   3.550510489757958*^9, 3.5505105542906494`*^9}, {3.55051113248872*^9, 
   3.550511158202191*^9}, {3.550511239920865*^9, 3.5505112404488955`*^9}, {
   3.550511274315832*^9, 3.5505112766749673`*^9}, {3.5505113586636567`*^9, 
   3.55051136660011*^9}, {3.5505116809450903`*^9, 3.5505117145550127`*^9}, {
   3.5505123905046744`*^9, 3.550512395300949*^9}, {3.5505127142971945`*^9, 
   3.5505127165223217`*^9}, {3.5505130048878155`*^9, 3.550513006929932*^9}, {
   3.550514061973277*^9, 3.5505140630573387`*^9}, {3.5505143414572625`*^9, 
   3.5505143460865273`*^9}, {3.550553043807481*^9, 3.5505530542750998`*^9}, {
   3.5505531170808096`*^9, 3.5505532375130215`*^9}, {3.550553291738716*^9, 
   3.5505533264487777`*^9}, {3.550553369489253*^9, 3.5505534277865553`*^9}, {
   3.5505534666462235`*^9, 3.5505534722466335`*^9}, {3.5505537853011837`*^9, 
   3.550553904127592*^9}, {3.5505539832327337`*^9, 3.550553985572738*^9}, {
   3.5505540437920403`*^9, 3.5505541314953947`*^9}, {3.5505543026803174`*^9, 
   3.550554358481615*^9}, {3.550554774466791*^9, 3.5505547745603914`*^9}, {
   3.5505548155144625`*^9, 3.5505548156080627`*^9}, {3.550554853036928*^9, 
   3.5505548571381364`*^9}, {3.5505548927025986`*^9, 3.550554894855403*^9}, {
   3.550554931936668*^9, 3.550554955289909*^9}, {3.550555036383651*^9, 
   3.550555036492851*^9}, {3.550555090287758*^9, 3.550555090381358*^9}, {
   3.550555196531545*^9, 3.550555233893611*^9}, {3.550555340970598*^9, 
   3.5505553519842176`*^9}, {3.550555392344288*^9, 3.550555398880699*^9}, {
   3.550555489344658*^9, 3.5505555210127134`*^9}, {3.5505555721802025`*^9, 
   3.5505555749258075`*^9}, {3.5505556516779423`*^9, 3.550555789544984*^9}, {
   3.55055587439594*^9, 3.55055589177437*^9}, {3.5505560053509693`*^9, 
   3.550556009422576*^9}, {3.5505560567800584`*^9, 3.5505560609764657`*^9}, {
   3.550556428685712*^9, 3.5505564315093164`*^9}, {3.550556721426626*^9, 
   3.550556727619837*^9}, {3.550557206924488*^9, 3.5505572996822515`*^9}, {
   3.5505573326919093`*^9, 3.550557364141565*^9}, {3.5505573949204187`*^9, 
   3.5505573959656205`*^9}, {3.5505575587279067`*^9, 
   3.5505575714887295`*^9}, {3.5505577868783073`*^9, 3.55055778818871*^9}, 
   3.5505580558577805`*^9, {3.550558650855227*^9, 3.5505587290425644`*^9}, {
   3.550558833703148*^9, 3.5505588513779793`*^9}, {3.5505598989680195`*^9, 
   3.550559901058423*^9}, {3.55056270514915*^9, 3.55056271107716*^9}, {
   3.550564147213271*^9, 3.550564218419344*^9}, {3.550564629081832*^9, 
   3.55056467712458*^9}, {3.5505656989107847`*^9, 3.5505657041835938`*^9}, {
   3.5505657441436644`*^9, 3.5505657474508705`*^9}, {3.5505659212017765`*^9, 
   3.5505659247273827`*^9}, {3.55056597453927*^9, 3.5505661227551303`*^9}, {
   3.5505661986492634`*^9, 3.550566216324095*^9}, {3.550566278349804*^9, 
   3.5505663683151617`*^9}, {3.550566422712457*^9, 3.550566430996072*^9}, {
   3.5505664679369364`*^9, 3.550566482850563*^9}, {3.5505665977135644`*^9, 
   3.5505666370890336`*^9}, {3.550566682923914*^9, 3.5505667847452927`*^9}, {
   3.550566987097248*^9, 3.550566987393649*^9}, {3.550567127591095*^9, 
   3.5505671362803106`*^9}, {3.5505672772265577`*^9, 3.550567314105023*^9}, {
   3.5505799735902767`*^9, 3.550580045646804*^9}, {3.550660175854348*^9, 
   3.550660226077221*^9}, {3.550660492423455*^9, 3.5506605076563263`*^9}, {
   3.550660838313239*^9, 3.550660845998678*^9}, {3.5506617725566745`*^9, 
   3.550661803812462*^9}, {3.5506620167446413`*^9, 3.5506620171916666`*^9}, {
   3.5506620622062416`*^9, 3.5506620630032873`*^9}, {3.5506623329377265`*^9, 
   3.550662397533421*^9}, {3.5506627805743294`*^9, 3.550662781924407*^9}, {
   3.5506628337213697`*^9, 3.5506628346314216`*^9}, {3.5506630956923532`*^9, 
   3.5506631141994123`*^9}, {3.5506633285576725`*^9, 3.550663330644792*^9}, {
   3.5506635268020115`*^9, 3.5506635524864807`*^9}, 3.5514517178576007`*^9, {
   3.55145175170966*^9, 3.551451903461127*^9}, {3.5514528121073246`*^9, 
   3.551452818550136*^9}, {3.551453530405987*^9, 3.5514535307335873`*^9}, {
   3.5514541840003347`*^9, 3.5514541847959366`*^9}, {3.551454339548208*^9, 
   3.5514543402814093`*^9}, {3.5514546309686317`*^9, 3.551454649672702*^9}, {
   3.551454900239033*^9, 3.5514549021471424`*^9}, {3.551455176162815*^9, 
   3.551455178567953*^9}, {3.551455572269471*^9, 3.551455601502143*^9}, {
   3.551455873331691*^9, 3.5514558753028035`*^9}, {3.5514561884467144`*^9, 
   3.5514561930239763`*^9}, {3.551456662987857*^9, 3.551456703444171*^9}, {
   3.5515894776229067`*^9, 3.5515895024893503`*^9}, {3.5515921709784384`*^9, 
   3.551592178357251*^9}, {3.5515922255941343`*^9, 3.551592238526557*^9}, {
   3.5515945321037507`*^9, 3.5515945389365625`*^9}, {3.5515947328789043`*^9, 
   3.5515947334717054`*^9}, {3.551620730904975*^9, 3.5516207994670954`*^9}, {
   3.551620989273629*^9, 3.5516209997568474`*^9}, {3.551621290919359*^9, 
   3.551621303118581*^9}, {3.551624045000798*^9, 3.5516240503204074`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"InterpolatingFunction", "::", "dmval"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Input value \[NoBreak]\\!\\({16.003245008779064`}\\)\
\[NoBreak] lies outside the range of data in the interpolating function. \
Extrapolation will be used. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/InterpolatingFunction\\\", ButtonNote -> \
\\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 3.551624052520011*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"InterpolatingFunction", "::", "dmval"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Input value \[NoBreak]\\!\\({16.006556133146262`}\\)\
\[NoBreak] lies outside the range of data in the interpolating function. \
Extrapolation will be used. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/InterpolatingFunction\\\", ButtonNote -> \
\\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 3.551624052520011*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"InterpolatingFunction", "::", "dmval"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Input value \[NoBreak]\\!\\({16.009867257513456`}\\)\
\[NoBreak] lies outside the range of data in the interpolating function. \
Extrapolation will be used. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/InterpolatingFunction\\\", ButtonNote -> \
\\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 3.551624052520011*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(InterpolatingFunction :: dmval\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 3.551624052535611*^9}],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxU2HlYjP33B/CkCKWUJVtCiEIIofQuWyiiIgrTgqJ90960T/s0zTQzFUIl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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], PointBox[CompressedData["
1:eJw02nlYTdsbB/DMmRIZQjjmEEIphC9C5krIfFBJiuZ5OM1znepMiaQMIQqV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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 3.551624056264018*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxdzXFYlXmd//+TkZGRscYaGdnJyMjITkYOOeTcGTmMQ84ZhzEycs4YGRnZ
yRgjI+dkZGRkZIyRkZ2MjDUyMnLJyM4aGeuSS0Yua+SejDXWXCNjXTLWvtfv
Cq/fxePzz3097tf1vN4v2fL+De+aEwqFPvW8UOj/+/7tTdz3wm///jtf/9iD
pTM/gkNPPrTpybK7zgzm3/uf7y997l1nB9t/9pwvTP5y3Yxzgj1Pa/vAZ9vv
Ojf4enXn4Zx33nVecPuLXzz18VfcdTh45Om/2jz6hwdmvCRIfvBXL1l88q7z
g788cvVgWcNdLw1+VZW5/u1r7rogeE35v/3i0cy7XhZ0pd/xnXvOl824MPjj
B//43lDrXS8PHrkv6xPffttdR4LHt+fsKn3xXb8muPPYq/tPj90/4xXBgdAL
Rl507K5fG2w7/oeXPf7+uy4KTj86mdtUdNevCwr/e+3zD/x57YxXBt98+Psf
2336ru8JvvzFT3+3/ON3XRzcc3DRnOn77/r1wedP7uv7dNZdrwpWb2p+5V+G
3jzje4N/evMzP/fAU3ddEix45jdevvNtd/2G4Puh3UsSL7rr1cFI/Te7tv6m
dMb3Bdd2/mm84Ot3HQRdjy34409qZpwIgsjA1l+WFN7d3xi84Efvbm/+w5tm
9jcGOwaftqbnxIxDa4IHWkZOnnji7r4m6H/s7H/sLb67vyl4xXOXPvXqv6yZ
2d8U/OI5fV/95g9nHCoNhn+fd+bPT97dS4PxgrNfy11zd39zUPbXy7+dm3F3
f3Pwlg+8bv6Pf/LGmX1t8IYfF7U/+MkZJ9YGS373jj8dLru73x8cO/Wzd/7g
WXf3+4Mz//w/S79yLpjZy4KHjh1+R9mnZ5woC0pW/uE533vw7v5A8Nktp17y
22ff3R8Imiuafpr8wn0z+7rgcNVnbk8unHFiXfDIX/969YdPrZ7ZHwy2rR+8
/9bzZpx4MPhp8KI9bZ97w8xeHqR+fPvLh+fPOFEe/G7ya/fO+XTJzP6W4GnP
+P2n++bOOPGW4FtPPvGmsx+7d2ZfHyw/9c79z59eNbOvDzYuesvTO5+Yceih
4I+/X9yy/cbrZ/aHgo2Xzm17fOuMQ9HgUPj81BO/Lv6bg2jwnq6v9SYfmXEi
Grxs+7df+suBe/7mVDSYP7/8M894w4xDDwf/94lf/WVJ98qZ/uHgX5524s95
S2aceDj46Z1/fOw3B1430z8c/PzWhxdUzZlxaEPwy8+/6Hs740Uz/YagqfG+
B3J//dqZfkPwnHTDqfyyGac2BM9acCfa8J0VM/0jwb1dT9y+nTvj4JHgkfYP
bv/Q7tfM9I8Ehx+vyDzzm8hM/0jw4cTmjV9bM+NQRfDthV/Z0vPGV8/0FUFp
yQvWrZh61UxfEXzpxOR/PaOzcKavCJ76+T01D0ZfOdM/Gvzrc78c/90fXjHT
Pxr86IWvfHDHJwpm+keDvY++ru35z335TP9osOj2hx/asu9lM/3G4Bn/fmv4
t3966Uy/MUg1l/ygZe2SmX5jkDj61OAzQyNv+lu/MQjNem+d7QAncAqHKulx
Aqdw6G30OIFTOLSJHidwCofeTo8TOIVDVfQ4gVM49A56nMApHNpMjxM4hUOP
0eMETuFQbLbDOMAxnMBJnMJpHHqc+zjAMZzASZzCaRzawn0c4BhO4CRO4TQO
vZP7OMAxnMBJnMJpHKrmPg5wDCdwEqdwGofexX0c4BhO4CRO4TQObeU+DnAM
J3ASp3Aah97NfRzgGE7gJE7hNA7VcB8HOIYTOIlTOI1D7+E+DnAMJ3ASp3Aa
h7ZxHwc4hhM4iVM4jUPv5T4OcAwncBKncBqHarmPAxzDCZzEKZzGofdxHwc4
hhM4iVM4jUPbuY8DHMMJnMQpnMah93MfBziGEziJUziNQ/HZzsZhHMEBjuIY
juMEbsFJ3I1TeAin8QQOfWC2s3EYR3CAoziG4ziBW3ASd+MUHsJpPIFDO2Y7
G4dxBAc4imM4jhO4BSdxN07hIZzGEzj0wdnOxmEcwQGO4hiO4wRuwUncjVN4
CKfxBA7VzXY2DuMIDnAUx3AcJ3ALTuJunMJDOI0ncOiJ2c7GYRzBAY7iGI7j
BG7BSdyNU3gIp/EEDu2c7WwcxhEc4CiO4ThO4BacxN04hYdwGk/g0IdmOxuH
cQQHOIpjOI4TuAUncTdO4SGcxhM4VD/b2TiMIzjAURzDcZzALTiJu3EKD+E0
nsChD892Ng7jCA5wFMdwHCdwC07ibpzCQziNJ3Bo12xn4zCO4ABHcQzHcQK3
4CTuxik8hNN4Aoc+MtvZOIwjOMBRHMNxnMAtOIm7cQoP4TSewKGG2c7GYRzB
AY7iGI7jBG7BSdyNU3gIp/EEDn10trNxGEdwgKM4huM4gVtwEnfjFB7CaTyB
Q7tnOxuHcQQHOIpjOI4TuAUncTdO4SGcxhM49ORsZ+MwjuAAR3EMx3ECt+Ak
7sYpPITTeAKHErOdibNxLg7jAhzBxTjAZTiKK3EM1+A4rscJ3IRbcBtO4k7c
jXtxCg/gITyC03gcT+ApHPrYbGfibJyLw7gAR3AxDnAZjuJKHMM1OI7rcQI3
4RbchpO4E3fjXpzCA3gIj+A0HscTeAqH9sx2Js7GuTiMC3AEF+MAl+EorsQx
XIPjuB4ncBNuwW04iTtxN+7FKTyAh/AITuNxPIGncOjjs52Js3EuDuMCHMHF
OMBlOIorcQzX4DiuxwnchFtwG07iTtyNe3EKD+AhPILTeBxP4CkcapztTJyN
c3EYF+AILsYBLsNRXIljuAbHcT1O4CbcgttwEnfibtyLU3gAD+ERnMbjeAJP
4dAnZjsTZ+NcHMYFOIKLcYDLcBRX4hiuwXFcjxO4CbfgNpzEnbgb9+IUHsBD
eASn8TiewFM4tHe2M3E2zsVhXIAjuBgHuAxHcSWO4Rocx/U4gZtwC27DSdyJ
u3EvTuEBPIRHcBqP4wk8hUOfnO1MnI1zcRgX4AguxgEuw1FciWO4BsdxPU7g
JtyC23ASd+Ju3ItTeAAP4RGcxuN4Ak/hUNNsZ+JsnIvDuABHcDEOcBmO4koc
wzU4jutxAjfhFtyGk7gTd+NenMIDeAiP4DQexxN4Coc+NduZOBvn4jAuwBFc
jANchqO4EsdwDY7jepzATbgFt+Ek7sTduBen8AAewiM4jcfxBJ7CoX2znYmz
cS4O4wIcwcU4wGU4iitxDNfgOK7HCdyEW3AbTuJO3I17cQoP4CE8gtN4HE/g
KRz69Gxn4myci8O4AEdwMQ5wGY7iShzDNTiO63ECN+EW3IaTuBN3416cwgN4
CI/gNB7HE3gKh5pnOxNn41wcxgU4gotxgMtwFFfiGK7BcVyPE7gJt+A2nMSd
uBv34hQewEN4BKfxOJ7AUzj0mdnOxNk4F4dxAY7gYhzgMhzFlTiGa3Ac1+ME
bsItuA0ncSfuxr04hQfwEB7BaTyOJ/AUDu2f7UycjXNxGBfgCC7GAS7DUVyJ
Y7gGx3E9TuAm3ILbcBJ34m7ci1N4AA/hEZzG43gCT+HQZ2c7E2fjXBzGBTiC
i3GAy3AUV+IYrsFxXI8TuAm34DacxJ24G/fiFB7AQ3gEp/E4nsBTONQy2xk4
E2fhbJyDc3EeDuN8XIALcQQX4WJcggNcistwOY7iClyJq3AMV+MaXIvjuA7X
4wacwI24CTfjFtyK23A7TuIO3Im7cDfuwb24D6dwPx7Ag3gID+MRPIrTeAyP
4+t4Ak/iKTyNQ5+b7QycibNwNs7BuTgPh3E+LsCFOIKLcDEuwQEuxWW4HEdx
Ba7EVTiGq3ENrsVxXIfrcQNO4EbchJtxC27FbbgdJ3EH7sRduBv34F7ch1O4
Hw/gQTyEh/EIHsVpPIbH8XU8gSfxFJ7GoQOznYEzcRbOxjk4F+fhMM7HBbgQ
R3ARLsYlOMCluAyX4yiuwJW4CsdwNa7BtTiO63A9bsAJ3IibcDNuwa24Dbfj
JO7AnbgLd+Me3Iv7cAr34wE8iIfwMB7BoziNx/A4vo4n8CSewtM49PnZzsCZ
OAtn4xyci/NwGOfjAlyII7gIF+MSHOBSXIbLcRRX4EpchWO4GtfgWhzHdbge
N+AEbsRNuBm34FbchttxEnfgTtyFu3EP7sV9OIX78QAexEN4GI/gUZzGY3gc
X8cTeBJP4Wkcap3tDJyJs3A2zsG5OA+HcT4uwIU4gotwMS7BAS7FZbgcR3EF
rsRVOIarcQ2uxXFch+txA07gRtyEm3ELbsVtuB0ncQfuxF24G/fgXtyHU7gf
D+BBPISH8QgexWk8hsfxdTyBJ/EUnsahp2Y7A2fiLJyNc3AuzsNhnI8LcCGO
4CJcjEtwgEtxGS7HUVyBK3EVjuFqXINrcRzX4XrcgBO4ETfhZtyCW3EbbsdJ
3IE7cRfuxj24F/fhFO7HA3gQD+FhPIJHcRqP4XF8HU/gSTyFp3Ho4Gxn4Eyc
hbNxDs7FeTiM83EBLsQRXISLcQkOcCkuw+U4iitwJa7CMVyNa3AtjuM6XI8b
cAI34ibcjFtwK27D7TiJO3An7sLduAf34j6cwv14AA/iITyMR/AoTuMxPI6v
4wk8iafwNA59YbYzcCbOwtk4B+fiPBzG+bgAF+IILsLFuAQHuBSX4XIcxRW4
ElfhGK7GNbgWx3EdrscNOIEbcRNuxi24FbfhdpzEHbgTd+Fu3IN7cR9O4X48
gAfxEB7GI3gUp/EYHsfX8QSexFN4GofaZjsDZ+IsnI1zcC7Ow2GcjwtwIY7g
IlyMS3CAS3EZLsdRXIErcRWO4Wpcg2txHNfhetyAE7gRN+Fm3IJbcRtux0nc
gTtxF+7GPbgX9+EU7scDeBAP4WE8gkdxGo/hcXwdT+BJPIWnceiLs52BM3EW
zsY5OBfn4TDOxwW4EEdwES7GJTjApbgMl+MorsCVuArHcDWuwbU4jutwPW7A
CdyIm3AzbsGtuA234yTuwJ24C3fjHtyL+3AK9+MBPIiH8DAewaM4jcfwOL6O
J/AknsLTOHRotjNwJs7C2TgH5+I8HMb5uAAX4gguwsW4BAe4FJfhchzFFbgS
V+EYrsY1uBbHcR2uxw04gRtxE27GLbgVt+F2nMQduBN34W7cg3txH07hfjyA
B/EQHsYjeBSn8Rgex9fxBJ7EU3gah7402xk4E2fhbJyDc3EeDuN8XIALcQQX
4WJcggNcistwOY7iClyJq3AMV+MaXIvjuA7X4wacwI24CTfjFtyK23A7TuIO
3Im7cDfuwb24D6dwPx7Ag3gID+MRPIrTeAyP4+t4Ak/iKTyNQ+2znYEzcRbO
xjk4F+fhMM7HBbgQR3ARLsYlOMCluAyX4yiuwJW4CsdwNa7BtTiO63A9bsAJ
3IibcDNuwa24DbfjJO7AnbgLd+Me3Iv7cAr34wE8iIfwMB7BoziNx/A4vo4n
8CSewtM49OXZzsCZOAtn4xyci/NwGOfjAlyII7gIF+MSHOBSXIbLcRRX4Epc
hWO4GtfgWhzHdbgeN+AEbsRNuBm34FbchttxEnfgTtyFu3EP7sV9OIX78QAe
xEN4GI/gUZzGY3gcX8cTeBJP4WkcOjzbGTgTZ+FsnINzcR4O43xcgAtxBBfh
YlyCA1yKy3A5juIKXImrcAxX4xpci+O4DtfjBpzAjbgJN+MW3IrbcDtO4g7c
ibtwN+7BvbgPp3A/HsCDeAgP4xE8itN4DI/j63gCT+IpPI1DX5ntDJyJs3A2
zsG5OA+HcT4uwIU4gotwMS7BAS7FZbgcR3EFrsRVOIarcQ2uxXFch+txA07g
RtyEm3ELbsVtuB0ncQfuxF24G/fgXtyHU7gfD+BBPISH8QgexWk8hsfxdTyB
J/EUnsah5GzPwRl4Ls7E83AWno+z8QKcgxfiXLwI5+HFOIyX4Hy8FBfgZbgQ
L8cRvAIX4ZW4GK/CJXg1DvAaXIrX4jK8Dpfj9TiKN+AKvBFX4k24Cm/GMbwF
V+OtuAZvw7V4O47jHbgO78T1eBduwLtxAu/BjXgvbsL7cDPej1vwAdyKD+I2
fAi348M4iY/gDnwUd+JjuAsfx934BO7BJ3EvPoX78GmcwmdwPz6LB/A5PIjP
4yF8AQ/ji3gEX8Kj+DJO4yt4DF/F4/gavo5v4Al8E0/iW3gK38bT+A4OfXW2
5+AMPBdn4nk4C8/H2XgBzsELcS5ehPPwYhzGS3A+XooL8DJciJfjCF6Bi/BK
XIxX4RK8Ggd4DS7Fa3EZXofL8XocxRtwBd6IK/EmXIU34xjegqvxVlyDt+Fa
vB3H8Q5ch3fierwLN+DdOIH34Ea8FzfhfbgZ78ct+ABuxQdxGz6E2/FhnMRH
cAc+ijvxMdyFj+NufAL34JO4F5/Cffg0TuEzuB+fxQP4HB7E5/EQvoCH8UU8
gi/hUXwZp/EVPIav4nF8DV/HN/AEvokn8S08hW/jaXwHh47M9hycgefiTDwP
Z+H5OBsvwDl4Ic7Fi3AeXozDeAnOx0txAV6GC/FyHMErcBFeiYvxKlyCV+MA
r8GleC0uw+twOV6Po3gDrsAbcSXehKvwZhzDW3A13opr8DZci7fjON6B6/BO
XI934Qa8GyfwHtyI9+ImvA834/24BR/ArfggbsOHcDs+jJP4CO7AR3EnPoa7
8HHcjU/gHnwS9+JTuA+fxil8Bvfjs3gAn8OD+DwewhfwML6IR/AlPIov4zS+
gsfwVTyOr+Hr+AaewDfxJL6Fp/BtPI3v4NDXZnsOzsBzcSaeh7PwfJyNF+Ac
vBDn4kU4Dy/GYbwE5+OluAAvw4V4OY7gFbgIr8TFeBUuwatxgNfgUrwWl+F1
uByvx1G8AVfgjbgSb8JVeDOO4S24Gm/FNXgbrsXbcRzvwHV4J67Hu3AD3o0T
eA9uxHtxE96Hm/F+3IIP4FZ8ELfhQ7gdH8ZJfAR34KO4Ex/DXfg47sYncA8+
iXvxKdyHT+MUPoP78Vk8gM/hQXweD+ELeBhfxCP4Eh7Fl3EaX8Fj+Coex9fw
dXwDT+CbeBLfwlP4Np7Gd3CoY7bn4Aw8F2fieTgLz8fZeAHOwQtxLl6E8/Bi
HMZLcD5eigvwMlyIl+MIXoGL8EpcjFfhErwaB3gNLsVrcRleh8vxehzFG3AF
3ogr8SZchTfjGN6Cq/FWXIO34Vq8HcfxDlyHd+J6vAs34N04gffgRrwXN+F9
uBnvxy34AG7FB3EbPoTb8WGcxEdwBz6KO/Ex3IWP4258Avfgk7gXn8J9+DRO
4TO4H5/FA/gcHsTn8RC+gIfxRTyCL+FRfBmn8RU8hq/icXwNX8c38AS+iSfx
LTyFb+NpfAeHvj7bc3AGnosz8TychefjbLwA5+CFOBcvwnl4MQ7jJTgfL8UF
eBkuxMtxBK/ARXglLsarcAlejQO8BpfitbgMr8PleD2O4g24Am/ElXgTrsKb
cQxvwdV4K67B23At3o7jeAeuwztxPd6FG/BunMB7cCPei5vwPtyM9+MWfAC3
4oO4DR/C7fgwTuIjuAMfxZ34GO7Cx3E3PoF78Enci0/hPnwap/AZ3I/P4gF8
Dg/i83gIX8DD+CIewZfwKL6M0/gKHsNX8Ti+hq/jG3gC38ST+BaewrfxNL6D
Q0dnew7OwHNxJp6Hs/B8nI0X4By8EOfiRTgPL8ZhvATn46W4AC/DhXg5juAV
uAivxMV4FS7Bq3GA1+BSvBaX4XW4HK/HUbwBV+CNuBJvwlV4M47hLbgab8U1
eBuuxdtxHO/AdXgnrse7cAPejRN4D27Ee3ET3oeb8X7cgg/gVnwQt+FDuB0f
xkl8BHfgo7gTH8Nd+DjuxidwDz6Je/Ep3IdP4xQ+g/vxWTyAz+FBfB4P4Qt4
GF/EI/gSHsWXcRpfwWP4Kh7H1/B1fANP4Jt4Et/CU/g2nsZ3cOgbsz0HZ+C5
OBPPw1l4Ps7GC3AOXohz8SKchxfjMF6C8/FSXICX4UK8HEfwClyEV+JivAqX
4NU4wGtwKV6Ly/A6XI7X4yjegCvwRlyJN+EqvBnH8BZcjbfiGrwN1+LtOI53
4Dq8E9fjXbgB78YJvAc34r24Ce/DzXg/bsEHcCs+iNvwIdyOD+MkPoI78FHc
iY/hLnwcd+MTuAefxL34FO7Dp3EKn8H9+CwewOfwID6Ph/AFPIwv4hF8CY/i
yziNr+AxfBWP42v4Or6BJ/BNPIlv4Sl8G0/jOzjUOdtzcAaeizPxPJyF5+Ns
vADn4IU4Fy/CeXgxDuMlOB8vxQV4GS7Ey3EEr8BFeCUuxqtwCV6NA7wGl+K1
uAyvw+V4PY7iDbgCb8SVeBOuwptxDG/B1XgrrsHbcC3ejuN4B67DO3E93oUb
8G6cwHtwI96Lm/A+3Iz34xZ8ALfig7gNH8Lt+DBO4iO4Ax/FnfgY7sLHcTc+
gXvwSdyLT+E+fBqn8Bncj8/iAXwOD+LzeAhfwMP4Ih7Bl/AovozT+Aoew1fx
OL6Gr+MbeALfxJP4Fp7Ct/E0voND/zDbc3AGnosz8TychefjbLwA5+CFOBcv
wnl4MQ7jJTgfL8UFeBkuxMtxBK/ARXglLsarcAlejQO8BpfitbgMr8PleD2O
4g24Am/ElXgTrsKbcQxvwdV4K67B23At3o7jeAeuwztxPd6FG/BunMB7cCPe
i5vwPtyM9+MWfAC34oO4DR/C7fgwTuIjuAMfxZ34GO7Cx3E3PoF78Enci0/h
Pnwap/AZ3I/P4gF8Dg/i83gIX8DD+CIewZfwKL6M0/gKHsNX8Ti+hq/jG3gC
38ST+BaewrfxNL6DQ8dmew7OwHNxJp6Hs/B8nI0X4By8EOfiRTgPL8ZhvATn
46W4AC/DhXg5juAVuAivxMV4FS7Bq3GA1+BSvBaX4XW4HK/HUbwBV+CNuBJv
wlV4M47hLbgab8U1eBuuxdtxHO/AdXgnrse7cAPejRN4D27Ee3ET3oeb8X7c
gg/gVnwQt+FDuB0fxkl8BHfgo7gTH8Nd+DjuxidwDz6Je/Ep3IdP4xQ+g/vx
WTyAz+FBfB4P4Qt4GF/EI/gSHsWXcRpfwWP4Kh7H1/B1fANP4Jt4Et/CU/g2
nsZ3cOibsz0HZ+C5OBPPw1l4Ps7GC3AOXohz8SKchxfjMF6C8/FSXICX4UK8
HEfwClyEV+JivAqX4NU4wGtwKV6Ly/A6XI7X4yjegCvwRlyJN+EqvBnH8BZc
jbfiGrwN1+LtOI534Dq8E9fjXbgB78YJvAc34r24Ce/DzXg/bsEHcCs+iNvw
IdyOD+MkPoI78FHciY/hLnwcd+MTuAefxL34FO7Dp3EKn8H9+CwewOfwID6P
h/AFPIwv4hF8CY/iyziNr+AxfBWP42v4Or6BJ/BNPIlv4Sl8G0/jOzjUNdtz
cAaeizPxPJyF5+NsvADn4IU4Fy/CeXgxDuMlOB8vxQV4GS7Ey3EEr8BFeCUu
xqtwCV6NA7wGl+K1uAyvw+V4PY7iDbgCb8SVeBOuwptxDG/B1XgrrsHbcC3e
juN4B67DO3E93oUb8G6cwHtwI96Lm/A+3Iz34xZ8ALfig7gNH8Lt+DBO4iO4
Ax/FnfgY7sLHcTc+gXvwSdyLT+E+fBqn8Bncj8/iAXwOD+LzeAhfwMP4Ih7B
l/AovozT+Aoew1fxOL6Gr+MbeALfxJP4Fp7Ct/E0voND35rtOTgDz8WZeB7O
wvNxNl6Ac/BCnIsX4Ty8GIfxEpyPl+ICvAwX4uU4glfgIrwSF+NVuASvxgFe
g0vxWlyG1+FyvB5H8QZcgTfiSrwJV+HNOIa34Gq8FdfgbbgWb8dxvAPX4Z24
Hu/CDXg3TuA9uBHvxU14H27G+3ELPoBb8UHchg/hdnwYJ/ER3IGP4k58DHfh
47gbn8A9+CTuxadwHz6NU/gM7sdn8QA+hwfxeTyEL+BhfBGP4Et4FF/GaXwF
j+GreBxfw9fxDTyBb+JJfAtP4dt4Gt/BoeOzPQdn4Lk4E8/DWXg+zsYLcA5e
iHPxIpyHF+MwXoLz8VJcgJfhQrwcR/AKXIRX4mK8Cpfg1TjAa3ApXovL8Dpc
jtfjKN6AK/BGXIk34Sq8GcfwFlyNt+IavA3X4u04jnfgOrwT1+NduAHvxgm8
BzfivbgJ78PNeD9uwQdwKz6I2/Ah3I4P4yQ+gjvwUdyJj+EufBx34xO4B5/E
vfgU7sOncQqfwf34LB7A5/AgPo+H8AU8jC/iEXwJj+LLOI2v4DF8FY/ja/g6
voEn8E08iW/hKXwbT+M7OPTt2Z6DM/BcnInn4Sw8H2fjBTgHL8S5eBHOw4tx
GC/B+XgpLsDLcCFejiN4BS7CK3ExXoVL8Goc4DW4FK/FZXgdLsfrcRRvwBV4
I67Em3AV3oxjeAuuxltxDd6Ga/F2HMc7cB3eievxLtyAd+ME3oMb8V7chPfh
Zrwft+ADuBUfxG34EG7Hh3ESH8Ed+CjuxMdwFz6Ou/EJ3INP4l58Cvfh0ziF
z+B+fBYP4HN4EJ/HQ/gCHsYX8Qi+hEfxZZzGV/AYvorH8TV8Hd/AE/gmnsS3
8BS+jafxHRzqnu2n4Tn46TgDPwPPxc/EmfhZeB5+Ns7Cz8Hz8XNxNv47vAA/
D+fgv8cL8fNxLn4BXoRfiPPwi/Bi/GIcxi/BS/BLcT5+GV6KX44L8CvwMvxK
XIhfhZfjV+MIfg1egV+Li/Dr8Ep8Dy7Gr8er8L24BL8Br8b34QC/Ea/Bb8Kl
+M14Lb4fl+EH8Dr8IC7Hb8Hr8UM4ih/GG/AjuAI/ijfit+JK/Da8Cb8dV+F3
4M34MRzDj+Mt+J24Gr8Lb8XvxjX4PXgbfi+uxe/D2/H7cRx/AO/AH8R1+Am8
E38I1+MP4134I7gBfxTvxk/iBP4Y3oM/jhvxJ/Be/EnchD+F9+FP42b8Gbwf
fxa34M/hA/jzuBU/hQ/iL+A2/EV8CH8Jt+Mv48P4KziJv4qP4K/hDvx1fBR/
A3fif8DH8DdxF/4WPo6/jbvxd/AJ/F3cg7+HT+J/xL34+/gU/gHuwz/Ep/GP
cAr/Ez6Df4z78U/wWfxTPID/GZ/D/4IH8c/wefyveAj/HF/Av8DD+Jf4Iv43
PIL/HV/Cv8Kj+Nf4Mv4PnMa/wVfwb/EY/k98Ff8Oj+P/wtfw7/F1/N/4Bv4D
nsB/xDfxn/Ak/h98C/8vnsJ/xrfxX/A0/j98B/8Vh74z20/Dc/DTcQZ+Bp6L
n4kz8bPwPPxsnIWfg+fj5+Js/Hd4AX4ezsF/jxfi5+Nc/AK8CL8Q5+EX4cX4
xTiMX4KX4JfifPwyvBS/HBfgV+Bl+JW4EL8KL8evxhH8GrwCvxYX4dfhlfge
XIxfj1fhe3EJfgNeje/DAX4jXoPfhEvxm/FafD8uww/gdfhBXI7fgtfjh3AU
P4w34EdwBX4Ub8RvxZX4bXgTfjuuwu/Am/FjOIYfx1vwO3E1fhfeit+Na/B7
8Db8XlyL34e34/fjOP4A3oE/iOvwE3gn/hCuxx/Gu/BHcAP+KN6Nn8QJ/DG8
B38cN+JP4L34k7gJfwrvw5/GzfgzeD/+LG7Bn8MH8OdxK34KH8RfwG34i/gQ
/hJux1/Gh/FXcBJ/FR/BX8Md+Ov4KP4G7sT/gI/hb+Iu/C18HH8bd+Pv4BP4
u7gHfw+fxP+Ie/H38Sn8A9yHf4hP4x/hFP4nfAb/GPfjn+Cz+Kd4AP8zPof/
BQ/in+Hz+F/xEP45voB/gYfxL/FF/G94BP87voR/hUfxr/Fl/B84jX+Dr+Df
4jH8n/gq/h0ex/+Fr+Hf4+v4v/EN/Ac8gf+Ib+I/4Un8P/gW/l88hf+Mb+O/
4Gn8f/gO/isOnZjtp+E5+Ok4Az8Dz8XPxJn4WXgefjbOws/B8/FzcTb+O7wA
Pw/n4L/HC/HzcS5+AV6EX4jz8IvwYvxiHMYvwUvwS3E+fhleil+OC/Ar8DL8
SlyIX4WX41fjCH4NXoFfi4vw6/BKfA8uxq/Hq/C9uAS/Aa/G9+EAvxGvwW/C
pfjNeC2+H5fhB/A6/CAux2/B6/FDOIofxhvwI7gCP4o34rfiSvw2vAm/HVfh
d+DN+DEcw4/jLfiduBq/C2/F78Y1+D14G34vrsXvw9vx+3EcfwDvwB/EdfgJ
vBN/CNfjD+Nd+CO4AX8U78ZP4gT+GN6DP44b8SfwXvxJ3IQ/hffhT+Nm/Bm8
H38Wt+DP4QP487gVP4UP4i/gNvxFfAh/CbfjL+PD+Cs4ib+Kj+Cv4Q78dXwU
fwN34n/Ax/A3cRf+Fj6Ov4278XfwCfxd3IO/h0/if8S9+Pv4FP4B7sM/xKfx
j3AK/xM+g3+M+/FP8Fn8UzyA/xmfw/+CB/HP8Hn8r3gI/xxfwL/Aw/iX+CL+
NzyC/x1fwr/Co/jX+DL+D5zGv8FX8G/xGP5PfBX/Do/j/8LX8O/xdfzf+Ab+
A57Af8Q38Z/wJP4ffAv/L57Cf8a38V/wNP4/fAf/FYe+O9tPw3Pw03EGfgae
i5+JM/Gz8Dz8bJyFn4Pn4+fibPx3eAF+Hs7Bf48X4ufjXPwCvAi/EOfhF+HF
+MU4jF+Cl+CX4nz8MrwUvxwX4FfgZfiVuBC/Ci/Hr8YR/Bq8Ar8WF+HX4ZX4
HlyMX49X4XtxCX4DXo3vwwF+I16D34RL8ZvxWnw/LsMP4HX4QVyO34LX44dw
FD+MN+BHcAV+FG/Eb8WV+G14E347rsLvwJvxYziGH8db8DtxNX4X3orfjWvw
e/A2/F5ci9+Ht+P34zj+AN6BP4jr8BN4J/4QrscfxrvwR3AD/ijejZ/ECfwx
vAd/HDfiT+C9+JO4CX/q//f/A3yrapg=
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], PointBox[CompressedData["
1:eJw02HlcTO37B/CxlzWEEEIeISRRWT8oipA9CUkbhUoblaZ9r2maaWYIIYSQ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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 3.5516240562796183`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwBUQOu/CFib1JlAgAAADQAAAACAAAAnX5iBjFkiz6bxJHwOi9IQMTTIExX
IGk/Qd/8r0MuSED/xr6DICB5P0T54DpKLUhAncCNHwUgiT+cICyIUCtIQGw9
dW33H5k/joVowkAnSEDT+2iU8B+pPxnNzIykHkhAdsceMO+xqj+bCrA+hB1I
QBqT1MvtQ6w/RNMy5GAcSEBiKkAD62evP0Z+XsMQGkhAeKwLufLXsj9iAGO/
SBVIQAfb4iftH7k/fSp0oAYLSEDYwL117Oi5P2MxUsGrCUhAqqaYw+uxuj8V
n/FfTAhIQE5yTl/qQ7w/DsXIlH8FSECWCbqW52e/P0T+mP6p/0dAtHdKcnMY
wD8kL6Q3J/5HQJzqNxnzfMA//N7pwZ78R0Bu0BJn8kXBP/H9WRB8+UdAEpzI
AvHXwj9RM6r46fJHQPsOtqlwPMM/EMmsLDTxR0DkgaNQ8KDDPyvR7vl270dA
tmd+nu9pxD8hMrpH5etHQFozNDru+8U/ygo4FVzkR0BDpiHhbWDGPyWWUY5i
4kdALBkPiO3Exj/0ROD0XuBHQP7+6dXsjcc/eQwwxDfcR0Chyp9x6x/JP8jW
Jipb00dA9Ji1Kt+MyT9m1BvSz9BHQEZny+PS+ck/QK3NQzPOR0DsA/dVutPK
Pw+fNGzCyEdAP9IMD65Ayz9M+GPY68VHQJKgIsihrcs/LDeWcv/CR0A4PU46
iYfMP0x0VTrfvEdAiwtk83z0zD+CzVwDqLlHQN7ZeaxwYc0/GYg7JFS2R0CE
dqUeWDvOP47KGDhNr0dA10S710uozj9fQZrPlKtHQCoT0ZA/Fc8/UN4g67Sn
R0DQr/wCJ+/PPwGJW0Vvn0dAEj8JXg0u0D/UAmhCAJtHQDsmlDqHZNA/jbbz
9VaWR0BkDR8XAZvQP3TXlXZskUdAjvSp83rR0D80u6N9OIxHQLjbNND0B9E/
PcIQArGGR0Dhwr+sbj7RP6b+Z6vJgEdANJHVZWKr0T+pUVNfmXNHQF54YELc
4dE/vqtH7iJsR0CHX+seVhjSP1JuOQftY0dAsEZ2+89O0j8pNU5Ix1pHQNot
AdhJhdI/oxaFwhxWR0ADFYy0w7vSP4WbWzLuC0dAblDtzuXh0j/ehzwsTetE
QC34jKw=
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwV0nk81XkXB3DSisoSKbqWK7eQsbVYvx+/y/1aiiKmoZKbLNMmYYQWws0T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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 36.346300351417405`},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{36.841361487904734`, 
       FormBox[
        TemplateBox[{"10", "16"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {39.14394658089878, 
       FormBox[
        TemplateBox[{"10", "17"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {41.44653167389282, 
       FormBox[
        TemplateBox[{"10", "18"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {43.74911676688687, 
       FormBox[
        TemplateBox[{"10", "19"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {46.051701859880914`, 
       FormBox[
        TemplateBox[{"10", "20"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {48.35428695287496, 
       FormBox[
        TemplateBox[{"10", "21"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {37.534508668464674`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {37.93997377657284, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.22765584902462, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.45079940033883, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.63312095713279, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.78727163696004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.92080302958457, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {39.03858606524095, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {39.837093761458725`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.242558869566885`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.530240942018665`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.753384493332874`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.93570605012683, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.08985672995409, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.22338812257861, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.341171158235, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.13967885445277, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.545143962560935`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.832826035012715`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.055969586326924`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.238291143120875`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.392441822948136`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.525973215572655`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.64375625122904, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {44.44226394744681, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {44.84772905555498, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.13541112800676, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.35855467932097, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.540876236114926`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.69502691594218, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.828558308566706`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.946341344223086`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {46.74484904044086, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.15031414854902, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.4379962210008, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.66113977231501, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.84346132910897, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.99761200893623, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {48.13114340156075, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {48.248926437217136`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{36.841361487904734`, 
       FormBox["\"\"", TraditionalForm]}, {39.14394658089878, 
       FormBox["\"\"", TraditionalForm]}, {41.44653167389282, 
       FormBox["\"\"", TraditionalForm]}, {43.74911676688687, 
       FormBox["\"\"", TraditionalForm]}, {46.051701859880914`, 
       FormBox["\"\"", TraditionalForm]}, {48.35428695287496, 
       FormBox["\"\"", TraditionalForm]}, {37.534508668464674`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {37.93997377657284, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.22765584902462, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.45079940033883, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.63312095713279, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.78727163696004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.92080302958457, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {39.03858606524095, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {39.837093761458725`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.242558869566885`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.530240942018665`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.753384493332874`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.93570605012683, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.08985672995409, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.22338812257861, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.341171158235, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.13967885445277, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.545143962560935`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.832826035012715`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.055969586326924`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.238291143120875`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.392441822948136`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.525973215572655`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.64375625122904, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {44.44226394744681, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {44.84772905555498, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.13541112800676, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.35855467932097, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.540876236114926`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.69502691594218, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.828558308566706`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.946341344223086`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {46.74484904044086, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.15031414854902, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.4379962210008, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.66113977231501, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.84346132910897, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.99761200893623, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {48.13114340156075, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {48.248926437217136`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{0, 10}, {36.346300351417405`, 48.36898619763925}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{36.841361487904734`, 
      FormBox[
       TemplateBox[{"10", "16"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {39.14394658089878, 
      FormBox[
       TemplateBox[{"10", "17"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {41.44653167389282, 
      FormBox[
       TemplateBox[{"10", "18"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {43.74911676688687, 
      FormBox[
       TemplateBox[{"10", "19"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {46.051701859880914`, 
      FormBox[
       TemplateBox[{"10", "20"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {48.35428695287496, 
      FormBox[
       TemplateBox[{"10", "21"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {37.534508668464674`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {37.93997377657284, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.22765584902462, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.45079940033883, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.63312095713279, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.78727163696004, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.92080302958457, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {39.03858606524095, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {39.837093761458725`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {40.242558869566885`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {40.530240942018665`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {40.753384493332874`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {40.93570605012683, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {41.08985672995409, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {41.22338812257861, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {41.341171158235, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {42.13967885445277, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {42.545143962560935`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {42.832826035012715`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.055969586326924`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.238291143120875`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.392441822948136`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.525973215572655`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.64375625122904, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {44.44226394744681, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {44.84772905555498, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.13541112800676, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.35855467932097, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.540876236114926`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.69502691594218, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.828558308566706`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.946341344223086`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {46.74484904044086, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.15031414854902, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.4379962210008, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.66113977231501, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.84346132910897, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.99761200893623, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {48.13114340156075, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {48.248926437217136`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 3.5516240565448184`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, {}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hc4lW/8B3AjX6SkkobskhGJouN4zv1p26MSlayGvkZKWWV9kezsvWci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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0Vtv/B3CRjEmFrkIPSqYkRMfj3L0rhKJUokvkdkvXcHNlSMZMmTNT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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-1, 25.475813539968073`},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{25.328436022934504`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {26.937873935368604`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.240459028362647`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {31.543044121356694`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {33.84562921435074, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-1, 1}, {25.475813539968073`, 33.303688097468175`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{25.328436022934504`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {26.937873935368604`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.240459028362647`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {31.543044121356694`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {33.84562921435074, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 3.551624056966019*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV13k0lU8YB3CKorKkSNl+IjtZCgnzvJHsW8iaNWW97r2vrcWepCQp2UoK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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Xc81d//AHAKJZLdpKhsysioOEdGCBnZ2bubee81SvZKuUJUVpSVnVT2
QfoQqZRUKgoVQqIlle/L4/H7/XUfz8f7fd/3vM94jccVcfEzc1/FxMSUyczE
tPLZ1X560LSeQcyob77mGSOcf2TTZPgtBsH9X51XH0U45HndUnkVg7TeMHjv
CZaYnNnBVsQgfUxN6+VNEE7kdqI0pjKI214doU5ThA0ctZl2UhiENu3LP3MM
4Yd/OKW+CTHIjio1YwM7hJ+o5J3JjEkmDYpqWvJeCKcMbhceUzpPpneL/Pcl
FmHxF7KD9n+SSJdB6rrKfIRHT3N9XXxwlrS4avqWNCNsrm/MmncmkdzVn3r1
6DXCuSFb5P0PJ5BEAz6Sugh+omNp8DOOSNR7HUbrMW57qDWsUxlLRMSaW+8I
Ydws9eiMX2gMkXcsvW4qi7HvzbuCBdLRpGHJetUZDYwXr8h2MX2LJBN2e7YQ
Y4yNjKbrVsdFkN8FKT6fHTDmrz/wSGA2jFx8qUN/6I9x8sfrgrExp8jHGKkd
X6MwDvToMV31IZj07U31oWZgnJbRZ9EwFEwkYumq98C3Op/Y+D8JJktj7rv5
MjH+JvrCebgpmBzgYjpxCxw8MhbQmBZMjnfblH+/hHGY9d/UQBxMBP94V0Vl
YZxgsPfpaHYQyQ54ndd6FePSUMXBK6lBRFzJ3Yk/H+PuUuUhk4Qgwq9y9+QJ
8Lo16qOtgUHkw37voI0FGJ+/pz+fpR9E+AJvf6Jdg/EddOU1/0knAskJN3AR
xrUUD8F1M3SS+4F9Lhv8LMt7S/sonWTuWLz+E8y/6Ce65xGdyA9rUWqKMb50
O0yBo4hORt/eLJYoxThHLtPsnhmd/MrT4FApx/hhm0WXtD58/6hC30XwkpnA
wYuITkyC92gvgKU+DNT82UcnSs1MqWYVGNsGX9ztLkMnXPlZI7XgJPZjWX2i
dEIJ2unFX4lxQzbfBuXNdMJe22oRC56QfRaTt4FOXOy0dTdWYbypLe0XGxud
fF1dtxAL1jMz8/H7QyNaKXLjVeDgcZ7RF/M0Emrk/P5kNcbFQf2WeJJGHkRO
39kBHlyb2ls6QiMXTKVGmOH5rNkmmGeQRj5JuMsqwfsryXLfDn1IIy1aHjJ2
VzB2I48lRztoZN+ta499zmOcbpqSZ9BAI42/tQbWxmDcMWbMd6uaRm53zMV1
R2I8T+dK3FpMIzl/jaY+gEXWPvoTk0MjC2uFTbmjMTbJSg6YTqORjpMTERaw
nyJljD4eO0sjHEqV56/C/dWtnHYtETTC67tPeDYCY66xc9qMkzQyh9N4LoXD
fNESp/q304i/S/VSUyjGjWx6jvsFaaRW4LiXDHjy8pqBa5w04qg1x341BOan
Jb6FukglBl9e5iQFY8zGFndB4BmVtC9wBofQMY66FKVsE08l14UVbuYHYFwj
qVneHkYlxjvyP0iD3zUx7ZCiUomaH6tFPZwHjXcR7EuOVCKuVdI24IfxH4nw
NzlqVFIYcHB2iy/GIY2not9NB5JfS4WMwRMYz+iwqoSOBpJEFB7vDXbpT/nM
8zKQjHVeof/1xthwovCY1r1AEnmUX0QCLCL4WKz4SiD5bV20NdET456Anb0U
3UByJaW5ytcN422SD/l+Xg0gUbU6X1vgvKbWWXanZASQd5onP3qC2fD7MIlz
AST776AbL3jO8scHm6AAsvXa/e9e9hjfj91R32wYQHLi1yhvOw7x4R3tePSi
PynVedZ8xQbiySWhovXm/kSyL/Hgp2MYa8e79Vjp+xNNjxq5QnA3rfxLAfIn
vW6sVGfwE1O1/coy/iT57d/ZN+YYj3BYPHZg9SdyGtsLXphh/Hd504Kjnx/5
3c1v+9oE41NPfmQXqvqSvyov+DYZYRxdGftRdbcvKcuS2zhsCOubxCvfx+NL
0tuu2BaCs7Tl/vs+5UP8f81flQc31LvP6eb6kHZxoc1Hj2D8K39Ae5LZh0R4
Kfhl6GNMD6idke2lkJD3odhIF+O1moN3Re9QyJeTUZaC4Bzu31EbCyjEwm9t
+YgO7N9qTUHmYAqp75HkooK5Zp9oDIhSSJR6560cbYg/J76knDp1gizv4ldZ
OoTxG1cZhS5JbxKneF5qDGHsp2jyp4nfmwj22IffAq9aTfuvZtmLGNvMroFw
jyWvNdlmPfciJ2wcmnaDg94ZxPhEeZHLnvdzKRCPue29B/heeRInFeudzOoY
a1kWBzklehARdOGT6X447yY/Le9SPYgGzjaXBM/q66lwOXoQ9rj3M0zgy+pT
P5v2eZCJhNSKGjW4vksudOOYO+ndkGvMC85auH36kbo7abFTXzusAvvhwv3I
gwuuJDNpLDRzH8b/JQk6pw+7klTV9X5UcHasp+bUA1fSHFrEMAHrhrCvupzv
SlhudBlyrFx3NIpZMHIlpdXCHdFKcF3ueVxZqQsJ3G8YFqoI89s7nrTJwZnY
PdHIiJPHOOVcleFTA2eyG3+v8AZHHwnhOq/iTMzjtD4Zgb16OdKWuZ3JXd2A
e4JgpV6FKx/vORGWdeGbyvZi3NsTWVIn6USMZgUlX+yBfJKullgwZU+6LV3O
GshhPMTXxyHQaU88aVJDCuC2dKeUxFx7cs5v/shW8Pn0hEw/E3viGm2ZNg35
cGf680L1O8fJmhNaNy6AzdIC2l9F2ZEwvcwfwzJw/i/c+M2z2Yb0SVT3pktj
XPHd64zuF2uSwqUbEw6+YSvBdPq+Namr0XTyBl/bVcI6HmBNNv9QT0LgjPpC
7js9ViTCWjp3Rgr2+7urYrZhluS7OO2OCThIx/EGw8yS1Nk3EHUwtUxY5p6E
JTG42TMjBT5Jy5WXeW5BPH/J1bOCHddmH/wna0HOdW1gbZGE87g30+zaiDkx
mVsdogDGGRbPB2+bE4aKeI8IWP03vzXHeXNy/2cG5gErd6bb01TNiYGCatac
BOxH61Qv3VQzUmvUtVwD5oo8Hz51yJT0XhVlqIJrr7JauBsaEZ/18+dcxDEW
jfZ8Z/PPkJgN9UpYgVPdHlCMawxJ/39540fA/pLJ0Sr8hoTly/aGfWC5W/w1
7G8MCHkm8nwduOy/nRxVFD3iUzHyvFEM4y034jKvCemRauEYp5vgs+c+iVx6
fJjw8n1gLwV7mZSrRioeJsKlL+ozwGJDCh5mSzqk4MT2hEDwtRnN9h9JWuTK
3bxReTDvk+uGnw9qET/7VispcFQt68uR2UPkOZPvZ1GwU/CD2W6zQ+SZNNWX
HyzMbLote4smcZ5/MvprN8aMsdqSlIeYjAjIGM6D/97nV4wNx0RDjmXgM7he
4Gb6UCci0kmiaASsKNk2G35MnfB4vI3uAvPOxrB61R8kxnYfRtrBc7WHt5lu
O0hyftrYNYOrDj7W3zm+n5j2RFXeBEuZDBd2UVXJp/Ks1lwwu8C1ppoXKqTC
ZZDrCnjilfvTKwdUCKtQwJmL4GLXmWXKamWyJq3l9jmwaPAfW+50RTIcmpR2
euX3GZI71/1WID+4BSeCwauKLD+vdlYgco1dtjTw2NOa0z/l5Ell1+VLPuBn
k2+1vmbsJZOsd5xPgBOYBTcNLu4hwuu+63mC9ex7VFsyZElvxICvM1ji3K4H
Na4yxFKQWumwMt6GcJtCeWnyr3kP+3FwD7/iqXN9EiTp8/JGK3D5oeR1Edni
RHSMp/cY+Lz/p6xAbzGCezSyzcBGD7ObbFh3kYyKj2nGYLnf348YPRMlTc5O
jYZgLgmTN7hAhOw7Nf/PADxrUXZSyW8H2XQix0kfnLeG/ffRU8KkvMp+5DDY
0bVli4rgNkJ5tO+0LngHCTggXLuZcNrsUtIBj24RO85qvJFQP0ms0wZfDxoK
m57kJ/Vbtf4eArs9ZeQ+i+Ml2wsC1694t5xWa6MIN9kmc3e/Jvgh35cWrdMc
xPgUdxwGH+21Wua5xUYizMKnEbg/ug2/m2ImRbFMASsuoZmx2Ov8bn09mcm7
4oqxnQmLdXOt3m6a/RrgNoPn4tZpb1pbRpYrVnx8/sEVisM9DR+Tp0UrZuQ9
fuf865OGal1904oPOWX6XDz/XYOJ99bsijW+dk793LasMRDarrHy/G3ti7cq
LVnQBMt4+Yqz2FMDR4TZUcbzLcor491kJiHP82k98tzo8XbFR/pGgguseBD7
8v2ClfdLCpC2amziQ5Y9+2NW3r9bIFj52XZBZN7WGaUFXtPYITAdswkpyLvl
rsyfrgPXd5aJLcgiaPPgyvzGrbIdEDIUQkbz49Ir69FZXHRLuWY7esXdlacH
LggWVlM6KIraeftfH1l5f/3OUuy7E5UvLRYZgd9tPbHJKH8X0k87kHwULNx2
+6c7izgyVuO4Zb7yvml2noHKEkj8StZXC7C9G/OLcC9JVKCjY2QNzllrdOfS
Q2nkfvaLnT24eWh+d+E/GeTSOMflBH5dcTmjZq8cCqBwj7iAkyUCG90M9qL7
n6oGvVbW92HLlTNVCujzuZidQeBIkfcDEccUEdcz8w2nwPuCWLijfyuiQU6q
UPjK/tt+JD5edx9yDS3MjwcHBL4MTBlWQXJMzFor51esa6kyNVYVpRoEaeaB
h7Zun0yXUkOnRfRcroO177s7Xg7aj+5osHNUgQU3LRwp4FJHWZX7FzvBvScF
E67XqaMoet+63pXxtKt1FNlqoO7mPo1+8OSJSNWyYoSidHZwDYOHh+PTbLZr
IuVSM4NFcI08f4TLXS2UUaVzQBni3bo3RTmu67RRQ/MkTQPsFq/S6GavjVwY
4v264M2vbb97rNZBXBFnvlqBo2MLKJSjuqj61Vz/afCxF3LWtE96SGr3RoEe
cFVUG52+Xx+xVy2FDoDXypilByXrI/WWOuYRcEsk/VGIogEqVbsd+m0lfks1
a5+JOIIqirw4RSAfLIbpy8dvNEYqIxfbIsHDXL+6l9yM0V+ZgrDz4I78YqeA
WmOkvnTI6jI4qXP1heNGR5HCBmuvGvB6NsfgK5omqKpA8/d7cK7R5kG/YFO0
vWXtewPIXxcy5wqk8kzRJ+nYRGtw9EiXzwdo3C2+DBt7gD0CgljteM3Q+DNd
1WiwXMYzJd1KM6R0LyC8Cdz6Jjl925g5aj4880YR8mfNbnfHF+zH0PT3tzQt
8DXfg9Jpe48hIT42GXNwPNPnjjXhx9DZRv5fgWDjXXrz85ss0JaFF2vqwCOU
VaYPjC0RhT+e4yDkc6alIK6gRmvUmTP0zBXqhdcOoq/9xq0Rw/gUSyj4Tkdf
iTeXDWrgfWzLAPsk7dK0d7FB/us7QhrAQ5ufUrXX2aJKzt+neKBeqVOVfcVr
a4fqB4KudYO9gsauVy/ao2Yb86fmUP9oDTH8b+x0QBkdSk98wMIa+9WvGzmg
wjCr7wng56ypg5kFDohyMft2M/hQhgZ7uL4jurCWbJCAeotryFCl2NAJXZX/
rsIG9djEr5IcWo4zMsO2fe+gXrsY+eTkhpvOqPOMi+YyGK1dPFh23xn18Ji+
FVLAOHOjwduRWWcUtUs62Q6srTwtdETTBRV4LD16Cc6n7r0q8tEFiX9/NT0E
9aPVbH3Boz1uSGCfrvQ/qDdXBb0P8NZ2Q4mP99wXUYb995f9EIuNGwrb/uSs
Dphlvd2oWrQbevL1cnoyuFb6r2jRgBvafNOtYjvUu1zemoWnQ90R1TqLw1AV
6t2xB8US9zxQGU++9X9QPx8rCs1wGvRA7pvONk+DRz0kYy9PeqDxQg59vgMY
/5tMdF7L7YlYFszeOIGV5w5vmzjuiS6PeHz5Cy76cz+15IcnkrY1HkdQv8cK
dISJSXmjsKFPq8ah3ud9EUBxUPdGbp6JzRugXMu/LGKbaeKNnPZbX4ev4+at
USpswd7Iep/MYjp4QQTPf7jnjc4Y3ezR1YR+Ua7Vs8j+BKKP0OVuQ/+hebjR
bFcqBYnsaHC7A/2KtuBA+1IRBYVz1tlOg3U/zOx91khBwR8bkkWh3zGMEdkQ
PU5BLYIHK1LAliSxd0TlJLoY7zpw8jDGJ1SstLOHT6LNw20iitA/pYl/28cr
44uq+Wei56HfuvhjfdEk9kVlYhEv90K/dum+OH+7hS/S/Bke4gfOcbWb94vw
RQUpolkz4OKrHVV9T31RqEANdcYY+vONqeJnQ/2QwB2ONX+g//u6+hJnpKs/
snhbfd7GAuJRoqf5fh9/FG4Tk5ULHuRUzfoW5I9aZSr+vgc3CbwS907yRwHN
h7oolpBvxLdqmd30R6wdmeExVhC/jlwN3bXsj/bYvjLshP5VM63kY3dWADq9
p2dNOvS/dYIhsjGFAWiVQmX9GFgsW4+mXhWAbAd1xpUcMeYonGSubQ9ALO0V
N1+Cn9+WFsqeCEDUPXtsxJwx9n5Vbe6jHIhsL/BkvXaF+ndHfRvP00DUMfmB
QaBfH90Q+CfrdSBa2JjKJwr9vdKytOquD4HIt+SBWxx48O3VauVfgSgnQfmM
MQXydXZCnp0wFYWvduL6fBL6SwGrsKITVLT3uVmdmT/Gv1l46uVoVHR5tWJS
J/jIt56Fu2eoiGLGzFAJgHroqQal5wIV8ed+MBAJhHr0gpjtlztU1EoXr2Oh
Qfxa90NFbTUNGTW+cxMMgf7ydzW1g5OGZJnCXuaDnSe9q48I0tD7rfHesqFw
frrfijlI0tDcyLKs0SmMDeLuC8QcpaF45uCysjBYX1qEKacNDdm0Xdiifwbj
GVe15AwXcJTr1SnwhUOVLKV0GmKjyn5UicD4vbwnlo+gofzEjO3jYAURkbDG
RPApOa2LkXA+uF/f1UqjoZ3rIl7qRcF8L19ceJhNQ3T5oyqromF9vhjvsSyi
Id5EmuMi3B8yvJYyUkVD5szX6HfBD/o6ir3qaehCDt9YLdy/pSVs9Gs7Dd2z
3HtR7hz0TxXKwqd7aSgzh29y7WXIR9lzNizPaejBwL9LqwohHpwry0gepiHh
Uc6p7AroD0659QtO0BDpDatfqoL44S28Pv8rDTFLpVCCqjFebfNST3KJhnL1
as53wfVjemmxtSx0FPYqNiIFXKxi2HaAi46Gc3x3S4F/ibH96dxIRxduPs3I
rsRYX7BNxViEjmRL3rXvBGexnqK+kKKjCuGpix3w+9PfFKudlOhIu7K/yAX8
a0q0vEGDjpryXt5ZKof1ec9TwqtPR7WtpfcywFv7vuR12tPRoxmuL71lsF5F
5QyJBBhPasIxdAP2k8VO37lXdDSVIJalW4yx6x1e2ciIIDQaVb6mIh/yR/DX
sqs9wYhjycsdZ0L9oZIZHK10CnlPfAuSjcX4Y2GYqcXTMLTgsiGcAfuN5ajB
n16tCLQ+/p79DSeM/awb5iIGIlGcyVlxTzjPRU6zkzwi0Yh/9s5mdoh3q9dc
6qVbxSA1AW4OLsgfZbHvbvWXxKKzuGTVXyGM9zhYqXHOx6FtwwZlUesh/z3X
LNkkloDuKf7a/OgPwv27+rYK0RLRGtbq17ffIDzL8zBkofwsWvYe9vQjCE/Y
/gosfZuEzoTnqwReR1jm9H2qheR5VFIV5wePxZfU2OwHHJJRd3qdqyEF4foN
02b73ZJR3oab3i9OIPzyQ79evncy0mlqinIBb0nLVTpJS0YMA66JEG+Ec6eU
OFmSktEhYylGsSfC17NdmxRvJyOLXbrarG4IV/9t25zOwUCSaY+CnxxH+Mmz
4g2L3AwkVErptgfP3TjP6igI10NKpD/bIaxgaf1VSoSB5HM5pdjAt6u+dHco
MxCzIdsadRuEmxyFQ+adGWjhaYhOlQXCb/ax+Fp7MhDPeraOg+A/HFOurScZ
qMohyLT3GMIa9bePJgUzULsGz40Jc4TbuY3ERZMZSMup8MAuM4RHPyoIJaYx
UDqdHL1livCqlk18s5cYSGViOOgQWNt7/F/DNQY6YHrgn5MJwu6o59v2UgZS
8o10mDuKcLxAzVRcJQMpmg31R4CLP2e8+1zLQK9mDa03gP/v/xT0//+n/A8z
1khS
     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hc81dH/B3BZKYUK2buMkBUSjpVN2Ssr25W9Mkp2cq/wpV3IiL5JUonq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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-0.015000000000000001`, 23.167453469480925`},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{23.025850929940457`, 
       FormBox[
        TemplateBox[{"10", "10"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {25.328436022934504`, 
       FormBox[
        TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {34.538776394910684`, 
       FormBox[
        TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {23.7189981105004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.124463218608568`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.412145291060348`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.635288842374557`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.81761039916851, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.97176107899577, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.10529247162029, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.223075507276675`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{23.025850929940457`, 
       FormBox["\"\"", TraditionalForm]}, {25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {34.538776394910684`, 
       FormBox["\"\"", TraditionalForm]}, {23.7189981105004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.124463218608568`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.412145291060348`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.635288842374557`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.81761039916851, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.97176107899577, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.10529247162029, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.223075507276675`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-0.015000000000000001`, 0.015000000000000001`}, {
   23.167453469480925`, 34.553475983420746`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{23.025850929940457`, 
      FormBox[
       TemplateBox[{"10", "10"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {25.328436022934504`, 
      FormBox[
       TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {34.538776394910684`, 
      FormBox[
       TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {23.7189981105004, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.124463218608568`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.412145291060348`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.635288842374557`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.81761039916851, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.97176107899577, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {25.10529247162029, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {25.223075507276675`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.937873935368604`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.240459028362647`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.543044121356694`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.84562921435074, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.027950771144695`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.182101450971956`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.315632843596475`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.433415879252856`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 3.5516240577616205`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV13c8l98XAHAyIhGFVCLZI5GZL+55hOyMKLL35jMijY8tUTKyV0RTkYgf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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Xc019//AHBCJSNKkqSMjIyK7HGvmb2z95bNy4ysjMTbikgJGamMtkg3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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hc81d8fB3AjZZTsaCgjkb0p17ki2XtW155R9siekXGFiCRJXFESKV/r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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-0.015000000000000001`, 24.35810221089304},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{25.328436022934504`, 
       FormBox[
        TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {34.538776394910684`, 
       FormBox[
        TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {34.538776394910684`, 
       FormBox["\"\"", TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-0.015000000000000001`, 0.015000000000000001`}, {
   24.35810221089304, 34.553475980082375`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{25.328436022934504`, 
      FormBox[
       TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {34.538776394910684`, 
      FormBox[
       TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.937873935368604`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.240459028362647`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.543044121356694`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.84562921435074, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.027950771144695`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.182101450971956`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.315632843596475`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.433415879252856`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 3.551624058526022*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwd13c81d8bAHCkrIyojLJHyZ7Z53xsiuxr34tUskmISCJ8rSSrFColUiIr
OXZEdiqVLSQRUaH8jt9f9/V+3XvPPs/zHEFXXwt3GioqKj9qKqrtz3+Si6SX
KhR0UHN9Oo5THRYT9C8+KFBQ8yLTrq0YLWjz0KzysyQFsf2ReufTDSAVa3bZ
uCgFMe3O3xiVhfBR0HjJNB8FacYMBuk5Qmj9SfzhHCcFtQY/uffSA0IqnYC7
C2wU9CfgZVCsN/59Ue3tHwwU9IvuDcdxbCu2HTmrNBRk/XL1TAL2v4WMIyu/
yKhZ9WvoeT8ILV4cEtyYI6NUiYti+oEQPoir5tzxiYxODi893giC8HDA6YDj
3WQ07roWmhQC4UOH/W9uNJCRU3X+A4Yw3J/0ucuH75PRh/vT39oiISwdlFkw
8SEjEV2ZlPNxEMrUjxhkUsho+t7OFxcTIHz6IKlgzIKMRv0BCk6E8NmFeVLg
UTKKfnRQzCAVwkqBB01ZVGQUW/5O0i0TwqOMNrwTy87o/F6N13uyIaxeoQ2R
mHZGs3SzYVU5ENa2uUrVdzgj7XmjkrlcCF968WVNpjmjvjIltuW7ELZU3/CW
FnVGt5kKLN+UQqhXoNsezOmMnora9bE+hbDtvxWhRgZn5FuW4WBSBmG7s/l7
y+9OaOS2zqHacgg7aZl1Qquc0NQTsfPO1RD2m13hajFyQmpDYm3zDRBaqikE
Mms4oTp6oa6FRggHhSfe2Eg7IVfL2LxvTRAOrYHoOXYnJAqiacZbIPxwa2OB
5ZMjoikJuV/YDuHYbECznY8jKhG/LFfeA+E5m4CKFBdHdOZvdnxYL4QMLf73
W60ckedu3gWiD0L5O35X5dQdUVOB9kZ7P4Qx1j7HGOgdkeTLV6KNbyE80uQx
UJ3vgM4qjERRPkJYL+PR8j3dAZVmGJCZP+Hx5p55LhLngArKyxuqscNDTmem
+jggl9Mih5hGIOyWdnc4o+6Aavf0Ct4ZgzDwJmWS8609Etkpax03DSE9A2XQ
pN0enfWeXOX/AuGt8+TW6Bf2iPkkg2cldpu584PFfHvERCczOToDIRe9o+cr
H3u0TF4MFv0KYd050sp5ens05WlEifgO4S5T0x1D6naI1ege28U1CH/T0f1c
k7JD48oDG1vYc41oilPADjExjP2J+gVhl5Jcmx2tHeK68Fo1+jeEabx74z93
2aJEvw8cYesQ8i18YJl2skVNRLib9j8IlRPdeX5GklAFkfpJaycBD+vzMe0L
ICF5jmvPH2JzU73bUDpJQi3ep77s2UXAzUDDz8GGJJQpsmg9gd3kIJG3wUZC
ipU8WWH0BDSV+CG6o8AGZZeULacyEfD063A59hZrxF/cr2G2h4Be9LHV/FXW
yIlTfyUfO0A/BUg9skaR8pLqK9jhTfkmhqnW6I7c7cvp7ARMrW3ziHC0RgWG
N3b1cxCw9hFbwdefVqjpckyy6n4Csvx3j71Z1ArxiepeRTwE5Oh4nN3LZYVE
cjne0x4gIBddlcAIkxXqSnXpNcIWju6Q/vPDEpmdra3px1YJ+24sU2+JKEnD
EWMHCejqqRJ908YS/bD3MvrGR8Dnx7pWAq9aII4Vq+PtQri9oeQLXqEW6Btd
Uii9MAEvUMyp3T0t0Dv+X2aG2FpBQyw2JyzQLVkfqlfYbbfHxFU4LRBLw7Rv
gwgB3//4Sd4sNEfr/tc274oRcD2Tt+tKmxmyPTE2K3uEgI5CYxYXq83QGc5L
xGns+pKCD0GPzJDjFROLXOzLjYdmTiWbIcbzs7n0EgRkmpejMbIxQ0/cxGY+
YquEJ/rxdJ1A53vNUoKk8Hq2fzaUYDJF/ncNg4NlCZi17w7fnUUTFMkuef8e
9nNXyk/2QRPkHp+d2Yf9fXPizvotE6T1mbPziBwBKXKzax3SJujG2t3AYWzd
nOV7ZyyOo4O8AtQyCgTc7UVHXZhtjFrztgpKlfD5qWkf4o4wRs8f8wwNYuvt
SihJcjVGBvvHB9exI/J22wZJGCOqakVlfWUCLg3ueaL70giFiKkkDWMPah50
mhwzRJrj557/OUrAW6xyNQKHDVC7c7gAhxoBx05ef+HNYoDsWmU3ZbFFaldf
1v7UR26cu56YYpecrG2yatRHQvsSc+KxX9TodMXZ66PIJt3Ev9jDbjajS4l6
qEM7c+WzOj7f1WE7G3/ooNz4sJQoTbz+zCN0LO910NZu15gc7DxXyOhQr4PY
rjRYl2MfZt7Jupqggy4Za8dOYau4JnOJi+ggxpcfDutpEdB2d77ENRttxPsX
Xd3CzqC0mbu8gKiFy0jLDhIw3fSm5ZU7EPFpFrr5Yqdp+Fk/iIaoSm+eHIOd
xMVjt3AMogu9sZ+fYtPnf2xYrgZI2MNvcSdBwKlLR0aENjSR9fuWSw+xxxwH
x880ayLLgVa+OuyPKhHTpf9potOrW+k92P1Lfd/UDmoiNUZvxjXsBkrohoWm
BmLQ0jxAaBMwF7ZzRUeqoeqE0qke7KyDAQc7DNSQTM13lnHs9N8HBFjZ1JDU
y6vsy9iJT30P3cxTRd/7dhZy6ODzL8CpXN6ogi4prWxZYdtQnbKc3HEUfSpm
TOrFtvjEShLvUkYZeySsRrFNqmvsfdOVkX5KxuoCtq4fs+uGiDKSvBrzilGX
gPJjFX4c+kqIx1i1SBubpWFHsk6cAuqRFvQtxrYtWfyqbqWATui8ZanCLsj6
aKAooID2FdsmN2Ef9S+nFq2WR2NzPyQ/YFOE3IJ2zcohj1X3OVo9ApZfaXLs
MJBF9yKqTtlg//MrrWnkkEW5/07TUfS2442i1Dkkg0TUvOI8sGs8p/KsF6XR
C+4kiXDs3d06cVwnpBAcXlu7g12WRkO6zXIEJVVqPxzH1vccZkspFEe18y7m
c9jDOs9eR2qJo2uKmh+XsGlXXbRcfA4jborWtS1sG1KjqEi3GJIapb56QJ+A
8zLZo3tPiaEE6WxlIexL9P7ZO/+JopGc/a8OYxfVCDDPSIki4fdDCUrYmwcu
/SxKEkbKcd9yTbBTf5JKc0SFEdsBJWtLbNE3Mmf+eymEBjWvLthim0aMfvRa
EERTf0mNbtj5Y1rNMiYCyOT43rVgbM8AqXX4mh9F/WavDMdOF/7sLbTOhxIl
VEhR2DMxGtbTdryooIZGMwE70XhD2JObB83Pfs3IwQ6uT/zgasKNfrQ8M7mN
7SrPl2IfxYWSv819ycdW4SHWjeb2I6/N0oaH2MLJ/U8I3v1ImpugLsFmoTnp
rmq+D6V9NRZ5gj01F9t7uIYDNXC82fMcu8eJK1ZggR39N234qQq7tq9InUuQ
HTFTdOJrt+df01VIF8+GYnVqExD2mn1d9b9QVnTXS3W0EfuN9qjw93Fm1Fav
sb8F+wK76HpXGSPyIA9KtGObrRu413EzoEcVZxlfY4tNnO0tjqJD4TC+s3N7
vTuS1G/O7UQeXbK+b7D7y54WJpjToglG19Vu7IfZA3su1NAghUxe517siKi1
cA9BapSx6lbUt/19v3xvGftWvfh1pXf92NYFIYWpExv1q61pMwPY1AH14b7P
ftdPd4UND2I/JmgtTS+v1g/3LD15i223x1hcymK5PnP0x+khbKYm/i1O3e/1
PasRNO+wT7oUF7+dnKnnXs2M3HYd1VHb69Hj9bRFGqPbPgxjGAr0h+q3Wr0E
32M//avSqra7uf7k3CH9bddxuAqpDRRphWR7m2w7me7s0LvVHq0zeppHt72/
lTfN78UnLT29jB3bVtCJvrX+ckpr13Dws+32h+/+WtTgm9eKkhrX2TZBU5kP
0JJWoEVf1fZ4b8j7dVIWV7S8dQ1Ytj3nemQ1iv+X1vgMYbA9P43rU3x3T6xr
8TA2uG7PP7X5tmFL5F8tBZcGyvb6LIdK1iyTqMCBRILYXr+DaQymO5aoQQK7
Nu32+uo/+jLBEbcD7HJvKOrB9mtqDhYR2Anef6qV296fluWL+Xpm9MBWindu
e3+/Mzoo28wyAGPdKK4ObC5hlc5Tl5gA7V+7I6+wvSyXf159ygI+9lBWm7A7
n8/oHhdhA6neCaUN2GOETYrVEhtQqeA3rsdmtFcQcY9jB4za0YdrsPm/5Pt4
W3EAV/PjnpXYigFsNUECe8Gv7POp5djOCQsmsdX7QPjJyajH2GW1D4IfzHKB
M+ntVHnYvy9FtW21coMFY/2dt7C1DBz22d7lASGlHV8ysV8PsJTTOx8Eb2l7
YAr2xLeg7x4D/OCdxzGz/9/fDw/4XGwFgNhXH43t+11Vt1ef+ZUAoOvw3RmA
/ffy93T3e4LAinpF6jR2PGuB/H6yMCjNsHt/ArtkmcW+6Y0wkJVtfmSE3fs2
LMpHQwRYh3yw09k+D7ese9u4RQHv0R8mytgFhxl8ggfFQNUIQxLP9v0k/Ire
Gx0BgdXmlE843n0W+dx7pfoIsEVc6wPYVPTGv2UPSYAq/T1+ndvxs1vYIJ5W
EnxQDVyqwR6wfzeliqRAXcwf4gb2mip/qkmOLDj7OZlfDzuu+O3du32yYNVq
LVgNm5s3seoPvRygObFULIOtQfVn5H6wHMj56VPIjX25rV/qn5U8yOixmprf
zi+WsZ2lrIqA3kc+NB7bvGI9xkJHESDvUbeL2On7fOHaeUVwIfmwtD8293vS
c80RRdA74Opiiy3iJH6nq0QJLNKpEaLYaqe7Ar4aHQWGkQKfqnF+u9gOpZIv
HgWlZw+8eITdIP58Rq7sKHCrXQ65ha33LdcxlEsFUM9TX4vENvP31aefUQHj
lyXldLHdw9h5xK6oAX6vNNFXOP8+/BQ72FGlBlZuz85XYn/V3Ej2nlcDoTxq
qYXYflRTO55bqAOm3WkBMdgXYp4v6AhqAMe3Lre2831qim2jS70mSN/heb4c
1wMj5icqTMMhCBLM6gzH9Ubb3P404ywIbjFqBp3Cfhw14qtfAcE5is3PE9jh
Zd4SWt8g2FcdESCEzbMnsUDKkQChQm2erQDns9721N0a2kCa7aTaDuxuU23v
1xs6IKJkV7gTrpcqvzAca+PUBTt5LuQS2LkRfYebFHSBGn9xqii2VyllqsZT
FzBN1s1/08D3iSXSoeijLmiqeO0Xiq3/5oVR3As98Nz/W0Y8rt/QMSUx/TAD
cLRjQDdGFee34gZ1lGEAxIvtfrphjzAeN1d5ZgAOVCUEaKtux2/X8CNzBuAW
h/bwPxW8X4ap/SwkQ3D8tLpFEHaF7nzEO3kjEF/WVGeL68+Hmvnvznw1Bhtt
teK/FXF9kSu5ML7zGBjqeGzZi922WUXjIHgMqHIJ6T/Enn7RLWViewwoiBZF
k7CF1Daj5dqOgSD03r4c18u3lEmy6/nHgfyAjh5FnoDXZJjj/7MzBa1WIYZJ
Mvi+x/7ylwg0BXGCvqou2JSRcfvORFMQSr+1rIgtm1QpydRgCq5lL9d/lMb3
8Su5N0HsBLgvZFAuhs1W+IwzYeUEWIkqGiyTJKABi6RlS5sZKPlGZr8pjt8b
qvkG6QNmIMvp9PXT2KXu+zVOjpmBZzqCgwrY+19SidKumwEPL7frnYcJ+MXz
7ZqOlDkYrhnZ+nWIgLEdETnN183BqXYlXV38fmm90jfeRLEA8uFXZx7g99HB
k0lDD3wsQKtmY/op7HM6Rp2J4RZglFdsVgRbiKaxwibLAtxlk4vME8T5MfLp
1a89FoC2l975ugABlS+kSLEDS5CdEkw6jd9fhb4moS68VsClJyunmRvHK1MG
H30JKzDIxtYfhG0l3eoqoWoFQMhK9iFsmgWN46tWVuBRWcW7eC4cX89K8scn
WoGcMKsVQ048P3em1qcbVsCerm7y6V4CXrXvYKMatgZhB4TbBFhxPH2u6Pv7
izUYfrwjqIMFx4c9eW+WVqzBgohjoT92+qvzCePMNiCyxyixgRnHO0UR2mbC
BrRPexjY7sb5kyXyV0yRDdhqF7nkw4DzVZPiCFMoCSg5ZRJSOwioxJenQRtL
AhcUHZaaaQgYEsp0czONBIRURH/bYW/JTJAWSkjAv05j9xVqXG/mpvR1j5HA
h+KW/b1bEB4K/tpyzdAWcEv38+tvQugokVfMyWUHSNNcWTd/Qhh4duF+t4gd
ULN+K3sQO6FILS9Gzg4cXen4cnMFwppDb9NXjO3ARmbanaxlCPeLMEb0XLQD
fV5zq7FLEPYePGd2ddIOKJQfTVH8BuGMQ6Ox1pId+K48mXV/HsJ/OSx6q5t2
wHWpNWkfthR3karbfnvQJ7MgvjyH+9s3IgSM7MFDSROUOwOhDovh6lqpPXh7
e76kdgJCe5Mbi49f2INikksYF3ZA4sTcyXZ7MKv94vu5cQjzGC+O9I/bA77r
4k/ExyDc3PXsVeleB+Amb/4n6jOElVsHck5dcABfrAMtZt9B+EbLI533qgMI
SZK+J4U9dbEyefC6AzjEOangPwQhx6ZZtPZjBzCR7L6wPAih3+8YL74xB0D9
d3V4tA/CIz8WtYb0HAHfD18LUif+/2S0aoGlI8hn2hXi8RrC20Ocij4ujiCt
s/xNSAdurw6I77roCBTU+V4lv8Lji03hUK5wBHsdpjZvNOPxhQqz0DQ5gkBh
9WcpTbg/ryr67h5HYOF4gyq2EcJp89G/7vOO4CzHD9YzCMLugzKzN4ScQAuJ
wXirFsI41uYJF1knYGTMK/yxBkJtGtJnKS0ncExtd9uzagirZiL6W+2cAO+a
7aJVJV6vZ911q6lOYLd/xDqlDO+/oc816y0nMKxu7h9YCKG0Ok2iILMzkCoJ
dP5zD8JZqYzYBR5nICJcLR9yF58fjvqwGGVnYBJKPknOg1B/hPnUc29ngFSs
OTuzIaTqy6dEhTkDCjeXFWsWhLXNSg4m8c5AuJu2wCgDQpkiJ7Ppe85ghSk7
83YahFznHqvt++QMFj3lhWsTIOw/RSiNzzmDKvqzkXfiIEy0eyvz+Jcz0KT7
NBoUCyE1+Cuix0EGM9rnZJejIKyTu8a/R5AMKtjfDt+IhPC8iCjPZ2kycFFL
CxG7COFXBhPWIGMy2JXZG0sfAuG9zTEGwpYMKiWedNkEQei8eI6W+RQZmIqr
VvwXgMczQb/1PpAMBizPl9zzhXBg8Nafe1FkEJC0G9zxgjD5lexPvxTc3/Gq
9QfeEBrWtnzXyCUDx54DFzvx9zSPbefoi8mADoRuVJ3C47vzbXKwGrc353S7
0gRCVxZZw4pWMmB76pE7cABChouBJdf7yUDq1/WOof8AfDpfyRY4SgY989eO
/r2vCWnuvm+amCaDdg+GY4q0avB/+31MSg==
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Xc4lt8bAHBZkcgooyI72SJZvefYK3uvdxAlM16yR0ol0dAeRkVmiDLK
IaMkkmhTRknSkPWV6ne7rt9frs/1PN73ee5zzj2Q8g1z9GdlYWHpWMHCsvzz
4Isi3eE4JjG1/C5o54vw2sGGH8X7meS32Ymfb8HXR7uLIphM8uLJ1s49fgi3
/fi1jj2USca1Yv0O7EKYgwdPyzOYhCN02rg2AOF09Kok2JxJ/m7uvy0WhPDh
m1wbF4SYhL0y1nIwEuGMuMC/fOWRxN90UtLuEMK0MdL0tTuCSH1YJUxKEA7P
lhg7/WcfWX1yL49ON8JGf6jWDhr7SM5chE32N4RH1bUqmpzCSV94CXMjN8bJ
1jJfv3CHEYX+n32HxDAeaF4ZWWcZQnar3I0RVML4VuOtxOqTQWQ7M2ZynQHG
/3T2OKL5QPKaWuzdZY3xlKGVhLLeHuJxa83RGm+MHboNakovBpCO/MXFyGCM
dYemu93Y/ElVtnHPQjzGTXF9Q36WfuS5lO4DueMY6+lTPKeN/EiH8kqx3eA7
v4sHUgz8yIOGnQk3wRUJqU+uqPmRS5YbApWyML6apN7wcp0fkT71Y0QjG+PE
A1lnrEd8ySXBxWTDkxgbZFjt1Iz3JWLvzWVCzmBcZ3XnYQvTl1w06UusBGvx
SBvbh/qS9x2SU7/Aypn/6YYwfMlcRs/q+LMYb8y6ubnI3JesKcnyzDiH8e+T
nGwb1voS7/QTaeUXMG648KCetZxBdBoVarivYryLhaeWs5BBTmfEZLmC1+x2
qlyVyyBcKReuXFu+rjVWKHiSQdQfu9tTcjHmfcqRIx3FIKIqR6ei8jCms1uG
Gu1gkJZc0fU/CjBeFXQy0EybQeZME4/haxjXPnu9y0qNQQaaD209CV6Vu9fL
UYpBOv217TWvY1yjm2nhy8EgRQGR2fE3MF4Z9lT6QDedWMqwt4jfxLh6QEQi
vYNOAhtTxZhgbwO6WAahk/uHTOofgyu5f645VUUn1024eGKLMfa8Lvgn/wyd
GEx2RQ2VYMzO47VwI4tOduj1P9cphf2w79qv4sN0UiT08cxpMDvS+lIVSydB
bd/krcswLn/t8rLFh062vhEuXyzH2B1f7Wt3pZM9rx0TwyowZi361N1pRycr
4/NfloLLeNU6uy3oJHPDeJvxLYxdmfvbnhnSiXLNXLo/mOUtIQN6dHLbV/y+
ANxfasjV+FqTTvjff7Xyhed1vWl/Z1CZTigHzji+g3izrLlQNSxHJ1yR5S8L
TmFcEjVc9lGCTn6ELtUw0jF2ebfl5oQIndyK7/1amAr3G0dcm+KnE/+Pl6Mu
p8D9xQ1Xf3LTyYnUwEv2cN2Zn+3iLCudGC2xcj4F/506q/hrnkYO5YYEbAQ7
Nm6W+j1BI6J56wxC4feLjtSJsL2jETnvj9vakjFWiNgdsbOHRrbPbOiRBN/0
Eu4+00wjSm8yB1OS4PtUmQcUbtAInW9FllUi7Pd+tSmbUBq5Q+EX/hcH50Gy
6MF5Fhoxt17a3xeN8fZVruIj01SSuubRJhdw3S/2GKWPVHKW09rvdRTszw5f
laZOKglNnYz4xMT4frDE+dFTVLIuyDxFIBLjtrozIapyVCLtXClaEIaxaYHJ
o/0iVJJojVbogjuO/ZJu4aYSe3rSaG8oxo+oDq+cvvmQk0I3D7CBu9h5jWPv
+hBZwRspy+e7z/6gaJulD7lhIKwVF4jxh88RrR6h3uS/qklbrl0YM10jarIZ
3sTnROilRj+Mudv23Wh39iaHVsp7h4G35oYf1tD3JttUlDRf+WJ8yCXUmpvL
m6TGhvPcYmCs+CDweV2+F8ll01IIp2EceYk+KjLgSZDz+L3tXhhzcdP7bR55
EpHh+yzznhhfjqa1pzV6knVT1NN3wB0O1KLv+Z5E72p+vjZYlMs76GGoJ7FO
E7bV88D4HtPtVzSXJ5HEe83t3DDmtLVle6HvQTiDZ/eUOmG8sHLlzJyKB4na
lJIcCp5oIWMikh6Ecmj6rQb4yTaNDg92D7KUoLqr3hHjU+Jrjw4+cSfqrVrX
uhwwlph6zffRx50Y7tq6e8kOY+1M//UzyW6kX6Wm99hOjHc/TtAQbHMhsvtf
H7ExwziYK71u010XIt5+algKHGGWjVRKXEg/eeE7Z4pxwoN8G4sTLmRGVn8o
F3yioSMwyduF+D0Ouj1jAutfwl/wZcaZZAlyVt0wxpjv2HXBVjlwg/qgjCHG
Qp3lF3pFnYkGlX92CUM8Vt6VHOJxJpaBieovwDJpnar//XQirxTjBY6CdeK/
Wak1OZHzrLSYHwhj3yCdtEuuTkRhR0pTOwXyk/WTX5GHHYncNwf6UagPoi+y
4oJjHcnt8xGP/cBxdIcV/kGORImy3pMCpkS94HO1cyTmLEkTv/Rhfa5+2KIj
4kh0LOza6eBXP2doS4UOpNLoupuhHsaL58SfHOywJyuaM7eI60D+kv7gmFhn
T/z3reRb2g71pKzgdVSJPVkVWb32LfhAy+bxgCx7YhRIOXIBzDOpwWrpak9m
TAc4RME6CZnh65/Ykexn6y02aEM8Hw1aKPHYEgtFfh89LYzPr8uVyP1uQ3K7
gj+Jg2t96TOC/TZkbxItawX429JI7uJlG4Iy23U7NSF/a3ye61S1IfEfXy95
gE0uTl/f47iT9P79LJ+6FePVwStXFF6wIoOb6ws/qkM+qH/0QizJikh+MP30
BGzKmVF23NeKKBYVGtWAk/JWu0cpWZFzxysd0sA/+gVumdy3JBGi1x5Kg/t3
bPQZ/WBB1jt94NqtBvt9jUa9pII5CaJX5bCrwvnbdboxhM+cmAu9b/uhgrFs
w+z9hhkzwqGyuHoQXLar4YFzixk5Hv1mrBbcWG/85IinGWkX2Ve9B/zGz/X9
j0xTcs6jqqlPGWOxuniOlp/GRNx1XXAd9APevEMr+V4Zk4+xgZlF4DxfvMqr
yZic9R9oPQtW4OVYM5thTL66DO6PAuv4ZolukTUmf4tXz2iC3VfnK510NSK/
RVfr1CpifJbe4cBoxKTMWuvxoy0Y59hecjqYi8md+YYz9eBTBuEuRWmYXPty
Pb4EfFx0vceUNSYnHmWdzQRz5b9tnq5DxNlOkssRPJaiOCT9eweZ9Ts9MKwA
8fDuH97TuoPcme036Qe/1Un6WHFsB3H7Jt/TAe778eyr3sYdZNfcZ9UycDM9
9rfjDgMihH0VYsBX8CPRtGQ9cvu69vxa8PmNERs7zfUIV5cHBzc4Z2GD5Bp+
PRIRZqbyZzPGmZVhmy/l6ZK90sGPP4LjJEW0b7fokNuG8bp1YFeWAKdRtu3k
3oT3OAPM18yWZXxEk/wUU9z7SB7iU/b9i76zJulQcqQ0gwvOvzXXktQkQ1nn
FOrA2/fdXiFXt5W4eu5DN8F0ab8ozs8apPKNQvRR8O2DD7w7zdWJkPYkhz34
b3hFfYuQOhF4OqdnKb+cL7RUmESNqD1hSTcC1weN5bl8VyUmOtzUbeDVPcZH
RO1UiKFP07qN4KpTrG5X+RSJqXRAwZQcxmZBb/izC7eQP/Qr2p/Bb4yrHydT
thBKSOOHETD7LIPCCFUgKZxF0a/Arm4tcrI98oQ/akNxG3hS7cL7tQHy5Kn8
nq8EnMK17wLHXzlSnX3KtBFcXC/JO64iRwIOJOhWg5c2pMwUH5chG1wzNueD
T8y4VVyUkyGci8ViV8By3Wp7jt2XJjdY86QugG2T3r8NnpIix8RXR54E53+g
tKrZSBLmv6cb0sBBESqL+PEmUiaedS8ZnCMzGCK9KEF6ecQjE8DjhwxcPnqI
kwv8pVLR4Eyr3zJBYusJzTL24F7w/qbM1742YkREl2V4N9h3q0S2Z6oomRWK
d/QH66w3XLScECZvt1oz6WCZrL5bhuLCJOpNriwVzMe6y1/XYR3x0hqf8AKP
TaT3KtQLETkem9tu4Kc+oumSU4KkXTzorgu44VmxvqiUIJHhi+91Wn7/+ieF
K4/yE6eFMEN78Jznvbq/sWvI+3rnC7bgbqP3Mt+Gecmlz4qcNuA4QbnFJ1Wr
yC1GqYQV2H7R3P+eGDcpuOHy2AIsP7K3tzR1JZmx/JlhvhzvzuP6lyY4CLtX
Et0M3FdVWZjhwE4Yk0tWpuCbF54LxNWzkndCIVYm4KTUuYRAqRUk8lcP1Xj5
et/W3irBf02MW9JHjMAuBTGFJ0Z+N62N3NNhCF4R0ZQQVr3QtC08T2zZ5Ybs
TrYHZpsuDz1OxWAPAastKo7TTT5L438RmOfBpn8iJt+aGnkXTix7F6O0dGB0
vEnP5/f2Zd9j2e5+Om246ZD+9C8KWAEf4i4we9F0+N+7tmVX/tFp11vd2sTg
vFey7HtCvtJ6z4spAbezbyw7a+XeFy9nn1Kkw91rly3cLn4qvPEdxb1M+M2y
NY3TLi/eH6NwDD0WWv6+N9fmvxtITFI8U6N8l23IeicfkR+UZlGRjmWf2Rre
Rf/+izKqXElZfp8JX8XZ1E3zlNydhk+WbXB6TOKa3SKFj7crdPn9T7RetWhL
/kM5zG0rvxyv6Vjl+mk3FnR19PH0sjee4rZl+7ECyRsb9S/H16zk04jQETak
+qLm8XL8wx+07peV5EBcDjIvltenbTox39SeCzV/m1NaXt9vq7y0XT9zo4wL
PtGWYFEZna6AFB600qB1YHk/BDtNzxyu5EOz97KeL++Xrtpxk52y/CjbZW6f
HfiDoWu28w9+pOJJl3MAr/LUlPU/Ioj4GajLGbzpU35oiLMQmrS7c98VrBXB
Xx8luRYtpmm2u4OpGVM26XXrUNIbEyEfcFVD0f6iz6LINmG4NAC8kJLa8a9d
DMmc00oJBFPMvda5X1uP+irtQ4LBj5/z3eaibkTPlL+cjACPfI36Fvh8E3po
28uesnx+XxdJMNwl0fMtF3KXz/fde2vNeB9KoqU0HafD4D8HvuX4X5dCxpKs
HNngo2sKtgrTZFDB4NypXHDZNJ/ng24ZVO5WPHMN3DsQnxpqIIs+CxiF3Vze
D5ddejvE5NDnftVbVeACBe7Q/f3yqCxO07N9+Xwahhe/slRElKk56k/woOxg
78E6RdRGkbKfB7NwWS2ob1ZCVcjd88/y+vXImB9lV0Yvts3Xc0N+fe75ckyX
qKD77uaFMuA53U0nbC6qo6vJrdu8wUdKB65de6aOcLdQvR9YTDzz7n9cGkin
K88lCGzA8t/Qjf0aKHBr0ps48IGOPpW/zlvRYa9CoUtgPqf0roo1WkhmU6fZ
B7BDzeIhR2MtdLdeufUzOGddGJ6L1kLr/t1z+bn8+a/cancMaaHS5PD7rFCf
ZH225D4p24acXyafkwfr7X4S8cVyO+IaocRGgBMfYZWsxO1obzurZwK4eUvt
uEbVdnT7uKJDOtj06xXvWFEd5DRVe+Ai2H5fmBnXuA7aTd38qxXsHy+4Xv6g
Hrp2eWr1BqinN9+l93fe1UNSl7pc5MFfdvzOCpnUQwJbbGs1wOEsY2y1jvpI
2s+hzgIcd6h2yljKACkf7OnZDz6R7d7CaNqBtisWGL4BDznY1dgmYKTwJp1e
Cf1Bx4TwKavzGLH2ttwl4PLUoTCzGozkhm0Vn4ITqkKUKF8xCn6UyPgGXi+Q
WaDibYhOTSyKqkK/4tr76MRqAyO00o3tdjW4x9Yo5PFvY1SR79LVC/3NnU/c
1h0iJuj54OKlUfCVpGcKDzRNkNDz+SNz4OAK+lh9kAlKStpYtxH6q1V8yV7F
b01Q5/ym4L1gs+5GyyONpkh+ME+TB/oxYr1N3izeHLUfsDnqC/2dbWmzPjlr
jt5G+2XHgIdW7XTQqTZH3eIC1Vmqy/nbN0Fxwhyd3c2waQTrWZzo43OzQJSs
DYProF+sMZlMernVEkm89gvqBd/ckf9yzxcrVDAWfdlLA/qLK8pTwxzWqHTu
gE0UuGPpLquXlDV61NK6MRv8sbFHxcbdGn3/KSvcCpbWW0rT6LBGog6ro5Wh
372s7aa+mL8TFe6fmWeHfvikGu/RYx62iPbr3/5u6J8X0uf3KUXaIjleX/4J
MH1o2LMr0xZFPR1uY9+GsfrxO8o8zbaowCD2gAG49wutN0PeDtVuaHYoB/MX
Votk/LJDs7/F7HKgfzfnU3Zq67BHROQqioH5YFE33zznuT2yM76VcA5c4S9s
sOuDPbI9K/bqDlj4Posc+6I9Wl1l8mUW/CloYM5YxQFp23gkRelinN6ZdLH1
tAMy+6sbEwfzR/vBZ8MP6I7oa7Wa82WYXzbuOv6iKNQRceYYHXgAZhpbdmUm
OCLKRNLLz2Bp1pYa1/OOyCVnZn7bDqiPyZWHvzx1RJfVxtb2gbXjslUEkRMq
CeJ8LwDzVGGYTSxD3BmdntjRXQnz2R9b7lAzJWf0IzJC6R3YWbXdV0nXGdWd
n6tdaYQx65TBzllnZ9Q5esOeBqbuVd50NNMZ6XdaFPDDvCfsz9Ne+dsZnSmI
G4uHefCwZyc/yxsXdJTwxUSbQz6t1Qpb+OSCjFd8SL0O5hPI6/7xywWVlDTW
9YFzHkZnDPO6os++ORVqFpDvtGTZWw1dUTyvVcsk+B5f8vyhYldkudOnIdgK
6tUDrSGeWDe0T+vT2GkbjLdJ5Bmwp7uh+VV3BB+BY2J5Li2dckMq3oXRS+B/
aiNuU2VuiNFnMOJvC/3mlexnPR/c0G7dFEd9mI837//SdtLCHUldFJ/6YQ/z
hlJeqYioB7p97hZfhjPM/3unbvTIeqDa12evtIEzivXyDml4oL3bHUP/ges3
D+T8svJAloX0l1EuEA/ZVUlPEz2Q/MCNl/6usJ82Mu0Pj3qghYVJUSd3jI35
LGbnKjwRPb/t4G5vjD1tznwvb/REv8df5ZSCIzJHJnY98kQFXwP/fgfnrUoc
6hv2RCe2pA/H+sB546x+WLHWC/VGvuY8RYXz/2/DxYA4L6Sy9tXTfjrGij+/
U16YeqPre+REK/yh3xtN0y1w8kYxhUt9nAEYX30hohXK8EasvAbqdLDQPbSF
M9EbzXiJDq7dDZ+fni2kXeONNgz3uabvgXyzUe3zGWkflL/w/ntmENSHNa0j
DHUfdOjx2N6fYCNWt0EVig+6mcHT4RoM9XA8qa/dwweNTj1WkQ2B56/uuTd7
wgeJ7DQJexwK8bQIPenyzwc5q/GVWUVgrKrPminFS0Xn115QagZ/VjmbPrWe
iooC8lZsj4T1EGqKP6RNRRGm68cVmJCvhngDakOoyMkv871ENNS7Z/n01Hgq
GnBtiMsDN7Ru87I5SkVUrvH3MvsxViv2sf94nYr2Ho80VY+BfoRZrrfuHRXN
hP8bZsRBvxlguG14goq2KZVxz4AzPQbUyuepSPEoe+OReOgf0R9ZUyEaWl/w
QaohAfajxslNAlI0dHozL3JLxDhaVm79oCoN8ffLBc2Dv3DbrImyoqGrbyz/
GiZjfH3pA7ehOw2lDxn0fwVTvzPZeQNoiGUm8PSlFHieEa5/ryJp6OtAdJNt
KtTn/sv/XU+loRULJaWcB6BffKg+E55NQw5IIn0W7rdoaPtmcIWG+izV79WB
WcvdJ7hKaShOwXh/Ndx/L/fraH8dDQW5G51aewzmBT51i5p2GjrCs43+5yzG
3ImRZaf7aCgmqkbKrAD61ck7/JHvaSj60beeG6VQbzwXmY5faWhV4nbLlArI
D492vNb4j4Z+NeaxRN2CeF1qvsrFRkf2oR+U1MByTiP2Mdx0dLctkKUE7o9Z
xc72eQ0dqZwskQsBd7XI1boJ09HlNzNpf8oxlog13/1wIx1pfnEXjARHqAeK
bZeho4XCw8IC4PbxjK7CLXT0gBnOd7cM4pNbliisTketfXv5qOBg1x61dG06
Oqv3fJIDLNgukONvTEdFLDduucHz+ydomg1Y0pHsxDHaCnCdpsuCiT0dmX30
EygtwZhWcN5b1oeOkvzPF/4rhn4seZPcaDQdGST7/am8CfldT+UOvYSO9Nnc
u+ULMb7403ZPbyUdTeakoZc3oL+9Gb4e36UjLH2e7Qg4R6QmaVMbHb0rOR/0
5Tr0izN65kODdJShwvqu+hrU91sWr7wEGCjRlr/aLh/iLbtr0TWGgfoPZ3yo
uIzxwLZiZYdkBpLv+k+ADl40+0a1Tmcg2YyFMAGwcWBMK8phINVzVfnMSxi/
KM/MVKhkoLAD7c0GF2F9tGslFscZqMLIYO/zcxhbWXIaX3HzRVSduOp1p6F+
htw8Nqrth+rfSPzrP4rxNa13joMvd6HeB6r+f+A8DEXtPFsSHoDe1FXtroDz
Hq90ekREeQ+SSiuz+Q/yVwG1c9d0ZyDSb/c5tPz3QiXOF9+DM4KQsvZT2h+o
txoKm+YbjEJQgKq44W0p6MceumlFD4Yi+wVreSd+jF+HaN7fYxOOPNhs2fUW
ET53Z+vvneL70OsB7ZGrAwifNrCfXz+xD33VVMvlqEK4eenVvE5HBIoK3fQj
+QjC1fEep4/nRCJ9H/m1XxgIi9dOD8ufj0TnDmNhA/CRb8fUmy9ForE7IdxZ
sCw0RlP3dEEkWoxf0apBQ3i1uQyXe1UkKvsskBbjjXCA4FSCdE8kiqYsaLO5
IbyhOCXg7komkv3rFMa7E+H0EbFaex4monsp5PhYIzy94TbbFz4mUpgXLim3
QvhR1se8jcJMdFzVpNjGEuFoptXbVFkm6gifmMk0Q7gXrbXfachEv9vrWrgM
EdaPLb/60YSJlJJpC24Y4cJqs6kkC7jOsVmyCCGcKBebUWXHhPO23tiUgrAi
z1CbMJWJTNLyXqToI3zGZL9QJYOJIqO8zj7VQ5glid/X0p+Jsgz1zSXAL38Y
/YsPZiL1+KCERh2EjRTf2awLZ6LRpXssq8AVflGXKyKZiPvItmj37QiLXeGb
NN/PRC43B94VaiP8//8nIo+xK1qz2xD+H7QHdbs=
     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Hk0ldv7AHBTIRkiosxTxiIqcV57m44o0zFFbqZI18yRDCkREhHllkZ0
RcpUynA720yFJFMDmed5juS7z2/9/nrXZ73rnLX3s/ezn2e/Ei6+FDcmBgYG
TkYGBvozuvPZsf5QKlo6UizqIkWCu3vK53KDqcjJM0NqGPvpYPOzACoVjfZc
E/aQJsHauUV+Fh8quloqMeEtQ4LbOOCCrDMVqRieXLq4nwRjQPdzL0MqimP6
typBkQRjc9iE1/ioyHhMQSFPjQTjQ8//4XoZiD6KcEdW65Gg4xCiTTUHoOxr
jJOLbiTolyQ6lLrpj1wct4X+iiZB3c0zJyxU/VFUvQ+4lEmCgyrq+TRLP7T7
4+ykfxUJXj4hNTXB7ouezRVMG/WQYEcla2CpkTeK27sWqr9OggUVBZeKb3mi
cy1ZFYH8BNzS8KCA1fPon6OFiRnKBJzWMRZV0vRAWfd+20WRCWjRTHqdl+6O
VFL62/0cCHisd6HZltkNba0JsL/0IyAttK3X1cgVnU4Ov650jYDl96rLmF46
o6PKMk5DaQR8Fle6h/mHIyI47D5E5xCwbyygxs7HAcl2/tt/oJSA201NmTu1
7NCPYus+4zoCnvsQrspba41cZh3aOj8T0IstplTsrTXS5zO3ZGojYAA5CSg/
t0a3BK9VKGOHV2eYHE+2RkX5L3WisZPL689HOFijr+8apFW+4PE858mcWLJC
hi139KPaCch14ylvjYwV2kH27RXoImDJiabFwFgKsq7o2Lf4nYCCnTdDvUIo
6Ndod9i+HwQMdbJgdPOkIJ5/zGh62NpBnVw2ZhRUR0maSMWuf9Qnr7GHgjik
xPoO9RCwe37J8Xe2BWJ9WEZ49hJw/R+Rpuh6c7Sb0vW6rg+Pt7HnuCKHKWI/
nCcjMUzAu/yPRR/PmiBDz6YQHewSF6cl3nYTZPx6vdAZe+b3wOP1ByZoPie4
MQPbSXVs5f0BE1SsV3NffISA+ukLTz0oJ1HDgHSb4CgBd3qxMmbfM0blnxwD
FscIKFfW2CkUYYwEZ/qkecYJaLA9/kWiizEqHTlWroQd8WTnqSBFY9T82yvR
DXuufVeB/jsjlMKa19GB3U4I/zXYdxx9aJOaKpwg4ANu1TJxOUPUristazGF
1/NsaoU3lyFSfu0a5YEtXb78rnyJjJI29zRcxn5xtrzaqoqMWsE3xnzsijK9
pjh7MhLry9JnnybgN1ebn3MJBqihEP4pxxYqDdtWNa+HCtN9jnHMEtCBs5eV
q1sPDYVvuYhhP3GBO07T9FDe7M8ANWw5zm3cy/F6yIzzhsFpbA2Xm4Ly0nqo
mdHzTS72qZ0ZirdsdFGw9ek6nTkCpjnVWzhXQMTT6ZN8Zp6At03vW0Y/hoj1
7fC0H3YKyc/6WRREvkGMylHYiYJ77aZPQDRrLmn+DJst43vlQilAfnLD8jPY
Q1cUeiU3CGTdZaZwYQHHw6G936OGQJOTIRkx2N81IobzbxCo00d9PQ27be7z
lKYwgVgarc3fYlc6hWxQCBI6RdqftIL9EDYKRl3WRFBhydp3Ee8P4QDh94aa
aFYvZfgS9u21feLcPJpI2f2lTQJ2QqHv/vtPjiE3bpueHOxQ8T1HXlVpoHCS
eXgftg2Du+Ug81FklDG8ZbSE938l8029ODVkFFvGv30Zx+fF7ISWlRraFXNa
hAc78+53Q3VxNdQYZLBjL/ZR/1eMMqWHUGnldKoytpOka9D2MVWUfOaiuyX2
q+hqh/eGKqjgYAVrOvYfv/yyKj4VVNsc7Jq5TM9HdWUqOogOiPg+fY5d5jn0
xHr2AAIPdnSWY+9s0YsTNFNG1370rn7FLkphsn3EpYAayCaH+VYISPb8xpOU
LY8OPLQZEsL+plf84bK2PNpUv3lRHJtl2Vnb2UcOmchfM1fGtrGtkpFukUX9
1pdoBtiTB+/93O0ui+YHBtNOYF9h87+37Y8MetgQYGWBnVsmzjmqLIPOFm+/
7ID9e9+VpdxEKdS2vHDLHzt5yTY/XUYKSUnGpV7Almk+6HHjnSS6NQdCw7BN
I35+95qWQMk5u1ejsTP6tGsOmoijLGmQn4btGaC8Dj+IoX83OrrTsW9L9XhL
rouigsXrY4+wR6+RrIftRNCZO+S32dgJxhtSnkJ7Udbq1q4S7GBawlcXEyEk
prhqVYrtckg0yT5SEGUL8EZUYGvs1Vk3GhdADv8WXq3ClrrZVqAjIoDUedXO
1GJzMZ11O2bBj9w/dIo1YA+Nx7TKlfGhW6WXrZuwP/0lGCM+zYsMaVHvW7DL
P+dqCUrwos78bKnP9PmXNWWzXudBlmvk+A7sFfv/Sv+EcKM9+2vSurCbdX9K
zfRzojNTp69/xQ7llVlvKtqBqDN94j3Y5uuGbv8JsSNV1qa6XmzZgb9b8yJZ
Ednns3kfPd7vE7Xuj29DyalzVf3YbUWF2fEWLKhkVE5oEDvn3pddoWVMiO9H
iM0QdkTkSvh5CUbUPjAQMkx/33aotYh3izbg4xo1gm2deTE7eWCDNrO4HjCK
zRhAC/ctXqO5juQcH8N+qcNiaXp1mRZe4cUyjm23y1hembJAUxo3yKabo1ps
a4/+DE1tRO3ABPZZ57y8jsFR2g6FIw/o/o/h6KnUqH7autLJObrl4DX2THIn
bbtHkMIkduGmRp3mzhrailWRMd3/8blIan7J1bb32TKn+ybr351dy5+0rx50
JOgWqBNJ8av4oX11dys33Wp6UQ/W3w1pH0q3aKT//7es1VmS6KS2svagO906
TG8yAJrT7oqInqSP984hv49Os4vapt/Vbeged1FYjhRb1Q77sphNny8pdUg0
y2xdm2Ossocej+SaR8drL29qe6bfX6fHayFEqWzBlgG0ekVt0uMpnMJuyjzH
CA4MBI/Q401+PjLAF8cMdCMultDXw6+6JlhafBuIq4v+ewC7duFShoE5G4jw
pMX8xJ7ZcfqIzRg7YOiamKavv6CUxkf3KxzAjlVC6we2l+XCUmwhF3jUnRPb
jf2xZFT/pDQPCE34FdOJ3adjk2Q1xwP4FCle7dg77NWk3eJ4QYON0PgnbLGR
DB9vKz6w/DvmSjO2egBPWZD4bsBSub75AftM/LRJTCk/cOxaeF6HXVT+LPjZ
mCBg4RFqLsNeuxJZv1UnBNSbo03eYGsbnuY/lbUXXJG2LyjG/vCF6xXbGWHg
HwH25GEPTAXNnP8iBmalR4L/L3+/PhN1PiUOLs4nMdPz++1/u8mcDeIAKT/2
u4W9eXXmtttTCZCyNDkTi32dO/OQgKMUYJtTCQ/EfrHAZV/dLAU6z63x+mC3
doRF+pCkgeB5iRse9P3wwLq1XkgGsMmnif2FnSnH7hPcLgtSqza79en5qeOX
222kADYmnBO5sHuke1qjSxVAAedOTVZsBjbjNZX9iiCsjKdxC5+n5BYpw+ss
SiB2l1zcHPYX+66hY0gZLFZH3W3FXjkmlmySrgL4H6X/iseOy+vIyvqsAnY7
oopIbCGRhLe/2FSBbJmG40VsEsOv3n+DVUFj/35jN+yr9W3Kf6wOAe3+mQIC
m8sy5mM+tzpIXv1aPobrjcXr9WsUPXVgcGDGohf7Nr8vXLmgDhIrjrd8wRbq
ti0hetVB0uqnCzRs6b/kHze9OAzuckrEpmBrnmsKmDA6CsS6nzw9jH2pESrf
vHQUCE4yJstjV8qXjKoWHQV/qWU7iWAbTD10CBHUAPffvi1iwTb39yWzjWqA
R8zrvG24HrqF8e6VjdYEKVzfPp/DzvkR0/7+rSb4e/70LnvsCWLjpvekJlB6
I3rkJLYfwxBzCUULFHm5H1Sh19drJdN6EiTg77XRR6/XyUmnqpxpBBA5LgMv
Y/damL02DYcAvJidDsP9Qf24QIrxXQi2vtm5ncd+GdnrS34NQc05m3c22OFF
3oraUxAER2/nVsXeuyshU9lBB2if0T02hPsVm9bG5J0kXXDjpHyuPnaLqa73
hw09IDw9vzI9Q8A3I+wn6vfogxuJRVe6sB9GfJarVtMHmdMsk5XYXvlOQ2We
+uCwyznnVOwdXJdP537XByqxoh1HsMnNFUZxFQZgkjGoOxj3X+jEYVlymCEI
Yl82G5jE9S2vUgulGYKOIn6PRuzeHSctNIoNgXnOgnP+JP38dglXGDcEM+cH
1kOwNY8nt3HZHgfBGk+quLFf609GdB0yAnzLLZmHcf+YQ2R0eUwYg1mnzZK/
cX966yDn9Rt2piCskVEtdAjnZ8yqv2KgKQitXNu0x3bq7bf/mGAKGiwL8rWw
VRLfKHFUmoL5cYeq34M4fyYcW+NlzcC9ldq8S9g82cV74hfNgGKL1J3QAQIa
cilZ1tabA0so+s4J99910Z/7q50o4HoxNbwX9/vCZxM7n/lQAHeOy/USbKqe
0ceEcApoOXcnOAFbkqnqtc1dCtim0rR6DDvicmHsxCcKELuQGpv6jYBHQpOU
eYEl8LqkOgy/EjDb1yTEWcQK5M5IPIruJGCs/Xsehm/WoPxU8eHCVtzPKj7J
2yNoBwxe8t2OrSWgwvysdqeBA+j7sHmb6S2uF4+nBttLHYF9R05LcjauJ9Jn
120uOoOQkrWnqXcIOOydc2PwiCt4+KaqxDWSgFnqPyg9XWeBmO9K84gXXp+g
k2nP/dwBOSoNmNoSMEwxdWCPkgfYuLdRoaGNz5Mz788uvD8PSiPZ3hyXIaDi
9s5Zr3hPPD9egUw2AqrKia2W63oDzljBjuEJEqxssFW/0OMD1HV3LlU3k+BX
b7V3HiZ+4F3gtlcFL0jwnzeHNk6K+IMRtbr71AQSTCWZr+4d9wca7wqcMjzx
7393r2rUBwCdBN7VAjIJFofZpSbeDgT3wVgDE75Pi5Qs9MveDQQ6TTWjTpIk
GDdzQ6XyfiB452IzT5PA92FnWvNCZiDIEi2sChUnwZ2GUmynigKBan6m7bwI
CbrzTodLtgSCKd7J098ESXBf7hX3t6xUMPb9VP99Lnz/HhAqMeegApngDLDK
SYIL+14xT3BRgRWHaBwFu/Hm8BNhASrgXqzuYttJgheoxt8jpang3KR8AJWd
BFvBbvOTOlSgyNOXZshCglohLx8N61NB1FOd9AxmEswuJk9HHKeCWmeBuA0m
ErwkExJfZEYFD6XlpQoYSVCBo7dW4AwVxAy62PJvacE7+sF8hc5U4FHUlO/z
RwsyRPC4GLlRQZLb+7mGTS3YNae7FeZFBbdsbqiH/taCugo/TPj9qKA7+dSR
LxtaMN816EF+IBVc+adRUglb6CHXpGEwFdi7/vwVva4F///7BZBceVLR80sL
/g+inCLH
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-0.005, 26.01642292957129},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{25.328436022934504`, 
       FormBox[
        TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {34.538776394910684`, 
       FormBox[
        TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {34.538776394910684`, 
       FormBox["\"\"", TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-0.005, 0.005}, {26.01642292957129, 34.553476027026534`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{25.328436022934504`, 
      FormBox[
       TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {34.538776394910684`, 
      FormBox[
       TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.937873935368604`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.240459028362647`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.543044121356694`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.84562921435074, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.027950771144695`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.182101450971956`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.315632843596475`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.433415879252856`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 3.551624059321623*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, {}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Hk81Nv/B3BLSvaU7Eu2RK61Ep+Pc6yTsWVskWRPC1lGIZGukISLSlGW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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Hk4lN/7B/BBdoYU2Xeyli3EPHOOfcm+RotdiyVlSiESSche0ibpo2RX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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-0.005, 27.94593659819689},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{27.631021115928547`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"1.0\"", 1, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"1.0\"", 1, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.240459028362647`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"5.0\"", 5, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {31.543044121356694`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"5.0\"", 5, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {28.324168296488494`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"2.0\"", 2, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {30.626753389482538`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"2.0\"", 2, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {28.729633404596658`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"3.0\"", 3, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {31.032218497590705`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"3.0\"", 3, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {28.03648622403671, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"1.5\"", 1.5, AutoDelete -> True], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {30.339071317030758`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"1.5\"", 1.5, AutoDelete -> True], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.576931264983862`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"7.0\"", 7, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {31.879516357977906`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"7.0\"", 7, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {27.726331295732873`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.813342672722502`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.89338538039604, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.967493352549763`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.101024745174282`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.16164936699072, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.218807780830666`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.272875002100943`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.02891638872692, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.11592776571655, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.195970473390084`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.270078445543806`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.40360983816833, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.464234459984763`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.521392873824713`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.57546009509499, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm]}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm]}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm]}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm]}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm]}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm]}, {28.03648622403671, 
       FormBox["\"\"", TraditionalForm]}, {30.339071317030758`, 
       FormBox["\"\"", TraditionalForm]}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm]}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm]}, {27.726331295732873`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.813342672722502`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.89338538039604, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.967493352549763`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.101024745174282`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.16164936699072, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.218807780830666`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.272875002100943`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.02891638872692, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.11592776571655, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.195970473390084`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.270078445543806`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.40360983816833, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.464234459984763`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.521392873824713`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.57546009509499, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-0.005, 0.005}, {27.94593659819689, 29.927422203474592`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{27.631021115928547`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"1.0\"", 1, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"1.0\"", 1, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.240459028362647`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"5.0\"", 5, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {31.543044121356694`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"5.0\"", 5, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {28.324168296488494`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"2.0\"", 2, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {30.626753389482538`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"2.0\"", 2, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {28.729633404596658`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"3.0\"", 3, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {31.032218497590705`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"3.0\"", 3, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {28.03648622403671, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"1.5\"", 1.5, AutoDelete -> True], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {30.339071317030758`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"1.5\"", 1.5, AutoDelete -> True], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.576931264983862`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"7.0\"", 7, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {31.879516357977906`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"7.0\"", 7, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {27.726331295732873`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.813342672722502`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.89338538039604, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.967493352549763`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.101024745174282`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.16164936699072, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.218807780830666`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.272875002100943`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.02891638872692, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.11592776571655, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.195970473390084`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.270078445543806`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.40360983816833, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.464234459984763`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.521392873824713`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.57546009509499, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 3.551624059774024*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k01N8bB/CPLVtZCiE7yZ5QFM0zsmSPyS57tihr9mWsSUwhWlBkp7Jk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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hs0VN/7B3A0aqTkbpRrSRSaIiS1R4aEkbtJLiNDNOSSEJJQSYwQKSqE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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 3.5516240600704246`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k41N37B/BTeKI8QpKQvUKSLVs1t61sWRMijOypLGGEGGsSkyVLWbLv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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hk4Vdv/B3Bx1BZXRMg1c4UkU4bC2jJknjKcZJ7rKPNQqYQkl5MpkZQp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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 3.551624060351225*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Hk4lF0bAPBHWoRkKUtJ1l5L3myVde6xb5Ela5I9QlkGkTSiyW5CJals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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Hk81Nv/B/Cx5YMxmMmafYZrq5Bqsp0jImuMJUp2fZU1pgWTKCGhqbR3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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 3.5516240606632257`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"T = \"\>", "\[InvisibleSpace]", "9.44`*^-7", 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["T = ", 9.44*^-7, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606788254`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ChemPot = \"\>", "\[InvisibleSpace]", "0.478167`", 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["ChemPot = ", 0.478167, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606788254`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"n0 = \"\>", "\[InvisibleSpace]", "1.0148083172360424`*^15", 
   "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["n0 = ", 1.0148083172360424`*^15, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606788254`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"nc = \"\>", "\[InvisibleSpace]", "3.46618171633791`*^14", 
   "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["nc = ", 3.46618171633791*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606788254`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"peak BEC density  = \"\>", "\[InvisibleSpace]", 
   "1.0148083172360421`*^15", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["peak BEC density  = ", 1.0148083172360421`*^15, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606944256`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"central thermal density  = \"\>", "\[InvisibleSpace]", 
   "1.0563113114279634`*^14", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm[
  "central thermal density  = ", 1.0563113114279634`*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606944256`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"peak reservoir density  = \"\>", "\[InvisibleSpace]", 
   "1.0314050360136693`*^13", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm[
  "peak reservoir density  = ", 1.0314050360136693`*^13, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606944256`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"dimple edge reservoir density  = \"\>", "\[InvisibleSpace]", 
   "9.936820397761332`*^12", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm[
  "dimple edge reservoir density  = ", 9.936820397761332*^12, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606944256`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"vThermal = \"\>", "\[InvisibleSpace]", "0.021752792610074043`",
    "\[InvisibleSpace]", "\<\" mm/ms\"\>"}],
  SequenceForm["vThermal = ", 0.021752792610074043`, " mm/ms"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624060710026*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"SigmaThermal/Sigma0T = \"\>", "\[InvisibleSpace]", 
   "0.9659046496834105`"}],
  SequenceForm["SigmaThermal/Sigma0T = ", 0.9659046496834105],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624060710026*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Gamma el thermal (nc) = \"\>", "\[InvisibleSpace]", 
   "2728.2669408859556`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Gamma el thermal (nc) = ", 2728.2669408859556`, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624060710026*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Gamma el thermal (nDimpleEdge) = \"\>", "\[InvisibleSpace]", 
   "78.21372567095544`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm[
  "Gamma el thermal (nDimpleEdge) = ", 78.21372567095544, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624060710026*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ReservoirAtomNumber = \"\>", "\[InvisibleSpace]", 
   "5.034665014804452`*^6"}],
  SequenceForm["ReservoirAtomNumber = ", 5.034665014804452*^6],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624073424048*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/NIntegrate\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 3.551624077277255*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The global error of the strategy GlobalAdaptive has \
increased more than \[NoBreak]\\!\\(2000\\)\[NoBreak] times. The global error \
is expected to decrease monotonically after a number of integrand \
evaluations. Suspect one of the following: the working precision is \
insufficient for the specified precision goal; the integrand is highly \
oscillatory or it is not a (piecewise) smooth function; or the true value of \
the integral is 0. Increasing the value of the GlobalAdaptive option \
MaxErrorIncreases might lead to a convergent numerical integration. \
NIntegrate obtained \[NoBreak]\\!\\(1.0715395123111268`*^6\\)\[NoBreak] and \
\[NoBreak]\\!\\(39.174020819983966`\\)\[NoBreak] for the integral and error \
estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\
\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/NIntegrate\\\", \
ButtonNote -> \\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 3.551624127557143*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DimpleThermalAtomNumber  = \"\>", "\[InvisibleSpace]", 
   "543153.8392942831`"}],
  SequenceForm["DimpleThermalAtomNumber  = ", 543153.8392942831],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516241293511467`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/NIntegrate\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 3.551624134046755*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The global error of the strategy GlobalAdaptive has \
increased more than \[NoBreak]\\!\\(2000\\)\[NoBreak] times. The global error \
is expected to decrease monotonically after a number of integrand \
evaluations. Suspect one of the following: the working precision is \
insufficient for the specified precision goal; the integrand is highly \
oscillatory or it is not a (piecewise) smooth function; or the true value of \
the integral is 0. Increasing the value of the GlobalAdaptive option \
MaxErrorIncreases might lead to a convergent numerical integration. \
NIntegrate obtained \[NoBreak]\\!\\(110551.53093945498`\\)\[NoBreak] and \
\[NoBreak]\\!\\(206.2793840798464`\\)\[NoBreak] for the integral and error \
estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\
\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/NIntegrate\\\", \
ButtonNote -> \\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 3.5516241647330084`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BECAtomNumber = \"\>", "\[InvisibleSpace]", 
   "110551.53093945498`"}],
  SequenceForm["BECAtomNumber = ", 110551.53093945498`],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516241647486086`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DimpleAtomNumber = \"\>", "\[InvisibleSpace]", 
   "653705.3702337381`"}],
  SequenceForm["DimpleAtomNumber = ", 653705.3702337381],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624164764209*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ThermalAtomNumber = \"\>", "\[InvisibleSpace]", 
   "5.68837038503819`*^6"}],
  SequenceForm["ThermalAtomNumber = ", 5.68837038503819*^6],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624164764209*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"TotalAtomNumber = \"\>", "\[InvisibleSpace]", 
   "5.798921915977645`*^6"}],
  SequenceForm["TotalAtomNumber = ", 5.798921915977645*^6],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624164764209*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ROIx", "=", 
   RowBox[{"1", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PotentialLowestZero", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], ",", 
      RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{
       RowBox[{"-", "ROIx"}], "*", 
       RowBox[{"10", "^", "3"}]}], ",", 
      RowBox[{"ROIx", "*", 
       RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LogPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"BECDensity", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", 
      RowBox[{
       RowBox[{"ThermalDensity", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", 
      RowBox[{
       RowBox[{"ReservoirThermalDensity", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{
       RowBox[{"-", "ROIx"}], "*", 
       RowBox[{"10", "^", "3"}]}], ",", 
      RowBox[{"ROIx", "*", 
       RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ROIx", "=", 
   RowBox[{"0.02", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PotentialLowestZero", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], ",", 
      RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{
       RowBox[{"-", "ROIx"}], "*", 
       RowBox[{"10", "^", "3"}]}], ",", 
      RowBox[{"ROIx", "*", 
       RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"BECDensity", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", 
      RowBox[{
       RowBox[{"ThermalDensity", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", 
      RowBox[{
       RowBox[{"ReservoirThermalDensity", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{
       RowBox[{"-", "ROIx"}], "*", 
       RowBox[{"10", "^", "3"}]}], ",", 
      RowBox[{"ROIx", "*", 
       RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5516241766202297`*^9, 3.5516242545147667`*^9}, {
  3.5516242864464226`*^9, 3.5516243410465183`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mGk41W/Qx4/1/I6drDkJSUhCIkr30KbsKlSSopTlT9YUkmRp4YTsW3Yp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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0VfsXAHBTOfcSl4y5GUpE8pBnKPpuKmlQeIpeShoow0syFrpJMtyk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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.5516242249179144`*^9, 3.5516242553087673`*^9, {3.5516242899408283`*^9, 
   3.5516243417329197`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, {}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hc4lW/8B3AjX6SkkobskhGJouN4zv1p26MSlayGvkZKWWV9kezsvWci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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0Vtv/B3CRjEmFrkIPSqYkRMfj3L0rhKJUokvkdkvXcHNlSMZMmTNT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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-1, 25.475813539968073`},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{25.328436022934504`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {26.937873935368604`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.240459028362647`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {31.543044121356694`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {33.84562921435074, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-1, 1}, {25.475813539968073`, 33.303688097468175`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{25.328436022934504`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {26.937873935368604`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.240459028362647`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {31.543044121356694`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {33.84562921435074, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.5516242249179144`*^9, 3.5516242553087673`*^9, {3.5516242899408283`*^9, 
   3.55162434220092*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k4Vdv7APDtHBURImNIoWtImW4Zz7sNEZHMkswyZDgUInFEQoaTcyql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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hk01N//B/AJZYqGjxQKkVEjRKU+lNwR2XeypRqMqGxNVLZBJMtgytRH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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.5516242249179144`*^9, 3.5516242553087673`*^9, {3.5516242899408283`*^9, 
   3.5516243424505205`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxF2Hk0Vs//AHD7g+f2CJGyJEuRVFpky3AnayhLdrLvuweRJWuSJPRJu6UI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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mnk01d/3/4VCSUqhqExllhKZj7Yhc8gsMkbm4RozJEPm8XqnUklShlRC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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hk4lN3/B3BFDyJZKpR9KZFHkZLtMDSWkJ0GGWOXZRpJluxJ9mUqpc0o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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.5516242249179144`*^9, 3.5516242553087673`*^9, {3.5516242899408283`*^9, 
   3.5516243432461224`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ROIy", "=", 
   RowBox[{"0.2", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PotentialLowestZero", "[", 
      RowBox[{"0", ",", 
       RowBox[{"y", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
     RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
      RowBox[{"0", ",", 
       RowBox[{"y", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{
      RowBox[{"-", "ROIy"}], "*", 
      RowBox[{"10", "^", "3"}]}], ",", 
     RowBox[{"ROIy", "*", 
      RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"LogPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"BECDensity", "[", 
       RowBox[{"0", ",", 
        RowBox[{"y", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], ",", 
     RowBox[{
      RowBox[{"ThermalDensity", "[", 
       RowBox[{"0", ",", 
        RowBox[{"y", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], ",", 
     RowBox[{
      RowBox[{"ReservoirThermalDensity", "[", 
       RowBox[{"0", ",", 
        RowBox[{"y", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{
      RowBox[{"-", "ROIy"}], "*", 
      RowBox[{"10", "^", "3"}]}], ",", 
     RowBox[{"ROIy", "*", 
      RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ROIy", "=", 
   RowBox[{"0.02", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PotentialLowestZero", "[", 
      RowBox[{"0", ",", 
       RowBox[{"y", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
     RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
      RowBox[{"0", ",", 
       RowBox[{"y", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{
      RowBox[{"-", "ROIy"}], "*", 
      RowBox[{"10", "^", "3"}]}], ",", 
     RowBox[{"ROIy", "*", 
      RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"BECDensity", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", 
      RowBox[{
       RowBox[{"ThermalDensity", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", 
      RowBox[{
       RowBox[{"ReservoirThermalDensity", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{
       RowBox[{"-", "ROIy"}], "*", 
       RowBox[{"10", "^", "3"}]}], ",", 
      RowBox[{"ROIy", "*", 
       RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ROIy", "=", 
   RowBox[{"0.5", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TableEntries", "=", "500"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotentialTableY", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y", "*", "1000"}], ",", 
       RowBox[{"PotentialLowestZero", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
       RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "ROIy"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIy", "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIy", "*", 
        RowBox[{
         RowBox[{"10", "^", "3"}], "/", "TableEntries"}]}]}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{
    "\"\<Q:\\\\SrBEC\\\\papers\\\\OpticalBEC\\\\Math\\\\\
PotentialAndDensitiesWideRange.csv\>\"", ",", "PotentialTableY"}], "]"}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ROIy", "=", 
   RowBox[{"0.05", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TableEntries", "=", "500"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotentialTableY", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y", "*", "1000"}], ",", 
       RowBox[{"PotentialLowestZero", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
       RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "ROIy"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIy", "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIy", "*", 
        RowBox[{
         RowBox[{"10", "^", "3"}], "/", "TableEntries"}]}]}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<Q:\\\\SrBEC\\\\papers\\\\OpticalBEC\\\\Math\\\\\
PotentialAndDensitiesNarrowRange.csv\>\"", ",", "PotentialTableY"}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.551624425645467*^9, 3.5516245020544014`*^9}, {
  3.551624618430606*^9, 3.5516246271822205`*^9}, {3.5516256755488033`*^9, 
  3.551625720492482*^9}, {3.5516257516457367`*^9, 3.5516257868081985`*^9}, {
  3.551626005649383*^9, 3.551626056224672*^9}, {3.551626197953921*^9, 
  3.551626226845172*^9}, {3.5516262733020535`*^9, 3.5516263305541534`*^9}, {
  3.5516265422059255`*^9, 3.5516265461215324`*^9}, {3.5516267506794915`*^9, 
  3.5516267621299114`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mHk01G3Yx38xmBlElKVUw4wsZY+Uct1pJYmeFCWG7MryUFGWSdYsoclO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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0lV3UAHBJPPciJcOVW4Z7zREylersSslQIWRK5nkqKiIhZCyEzJkp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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5516244721647487`*^9, 3.5516245027096024`*^9}, {
   3.5516246200686083`*^9, 3.551624627899822*^9}, 3.5516257877130003`*^9, 
   3.551626058455476*^9, 3.551626100279149*^9, 3.551626141634822*^9, {
   3.55162620297713*^9, 3.551626227593973*^9}, 3.5516263320829563`*^9, 
   3.551626763112713*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVlHs01HkUwK101ntVJxJWjFfkFULhe78aNrIhDDbLNMwDwzAzFZVpT8Zh
OZqitSkrUlg9yTmEfFOp1GkJqRU5I4+iSR5perG//eOeez7/3HPv595zzViC
3WxVFRWVUCr+z5r1kyinUkwu6U+Pft7oBUmndBsPMcVkRdatMCEfwIIbU8Z7
KSKekRxxzDGAl2510ogYEale0xBqWw1wSk3J9x0UkmupZCmvGSC0zy/CMUpI
9BZip7LvA2ieK/Y2HkgnM4n9Uut+gLtpckuN8HTy2P+Lz6oRAAly1F18kkaU
+uLxC68BPHSzFkeD0whbvtfCdhaAoZiRtVYIyCz3SkadEsCrfXxzfWUqGSm2
Zu1fBjCXvXhafS6FRM4XGdSuxPA980lGWRWfuMbJTMO1MLx1um9UdD6ZxGZy
X+TrYej97mZ77oUkMvghvzh6LYbyqlo1UQ2PuEdc63ltgkEqLq/h1XKJoYlA
p8UMQ5LfycDYvznkY08Dy88SQ4h+viKsjk1aC3+OOm6DYcvkkeMBFxOIKMDm
2lk7DMbN+1zQpXhS0bQq74ADBtXfkwdcL7PIyPZ0sZEzhse2kcYbrjLJLovF
2j43DJyPpRI7ZhwJLtU2ULhjcC7NuavP+pVUuY8vDXli+Lo1XVM1YQ9xvy9B
F7ZheDAUE6JgR5MsQfmRn7wxnJTsKHnOjSRkONy10wdD3AbXoTuJEUT4NLXa
FDDY3jY1v5ocRga61D9GYgyL8Vq80ymhZM3KBJrAF0O21rs9WiO7yO0zpuqc
7RjWB3dOykcDCX/f23hvOoaGojJR84Q/KYnu/vcDxQEDouVjU75k9pnKvMwP
wy2XEv1HQ94kc1S8Qdsfw0wL3SFjzI34exq2JVG8TTpREPjcjixPPdS4RLGT
Ze7+gG4D8sVK16OHYofDWRFqFiqoyauA+YziqyGqE9WfaMjKLSyvg+KNlbv3
WH1wRjMMxdljFH8xPL89U+GJdJ/bZ/tQzOn6vHZiDpD5XL+yh+qnO4eW/8MM
HbUeXKj3o9jDN2jJY3oHeoAMA8qo/iuXxELWZBAi0s24n5o3Z3jXfGd6CDoX
7aCmoHzc2BZ/eVCwGwk6/eXjlK93pQe4MynhSFIwp9lO+TRXFpip8RmoxiX5
pBhhYDAqXqxLikJOb5pT1Sn/BY2Nf9jzfkGy2k3sDC/Kz+quYF9ODPr23sHw
zlYMC2nDGpEJsajHh/5twoPa36RS7ubMRAKyOnh0C4Yr+isQOO1FnuVY77or
tW8/nbJARxZidox8Y2zG8Eps8CncIR79yFjOeeSIYanKjBFnn4DGCnVbdewx
rOuzu564iU3ViKKvt8UQ5AwpElsuWu4T7D1Ko3wxAx/mbeShxNw2Tr8pht9k
4dbFNolI5jIbO2yE4XR7rPQv6yRUMVjoW2KAoVHBk9dYJaOgeeXNxdUY/jEW
+TRY8pFeh/bQgg6G1zuzzrRZpKDEnfVFUnXq3g/lKu/RUhH99j3an6oYTOpO
RDwxF6ASm06v9V8BPr/XGyJGacg/67xu2ALAhHa0jkF1GnKdOzNdMQ3Qa1Pp
k+qUjhpMDtp0ywHa6W8EnS3pCIx644oHAOqYzpXGfkL0poPteaQLoORwZq+o
W4jWRMyMv7oBcPRUx4pH0SI02+ZJO0H9p5RGDTfzMRGaapw4bVYIENUTyslM
FaMmef9TSQpAi+hE01i5GAkvbulj873hPxDPTaI=
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mHk4VV3YxhWKBhUJRWXKTJRj3Hs9REVCipB0jJlnosyJJPN8jAehJBkq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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0Vd3fAPCSeopU5ivqyTxFhGs87V1RkTJ1RSGzax6uDBlCZhG6xi6J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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-0.2, 22.412025536398257`},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{23.025850929940457`, 
       FormBox[
        TemplateBox[{"10", "10"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {25.328436022934504`, 
       FormBox[
        TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {34.538776394910684`, 
       FormBox[
        TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {23.7189981105004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.124463218608568`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.412145291060348`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.635288842374557`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.81761039916851, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.97176107899577, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.10529247162029, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.223075507276675`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{23.025850929940457`, 
       FormBox["\"\"", TraditionalForm]}, {25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {34.538776394910684`, 
       FormBox["\"\"", TraditionalForm]}, {23.7189981105004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.124463218608568`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.412145291060348`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.635288842374557`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.81761039916851, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.97176107899577, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.10529247162029, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.223075507276675`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-0.2, 0.2}, {22.412025536398257`, 34.55344778822603}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{23.025850929940457`, 
      FormBox[
       TemplateBox[{"10", "10"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {25.328436022934504`, 
      FormBox[
       TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {34.538776394910684`, 
      FormBox[
       TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {23.7189981105004, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.124463218608568`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.412145291060348`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.635288842374557`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.81761039916851, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.97176107899577, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {25.10529247162029, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {25.223075507276675`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.937873935368604`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.240459028362647`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.543044121356694`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.84562921435074, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.027950771144695`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.182101450971956`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.315632843596475`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.433415879252856`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{{3.5516244721647487`*^9, 3.5516245027096024`*^9}, {
   3.5516246200686083`*^9, 3.551624627899822*^9}, 3.5516257877130003`*^9, 
   3.551626058455476*^9, 3.551626100279149*^9, 3.551626141634822*^9, {
   3.55162620297713*^9, 3.551626227593973*^9}, 3.5516263320829563`*^9, 
   3.5516267637523146`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0lO/7B/BbU0lJUkKJsSZSkcqW6yG7yJI1ym4qW4gsMSJbdlNRki0S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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hk4Vdv/B/ATYksOFxVlKkMqbkh1qsPaIjJ2DCGRY1YZTuIqDlGSDBHn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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5516244721647487`*^9, 3.5516245027096024`*^9}, {
   3.5516246200686083`*^9, 3.551624627899822*^9}, 3.5516257877130003`*^9, 
   3.551626058455476*^9, 3.551626100279149*^9, 3.551626141634822*^9, {
   3.55162620297713*^9, 3.551626227593973*^9}, 3.5516263320829563`*^9, 
   3.551626763986315*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxF2Hk0Vd/bAPBrvLgnIYWSRGRMg0Rkc7Z5njJFmZPxxpUMEZVkSiilFCpF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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mnc819/7/2WLJBJKkhEZDcob4egysrOyyUzZ44XIJnt7lbaoFEp2Vo6V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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hk8VV+0AHBRUekmlaEoY5FEyA/J5pjJLFOUWcnUzZAhQ0rm8TaTe0+F
EiEz2YbIHIokCSlRIqlE5a37Pu/9dT/fzz3nc85ee++11zrCzr7mbqwsLCzc
q1hYmL8XB3KVx0JoWE2/xtW8nE5sfVs9dz+IhonQpskv4Lvvu3Kp/jT8oCPb
5nIFnXg6933bah8apqq3s9VW0ok1G9TndzvR8GBUVoRYDZ2IQYMPvHRpmGb5
c/08phOX8zgEFrfQsBXb4eMRbXQiPuTUP0pBBm6WUXJ3HqYTJyZw3ZeudMze
0NdktppB+KXsnMj4m4bT3/9kM5NgEMTf44ZmB9LwyKsHgccMGMR7WYXCOotU
nO552eyVN4OIMBT9Mr0uBUvd3kJNTWIQ/fXsZyv1k/DTwNodzoUM4lHNo/Ml
aQm4uDxxZbmTQawonTRHv+Kw0X/1hzk/MYgZDYOd+1Ri8SNDkb11bCRh1qVa
mn8zBotX3PjMJkASyiPzXdZsl3D0LRp5RI4k6kL6Rlz0o3H+Ubd7DXokUX2j
sYq1IAq/ifw0sNmeJHJjK3nZhiMwallnIOtLEqOfqE22PmG4/Tojji+SJNYa
G7MNHArGz/BBt/3JJOHRHnaA+2kAlk23Drp5iyS8OGIqd1UE4HZ3yY+tYKpO
CpJ+EIAlK/uUf4HDGhlGeqkB+IxJXopFJkmkVrecCrcPwOLDOj/WZ8H7POAi
pxf8cV50Sq7/bZKgJNzlbhL3x1oWdqQ8gyTKDDu/n71MxRtFhxtP5JAE30By
iFcwFYvJHH0UDw5xNFvldpqKWRsLQsvAagEDFCsTKqY+/P14fS5JtNwelVTi
peLV68fJx+DBbwsn/uScwft/iASv5JHE0jXBzostfvj+vmWWiHySsBcZNT9f
6YdzH92YvAeue0i+DnjghyUzlgo6wRca9ky6J/vh/LUsQ/wPSWLD5wOs+lZ+
eDF+1aMSsFJYot/2Tl/swS58ZKQAxt/6Vk9qgw9Wj2c3Eiwiievbsndmz3pj
i9M7YhG4zNlxgfulN94swXrXCfz1z3j2UqY3jtLWDr8Hdjzw6Wfbfm/snZ9U
K1VMElo35++eNPfCYbIxJ+RKSILTi31Vzg1PrJx2QEWilCQkqloH+MM98VCR
RrIOWHtt/MMkZ0+8fI7S5AoOp3PaBEh54sBTb7rp4LmXmx9pPTmFC2tlfXnL
SOLlYQGH96Mn8fC8St8/cOamA1VCEh54mDVCsLwC1odrRo03xQP/iZZu6gaL
Vf94Ur3gju0KrxhNgh+6VjdaNrhjCYk0Lr5Kkqip0uyMtXPHdz/vMTkHHnKx
ejeX6IYl1f0K5atIgr8ydE3DNxc8aesyf6Ua4r9xhJ0y6ILjk73254Ppzurr
j9W54JUCYZN6sMTGNZt+xLvg53zJatNgJedkPkkxFyxGuvar1pCEDSdDKs3K
GWedKBkfBl91bDFzqnHETzVVgjmekATN+JbFxWxH7C/0snUHOF3V72hutCPu
01Rf3A9O4ttuO2PoiHcWJv20BHMw3tTPV57ABce/+WWDJyL3jogsO2Dn1VH2
++sgHvYvx042OeD5NZT7CPxGKfxDYYID/jTs3m8K7pvr/aIi4IDHYkK6qOB6
x+Bl88P2ePuxXYfKwFnqrXzREXZY7/lGTgUM60OAKtCma4e15fcd1QTTFncI
beKyw6lFXOHm4MQi3z236LaYwdjr6wcOEeJVfNxgg8X23uh+ALZicbd4z2aN
EzL4L/DXw36qZ0vWjLXAllszqkbANg9npw9ZWmAz3mrVKTB5/Y2ugpAFTjFu
uPMd/N+Zx6vEK82xS5KvIEcDrD8Rl4C1n8xwep82lgE/vtho36Zrivn9H9UG
g//5FVY1bDHFQWON5y80MPe3grQ/NsE3Ux6LJICrTk/Qj84aY+XV+/gywZzd
mrF8JkZYq9W/uBZcnM5qfZtigG30NLMWwTqnh7hScvRxyS/ezBXwkGZJe4Sa
Pn4X/ix8bSNJrP7hpObko4ebkspnt4CtrBvExbp1sBJ/b4Q0+LPMjXdb3XXw
zdlzWfLgSI4zN9b808bRWUu3lcH3q4Q2TkprQz5IMNIG/9kRuXA/SRNbr39r
cwycumBdeFNcE/8+b3rFESzeJXMy4QmBAz9nlrmBjcPfvfGa0cACJvUMXzBj
VK1Jxkgdj1/bL3EBfJoqvaTejrCegkd0DJgm+tZbZEkN3950rjEePHlJ9egH
28OYR0bkSzo40WBZ9DS/ClacvjLDAAfVJb52NlLGa+7ZWt0DO8vtTLGLUsIh
dhvv5oGVtmss6U8p4sggra+FYNHkvkcagorYruHZdDGYwurqpmx2EO9rV+ks
BU9MxfRIVMlj3fezh6vBzx34YoRm5HDK6wPdteDq3vuH+ITlcNQxF03MHH9V
Zw57nCyueEEbbgL/tKut/Bcsg5VLaSwt4C7inejXMWlcvBC9rhUcwi2+1Fm8
F3v5yrZ3gE2XdN1q+SXx0LWZqC7w7nHPnvyoPfj2nxs7nzPj3ZZ06NaUOKZc
PUjvAfcVF+XEm4lhMYf6tX3gvBsvNodUiWB5QxXzF+DwqJ9hp4SF8Sq7Oxde
Mv/vk+sp5t6FN1xcvtYPPkqey0kd34EFnxLpA+BV1Low3xI+7LMt+MwrcIHG
agvjC9uwqv/tg4Ng280GktLm3PjmcMkI0xsad63walGws2G512uwq1N+fv97
dixSl/eO6VqW/2wyolfhArn4/4bAEuqX1pE6P+tscu38mS76q9Sswvm+bnb7
9qtM125xFlF50ab2MrE1k+lkds+BVz9m1fb/dYtlmqdZMN2v5o8ah9e8DdPy
mtGZS09WI58hbwrTQ3d+zaru3IBK9QfzmM/XYC1nIMyFymsOSDB9Rc6vw3F2
C/orF5LIfP8p570/onbxIpGS4n7meFUzJnbeMdmOnqsOsjGd2nRb72mEICoZ
mOFhxmc+eF/VvLUQsr04T2HGTyB9nTHbnDDyNvj4mRlvnQcfx7fEiqKS/W0F
zPnwa2wKEhMSR7WKtyx7wU/nzzO0TSWQdSenWTf46/pjilafJJH6yYc5nWA+
UaUO90gpRNM6NNYO9rKYX7hctB9lje5e8wzcUTapdURMFkWVRH99Ch7VsEqx
nJNFgVPPaxvB6+3kxdxi5VBUkSJHHXjXR4aPt6U8WrQyu1QDVqByVQUIKaAf
yccmK8HH42eMYioPoqEPanaPwcXVuUG5n5TQ6QfEcg54MTKqZaVZGcW5FB29
A1bTPbbN5o4KosdrpWaD219QHnMcV0VpgaP3roHHvwR8PfUCoQY0Zf6/+/d1
7k4nG3XUNZRYGAWuqN2qs/GZOpLKtp4OA/+98JXmdlcDxW9yYT0LjttEyvGc
0EScpGWpA/jhPMWusUsTTV1T2GwD7ukPjfJR1UL22arG5sz1kHm0p4VfGym6
Np/UAZMS63yCXuqgSf8nu5j5rFrD7/6gvgESCvC4sgD58K3Y256LlQboLN/r
hS9gFg6DRdk9hui5SIDCB2b+7BbVjVt9BH3il7bsB7+wezWhjI3Q3SDGtlLw
T+VdqUY3TVHVqWb6aXBsfv+dO72mqEfzO6szmF8wseI3hxmqTDDWtgGrsvwe
uRdkhj6qJXtqgS+09En/szRHs8ZK/+0AUyxiOgo3WaJmdc/XjXB+mJUuXTLX
tES9m1bWVIJp23zVfwZaouLMUZ4CMP+gddnhEUvE3hz/4SpYzEEyu/PhUXRE
PUrxFFjFo5M6rW+NEI9ELgf4fKu6dPJ5a/Stk+T7A+dbvWTZ5IFiayTQ5+0z
C9b+kmUfzGeDZp/8aOkHm57x1eGYtEH45wspBtgtlHv77ot26GwIa7McOG84
5mVbhR1y30QPFQNPH15O9v5shwzXpfPwgP1YJtjKzI+hU1r+vxfhfA65VDaj
KWyPlLOUzz4Bp6bYNDjVOSDOJ+z/aYBHzExKjcMc0Q6NzlUKUB+0TPGkG1x3
RB4Jac1C4IKoEV+dUkckEjd2ciM4rNhbSu2LI1qxETX+WEsS2zcnktL2Tmgq
TiXjKtiqpzWVU9UZBcTv4PgG9Uu3MeHdvuyCVBhz2UlQ75R/XGfYwuuKIoTn
jgaCs8J7JRrlXdG/S3Gfj4O9Ch0nqk67ou7NiWUy4PWUiGP337iizt8jT59D
vaXTVaMfW+OG3sQq9K4DY8ODu3VCPVCVduxdN6jfjPPrD+GrHmhf5Ei3AXhk
/REzpRIP5MPDOSRTwczfzmF7pzxQc+5s+u9ymC+91D6K9UnU/fhTcgK4VOtz
+Cu5U6jy+J6i+1A/5h1mvDo57YnuKgtndj8miTSZjXEJtj6IvH5JreYR7M+Y
X2ekzvqgwe85izfBjiNjdh2JPuhPfO+1ELBsUvm+DfU+aOSV1iVlcM/0iZ74
3b7ow5dSgfJCkuDKKeGN/+6LWAq11B5Ava1L2WfxtMUPaYzEmYZDvd58sXes
0ZGKRD5fHuiH/kDANWkg14eKRFkaE/LB/pr6HYlhVDSodE44CizC2lBqdZ2K
bDvsv0qBwyOKLk8/p6JnV4UokfdIQjEkRZobnUXnudzdRe6SRI6vUbCToD/K
jsuJNIF+5bJdGxfLUADK79tNM4T+x16Kns/LF4zeWeuZNUL/tPfbrNqAdhjC
w/z9L6G/qs3+8v5lZQT66GQ79RH6ryIx1yWrc1GI9xxb7+njJPHBOy/hvWI0
orD9lM/TJ4k7CsPmb19dRA6/lfKvKsD8BBy5+sAvBn0L3L3WeSdJhEpljPPu
i0XCM/qS11ZDPjne5jrfFoduFBXsmp9mEFJrB2a94hPQZYXI78FdDOKAxK5f
1UQSElSL7xiD/rP+mbVC4NtkxM/BETORyiBee8s/OWmUis4ZZhr1+zCIa+Vy
y0cE01C5rQQn3YhBZKia/to+lYZuLVwYb5WC+/8M/lJqSUdv5S7JPlzDIEpC
bTOSaBmI5Z1zycAonRAsmx/bfT0DWVwLj5QBx35NkK2/lYE81i4qxr6D/tqp
rmuezEA0a24H5RE6wakrymFTnIHmFvWSb76hE+7cM2Ei3RmoY2H0ss0Andhx
P9K9gp2GviZMzDV2QD8/zl9muoGGPDPye/nA8zses01TaCjsjOYtn3Y60Zr8
gS7AQ0Pl0guf+KG/D/Q3eBMlRkMT83U+vi10ogdtNT2iQUPabbv38DTQiUPB
Bbc/aNFQtnvhVc96OpFTojMTrkdD8gvqs3WYTpwXD44vNqGhEuqVYx51dGLv
hpGnPMdpKGizs3BFDZ24ohW0pciJhjg1c1+vB7OEcznru9EQPX1r6PFqOvFq
jlgJ9aKhtxKBwWuq6ASxd9homx8NzdadGbCppBOFLgGZhWdpSOHvHYGHFXSC
P4vyWTcIrr/FdWSlnE783/cQ9P/fQ/4HIsiPDQ==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5516244721647487`*^9, 3.5516245027096024`*^9}, {
   3.5516246200686083`*^9, 3.551624627899822*^9}, 3.5516257877130003`*^9, 
   3.551626058455476*^9, 3.551626100279149*^9, 3.551626141634822*^9, {
   3.55162620297713*^9, 3.551626227593973*^9}, 3.5516263320829563`*^9, 
   3.551626764750716*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"DensityProfile", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{"density", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"z", ",", " ", 
       RowBox[{
        RowBox[{"-", "0.02"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", " ", 
       RowBox[{"0.02", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"DensityProfile", "[", 
    RowBox[{"x", ",", "y"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", " ", 
     RowBox[{
      RowBox[{"-", "2"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", 
     RowBox[{"2", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"y", ",", " ", 
     RowBox[{
      RowBox[{"-", "0.2"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", " ", 
     RowBox[{"0.2", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.549527011680545*^9, 3.5495271167779303`*^9}, {
  3.549531152424814*^9, 3.5495311573076224`*^9}}],

Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJx1XXdUVMnTHdaMWYyYc1bMeRoeoBhQBAWzqAgiiBlzzjljDmtOq2JOO8+c
s2L257qmXXNadTF9HqZuzde1A//s8Z7amnq3q6urqvv1K9y5Z2DXXywWy480
FkuKn/8d+nXzJv/OoWZoYoPNf1YvY05v6uW74DcPIyJhv0vdnO0Yb/3vyBI7
wiob1+Pzbr4bEcJ4d2+PajUrVjV8pw8NHrYvkPHTwS9KnnlXzeiWpKcJ4wsS
TnfJfKWGUT9J3mB8+7NviSvG1TYaJOGVGT9U/dlvP/Iow2L/Owi8xrlcHgVm
GIa3XV4BP0zyPnb9jG8h/eF2exifT/bY5QOVtD/B/ryMR9Pz2vW0U5If4lNJ
PsFzoE9nF4+BJcznZ++PTfCsxTwD9y1zN9D7ZF3mGfjbbOWGD4j0ZJ6Bu1a5
WyDbWYN5Br69Wsr3HoXqM8/A797p02JmuibMM/C0zzv1Plo9iHkGvn7F9o9n
g1ozz1IePAO/TfrBM/B4sgc8sx6yHzwD/0DPC54lP+BZ8gme7b9TxPRMuNN2
w1Jv5hm4R2KGhruqN2CegW95tPyq27HGzDPwz5dnpPgnTXPmGXiT1EenjooJ
Zp6BV8nxqOaN66HMM/AXi23r+h2LYp6BL5lv/dG9Wz/mGfhLkgfPwCuRfvAM
vDHZA56BfyT7wTPwbfS84Bl4ReIHPEs+wXP0tvIh8/7Jb1bxT30xKqQp8ww8
7l7X5b7xgcwz8G1FRr+7HRfCPAM/mrrz91lhHZln4MPL7r9aZV4E8wy8S4rR
Po2a9GeegY/f+GfkvwXGMc/AB2077zai3izmGfgEkgfPwDuSfvAMfAjZA56B
Hyb7wTPwPfS84Bn4POIHPEs+wXNAkp/nNFv/uWn9oonBzDPwOWkqloy93455
Bt586ZjlCbW7MM/AK6ij+6pci2KegRfa+Oz9m5sDmGfg/t17uTabN4l5Bh6T
WKxhzltLmWfgqW71DHDbuZF5Bt6T5MEz8IakHzwDL0j2gGfg5ch+8Mz80POC
Z+CziB/wLPkEz5FJ/Gc0l7de3znmfQfmGfjV5YWPVBgRxjwDb5F2xIldS6KZ
Z+Cuj99e3OcbyzwDt6WbFvIqcBzzDDy9y7f9zdQi5hm4/4v13550iGeegUdZ
hz2YH3+IeQbehOTBM/A0pB88A/+d7AHPwFOT/eAZeBg9L3gGfpn4Ac+ST/Ac
loR/s3k2yPa6ToouzDPwHLuqr/3djGSegV8rrx5Xnd6HeQZ+IbjFjSrthjPP
wIM8zie6+s1gnoFX/f5LxajUa5hn4KNnDP06tLiNeQbucbjHzI4zLzPPwMeQ
PHgGXpn0g2fggWQPeAZ+luwHz8Dv0fOCZ+DZiR/wLPkEz/bHeFQn4O6uCx5R
Ycwz8Jl5Kmcrcj+KeQZ+/f73YUMC+jHPwC836ZE21bORzDPwchO2XqvwYBbz
DLzhnvzxZU6sZ56BFzvVpkspryPMM/De86o3btzY3Rs8S3nwDNyP9INn4GXJ
HvAs7QfPwP+g5wXPwKcSP+BZ8gmeB9r5tyrhz8CzCX8GfkX4M/Azwp+BNxP+
DNxD+DPwwcKfgRcR/gx8qPBn4OWFPwNvKvwZ+Anhz8BvC38GnkX4s+QTPPe1
xxO1SMRn4BdFfAYeIOIz8JQiPgPfK+Izy4v4DNxHxGfgXUR8Bl5fxGfgv4j4
DHy3iM8sL+Iz8HYiPgM/L+Kz5BM8t7SvjypE5BvAJ4t8A3hjkW8ALy7yDeB5
RL4B3CryDeDtRb4B/M1NPd8A3kHkG8DrinwDeHaRbwAvKvIN4C1EvgF8ksg3
JJ/guZc931MVRf4MfJbIn4FvEPkz8D0ifwbeT+TPwFuJ/Bn4QJE/A48W+TPw
WJE/Aw8W+TPwPiJ/Br5D5M/A40X+LPkBz5JP8Gx/7iKqrqgHgZcR9SDwlaIe
BP5e1IPAvUU9CLysqAeB3xH1IPDpoh4Efk/Ug8BLiXpQ2gOegb8T9SDwLaIe
BF5a1IOST/Dcwl6PqyeivwG8nuhvAH8u+hvAU4j+BvBNor8B/LLobwD/8kzv
bwBfIPobwL8+0/sbwC+K/gbw9aK/AdxF9DeAvxH9DeC1RH9D8in6dSqZfp1K
pl+nkunXqWT6dSqZfp1Kpl+nkunXqWT6dSqZfp1Kpl+nkunXqWT6dSqZfp1K
pl/HfN5I0tPANJJ+J5vp8/XXRJd8E43uSXrqMh5XNi5z7adLSU+A2TRpvFKb
afr4p2lVYTTrAb6qfO0NRa7OZT3Au/3IsqfYi81GpkJNXH7L0tJskxTHXtr+
LLghXYfvA1k/8IwFN1ZamHIC6wc+uUeWq/WeLmb9wI8HDaz/ctpOoyH1cYBP
/bvq65M5zhleNJ8lbuetLuNHSI+d5waMT6LfJTuVtBP2j7bj1gzCfuDSfuBH
hP3AJwr7JQ77gZvCfuAThP3Szgz2cWH8LxoX6G9lH0fVgcYR+oEvo3GHfuC/
kJ9Aj30+ZVNjyK+gB3h18kOPiMmbo3p0MFsXTAieFFLKLPYqwXXosmocH4C3
SP2i3c3oqswb8LmLpkQOndaYeQM+h/CKdv2MF9X1K6kf44t5USDySatqPQZw
PAGeLUviuzH1R7Kfw//73Cu65MQCR70JfOisO4dclw5mPcDTny6SNd3cyRyX
gOds7domV/Vf+XmB7y657UzuO0cY5zr6VM++VYudYh4gv4fkgUM+J8ljvCAf
TuMOHPIfon9/8ORLPI8j5FeSPwCH/JDnYWtTflrAfiLjCXDIl0tTOnCP6zj2
T8jHEp/AMR+fkd8u834enMFs7Xjeol1G11gQxTjkfyuWuvruhr3YHyDvvXju
3kNuYYxz/Dk2+tB33wj2T44nAuf5Tjj8FvIbJv79h3umMNhjSnuwrgHfu7LT
h3x3+rI89EMefgX5WynK3BvZ3+GHkP+D+IG/QT6T35zpIQ1nsZ+jD1B33r1a
u/ZNYD+E/P0620bXO76O4xvk39+eUsb78xJeNyFfs1/Nr5m7Hua4B/ktv+xq
X2jkLvZb4K+eRZZbMO08+yfwd4RjPYX+u2QP/BPyG0k/1lmO2/S88E/Ivyb7
sf5C/ibxCf+U/MAPgcd9Wp021/JB7G9yvBBnpD/A36T/wK8QVz3JP+FXkJd+
Bfnt5P/wE8jfFn4C+WiaX/ATyGcUfiLjPPwE8neEn8j1Av4APJTiDPwB+DaK
V8ivoL8W+RX8BPLxJA8/gfwNzU+aMA7/x7izPPGDvAv4YZqPGEfJP34X9mSl
uI3fBW6hOA//AY71Av6G9TEXrTscf+zrlBLrF+NNxfoIfIJYHyXOcU/oB458
cmTU9923x1Zie7AvDBy/C3ztoIDifbt48e8CX0O40M96wA/WhUnfd/vG1BzA
8wv40Nmlh56fF8N6gA8Lnp3N4hLOdmKepk7TKdW8PRE8X4CnO9enbN1VvXhe
AJ8h5rWUx+9K/fhd9P1gD34X+ECyH78LfAQ9L+Yd8FK0PmJ+AY+ldRbzC/gb
Wq8xLsAzijwBeCbCMS/YPylvgT/DP10p/xH+oJLxB5WMPyj4A8dJ4c/gh/cp
BD8yfwA/7A+CH5nPYB2RvGG9AN5f5DNyXOC3wCeQnXZ+mpr1k/B7Nt+5jz5U
WTGVnsuX8RntdruW3rTSuJn0uzUY356hcw3rmQP0u54K+CU1+01Y6W2Mt0sa
r4/WdPniulRY/xv5W0PG7390/+p5fa4Rejz7qMfTmjO+7VBQ69orRhtv/tpx
3aduMONbB7g0PTq+v/HOjpt+dty2hfAyIY/K5ngcxHj3hbW7lJ4/BPoZjyf9
4AH4xnMnN/a+O9lYYbeT8T/ITvADvHb+4ovyGr8aw+3Py3gWel7wBtzar9HS
kYH7WB68XRG8QT6T4E3aYx9fX+Z/BY2XPQ40VXJ88bxxdtzaQIw78GmkBzzI
8YL9kL9A9gOHfBqy/5qdBwX5w8J/gF8kPZCHHh/iDc8L+eVkJ3DI16dxAQ/y
eYFDfjWNeym7/zAeTf4D3pAvJfSb3/vsuymOPiTx7H5R3T0/dj3zCfkxgdly
fyy4kvkB7rq1Ti7XxlvZT4Bfm+vabF3CfpZHPD8zsmqNmOBtjv6k+F3wCT2p
ST/4gZ5vllo3l9x2+Annt5vb1sl7Zyr/LvKKlKQH4wL8f2QnflfK43eBzyIe
8LvAwWd2j3ejUizsaN6dOt2leoPS5rX0bxeneVkZuEoGZ/771dwxf/wfXY39
g8eM6jenFeN7wjoMe1SzD8cH4J9mBFUtn2kY4/CTj4Rj3CU/GF/gL4nPsKS4
XY797caQ4hnyVjvJ/MhxxLyGPe9CjrUt0iGOcegBjjgJ+bVPvCKP7R3DOORX
EY74CXxUywGdr8+KZT4lb8Ah34dwxAFpD/wfeB7yQ/gn8FyEY70GnnlS5Wnr
98/idRb4vIft8+0NCuPxvWcfd3VR+IPE0aflevzj4bklA6OMJsuK3Ljq1Z7H
fUeKP4NzT4nkPirke5Y4b3gveGf4Uz8F8lVftkt1qL5jP1fWlRh3xOdXaVSz
vKmOG/UoL4GeGqQH8wg44iHqVswL6Ed8AD9Yf2E/5KsJ+yEP+6PtdnJ8/lPY
CfnqJI98HvNuo2q4eEZMZa5HwAPqEfgbeNhO6zLNRyXnI/rG0POUxquRfbxY
/iCNF8aX+4RifGF/PMkjT4Ce4eT/wPG7JWz96t8qG8t9D+hH3wPxBPplPIGe
ztEHax0ZPpTzjWTmKcvHxsYbjf3HsD0Yl83EG+adjA/AuX8y4FimLifnsX4Z
B5CXQo9H/Iftl6Y4+saQr0g49CNeheyvlTZmVhznsdDTycvF/8n2JYxDTwfC
4W+cH1I8BA4/eUR+CBx6zpM88nbo6Z73Wqv15c8zDvluhGM+Qv4u6UGeDzya
5IFDD3CsX7CzEeUVmL/gp8PEL4X+zn/QsT9I+jNRfEM8l+OFdVDmn8jzoacj
8QkcdrYhHPFf5rfApb8hz4H+77TeAYeeXpT/oL5Ixn+U9B/oAf6D9PP+JukR
cZ5/N/qXMdFnczrWI9h/tO3LhONzunLcwDx9THEA64Vcv4BzXqfr5/l+mPRj
XkO+m6gjZJ0CHHr6Ec/IH2SeifkF+fTkD8grIF+d/A3+DPwZzRf4ldSDcZf2
YFyAh1O8QtwGXpbiIeK2jHsYF/RJnpmb0n3KVYn5xLxo2XV/jsjErsboDEHl
Vj9rw/M345xxS4vWjmEc+oEjHgIfSnEb9kB/zNGtGzYE9uH1AvJYL2AP6nrY
CT9E/rCe1jUhz8+FdRb7MscXXGo14rY/r5tYH+c8vO7++HF91i/XTaxTsD/n
1rLxbzfyuSxTzgusO/J54Z/At0VNz2hah3GeADyQ4hKfc0C+N2XL99TpjrBf
QT53gnf+MSNOGoOT7PFQBZLkz9sGjPl++vxvx9jf5LoAfwO+5q9/8ta458g/
8bujaRyBcz58dO2Hljtj4Q8qGT9R0k+AQ8/+50Ue5+0cw/4p/RD9ZOjJpOef
pvQHzg+p/2PSuCO/gvxkGnfg8Let64sVHFfTkPOF/ZDPt4j1AvFE8on1EfFw
7fbM35+2PcE45NPTOGL9gvxsUX/JehbxAXgExQfgzDP5G/qN4HPLCZ9yrxY5
9ptkPg+/RZxBvoQ4KetBxEPgo8h++C3wjcQD+JfzUYyLiXFB/JH+g/gD/Bj5
J+IM8Hw0fxEHpD8Al/6A+Qh++tN8xLyz2eedFfMO/Uy5Pwhc9pkRx+R6in5v
MvuSpuxjI/5AT8pdW/a979Wb+89yfwe47CfDTyBvFfubkB9C9tv9thrHn+NV
95bY99lk/rEOpirscbzinG6Mwx9GF0kctKtcJMcHyO9qO/3CoBQ9eD7KfADj
gt8dWfuXFJmqHOF8A/b/1aZOyisdI1h/o6T/7xe1od2AU0eOduf4D/kq6brX
WBzdiX8X8mvPPN3XaFkX7vdifYmL+l/f6Zl92R7gJT7Fdpp/uwH7P/y8iS1z
97odfTiPbRz5etP1BcXMRtPS982QMoxxvM+14nnPtWt+BLMee91T0gycsyK+
UGAA24P5cnNiYu7IwXU578XvFjgSefiXPAbL43erGhF9IvO3YfuBu49ZMORQ
3lD+3QvX1wePmVjc9N987vq4sLasB3YW6lSlaniDAP5dyC9PiDs+ZFSwcWtf
zIs0mx3v9w1elm9h/+C67Lew/0mvsW/jDlZhHPJfSvybNeUlZSyusyDng8Et
WH78xcfRfRtWYxzyLiUXFRn4xIvrJshXynnnePSf1RmHfIeqbyb+2t+HfteP
5Ue3H/a1a0JNxiGfYue0PTtD/NAvYvnd3/au27uxDuOQj3JP83naSpzD9GD5
d++mbFzyiyfjkP/dJcPosEQ+p2eR73uSPPNfPmrN9y+lWnD/CnjGi9EdKjRp
CvvZT0boz8XyFu25AljeQ+eN5dsRb8S/SmZcHPppXJAfQv6pPu4s/4PGnfyH
5f9sucL193KVGYf8IPIr+Bve15udEH52ztH67FfAM5f54nFwRSP2H+A1D17c
MWhHM/YT4EWjS/vVORDE/gD8xvvVnSuvbcPjDvzh7kVzrbO78PgCD4mJu2IJ
78HjC3wxnXfF+AJvSfIYX+D3ST/GEfhVzZ4AxguR/RgX4NXoecG/5Ac8A59F
fIJnfr9vfOT6OZ6BzDPw7lkPLO3fPph5Bl4366vWPQa0Y56B957fP9K2ip+L
8YP3duUauDuGeQZ+6UZgt50TBzPPwFseXugy+Mx45hn4QDq/DZ6BB5E8eAZ+
mvSDZ+A7NHsCGO9B9oNn+bzgGXgM8QOege8iPsEz3td7sbLDnkXZWQ/jr+Mm
fs2UtjPzDHxo5+c9ty3qxjwDv1csvNu4B32YZ+DphhV9cyr9KOYZ+JDwKtW9
MzFvjG8vlanM0K4rmGfgKen9R/AMfBvJg2fgsaQfPLMezZ4Axm+R/eBZPi94
Bv6B+AHPwP8mPsEz3tfr+zbNpRH/68I8A6+6JSJVi3ndmWfgeywVa3z068s8
Ay/6/cjyx7VHMs/A+7wf3Gn9qJnMM/Dpwe/DKk1YyTwDDy0QlLNXxx3MM/Du
9H4NeAbejuTBM/AJpB88A4/W7AlgvCDZD56B76LnBc/ArcQPeAbei/gEz8hj
ey7198p0iceL8UlfNlye9qIX8wx8QYsCGzu6DOLnBZ6wbvKXvCGH+XmBp39h
HZRvxGZ+XuBrgovf9VkZx/agXmjxaMuDdMe7s37gS5o2O9Tyj2Msj3y4h7Cf
9/GF/cDnCvuBXxL2A08l7Ae+QtiP95h6Cr8F7iH8Fvh24bfACwi/Bd5D+C3w
CcJvgQcLvwXeWfgt8JbCb4GPFn4LvJvwW+Duwm+Bxwu/BV5D+C3waOG3eI/p
kYjDwJ+JOAy8n4jDwG+IOAzcRcRh4L1FHAa+XsRh4K9v6nEY+FoRh4H3EHEY
+NehehwGfkXEYfm84JntEXEY+J8iDuM9pu0irwDeReQVwCuLvAJ4pMgrgP8m
8grgh0VeAby+yCuAR4m8AriXyCuA7xd5BfC1Iq8A3lXkFcAribwCeDeRV/B7
ZCKvwHtMU0WeDDylyJOBlxd5MvB8Ik8Gfk7kycBviTwZuK/Ik4FPE3kycB+R
JwNPEHky8JMiTwbuLvJk4BVFngw8g8iTgU8ReTLeY+oj6l9+H0rUucATS+j1
LPAQUbey/A69PgXeTtShwLeKehP4fHovDDxLefAMvDXpB8/AP+7Q60rgLUT9
KJ8XPLMeUQ8CjxF1H/p4D6lOFH0GhT6D6Cco1K2ib6DQNxD9AYX+gOgDKL0P
4MF9xbdave/J+HaSF3W6GqHp53pcoR4XdTfbL+prhfoa/GT/YgtO/aaEaV18
e2TWb7WZnwTqLx1u82fq0Br1mJ/53Qa67Lhf0szZetz+KZkV84N+11SPYSnO
TvVkftyvV9rc8WIps2rx269q/+PF/KAfNbn8pZzDp3kzP7CnghqVtc+x5swP
7Nm3qlTYjKl+zA/smVnv3Yly5w3mB/Yk5D98Kc9OK/MDe2KPzf10IzU/L/fH
itVb/LV2y+rMT2rfW5uCKhU1N4TU+vz8oS/zc/JLNZcyG4qa53q5NfwU5cf8
TNo+O9hSuJg52/+Y24jejZkf9NOuFay0xPVaM+bH3jctbsaHLtntMYXnkYm+
Wc/QyX0vdW3F83TmtFSbW1tKmMP+vTa6UMq2zFsqsrP+zVmL2lyLZN5gZ5Pd
ud5NedyeeYOdpXpcTHO3fhDzBjsvvcg6LGPuJswb7Fw/b82RPqV4XeD+3rEm
j96cyGfwfISdTRcNUMdzWJnP1/mfuhiPC5g17lcf9Wluc0deOmXF5lfXCpqN
a6W4nzi/BfM5JMmuQmY+tenjsqutmM96O9K5FLtdyFSuh8vMzxDKfH6PDA9O
bF7YHN+vQ8VDX8KZz0OFjm66dLqwWede/e4Z/+jFfI6+UdBlnVcRc0jdRnO2
H+v3nz7MMrG+wP5466IXKw6PYZ77kP2pglv7nejdl3mG/YUebshzOWNX5hn2
Txg/+/ikv9swz7BfbStTb8qwIOYZ9gfc7r4lvmxT5hn2zyp2Ls85dz/m+WrS
fMll9ptSq+D3Um2Z55CkeZHb3NZ7xnO/I6HM8+0k/89j/ugxu9Pfl9hOs31S
3HA3r5Ud0zfH9p7M8x8RLiEzSuQ1g4d9H7R4+mDm2d4nzmeOsXp/L/H3eOb5
L6Pf5r9S5TePev3vUdGEGcxzFPU3Bot8CfZXyjq48yrfJcxzMNnfOrHJyn0D
JjLPsH9+VNE+lR/FMs+wv8Uu24kdOyOZZ9hf4FuzA8NSdWKeYf+rtr+ZLn+3
Yp6fkv0Vlk339CgXxDz3TBr3zOb30t3mXglx1Fl1ksY3i1m55PE8A7Ly75q2
pHHMaq69e7/ikvG9mZ9zSfMoh3nunG3b8Yg1zE8z6kukFv0T/G7QucTAxv9z
nEPG73b6Mb7D4eKLmR/87lv/lYuuPB/P/HjRPtvsBq86tcw8gPk5nhQ33Mxf
N04aHlYwmvnxS4oP2c1P+cv+9XwK10HqLNl/tdKyCv8Ubs/81Eyyx2L+WuFC
d1sLR13sad9PMW92rBlUqryjLvZN0p/SPPfl9bNf0w3g54Uem9kma0LKQ/y8
ivSc/Z7ufYN/1zvyOtLj7efboe2EOWxPStonWplpctX8uxx1PfD+tH/H/cwk
/0m0vtl7+oV/4Ui2H/tQnhtWTvsnisdRQf7KOtuTF+mPsJ4eSX6VQW3qYFNB
YY5zAuFJ8q7KJWfv1bHu0cxDpyQ/T6uCOuaKTJGyP+uPIT3pjset2tdvN/MA
Pa/MBo2epFrjyB9IT7T3vdN7/GazPVfs46XO0XjBnmb28VUvaHxhz1m7P6h5
5A+ID360XzqD/Afx4bjd39Rzzd88TS+7f6q25J/w/6F2f1aNyJ/h//2T6Q/A
/t00X8BDU7K/mUfEmTet5jEPsD/ySuyiglnGOfyc7FxO8xF+bpCdVWn+ws9h
5yea7+DzpT0+qDIUH8Cn/X2RfOoBxRPw+cQef1QOij/gs4s9XqkmFK843trj
m5qpxTdPs709HqomFA/B5y17/FT5KX6Cz2Cqr1+JPgDsX0DxGXzC/miK5+AT
9tfT4n+Agv2/03rB8Zbs/4fWF/AM+7EegefbZH8krV/geax9vVOTab0Dz0ft
66PyovURPLt0T1pPVQ1aT8Gzsq+/aiitv+DZfo6+kMqtrdee5kD7+q6+trSv
7+D5gz0fUCsoHwDPvZPpA4wj+ztTvgGeYX8pyk/AM+zvq+UzAQr2V6X8BzzD
/kyUL4Fn2O9H+RV4/ofsr0T5GHiebc/flA/lb+D5sj3fU/sp3wPPme35oVpG
+SF49rfnk+ok5ZPgeao9/1SFtPzT0zxjz1fVsEVb4t9n7sA8p7XntyriXaUr
RR5E/qcPMFXkaXPI/g5anuypYH9ryqvBM+z/VcvDAxTsP0x5O3iG/eMpzwfP
sP8k1QXgGfb/SnUEeF6edP6itJpSPa5j8SqO/W6cSylA9Qh4zmevX1QPql/A
M847XaB6BzwvtNdHaopWH3ma9nNnJdWOKLdq0c/8mDfYU+rAoi8FprE8n5MZ
TvUaeIM95bT6LoDfvxtH9SB4gz1pqH4Eb7DnINWbsP8Y5SGDKW4DP0T5zCrz
btbfIyfwcyE/CaP4D7wu5UWBcQ0f+7gtYT1B9vXR7E/rI/CGlD/Up/wBelrb
11nzK62zwA3KQy5THoLxsudX72zr7/befbQR9/fM6oTX3j4vwuywgHH7uZ0n
tiOdu+faVmShQz+d53Gn97O4z0Dn0K7Te1iYF51oX6Mi3WuH8apLv1tF/G4v
++9a8bvA7ede3llrkTx+dxudgxLvwZnBlBdlJTv1dfybtbCwpwv97gH6Xe7P
E/4m5Psy39RDGPcje8An/LMhnc85LvLAAPs4KqWPo/Kk9d3Q/YHicFYVR36F
eWo/J1XaxDxFXALuoc0XD+6rzH9Yu8iR282ZB5xPWEv9NMQH6JlG+oFDT22t
P+PH94fUdtk7cGWJ8exvIeTPrSlvBM73YJxpvuZGnljWA7zDl8yF77yZzePI
59Y2T0tbIOs6fq5Qe/5pumv5pwfVOxbT1PJzD96nu0n7WeAhgvYBo0ReF0b6
s5J+Xf6brQL5D/Aw4ecY33Y0T9+LfDiY+OlJ853PpTjnTTWiOHCS6hHgVWke
bSI/BN6Y5u9b8lvEtzZkT0bK8znPpLhxh+og4L40332pvuBzL8TPb1RHAAf/
y6jOAt7cXo/Y3lL9An9uRfh7UdfgHOn2h1XmRWbjfRyzDc3HV9pz+fE+6YYz
nRfePLaQxx16+rgV+zbkj6PsV5C/QO/TWbS/R3Wi6b5T8Al8TXye9M9jHHy2
pjjjrfNj2vN2i1om6k2c37su6s1mFB8wvrwuEG5Q3ADenuqpXuQ/eK4mpB91
KPAuVJd91NYLD9OX7Dwg5kt3qu+y6POLz0n2Ij7B2BCKq4U0//dQ4GE/6dfz
Usc9nOAT+nfTuGMe4TxkdYoDmEfAW1Lc4L498XZUzJd2xFtLml8Yrxz2+KZq
UHwDDzkJn0rxU8RbVZ7irdyniBP7FNA/g/RgXkB/JfpdEYeVjMPon4vzZnx+
D/sLos9vos8PHhCv4mjfn/tOhE+jcwL4XeD6uQI/Pj+AcwtcpxCekc4JgDfg
V0UcHijWZdiJ8e2prxd8b0MZWnd4XSB+cI4RdsL+TcJO4G5kJ35XnovgdZzW
/Up63qK6Ub+l9Ft1eeWTOMd5J4pviWcHXjsbwXrMtoRXInl9vftoyyHyq3KU
X92gPIf3s0hPedID/T3JnvJC/1DKl66KfKkzxbEM9Lu8n0t6PpL9kEdczUbv
awPn+9kIBw+VaT0SeZTZnPpdJ7yHFlgZ7MDf0jn244TDn6Mo/qf+XGFsDv9j
zEMd0n9QzxtVWdLfM0+po5U3OfCzpF/g5gKcnycc8wvPG1Rme8f8zfg8hulL
v9vs2+V/lsd0Z3+GfDS9Vwv7gU+Z9elzvazHGMc6eJ36ddxvpPU9m+3AmhzV
HPG2StLfnTrhtE5x/CH9kfrv8rjMoN+FPPDKQj6cxv2qbo8ZSP6fWdgTnvT3
7D/2DCX9FUk/5yFkJ+I84gzwpjrPCn6Cfilw+FUA8Y9xwXM1F+O1msb3V12P
2YP8yp/0YL2Gnv/kIWRn8RPbC8+0Oeqpz1vtdg4QfgX5gD7PegXccNQ7eH9n
y7nOLcZOdMjj/Y7NhIN/K/HwrfChPYUPsP+Y1YmHNDQveLyc+5VpJb/KQuMI
/H/Ezxehv4OYd/BPb/rdtGI+4nkb6c/L72et05+X32dZQzjiz3Pi86QeHyiv
TrT9S3EJ+BSy/xTJ8/4UxjFDhwkxynHerCX581o9fzbDyP8/ibgNPU3pucBD
E9IDPvFckPcjedgJvBj5D+xE3JN+jrxXxhn5XiFwrPu16Hy+lD9C8nhe5Ler
KL/Fc/F76Cm6p8q63DHuNcU+BZ4XelZSHs7xULwHB7+C/CI6xwh++P164gd2
Jscb9ATSOUnBg5I8wJ6DznlT8r0G+OdqwQPiCXgAflPgiDNdqG7aKvZfUCem
FnUZ8vmboi4Lo3w+jZBH3jJZ5G/I8xeJugx5/gZRx0FPd8r3OA+keZEuaseu
2NKO/QjMo/fp/9286V0k81BA+Ankkdd93dg8/vxU3h9Hf8+M3bZlYMXSXqwH
futSaOiqgJOOPiH6FQnRowsV+OiQx/mK/W2OPv47X/3/9D02UX4OHPvsi6h/
K+XXi3x+AZ33+DNTu87Rqgnbj3l3tNbXdKlG8ns36iKdT8jcKuBC7qwtWA/O
Oazx7T/oao5OjOPcwvrGuVav9g9hHOcfjFvfw1NcaM/3WqA/U/JYgP/bwfjd
UMbH3f6z9vX0NfmeCuCzS/ctOtCq+H5F4Dn6jBh295IXv2cKvGWTP840vuXD
97cAT99xbuu9Ho34HhLg7X6sthw41ZzvdQGejuRx7wHwFqQf97YBdyN7cH8I
8AVkP96zkzyAn1N0/uS5Z/FOb1x8mR/g0bdG7mr9Py/mB3i9N4Yt+qUf8wN8
58lMGXdamzI/wGPOvmvwNC6I+QHuO+TR/X5H2zE/wAMqf3lesXYEvy8M3Jb3
9vepD3sxb8AN0gPegPeg3wVvwOPJTvAGXNFzgbdk+FGSH/A5lM6TdM0TOCpj
ugDmE3j10OsPjzRvxHwCnxagZmR4H8R8Av9QOajQDZc2zCfwti/2bvn8tjPz
CTxH6qHHPw7oxXwC75Dt4qppi0cwn8Att5b81Sd0Er9XCDyU5MEz8GykHzwD
b0X2gGfg78h+8Ax8Fj0veE6GNyV50++Ndzdn92n0sP2pEOYZ+ICxufxK3Q4U
98m7m2u2HMvtnbqjuE/e3fQtPLid9WhXcZ+8u/ni/sOY45d7i/vk3c0vu1rl
3J9/tLhP3t28WjL9iIZV54r75N3NJa3K9ojc8Ku4T97dvEby+n3y7uZn0q/f
J+9uPid79Pvk3U1vsl+/T97djKfn1e+Tdzdn6rwpyZseH9zMxk3T9x+/K1TE
Bzcz64zumTZuay3ig5vZ83HhLZPMcBEf3MwV+9Lc7J+ht4gPbubSI71L/xI6
XMQHN3OBS+eF4ddnifjgZsYq92op264V8cHNXPKn57sB93Yyz1Jejxtu5jzS
r8cNN3Nx73xtTj8eLuLGTzvJfj1uuJmD6Xn1uOFmNtJ5U5I33Z9dzSKPSwwJ
vNhV+LOrGbXjaGjudqHCn13NEveGn1x5MEb4s6vpeSDcr3PvgcKfXc1Of4fs
HPJ+gvBnV3P+rYk1zJbLhD+7mjkT2g+bOnOn8GdXs/PFFvGd/I8Lf3bI6/7s
at5SZpf4ysuEP7uaHd3aj6x2aYLwZ1ez/6gzzVs1Hij82dWsQc+r+7OrWUjn
TUnedJ4TbZPG3Srcqhi/V24ir8F3snSeE20Zzqb5O+ZBH8Fzoi2Vd/aApz+G
C54TbUWOxbu0yThT8JxoW+r/6mjB3WsEz4m2/WsGHVjT1BQ8J9oqDCj4evKx
+4LnxJ/VlF1e5znRtpj06zwn2gqTPTrPibYUZL/Oc6ItBz2vznOibaLOG+OL
ck3c9N63i/DbRCtw4ecqGT9Xyfi5KuXcz9VA8hPh56oT+ZXwc/WA/FD4uUrG
z1Uyfq5yk7zwT1WN7BTxUyUTP5Wb8/ipejmPnyqZ+KlWULwS8VMtch4/1QDn
8VMlEz/VIOfxUyE+izipljuPkyqZOKmSiZPMj1j31Szn674a7HzdV6udr/vK
x/m6r145X/dVovN1XyWz7quFztd9lhfrvkpm3VfJrPvKcL7uq2TWfZXMus+8
iTxWJZPHqhrO81g1xXkeq945z2NVa+d5rHJznseq1s7zWJV402keq4Kd57Eq
mTxWJZPHqtfO81g123keK3lTkjdRf6lk6i/Vw3n9pWo5r7/UDuf1l4p2Xn8p
w3n9pRo7r7/Ufqq/9PhQVPmTvKjLlNV5Xcb2iLpMJVOXKW/ndZn623ldxryJ
PoAqTvWvqPfVdOf1vsrmvN5XQc7rfZXWeb2vgqneB5/AZ6cv9KjU/mDmE3iI
8/6ASu28P6CaO+8PqKzO+wNqvvP+gCqs90kYH0t9koZxF+PWf3P0SQI8l44q
mUoZe/p4eDVsFsT4/W1BHVbt9DL8k+4R8me8W78iA0IO+Bhlk+6t8mZ8X/7C
niNSNTKy2u8pYvzrkozpc69ubnSkcxjAL0bVGD+xV7DRMeleLy/ub5wy/e9m
btzIGJV0j1AjxtdMC3o0NqWvcWXDqaj4oo7+iaVRvcuXXnkZnc9HHM5yJZjx
FJvPdHoWq4wPb1Ln6jWyLeORv5V47bWzjuHtGrQ7IhfzYw5q0b6EalWT7+NC
f2CL+WeY/1p/oxLdxwU8z9kePbzLBRlZ6D4u4CPW7n7vl7qdcYfunQO+uUjO
MW/mhBvBdK4IeFiWcbEHR/UyltA9csArryhU1a1FC+KnOePtTuU+8sWtGd8X
B9znc0z41XENibc2jHc81OJ61zG+hhvdswS8ZlfPniWbGUbOJLwZ9xmmBv5o
YXvVyfgnSX99xjvnSFMox7UYY3WSnbUYd8+TuqBlxjBjGL3XAbzSl8GnGpac
aLz8IzQuz+cA7gPMDT9xtXHadsbwlJYXA9e2ZLyHz9O9PoVbGplLLfe62aIN
4+3X+NeZ8TDAWNHYOr9Gio6MZ71wql3JTY2N23TPKurfQv90+LF48Agjhr4j
AHzp70V6ZI+bZQRSP5TxMX9tvPxluZGevgsAvG1Am2YzYjvRuLRmvMi8m1NL
1WljVNC+i+FufryfttibJS2MR/QeHerEZ7umhOWvGG+U6Vgj2rN0a64fff83
PMOAnV2MA6OvH15+oz3jLccPrfd+bXsjkuIe6ppp9F3gm9p3ky2Wq/Qd4QYU
94BfoO8OR1HcA16SvlPckOIecC/6rrE/xT3gBf7/d5NHFjoIvBnth9ajuAe8
DMl7UdzjfjPp70JxD3glsseguAc8gey/qn032WJ5SM8bRnEP+AziZwjFPf5d
qgcbUdxDXTPhea9aOb71NvZR3AOeY2CDpVv+HWo0o7gHvN/wM4HWbNOM8hT3
gG/JODfMu9gqIyfFPeDjRn7JtNA8YEykuAc87auaGy1bLxntKe4BLzmtyekm
IRuMERT3gE8+eahu0XqzjUsU94Bn+ji8SJmnI41OFPeAnwpckWeoaz/jHcU9
4BETO+9f3CnKMCjuAb+5+sxvKTKGUTwHD66qxgPX6p49+xtVKO4Bv1OvR8VV
h8YY2SjuAfefn7dyrUnzjfsU94C/iarU+t9rW41uFPeAp9+RM7jVicPGIop7
wCdttyQsHDrD6EBxD/i0sPqvqzYfZrymuAc8YVu8ObNvb2MkxT3gxzsZRXak
72Zk0+6ZdFXpwj58OHCik5Gb4h7qlEqhPeof9BpgfKS4B9y1RNuT3b9OMNZR
3AN+52vC1agRS4wpFPeAn1swNmDfnt+MFxT3gB+s/nhQTIb+xjCKe8ALbll3
P8u+aCMTxT3gY1puybnwUBeOe8CD16Q8cLRfexn31L7g6kuWzo41eulxT7Wf
XLp2sTYTjJZ63FPdWg7a0mjKfBn3lHep0QsvXewi454qNrV6z4Fz2hnl9bin
cuRqnSYuVbBRMwm3cp4f+MOn0dixfYzHFA+Bfw5P9+516lEcD4EvOuadMDl3
EMdDrjuOxU/avbepMYju80R++NVvzddL3yKMhnTPIfCCu7quKzLLh9ZHHkfz
5Px51paDJ7KdwF//9j06x4qFxmJ9fM0m9//NH/9wqdGZ7h1FP2os+WF5fV6Y
j2heZNDnhdmG5sVVfV6YKaPt86KYHh9suSk+pKL9UYmnpnsggS+kOBOpy3Oc
oTyE/f8tzUfKWxhvQnZWpntQgd+m56J1n/2wNvHzwc4z43uIZ8qvTJlfNSY7
gZ+nPFDkq7yv98Y+j3hcdtM8yqrPX7PjoHWq2MQBxnu6pxQ8n6H4MID8B/il
pWMbTp18wKiuxyUzM8Ul/btIibaeWToFLix02ihB5/OkfAzd3wj8CunXv6OU
aOtNei7q42L+Qv6g3zOZaFtb4sXgbiu2G676eJmtaLxw/znkv52d8TbbjoVG
OX0c2T876XHVHE3+bOc/gPUU9U93puKkcbj3leUvEZ9j9HhrHqJ4+1Ffd2yF
3TeHbOgXxfMU8pPzt/19QMMwI4cen83UFJ9FH5L7k6Tf0acl/ddFXnSd8oT3
ury1NMn7inzpMuUbxAPj+J6g/l1Fi0V+VxF4Ucp/9O8qWiy/Of2uosXy0ul3
FS2Wt4Tr30+0WDaQHv07iRaL/E5iMs/FuPPvJFos+E5iNu3eb1flSuNC9QXj
J2jcRV/dmpr60m/0+agukv+IfrsV/faOerxV08k/RR/eij78YDqfCXm8N9RB
n+/qD5qPog9v/Z368K30ec35iejPWxc678+z/aI/b/3FeX/eiv686MNzv13s
v6gFtL8j9l9UR9oPymWPh448geKhjx6H1UCKw+IcBfcH8uh1ujpH8TmVHrfV
WcJ99Dqa9WfQ8opE2x/jd1R/tsHxfUDglT2L1KyWo6f4zmCi7UfvTDYVKL8P
aLE4/z6gxeL8+4A/6wKn3wd0yOvfB3To17+Xl2h16WO3B78LHPbjdzmvpudF
PGE/obh6Q8vfEq2I2921/C3Rivgv1iNrDK0jYn2xYp0S+3GqHu0nin1StYj2
bYX9ttvO7ed1Qdhv++7cfts6sl+sa/xcYv2yfiU9Yj1i3oRfWeFXg0Xc9qb4
dk3E7e8UJ8NEfN5NcTVaxNtVhFez5438u7H1jqX7EbHNOKjdI5RoLU7n0ilv
YfzvLraEgQljjJGU/wPPU+fu6QUdY41wex3HvP1OdRz1SRjPS/K79brVVojq
1mv2OpHxNFQnUj3C+Duyp6Fe59rGUp1L8YTxh5EDh8/9GWcm2OtTxodTfVpS
r4ttB6kuRj0F/MXskJdLf19qdLXXv4znpPo3nV5H256Menju+4EDXH8Bn/Fm
jFll3S6K544+RhD6DHp9bctO+kvr42gbTeM4Tq+7+bkaiD6GJ+m/ItbfRPKr
SNHfKEH9jcFi/YV/jtL55Hrf1O6/cvhVR5037htk0+sC623ibT7l7cBXE2/U
v2V8J43XS8rngWecYx+vpnY/Ybwv+UkWWneAvyI/2Wv3T8d6R/65QLtHK9H6
g84h1xfj2JB41r/3Z7HI7/0B9yN5/bt+Fovz7/pZLPhu3RBxfgD9ospi3UlJ
68ISse6kp3VE/y6eQ7/+Xbyf+R7Zg/OT8rmGCz+pQX5SSaxTsCdC9AlnUh+s
grA/LcnTP7mP14X6eHVFXvoP5Z8n6L1xzIvU3UIerJt7gvRkrQt59AOrijz2
X9ITKuLqdoqr4hyF9YDzcxTWanSOYqD2PtTPdZbO/z+lPgPw9xF2OxNE//AP
9A/1vpntGMXboXp8thWieHtD6LlHepaIvAL+EC76k1NpXMqLcUwrxhH243zL
NVHX3KLfzSLynCmU54hzL1ace/EW9Q76q8PFugl/66yvR9ajxM9ofT2yuhE/
XUWfuTLFPf27aRYLvo8TLPztCfnJBX0cbRbyt6bCr56RfHE9jtmOUhz7oMcx
2xdad/TvlFks8jtlwMuS/Q30uCfXR8axPl7T+7Ry/WUc6299Ua+hb79Tj5+2
whQ/h4r+Ns47+eh9XdtV6uuifwg8dvNk8/GUrvJckHU8+Rv1hx3zi/Sstuth
vC/pWaTd65hoxXsrl/U8xJqZeHij5yGcF2XV8w1eR17r+YP1O43jfT0uWT/T
fNe/t2Wx4DtHXUWcnEPzcYWI52lo/uK9A+D4zhT9E/u/5jza/9W/Y2Wx4DtW
eA9C6tG/V2WxOP9e1c/1iPxT/y6VxYLvUvUSeBbC9e9SOead/l0qiwXfUcok
+gCzKZ7o36X6uU7Rd39WiLgH3vTvT1kszr8/5RiXbiJulKN5p3/vyWGn/l2n
n/GWnlf/HtPP3yU+9e8ZOezRv2dksTj/npHFgu8Z5dD7IdynInnGp1BfS9SP
NgvVjz76/JLz1JTzdKzebzEPU79F1KFcR9fX97lsPd7GNpv7o7dRwd5vZ7yA
+aDOy/a9jAPa/aWuCu/piDqd69wmeh9PjaPnFfW7Fc/bUOwPYj/xgojD3cjP
b2vvgyda09L7ONgX4PWozoPnuRpFGNlo3wR49k9t16w618NYpcc9ax/i01vY
U4zsEedRVfthFbqMfP2f86jKJW/HqqX7hhoZKd9GHNhbb1yXlOmby3MgZplm
NUd1DWtOfe9svP9eq8Oxmr27x3D9zu+PhKU6ExXfguqLko7zCSptuYfrgygP
qcF6RhYYtG1uZJg8z2OOnLFplvubrlx3Q8/czT7Pv27x53gF+cK0b0L+wPgp
umepHcUZ4Auzd53m+SgC/TfG/egeVJt9vPg8wGvaxylPfgh8Hu37LKF1BHgu
ul/rHPHA7ztE2PePUMcBD6b9pr1UjwMvQPeMVdLmo7uZjfatVmjzyN3MRftc
mbV+iLupaF9suNYPcTdP0j1sNbQ+jLvZi/bXQrW+h7sZQftxV7W+h7tpo/27
wVrfw90MpHvqyJ95vyOA9gHJ/xkfRPuGoyhP4/PqtM/oR/fNAb9N+5Xz9f0d
82/a33yl7++YOWk/NLPebzSr0/7pQqrvgON+yzvafQ4/13e6F6Ufvf8F/C7l
8/56XFUTKM4c1O6XdlUWilct9f0X9ZD6vQO199dc1RfqD5vkn+iDNadzF4iT
wOvROY2l5J/AcU/jcfJP4O/ovAf8E/gH2mfcTf4JvC/duyX8U+E8ifBPlZfO
nwj/VC3ovIrwT9WU/Kea7p9qCZ176aj7p1pJ52Su6P6pitK5GuGf6gz5P/wT
+7aZ6XwO/BN4WzrPA/8EHkHnf5AfAp9O54XQDwGej+a1Qf4MvCKdO4ojfwae
m84pwZ+B41wT+hjAJ9E5KPQrgCMu5aR8APvONeg81Thar4G3p/NXHyjf4HOV
dF4L+8vA29L5rtVUNwH3oPNgo6gfAnwc3eNXRF9fVCidKzunrxdqE51DS0d9
EuCD6dxaWeqTAM9F59xKUH4FfCudi9tL+QPwC7RefKJ9N+wLhNO5O/Q5gf+7
yX5OL4HqBeA/GtrP9U2k/hjw1XQOMJz6YMBPFz3q831QIyOlvi6rT3T+sBjV
icB30XlF1HfAw+h8I+ov4HfoPKSvPb9iPJjOT8I/Efd60LxeSeOI/G0AnW8Z
qe9bmS8pLpXSz+GYis7hDNfjmPmc5Ffo52fMfqS/JI2X1LNXz/fMTBQ/KW/k
OnEOnY+6oedjfJ/VTT2e2z4Q3lDXY51GepboPPA5nzK6naoW2Qn94LkO3SM0
nvo/fP6W7h0aReuIxK/r97ypWqRnmV632t5S3bpX77vaqlLftTydG5F9415i
H2Ed9bV26/sCrKeWrof3ETKIfs5cqr9uij7zE+ozj9LXTdslWje7ib7TJKpz
b4t9kGekx0vsX5elfHic3meznSX9rqJOXEx2LtH7ujbcL7FPX69N8V4/nw+5
d6hHhu1j+DsCjN9aX3J33XyO73HwOd6+c55GDeF7MhlfcyZyxsUsDfjeHuCL
lpb6tus034/K+XDFGlsP3h3O96ky/qPRudCDFbz53gZ+Hzy83ijjhSf3B4Bv
LZO91rQ6DvuRD5882WfZlbtN2H7gqb4XarziSnO2H/i/e6/lX3AhhO0HHnR/
/dnC+fk9esYPpLya8+AdvreK8/AdPocvfT7Qkp+L37Ou1DrFrz/X38Vanvbz
d+/b9nn/6bhnFfjyasvy5jjTgO83AO6fb8TDC9N9+LmQb08uH5MY+s7xvQDg
C5btfFfXrTs/F/DRt5v8HbqT799m/MfyZZENBo3i+woYp/dE8FzA52/7a2Jq
lw78XMCj690fsj17CD8XcD81sPa6ffxdHsZdx23KvsfD8f0I5OH3Knq2Dc8y
lO0Hvjp3s4FvV08W93S5m2eG/zK5bIn54v4Nd3MRvU+kf0/E3ZztszLbgUmd
xfdE3M2nv164smtFO3FPmrv5V8bBfUd/Cxb+4GYuXRUTnrPdRv5d4IvovTB9
fN3MFlNcX5bcGybG92f+v/zt6BvZQwUPiVYP/R4wR/9Nu0+mFeMRgWu3epXr
Lb7/4qoKzuvXqkWvfmJ/2VVlrTnx6rKqo8TvuqoTpSK+pol3fCcL+BHC9f1i
V5WZ9Oh2/vd3kYc/tk7t8iBFrJiPbup4aN2i1WaPFfPRTT2v3L7RL+5xkn/1
9tm82v9cXSf55/fy9PnoptK1OtGuYaNYMR/d1PS4GuHd7sfI8VI575dIf3Rq
Vzle6mPeor/nDpDj5a5c9z2YGdG5v/RbVbGQV6nXB8ZKv1W1djw5k851nvRb
fg9O+K0aVcLTdXOTMOm3KnLpt6P3zrWXfqvi8zZ9sSkkRMYB9Sw4pO/GhN4y
DqgTw5beLV19pIwD/L6YmNfK6/2L30M7Bcl5rcpm+j7232XNZPxUq+sF9LMs
iRDjVVTtpfekRNxTKYf4jp102ofvvUE8TEP4ftE/Oa3fU83xrRzZA3ngVrJ/
seiH5Na+z+LB8eoM8YP9ROB/EZ+YL8DzU92k36/obm6ncdmvrdfuZkcaR33+
upsYd33+/ox7VA/CTuC1ya9gJ/Dy5If6vHY302h+6+iHNKN6Vuffzfyk+X8r
xjPSfNHXZTdzKs0vEQfM9DQfRRww+1E+j+cC/ormO54L+FOKD/q67GYe0eIJ
xwHzD4o/Ig6YS/Xvg3AelVJ8zwJ4Eedx1czuPK6ap7T46ahHPun3b3O98EZ+
/4LwZOKwmc15HDYLkZ163HA109Nz3RL1xTtxvy7HYW2d4nFXzWldE+Oulmjf
1+BxVHG0bop5oZ7TOivmhXpI67KYF2oOreNiXqhg8lsxL9RhyhPEvFDzKa8Q
80Kd1/IQRx/mCM07EWdUei2f4Tij6lP+I+KMiqF8SeR1ahHlVyKvUyW07zhw
XFKfKH8TcUnFUr4n4pKaquWHnNepMZRPirxOuVE8FHFYIS8VcVgtpjxW5Ocq
kfJekZ8rH8qTRX6u9ml5taMPM1P/ngKvFzspP9fjQ1HVhPJ5kberN1r+z3m7
slC9IPJ2dYzqC5G3q3Ni3UH9W1t8hw74OlG/AE9H9Y6ovxTqI1F/qUpaPcX1
l8ruPS3nsBONef0FPk+/f5jr9Lka7sn4TOd1nFqu1X1cx6kuVCeKOk4lUF0p
6jh1n+pQcT+8uD+Z80Dz9umCl8elkXl+oq0InVcR8VO9FXEV8ecS6RHrhYrW
1x2Oz0Nq9e4yNeNegSfaxL2mHFf7k7xup6sZSvdj6Hmaqxnk4pWvawaZJyRa
32r3mftxHwD3IuryriqY9Ij1S2H9EuuO+izu8QY+WH9e5jPW+XOpjvRcwDGO
s2i/XtQvfN+mqF9s3ah+uSX6YPhelX7PpMWySr9HnXkLIz2invrPPcnA3cZ2
j1nj9pvwn0RrOsL1dSHRWlbczww9n/X7jdn+9M712Mo5t8eaWbfH8Z6p03vm
LZZ2dB5MH69E2zVxXyv0AxfzyFqa5pF+H6bFgvsw9XvyLRZ5Tz7wRfr3xB18
0v6y4I3vRxX2/8dO3lclv9K/b26xOP++ucWyWNwLChz38It5ZDqfR4m2+q02
Hz9UobfMo1Q6PY9ivPd5nyxD83WV65TpGjhxRvln4bIOMg9SHSTWL7MB7fOK
+GyG7mv0oEN0Y+P/AHpejh4=
   "], {{
     {EdgeForm[None], GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJw1mwf8V9P/xz+fzz33HkJmQv2Ulr1FA6VJVLJHSgMh0rBatmjZKxLJikoo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         "]], Polygon3DBox[CompressedData["
1:eJwtm3fgV9Mbx+8655IRyY8Qslf2loSGhIZVCg3JrCij0qAyUmSLBhmFlBkZ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         "]], Polygon3DBox[CompressedData["
1:eJwt13egV2MfAPBf93fvLVpKiybtHZoUIeVtGUlEJJWQklEh8ibZK0Xa+zZ0
Ey3S0EKp7AZaooGGNyHi/Xw7/fG953w/5/s855zfPed5nnNOt77X9slIpVJr
RJa43J8vbd9Kp1JnZKZSpfLy7FRqL6svbyDOZR+wi9S8pHFdx97ms7R9nf3M
3mQ15ePFw2wje5EVkk8Qj7BN7CVWWP61+JW9xzqzzfLW4hv7C3kx/Z/tvDuc
91H5TnU7RFfWX103NkveWv13anepG8x2s4lsuZrhoh9LOT7IJo88Qzwa+yxD
lNDfWrZb3dvadnDsQ/kh/b3BDrJDYpa6newxtks+Qd0ydQPE7Ww2a8O26/Mj
dW3YBHYJW8XO0r6IbVGxlV2p3YfqWqsbr+5i9oFjk/jj7Cs2gp0pX6OuBRvF
GrEl6lazy9nrrCF7j+1jL7AjbC4rr+1a9h82jjVjK9WVdi3F497FTnZVPAPq
uqpbpO56ts2x79lQto/lsBLqOomq7DnHT2cTbHewKnlSqRvsdxJV9f8gu0nd
FG1bxP+Xp/RXXN0vvJu8hrp9tt0d6sX2i0LsM3U325+q7TTxTFwvOxD/G15T
m3KsGNsfzzKrwcqyxc77cVyzKOhc6+XH1c2Qn9DXP2KBut3q8zq+g2+PWvaP
2jN5gcjFSrZc2/r2n9auqnO9Kz+D/xTPvejJDmhThB2SHxZ3sJ/YYP3dLX/G
fgft58X/hz3h+Efyarw8K6rtEXWt5etc03HbRfEbqHnF/jbHPohrU3fUfhu2
Qd1ftkvV1WaPq62g36lsmNp72DX2v1DXQ80u+10c7xG19mvqa79tD3YnOyAK
s/fV1rI/WH/lHZumZiVryl5m9dh8toJdyF5kddg7bK7zzmWZYhW7TP65ulvk
C9Rdx7aoeyoreR/XsJ7xO2Un//Mu6uazd8TVrqWMqB7PejoZj4qq+ULcKl+o
piPb6vhu9kTUsOmspP7HiYfYBvYCKyhfpe4y9hobKS7X/4/suXTyjse73ouN
VTuQfSJ/XtsC8Uypa8smsuZstfPm8hz2N3ufXSTfpO5GNoe1Y5+q+4rdxhaz
Tuyb+D+za9LJ8x3PeRvnXc+uZdPlV6j7OP7P7Do2g7Vi69knrAPLYS3ZOjbQ
ue9izewv8T+/Sk01fd4o75yZvJ9HbTfyG9S9qW1bbT9jn7LOLJe1Z5+zH9iw
eC7YTHaW/vewJ+M9ZTNYKVbBOWrH/cRYyTaxLer6yj9W9zTbF/OEeCDeK7Wt
XMufWclv/2w6GddjfJ+kr39ZLisqPtW2ubpMvkB+ltjCWrEstkheOp3MGTF3
pNl8eSmxmbVk57B6cd/s13gO9J+HvS0vEeMsaxHzAntHXlJ8za5g3UUj+cOu
rQybq5/bWUM2kJVmuawba8D6s7PZnBjr9DePFU8n82vMs/849xx5kZgL2SWs
M+vm9yivTUtxYzwr/Hw1/fRXUt1snk9/77FyMV6xdmq6iDryO9WdyXLUjWGv
xXjLnpTP1F9ebd9VV1Z851hbNdkxVsrLiG9ZG/a32tkxDsR7w5qxv9isGJfj
fWBN2R9smvw08RFrzAqz291HBefcFPM6+5NNt396PAvqmrAT7M1Ya8QagV18
anyeeWrMjbH3Ptd2C69r/273UUzdDP12zU7GvXb224rK6razAeq2qXtD3ena
9RFXshdYbbZC7Z3sEjaUVWaLY+xjjdkgVjbWQDE36+9eti7mHbZfTU/RhD3G
yrF56u5hrdjzrFasN1hv1jLmRlYz1gfsN/1NZtnpZM1VX80xNkWeV6xlDWOe
EFfIn9W2Bluq7V2sOXuSVYm5h/ViF7MnWCW2iB1jLfwu+e2fiGfO73IHa2Z/
iLqKsaZyrB+7io1gDWIOYn1ZOzacXcDWsntZe/Yqqx9zLruPdWSj2YVsA3sg
1gNsLGsa7z6bx5axyTG+xjox1nTu9372OXs51i/sdzaV5RMfskanxudL5cPU
PSUech/fsf5sq3yUunzq7hfXszHsIrbReb9V92CMD+x1dpqa2WIU+4XNYbXk
p+lzCSsf4w5rH/elbfWYT9ll+rouO1n/jU4n64VYN/TRLkftS2yPfIq258qn
i2finWTjWVn5UW0nsSyxmjVgM8TL8h9ivGcV5QfUDWfHYk3CqrD8zrOC7Yzf
xjV9H+usmJfj3Y0+2ZfsoLavyY9r+6621bX9ib3KfmcLWWVWQNuVbFe8r9ru
iTGBvyL/MdZX6irJp4mn4xxsHCsjz9VfO/mwmLPFnHh3Yz2v7mjM0+rOl+/l
z7PDLJeVY3PERPYbm88ukO9X92KMw+wtViG+Adg4lkcsZ3XZYTZG/q+6paw2
O8LGspRYZlOHTRb/jfE65nNWTP6zuhHsD7aIVWVTxJB0MibG2Fhc/j9141mG
WMHqsaniqRgP1Y1lpeW3inrsHlaczfQ7/KLtSPYnW8yqqdnM+sT7nJGMg0Nj
Lufnsl4ZJz9BUmNiHcgqsrsyku+vsfG82anEemecXCKnxrHRWck9xb0Nkec4
0JFVVhcfcP6tqfH8mpjjWM+Mkz9NanTMIay6ZAArwCbF2MnOY31ZCTaL3cRq
skdYITYl1gqsBnuIFWST2Q2sGnuQ5WcTM5PvskExR7PP4vdyQXvUHXTvtzre
RFRkI7OS78D4Hsxkh+La+G3xDKeT74G9rArrwDpG32w7O8M5uts/hxUWJdUc
PLW+aRpjq/bF2DH7y9mlts1FJVZe1IpvsXTy3bBTf1/rr7d8lWu5WX2+GG/E
ebE+EkNjvRHvVVbynRrfq9n8cFayXrs6nawbY/34uP7HZydrqFhLDVY3Qd5Y
1IlvkczkO7OR/P81KQEB
         "]], 
        Polygon3DBox[{{1726, 819, 647, 646, 1168, 1718}, {1481, 997, 691, 692,
          998, 1482}, {1754, 882, 721, 720, 1034, 
         1522}}]}]}, {}, {}, {}, {}}, {
     {GrayLevel[0], Line3DBox[CompressedData["
1:eJwl0s1LlFEUB+AzmpmmaamTljlEIULZohhXtihopZAZuFBw0cJ0kCmCUInW
tQ8M/wDbxyi4FHXjSvrQNMuPP0BculH0ubh45zm/M++59877zu1Xb/qLmYiY
djWURaR61ccpZy5E1HOWOZb4gEt8zB/s5R6HuFkR0Wq22TqHegW9LnVe70Se
kk/5mVXu/crr/MZ2zjPPFR6zx1yH+V/yVY7IjeURv+UmrjPLjbQO/7CZm2zh
Fu/Y77W5e+b/yh/kJ+pRvRvu2da7yX9s5X/e4g7buMsc99IeZp+bu29+X77G
MbnPWX/KT7nMR5zjXc6ms1acP9/SxYgBM5/UR3rPzC64JuUp3x2pH7qO7TOm
d8BB7rCHa+zmIjv5nW3pfVir3FzW2nVyNV/KH3kl/WbWpj1Ywwle5ntW84t1
htVV6bmp+82+ky/J3Xwhv2WlXKSjxjhtGwUaiVF6TDHCsvQeNPsy5/+pM4qW
QLo=
       "]]}, {
      Line3DBox[{1177, 1472, 800, 1176, 1836, 1361, 1178, 1837, 1362, 1179, 
       1838, 1363, 1180, 1839, 1364, 1181, 1840, 1365, 1182, 985, 1366, 1673, 
       2036, 1473, 1719, 1720, 806, 1717, 1716, 1723, 2047, 1367, 1183, 1841, 
       1368, 1184, 1842, 1369, 1185, 1843, 1370, 1186, 1844, 1371, 1187, 988, 
       1372, 1474}], 
      Line3DBox[{1189, 1724, 1908, 1188, 1725, 1909, 1190, 1845, 1373, 1191, 
       1846, 1374, 1192, 1847, 1375, 1193, 1848, 1376, 1194, 1849, 1377, 1195,
        2045, 1718, 1726, 2044, 1722, 1721, 1727, 2046, 1196, 1850, 1378, 
       1197, 1851, 1379, 1198, 1852, 1380, 1199, 1853, 1381, 1200, 1854, 1382,
        1201}], 
      Line3DBox[{1203, 1728, 1910, 1202, 1729, 1911, 1204, 1730, 1912, 1205, 
       1855, 1383, 1206, 1856, 1384, 1207, 1857, 1385, 1208, 1858, 1386, 1209,
        1859, 1731, 1913, 1210, 1732, 1914, 1211, 1733, 1915, 1212, 1860, 
       1387, 1213, 1861, 1388, 1214, 1862, 1389, 1215, 1863, 1390, 1216}], 
      Line3DBox[{1218, 1734, 1916, 1217, 1735, 1917, 1219, 1736, 1918, 1220, 
       1737, 1919, 1221, 1864, 1391, 1222, 1865, 1392, 1223, 1866, 1393, 1224,
        1867, 1738, 1920, 1225, 1739, 1921, 1226, 1740, 1922, 1227, 1741, 
       1923, 1228, 1868, 1394, 1229, 1869, 1395, 1230, 1870, 1396, 1231}], 
      Line3DBox[{1233, 1742, 1924, 1232, 1743, 1925, 1234, 1744, 1926, 1235, 
       1475, 1927, 1476, 1236, 1802, 1928, 1456, 1237, 1993, 1457, 1458, 1238,
        1871, 1397, 1239, 1872, 1745, 1929, 1240, 1746, 1930, 1241, 1747, 
       1931, 1242, 1748, 1932, 1243, 1749, 1933, 1244, 1873, 1398, 1245, 1874,
        1399, 1246}], 
      Line3DBox[{1248, 1694, 1695, 2040, 1247, 1699, 1934, 1835, 1249, 1477, 
       1935, 1805, 1250, 1459, 1936, 1460, 1251, 1803, 1937, 1461, 1252, 1804,
        1938, 1462, 1253, 1998, 1478, 1479, 1254, 2001, 1481, 1482, 2000, 
       1255, 1484, 1939, 1806, 1256, 1486, 1940, 1807, 1257, 1488, 1941, 1489,
        1258, 1808, 1942, 1491, 1259, 1809, 1943, 1492, 1260, 2002, 1494, 
       1495, 1261}], Line3DBox[CompressedData["
1:eJwV0ckunmEYBuBX6ucclEg1iJWF4QBo1Tz8wUZiDomKRjf1m2dS8zwfARvn
YiVmqmFRNti6urhy38/zfO/q+9T6I9oTF0IY4Ck+hG8JIUxRzAeq+c1LYgh9
kRCq9Gn2mCGeEuaIuZ/Spu/TToQ0by+Z1/vdz+jQt+nk3JwkSxnQt2QX33ny
LoML+4/mMgb1AplNIQ/uqVzZJ5sXGNIvybR/Zseum2u7qByWNfLRrVbWcWPX
IxdZ4tVtxO5YP+SIXuq5tU+R5YzqX2QOX8nlzu6z9ycsm8fMP2UeReRzb1ch
VxjX//BL3+XNuyz+2q2a15jQG2QjszSRwDobTLo3y3Tv/nGgt5BIJZv//61v
YvIdbStAhw==
       "]], Line3DBox[CompressedData["
1:eJwVz8kuw1EYhvGvYti3tSuhpqoh9FJq19TGnjYxRLgRSwS3gDsQIk0kEhIk
JHQhEbMaFn7/xZP3+573nOSc/rlaeSEVERX8tUesdUasow03XREZ/PLnHREp
7tqexg9Xtc8iUOSusGr+1i3LFZy5tyQX0eJLsulcHxq6ur2GL92UfOCn5anu
EJ/8IPeIGf6EO8Cx/UO3bz7CvK7BFfDOT9gn0Y1e7g7j5jddUY4hix7+FqPm
V92ILCCDYQzhJXmDvHcul/zfPIA8nnW7yZ/5PbmDS+954rPcBja5bWzhQvcP
KE8y0Q==
       "]], Line3DBox[CompressedData["
1:eJwNyskuQ3EYxuFPYqoaVqZNOVdhnm5BCWXXRFIbbsBMjEXdhUgMa7chYWEj
YSFSkqphJfEsnrzf/3dOkl+eXKqJiHn+aiNW6yPWaOSeu4aIvH2si0jZJ+9d
94K7wCJNfOrrds+3Nzbcm6TZYl8r0+fuJ+v/ZrvNgf7BgPtVT2hxH2oztuyd
s3O0cqTP2nf91t3m3uGBqlbRBt1DdJDhWS/qVYa9R+jkRe+xx/oXo+4xuujl
RPtm3D3BlP+7bcKp/kO7Ns25dk1JW7EV7dJeccENZ7798g+F4TED
       "]], 
      Line3DBox[{1279, 1512, 1752, 2005, 1278, 1513, 1753, 2006, 1280, 1515, 
       1878, 1426, 1281, 1517, 1879, 1427, 1282, 1814, 1880, 1428, 1283, 2007,
        1519, 1429, 1284, 2008, 1520, 1430, 1285, 2010, 1522, 1754, 2009, 
       1286, 1467, 1755, 1995, 1528, 1468, 1881, 1431, 1529, 1469, 1882, 1432,
        1552, 1815, 1883, 1433, 1287, 2042, 1703, 1434, 1714, 2043, 1705, 
       1435, 1715}], 
      Line3DBox[{1289, 1756, 1945, 1288, 1757, 1946, 1290, 1758, 1947, 1291, 
       1884, 1436, 1292, 1885, 1437, 1293, 1886, 1438, 1294, 1887, 1439, 1295,
        1888, 1759, 1948, 1296, 1470, 1760, 1996, 1297, 1471, 1761, 1997, 
       1553, 1530, 1889, 1440, 1298, 1890, 1441, 1299, 1891, 1442, 1300, 1892,
        1443, 1301}], 
      Line3DBox[{1303, 1762, 1949, 1302, 1763, 1950, 1304, 1764, 1951, 1305, 
       1765, 1952, 1306, 1893, 1444, 1307, 1894, 1445, 1308, 1895, 1446, 1309,
        1896, 1766, 1953, 1310, 1767, 1954, 1311, 1768, 1955, 1312, 1769, 
       1956, 1313, 1897, 1447, 1314, 1898, 1448, 1315, 1899, 1449, 1316}], 
      Line3DBox[{1318, 1770, 1957, 1317, 1771, 1958, 1319, 1772, 1959, 1320, 
       1773, 1960, 1321, 1774, 1961, 1322, 1900, 1450, 1323, 1901, 1451, 1324,
        1902, 1775, 1962, 1325, 1776, 1963, 1326, 1777, 1964, 1327, 1778, 
       1965, 1328, 1779, 1966, 1329, 1903, 1452, 1330, 1904, 1453, 1331}], 
      Line3DBox[{1333, 1780, 1967, 1332, 1781, 1968, 1334, 1782, 1969, 1335, 
       1783, 1970, 1336, 1784, 1971, 1337, 1785, 1972, 1338, 1905, 1454, 1339,
        1906, 1786, 1973, 1340, 1787, 1974, 1341, 1788, 1975, 1342, 1789, 
       1976, 1343, 1790, 1977, 1344, 1791, 1978, 1345, 1907, 1455, 1346}], 
      Line3DBox[{1360, 1535, 1992, 1819, 1359, 1991, 1801, 1358, 1990, 1800, 
       1357, 1989, 1799, 1356, 1988, 1798, 1355, 1987, 1797, 1354, 1818, 1986,
        1534, 2011, 1353, 1533, 1985, 1817, 1352, 1984, 1796, 1351, 1983, 
       1795, 1350, 1982, 1794, 1349, 1981, 1793, 1348, 1980, 1792, 1347, 1816,
        1979, 1531, 1532}]}, {
      Line3DBox[{614, 801, 1836, 615, 1909, 813, 640, 1911, 827, 655, 1917, 
       842, 670, 1925, 857, 685, 1934, 1152, 869, 700, 2041, 585, 1014, 422, 
       1675, 537, 468, 1105, 877, 2016, 708, 1023, 2006, 880, 714, 1946, 886, 
       729, 1950, 900, 744, 1958, 915, 759, 1968, 930, 774, 1980, 945, 789}], 
      Line3DBox[{616, 802, 1837, 617, 814, 1845, 641, 1912, 828, 656, 1918, 
       843, 671, 1926, 858, 686, 1935, 990, 991, 870, 701, 2021, 1065, 964, 
       1106, 1076, 1077, 2015, 1136, 1078, 1015, 1143, 1125, 2034, 1126, 709, 
       1024, 881, 1878, 715, 1947, 887, 730, 1951, 901, 745, 1959, 916, 760, 
       1969, 931, 775, 1981, 946, 790}], 
      Line3DBox[{618, 803, 1838, 619, 815, 1846, 642, 829, 1855, 657, 1919, 
       844, 672, 1927, 260, 687, 1936, 228, 363, 1555, 232, 476, 1501, 291, 
       477, 240, 1547, 351, 314, 1879, 716, 888, 1884, 731, 1952, 902, 746, 
       1960, 917, 761, 1970, 932, 776, 1982, 947, 791}], 
      Line3DBox[{620, 804, 1839, 621, 816, 1847, 643, 830, 1856, 658, 845, 
       1864, 673, 1928, 956, 989, 957, 688, 1937, 960, 992, 961, 1060, 2017, 
       1066, 965, 1108, 966, 1109, 1107, 2031, 1016, 1083, 1110, 971, 1127, 
       972, 1875, 1070, 1053, 1025, 1026, 1880, 717, 889, 1885, 732, 903, 
       1893, 747, 1961, 918, 762, 1971, 933, 777, 1983, 948, 792}], 
      Line3DBox[{622, 805, 1840, 623, 817, 1848, 644, 831, 1857, 659, 846, 
       1865, 674, 958, 1993, 959, 689, 1938, 962, 993, 963, 1061, 2018, 1067, 
       967, 1074, 968, 1068, 2025, 1018, 1071, 973, 1075, 974, 1072, 2024, 
       1054, 1027, 2007, 1028, 718, 890, 1886, 733, 904, 1894, 748, 919, 1900,
        763, 1972, 934, 778, 1984, 949, 793}], 
      Line3DBox[{624, 984, 985, 625, 818, 1849, 645, 832, 1858, 660, 847, 
       1866, 675, 859, 1871, 690, 994, 1998, 995, 996, 1999, 1113, 1114, 1017,
        1112, 1111, 2032, 1141, 1115, 1116, 1092, 1095, 2028, 1094, 1055, 
       1029, 2008, 1030, 719, 891, 1887, 734, 905, 1895, 749, 920, 1901, 764, 
       935, 1905, 779, 1985, 1041, 1042, 1059}], 
      Line3DBox[{626, 1134, 1135, 1133, 2036, 986, 1169, 1167, 2045, 1168, 
       646, 833, 1859, 661, 848, 1867, 676, 860, 1872, 691, 997, 2001, 999, 
       1000, 969, 1994, 1086, 1091, 2026, 1090, 1019, 1096, 1097, 1093, 2029, 
       975, 1056, 1032, 2010, 1034, 720, 892, 1888, 735, 906, 1896, 750, 921, 
       1902, 765, 936, 1906, 780, 1043, 2011, 1140, 1146, 1145, 1147}], 
      Line3DBox[{629, 808, 1841, 630, 821, 1850, 649, 1915, 836, 664, 1922, 
       851, 679, 1931, 863, 694, 1940, 1002, 873, 704, 2023, 1069, 970, 1118, 
       1080, 1119, 1081, 2004, 1139, 1082, 1120, 976, 1129, 1063, 2020, 1064, 
       712, 980, 1037, 884, 1881, 723, 982, 1058, 1997, 895, 738, 1955, 909, 
       753, 1964, 924, 768, 1975, 939, 783, 1988, 952, 796}], 
      Line3DBox[{631, 809, 1842, 632, 822, 1851, 650, 837, 1860, 665, 1923, 
       852, 680, 1932, 864, 695, 1941, 274, 275, 1490, 239, 500, 1510, 303, 
       501, 247, 1560, 368, 251, 1882, 724, 329, 1889, 739, 1956, 910, 754, 
       1965, 925, 769, 1976, 940, 784, 1989, 953, 797}], 
      Line3DBox[{633, 810, 1843, 634, 823, 1852, 651, 838, 1861, 666, 853, 
       1868, 681, 1933, 865, 696, 1942, 1003, 1004, 1050, 2012, 1122, 1005, 
       1142, 1006, 1121, 2039, 1020, 1123, 977, 1130, 978, 1876, 1073, 1062, 
       1038, 1057, 1039, 1883, 725, 896, 1890, 740, 911, 1897, 755, 1966, 926,
        770, 1977, 941, 785, 1990, 954, 798}], 
      Line3DBox[{635, 811, 1844, 636, 824, 1853, 652, 839, 1862, 667, 854, 
       1869, 682, 866, 1873, 697, 1943, 1007, 1008, 1051, 2013, 1009, 1098, 
       460, 1672, 527, 521, 1035, 1021, 1877, 1155, 1153, 2042, 1154, 726, 
       897, 1891, 741, 912, 1898, 756, 927, 1903, 771, 1978, 942, 786, 1991, 
       955, 799}], 
      Line3DBox[{637, 987, 988, 638, 825, 1854, 653, 840, 1863, 668, 855, 
       1870, 683, 867, 1874, 698, 1010, 2002, 1011, 1052, 2014, 1012, 1099, 
       1101, 1100, 2030, 1144, 1131, 1132, 1124, 1160, 2033, 1159, 1158, 1156,
        1162, 2043, 1157, 727, 898, 1892, 742, 913, 1899, 757, 928, 1904, 772,
        943, 1907, 787, 1992, 1045, 1046, 1047}], 
      Line3DBox[{788, 944, 1040, 1979, 773, 929, 1967, 758, 914, 1957, 743, 
       899, 1949, 728, 885, 1945, 713, 879, 2005, 1022, 707, 876, 2003, 1102, 
       1104, 1103, 705, 2037, 874, 1085, 1084, 1013, 1944, 699, 868, 2040, 
       1151, 684, 856, 1924, 669, 841, 1916, 654, 826, 1910, 639, 812, 1908, 
       613, 800, 983, 1048}], 
      Line3DBox[{794, 950, 1044, 1986, 781, 937, 1973, 766, 922, 1962, 751, 
       907, 1953, 736, 893, 1948, 721, 882, 2009, 1033, 710, 878, 2035, 1128, 
       1031, 1079, 1148, 1150, 1149, 706, 2038, 875, 1161, 1138, 1137, 1117, 
       1087, 1089, 1088, 2027, 702, 871, 2000, 998, 692, 861, 1929, 677, 849, 
       1920, 662, 834, 1913, 647, 819, 2044, 1173, 1175, 1174, 627, 806, 1170,
        1164, 1166, 1165, 1049}], 
      Line3DBox[{795, 951, 1987, 782, 938, 1974, 767, 923, 1963, 752, 908, 
       1954, 737, 894, 1996, 981, 722, 883, 1995, 1036, 979, 711, 2019, 374, 
       416, 397, 428, 1612, 373, 411, 387, 2022, 703, 872, 1001, 1939, 693, 
       862, 1930, 678, 850, 1921, 663, 835, 1914, 648, 820, 2046, 1172, 628, 
       2047, 807, 1163, 1171}]}, {}, {}}},
   VertexNormals->CompressedData["
1:eJxUW3c819/3NyspGhJp2imUUeTm2hFZlVmIlJCVUUjJqKQyklU22XtT195l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    "]],
  Axes->True,
  BoxRatios->{1, 1, 0.4},
  Method->{"RotationControl" -> "Globe"},
  PlotRange->{All, All, All},
  PlotRangePadding->{Automatic, Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.5495269313706045`*^9, 3.549527104469508*^9, 
  3.5495291573691926`*^9, 3.549532709851766*^9, 3.5495327868535013`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"simple", " ", "analytical", " ", "model"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kB", "=", 
     RowBox[{"1.3806503", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "23"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"0.052917721086", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hbar", "=", 
     RowBox[{"1.05457148", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"2", "*", "Pi", "*", "hbar"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"massunit", "=", 
     RowBox[{"1.66053886", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", "=", 
     RowBox[{"84", "*", "massunit"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"122.7", "a0"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gcouple", "=", 
     RowBox[{"4", "*", "Pi", "*", 
      RowBox[{"hbar", "^", "2"}], "*", 
      RowBox[{"a", "/", "m"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBEC", "=", 
     RowBox[{"111", "*", 
      RowBox[{"10", "^", "3"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"944", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fx", "=", "244"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fy", "=", "247"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fz", "=", "624"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UDimple", "=", 
     RowBox[{"3", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}], "*", "kB"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fxres", "=", "8.4"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fyres", "=", "37"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fzres", "=", "622"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fbar", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"fx", " ", "fy", " ", "fz"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "3"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"omegabar", "=", 
     RowBox[{"2", "Pi", " ", "fbar"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"abar", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"hbar", "/", 
       RowBox[{"(", 
        RowBox[{"m", " ", "omegabar"}], ")"}]}], " ", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"aHO", "[", "f_", "]"}], ":=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"hbar", "/", 
       RowBox[{"(", 
        RowBox[{"m", " ", "2", " ", "Pi", " ", "f"}], ")"}]}], " ", "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aHObar", "=", 
     RowBox[{"aHO", "[", "fbar", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aHOx", "=", 
     RowBox[{"aHO", "[", "fx", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aHOy", "=", 
     RowBox[{"aHO", "[", "fy", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aHOz", "=", 
     RowBox[{"aHO", "[", "fz", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fbarres", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"fxres", " ", "fyres", " ", "fzres"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "3"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"omegabarres", "=", 
     RowBox[{"2", "Pi", " ", "fbarres"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPot", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"15", "^", 
         RowBox[{"(", 
          RowBox[{"2", "/", "5"}], ")"}]}], "/", "2"}], ")"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"NBEC", " ", 
         RowBox[{"a", "/", "abar"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"2", "/", "5"}], ")"}]}], "hbar", " ", "omegabar"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeBroglieWavelength", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "Pi", "*", 
       RowBox[{
        RowBox[{"hbar", "^", "2"}], "/", 
        RowBox[{"(", 
         RowBox[{"m", "*", "kB", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DensityThermal", "[", "U_", "]"}], ":=", " ", 
     RowBox[{
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"ChemPot", "-", "U"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"kB", " ", "*", "Temperature"}], ")"}]}], "]"}]}], "]"}], 
      "/", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nc", "=", 
     RowBox[{"DensityThermal", "[", "ChemPot", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nThermalCenter", "=", 
     RowBox[{"DensityThermal", "[", 
      RowBox[{"2", "ChemPot"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nThermalEdge", "=", 
     RowBox[{"DensityThermal", "[", "UDimple", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n0BEC", "=", " ", 
     RowBox[{"ChemPot", "/", "gcouple"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NReservoir", "=", 
     RowBox[{"nThermalEdge", "*", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", " ", "Pi", " ", "kB", " ", 
          RowBox[{"Temperature", "/", "m"}]}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"3", "/", "2"}], ")"}]}], "/", 
       RowBox[{"omegabarres", "^", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rDimple", "=", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{"UDimple", "/", "m"}], "]"}], "/", "omegabar"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NDimpleApprox", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "/", "3"}], ")"}], "Pi", " ", 
      RowBox[{"rDimple", "^", "3"}], " ", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"nc", "/", "2"}], "-", "nThermalEdge"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DimpleDensityIncrease", "=", 
     RowBox[{"nc", "/", "nThermalEdge"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BoltzmanFactor", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"UDimple", "/", 
       RowBox[{"(", 
        RowBox[{"kB", " ", "Temperature"}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BoltzmanFactorWithChemPot", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"UDimple", "-", "ChemPot"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"kB", " ", "Temperature"}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TFRadius", "[", "f_", "]"}], ":=", 
     RowBox[{"aHObar", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"15", "*", "NBEC", "*", 
         RowBox[{"a", "/", "aHObar"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "5"}], ")"}]}], "*", 
      RowBox[{"fbar", "/", "f"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<N BEC = \>\"", ",", "NBEC"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<T = \>\"", ",", 
      RowBox[{"N", "[", 
       RowBox[{"Temperature", "*", 
        RowBox[{"10", "^", "9"}]}], "]"}], ",", "\"\< nK\>\""}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<ChemPot = \>\"", ",", 
      RowBox[{
       RowBox[{"10", "^", "9"}], "*", 
       RowBox[{"ChemPot", "/", "kB"}]}], ",", "\"\< nK\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<nc = \>\"", ",", 
      RowBox[{
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}], "*", "nc"}], ",", "\"\< cm^-3\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<peak BEC density  = \>\"", ",", 
      RowBox[{"n0BEC", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<na^3  = \>\"", ",", 
      RowBox[{"n0BEC", "*", 
       RowBox[{"a", "^", "3"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<aHOx/a  = \>\"", ",", 
      RowBox[{"aHOx", "/", "a"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<aHOy/a  = \>\"", ",", 
      RowBox[{"aHOy", "/", "a"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<aHOz/a  = \>\"", ",", 
      RowBox[{"aHOz", "/", "a"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<central thermal density  = \>\"", ",", 
      RowBox[{"nThermalCenter", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<peak reservoir density  = \>\"", ",", 
      RowBox[{"nThermalEdge", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<DimpleDensityIncrease = \>\"", ",", "DimpleDensityIncrease"}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<BoltzmanFactor = \>\"", ",", "BoltzmanFactor"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<BoltzmanFactor with Chem Pot= \>\"", ",", 
      "BoltzmanFactorWithChemPot"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<R_TF,x = \>\"", ",", 
      RowBox[{
       RowBox[{"TFRadius", "[", "fx", "]"}], "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<R_TF,y = \>\"", ",", 
      RowBox[{
       RowBox[{"TFRadius", "[", "fy", "]"}], "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<R_TF,z = \>\"", ",", 
      RowBox[{
       RowBox[{"TFRadius", "[", "fz", "]"}], "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"elastic", " ", "collision", " ", "rates"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vThermal", "=", 
     RowBox[{"4", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"kB", "*", 
        RowBox[{"Temperature", "/", 
         RowBox[{"(", 
          RowBox[{"Pi", "*", "m"}], ")"}]}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<vThermal = \>\"", ",", "vThermal", ",", "\"\< mm/ms\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kThermal", "=", 
     RowBox[{"vThermal", "*", 
      RowBox[{"m", "/", "hbar"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaPseudoPotential", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{
       RowBox[{"a", "^", "2"}], "/", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"kThermal", "^", "2"}], 
          RowBox[{"a", "^", "2"}]}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaZeroT", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{"a", "^", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<SigmaThermal/Sigma0T = \>\"", ",", 
      RowBox[{"SigmaPseudoPotential", "/", "SigmaZeroT"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GammaEl", "[", "n_", "]"}], ":=", 
     RowBox[{"n", "*", "SigmaPseudoPotential", "*", 
      RowBox[{"vThermal", "/", 
       RowBox[{"Sqrt", "[", "8", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Gamma el thermal (nc) = \>\"", ",", 
      RowBox[{"GammaEl", "[", "nc", "]"}], ",", "\"\< s^-1\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Gamma el thermal (nThermalEdge) = \>\"", ",", 
      RowBox[{"GammaEl", "[", "nThermalEdge", "]"}], ",", "\"\< s^-1\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Gamma el thermal (nThermalEdge) average z = \>\"", ",", 
      RowBox[{
       RowBox[{"GammaEl", "[", "nThermalEdge", "]"}], "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], ",", "\"\< s^-1\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<N reservoir = \>\"", ",", "NReservoir"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<N dimple approx = \>\"", ",", "NDimpleApprox"}], "]"}], 
    ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5516235009936423`*^9, 3.551623529198492*^9}, {
  3.551700112161812*^9, 3.5517001220990295`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"N BEC = \"\>", "\[InvisibleSpace]", "111000"}],
  SequenceForm["N BEC = ", 111000],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.5517001229726315`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"T = \"\>", "\[InvisibleSpace]", "944.`", 
   "\[InvisibleSpace]", "\<\" nK\"\>"}],
  SequenceForm["T = ", 944., " nK"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.5517001229726315`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ChemPot = \"\>", "\[InvisibleSpace]", "405.2482605418172`", 
   "\[InvisibleSpace]", "\<\" nK\"\>"}],
  SequenceForm["ChemPot = ", 405.2482605418172, " nK"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.5517001229726315`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"nc = \"\>", "\[InvisibleSpace]", "3.4666798123374856`*^14", 
   "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["nc = ", 3.4666798123374856`*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"peak BEC density  = \"\>", "\[InvisibleSpace]", 
   "8.600537162607934`*^14", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["peak BEC density  = ", 8.600537162607934*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"na^3  = \"\>", "\[InvisibleSpace]", "0.00023543046679999312`"}],
  SequenceForm["na^3  = ", 0.00023543046679999312`],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"aHOx/a  = \"\>", "\[InvisibleSpace]", "108.15417858622612`"}],
  SequenceForm["aHOx/a  = ", 108.15417858622612`],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"aHOy/a  = \"\>", "\[InvisibleSpace]", "107.49536527701032`"}],
  SequenceForm["aHOy/a  = ", 107.49536527701032`],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"aHOz/a  = \"\>", "\[InvisibleSpace]", "67.63101753336501`"}],
  SequenceForm["aHOz/a  = ", 67.63101753336501],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"central thermal density  = \"\>", "\[InvisibleSpace]", 
   "1.1914712709965848`*^14", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm[
  "central thermal density  = ", 1.1914712709965848`*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"peak reservoir density  = \"\>", "\[InvisibleSpace]", 
   "8.693832212622256`*^12", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["peak reservoir density  = ", 8.693832212622256*^12, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DimpleDensityIncrease = \"\>", "\[InvisibleSpace]", 
   "39.87516353610253`"}],
  SequenceForm["DimpleDensityIncrease = ", 39.87516353610253],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BoltzmanFactor = \"\>", "\[InvisibleSpace]", 
   "23.99789460468037`"}],
  SequenceForm["BoltzmanFactor = ", 23.99789460468037],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BoltzmanFactor with Chem Pot= \"\>", "\[InvisibleSpace]", 
   "15.62196114682053`"}],
  SequenceForm["BoltzmanFactor with Chem Pot= ", 15.62196114682053],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"R_TF,x = \"\>", "\[InvisibleSpace]", "5.842296096258373`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["R_TF,x = ", 5.842296096258373, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"R_TF,y = \"\>", "\[InvisibleSpace]", "5.7713370343605`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["R_TF,y = ", 5.7713370343605, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"R_TF,z = \"\>", "\[InvisibleSpace]", "2.284487576101031`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["R_TF,z = ", 2.284487576101031, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"vThermal = \"\>", "\[InvisibleSpace]", "0.0218146742984098`", 
   "\[InvisibleSpace]", "\<\" mm/ms\"\>"}],
  SequenceForm["vThermal = ", 0.0218146742984098, " mm/ms"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"SigmaThermal/Sigma0T = \"\>", "\[InvisibleSpace]", 
   "0.9660912620020092`"}],
  SequenceForm["SigmaThermal/Sigma0T = ", 0.9660912620020092],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Gamma el thermal (nc) = \"\>", "\[InvisibleSpace]", 
   "2736.9500794515666`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Gamma el thermal (nc) = ", 2736.9500794515666`, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Gamma el thermal (nThermalEdge) = \"\>", "\[InvisibleSpace]", 
   "68.63796500730491`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm[
  "Gamma el thermal (nThermalEdge) = ", 68.63796500730491, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Gamma el thermal (nThermalEdge) average z = \"\>", 
   "\[InvisibleSpace]", "48.53437050351026`", 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm[
  "Gamma el thermal (nThermalEdge) average z = ", 48.53437050351026, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"N reservoir = \"\>", "\[InvisibleSpace]", 
   "2.5790578958664704`*^6"}],
  SequenceForm["N reservoir = ", 2.5790578958664704`*^6],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"N dimple approx = \"\>", "\[InvisibleSpace]", 
   "378293.02643719246`"}],
  SequenceForm["N dimple approx = ", 378293.02643719246`],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1437, 966},
WindowMargins->{{0, Automatic}, {Automatic, 35}},
DockedCells->FEPrivate`FrontEndResource[
 "FEExpressions", "CompatibilityToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 16116, 447, 1452, "Input"],
Cell[16686, 471, 3146, 48, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19869, 524, 49322, 1254, 2892, "Input"],
Cell[CellGroupData[{
Cell[69216, 1782, 4904, 70, 23, "Print"],
Cell[74123, 1854, 4929, 70, 23, "Print"],
Cell[79055, 1926, 4865, 70, 23, "Print"],
Cell[83923, 1998, 4876, 70, 23, "Print"],
Cell[88802, 2070, 4896, 70, 23, "Print"],
Cell[93701, 2142, 4894, 70, 23, "Print"],
Cell[98598, 2214, 4904, 70, 23, "Print"],
Cell[103505, 2286, 4886, 70, 23, "Print"],
Cell[108394, 2358, 4950, 70, 23, "Print"],
Cell[113347, 2430, 4952, 70, 23, "Print"],
Cell[118302, 2502, 4951, 70, 23, "Print"],
Cell[123256, 2574, 4951, 70, 23, "Print"],
Cell[128210, 2646, 4955, 70, 23, "Print"],
Cell[133168, 2718, 4955, 70, 23, "Print"],
Cell[138126, 2790, 4979, 71, 23, "Print"],
Cell[143108, 2863, 4924, 70, 23, "Print"],
Cell[148035, 2935, 4927, 70, 23, "Print"],
Cell[152965, 3007, 4924, 70, 23, "Print"],
Cell[157892, 3079, 4964, 71, 23, "Print"]
}, Open  ]],
Cell[162871, 3153, 697, 13, 39, "Message"],
Cell[CellGroupData[{
Cell[163593, 3170, 4980, 72, 23, "Print"],
Cell[168576, 3244, 4980, 72, 23, "Print"],
Cell[173559, 3318, 4977, 72, 23, "Print"],
Cell[178539, 3392, 5199, 77, 23, "Print"],
Cell[183741, 3471, 5035, 74, 23, "Print"],
Cell[188779, 3547, 5017, 73, 23, "Print"],
Cell[193799, 3622, 4972, 70, 23, "Print"],
Cell[198774, 3694, 5060, 74, 23, "Print"],
Cell[203837, 3770, 5001, 72, 23, "Print"],
Cell[208841, 3844, 4975, 71, 23, "Print"],
Cell[213819, 3917, 4936, 70, 23, "Print"],
Cell[218758, 3989, 4937, 70, 23, "Print"],
Cell[223698, 4061, 4934, 70, 23, "Print"],
Cell[228635, 4133, 4989, 72, 23, "Print"],
Cell[233627, 4207, 4975, 71, 23, "Print"],
Cell[238605, 4280, 4932, 70, 23, "Print"],
Cell[243540, 4352, 4932, 70, 23, "Print"],
Cell[248475, 4424, 4940, 70, 23, "Print"],
Cell[253418, 4496, 4993, 72, 23, "Print"],
Cell[258414, 4570, 4976, 71, 23, "Print"],
Cell[263393, 4643, 4938, 70, 23, "Print"],
Cell[268334, 4715, 4938, 70, 23, "Print"],
Cell[273275, 4787, 4941, 70, 23, "Print"],
Cell[278219, 4859, 4934, 70, 23, "Print"],
Cell[283156, 4931, 4922, 70, 23, "Print"],
Cell[288081, 5003, 4924, 70, 23, "Print"],
Cell[293008, 5075, 4930, 70, 23, "Print"],
Cell[297941, 5147, 4930, 70, 23, "Print"],
Cell[302874, 5219, 4930, 70, 23, "Print"],
Cell[307807, 5291, 4930, 70, 23, "Print"]
}, Open  ]],
Cell[312752, 5364, 659, 10, 30, "Output"],
Cell[313414, 5376, 4934, 70, 23, "Print"],
Cell[318351, 5448, 669, 10, 30, "Output"],
Cell[CellGroupData[{
Cell[319045, 5462, 4932, 70, 23, "Print"],
Cell[323980, 5534, 4957, 70, 23, "Print"],
Cell[328940, 5606, 4893, 70, 23, "Print"],
Cell[333836, 5678, 4904, 70, 23, "Print"],
Cell[338743, 5750, 4783, 71, 43, "Print"],
Cell[343529, 5823, 4668, 68, 23, "Print"],
Cell[348200, 5893, 4660, 67, 23, "Print"],
Cell[352863, 5962, 4608, 66, 23, "Print"],
Cell[357474, 6030, 4610, 66, 23, "Print"],
Cell[362087, 6098, 4613, 66, 23, "Print"],
Cell[366703, 6166, 4612, 66, 23, "Print"]
}, Open  ]],
Cell[371330, 6235, 4387, 60, 30, "Output"],
Cell[375720, 6297, 4618, 66, 23, "Print"],
Cell[380341, 6365, 4399, 60, 30, "Output"],
Cell[CellGroupData[{
Cell[384765, 6429, 4616, 66, 23, "Print"],
Cell[389384, 6497, 4641, 66, 23, "Print"],
Cell[394028, 6565, 4577, 66, 23, "Print"],
Cell[398608, 6633, 4591, 66, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[403248, 6705, 9428, 250, 472, "Input"],
Cell[412679, 6957, 9099, 144, 238, "Output"],
Cell[421781, 7103, 12799, 204, 236, "Output"],
Cell[434583, 7309, 10799, 172, 236, "Output"],
Cell[445385, 7483, 11616, 185, 230, "Output"],
Cell[457004, 7670, 13514, 216, 235, "Output"],
Cell[470521, 7888, 4507, 64, 30, "Output"],
Cell[475031, 7954, 4505, 64, 30, "Output"],
Cell[479539, 8020, 4486, 63, 30, "Output"],
Cell[484028, 8085, 2468, 36, 23, "Print"],
Cell[486499, 8123, 4471, 63, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[491007, 8191, 1516, 44, 52, "Input"],
Cell[492526, 8237, 1190347, 19525, 751, 1135137, 18618, "CachedBoxData", \
"BoxData", "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1682910, 27767, 703, 21, 72, "Input"],
Cell[1683616, 27790, 3212, 58, 248, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1686865, 27853, 7051, 188, 312, "Input"],
Cell[CellGroupData[{
Cell[1693941, 28045, 1204, 19, 23, "Print"],
Cell[1695148, 28066, 1204, 19, 23, "Print"]
}, Open  ]],
Cell[1696367, 28088, 6055, 102, 234, "Output"],
Cell[1702425, 28192, 3598, 61, 215, "Output"],
Cell[1706026, 28255, 4944, 83, 222, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1711007, 28343, 402, 5, 52, "Input"],
Cell[1711412, 28350, 24678, 463, 243, "Output"]
}, Open  ]],
Cell[1736105, 28816, 89, 1, 52, "Input"],
Cell[CellGroupData[{
Cell[1736219, 28821, 26531, 680, 1672, "Input"],
Cell[CellGroupData[{
Cell[1762775, 29505, 790, 13, 23, "Print"],
Cell[1763568, 29520, 784, 13, 23, "Print"],
Cell[1764355, 29535, 782, 13, 23, "Print"],
Cell[1765140, 29550, 807, 13, 23, "Print"],
Cell[1765950, 29565, 745, 13, 23, "Print"]
}, Open  ]],
Cell[1766710, 29581, 14434, 241, 244, "Output"],
Cell[1781147, 29824, 32348, 612, 233, 26761, 520, "CachedBoxData", "BoxData", \
"Output"],
Cell[1813498, 30438, 11355, 190, 244, "Output"],
Cell[1824856, 30630, 17329, 288, 244, "Output"],
Cell[1842188, 30920, 19464, 323, 239, "Output"],
Cell[1861655, 31245, 635, 12, 21, "Message"],
Cell[1862293, 31259, 574, 8, 30, "Output"],
Cell[1862870, 31269, 753, 13, 23, "Print"],
Cell[1863626, 31284, 574, 8, 30, "Output"],
Cell[1864203, 31294, 749, 13, 23, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1864989, 31312, 20867, 550, 1812, "Input"],
Cell[1885859, 31864, 16337, 276, 244, "Output"],
Cell[1902199, 32142, 215, 3, 30, "Output"],
Cell[1902417, 32147, 17222, 291, 222, "Output"],
Cell[CellGroupData[{
Cell[1919664, 32442, 356, 7, 23, "Print"],
Cell[1920023, 32451, 367, 7, 23, "Print"],
Cell[1920393, 32460, 357, 7, 23, "Print"]
}, Open  ]],
Cell[1920765, 32470, 992, 19, 29, "Message"],
Cell[CellGroupData[{
Cell[1921782, 32493, 388, 8, 23, "Print"],
Cell[1922173, 32503, 447, 8, 23, "Print"],
Cell[1922623, 32513, 431, 8, 23, "Print"],
Cell[1923057, 32523, 427, 8, 23, "Print"],
Cell[1923487, 32533, 376, 8, 23, "Print"],
Cell[1923866, 32543, 414, 8, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1924329, 32557, 33366, 795, 2452, "Input"],
Cell[1957698, 33354, 131062, 2151, 245, 125000, 2054, "CachedBoxData", \
"BoxData", "Output"],
Cell[2088763, 35507, 80417, 1321, 225, 76172, 1253, "CachedBoxData", \
"BoxData", "Output"],
Cell[2169183, 36830, 1782, 29, 229, "Output"],
Cell[2170968, 36861, 1809, 29, 230, "Output"],
Cell[2172780, 36892, 1812, 29, 228, "Output"],
Cell[2174595, 36923, 2002, 31, 233, "Output"],
Cell[2176600, 36956, 2027, 32, 341, "Output"],
Cell[2178630, 36990, 1807, 28, 231, "Output"],
Cell[2180440, 37020, 1963, 31, 347, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2182440, 37056, 859, 22, 52, "Input"],
Cell[2183302, 37080, 2779, 50, 352, "Output"],
Cell[2186084, 37132, 169, 2, 30, "Output"],
Cell[2186256, 37136, 169, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2186462, 37143, 1704, 49, 132, "Input"],
Cell[2188169, 37194, 129875, 2135, 245, 125000, 2054, "CachedBoxData", \
"BoxData", "Output"],
Cell[2318047, 39331, 80415, 1325, 231, 76263, 1255, "CachedBoxData", \
"BoxData", "Output"],
Cell[2398465, 40658, 808, 15, 233, "Output"],
Cell[2399276, 40675, 742, 14, 235, "Output"]
}, Open  ]],
Cell[2400033, 40692, 71, 1, 31, "Input"],
Cell[CellGroupData[{
Cell[2400129, 40697, 516, 9, 112, "Input"],
Cell[2400648, 40708, 1245, 25, 229, "Output"],
Cell[2401896, 40735, 973, 21, 241, "Output"],
Cell[2402872, 40758, 264, 4, 30, "Output"],
Cell[2403139, 40764, 251, 4, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2403427, 40773, 67496, 1704, 5352, "Input"],
Cell[2470926, 42479, 664, 12, 21, "Message"],
Cell[2471593, 42493, 664, 12, 21, "Message"],
Cell[2472260, 42507, 664, 12, 21, "Message"],
Cell[2472927, 42521, 642, 12, 21, "Message"],
Cell[2473572, 42535, 137407, 2252, 241, 129950, 2136, "CachedBoxData", \
"BoxData", "Output"],
Cell[2610982, 44789, 84547, 1385, 225, 78194, 1287, "CachedBoxData", \
"BoxData", "Output"],
Cell[2695532, 46176, 22616, 413, 241, "Output"],
Cell[2718151, 46591, 29719, 561, 231, "Output"],
Cell[2747873, 47154, 38773, 679, 238, "Output"],
Cell[2786649, 47835, 36023, 626, 238, "Output"],
Cell[2822675, 48463, 37809, 655, 240, "Output"],
Cell[2860487, 49120, 36446, 710, 227, "Output"],
Cell[2896936, 49832, 13657, 222, 238, "Output"],
Cell[2910596, 50056, 13943, 226, 238, "Output"],
Cell[2924542, 50284, 14413, 234, 251, "Output"],
Cell[CellGroupData[{
Cell[2938980, 50522, 1663, 26, 23, "Print"],
Cell[2940646, 50550, 1675, 26, 23, "Print"],
Cell[2942324, 50578, 1686, 26, 23, "Print"],
Cell[2944013, 50606, 1681, 26, 23, "Print"],
Cell[2945697, 50634, 1716, 26, 23, "Print"],
Cell[2947416, 50662, 1733, 27, 23, "Print"],
Cell[2949152, 50691, 1731, 27, 23, "Print"],
Cell[2950886, 50720, 1742, 27, 23, "Print"],
Cell[2952631, 50749, 1692, 26, 23, "Print"],
Cell[2954326, 50777, 1662, 26, 23, "Print"],
Cell[2955991, 50805, 1712, 26, 23, "Print"],
Cell[2957706, 50833, 1730, 27, 23, "Print"],
Cell[2959439, 50862, 1664, 26, 23, "Print"]
}, Open  ]],
Cell[2961118, 50891, 660, 12, 21, "Message"],
Cell[2961781, 50905, 1204, 19, 73, "Message"],
Cell[2962988, 50926, 1670, 26, 23, "Print"],
Cell[2964661, 50954, 660, 12, 21, "Message"],
Cell[2965324, 50968, 1202, 19, 73, "Message"],
Cell[CellGroupData[{
Cell[2966551, 50991, 1651, 26, 23, "Print"],
Cell[2968205, 51019, 1652, 26, 23, "Print"],
Cell[2969860, 51047, 1658, 26, 23, "Print"],
Cell[2971521, 51075, 1656, 26, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2973226, 51107, 4463, 136, 232, "Input"],
Cell[2977692, 51245, 11201, 191, 244, "Output"],
Cell[2988896, 51438, 26749, 521, 231, "Output"],
Cell[3015648, 51961, 10810, 184, 242, "Output"],
Cell[3026461, 52147, 24818, 414, 241, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3051316, 52566, 8995, 266, 392, "Input"],
Cell[3060314, 52834, 12191, 205, 244, "Output"],
Cell[3072508, 53041, 29741, 537, 241, "Output"],
Cell[3102252, 53580, 11244, 190, 242, "Output"],
Cell[3113499, 53772, 25061, 417, 241, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3138597, 54194, 1402, 44, 72, "Input"],
Cell[3140002, 54240, 135890, 2220, 267, 116839, 1906, "CachedBoxData", \
"BoxData", "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3275929, 56465, 14180, 401, 1772, "Input"],
Cell[CellGroupData[{
Cell[3290134, 56870, 257, 6, 23, "Print"],
Cell[3290394, 56878, 293, 7, 23, "Print"],
Cell[3290690, 56887, 331, 7, 23, "Print"],
Cell[3291024, 56896, 336, 7, 23, "Print"],
Cell[3291363, 56905, 363, 7, 23, "Print"],
Cell[3291729, 56914, 289, 6, 23, "Print"],
Cell[3292021, 56922, 285, 6, 23, "Print"],
Cell[3292309, 56930, 285, 6, 23, "Print"],
Cell[3292597, 56938, 282, 6, 23, "Print"],
Cell[3292882, 56946, 383, 8, 23, "Print"],
Cell[3293268, 56956, 375, 7, 23, "Print"],
Cell[3293646, 56965, 314, 7, 23, "Print"],
Cell[3293963, 56974, 300, 7, 23, "Print"],
Cell[3294266, 56983, 326, 7, 23, "Print"],
Cell[3294595, 56992, 341, 7, 23, "Print"],
Cell[3294939, 57001, 337, 7, 23, "Print"],
Cell[3295279, 57010, 341, 7, 23, "Print"],
Cell[3295623, 57019, 339, 7, 23, "Print"],
Cell[3295965, 57028, 314, 7, 23, "Print"],
Cell[3296282, 57037, 364, 7, 23, "Print"],
Cell[3296649, 57046, 384, 8, 23, "Print"],
Cell[3297036, 57056, 408, 9, 23, "Print"],
Cell[3297447, 57067, 303, 7, 23, "Print"],
Cell[3297753, 57076, 305, 7, 23, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

