(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[   2818620,      49667]
NotebookOptionsPosition[   2791415,      49340]
NotebookOutlinePosition[   2791898,      49358]
CellTagsIndexPosition[   2791855,      49355]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"some", " ", "constants"}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"<<", " ", "Graphics`Graphics`"}], "\n", 
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IsotopLi", "=", "6"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"mp", "=", 
     RowBox[{"1.67", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MassLi", "=", 
     RowBox[{"IsotopLi", "*", "1.67", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"MassK", "=", 
     RowBox[{"40", "*", "1.67", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MassSr", "=", 
     RowBox[{"84", "*", "mp"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MassYb", "=", 
     RowBox[{"171", "*", "mp"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gravity", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"my", "=", 
     RowBox[{"9.27", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "24"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"kb", "=", 
     RowBox[{"1.38", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "23"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"6.6", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"hbar", "=", 
     RowBox[{"h", "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", "Pi"}], ")"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"0.529", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "10"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"sigmaEl", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{"(", 
       RowBox[{"120", "*", "120", "*", "a0", "*", "a0"}], ")"}]}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"LambdaAtomLi", "=", 
     RowBox[{"671", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LambdaAtomK", "=", 
     RowBox[{"767", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomKUpper", "=", 
     RowBox[{"1200", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomYbBlue", "=", 
     RowBox[{"399", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomSrRed", "=", 
     RowBox[{"689.9267499282614", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"84", "Sr"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomSr3P1To3S1", "=", " ", 
     RowBox[{"688.0250593200731", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomSrBlue", "=", " ", 
     RowBox[{"461", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomSr3P2To3S1", "=", " ", 
     RowBox[{"707", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthSr3P2To3S1", "=", 
     RowBox[{"2", "*", "Pi", "*", "7.0", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomYbInterComb", "=", 
     RowBox[{"555.8", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaRed", "=", 
     RowBox[{"1075", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LambdaBlue", "=", 
     RowBox[{"532", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LambdaAtomChrom", "=", 
     RowBox[{"425.5", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthChrom", "=", 
     RowBox[{"2", "*", "Pi", "*", "5.02", "*", 
      RowBox[{"10", " ", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{"3", "*", 
      RowBox[{"10", "^", "8"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"g", "=", "9.8"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthLi", "=", 
     RowBox[{"2", "*", "Pi", "*", "5.9", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LinewidthK", "=", 
     RowBox[{"2", "*", "Pi", "*", "5.9", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LinewidthKUpper", "=", 
     RowBox[{"2", "*", "Pi", "*", "4", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthSrBlue", "=", 
     RowBox[{"2", "*", "Pi", "*", "32", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthSrRed", "=", 
     RowBox[{"2", "*", "Pi", "*", "7.6", "*", 
      RowBox[{"10", "^", "3"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthYbBlue", "=", 
     RowBox[{"2", "*", "Pi", "*", "28", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthYbInterComb", "=", 
     RowBox[{"2", "*", "Pi", "*", "180", "*", 
      RowBox[{"10", "^", "3"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomSrMetaMOT", " ", "=", " ", 
     RowBox[{"497", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthSrMetaMOT", "=", 
     RowBox[{"2", "*", "Pi", "*", "11", "*", 
      RowBox[{"10", " ", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaAtomSrMeta3S1", " ", "=", " ", 
     RowBox[{"679", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinewidthSrMeta3S1", " ", "=", " ", 
     RowBox[{"2", "*", "Pi", "*", "1.2", "*", 
      RowBox[{"10", "^", "6"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Intensity", "=", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"100", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "6"}]}]}], ")"}], "^", "2"}], ")"}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "1", " ", "Watt", " ", "auf", " ", "100", "x100", " ", "micronquadrat"}], 
    " ", "*)"}], "\n", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Katori", " ", "Koefizient", " ", "fuer", " ", "1075", " ", "nm", " ", 
     RowBox[{"(", 
      RowBox[{"IPG", " ", "wellenlaenge"}], ")"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"KatoriFallenStaerke1075nm", " ", "=", " ", 
     RowBox[{
      RowBox[{"-", "113.35"}], "*", 
      RowBox[{"10", "^", "3"}], "*", 
      RowBox[{"h", "/", 
       RowBox[{"(", 
        RowBox[{"10000", "/", 
         RowBox[{"0.01", "^", "2"}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Optical", " ", "potential", " ", "strength"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Detuning", "[", 
      RowBox[{"Lambda_", ",", "LambdaAtom_", ",", "LinewidthAtom_"}], "]"}], ":=", 
     RowBox[{"2", "*", "Pi", "*", "c", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "/", "Lambda"}], "-", 
         RowBox[{"1", "/", "LambdaAtom"}]}], ")"}], "/", 
       "LinewidthAtom"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"SaturationIntensity", "[", 
      RowBox[{"LambdaAtom_", ",", "LinewidthAtom_"}], "]"}], ":=", 
     RowBox[{"2", "*", 
      RowBox[{"Pi", "^", "2"}], "*", "hbar", "*", "c", "*", 
      RowBox[{"LinewidthAtom", "/", 
       RowBox[{"(", 
        RowBox[{"3", "*", 
         RowBox[{"LambdaAtom", "^", "3"}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"PotentialH", "[", 
     RowBox[{"Intensity_", ",", "Gamma_", ",", "Omega0_", ",", "Omega_"}], 
     "]"}], ":=", 
    RowBox[{
     RowBox[{"-", "\[IndentingNewLine]", "3"}], "*", "Pi", "*", 
     RowBox[{"c", "^", "2"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Gamma", "/", 
        RowBox[{"(", 
         RowBox[{"Omega0", "-", "Omega"}], ")"}]}], "+", 
       RowBox[{"Gamma", "/", 
        RowBox[{"(", 
         RowBox[{"Omega0", "+", "Omega"}], ")"}]}]}], ")"}], "*", 
     RowBox[{"Intensity", "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", 
        RowBox[{"Omega0", "^", "3"}]}], ")"}]}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Potential", "[", 
     RowBox[{
     "Intensity_", ",", "Lambda_", ",", "LambdaAtom_", ",", 
      "LinewidthAtom_"}], "]"}], ":=", 
    RowBox[{"PotentialH", "[", 
     RowBox[{"Intensity", ",", "LinewidthAtom", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "*", "Pi", "*", "c"}], ")"}], "/", "LambdaAtom"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "*", "Pi", "*", "c"}], ")"}], "/", "Lambda"}]}], "]"}]}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ScatteringRateH", "[", 
      RowBox[{"Intensity_", ",", "Gamma_", ",", "Omega0_", ",", "Omega_"}], 
      "]"}], ":=", "\[IndentingNewLine]", 
     RowBox[{"3", "*", "Pi", "*", 
      RowBox[{"c", "^", "2"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Omega", "/", "Omega0"}], ")"}], "^", "3"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Gamma", "/", 
          RowBox[{"(", 
           RowBox[{"Omega0", "-", "Omega"}], ")"}]}], "+", 
         RowBox[{"Gamma", "/", 
          RowBox[{"(", 
           RowBox[{"Omega0", "+", "Omega"}], ")"}]}]}], ")"}], "^", "2"}], 
      "*", 
      RowBox[{"Intensity", "/", 
       RowBox[{"(", 
        RowBox[{"2", "*", "hbar", "*", 
         RowBox[{"Omega0", "^", "3"}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ScatteringRate", "[", 
      RowBox[{
      "Intensity_", ",", "Lambda_", ",", "LambdaAtom_", ",", 
       "LinewidthAtom_"}], "]"}], ":=", 
     RowBox[{"ScatteringRateH", "[", 
      RowBox[{"Intensity", ",", "LinewidthAtom", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi", "*", "c"}], ")"}], "/", "LambdaAtom"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi", "*", "c"}], ")"}], "/", "Lambda"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRateForPotentialDepthH", "[", 
     RowBox[{"Depth_", ",", "Gamma_", ",", "Omega0_", ",", "Omega_"}], "]"}], 
    ":=", 
    RowBox[{"Depth", "*", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Omega", "/", "Omega0"}], ")"}], "^", "3"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "/", 
         RowBox[{"(", 
          RowBox[{"Omega0", "-", "Omega"}], ")"}]}], "+", 
        RowBox[{"Gamma", "/", 
         RowBox[{"(", 
          RowBox[{"Omega0", "+", "Omega"}], ")"}]}]}], ")"}], "/", 
      RowBox[{"(", "hbar", ")"}]}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ScatteringRateForPotentialDepth", "[", 
      RowBox[{
      "Depth_", ",", "Lambda_", ",", "LambdaAtom_", ",", "LinewidthAtom_"}], 
      "]"}], ":=", 
     RowBox[{"ScatteringRateForPotentialDepthH", "[", 
      RowBox[{"Depth", ",", "LinewidthAtom", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi", "*", "c"}], ")"}], "/", "LambdaAtom"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi", "*", "c"}], ")"}], "/", "Lambda"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Intensity", " ", "distribution", " ", "of", " ", "Gaussian", " ", 
     "beam"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"RayleightLength", "[", 
      RowBox[{"Waist0_", ",", "Lambda_"}], "]"}], ":=", 
     RowBox[{"Pi", "*", 
      RowBox[{
       RowBox[{"Waist0", "^", "2"}], "/", "Lambda"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"WaistZ", "[", 
      RowBox[{"Waist0_", ",", "Lambda_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"Waist0", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "/", 
            RowBox[{"RayleightLength", "[", 
             RowBox[{"Waist0", ",", "Lambda"}], "]"}]}], ")"}], "^", "2"}]}], 
        ")"}], "^", "0.5"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IntensityGausBeam", "[", 
      RowBox[{
      "PowerKK_", ",", "Waist0x_", ",", "Waist0y_", ",", "Lambda_", ",", "x_",
        ",", "y_", ",", "z_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", "*", 
        RowBox[{"PowerKK", "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"WaistZ", "[", 
            RowBox[{"Waist0x", ",", "Lambda", ",", "z"}], "]"}], "*", 
           RowBox[{"WaistZ", "[", 
            RowBox[{"Waist0y", ",", "Lambda", ",", "z"}], "]"}], "*", "Pi"}], 
          ")"}]}]}], ")"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "^", "2"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"WaistZ", "[", 
             RowBox[{"Waist0x", ",", "Lambda", ",", "z"}], "]"}], "^", "2"}], 
           ")"}]}]}], "-", 
        RowBox[{"2", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "^", "2"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"WaistZ", "[", 
             RowBox[{"Waist0y", ",", "Lambda", ",", "z"}], "]"}], "^", "2"}], 
           ")"}]}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IntensityRotatedShiftedGaussBeam", "[", 
      RowBox[{
      "Power_", ",", "Waist0x_", ",", "Waist0y_", ",", "Lambda_", ",", 
       "Angle_", ",", "Shift_", ",", "x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"IntensityGausBeam", "[", 
      RowBox[{"Power", ",", "Waist0x", ",", "Waist0y", ",", "Lambda", ",", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"Cos", "[", "Angle", "]"}]}], "+", 
        RowBox[{"z", "*", 
         RowBox[{"Sin", "[", "Angle", "]"}]}]}], ",", "y", ",", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"Sin", "[", "Angle", "]"}]}], "+", 
        RowBox[{"z", "*", 
         RowBox[{"Cos", "[", "Angle", "]"}]}], "-", "Shift"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
      RowBox[{
      "Power_", ",", "Waist0x_", ",", "Waist0y_", ",", "Lambda_", ",", 
       "LambdaAtom_", ",", "LinewidthAtom_", ",", "Angle_", ",", "Shift_", 
       ",", "x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"Potential", "[", 
      RowBox[{
       RowBox[{"IntensityRotatedShiftedGaussBeam", "[", 
        RowBox[{
        "Power", ",", "Waist0x", ",", "Waist0y", ",", "Lambda", ",", "Angle", 
         ",", "Shift", ",", "x", ",", "y", ",", "z"}], "]"}], ",", "Lambda", 
       ",", "LambdaAtom", ",", "LinewidthAtom"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.455269399265625*^9, 3.45526945309375*^9}, {
   3.45526953996875*^9, 3.455269542921875*^9}, {3.46287931596875*^9, 
   3.46287931965625*^9}, {3.463143758109375*^9, 3.463143758625*^9}, {
   3.463161783640625*^9, 3.463161785015625*^9}, {3.488290755*^9, 
   3.48829084065625*^9}, {3.508781930578125*^9, 3.50878193184375*^9}, {
   3.50894085265625*^9, 3.508940852953125*^9}, 3.5402883983737917`*^9},
 CellLabel->
  "In[862]:=",ExpressionUUID->"73bad098-fcb5-4751-8842-66fe4da9de66"],

Cell[BoxData[
 TemplateBox[{
  "Get","noopen",
   "\"Cannot open \
\\!\\(\\*RowBox[{\\\"\\\\\\\"Graphics`Graphics`\\\\\\\"\\\"}]\\).\"",2,862,
   361,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.46314375984375*^9, 3.463159564890625*^9, 3.4631682984375*^9, 
   3.463484642515625*^9, 3.463484808671875*^9, {3.46348547296875*^9, 
   3.463485493390625*^9}, 3.463486738859375*^9, 3.463550948171875*^9, 
   3.46356629678125*^9, 3.46356890015625*^9, 3.4636465294375*^9, 
   3.46374800153125*^9, 3.48178534571875*^9, 3.481787199421875*^9, 
   3.4818712430625*^9, 3.483940171109375*^9, 3.484156946640625*^9, 
   3.488290959953125*^9, 3.4882912784375*^9, 3.5081735413759513`*^9, 
   3.5082623100757504`*^9, 3.5082679147945004`*^9, 3.5082695083413754`*^9, 
   3.5082701499663754`*^9, 3.5082703556538754`*^9, 3.5082733035913754`*^9, 
   3.5083357763882504`*^9, 3.5083591255132504`*^9, 3.5084148665445004`*^9, 
   3.508781933328125*^9, 3.5088292978125*^9, 3.508935464515625*^9, 
   3.508935504765625*^9, 3.508940855078125*^9, 3.508941651828125*^9, 
   3.508944730765625*^9, 3.5095365125845346`*^9, 3.5388278619878473`*^9, 
   3.538829032848756*^9, 3.5388332829451556`*^9, 3.5388439930491405`*^9, 
   3.5388448370584154`*^9, 3.538845111216096*^9, 3.538845532971219*^9, 
   3.5388961311056385`*^9, 3.5399498927315598`*^9, 3.540278349457144*^9, 
   3.5402881061695423`*^9, 3.540288611208314*^9, 3.5402908088168845`*^9, 
   3.5405443311094503`*^9, 3.5405443801262536`*^9, 3.54054476605275*^9, 
   3.540794434028125*^9, 3.541314388028125*^9, 3.5438990541731253`*^9, {
   3.548658882606735*^9, 3.5486588867559724`*^9}, 3.549438563398776*^9, 
   3.5494436596038136`*^9, 3.549524340808833*^9, 3.5495263362509437`*^9, 
   3.5495343500740623`*^9, 3.549562809473683*^9, 3.549601792837185*^9, 
   3.549615217437157*^9, 3.549617097625106*^9, 3.54961806752946*^9, 
   3.5497734300872583`*^9, 3.549774517243369*^9, 3.549774885934417*^9, 
   3.549789776767818*^9, 3.549796216266911*^9, 3.549797212837508*^9, 
   3.549893142222427*^9, 3.549893282075888*^9, 3.5498963450469365`*^9, 
   3.5505006248219476`*^9, 3.550502092977706*^9, 3.5505024736836057`*^9, 
   3.55050306787125*^9, 3.5505035270537105`*^9, 3.5505047789875393`*^9, 
   3.5505049749165154`*^9, 3.550505027413023*^9, 3.550505393697466*^9, 
   3.5505055884326077`*^9, 3.550505865114694*^9, 3.5505070820228357`*^9, 
   3.5505079893074784`*^9, 3.5505085549502935`*^9, 3.5505089273055906`*^9, 
   3.550511669366428*^9, 3.5505541981435337`*^9, 3.5506601248224297`*^9, 
   3.550668915091715*^9, 3.5514514346205025`*^9, 3.5514527888164835`*^9, 
   3.551453138767299*^9, 3.5514537562943835`*^9, 3.551589514548171*^9, 
   3.5515946955636387`*^9, 3.5516206864136972`*^9, 3.551623262266423*^9, 
   3.551624020524355*^9, 3.8266215875613346`*^9},
 CellLabel->
  "During evaluation of \
In[862]:=",ExpressionUUID->"6d7b29ee-0de2-4db2-9a85-0bfb88addbc1"],

Cell[BoxData["$Failed"], "Output",
 CellChangeTimes->{3.826621587588317*^9},
 CellLabel->
  "Out[862]=",ExpressionUUID->"9da7c906-2ec9-449d-9a4c-4bd5a50b3277"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Potential", " ", "of", " ", "the", " ", "Sr", " ", "BEC", " ", "Laser", 
    " ", "crossed", " ", "beam", " ", "dipole", " ", "trap", " ", "with", " ",
     "one", " ", "horizontal", " ", "beam", " ", "with", " ", "frequency", 
    " ", "modulation", " ", "and", " ", "a", " ", "near", " ", "vertical", 
    " ", "beam"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Strontium", " ", "trap", " ", "parameter", " ", "set", " ", "of", " ", 
    "Jan", " ", "24", "nd", " ", "2012"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"AtomNumber", "=", "8000000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"1", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringLength", "=", 
     RowBox[{"122.7", "*", "a0"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Mass", "=", "MassSr"}], ";"}], "\[LineSeparator]", 
   RowBox[{
    RowBox[{"LambdaAtom", "=", "LambdaAtomSrBlue"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Linewidth", "=", "LinewidthSrBlue"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerHoriz", "=", "1.748"}], ";"}], " ", "\n", 
   RowBox[{
    RowBox[{"PowerVert", "=", 
     RowBox[{"743", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerDimple", "=", 
     RowBox[{"1.0975", "*", "39.6", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"full", " ", 
      RowBox[{"on", ":", " ", 
       RowBox[{
        RowBox[{"-", "18.2"}], 
        RowBox[{"dB", ":", " ", 
         RowBox[{"38", "mW", " ", 
          RowBox[{"off", ":", " ", 
           RowBox[{
            RowBox[{"-", "32"}], 
            RowBox[{"dB", ":", " ", 
             RowBox[{"2", "mW"}]}]}]}]}]}]}]}]}], ";", " ", 
     RowBox[{
      RowBox[{"oBECaser", ":", " ", 
       RowBox[{
        RowBox[{"-", "10"}], "db"}]}], "=", 
      RowBox[{"232", "mW"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerESD", "=", 
     RowBox[{"0", "*", "7.5", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Lambda", "=", 
     RowBox[{"1064", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"5", "W", " ", "Fiberlaser", " ", "wavelength"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Angle", " ", "=", 
     RowBox[{"0", "*", "2", "*", 
      RowBox[{"Pi", "/", "360"}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Angle", " ", "of", " ", "near", " ", "vertical", " ", "beam", " ", "to", 
     " ", "vertical", " ", "converted", " ", "to", " ", "radians"}], " ", 
    "*)"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DetuningESD", "=", 
     RowBox[{
      RowBox[{"+", "17"}], "*", 
      RowBox[{"10", "^", "9"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FrequencyESD", "=", 
     RowBox[{
      RowBox[{"c", "/", "LambdaAtomSr3P1To3S1"}], "+", "DetuningESD"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LambdaESD", "=", 
     RowBox[{"c", "/", "FrequencyESD"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Waist0Horizx", "=", 
     RowBox[{"298.2", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Waist0Horizy", "=", 
     RowBox[{"17.32", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Waist0Vertx", "=", 
     RowBox[{"297", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Waist0Verty", "=", 
     RowBox[{"297", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Waist0Dimplex", "=", 
     RowBox[{"22.41", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Waist0Dimpley", "=", 
     RowBox[{"22.41", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Waist0ESDx", "=", 
     RowBox[{"26.17", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Waist0ESDy", "=", 
     RowBox[{"26.17", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Focal", " ", "waist", " ", "of", " ", "horizontal", " ", "beam"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Shift", " ", "=", " ", 
     RowBox[{"0", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Shift", " ", "in", " ", "mm", " ", "converted", " ", "to", " ", 
     "meter"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GCdistanceHoriz", " ", "=", " ", 
     RowBox[{"70", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"glass", " ", "cell", " ", "distance"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GCdistanceVert", " ", "=", " ", 
     RowBox[{"15", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"glass", " ", "cell", " ", "distance"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LensDistance", " ", "=", " ", 
     RowBox[{"150", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Power horiz = \>\"", ",", 
      RowBox[{"N", "[", "PowerHoriz", "]"}], ",", "\"\< W\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Power vert = \>\"", ",", 
      RowBox[{"N", "[", "PowerVert", "]"}], ",", "\"\< W\>\""}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Power dimple = \>\"", ",", 
      RowBox[{"N", "[", "PowerDimple", "]"}], ",", "\"\< W\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Power ESD = \>\"", ",", 
      RowBox[{"N", "[", "PowerESD", "]"}], ",", "\"\< W\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"actual", " ", "calculation"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringCrossSection", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{"ScatteringLength", "^", "2"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g", "=", "9.8"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"acceleration", " ", "due", " ", "to", " ", "gravity"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"coordinate", " ", 
      RowBox[{"system", ":", " ", 
       RowBox[{"x", ":", " ", 
        RowBox[{"resonator", " ", "axis"}]}]}]}], ",", " ", 
     RowBox[{"y", ":", " ", 
      RowBox[{"atomic", " ", "beam", " ", "axis"}]}], ",", " ", 
     RowBox[{"z", ":", " ", "vertical"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"rotated", " ", "gauss", " ", "beam", " ", "coord", " ", 
      RowBox[{"syst", ":", " ", 
       RowBox[{"not", " ", 
        RowBox[{"rotated", ":", " ", "x"}]}]}]}], ",", 
     RowBox[{"y", ":", " ", "radial"}], ",", " ", 
     RowBox[{"z", ":", " ", 
      RowBox[{
       RowBox[{"axial", ".", " ", "rotation"}], " ", "around", " ", "y", " ", 
       "axis"}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialHoriz", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"10", "^", "6"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
         RowBox[{
         "PowerHoriz", ",", "Waist0Horizx", ",", "Waist0Horizy", ",", 
          "Lambda", ",", "LambdaAtom", ",", "Linewidth", ",", "0", ",", "0", 
          ",", "y", ",", "z", ",", "x"}], "]"}], ")"}], "/", "kb"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialGravity", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"10", "^", "6"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Mass", "*", "g", "*", "z"}], ")"}], "/", "kb"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialVert", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"10", "^", "6"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
         RowBox[{
         "PowerVert", ",", "Waist0Vertx", ",", "Waist0Verty", ",", "Lambda", 
          ",", "LambdaAtom", ",", "Linewidth", ",", "Angle", ",", "0", ",", 
          "y", ",", "x", ",", "z"}], "]"}], ")"}], "/", "kb"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialDimple", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"10", "^", "6"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
         RowBox[{
         "PowerDimple", ",", "Waist0Dimplex", ",", "Waist0Dimpley", ",", 
          "Lambda", ",", "LambdaAtom", ",", "Linewidth", ",", "Angle", ",", 
          "0", ",", "y", ",", "x", ",", "z"}], "]"}], ")"}], "/", "kb"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialESD", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"10", "^", "6"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
          RowBox[{
          "PowerESD", ",", "Waist0ESDx", ",", "Waist0ESDy", ",", "LambdaESD", 
           ",", "LambdaAtomSrRed", ",", "LinewidthSrRed", ",", "Angle", ",", 
           "0", ",", "y", ",", "x", ",", "z"}], "]"}], "+", 
         RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
          RowBox[{
          "PowerESD", ",", "Waist0ESDx", ",", "Waist0ESDy", ",", "LambdaESD", 
           ",", "LambdaAtomSrBlue", ",", "LinewidthSrBlue", ",", "Angle", ",",
            "0", ",", "y", ",", "x", ",", "z"}], "]"}]}], ")"}], "/", 
       "kb"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRateHoriz", "=", 
     RowBox[{"ScatteringRateForPotentialDepth", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}], "*", "kb", "*", 
        RowBox[{"PotentialHoriz", "[", 
         RowBox[{"0", ",", "0", ",", "0"}], "]"}]}], ",", "Lambda", ",", 
       "LambdaAtom", ",", "Linewidth"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRateVert", "=", 
     RowBox[{"ScatteringRateForPotentialDepth", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}], "*", "kb", "*", 
        RowBox[{"PotentialVert", "[", 
         RowBox[{"0", ",", "0", ",", "0"}], "]"}]}], ",", "Lambda", ",", 
       "LambdaAtom", ",", "Linewidth"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRateDimple", "=", 
     RowBox[{"ScatteringRateForPotentialDepth", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}], "*", "kb", "*", 
        RowBox[{"PotentialDimple", "[", 
         RowBox[{"0", ",", "0", ",", "0"}], "]"}]}], ",", "Lambda", ",", 
       "LambdaAtom", ",", "Linewidth"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRateESDred", "=", 
     RowBox[{"ScatteringRateForPotentialDepth", "[", 
      RowBox[{
       RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
        RowBox[{
        "PowerESD", ",", "Waist0ESDx", ",", "Waist0ESDy", ",", "LambdaESD", 
         ",", "LambdaAtomSrRed", ",", "LinewidthSrRed", ",", "Angle", ",", 
         "0", ",", "0", ",", "0", ",", "0"}], "]"}], ",", "LambdaESD", ",", 
       "LambdaAtomSrRed", ",", "LinewidthSrRed"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRateESDblue", "=", 
     RowBox[{"ScatteringRateForPotentialDepth", "[", 
      RowBox[{
       RowBox[{"PotentialRotatedShiftedGaussBeam", "[", 
        RowBox[{
        "PowerESD", ",", "Waist0ESDx", ",", "Waist0ESDy", ",", "LambdaESD", 
         ",", "LambdaAtomSrBlue", ",", "LinewidthSrBlue", ",", "Angle", ",", 
         "0", ",", "0", ",", "0", ",", "0"}], "]"}], ",", "LambdaESD", ",", 
       "LambdaAtomSrBlue", ",", "LinewidthSrBlue"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Potential", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"PotentialHoriz", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialVert", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialDimple", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialESD", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialGravity", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TotalPotential", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"Potential", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ReservoirPotential", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"PotentialHoriz", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialVert", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialGravity", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DimplePotential", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"PotentialDimple", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", 
      RowBox[{"PotentialESD", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Rayleight length horiz x = \>\"", ",", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"RayleightLength", "[", 
        RowBox[{"Waist0Horizx", ",", "Lambda"}], "]"}], "]"}], "*", "1000"}], 
     ",", " ", "\"\< mm\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Rayleight length horiz y = \>\"", ",", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"RayleightLength", "[", 
        RowBox[{"Waist0Horizy", ",", "Lambda"}], "]"}], "]"}], "*", "1000"}], 
     ",", " ", "\"\< mm\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Rayleight length vert x = \>\"", ",", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"RayleightLength", "[", 
        RowBox[{"Waist0Vertx", ",", "Lambda"}], "]"}], "]"}], "*", "1000"}], 
     ",", " ", "\"\< mm\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Rayleight length vert y = \>\"", ",", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"RayleightLength", "[", 
        RowBox[{"Waist0Verty", ",", "Lambda"}], "]"}], "]"}], "*", "1000"}], 
     ",", " ", "\"\< mm\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Rayleight length dimple x = \>\"", ",", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"RayleightLength", "[", 
        RowBox[{"Waist0Dimplex", ",", "Lambda"}], "]"}], "]"}], "*", "1000"}],
      ",", " ", "\"\< mm\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Rayleight length dimple y = \>\"", ",", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"RayleightLength", "[", 
        RowBox[{"Waist0Dimpley", ",", "Lambda"}], "]"}], "]"}], "*", "1000"}],
      ",", " ", "\"\< mm\>\""}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth = \>\"", ",", 
      RowBox[{"Potential", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
      "\"\< \[Micro]K * kB\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency X = \>\"", ",", 
      RowBox[{"FrequencyXWithoutGravity", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Potential", "[", 
                RowBox[{"hx", ",", "0", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hx", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hx", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Y = \>\"", ",", 
      RowBox[{"FrequencyYWithoutGravity", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Potential", "[", 
                RowBox[{"0", ",", "hy", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hy", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hy", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Z = \>\"", ",", 
      RowBox[{"FrequencyZWithoutGravity", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Potential", "[", 
                RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hz", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ZeroPosition", "=", 
     RowBox[{
      RowBox[{"FindRoot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"Potential", "[", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"hz", "*", 
                RowBox[{"10", "^", 
                 RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"hz", ",", "1"}], "}"}]}], "]"}], "/.", 
           RowBox[{"hz", "->", 
            RowBox[{"(", "z", ")"}]}]}], ")"}], "==", "0"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "0"}], "}"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<gravitational sag = \>\"", ",", 
      RowBox[{"ZP", "=", 
       RowBox[{"z", "/.", "ZeroPosition"}]}], ",", "\"\< mm\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SearchRange", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaximumPosition", "=", 
     RowBox[{
      RowBox[{"FindRoot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"Potential", "[", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"hz", "*", 
                RowBox[{"10", "^", 
                 RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"hz", ",", "1"}], "}"}]}], "]"}], "/.", 
           RowBox[{"hz", "->", 
            RowBox[{"(", "z", ")"}]}]}], ")"}], "==", "0"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", 
          RowBox[{"-", "0.05"}]}], "}"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MP", "=", 
     RowBox[{"z", "/.", "MaximumPosition"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"MP", "-", "ZP"}], "]"}], "<", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"SearchRange", "=", "10"}], ";", "\[IndentingNewLine]", 
       RowBox[{"MaximumPosition", "=", 
        RowBox[{
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"D", "[", 
               RowBox[{
                RowBox[{"Potential", "[", 
                 RowBox[{"0", ",", "0", ",", 
                  RowBox[{"hz", "*", 
                   RowBox[{"10", "^", 
                    RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"hz", ",", "1"}], "}"}]}], "]"}], "/.", 
              RowBox[{"hz", "->", 
               RowBox[{"(", "z", ")"}]}]}], ")"}], "==", "0"}], ",", 
           RowBox[{"{", 
            RowBox[{"z", ",", 
             RowBox[{"SearchRange", "*", "ZP"}]}], "}"}]}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"MP", "=", 
        RowBox[{"z", "/.", "MaximumPosition"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FrequencyX", "=", 
     RowBox[{"Re", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Potential", "[", 
                 RowBox[{"hx", ",", "0", ",", 
                  RowBox[{"z", "*", 
                   RowBox[{"10", " ", "^", 
                    RowBox[{"-", "3"}]}]}]}], "]"}], "*", "kb", "*", 
                RowBox[{"10", "^", 
                 RowBox[{"-", "6"}]}]}], ",", 
               RowBox[{"{", 
                RowBox[{"hx", ",", "2"}], "}"}]}], "]"}], "/.", 
             RowBox[{"hx", "->", 
              RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}], "/.", "ZeroPosition"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FrequencyY", "=", 
     RowBox[{"Re", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Potential", "[", 
                 RowBox[{"0", ",", "hy", ",", 
                  RowBox[{"z", "*", 
                   RowBox[{"10", " ", "^", 
                    RowBox[{"-", "3"}]}]}]}], "]"}], "*", "kb", "*", 
                RowBox[{"10", "^", 
                 RowBox[{"-", "6"}]}]}], ",", 
               RowBox[{"{", 
                RowBox[{"hy", ",", "2"}], "}"}]}], "]"}], "/.", 
             RowBox[{"hy", "->", 
              RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}], "/.", "ZeroPosition"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FrequencyZ", "=", 
     RowBox[{"Re", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Potential", "[", 
                 RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
                RowBox[{"10", "^", 
                 RowBox[{"-", "6"}]}]}], ",", 
               RowBox[{"{", 
                RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
             RowBox[{"hz", "->", 
              RowBox[{"(", 
               RowBox[{"z", "*", 
                RowBox[{"10", " ", "^", 
                 RowBox[{"-", "3"}]}]}], ")"}]}]}], ")"}], "/", "Mass"}], 
          "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}], "/.", "ZeroPosition"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialDep", "=", 
     RowBox[{
      RowBox[{"Potential", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"MP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}], "-", 
      RowBox[{"Potential", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<GravityCorrectedVerticalFrequencyX = \>\"", ",", "FrequencyX", ",", 
      "\"\< Hz\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<GravityCorrectedVerticalFrequencyY = \>\"", ",", "FrequencyY", ",", 
      "\"\< Hz\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<GravityCorrectedVerticalFrequencyZ = \>\"", ",", "FrequencyZ", ",", 
      "\"\< Hz\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "FrequencyX", ",", "\"\<     \>\"", ",", "FrequencyY", ",", 
      "\"\<     \>\"", ",", "FrequencyZ", ",", "\"\<     \>\"", ",", 
      RowBox[{
       RowBox[{"10", "^", "9"}], "*", 
       RowBox[{"PotentialDep", "/", "kb"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth horiz beam w/o grav sagg = \>\"", ",", 
      RowBox[{"PotentialHoriz", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
      "\"\< \[Micro]K * kB\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialDepthWithSagging", "=", 
     RowBox[{
      RowBox[{"Potential", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}], "-", 
      RowBox[{"Potential", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"MP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Potential depth horiz beam with grav sagg = \>\"", ",", 
      "PotentialDepthWithSagging", ",", "\"\< \[Micro]K * kB\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth sagging ratio = \>\"", ",", 
      RowBox[{"100", "*", 
       RowBox[{"PotentialDepthWithSagging", "/", 
        RowBox[{"PotentialHoriz", "[", 
         RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], ",", "\"\<%\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Total Potential with grav sagg at position of atoms = \>\"", ",", 
      RowBox[{"Potential", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}], ",", "\"\< \[Micro]K * kB\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth vert beam = \>\"", ",", 
      RowBox[{"PotentialVert", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
      "\"\< \[Micro]K * kB\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Scattering rate horiz = \>\"", ",", "ScatteringRateHoriz", ",", 
      "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency X horiz = \>\"", ",", 
      RowBox[{"FrequencyXHoriz", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialHoriz", "[", 
                RowBox[{"hx", ",", "0", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hx", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hx", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Y horiz = \>\"", ",", 
      RowBox[{"FrequencyYHoriz", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialHoriz", "[", 
                RowBox[{"0", ",", "hy", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hy", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hy", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Z horiz = \>\"", ",", 
      RowBox[{"FrequencyZHoriz", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialHoriz", "[", 
                RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hz", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth vert = \>\"", ",", 
      RowBox[{"PotentialVert", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
      "\"\< \[Micro]K * kB\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Scattering rate vert = \>\"", ",", "ScatteringRateVert", ",", 
      "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency X vert = \>\"", ",", 
      RowBox[{"FrequencyXVert", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialVert", "[", 
                RowBox[{"hx", ",", "0", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hx", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hx", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Y vert = \>\"", ",", 
      RowBox[{"FrequencyYVert", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialVert", "[", 
                RowBox[{"0", ",", "hy", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hy", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hy", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Z vert = \>\"", ",", 
      RowBox[{"FrequencyZVert", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialVert", "[", 
                RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hz", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth Dimple = \>\"", ",", 
      RowBox[{"PotentialDimple", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
      "\"\< \[Micro]K * kB\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Scattering rate Dimple = \>\"", ",", "ScatteringRateDimple", ",", 
      "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency X Dimple = \>\"", ",", 
      RowBox[{"FrequencyXDimple", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialDimple", "[", 
                RowBox[{"hx", ",", "0", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hx", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hx", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Y Dimple = \>\"", ",", 
      RowBox[{"FrequencyYDimple", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialDimple", "[", 
                RowBox[{"0", ",", "hy", ",", "0"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hy", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hy", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", " ", "[", 
     RowBox[{"\"\<Frequency Z Dimple = \>\"", ",", 
      RowBox[{"FrequencyZDimple", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialDimple", "[", 
                RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
               RowBox[{"10", "^", 
                RowBox[{"-", "6"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hz", "->", 
             RowBox[{"(", "0", ")"}]}]}], ")"}], "/", "Mass"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "*", "Pi"}], ")"}]}]}], ",", "\"\< Hz\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Potential depth ESD = \>\"", ",", 
      RowBox[{"PotentialESD", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}], ",", 
      "\"\< \[Micro]K * kB\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Scattering rate ESD red = \>\"", ",", "ScatteringRateESDred", ",", 
      "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Scattering rate ESD blue = \>\"", ",", "ScatteringRateESDblue", 
      ",", "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaX", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"kb", "*", 
       RowBox[{"Temperature", "/", 
        RowBox[{"(", 
         RowBox[{"Mass", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"FrequencyX", "*", "2", "*", "Pi"}], ")"}], "^", "2"}]}], 
         ")"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Sigma X = \>\"", ",", 
      RowBox[{"SigmaX", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaY", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"kb", "*", 
       RowBox[{"Temperature", "/", 
        RowBox[{"(", 
         RowBox[{"Mass", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"FrequencyY", "*", "2", "*", "Pi"}], ")"}], "^", "2"}]}], 
         ")"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Sigma Y = \>\"", ",", 
      RowBox[{"SigmaY", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaZ", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"kb", "*", 
       RowBox[{"Temperature", "/", 
        RowBox[{"(", 
         RowBox[{"Mass", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"FrequencyZ", "*", "2", "*", "Pi"}], ")"}], "^", "2"}]}], 
         ")"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Sigma Z = \>\"", ",", 
      RowBox[{"SigmaZ", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Density", "=", 
     RowBox[{"AtomNumber", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{"2", "*", "Pi"}], "]"}], "*", "SigmaX", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"2", "*", "Pi"}], "]"}], "*", "SigmaY", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"2", "*", "Pi"}], "]"}], "*", "SigmaZ"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Density = \>\"", ",", 
      RowBox[{"Density", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Velocity", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "*", "kb", "*", 
       RowBox[{"Temperature", "/", "Mass"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "Mass", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Velocity = \>\"", ",", 
      RowBox[{"Velocity", "*", "1000"}], ",", "\"\< \[Micro]m/ms\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRate", "=", 
     RowBox[{"ScatteringCrossSection", "*", "Density", "*", 
      RowBox[{"Velocity", "/", 
       RowBox[{"Sqrt", "[", "8", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "ScatteringCrossSection", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<ScatteringRate = \>\"", ",", "ScatteringRate", ",", 
      "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"PhaseSpaceDensityCheck", "=", 
     RowBox[{
      RowBox[{"h", "^", "3"}], "*", "FrequencyX", "*", "FrequencyY", "*", 
      "FrequencyZ", "*", 
      RowBox[{"AtomNumber", "/", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"kb", "*", "Temperature"}], ")"}], "^", "3"}]}]}]}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeBroglieWavelength", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "Pi", "*", 
       RowBox[{
        RowBox[{"hbar", "^", "2"}], "/", 
        RowBox[{"(", 
         RowBox[{"Mass", "*", "kb", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<DeBroglieWavelength = \>\"", ",", 
      RowBox[{"DeBroglieWavelength", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PhaseSpaceDensity", "=", 
     RowBox[{"Density", "*", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<PhaseSpace Density = \>\"", ",", "PhaseSpaceDensity"}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Tc", "=", 
     RowBox[{"hbar", "*", 
      RowBox[{"(", 
       RowBox[{"2", "*", "Pi"}], ")"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"FrequencyX", "*", "FrequencyY", "*", "FrequencyZ"}], ")"}], 
       "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "3"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"AtomNumber", "/", "1.202"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "3"}], ")"}]}], "/", "kb"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Tc = \>\"", ",", 
      RowBox[{"Tc", "*", 
       RowBox[{"10", "^", "9"}]}], ",", "\"\< nK\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.4619105585205*^9, 3.461910585504875*^9}, {
   3.46191062217675*^9, 3.461910624208*^9}, {3.461910704411125*^9, 
   3.46191072673925*^9}, {3.462471732671875*^9, 3.462471880328125*^9}, {
   3.462471920328125*^9, 3.46247196309375*^9}, {3.46247248959375*^9, 
   3.4624725839375*^9}, {3.46247290571875*^9, 3.462472971265625*^9}, {
   3.462473049*^9, 3.462473193625*^9}, {3.46247322465625*^9, 
   3.46247322603125*^9}, {3.462473280375*^9, 3.462473403046875*^9}, {
   3.462473444046875*^9, 3.462473452125*^9}, {3.462514532421875*^9, 
   3.462514764546875*^9}, 3.46251491390625*^9, {3.462515018984375*^9, 
   3.462515096609375*^9}, {3.46251512753125*^9, 3.46251518240625*^9}, {
   3.4625152675625*^9, 3.46251529190625*^9}, {3.46251535790625*^9, 
   3.462515358765625*^9}, {3.462515497984375*^9, 3.4625155005*^9}, {
   3.462515534390625*^9, 3.46251554928125*^9}, {3.462516640234375*^9, 
   3.462516959046875*^9}, {3.462517041921875*^9, 3.46251717028125*^9}, 
   3.462517202125*^9, {3.462517269015625*^9, 3.462517311703125*^9}, {
   3.462878257390625*^9, 3.462878570640625*^9}, {3.46287933071875*^9, 
   3.462879345609375*^9}, {3.4628793769375*^9, 3.462879453109375*^9}, {
   3.46287958228125*^9, 3.46287967871875*^9}, 3.463137408640625*^9, {
   3.463168148375*^9, 3.4631682655*^9}, {3.463168374078125*^9, 
   3.463168386734375*^9}, {3.4634872443125*^9, 3.463487295578125*^9}, 
   3.4635511010625*^9, {3.463568563953125*^9, 3.46356862384375*^9}, {
   3.463568758*^9, 3.463568760359375*^9}, {3.46356881675*^9, 
   3.463568829875*^9}, {3.46356895659375*^9, 3.4635691539375*^9}, {
   3.46360268759375*^9, 3.46360269096875*^9}, {3.4636495709375*^9, 
   3.46364957240625*^9}, {3.463649794171875*^9, 3.463649794390625*^9}, {
   3.463649841984375*^9, 3.463649842390625*^9}, {3.463655242640625*^9, 
   3.463655268203125*^9}, {3.463655344078125*^9, 3.463655345953125*^9}, {
   3.46374824659375*^9, 3.463748310984375*^9}, {3.463748357328125*^9, 
   3.46374839584375*^9}, {3.481787787734375*^9, 3.481787795703125*^9}, {
   3.481871281484375*^9, 3.481871334828125*^9}, {3.481871606890625*^9, 
   3.481871607234375*^9}, {3.4818719*^9, 3.481871981234375*^9}, {
   3.48187226071875*^9, 3.481872334546875*^9}, {3.481872406234375*^9, 
   3.481872470203125*^9}, {3.481881500392202*^9, 3.481881501595327*^9}, {
   3.481881576110952*^9, 3.481881577142202*^9}, {3.48415724953125*^9, 
   3.484157249859375*^9}, {3.488290923578125*^9, 3.488291012765625*^9}, {
   3.488291206515625*^9, 3.488291290421875*^9}, {3.5082656135445004`*^9, 
   3.5082656155757504`*^9}, {3.5082656980757504`*^9, 3.5082657684038754`*^9}, 
   3.5082658876070004`*^9, {3.5082660169195004`*^9, 3.5082660921538754`*^9}, {
   3.5082661441851254`*^9, 3.5082661774820004`*^9}, {3.5082680409195004`*^9, 
   3.5082680443101254`*^9}, {3.5082680765288754`*^9, 
   3.5082680767163754`*^9}, {3.5082695462320004`*^9, 
   3.5082695464195004`*^9}, {3.5082695767163754`*^9, 
   3.5082695769507504`*^9}, {3.5082703950132504`*^9, 
   3.5082703956695004`*^9}, {3.5083367332476254`*^9, 
   3.5083367404351254`*^9}, {3.50894269015625*^9, 3.5089427324375*^9}, {
   3.508942783703125*^9, 3.508942790484375*^9}, {3.5388278708173523`*^9, 
   3.5388278710473657`*^9}, {3.540288446150276*^9, 3.540288476694248*^9}, {
   3.540288524469732*^9, 3.54028855104489*^9}, {3.549563075243884*^9, 
   3.549563100645337*^9}, {3.5496180839718885`*^9, 3.5496180852198906`*^9}, {
   3.5497762228092117`*^9, 3.5497762459440527`*^9}, {3.5497772003908014`*^9, 
   3.549777204228408*^9}, {3.5497772455840807`*^9, 3.549777247939685*^9}, {
   3.549777289123973*^9, 3.5497772951299834`*^9}, {3.54977749265853*^9, 
   3.5497774972449384`*^9}, {3.5497897850358324`*^9, 3.549789785831434*^9}, {
   3.5497899430639257`*^9, 3.549789943219926*^9}, {3.549794126375746*^9, 
   3.5497941415857725`*^9}, {3.5497946872605624`*^9, 3.549794687822163*^9}, {
   3.5505050395342445`*^9, 3.55050506560189*^9}, {3.550505446550359*^9, 
   3.5505054602315826`*^9}, {3.550505584298601*^9, 3.550505584938202*^9}, {
   3.550508579750712*^9, 3.550508581538814*^9}, {3.550660135236025*^9, 
   3.5506601355510435`*^9}, {3.5506689660102043`*^9, 3.550668967086606*^9}, {
   3.5506690468613462`*^9, 3.550669048093748*^9}, {3.551451446944525*^9, 
   3.551451459081346*^9}, {3.5514531453505106`*^9, 3.5514531462085123`*^9}, {
   3.5514537604907913`*^9, 3.5514537629867954`*^9}, {3.5514541602102933`*^9, 
   3.551454160818694*^9}, {3.5516233793758287`*^9, 3.55162337998423*^9}, {
   3.5516234218703036`*^9, 3.5516234220419035`*^9}, {3.551623469933988*^9, 
   3.5516234877180195`*^9}},
 CellLabel->
  "In[919]:=",ExpressionUUID->"edb18d9a-851b-4afe-afcc-58e912ba6d66"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ScatteringRate = \"\>", "\[InvisibleSpace]", 
   "50776.36343892555`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["ScatteringRate = ", 50776.36343892555, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 
   3.551624024174762*^9},ExpressionUUID->"8618a093-4df0-4500-9214-\
c01012b98e45"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DeBroglieWavelength = \"\>", "\[InvisibleSpace]", 
   "0.18924158618346631`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["DeBroglieWavelength = ", 0.18924158618346631`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 
   3.551624024174762*^9},ExpressionUUID->"42f1e633-e1a1-40a0-bb81-\
5424271df507"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"PhaseSpace Density = \"\>", "\[InvisibleSpace]", 
   "32.76644602672198`"}],
  SequenceForm["PhaseSpace Density = ", 32.76644602672198],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 
   3.551624024174762*^9},ExpressionUUID->"657a100e-4268-443d-864f-\
5a286e32dd43"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Tc = \"\>", "\[InvisibleSpace]", "3009.596619202542`", 
   "\[InvisibleSpace]", "\<\" nK\"\>"}],
  SequenceForm["Tc = ", 3009.596619202542, " nK"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055905542116`*^9, 3.5505056985532017`*^9, 3.5505070903688498`*^9, 
   3.5505085575574427`*^9, 3.5505089295017166`*^9, 3.5505542010607386`*^9, 
   3.5506690526957564`*^9, 3.5514527918116894`*^9, 3.551453765358*^9, 
   3.551589524220188*^9, 3.5516207073489337`*^9, 3.5516233808110313`*^9, 
   3.55162347111959*^9, 
   3.551624024174762*^9},ExpressionUUID->"cb7d2757-1721-45c2-8050-\
977121b632b2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power horiz = \"\>", "\[InvisibleSpace]", "1.748`", 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["Power horiz = ", 1.748, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215877082434`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"c66531fd-2d2e-4f5e-860f-0d4a9e692870"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power vert = \"\>", "\[InvisibleSpace]", "0.743`", 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["Power vert = ", 0.743, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215877522554`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"4a47df99-8ac1-4ab6-bbad-09b373e1642a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power dimple = \"\>", "\[InvisibleSpace]", "0.043461`", 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["Power dimple = ", 0.043461, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621587778241*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"85b0105c-46b0-483c-b3a0-477c62ad270d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power ESD = \"\>", "\[InvisibleSpace]", "0.`", 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["Power ESD = ", 0., " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215878052907`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"5922a55c-7fbd-454d-8775-67dd6f0edbe3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleight length horiz x = \"\>", "\[InvisibleSpace]", 
   "262.5569525539492`", "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["Rayleight length horiz x = ", 262.5569525539492, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215878322735`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"15cf4650-1171-4dcd-a5b7-a5dc42a0301e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleight length horiz y = \"\>", "\[InvisibleSpace]", 
   "0.8857354361336794`", "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["Rayleight length horiz y = ", 0.8857354361336794, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215878362713`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"84a24857-0af0-4781-9706-1674a874fcf6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleight length vert x = \"\>", "\[InvisibleSpace]", 
   "260.44806990648686`", "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["Rayleight length vert x = ", 260.44806990648686`, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621587852262*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"001d4a3c-53c8-4620-b70b-7b537181abd8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleight length vert y = \"\>", "\[InvisibleSpace]", 
   "260.44806990648686`", "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["Rayleight length vert y = ", 260.44806990648686`, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215878672523`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"18656378-f638-4078-a948-0ff586c5a5d2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleight length dimple x = \"\>", "\[InvisibleSpace]", 
   "1.4828320277568496`", "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["Rayleight length dimple x = ", 1.4828320277568496`, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215878832445`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"8079b22d-7ccf-4db1-8f19-c3769b0859a0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleight length dimple y = \"\>", "\[InvisibleSpace]", 
   "1.4828320277568496`", "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["Rayleight length dimple y = ", 1.4828320277568496`, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621587888239*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"3cbfa6af-7037-4698-a981-e4982ab0e398"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "15.018793075875525`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm["Potential depth = ", -15.018793075875525`, " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215879022303`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"1bdc9b39-785f-42bd-a971-c3a55df8a1df"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency X = \"\>", "\[InvisibleSpace]", "244.1090839259139`",
    "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency X = ", 244.1090839259139, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621587906228*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"d25e27b7-5608-43b3-9a13-d6d088f8e8b6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Y = \"\>", "\[InvisibleSpace]", 
   "246.71156110085062`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Y = ", 246.71156110085062`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621587908228*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"f6e327a6-fc68-472f-8f58-1a94667fc525"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Z = \"\>", "\[InvisibleSpace]", "624.2528837909842`",
    "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Z = ", 624.2528837909842, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621587911228*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"1db80d18-e038-4d85-814d-6e3382fe5370"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"gravitational sag = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.0006387435604229922`"}], 
   "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm["gravitational sag = ", -0.0006387435604229922, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215879142227`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"b40d11cc-de9f-4d5e-b3c1-bf856b998b95"]
}, Open  ]],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,979,362,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.55162348815482*^9, 3.5516240240967617`*^9, 
  3.826621587916221*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"41d46515-ffc8-4ada-9c0d-ac3d2ec4539a"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"4886.805686066939`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,985,363,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.55162348815482*^9, 3.5516240240967617`*^9, 
  3.8266215879541974`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"5175f2f3-28a4-4c66-9854-7f3719c234c2"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"GravityCorrectedVerticalFrequencyX = \"\>", 
   "\[InvisibleSpace]", "244.1084174519469`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "GravityCorrectedVerticalFrequencyX = ", 244.1084174519469, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621587989177*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"27f500f7-86cd-4ad3-bb71-d1446c207876"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"GravityCorrectedVerticalFrequencyY = \"\>", 
   "\[InvisibleSpace]", "246.7042790166728`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "GravityCorrectedVerticalFrequencyY = ", 246.7042790166728, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215879931746`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"7940c30f-af88-43ed-9a7a-eb1e37da3217"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"GravityCorrectedVerticalFrequencyZ = \"\>", 
   "\[InvisibleSpace]", "621.7064410701773`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "GravityCorrectedVerticalFrequencyZ = ", 621.7064410701773, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215879971724`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"05095042-ccf2-46e6-a0ae-2dd415ed20a8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
  "244.1084174519469`", "\[InvisibleSpace]", "\<\"     \"\>", 
   "\[InvisibleSpace]", "246.7042790166728`", 
   "\[InvisibleSpace]", "\<\"     \"\>", "\[InvisibleSpace]", 
   "621.7064410701773`", "\[InvisibleSpace]", "\<\"     \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "5.27380240766276`*^33"}]}],
  SequenceForm[
  244.1084174519469, "     ", 246.7042790166728, "     ", 621.7064410701773, 
   "     ", -5.27380240766276*^33],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880001698`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"8539bc33-8e3d-445c-b1fe-e3a4ac6ab060"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth horiz beam w/o grav sagg = \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "11.7280478968907`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm[
  "Potential depth horiz beam w/o grav sagg = ", -11.7280478968907, 
   " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880021687`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"e51ff171-baa9-4112-ac01-889da9a7e889"]
}, Open  ]],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"4886.805686066939`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,991,364,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.55162348815482*^9, 3.5516240240967617`*^9, 
  3.826621588004168*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"5d55d4d9-b0a4-4d2e-9104-ad49db3fb40d"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth horiz beam with grav sagg = \"\>", 
   "\[InvisibleSpace]", "72.7784732257461`", 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm[
  "Potential depth horiz beam with grav sagg = ", 72.7784732257461, 
   " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880411463`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"a80f3dc4-025c-4df1-a503-e5cb8a8f0ae5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth sagging ratio = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "620.5506139264734`"}], "\[InvisibleSpace]", "\<\"%\"\>"}],
  SequenceForm["Potential depth sagging ratio = ", -620.5506139264734, "%"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588045143*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"79e4f07d-e5e3-4e64-bf9c-af675c0eba60"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Total Potential with grav sagg at position of atoms = \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "15.050565305437384`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm[
  "Total Potential with grav sagg at position of atoms = ", \
-15.050565305437384`, " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588049141*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"a18ce87d-996f-4a4f-a169-68d0669b87c6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth vert beam = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.2918876664923933`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm[
  "Potential depth vert beam = ", -0.2918876664923933, " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880521374`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"79837d8a-8f9e-4b69-9b6e-6cf22845c0fe"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate horiz = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.015173102344390543`"}], 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Scattering rate horiz = ", -0.015173102344390543`, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880551353`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"38fdb990-e56d-42e1-965e-dc6ce3a8eb6a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency X horiz = \"\>", "\[InvisibleSpace]", 
   "6.103417981431812`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency X horiz = ", 6.103417981431812, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880571337`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"0bc2891c-bf1f-4069-8c6c-ea46bbae4c1f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Y horiz = \"\>", "\[InvisibleSpace]", 
   "36.257430089926885`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Y horiz = ", 36.257430089926885`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880591326`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"20c6de43-3360-4e42-bda9-f36d5bdfc84a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Z horiz = \"\>", "\[InvisibleSpace]", 
   "624.2474395390414`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Z horiz = ", 624.2474395390414, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880611315`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"f080b341-502a-4378-8923-4114312dbee4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth vert = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.2918876664923933`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm[
  "Potential depth vert = ", -0.2918876664923933, " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.82662158806313*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"c9e3b328-d5eb-417a-ad44-7277b432e3e7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate vert = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.00037762818464687344`"}], 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Scattering rate vert = ", -0.00037762818464687344`, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588066128*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"51ca4e12-5c0a-4dd1-ad1c-550b46fc8a6e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency X vert = \"\>", "\[InvisibleSpace]", 
   "5.743058166100803`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency X vert = ", 5.743058166100803, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880681295`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"fea0fb79-1b5b-4289-9bba-1f54942729e1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Y vert = \"\>", "\[InvisibleSpace]", 
   "5.743058166100803`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Y vert = ", 5.743058166100803, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588071126*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"b11d21fc-256a-4657-b49e-69758d3e90f9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Z vert = \"\>", "\[InvisibleSpace]", 
   "0.004630879954344252`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Z vert = ", 0.004630879954344252, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588073126*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"6da84b2f-3c31-4c8d-bba1-b5a511ecf791"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth Dimple = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "2.998857512492431`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm[
  "Potential depth Dimple = ", -2.998857512492431, " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880751247`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"8d771e1d-3e7e-4c49-85e1-28ea156025d2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate Dimple = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.003879756661409561`"}], 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Scattering rate Dimple = ", -0.003879756661409561, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880771227`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"6cedc6a3-b559-437d-bf0a-2472f1a1cbda"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency X Dimple = \"\>", "\[InvisibleSpace]", 
   "243.9651828171258`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency X Dimple = ", 243.9651828171258, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588079121*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"dfabe0f1-f379-45e6-9b32-e46b1c525aa3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Y Dimple = \"\>", "\[InvisibleSpace]", 
   "243.9651828171258`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Y Dimple = ", 243.9651828171258, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588082118*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"2d740c18-8ae0-4aa7-8599-e19307f73ca9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Frequency Z Dimple = \"\>", "\[InvisibleSpace]", 
   "2.6071303891458966`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Frequency Z Dimple = ", 2.6071303891458966`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588084118*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"8258aae3-9642-4310-ba2a-0e3393d41c56"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Potential depth ESD = \"\>", "\[InvisibleSpace]", "0.`", 
   "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
  SequenceForm["Potential depth ESD = ", 0., " \[Micro]K * kB"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880871162`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"d5ea557a-4ac7-4360-8c30-293a24c749d4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate ESD red = \"\>", "\[InvisibleSpace]", "0.`", 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Scattering rate ESD red = ", 0., " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588089115*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"f6121084-a824-42bf-90e1-69f4df0b4030"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate ESD blue = \"\>", "\[InvisibleSpace]", "0.`", 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Scattering rate ESD blue = ", 0., " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588091114*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"33a39fae-dca6-42db-a5c7-b5a62d696945"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sigma X = \"\>", "\[InvisibleSpace]", "6.466645311716469`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Sigma X = ", 6.466645311716469, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880931125`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"4bfd2ba7-e0aa-4d29-8f54-6e1f18a5ee65"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sigma Y = \"\>", "\[InvisibleSpace]", "6.398602243779794`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Sigma Y = ", 6.398602243779794, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588095111*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"716109e9-2312-4be3-ac86-e5f28878109f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sigma Z = \"\>", "\[InvisibleSpace]", "2.539080261978456`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Sigma Z = ", 2.539080261978456, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215880981092`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"2b2d4450-eb99-415c-9d85-beaec6dfbbb2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Density = \"\>", "\[InvisibleSpace]", "4.83481209661129`*^15", 
   "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["Density = ", 4.83481209661129*^15, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588100108*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"ee995a35-ce45-47f2-b2b8-e068afed9caf"]
}, Open  ]],

Cell[BoxData["1.4028`*^-25"], "Output",
 CellChangeTimes->{
  3.5505056985376015`*^9, 3.550505867407898*^9, 3.55050709035325*^9, 
   3.550507991756683*^9, 3.5505085575494423`*^9, 3.5505085933124876`*^9, 
   3.5505089294937162`*^9, 3.550511671988578*^9, 3.550554201045139*^9, 
   3.550660138486211*^9, 3.5506690526801567`*^9, 3.5514514712337675`*^9, 
   3.551452791796089*^9, 3.55145315065452*^9, 3.551453765358*^9, 
   3.551454162862298*^9, 3.551589524204588*^9, 3.5515947109140654`*^9, 
   3.551620707333334*^9, 3.5516232664160304`*^9, 3.551623380795431*^9, 
   3.5516234228687053`*^9, {3.55162347110399*^9, 3.55162348823282*^9}, 
   3.5516240241591616`*^9, 3.826621588102107*^9},
 CellLabel->
  "Out[1022]=",ExpressionUUID->"d5917138-dce3-4245-9175-bc035ca3aeca"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Velocity = \"\>", "\[InvisibleSpace]", "28.0534745388877`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m/ms\"\>"}],
  SequenceForm["Velocity = ", 28.0534745388877, " \[Micro]m/ms"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215881061044`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"1456f101-6fd0-4e6d-a805-4ee9282a2efb"],

Cell[BoxData["1.0588643562160388`*^-15"], "Output",
 CellChangeTimes->{
  3.5505056985376015`*^9, 3.550505867407898*^9, 3.55050709035325*^9, 
   3.550507991756683*^9, 3.5505085575494423`*^9, 3.5505085933124876`*^9, 
   3.5505089294937162`*^9, 3.550511671988578*^9, 3.550554201045139*^9, 
   3.550660138486211*^9, 3.5506690526801567`*^9, 3.5514514712337675`*^9, 
   3.551452791796089*^9, 3.55145315065452*^9, 3.551453765358*^9, 
   3.551454162862298*^9, 3.551589524204588*^9, 3.5515947109140654`*^9, 
   3.551620707333334*^9, 3.5516232664160304`*^9, 3.551623380795431*^9, 
   3.5516234228687053`*^9, {3.55162347110399*^9, 3.55162348823282*^9}, 
   3.5516240241591616`*^9, 3.826621588111101*^9},
 CellLabel->
  "Out[1025]=",ExpressionUUID->"9ad2ba23-4c9f-4b4b-b4e5-5e63e3c43435"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ScatteringRate = \"\>", "\[InvisibleSpace]", 
   "50776.36343892558`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["ScatteringRate = ", 50776.36343892558, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588115099*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"3eddce7b-2fed-4b39-919a-97895212cde8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DeBroglieWavelength = \"\>", "\[InvisibleSpace]", 
   "0.18924158618346631`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["DeBroglieWavelength = ", 0.18924158618346631`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215881200943`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"be013e84-a1d1-4af8-9bda-76decbf7469d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"PhaseSpace Density = \"\>", "\[InvisibleSpace]", 
   "32.766446026721994`"}],
  SequenceForm["PhaseSpace Density = ", 32.766446026721994`],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.826621588124092*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"ccbb488c-5900-439b-88b4-d38f1540d67a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Tc = \"\>", "\[InvisibleSpace]", "3009.596619202542`", 
   "\[InvisibleSpace]", "\<\" nK\"\>"}],
  SequenceForm["Tc = ", 3009.596619202542, " nK"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590601012*^9, 3.550505867423498*^9, 3.5505079917722826`*^9, 
   3.5505085933264885`*^9, 3.5505116720015783`*^9, 3.550660138494211*^9, 
   3.551451471249367*^9, 3.55145315065452*^9, 3.551454162862298*^9, 
   3.5515947109140654`*^9, 3.5516232664160304`*^9, 3.5516234228687053`*^9, 
   3.55162348823282*^9, 3.8266215881270905`*^9},
 CellLabel->
  "During evaluation of \
In[919]:=",ExpressionUUID->"49c7f807-884a-4a88-8f35-0144cfefe150"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   RowBox[{"\<\"Potential depth ESD = \"\>", "\[InvisibleSpace]", 
    RowBox[{"-", "0.49399241536541455`"}], 
    "\[InvisibleSpace]", "\<\" \[Micro]K * kB\"\>"}],
   SequenceForm[
   "Potential depth ESD = ", -0.49399241536541455`, " \[Micro]K * kB"],
   Editable->False], "\[LineSeparator]"}]], "Print",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590663412*^9, 
   3.550505694403594*^9},ExpressionUUID->"8b16c538-ca96-494e-b0ad-\
2a83ec122048"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate ESD red = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.000053964618402226915`"}], 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm[
  "Scattering rate ESD red = ", -0.000053964618402226915`, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590663412*^9},ExpressionUUID->"60d5cddd-e676-4203-b6e8-\
27ef90319311"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Scattering rate ESD blue = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.003946195757736935`"}], 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Scattering rate ESD blue = ", -0.003946195757736935, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590663412*^9},ExpressionUUID->"91d195ba-52df-4ccf-9962-\
d3e106a3be2e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sigma X = \"\>", "\[InvisibleSpace]", "6.48243303248977`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Sigma X = ", 6.48243303248977, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590663412*^9},ExpressionUUID->"bda6eb34-ed3a-42e0-948a-\
4ce21befb4c2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sigma Y = \"\>", "\[InvisibleSpace]", "6.413797980415534`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Sigma Y = ", 6.413797980415534, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590663412*^9},ExpressionUUID->"cab39029-b04f-42fa-8f07-\
b750eab7979b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sigma Z = \"\>", "\[InvisibleSpace]", "2.5588752873043026`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Sigma Z = ", 2.5588752873043026`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.550505590663412*^9},ExpressionUUID->"ca4f2594-7ec9-4cda-b8a0-\
ad2f9b99bb26"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Density = \"\>", "\[InvisibleSpace]", "4.774388428874312`*^15",
    "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["Density = ", 4.774388428874312*^15, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055906790123`*^9},ExpressionUUID->"2e50f0cb-c2b4-4045-93a1-\
9372b6fd8641"]
}, Open  ]],

Cell[BoxData["1.4028`*^-25"], "Output",
 CellChangeTimes->{
  3.484157144984375*^9, 3.4841572508125*^9, 3.48829096815625*^9, 
   3.488291013375*^9, 3.488291099203125*^9, 3.48829118546875*^9, {
   3.4882912464375*^9, 3.488291291171875*^9}, {3.4882913629375*^9, 
   3.488291503921875*^9}, {3.508173614291066*^9, 3.50817365157685*^9}, {
   3.5081740057292843`*^9, 3.5081740547664967`*^9}, {3.5081742554784*^9, 
   3.50817426838622*^9}, 3.5082623762945004`*^9, {3.5082625082632504`*^9, 
   3.5082625543413754`*^9}, {3.5082626012788754`*^9, 3.5082627010601254`*^9}, 
   3.5082654427945004`*^9, 3.5082656176226254`*^9, {3.5082657485757504`*^9, 
   3.5082657706538754`*^9}, 3.5082658906851254`*^9, {3.5082661017945004`*^9, 
   3.5082661191382504`*^9}, 3.5082661919976254`*^9, 3.5082679588101254`*^9, 
   3.5082680484038754`*^9, 3.5082680787788754`*^9, {3.5082695252788754`*^9, 
   3.5082695482163754`*^9}, 3.5082695794820004`*^9, 3.5082701851695004`*^9, 
   3.5082703663413754`*^9, 3.5082703981695004`*^9, 3.5082705993101254`*^9, 
   3.5082711779507504`*^9, 3.5082733101538754`*^9, 3.5082734562007504`*^9, 
   3.5082736043413754`*^9, 3.5082736351070004`*^9, 3.5082803383570004`*^9, 
   3.5083357836382504`*^9, 3.5083367423257504`*^9, 3.5083591538101254`*^9, 
   3.5084148834195004`*^9, 3.5084149255757504`*^9, 3.5084162239820004`*^9, 
   3.508781967*^9, 3.508829361125*^9, 3.5088296655625*^9, 
   3.508935681796875*^9, 3.508936048453125*^9, {3.508936095484375*^9, 
   3.50893612075*^9}, {3.508936179453125*^9, 3.508936311703125*^9}, 
   3.508940914953125*^9, 3.508941097671875*^9, 3.508941147296875*^9, {
   3.508941180328125*^9, 3.508941272203125*^9}, 3.508941681359375*^9, 
   3.508942741484375*^9, 3.5089427934375*^9, 3.5095365440353336`*^9, 
   3.5388290501179857`*^9, 3.5388290810216403`*^9, {3.538829118009305*^9, 
   3.5388292677705684`*^9}, {3.5388295195550103`*^9, 3.538829707956541*^9}, 
   3.5388297780630646`*^9, {3.5388298318675594`*^9, 3.538829956433778*^9}, {
   3.538833279341549*^9, 3.5388336738380423`*^9}, {3.538833704928897*^9, 
   3.5388338129912868`*^9}, 3.5399501753182173`*^9, {3.5399502782545843`*^9, 
   3.539950304914587*^9}, 3.539950355390443*^9, 3.539950533431133*^9, 
   3.54027839868996*^9, 3.5402784684819517`*^9, 3.5402785540678473`*^9, {
   3.5402785899989023`*^9, 3.5402786467371473`*^9}, 3.540278681207119*^9, 
   3.5402788470436044`*^9, {3.5402881167297044`*^9, 3.54028813198794*^9}, 
   3.5402882248903675`*^9, 3.5402886232709994`*^9, 3.5402886705967264`*^9, {
   3.540288734557459*^9, 3.5402887601538534`*^9}, 3.540290813605708*^9, 
   3.5405443481564255`*^9, 3.5405443944220715`*^9, 3.5405444319752192`*^9, {
   3.5405444648120975`*^9, 3.540544527205666*^9}, 3.5405447968965*^9, 
   3.540794522778125*^9, 3.540794580903125*^9, 3.540794630403125*^9, 
   3.54079468698125*^9, {3.5407947191375*^9, 3.5407947460125*^9}, {
   3.54082064229375*^9, 3.540820741059375*^9}, 3.54083532691875*^9, 
   3.540835359996875*^9, {3.540835471434375*^9, 3.5408355203875*^9}, {
   3.5408356811375*^9, 3.54083573166875*^9}, {3.540835776465625*^9, 
   3.54083581910625*^9}, 3.54083586904375*^9, 3.541314422575*^9, 
   3.54131449260625*^9, 3.5438990823762503`*^9, 3.5438991812825003`*^9, 
   3.5438992417825003`*^9, 3.5438992796575003`*^9, 3.5438993442512503`*^9, 
   3.5438993765325003`*^9, {3.5438994114387503`*^9, 3.5438994341418753`*^9}, 
   3.5438995305793753`*^9, 3.5438995756887503`*^9, 3.5494437263686323`*^9, 
   3.5495243455200415`*^9, 3.549526340462951*^9, 3.5495343541768694`*^9, 
   3.549562813665922*^9, 3.549563103269487*^9, 3.549601798203594*^9, 
   3.54961523054218*^9, 3.5496152607282333`*^9, 3.5496153234559436`*^9, 
   3.549615364593216*^9, 3.5496171022739143`*^9, 3.549618093082305*^9, {
   3.5497734329108634`*^9, 3.5497734584325085`*^9}, 3.549774519661373*^9, 
   3.549774888992022*^9, 3.5497772960347853`*^9, 3.5497774977909393`*^9, 
   3.5497897871886363`*^9, 3.5497899438751273`*^9, 3.5497941423345737`*^9, 
   3.5497946885865645`*^9, 3.549796218528915*^9, 3.5497972192959194`*^9, 
   3.5498931486652384`*^9, 3.5498932845094924`*^9, 3.5498963526129494`*^9, 
   3.5505006305023575`*^9, 3.5505020963005114`*^9, 3.5505024761796103`*^9, 
   3.550503070835255*^9, 3.550503530126916*^9, 3.550504780797143*^9, 
   3.550504976944519*^9, {3.5505050298934274`*^9, 3.550505066225891*^9}, 
   3.550505396489871*^9, 3.5505054638039894`*^9, 
   3.5505055906790123`*^9},ExpressionUUID->"e77b6abb-60a4-41de-8eab-\
8773b8ecccb2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Velocity = \"\>", "\[InvisibleSpace]", "28.0534745388877`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m/ms\"\>"}],
  SequenceForm["Velocity = ", 28.0534745388877, " \[Micro]m/ms"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055906790123`*^9},ExpressionUUID->"b615d8f0-3e4c-4d01-916d-\
22a11b5b5512"],

Cell[BoxData["1.0588643562160388`*^-15"], "Output",
 CellChangeTimes->{
  3.484157144984375*^9, 3.4841572508125*^9, 3.48829096815625*^9, 
   3.488291013375*^9, 3.488291099203125*^9, 3.48829118546875*^9, {
   3.4882912464375*^9, 3.488291291171875*^9}, {3.4882913629375*^9, 
   3.488291503921875*^9}, {3.508173614291066*^9, 3.50817365157685*^9}, {
   3.5081740057292843`*^9, 3.5081740547664967`*^9}, {3.5081742554784*^9, 
   3.50817426838622*^9}, 3.5082623762945004`*^9, {3.5082625082632504`*^9, 
   3.5082625543413754`*^9}, {3.5082626012788754`*^9, 3.5082627010601254`*^9}, 
   3.5082654427945004`*^9, 3.5082656176226254`*^9, {3.5082657485757504`*^9, 
   3.5082657706538754`*^9}, 3.5082658906851254`*^9, {3.5082661017945004`*^9, 
   3.5082661191382504`*^9}, 3.5082661919976254`*^9, 3.5082679588101254`*^9, 
   3.5082680484038754`*^9, 3.5082680787788754`*^9, {3.5082695252788754`*^9, 
   3.5082695482163754`*^9}, 3.5082695794820004`*^9, 3.5082701851695004`*^9, 
   3.5082703663413754`*^9, 3.5082703981695004`*^9, 3.5082705993101254`*^9, 
   3.5082711779507504`*^9, 3.5082733101538754`*^9, 3.5082734562007504`*^9, 
   3.5082736043413754`*^9, 3.5082736351070004`*^9, 3.5082803383570004`*^9, 
   3.5083357836382504`*^9, 3.5083367423257504`*^9, 3.5083591538101254`*^9, 
   3.5084148834195004`*^9, 3.5084149255757504`*^9, 3.5084162239820004`*^9, 
   3.508781967*^9, 3.508829361125*^9, 3.5088296655625*^9, 
   3.508935681796875*^9, 3.508936048453125*^9, {3.508936095484375*^9, 
   3.50893612075*^9}, {3.508936179453125*^9, 3.508936311703125*^9}, 
   3.508940914953125*^9, 3.508941097671875*^9, 3.508941147296875*^9, {
   3.508941180328125*^9, 3.508941272203125*^9}, 3.508941681359375*^9, 
   3.508942741484375*^9, 3.5089427934375*^9, 3.5095365440353336`*^9, 
   3.5388290501179857`*^9, 3.5388290810216403`*^9, {3.538829118009305*^9, 
   3.5388292677705684`*^9}, {3.5388295195550103`*^9, 3.538829707956541*^9}, 
   3.5388297780630646`*^9, {3.5388298318675594`*^9, 3.538829956433778*^9}, {
   3.538833279341549*^9, 3.5388336738380423`*^9}, {3.538833704928897*^9, 
   3.5388338129912868`*^9}, 3.5399501753182173`*^9, {3.5399502782545843`*^9, 
   3.539950304914587*^9}, 3.539950355390443*^9, 3.539950533431133*^9, 
   3.54027839868996*^9, 3.5402784684819517`*^9, 3.5402785540678473`*^9, {
   3.5402785899989023`*^9, 3.5402786467371473`*^9}, 3.540278681207119*^9, 
   3.5402788470436044`*^9, {3.5402881167297044`*^9, 3.54028813198794*^9}, 
   3.5402882248903675`*^9, 3.5402886232709994`*^9, 3.5402886705967264`*^9, {
   3.540288734557459*^9, 3.5402887601538534`*^9}, 3.540290813605708*^9, 
   3.5405443481564255`*^9, 3.5405443944220715`*^9, 3.5405444319752192`*^9, {
   3.5405444648120975`*^9, 3.540544527205666*^9}, 3.5405447968965*^9, 
   3.540794522778125*^9, 3.540794580903125*^9, 3.540794630403125*^9, 
   3.54079468698125*^9, {3.5407947191375*^9, 3.5407947460125*^9}, {
   3.54082064229375*^9, 3.540820741059375*^9}, 3.54083532691875*^9, 
   3.540835359996875*^9, {3.540835471434375*^9, 3.5408355203875*^9}, {
   3.5408356811375*^9, 3.54083573166875*^9}, {3.540835776465625*^9, 
   3.54083581910625*^9}, 3.54083586904375*^9, 3.541314422575*^9, 
   3.54131449260625*^9, 3.5438990823762503`*^9, 3.5438991812825003`*^9, 
   3.5438992417825003`*^9, 3.5438992796575003`*^9, 3.5438993442512503`*^9, 
   3.5438993765325003`*^9, {3.5438994114387503`*^9, 3.5438994341418753`*^9}, 
   3.5438995305793753`*^9, 3.5438995756887503`*^9, 3.5494437263686323`*^9, 
   3.5495243455200415`*^9, 3.549526340462951*^9, 3.5495343541768694`*^9, 
   3.549562813665922*^9, 3.549563103269487*^9, 3.549601798203594*^9, 
   3.54961523054218*^9, 3.5496152607282333`*^9, 3.5496153234559436`*^9, 
   3.549615364593216*^9, 3.5496171022739143`*^9, 3.549618093082305*^9, {
   3.5497734329108634`*^9, 3.5497734584325085`*^9}, 3.549774519661373*^9, 
   3.549774888992022*^9, 3.5497772960347853`*^9, 3.5497774977909393`*^9, 
   3.5497897871886363`*^9, 3.5497899438751273`*^9, 3.5497941423345737`*^9, 
   3.5497946885865645`*^9, 3.549796218528915*^9, 3.5497972192959194`*^9, 
   3.5498931486652384`*^9, 3.5498932845094924`*^9, 3.5498963526129494`*^9, 
   3.5505006305023575`*^9, 3.5505020963005114`*^9, 3.5505024761796103`*^9, 
   3.550503070835255*^9, 3.550503530126916*^9, 3.550504780797143*^9, 
   3.550504976944519*^9, {3.5505050298934274`*^9, 3.550505066225891*^9}, 
   3.550505396489871*^9, 3.5505054638039894`*^9, 
   3.5505055906790123`*^9},ExpressionUUID->"791a7ddc-5c5d-4130-b71a-\
70c538e00431"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ScatteringRate = \"\>", "\[InvisibleSpace]", 
   "50141.77949811926`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["ScatteringRate = ", 50141.77949811926, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055906790123`*^9},ExpressionUUID->"2e72702f-f5ba-4a11-a627-\
2aedcf26c064"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DeBroglieWavelength = \"\>", "\[InvisibleSpace]", 
   "0.18924158618346631`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["DeBroglieWavelength = ", 0.18924158618346631`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055906790123`*^9},ExpressionUUID->"dfabf340-5a6c-4fde-895d-\
1b98aec52a6f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"PhaseSpace Density = \"\>", "\[InvisibleSpace]", 
   "32.35694327706437`"}],
  SequenceForm["PhaseSpace Density = ", 32.35694327706437],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055906790123`*^9},ExpressionUUID->"e2530319-7489-4295-90e8-\
1db89a07eae1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Tc = \"\>", "\[InvisibleSpace]", "2997.0064202745934`", 
   "\[InvisibleSpace]", "\<\" nK\"\>"}],
  SequenceForm["Tc = ", 2997.0064202745934`, " nK"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.484157144953125*^9, 3.484157250484375*^9, 3.48829096746875*^9, 
   3.488291013140625*^9, 3.48829109896875*^9, 3.48829118525*^9, {
   3.48829124621875*^9, 3.4882912909375*^9}, {3.48829136265625*^9, 
   3.4882915036875*^9}, {3.5081736129158993`*^9, 3.508173650436086*^9}, {
   3.5081740046666555`*^9, 3.5081740536413603`*^9}, {3.508174254181368*^9, 
   3.50817426707356*^9}, 3.5082623752320004`*^9, {3.5082625070601254`*^9, 
   3.5082625531382504`*^9}, {3.5082626001538754`*^9, 3.5082627000132504`*^9}, 
   3.5082654417632504`*^9, 3.5082656167320004`*^9, {3.5082657474507504`*^9, 
   3.5082657694507504`*^9}, 3.5082658895601254`*^9, {3.5082660999976254`*^9, 
   3.5082661177007504`*^9}, 3.5082661906382504`*^9, 3.5082679575445004`*^9, 
   3.5082680468882504`*^9, 3.5082680776382504`*^9, {3.5082695239820004`*^9, 
   3.5082695469976254`*^9}, 3.5082695780288754`*^9, 3.5082701836538754`*^9, 
   3.5082703652007504`*^9, 3.5082703968101254`*^9, 3.5082705977945004`*^9, 
   3.5082711764195004`*^9, 3.5082733086226254`*^9, 3.5082734546851254`*^9, 
   3.5082736028101254`*^9, 3.5082736335757504`*^9, 3.5082803368257504`*^9, 
   3.5083357821226254`*^9, 3.5083367411538754`*^9, 3.5083591521070004`*^9, 
   3.5084148825601254`*^9, 3.5084149241851254`*^9, 3.5084162225913754`*^9, 
   3.50878196590625*^9, 3.508829359703125*^9, 3.508829664234375*^9, 
   3.508935681*^9, 3.50893604709375*^9, {3.508936093984375*^9, 
   3.508936119265625*^9}, {3.5089361781875*^9, 3.50893631046875*^9}, 
   3.508940913453125*^9, 3.508941096171875*^9, 3.5089411458125*^9, {
   3.508941178921875*^9, 3.508941270703125*^9}, 3.5089416799375*^9, 
   3.508942740046875*^9, 3.50894279209375*^9, 3.5095365436413107`*^9, 
   3.538829049837186*^9, 3.5388290809904404`*^9, {3.5388291179781055`*^9, 
   3.5388292677393684`*^9}, {3.53882951950821*^9, 3.5388297079253416`*^9}, 
   3.5388297780162644`*^9, {3.538829831820759*^9, 3.538829956402578*^9}, {
   3.538833279154349*^9, 3.538833673806842*^9}, {3.5388337048976965`*^9, 
   3.538833812960087*^9}, 3.539950172583458*^9, {3.5399502771294255`*^9, 
   3.539950303742547*^9}, 3.5399503540777583`*^9, 3.5399505318996673`*^9, 
   3.5402783986499577`*^9, 3.5402784684449496`*^9, 3.5402785540328455`*^9, {
   3.5402785899579*^9, 3.540278646698145*^9}, 3.540278681164117*^9, 
   3.5402788470106025`*^9, {3.5402881161671953`*^9, 3.5402881318854384`*^9}, 
   3.5402882247828655`*^9, 3.5402886231459975`*^9, 3.5402886673979273`*^9, {
   3.540288734508708*^9, 3.5402887600101013`*^9}, 3.540290813573208*^9, 
   3.5405443476843977`*^9, 3.540544394164057*^9, 3.540544431938217*^9, {
   3.5405444647800956`*^9, 3.540544527167664*^9}, 3.540544794880875*^9, 
   3.540794521028125*^9, 3.54079457985625*^9, 3.540794629309375*^9, 
   3.540794685715625*^9, {3.540794718121875*^9, 3.5407947450125*^9}, {
   3.540820640809375*^9, 3.540820740090625*^9}, 3.54083532598125*^9, 
   3.540835359090625*^9, 3.54083546073125*^9, {3.540835493653125*^9, 
   3.540835519028125*^9}, {3.54083568004375*^9, 3.540835730121875*^9}, {
   3.54083577498125*^9, 3.5408358176375*^9}, 3.540835867559375*^9, 
   3.541314420965625*^9, 3.5413144916375*^9, 3.5438990805325003`*^9, 
   3.5438991793293753`*^9, 3.5438992398918753`*^9, 3.5438992775950003`*^9, 
   3.5438993425793753`*^9, 3.5438993745637503`*^9, {3.5438994094543753`*^9, 
   3.5438994320481253`*^9}, 3.5438995285793753`*^9, 3.5438995740168753`*^9, 
   3.549443726141619*^9, 3.549524345254841*^9, 3.549526340416151*^9, 
   3.5495343541300697`*^9, 3.5495628136339207`*^9, 3.549563103236485*^9, 
   3.5496017980943937`*^9, 3.54961523047978*^9, 3.549615260712633*^9, 
   3.5496153234091434`*^9, 3.5496153645620155`*^9, 3.549617102242714*^9, 
   3.549618093035505*^9, {3.549773432786063*^9, 3.549773458401308*^9}, 
   3.5497745196145735`*^9, 3.549774888945222*^9, 3.5497772959723845`*^9, 
   3.549777497744139*^9, 3.549789786970236*^9, 3.549789943812727*^9, 
   3.549794142287774*^9, 3.5497946885085645`*^9, 3.5497962184665146`*^9, 
   3.5497972192491198`*^9, 3.549893148400038*^9, 3.5498932844626923`*^9, 
   3.549896352519349*^9, 3.550500630299557*^9, 3.550502096269312*^9, 
   3.55050247614841*^9, 3.550503070788455*^9, 3.5505035300801153`*^9, 
   3.5505047807503424`*^9, 3.550504976897719*^9, {3.550505029846627*^9, 
   3.550505066023091*^9}, 3.550505396365071*^9, 3.5505054636011887`*^9, 
   3.5505055906790123`*^9},ExpressionUUID->"86a179c6-9d27-4d51-982a-\
60c87b1a8580"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Potential", "[", 
    RowBox[{
     RowBox[{"x", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Potential", "[", 
    RowBox[{
     RowBox[{"x", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Potential", "[", 
    RowBox[{"0", ",", 
     RowBox[{"y", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"TotalPotential", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"z", "*", 
      RowBox[{"10", " ", "^", 
       RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "0.02"}], ",", "0.01"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"Potential", "[", 
         RowBox[{"0", ",", "0", ",", "hz"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"hz", ",", "1"}], "}"}]}], "]"}], "/.", 
      RowBox[{"hz", "->", 
       RowBox[{"(", 
        RowBox[{"z", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}], ")"}]}]}], ")"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "0.2"}], ",", "0.002"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZeroPosition", "=", 
   RowBox[{
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"Potential", "[", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"hz", "*", 
              RowBox[{"10", "^", 
               RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"hz", ",", "1"}], "}"}]}], "]"}], "/.", 
         RowBox[{"hz", "->", 
          RowBox[{"(", "z", ")"}]}]}], ")"}], "==", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ZP", "=", 
  RowBox[{"z", "/.", "ZeroPosition"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SearchRange", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MP", "=", "ZP"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{"MP", "-", "ZP"}], "]"}], "<", 
      RowBox[{"10", "^", 
       RowBox[{"-", "10"}]}]}], ","}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MaximumPosition", "=", 
   RowBox[{
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"Potential", "[", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"hz", "*", 
              RowBox[{"10", "^", 
               RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"hz", ",", "1"}], "}"}]}], "]"}], "/.", 
         RowBox[{"hz", "->", 
          RowBox[{"(", "z", ")"}]}]}], ")"}], "==", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{"-", "0.03"}]}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MP", "=", 
   RowBox[{"z", "/.", "MaximumPosition"}]}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"SearchRange", "=", 
       RowBox[{"SearchRange", "*", "1.1", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", "SearchRange", "]"}]}]}], ";"}], 
     "\[IndentingNewLine]", "]"}], ";"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Potential", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"MP", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], "]"}], "-", 
   RowBox[{"Potential", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"ZP", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GravityCorrectedVerticalFrequency", "=", 
   RowBox[{"Re", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Potential", "[", 
               RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}]}], ",", 
             RowBox[{"{", 
              RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"hz", "->", 
            RowBox[{"(", 
             RowBox[{"z", "*", 
              RowBox[{"10", " ", "^", 
               RowBox[{"-", "3"}]}]}], ")"}]}]}], ")"}], "/", "Mass"}], "]"}],
        "/", 
       RowBox[{"(", 
        RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}], "/.", "ZeroPosition"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<GravityCorrectedVerticalFrequency = \>\"", ",", 
    "GravityCorrectedVerticalFrequency", ",", "\"\< Hz\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"GravityCorrectedVerticalFrequency", "=", 
  RowBox[{"Re", "[", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Potential", "[", 
             RowBox[{"0", ",", "0", ",", "hz"}], "]"}], "*", "kb", "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "6"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"hz", ",", "2"}], "}"}]}], "]"}], "/.", 
         RowBox[{"hz", "->", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "0.01"}], "*", 
            RowBox[{"10", " ", "^", 
             RowBox[{"-", "3"}]}]}], ")"}]}]}], ")"}], "/", "Mass"}], "]"}], 
     "/", 
     RowBox[{"(", 
      RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.46348553371875*^9, 3.46348570703125*^9}, {
   3.463486069109375*^9, 3.463486119515625*^9}, {3.463486192203125*^9, 
   3.463486296265625*^9}, {3.463486427953125*^9, 3.4634864400625*^9}, {
   3.4634864716875*^9, 3.463486511140625*^9}, {3.46348660471875*^9, 
   3.4634867101875*^9}, {3.46348677040625*^9, 3.463486852*^9}, {
   3.463486887421875*^9, 3.463486887515625*^9}, {3.4634869415625*^9, 
   3.463486945296875*^9}, {3.463487178765625*^9, 3.463487238203125*^9}, {
   3.463488534328125*^9, 3.46348855946875*^9}, {3.46348889784375*^9, 
   3.46348892821875*^9}, {3.46358037721875*^9, 3.4635803773125*^9}, {
   3.46358061025*^9, 3.463580610390625*^9}, {3.463580879953125*^9, 
   3.463580880046875*^9}, {3.463585203875*^9, 3.46358520521875*^9}, {
   3.46366416115625*^9, 3.46366421690625*^9}, {3.481787487140625*^9, 
   3.48178748740625*^9}, {3.481787547828125*^9, 3.481787573453125*^9}, {
   3.481871406296875*^9, 3.481871631125*^9}, {3.481871674921875*^9, 
   3.481871713984375*^9}, {3.4818717659375*^9, 3.48187186990625*^9}, {
   3.481872138421875*^9, 3.481872248984375*^9}, {3.481881458751577*^9, 
   3.481881479470327*^9}, 3.481881562923452*^9, {3.484157181078125*^9, 
   3.4841571895*^9}, {3.484157236375*^9, 3.48415723671875*^9}, {
   3.48829095334375*^9, 3.4882909535625*^9}, {3.5082656791538754`*^9, 
   3.5082656797632504`*^9}, {3.5082657575757504`*^9, 
   3.5082657578257504`*^9}, {3.5082680095913754`*^9, 
   3.5082680235288754`*^9}, {3.5082680602788754`*^9, 
   3.5082680603570004`*^9}, {3.5082704075601254`*^9, 
   3.5082704083413754`*^9}, {3.5082704790445004`*^9, 
   3.5082704796382504`*^9}, {3.5082706180601254`*^9, 
   3.5082706290757504`*^9}, {3.5082734916851254`*^9, 
   3.5082735726382504`*^9}, {3.5083358020288754`*^9, 
   3.5083358027163754`*^9}, {3.5083358985913754`*^9, 
   3.5083360873257504`*^9}, {3.5083362187788754`*^9, 
   3.5083362497788754`*^9}, {3.5083363017632504`*^9, 
   3.5083363071851254`*^9}, {3.5083363936070004`*^9, 
   3.5083364225601254`*^9}, {3.5083365414663754`*^9, 
   3.5083365614820004`*^9}, {3.5083366261538754`*^9, 
   3.5083366269663754`*^9}, {3.5083366833726254`*^9, 
   3.5083367270445004`*^9}, {3.50878202003125*^9, 3.508782027546875*^9}, {
   3.54029085602836*^9, 3.5402908809182425`*^9}, {3.5494440960867786`*^9, 
   3.5494441028201637`*^9}, {3.5505048956445446`*^9, 3.550504895738145*^9}, {
   3.5505056086814437`*^9, 3.550505619866663*^9}, {3.5505057128896265`*^9, 
   3.550505713591628*^9}},
 CellLabel->
  "In[1033]:=",ExpressionUUID->"33d361b5-11c7-4c4f-b69b-67d27b003c98"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"15928.349819663872`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1033,365,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266215881960497`*^9},
 CellLabel->
  "During evaluation of \
In[1033]:=",ExpressionUUID->"8928286d-e7e3-427c-8f2b-4759fe4ea6ce"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"11680.113229070168`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1033,366,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826621588233024*^9},
 CellLabel->
  "During evaluation of \
In[1033]:=",ExpressionUUID->"935096b1-ff5b-4ffe-a23d-968f1e45c586"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"11680.113229070168`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1033,367,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266215882680025`*^9},
 CellLabel->
  "During evaluation of \
In[1033]:=",ExpressionUUID->"79ef16cd-4c93-423b-8a5f-b375f055423f"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"General\\\", \
\\\"::\\\", \\\"munfl\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,1033,368,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266215883029814`*^9},
 CellLabel->
  "During evaluation of \
In[1033]:=",ExpressionUUID->"c956822a-20be-404d-95b1-b183c5229416"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJw113k01dv7B3BTkSFyDJFzMn8+jiEkkrQjVyKkiL6G0r3RNVxSSRNCkkyp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       "]]},
     Annotation[#, "Charting`Private`Tag$20383581#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, -15.01766005776811},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057143560295`*^9}, 
   3.826621588376935*^9},
 CellLabel->"Out[1033]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"0248e2a7-e96b-4b75-8da6-fb3455aa26d7"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJw12HlUjF/8B/C0K2vaiWh5npnmGUWlhBuylC1UFFIprSqKSnvSqrTv6zQt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       "]]},
     Annotation[#, "Charting`Private`Tag$20383643#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, -15.018781743579945`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057143560295`*^9}, 
   3.8266215891628733`*^9},
 CellLabel->
  "Out[1034]=",ExpressionUUID->"20fc9e06-31ae-471d-84ec-1935fcbafa4d"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJw1WHk0lV/UNqVBJbOSjHnfe3kpISkdlQYiKmQoc0imDJUydxuQ6ZrHTFEJ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       "]]},
     Annotation[#, "Charting`Private`Tag$20383689#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, -15.018781500661456`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057143560295`*^9}, 
   3.8266215899350414`*^9},
 CellLabel->
  "Out[1035]=",ExpressionUUID->"8a3e77dd-34d3-4609-8c9f-a2a47315a32e"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV1nk0VV0bAHAZUgoZ4iK51yz3XJIpyTFlHjJlKNM1ZVaIRIN7QyGKqFQq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       "]]},
     Annotation[#, "Charting`Private`Tag$20383735#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, -15.050565084588865`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057143560295`*^9}, 
   3.8266215907106485`*^9},
 CellLabel->
  "Out[1036]=",ExpressionUUID->"4101e3f2-4566-4acf-bfb1-38ad1f61aeaf"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV1nc8VX8YB3BFdmSE7HVFkgaSxDGiFKlfRilSVtMoJcmKbMneLq57r4yG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       "]]},
     Annotation[#, "Charting`Private`Tag$20383781#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057143560295`*^9}, 
   3.826621591503479*^9},
 CellLabel->
  "Out[1037]=",ExpressionUUID->"48217eb5-3aeb-4d20-ad93-74cf1f79c684"],

Cell[BoxData[
 RowBox[{"-", "0.0006387435604229922`"}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057143560295`*^9}, 
   3.8266215915094748`*^9},
 CellLabel->
  "Out[1039]=",ExpressionUUID->"569e61a5-859c-413f-88b3-d9b5fcbcb77d"],

Cell[BoxData[
 RowBox[{"-", "0.023227268471734345`"}]], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057143560295`*^9}, 
   3.8266215915114737`*^9},
 CellLabel->
  "Out[1043]=",ExpressionUUID->"8240d2fa-0822-4b64-8953-d1d26bde5d6a"],

Cell[BoxData["9.125232287323936`"], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057143560295`*^9}, 
   3.826621591514472*^9},
 CellLabel->
  "Out[1044]=",ExpressionUUID->"9dd5e353-8d1a-4b65-8cf4-30fd03dd5665"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"GravityCorrectedVerticalFrequency = \"\>", "\[InvisibleSpace]",
    "621.7064410701773`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "GravityCorrectedVerticalFrequency = ", 621.7064410701773, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.481871824421875*^9, 3.481871871421875*^9}, 
   3.481872009484375*^9, {3.4818721826875*^9, 3.481872250421875*^9}, {
   3.481881400220327*^9, 3.481881429032827*^9}, {3.481881460751577*^9, 
   3.481881482095327*^9}, 3.481881527548452*^9, 3.481881564439077*^9, 
   3.481881779048452*^9, {3.481881813079702*^9, 3.481881857907827*^9}, 
   3.481882747564077*^9, 3.481882834376577*^9, 3.481883498189077*^9, 
   3.48415710046875*^9, 3.484157191234375*^9, 3.484157238203125*^9, 
   3.488291219609375*^9, 3.4882913008125*^9, 3.5082656519195004`*^9, 
   3.5082656827945004`*^9, 3.5082657604195004`*^9, 3.5082663271070004`*^9, {
   3.5082680003101254`*^9, 3.5082680271695004`*^9}, 3.5082680634195004`*^9, {
   3.5082695336851254`*^9, 3.5082695595288754`*^9}, 3.5082703759351254`*^9, 
   3.5082704112945004`*^9, {3.5082704731382504`*^9, 3.5082704832320004`*^9}, {
   3.5082706114195004`*^9, 3.5082706319820004`*^9}, 3.5082733218570004`*^9, {
   3.5082734666226254`*^9, 3.5082735758257504`*^9}, 3.5082736138726254`*^9, 
   3.5082736446226254`*^9, {3.5083357942320004`*^9, 3.5083358064976254`*^9}, {
   3.5083359511070004`*^9, 3.5083359616695004`*^9}, 3.5083359965132504`*^9, {
   3.5083360278726254`*^9, 3.5083360528882504`*^9}, 3.5083360907632504`*^9, 
   3.5083362241695004`*^9, 3.5083363102320004`*^9, 3.5083364091695004`*^9, {
   3.5083365472476254`*^9, 3.5083365666382504`*^9}, 3.5083366303413754`*^9, {
   3.5083366896695004`*^9, 3.5083367187476254`*^9}, 3.508781986*^9, 
   3.508782030671875*^9, 3.5095366182835803`*^9, {3.5402908026142893`*^9, 
   3.5402908186870365`*^9}, {3.540290859153408*^9, 3.5402908831932774`*^9}, {
   3.5405444141211977`*^9, 3.540544439978677*^9}, {3.540544472714549*^9, 
   3.540544532764984*^9}, 3.54054481167775*^9, 3.54131443410625*^9, 
   3.5413145017625*^9, 3.5494437409084635`*^9, 3.549444104863281*^9, 
   3.5495243500440493`*^9, {3.5496152413373995`*^9, 3.549615265065041*^9}, 
   3.549615328650753*^9, 3.549615368758423*^9, 3.549773480381747*^9, 
   3.549777507182156*^9, 3.5505048231512175`*^9, 3.5505048992013507`*^9, {
   3.5505056027222333`*^9, 3.5505056115050488`*^9}, {3.5505056871963816`*^9, 
   3.550505715619632*^9}, 3.8266215915174694`*^9},
 CellLabel->
  "During evaluation of \
In[1033]:=",ExpressionUUID->"dc0d50e8-2ec5-4c85-a17c-cb7157defa34"],

Cell[BoxData["0.`"], "Output",
 CellChangeTimes->{
  3.462878248359375*^9, 3.46287835265625*^9, 3.4628785466875*^9, 
   3.4628785775625*^9, 3.46287970575*^9, 3.46287975075*^9, 3.4628797810625*^9,
    3.4628799140625*^9, 3.46288001228125*^9, 3.46288005996875*^9, 
   3.462973852125*^9, 3.4629739494375*^9, 3.46297461878125*^9, 
   3.462974895375*^9, 3.46297749596875*^9, 3.4629857718125*^9, 
   3.463022890734375*^9, 3.46302296146875*^9, 3.463136698359375*^9, 
   3.4631368214375*^9, 3.4631368961875*^9, {3.4631369356875*^9, 
   3.463136961625*^9}, 3.463137403046875*^9, {3.4634855540625*^9, 
   3.463485707953125*^9}, 3.463485811703125*^9, 3.463485842515625*^9, {
   3.463486091546875*^9, 3.463486120453125*^9}, {3.46348620415625*^9, 
   3.46348629678125*^9}, 3.46348644109375*^9, 3.4634864751875*^9, 
   3.4634865123125*^9, {3.46348661584375*^9, 3.46348671409375*^9}, 
   3.463486754671875*^9, {3.463486826078125*^9, 3.463486852625*^9}, 
   3.46348688834375*^9, 3.4634869463125*^9, 3.463487073296875*^9, 
   3.463487137125*^9, 3.463487211140625*^9, 3.4634873228125*^9, 
   3.46348838096875*^9, {3.463488542359375*^9, 3.46348856009375*^9}, 
   3.4634886726875*^9, 3.463488767171875*^9, 3.463488898875*^9, 
   3.463488928953125*^9, 3.46348903028125*^9, 3.463493038859375*^9, 
   3.4634931569375*^9, 3.463579115*^9, 3.463579290703125*^9, 
   3.463579383296875*^9, 3.463579470875*^9, 3.463579518984375*^9, {
   3.46358035746875*^9, 3.463580378171875*^9}, 3.463580428890625*^9, 
   3.463580491921875*^9, 3.46358053946875*^9, {3.463580601515625*^9, 
   3.463580610890625*^9}, 3.463580820265625*^9, {3.4635808659375*^9, 
   3.463580880609375*^9}, 3.463585156609375*^9, {3.46358519871875*^9, 
   3.46358520603125*^9}, 3.4635855894375*^9, 3.463585665875*^9, 
   3.463646764296875*^9, 3.463650439953125*^9, 3.463662317515625*^9, 
   3.4636638960625*^9, 3.46366393528125*^9, {3.463664111984375*^9, 
   3.463664123421875*^9}, {3.4636641804375*^9, 3.4636642173125*^9}, 
   3.463664327390625*^9, {3.48178746934375*^9, 3.481787488140625*^9}, {
   3.4817875488125*^9, 3.481787574109375*^9}, {3.481871377578125*^9, 
   3.481871432921875*^9}, 3.481871483640625*^9, {3.481871519625*^9, 
   3.481871590921875*^9}, 3.481871631828125*^9, {3.48187169828125*^9, 
   3.481871715703125*^9}, {3.48187178528125*^9, 3.48187179128125*^9}, {
   3.481871823484375*^9, 3.481871870484375*^9}, 3.48187200853125*^9, {
   3.481872181734375*^9, 3.481872249484375*^9}, {3.481881399392202*^9, 
   3.481881428298452*^9}, {3.481881460017202*^9, 3.481881481376577*^9}, 
   3.481881526860952*^9, 3.481881563704702*^9, 3.481881778454702*^9, {
   3.481881812360952*^9, 3.481881857157827*^9}, 3.481882746798452*^9, 
   3.481882833657827*^9, 3.481883497360952*^9, 3.48415709978125*^9, 
   3.48415719053125*^9, 3.484157237515625*^9, 3.488291218875*^9, 
   3.488291300078125*^9, 3.5082656502632504`*^9, 3.5082656811538754`*^9, 
   3.5082657587945004`*^9, 3.5082663252007504`*^9, {3.5082679981538754`*^9, 
   3.5082680247632504`*^9}, 3.5082680612632504`*^9, {3.5082695316851254`*^9, 
   3.5082695574976254`*^9}, 3.5082703739663754`*^9, 3.5082704094195004`*^9, {
   3.5082704711226254`*^9, 3.5082704812007504`*^9}, {3.5082706094507504`*^9, 
   3.5082706300445004`*^9}, 3.5082733199507504`*^9, {3.5082734645757504`*^9, 
   3.5082735738570004`*^9}, 3.5082736119507504`*^9, 3.5082736427632504`*^9, {
   3.5083357919195004`*^9, 3.5083358041538754`*^9}, {3.5083359450288754`*^9, 
   3.5083359593726254`*^9}, 3.5083359942945004`*^9, {3.5083360254663754`*^9, 
   3.5083360504038754`*^9}, 3.5083360882632504`*^9, 3.5083362217163754`*^9, 
   3.5083363081851254`*^9, 3.5083364069820004`*^9, {3.5083365448726254`*^9, 
   3.5083365638413754`*^9}, 3.5083366280132504`*^9, {3.5083366872007504`*^9, 
   3.5083367164351254`*^9}, 3.508781983734375*^9, 3.508782028625*^9, 
   3.50953661757754*^9, {3.540290800888013*^9, 3.54029081761577*^9}, {
   3.5402908580358906`*^9, 3.5402908820107594`*^9}, {3.540544413019135*^9, 
   3.5405444388996153`*^9}, {3.5405444716494884`*^9, 3.5405445305008545`*^9}, 
   3.540544809099625*^9, 3.541314431871875*^9, 3.541314499215625*^9, 
   3.549443739922407*^9, 3.549444103591208*^9, 3.5495243487336473`*^9, {
   3.5496152400425973`*^9, 3.549615263863839*^9}, 3.5496153274339504`*^9, 
   3.549615367448021*^9, 3.5497734791025443`*^9, 3.5497775059029536`*^9, 
   3.550504821856415*^9, 3.5505048979689484`*^9, {3.550505601474231*^9, 
   3.5505056103038464`*^9}, {3.5505056858235793`*^9, 3.5505057143560295`*^9}, 
   3.8266215915204678`*^9},
 CellLabel->
  "Out[1047]=",ExpressionUUID->"d8c20967-5fb9-426d-ba5d-d7a1e2e97304"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ContourPlot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"PotentialHoriz", "[", 
      RowBox[{
       RowBox[{"x", "*", 
        RowBox[{"10", " ", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"y", "*", 
        RowBox[{"10", " ", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"z", "*", 
        RowBox[{"10", " ", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}], "+", 
     RowBox[{"PotentialDimple", "[", 
      RowBox[{
       RowBox[{"x", "*", 
        RowBox[{"10", " ", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"y", "*", 
        RowBox[{"10", " ", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"z", "*", 
        RowBox[{"10", " ", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], "\[Equal]", 
    RowBox[{"-", "6"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", " ", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"y", ",", " ", 
     RowBox[{"-", "0.2"}], ",", " ", "0.2"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"z", ",", " ", 
     RowBox[{"-", "0.2"}], ",", " ", "0.2"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
   RowBox[{"ContourStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"Orange", ",", 
      RowBox[{"Opacity", "[", "0.8", "]"}], ",", 
      RowBox[{"Specularity", "[", 
       RowBox[{"White", ",", "30"}], "]"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.549443850895755*^9, 3.549443851301778*^9}},
 CellLabel->
  "In[1048]:=",ExpressionUUID->"f1670959-5fca-454b-b963-e2b8278692f8"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"15797.051984798254`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1048,369,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266215916343255`*^9},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"e85f6496-b6d4-4981-ae68-e25a0aec0adf"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"15801.485738211104`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1048,370,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826621591672303*^9},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"27f3cb0f-fdde-4e16-aa90-6f71ef934d7d"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"15801.485738211104`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1048,371,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266215917062807`*^9},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"43f23dec-e6c9-4d97-8c80-afdd0b82624f"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"General\\\", \
\\\"::\\\", \\\"munfl\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,1048,372,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266215917392626`*^9},
 CellLabel->
  "During evaluation of \
In[1048]:=",ExpressionUUID->"f676eac8-05f9-4892-88e3-1b5b144004cf"],

Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJx0fXVYVtn3vTF25xhj64Dj2J3HDmwdu8ZCUSy6eeF9DQywFcXBVgRlFAtR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   "], {
    {RGBColor[1, 0.5, 0], Opacity[0.8], EdgeForm[None], Specularity[
      GrayLevel[1], 30], 
     StyleBox[GraphicsGroup3DBox[
       TagBox[{Polygon3DBox[CompressedData["
1:eJxMnXWYXkXSxd+xZAwmGc1kZjKSjEAmIRDcXRZ2cYcFgocYFtwlAZIAwT34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          "]], Polygon3DBox[CompressedData["
1:eJxMnXm8z8X3x5G49lx34+4LslX2LUWkkj2lLC20F23aqVQqVBJZKrIlEhKJ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          "]], Polygon3DBox[CompressedData["
1:eJw12nd8TfcbwPETuUlkJySRgXBvErrsvbfYJLZQRWK1Ni1VYkfNKmoURQdd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          "]], 
         Polygon3DBox[{{3161, 3164, 3160, 3162, 3163, 3159}, {7979, 7980, 
          7983, 7984, 5888, 5884}, {136, 134, 132, 137, 135, 133}, {3164, 
          3458, 3457, 3456, 3453, 3160}, {6659, 7095, 7092, 7087, 7069, 
          6657}, {6658, 6659, 6657, 6649, 6640, 6638}, {5887, 5886, 5884, 
          5888, 5885, 5883}, {4419, 4404, 4400, 4401, 137, 132}}]},
        Annotation[#, "Charting`Private`Tag$20383824#1"]& ]],
      Lighting->Automatic]}, {}, {}, {}, {}},
   VertexNormals->CompressedData["
1:eJw8m3c819/3wKVSGkbSMCukMiojZBybrJDKiFRWVkb23nuP7L1n2ZL3zQxJ
Wak+SJJKeFdkJX739f3j95fH4/k4j3PvPe9zzz3j5eTdB9qmlBQUFGn8FBQ7
8V8+/79rF0t9UbOzsE34fDUomSws9pLJsFe8Vu8+yR994SneDmB/Ag0PTvpc
XSBDjHJIeXGtD/qhVz7pm1UJe8NCV/b+JkN58AWOp6/9kN4E+s/pSTXMDBmM
bWA9bB+KWpZPBiHj0GHLSLcaMI/wfis4R4YTes4T5vsDUVbe816n/U/A/WDb
CxusP01gY8QevFEmVf/+vS7lcNvvtNzfJTKoXu+zHdnwRcUjthID2pWwQk0R
qIDX5R3SkNuM9UMtfkYmR4WeQHXz8gof1vNpVlqW8WUA4nId4tT1rwGbi0IX
+fC6jyv8Dp82CkZp1Xku7/bVwbfAXH/DWTLodU5/o/0biBy1B5j27qkDl3+5
PM6YN0a/sX62GYImerjf8H6ph8MCe09ZfSLDr47k77ckfJHirpLKp8zl0Jny
20d6GeuJDPQJEPNHZb5B/4x3VkKi2y3aALxPG4+30qIcPujdV8sGJapSyFMz
nF/7Qwbrq5mhtM5+SGKSc7D0aRm4q2othmA9uYxCK5legegvz3X2PSLVcNk8
vkHvJxkOfLHm3EwLQNzJtO92Pa4AXVFW2Tasf49RuUTH4QCU2X034MvDasig
Gf97DstHXL4ZHOUVhH64T4SLrz2GzkDH2hBsnzDx7ISCn54otiM+2cKuFAqL
JM0qif1Qd7LSdngg/r1/k8hBxdDJeQ/OrpKhL/tzvk5KKGqfSmxn+tEE1dTW
j/zeYT8pP3hbqSAUoTMnb1i9aYaTmlUyRaNkqHxSpDJjGImOuTrQy8Y9g507
lo7t7yeDqJ4sXQhrOMqo6OSq324GQdX3QesjZODr+lhcsjcUfVnVtMg+3gyT
Xk81V8awHbwy7+1PiEU/r35ZKmV8Ds42jVZ/W8lwKSQpdpsnGkVzz3an/HgG
BSFsw6V9ZJD3XrZx3xeGwt9/6BBva4KSUMWiLbzP7xQx4leKgtG5pM0o+dhG
SA665dg0Tgb+4r1CHRwxaHBeJ6G+BIGpg5DQ2edksPe5Rj/qFo/C9Zv/PGBr
B37j2Y2zFWQ4uIOLU8c0DFXurhs1SmkC2YRTfa7vybCqfIZ1ej0EXenN1c8v
aIQWQaoYa6y/z5A+iIsyCFkasnbyFdZD0+LjGPFp7M/ya/MpCcHovnfuN6r3
9bD/eedSBvaraEaPV4slYaisiHaXylQjNM9Z5Bb+h3+vt/OxHEn+iE+0TZU5
qgZuSFC8Y8f+LDDLp+jXFYEq3ZX1+CSegm/vhVwWbM/D9yZid9OEo81O+vdi
Sk3wWERB9f4HMtw9kyOa9zQAMZy/DFNUdXA69ODNAOzn1zTqbndH5KPSEZVD
DpovQJej7faMHRk0+r+xbf3MQTse72JnNO8ELQ/SmaZ4MrQfCoyjMshHpwMP
yKRvvYBikgH1oAUZfnfJzn3tz0dz614JbzS6YXxiD6+FJxn2RTn2H+nPRMJ0
ar3+HG0Q49rc2VJDBqbsC8XyIQXo78XiLKPWXshJDuta1CLDh2wVIWqhZ4id
4kGwluwncLprVE7XOAeRfJWdwZYVKKyDM2Kx6g1ckNo9/XhsEbiOLYZbKeWj
h4kMcayyPWA6nC2VbUqGf/qJnou9GYg3S+6fZ3A7FCVN/nArIgPVaG3NQlMq
cl6WKa3vQRAfMddCSSIDB+UXYbmpRNRX/fa4fMRT2DZXXjs5hM97jf/fm3sJ
SK28V5ItpRH6Mv8zL8G/y9Kh71oHbR8hymE9tPdxC9wMsVztfUUGr1LrsxK1
7sjnK+vJ+tpCGPFaL3JeI8Own/Sn+p9eaCpFWDX+YDFcq7Y45Ibvl2JLjqXf
C1/05h7lN//EElB3V7FQWsF+kqujr0ZyQ5VRt7rtVvJhpfX89/R1MhR/dymO
mvBEbQW6k+F8hZCo/u5YL9bvf+HiDYnqXiRnmtd3R48Mjq5n+ZV1v5H+BV9z
mNj5Ej0yZyS5KJGhNFXO8rXWd9KbtDFpo5RCFO/gXHlFtAdiVqRLkk3IIATq
Ult+/Wjpm9tRKQEyjP1OBhXHOVKJ/f3Lu692IgeZAOoiqVngqov/r+XBLAzf
apeyuNGPGNmTDJuFyADr7ndVVOdIDBoBrLLhUWhBQqOBU6wewovV//uF/X9F
fvtHMVs0usLd/tTHtg5iFYViN2bIwC5js3i2IwLVcARlaSjVwexnu1HfL2RY
N/zoS3YJRw8WX8TsjK+BHJNXRi3fySBovrFDlzUWLfHnhA9XN8CorN06msT+
n2f3x+9GNPIX0aORjagDnvZWg0qsv/O0GrX2Txxn6B6zxbx9DDWm1V+KcDy8
yM9dWxQciSrVol70RNaAfussTznWr7+bmu0ebzTaVODTfK1fB7sfVDHz4v3o
rJUeP8ASgmxnGKdvzD6GgSf9celYT6mcuPxJ+mAUlXzMQ2WtCiZVjm8G4Tjc
IP35y6JqKKq17rAwsauBNPdj/zjx/R3n6pzym4pHjldDyXStzbB3B9v1ozh+
Sv1tzEhqS0a+eQNZDcwkMM0z/sDchf0hbKha+FEcUjFp8eama4TPwlkP3CbI
UHX512ezsFi0rvdG7WR7HfzY+bdx6TMZTn8IZSovj0YHF857VSTWQm74ydzD
X8lwJWp/2k9rXaSk5pomcyAYqrO9OAK3yVAnHM6i88kQna6fCxJYDoYm5uJe
V8ylOknX5l7dRK1BfrHZWv7A86zncynmTAb7es6JGKLRCv+HzfQBMKQg1paL
eev92HOcM3cQx71IN6aFENiNnkxZYX7jrygzddgdtOM3neabjwFwnkHaIQVz
tkCKT25qN9G5QuMwDUkv2G8zbN+DuXSOgOfjilvogIjR0KkH3jC8t/NLO+a2
a+7sNkn2iGf6l1YlZTJM9NVx790iQ3ySjIOnoAM6+p0+fupTAphZXf19G/MD
U2lZLR2OiF2VdtdbxkcAjj6JQ/+w/W+cL5bQcURbY49PdxgnguS0yc0rWD65
ho2ZSsYZRZ+oDnimnQLuO8xvxGF5v7/HaY26ndCO2eq+p05JEK0l1sOI5U3v
lSonyD5Eeh62wpEfUsG7nnnwCpYfKLt440W/M3pFUefnJ5MO7xRHPdY2yUBx
2T5u4YkJkrv8weBsayBEf/F7EYXP1dhIp+p43AKx5twWkywPgtwlCPPDvN8s
wtjrrgma/a1vXRXhC2niO+jrMa8/PXxIpNMcGThf+bLvih98smF3r8Dc6MjH
S04dVkhNskSkvTwY9GbuOTliXrnb/+2EuRWSlG27RsnoD7IPSoLyML8zabwt
42+B/PN7R2SPhYOQ0vXbapg/b3w7xSJkjRhKu7+YaUTA+2ITbjHML+vHbSUx
mKIXFSXuwWuh8N+16XOGmF8wWiv4JnUH8R10uMzd6AP/Ok97PsO8jYoc6Khr
jpyCIp+NXU6CwCDup0LYbkrjpzwVf1ui5Up6ynWhZJAxU3DYg7lIrlZIbakZ
mqv6c4BqKx5k1gwkYjAv0lo9+OCSJaqJtNmnPp4Agr1RPZaY6xwKOmwd8wAx
mTwdYrJ4BP2P5L36sf3t5eoZtKhtkf0Gq6Z8fyK8NrZSl8Hyth85juykNUNt
n3mkh/piof9egukk5iG9UWckYu8jJ/72zgvRccCnbx7fhvnA6ljRPm1jFLF4
S2GHXRwc809BLzFfrX7zuMvoHvp4XXYX6Xw80Bfn36rGvD7GuOXAo9vIYo/z
gtn7aODg1+ShwXYolbL3SR24i/ZLFXywYIyFT2eoulexvLQmTcbUd2NkwXIw
5JZHAnTqhy/5YG62GHogfocJCuczVBnXTgR1v/3Ft4h178S8EGO2R8y04Q/i
h5Ig6NSADT3mDMk7zDz97ZFq9J+PAvzJcDgg5BUF5utKvw2Na+2QsURCyhf5
BLBSjhD3wFyfw/PU3UV7ZHbi0OJIQgrwg2d7DLbbu3junGPv7ZDM78PcTzcf
gWHaVG8V5sJ33tx0vmGDzFTf1W4Yx8PAQGlrDtZTuHZHydsIoU17eRb5dvxe
vjj7XXNimqTy7NTOu32ZqHftfUP8ywHYMT/wbGA/GTRffdpim8tDTNITlb5P
h8FabDviotUiCKm1d40ZFaJlxWQl+shRCD91bpaPaRFi/VZ+C6dnIgqefx/X
hgdAA04U6mA9jgMJz+pNEQpc7kvixuteaeV/6DI+Teqb/lGUHp+FrL24/pAr
B2Ar+42n40EyLH+UhPmpdBQqDjfpKV9BSWkJDYmbDIzD58ndw8nIjvq+Q1bp
C9DUvefVgvOf3KHLUPgzE/2xqwx7e3QAIvcZpL44gu3gw7A1+zcD0VTU5h2a
HAD1VP789/twnLnH8lmqPBWpHBb9T7n2JeRO1z6QECcDNQO9AbVpEnISeVkT
SPUCLnrKpES64rjtuqLh5RqPhk7eDZIf6gDz2fO6o+n43jl+G/e/E4U+8Xk8
fCaN4EJtPOVUG37fRzkOhlyLQ3oxq7Vuz9vgp8OPuqJqMgz6Ts4Wd4Wj07R0
GrlXnoH4LIX+SZyH7P0WsiuJIgmNzRtmX+jphNkFJpWYODLwWKttftaJRU/C
qDPeO7WBzUD029s4H1uFng95eQnIOIqit0KqEybSY/puPSLD3Npqi1ZECmIs
v+Rz2aMHPrLpStw2I8MrkeoddpKOaLTYW4Y9LxrMlTNgC/tDs5MiW0quI6L7
ypDR1RMG3AaZNTLY/3ts7YbXHzogynPZz+9zRgONq1D0HsynFDKppdft0Qvx
nASH+VC4Sqvjp4k5RVzUdsmSI6KSLhyYeBkIwWweW+5EXPrINH6o0x5lWTXf
0cTviOryXHgY5uUKq4H7dzghNLV7/OerGLipvRz8Fe/Hd15hD339Q3TNrrfK
9U44KN5wFhLB8vcd6F+k1z1AeV/rzzY+D4F86QOS9zC/+ZTHYKf2AzREitjL
/csfvhioryVjfpVZlOHPETukSLJ/fy8zEsf5a8wcBC+YrGNiyUVDe3J/qToO
QV73/YPW2Yvg6+zMsBJXi57dAwEZhxngdZt77ef9DQwD97jFF2agl0/XL9N/
HoB3dtTns7D/cO++8IshmoTcnsbX2OH3nmab+uTUKL5HiQKnukxJaOLvmt7+
bjKMzJ/TjBqeJonXOTA87W5FWj+dy0x7yGDAZPrAA8sbaN5RFNCqQn2Hm1kP
3ZwCky23uU6HH7CHdSUnybsViSi6Njn0ksGtbt74BJZXvNtXEevyEB0b7Zdw
pAqCdvvHai74XNEq0tRZ8aOo09TxZ/IJfJ4Mputu9Esk7qfaf2+njSEvAwvb
CNIC2JloG/1qXSbRlR5P8k9uRsK5fxInfg2C785lu8LIReDVKdKP3PUE9f0I
rCCVdUFeT72LqQsZ9uuOn9h/MhyNvlDlvvg1Df6zJun54fdRzn9Vs74gCnnS
uYh9C8oEq5oPVs/+Yj8X0zJeqgtD7AeXjEkXk6Fn+vpxWxyXulRo72efiEID
XYIMN7RSoPtHqMk41iP1r06IhvoDulr7fStIfAFCFqNtn3StkKIMFmqv9ZUj
t7n339geIzDr4XIaqcPx093h0X7aQnQ6Z/yw80US6P3wahpDOA588TtmIFqI
Wn+8fXfAoQXqUvvL6rD9XKl0VX0NC1FK2s5xrswmoOiXGZrC9YJJKM3fiLA8
xCD9RObouSZwNS+R2vMW+7nkmvl33lwUWGNO/nOgDg7AtXphnA+bnGKcVLoS
hySe6SjvaE2HQ7p/fYbxeTOTJn9nPI5FG9dojHZQpMOvA7JCdPhcA8f/Pd0n
EIeyabqTuuxy4KWSf23WBo67Xj+npoTjUIo4tdOumBxI23ZOjMa8Lev1Y1vm
RGRCHltqfZkH57hCu7/gemF6mSN0KT8B2XP0mLN1ZcGWsg/1Syy/Kizrc8ow
Dg043+f1U0sGq+OBzJ/wuvbxHoOfnGNRVVqt9FeTJDi/ZX2EG9t/acROfftC
HOoJusGuHJEDoomuPHFYTyXD3/BgozDUw0C1+DgjDjxsno+fwffxfpuKkHFj
JHLeHVu1pJAAVUhKg4T1vOxduH2vMBaNXBxNvZZfBmkjjbJDS3ifz7bywppj
Ed3ze1+rn5UBZ1CLw1PMg6YoF4dKY9HPi26uRaZlwLR1dHLXMhmMi/vPzAzE
ooZG9bk/oiUQ75891/QH79N5XmXncixioW7zGH5aCPqWvs3euP7yOdvBuNwW
jxwibKmlHpbByyvi/lVYP0OK9b0AjngUVcvu+YNcBDd/2bN64bpMX/2M2jO/
BBTHcwGtKFSBq7FwNR/O88W/MpbQbEQgVGXB4XCoEA7EWyqoYjtXTv/K/r47
FlmYsFHc0isG+sjmE25YT3LonVuXZSLQzJkEErtVHtSzo841XN+Nm136+EQ6
Bu2sOGh7yKwAXhioBIZjPWTWgbDFgUhU9fz+0fyJYpAyf0FSxnpqN4a5WH0z
0cjMIid1dT3YR9p/5/pIhlsH4qRupBcgrmmN8pCkVmApja+3xe/k8Sc3bNrL
01G4aukFRdca0NE3+1aE6wLlubzERMk01MIpFOprUg3kBZrrM7iuiTi7MSt5
NRlJVPL6Pkyqgia3kABrMhnybO/p+FsmoSshX982a5XBq5MWB42x3U4EaQ0c
snyEtPMfoetlT2D038ada7jeyT/OO31+1BbJHJhqPFbZDQ37WCQNvcloMJgh
sC3lPrIqXL5WWN8FtyvDKRXDyEj9j/5buS+WKC3mea3uo26gCrm/qO9DRkEW
KqG/CpxR6YNXlOKRr2Cm9H165ikyavvXKBe52xudHLi5PKL2BsbsJp5n/1pE
VTtzhC4J2KPCszq3B86+gLMWHl8rXMloRn3O4PayE3pyZOFEc3oPOJOfHKAz
J6Nf+dTMnkL+aPN8pTrFgTF4wCi5RvNhAQ2y+v8N2hmJcjitru6LmAD94LMX
We/Oo8fbvgy321PRP58FfQvsx833O2bXNOdIA0KPvThLspAm7F26hu/PwzmL
we/H5kivoyZa1W3c0O7UjNMsrCNgDPsa2owXkacLb8sySkT1sS5mWvieGEps
zu/zmiPxd30oppq2Qz/OGlPKxr2E7+IcT6qAjDrY+q83lFmhWeWqxL/XO8Be
lLb9Vy4ZDSg+vrvX1B7luulc/izSCQ30ZuWMqWRU8ffPrgujdojJtkaCh9QN
pWK/DZK8yGjXIMeGrfhDFE4xE8Wy0A2ZzyaKrT3IKHbpX+NR3rvoo494drbr
c3jsVsL2sYWMBHKbQjpczVHzrmcfd689h/Q9TLdLG8lI7ODjTwuut1H/h0fx
3umtEE0prLWzl4zcjBlYTOVN0OfpN7X/7pKgH6estN1kdIteZ24d55M5Dpoy
jFltMFXMfP3vEzI6WlLOXH3NFO3bdaBIsbwdnv/Y98KohIx2pkaq7Ap6hATG
hE2i5nMh5qPkzzdEHDuoFVYQkYnkZOSnLv4uBAduzQoafN8HrzlvLG4ko/gl
79WrXBlgFhZ3dQzHpQbaGccu4wwUtF+N9cCfHEB06skGWE/oXx1VxvRCNFCk
VOLdUgNOaXd/NOH4XKyT+2sXZxE6277+NIy3Fr4OpvJqfCIDZyqv6Ie8QlRa
zK93dewJfFe9fhDNkCHVIClu/lkW+o+zL2uvbDk8vpARUo3jQ9FYG0VQSAGS
MWRUoXtZCcZrzIxBP3D8GV0+ISuagjRmz/fH7CmCd0d2VrLhe83+J9qmWjEB
7Vr6anlYIQWOv8s5D9iPaJnZXUi1hWiXAXXeWfNqyJDRuSX4Hfvdzw0hlp5C
9OhQweJlqVLQ2vuxOGORDAEPT6tL+TaiofWW92YVz+Hl3QOvruK8LtEjy3eH
bi3q4zybqLi/AVStddLo+nAd17/8x9V3Gv2b0mr4zjwHizER6Vd3UKDtx19r
twS/IEOexsqM1a/g387t5qhIiU4NvMq6qTKFNoZvXKaO+AGuiur2zTKbpFOx
sUc+9bYjwfVnh96NvAa6yH//UeQvQrF+78CT+/lo1IVVnr6gCEKvexw/+hvX
EexJn1u9/NDrzJ3KMUNZcNy0QOIffgdzZhKuuyQEoO6b13y3/XLgvTD3iCHm
XhTZGmKsfmhiWjx4niUdzu2s9xvD9gmwFgnP5QxAVTVJx80pM+G1LGeePub8
3xIP9y0HoflwLUvhF7nw/mleVzL2hxehVinNjkFotPDAk68C2SByWVwdYf0b
eSJSygyBiEvpxDuZ5DyYPUgaEsLyb9scHQTDg9EXtYNVtQcKoD7cXlsUx+1O
jivtY7t9EavlTcFk8Ryguqjin4v1cLyeDHw874fM1MWqr+nkgtJG9MEtrOdS
Hmtlk7IPkrGxbdL+mgEOmvWiPniftg2tnVZrHkg8ZuZavlA6HOQTez2H+R/u
sgPMdzzQmrqEM836I2CYcDeIx/HmLXuiZFGWN2I+2h684JAKiwXueZKYcyhk
Jio7uKKflq6Cg0XJ0Jf7yv095rU008m/DZzQ1mlXnR/F8aBwvMoiBMebvaca
xis3XRA6NKyVX5UAtsIF6bqYZ0Wnn4VJd8RcW37EeTARfjsO25zEnNPKQ08/
xQVRWRy6w9wVC04+1EsdmGc26+qJNIYiljixFiHFfHDrUChJwfa5l1dEY8gW
ijbD635wTOeAA0fP5jq2g4+OG/O2RRhaoQjdePOiEOpud1Ms43fZuSc3tWnW
A4kkM9D13M2HGe6VIDLWQ5Y/3Mch7YMCxVKT1TIKIGY4fT875kLDUkM11B7o
QVIcn0lZLpTSsGf9wvrpU3L+aSh5o+JDIUet2/NgbWEsUBHz8KOdf4stXdC7
98b8n+WzgF4qX/UKtnM4dZKSsbw7MhUSQtM7csA8LKKUyMc+LAf9+pvohk7s
/vxDZCADVq4YnUkl8lWlb/smmV3RQT+6GerHOeC+KO3gh+Vn2Q9Rvv/kim5c
mNjSVc2DttcG7ESettkqmOvJ44vi1tTvDEQUAcvnjwr9+LzPmRJoPAo9kcb7
B5vNIVmQ/z3k3hmsX8S6VoJ6wxXJ31Xfqfc4FWTe/VyXx7+jk6yS//B9LyTt
9pKC628O0D9KOKOM1yV/mS5zLHbGdf0F8tV9zqC+Z19sG87n43RGFVvvuaE4
+wZXSUUXeNpt/oHoIyX8OM6lGueMpkceCQxSmoFQu0zqO8ypVWR4RVXd0IF7
HKL1kuZA5TAS/xrzFVp5g+QAX+Q/f/S44nYCvFmknebBvzvLmTjTTw/90as7
xu21BklQSumXMk34J+Ns4rKyL+IK9Q1G0bEAvhGB5Vg+14R8jUrAHz025BOW
rYiD6fbjEw+JvseFPVbzYc6I6rRI6JCeJImdZ4f0FF73IukzmU7ODXWeaCr/
qiBJ+npMjJXY532OzHA/84do9sx/7GLUTnBW7pJ2H+aeNnHeMv4P0f4jSo12
R02he++z9knMLZXc9n8cdkT3m6YvPXzzEG4X/tTrx1zDpzvlB+ZC7It1Pm9M
IOxMbQmxbnfQXCJvxENkiTweGZ6VILkyqmZ/wTxd7PMCGctraW2o6vOJkNpN
C22+Yq7vtrjnlX4gYtL2HnZZioe8UZfLF/G5Ln0qZPo2HIz6dHeujT1IBGof
ic3/sH0mYg/962AJRLuUjZ+cORkNX5b9ZhuxPMl+VO9mBJZXZ+VtEI+Fg4cV
77phfrn9Q4YlfwjyrnQTOEJKgT7UpcOI9TCbm9yiKAlEX1eXRId/JAMtm9eH
EMwNvUJvVx73RVSKV8Um9cPhP1+2MHq8z2epbLaCm37oiE+aWhArrmdD1H2+
Y/0G2tbuyfIuaJKjztjvdQS8C+F4yUKcN6ucc4TeHVGf1M4m3YuCoxOf4/5h
+U7pA69eUbggO1ivSTgTDB0x0rwmWN7tos1kdbcbWi/v+ddsEQIV6g9d1TFX
Sa50YOX2QhlfBzS0uWJAfrRY9x3W85/ATYaLw57oZzv3rE1/KMSum2gJYPlv
sbH5L2zdUdPVgXePn8aBA13AeiqW59Irqj8Q44V+RtHOcvfHw37myR0WmCd4
NbDRKuN6n0lujdfBBwT++XqWYD1ho0J3wvud0XFB3nquOF+QvD4/k4b5z6Ff
ZdfhIdr97XZTPrsXTD40MnxC9CuGLfb2R7qh1ZWn82Y+fvApPqY4nPCHkL7K
oQ9y4KNZslna6gH59eaBxL3g/VgZTRcrD1xTeqyWEp5Ayd7f9oro08o09cQL
yYPB58p8+UMuwF0qd53wwzNM58+r/5GHidNk72APF/CakGaewPyS9WD0nxp5
kFxtafvV5wlbgrc6X2LO4l//9Q2HAhyaENKa+uUCe+oCn/6H+ahu37sWL3no
ymC7oWvjANzTB43mMDcOemXxRkkBpIYl2q62OQADVVX8d8yTZg92ydnJgXNt
aPBDUV+ofR3woRXzSY8F3qmj8iD6Uk+p1t8Xes28H7Zgnv34cu4Krzxc6fhl
J/DWF/6ziGhpwvyeETOVQ6QcjI4Pndz44Q8yvS9ZizCPeVPI4BcnB63OK7Uf
VQPgGbdmGNFntnT3Ec9skAcBUUbHJCdX6PQIvvABc0iYuFlSKAdHTBT7lqnc
YOVAsRtxr0XfLd0TYVGAccVb6Z2hjlBRe7aRuF8W5yMZ6BnlwUkx4nr9piPw
vL2VP4v511oWCmes/9H1d5ws6VbQMWpSsYT5LiVOipchCnA74bt2zzFrkGgx
vkTwE76rF2Ym5WEraxeJ795dOJLfoLJBxBOfj8z36hVg6fi18yMNmLOq0xO8
+MLArSUxeXjfk2+YcN8LnuxiCe3F3N/CLqbfRwF6S/c4NrI7wn3mscffMGd/
jRp+s8jBsa2kx1XHvGFUrXPPC8wXHBSC1S7JAom9R/KodDAsSJ78GoD5UpIW
u8VXaaDhtOjw6gqGtJx9jN5EX72u5izfhixwC6+w5jYEgBQa9crCfOe3IA0Z
kgwoajHL+/EGQsu3il+pRPypE0pifS8Jh7JaHN/dDAGnU9ZRRD/HvvF0fmUl
wPtSyaBXlYFgwnvwfSJht303gxl+APj1FQ6mmobBqfQCbyPMr9TYf4rqFYeJ
9u/PblKHA0uGvc4N4h7FLLiWHpMFLcmxgitXQiGp4bioNeami/2ur/RkwIhL
sPvOm1BIoFfrNMW80NBaRGRKFoRPMbuqvggC15+Vh4h+nWJvDqP9gixk7HNV
eqUfBH2/zxUQcxCKpsLx/nR+cLqYPqXpHQHNWtdXZDFHETtOfgtkBjfVcM8a
zUic/7mGE308m/J9s3zNF6HsCIPBscJQSGcWZLAg9Dv4l71dPwUaKzfEt43D
oG2aY4k4V0e9S3DxsixsUt6Wb0z2B8VPjHLEPCuqQfEN7UdB2FbudmIfCYLf
OaIvQjGXZGQINEvnBnvfzoxd7sFgm5ZYSsxl2FLo1QZ9RGHmb2x79GoIpDQ6
S9lhLvG1ydjQ8zLs01fP/3g5CLS0h7hiMM96aYN45C6Biw/vN/pn4cB+Kfs8
EQ8Zm7THY6xuo1iXYdvC02XQs31/XAXXL3bXWm8eNbuLipzS/ab5ykH6uEG3
zTIZqjIS3ira30KHN9OEF9+UABNDJNUtXC9kz9+UKG83Rv3kXpkdXaUg06ld
kIr1xC+0VnqamCJJbalfQ1cr4EnfsdN2uE7vz5BrrUy+h8z0Veh5Bsvg0P0K
sxasv7096JtBpR5KauGUYI4qhqrrERlaOD85rHM0h9rTCP0zeL068aAEkqrW
bxThdUfiVcwOaN1BYbyx5KrYcljd4YaOYz2n7t4Q7OYxQZ07bt5XrqyAKPmV
R6x43RGB1J8/Dt5Dmi1iOYv0ldCyN06rA+f/rOzGn6eOmiGjPggNUqwC9WSt
lrxfZIg+cnXeQs8czexs5cn5WgmNpxrF/mJukmEyaO9+Hzmff6D7IKMaNgwk
/urgOivjQw/f3TIDpFrzNOokbzGwmtrQp+D9k9POG5sZG6Pm9VfD24dK4OgA
p/Q83v+f6x/n9PbrobMi73e9Xi0ECWv+Kw64HpSQ1342P22IQpxXmcMGisBv
pGTqA2GHrOezmm7aqEXfynfkeAHk/lf6XyXOP28pHD5QkHYDuaLXtgKDBWBy
vWNCBPOHrFGWAfc00bqPkHzD/nxYYlb0vIbzQLuOQJsIHR1Efe7GzHBDPhjd
LLv0A8trSyEF/Xod9PBLg/dFwUI48XLx5SreT/gXA67XTDdR/S3uc6x6RbDL
pk74PObS1mrLb37cQSvUtnceWpRC+cw7ls/4d+f6CkG/1hVgrMLObfLwPWA+
NvZ2HftbZvG16to3CjB907rgUp02dHqf59nCfMwo6N+9Y4pwpKuP5tyhazAW
CkwEr7djuyR4XQZ2dZ26VfvOG8QNkiQ6iXfzk3qdxJwM+Lu9f6BX5Ab0SbRx
bzHPNRP50P9eASI/rr8M0j1DWurMC90m4mFxIG3oKUXYfvyAd0n8HElz0z+I
4OdfKReyvlAA2ojkbfoia6g9adPwm+irL3y8zbIqD6rsDM0FxtrAFHtHmtjP
0aZWHb5teXj2tOe5acYZElt+Txyhx4m0c6z0nxQE8A7r8em4w5fTUXYjmDf/
YFwYbBUFypFW/h90HiDFaU83hPk+6e8hqZTSsJZ5XcqGygmK6v6xzWCu8Fc/
teyDGMQzvXr2LcMJHr1WKJgm9ll4pt324EW4cyyC9sSEBzxVdjAn3v0ibjfD
29IC8OBvflMtOMMj2aUNIm/cunnnsqixCMxEy6T3KPpC4n+WecQ7y+Plp3fv
7HmIi7ETf9vmC005HK3NRNyQs5mTfCoJLemTxqfKfOA/tQtsRN7uzXtOvPqe
LIT8NSoe9HgISb3sDkT+2U//mun6h1ZEq818djuuF+iKyz4On8TvaR474y+J
HvS9+smLtubn0KZyuE2KE/M1B6XQilAS3dtMGfn5V9Bw6kskJSv2t93fdsdq
xpLcvYYVRjT64OIsSYRZiwzyiR/31wj0oyvaVdcHUqpha+4lenYaxz0YvDV5
6hViL4/IPro/gBTyBaX+PoPj/3ikQ2NXAiltYuSp3VsE/9SbMs2eYz8U5mmX
FE0ieVuJZ2zrJpGcN7e3id+rwIBbxnJeAMqvP75jcsYd4gJHuUYx102YdK0M
EoWYW2YowcAdjmTl2BK/o5Nyqr3heUHwRIaPStucYGbJ6hrxu1Dv+f5rY1IU
Nnco/eKbdwKa3ievPxHvqbuVK9e+IJL01o3f2k2vwO/BuTW2E2T4fXOO/NtU
EDpiHSj6jO0hbMl77wKWP2zgQvOSWwxus9XVN/jbg7GKV9U88Y4479X8GCwJ
3RN7LaMy3cG8TjlgGPMXj+e2E1YkwbrF5uDfU87AG3+dm1j3kLKCIyt+x7M0
mcUcFt0htCjzHuFv1NIUDcLnZMCGbVc9j5kzdAt16BN+ImhkEFOgJQUT3OVq
dlX2oFN+X4JYV1KGlqmEWRSGPmUnnxvyBuCL8iTunVCAzpQ0pSTwNH8yfsDu
A4ZDJ2Q6MHcOiVeqzhEBmhB92pwSPzDXKP5K5LFCGs3BdhYSkMl47dzGiB8c
uRGv8ZiYu320Jrk8koYS8RJ3fm8fyD7ERCL8DaJrvhwWl4a9FZ91DPf7Q57b
tZtVmA8pjlpYNkhBC2V25lptMByUbfxG5CczJYq19a+loW6Xg3Xk7hBw4bIV
9cB8unfntGc+wBVrUVF0KxCcE78dI773kDpRayCiLwMelJOaLYWB0DUyzZ6E
+QFJ2oBDvTLQ5ulOzWUSAovhmrPOmMdeadtTZy4L50ZoX+lvBMJowJvCOOK9
Xg01UhuVwXlPMvesqj8oNOlul2NOyxox7nlYBMgC3Y5HFwKgofltWgbm5OcU
nrTN4hC7bSksxR4INZLLSUT+b8p27leL8yXg0F87eUEkGLpeenoR38N0LxyK
alq6DEy9sc/FHwTD68GNf8S7P3dqzPWauhfanPQ30+f3B8uioSdEfnWjoof2
LMM5uD5W9/xOvhNMUS8+IfxzNXsgOuJDIBrwvLtvkMIPNChWt1Qw/09OQpVf
/xwcCDbRzVe2h7PTHlcIP+w/Uhmv33IWntHE71vY6Q7TJ3pKiHthVyb+azPB
ltQ1Ld+oQdMBVD+VS+sLyPDLQS/+4pYDKvzPW7yk3R8EhXOc4/5XL7gKllK4
kq5IfnHeE94DLpM1CgcsyBBoJrDHq8iPJEhWtaCr6ofscbXKxvO4HkzbPsmy
JQXjFB80uwaiYY+fsNshrEeTM+9omAp2iz9DhwWMYqDzp3k7NeaqLN5PhK5L
Q9GDn7mu6pFwpNDUlcjH1I9t/ZlLloZHPcXq7W8iIWzzNscF4t1R0zIxt5WC
YH6P0cLtGMibQi+2cb12/jnvj1Z5aWDs66kJNImC4fwUxE3kgRO7IjjEJUHx
nWbd4EYsGDLHOH3E8pBCJ0J/SgJa+2/+F68dB7Q7ZxqGMa/J0d92jBeFDW2X
Wvv8BDD2/c3lTdSJozTSV8mX4Cb9PerP1IkgLWl1xRZz9aev6VS2LgO1SWUX
g1o8jLwSpXxC9LX4mV3IeWKQdLCSha48Hi7tWNTIx/y0XY6d5Hlx4L75re7Z
ahw8aMxffoY5bREzc+85STCwY/H4VBELUQI89UQdffvbgprnZVkITMpUWH8d
AmG/27/b43MxmDvb3T0mA2FPbX9+GQkDvzOkz7qYR578cIPTUQbYPMz6dNTC
waLxQL824W9S5uv6l2VAgyqWtnkoHBLyaEZVMffVnxOtmpeFwzOmVz7VO8Ou
IG7Lj5hzyQe3xPHKwci/pvf5HA7g1h7D8APzlMNxEWAsBjfEklu/iltCReuH
I38wF2CmfiaTIgUXV26UG3hZQq1p5cAy5glmKcgjVAxoaJl6TNzuwFDHOP1f
oi5rrJ9P6pOCraXLB1cL7sAfK/uvRH309a6ctWqWLPAMRHJYaXhAcsA+2kHM
zc8dyv1iLAMwWTK7f8YeznDz1RL7odqlPBtSKgM6e81n7ny4A5xXGRsJPWK7
OaD1mxT80Y1lT8vTgveiKlHEu593nWcgv0UGovxrB9fGtIDd5J8Dwb9e3P/l
1D4xYOU/MuSnnAAtUjFrEUR/SSPwVs9vKYhf02OJXT9NcuHl6CTeHdmQQ4rl
bTJwNVFWmCH+DGmSn+8Jwa1HDd9qRMhAR9yoVtorS1BesXAj7MCdkNP5KEcM
Puf699K7aIH44flCYt2Dr9JvZJeIAWW8qTaTBTfpI8uHt4SejPj5rHdUCohT
RGMv4ooFWZ3x1xtEXyv7SK+8oCryv9VPo1cSC6Rt1x7CT6TrpwbnVeWQxWLt
JYHFSLh1geEuP3F/q7i21k2uoMkFqptjY1GQ6xFRdwLzp9YCy/I7tRH/kBGP
uUoc3D3YQCL8X/h1eu3n/VrIcXttb89aNMyZN1DTEv6w4lhC0SGDLr3UZz6T
EQYKjA2NBkQ9iB/D731KyJnp22iDZTiM9AtuEN9d0JR/u9f06zTKt/RXc6eK
AN1YMLqCuYhXqtRTEEWWu1kYUn9FwPso3TwJzMsvg+dCykkkt13XsbkQAuuN
pEGiDpIcoAyhuCuMtDWsacxaQ2HzFt+kGebMBzL2ZbqLIzUz+qcaF2KAU5Ur
6wDmE7uSf1a8vo5SKM+Srh+NBRtmRcG/+Fx/Pvr7Mu4wQCIPzcZjWmPhdX/I
5xnMLfP6BJZndNAbXSuwdY+ELhrhUEGs5+zLddnx3fros/Evi8vZUWAfI75x
EvObzs6ndct4gMWA71FRWgCIqfyczMbcZ1z7dT2iB+4JOaG7lwJhM8jiP6KO
zhnWY7otfxzukziCMhX9II+S3pjol/YO2PWW7KMEMqu14XG+EJgsX653w3yb
b3PR/t0NpG65lqW8Fgdp1y/ubsH75LforA+4oImGe2MrTe5HQOAAHZsckZfu
e5gexXILjdYprX2viQc7dSGJbCxvks94c3T8HOqxrSq+iP1ZeDXqRCTRV18S
Iz0sFEPRJeQAjfkEeJXu8dGBkP/9uU1MlgPtpUOp5jVx8PrFie5uIo6FvI4v
jhFGvDa9b4SV4yFT9HwOEd+CYiIZgrpp4R3b659XVGKgN8Tr0n68n7jUkZGT
lccQ/Xhy+GWOWBh8pRlF2N92TvGUwLW96Pd+TbN5wSjgXGLvPYfld3BVVhwR
+iY1JkOR78cdB0aChvXvsXzvz0Uvt3AmdLlMY1cWJIJmgOdvU+K7tYv9pUeT
LyLpfy2zel8SoXzBV1KVOFe6ReQlYSokUP9Z+9jjeHAKDWrJw7wiL8tCi/kS
os3lEn4cngzSc3KPd2KuNTK5ed9TBpk430r7qfYITu2/0Dj1D9/T6T3aZSxS
yHY/spJNSYLG7iQTPix/lin+JNUaL/rhlH/kzZlokKf9Hkb0M3sFudxbjg2Q
nvRnNU3zhIM43Zs2HeK+Pzw2xvzuItpbc1rnbHks7Et6QTuH9WzRXe/WCpJC
FW9LOU8eDgD/gMKuAix/7i89dRO/ArJifn27qjIAftQOIqI/k1KoEtIRL4Ee
doW4fmvwgQjOl+TnmGux5vLknZNH2UvAua7vCzY7zz8lvpPcVD9AvpasjmT/
+3KV0TIQOMWLl4nvjtivfF245KuGbPnr2TlWfWEXzTg0Evmw/NSJ55uXkSS3
friilhsYGfW0jxF5kRvtudEbcug/+ad7n7G4gwpX/y4if1jsto/QkxSC06Om
+qN8N0Cr03PjH+ZvKTmkNYpOg2bh6ci74zdAGgwXCB6XoV3Fc1sI9vJwTQX1
85LKxmlnifjmmPj3/tbiaZh+GdJgUsFHyhLqWSW4eMCed6/HBKGbTN40vWgG
Xz4pCq9hHv2gkoa6nwt0Kt5snpkygwfCpi9XiTgW4HLr9acFqSlr0VdCKTeh
4Z/kMLEufx2bVbPxL6lj7unu0RO8JN4TC/+rF2hCpW3SvCelIn5t64lkmMO3
o5dUCD3ie5X4DwxpI8SibXw/yw+4LppTEnmv0Y4AXG9oo3nT2MlFdk8QPnoR
iH5sl6mc6jOza8jM1UHvp2AQFJwdOBVN1FnP9VY7M1VR95xonD+jB/xW97Yg
3i8xa7ardO30SCFFmiVu1A9O1we5E/nzsOvxS64p7CCjsJbwoNkTNFwCLYk5
ws8/4n6XyLvR68sXniQVeYGmb+0Bok/IHv1z96/6C+gn58O/Qg/8IcLz3HoZ
5i5HWkwf9PChs7Evty0LvUEseFGqi+CS115yGJ+CZq5Wt6tkZzgdGc9EvO+X
b6/r/G39Q5J9ysemWeECnJfOro9jnnSl5lry8HFksSwkxzgZCL/mK9gTMD/F
alytxi8Ilnbv7P1L7SB+z3L0IuZW1zKMcm5zgvogPf87XnsQVKoPI/LPW4L/
zNxvD5F6st8E8j+1h13XPhoQ9cipR3Re/YPnUHjhyJqxiysMadBGEP3bM6tT
THt3yKHvMWzXftWlg03M7NvtTTKEbL82ubNPBZ345igsWJoBXXt5n/Zi3njk
Dn3UaWnEliZI6/UrFUqLphON8P2tpuFLZVlTRHE27qE3RtLg7fnm8POYb9Qk
7q9e0UQDFM3GHE8y4cfhQ4ejiHluOcfan2wNxC1/7o9KbzoImP4Z38B87sJt
UskOcfT5xbYGo1gKcKyUbNZhPdNy/YU/2eRR1asr3ir7UyFd5Il6JObu8r8M
nh1SRFxivYeTAjPhdJcudQrWM0NfHmhTrYYOtbk7cHlmwdiwe4kh8R2H+0o5
n+4VxPTkqjT9nWzQ383tdRrz6WLrrE1rTbTPyULkrGQOpJnRfvz4F79Tw/Er
JX7K6JpZSQfX1yyY9A8Xksfyev1nftuva6Apiyd2QY7ZYMb1tvAk5gthPRk6
qkJon0Bi1BP2VODY0E4NxfvUbTzGfrSDH/07svgmxvkRTGcv6xHz3KadHR7+
yWLo6vxbXoHhNNjSpeK4gPmz8xz/Aq200R8ZDh2KggxgTte73If1q7cJlF2j
vYlE9Ghe6pMy4ZMFK00YMfcsqqUZH9RE3gwTn1ub0+C3T0CgEKGfbWk57eZ1
ZPaN78gSKR3YhxylNrH8YSGqObq8W0iWLpGdWiMHfuisnhrF5x051RT8z/02
qvtsONZRlAPlIp+eF2GeyGelsjJmhEKtHkUUauVAUO7KiyHM466faNs00UNL
ir2v9aayQfWXycndWH/l/jAKM+5bqPeAoX/eYhZsHYiZJr5/YFO2+hTJpYMu
yw5JOaZnwYOvZLPrmBtS+77QjFVFLHlW3ScWU+H7b69uwq9aYst6okm6SHDv
GelT9gXw4wePoxMxr1fLrfhPWBsx1DqvWhfngVdIlD7xvZxyX2Px1oMb6P0d
+hjm6/mwfwd38GnMhR+mUg3DFeTDwniu+0AuJKidkn2I978jaF9Tr7gmyo4o
vTuVmwsTdmI7ODBn/uYTz/efAjq6/7IOHVMONHygFfqNeYfiM9VXL9SQHcsH
DcHCHOD715xbhvnKvOyePSo66Dm7yc7XcnlA77w/4gVed/9I2otlUQOUoGpE
PplaCOOB33Vr1vC7z7UaZjSthh6WsYw92ZMH5pX0jnNY/iv3rZf1j2WR2+HD
7NGGWTChIGJqiu3jsx3K8idRFp1RZKK9o54Feiy7Je5jPvq2JjNUCdDPkiab
E/EZsLmed/U15sd3vD88dkUbRWda2XFJ4HOVN/Dr431mcBunn/ljj5wlPDpS
bheAV0rKhC22Z9HJ3qF17YfI8596sqFjISR/bBypI/7vKWvfuxl+e7TY9tWE
YSEPZDXoZXXwPjN2Hjg94uqIiiS7UPK3fBjlD1VuwHp04qoesv9wRmV81Rx9
+UWwz6Fs5r9VnIcond/sWndCrCmL5m7/CiBznaZ+C+vXOHnidLysEwp/bEWe
oy0G30Lr8wlYPuzkH6Vdf1yQrtrHt2lGJSBUkSeZsEKGOz787yNj7dBPO0lD
3tcFIGMRuOscXldalzpeZ8ABKdLklJd/KoQ5qqqXNlj/oOlgi0PSA/S2bf24
m0k+uBedfESL978ybPLPNMMKTWycp+/zzoPp3/rX0zGPmP8jGqBpif5Rs3yg
E86F/z5su+lgu+Ue/Zx4h8cWjQS3pHjh3+st4jk9geXpvh8L0i/jQpTB1WdH
3yYBmg5cPUXUC3eLq3263dBlJTrL5T/FoMbGXzuO99/I309qbXbFeY57xqEL
RcChJJfPjfcpFlffmE92RxparrJNw6XQZDP43OQPjhveF9IK391Bi1upbT+V
cyAqn+cPcU+LmlhCxuaN0efRcwIrrDlQzBB2eR5zjaPjXF/S7iBytuWtE+o5
YJjt84f4/sH7Q2GTXuttRKO5T/3cniyQyzC74Iz9JFRG7PQs3z3E3PIxsdIi
G8auF/uwY97ftUg1MXUPyWz9O3aFOwe2gqyHv2A9pjXtO/vz7yLKdCteVv1c
kBZz/qCA+YOoCx+iB0yR0m/JcyYseVDNlXjqHbZPv+H0cFeGCSr6ncry7nsO
FM1w9fpi+QEP61NmV/XRF5zNirzLAJat+2yteF078oZetex99MGowkeanAdP
GR45GRD3KNdw5iqVDTqtNMNaO5IP70/rnX+Ff/cshwhhzxVztPXGa36pPBfu
q33yZsT6Pw9Mn7jaZYZu/BemF+2YA8ba/rtbifvL03bYdcYE3chL/j1wIAck
lK/4E/ea/j7NH5ELQjDElG03KRUFBVKKdDhPRl2utAErTKJQbBvSqhoWBd8/
JSAuzFeYruTt3y0MjmPi/oofw/H7e9IA1/VIRCz7pxiXGHxpe9RuzxEBf8eq
GpQwb32mw/BeRRwuSVszps9EwTxlggWuB9HDxbnJznAJSApdu0TvEgHOB0uE
cX2B2A7PXfFfuwTH+5wnT6/FgMFmuC4F5v0LRoffLojBmRMMAuV8sTDNCYdx
fYqoKyaUd1kIgZBsopuxezzIne+1LcNc+uZA9fy7SxDDX3uWty4eePdOU+L8
HE2K+QF7qzAkD2xbeIjGwUNVSc0xzNHs3OB7B1GQG6a4wGYbBwVMObvfYJ4o
8KyHXhnnhwvmFZrFMfD3hrDFbryfEXGx+GfOl2D/OLQR/bfiKSei/4aYr1cq
Ni9dBskTtAYSD4JBft8y0X9DgnEJwV6HRWDaPZ7q2EIA8OwYJPp76PYYkzRd
szjI0LV1EP29+bxFor+HnA7aXrRqkAIH568X12uDoa78MdG3RL336Bq98gEu
XbzRRvQnmVg/E/1JdHuuZp3oo0ZSeyQSfdTpujyij4run+jSsbeQAD/j0nKi
j7prKIroo6IXwflGtC+EYdi4WbckJBSaWlkc72Puzvvl8dLRy3CqwFGlrisU
BgXu3sf1L2Jopr9tUiUJvcmfT72mD4OlI34ldzHXuZrytihEkDSX7q5cUJ8F
N1U1GjQ3yehCvsks/W4hRM9QkmJWGgyj+f7+Plg+kyrhfdugPOnClfqcjtBi
OK4D926ukpHAmzdKmQzKSPeQ8Qlu9iCwdpCdjcHyHhkTB7WrucGii32iZT4I
Enf/6A3B/NDVSps6tTOgv8qQ7lwWAI6t1oq4LkbssusP9wrrkMRM9544DDWg
u16jde4HGaWf2e8aUKyLIpTGUoP/BsBGAPSnEnZIFezt3vOTxF1R8YJU/giO
TMtnvv5HRn8+862df86BKBzOjOwzSoFXnK/YqzBfk5GzHk2mhnFTsq4lazLQ
BR7/eAT7yfSlYbsJdUZ0y1y1/Ft7MsyIPXy/juVD5l66mB4/gh6HUQloyqWC
idZ4pR/mBQH3aZcj+VBpQObB35Rp8J+CoKQB5l0WfR5EHnXn6DMTIo+y2NYn
8ih018h4/QjOoy5/P1NH5FFOs+tEHoV29YQqEXmUjvqRlYs4j2IfoSfyKLRt
TuVQNHYRAhR0mC52B0COwY1zuL5DaTNlp55LC0BtVtigaLAf/Oa6wVmLueMd
EX5KNQEYufnpaveBONhn91NgAp/rbDnFhfviF+HErbY7V1TjYXCe4zKux9HP
8HkHkzsXgdP2MmfT/mAQmuCxCsZ65Fuo2fXfnYH3V2Jv1tr4wXLTy911mEv+
rh8m5gJrrmsBPEPekJsSRswFEJ00e6MMpSScib+mZMfuAz0arMRcAK2x/RKt
ChIFRfv3UYkG7pC0lEnMU9DRD+n8U8GS4L5eKhCd6Q61jIrEXAO5tSYKuj6S
hnWJvXrnvX3AJP8IMRdAt0an5om5RkDaxAYx1xA7kk7MNVC0HPk6o7g01C2W
DRLzAhm6q8S8AJVdMqVakuhBqrNv2Tqan8N/y0aZUpxkdJOyRqNOoB+1hCtM
vkmphtsz7hnPTpMR5d+jNXGasSQ7G5W1txp98PW+NwOzFhkZ5n1uau5KIN03
CzJ5+BaB3+09MWbPyYhp8D/vmx9aUWWbvvCO+F6ozUxqGT5JRrUJYnbhFaEk
CovNj4rzr4AyJdWEkpWMlDPEaqdOvUJMtaWnj+8PIDkIvXD+fYaMOsbqr0qL
JpHcfzbwUer9/3wKMWaVzxH9zHn3X+NEP5OPai/Rz0TZ448EL52TAcP1r7q8
Zs5QbdpGzHEQR091C9GPnc/WmSX6sRXtXEQ/Fn2zLeMZ/iAH8xdDKspaPeCL
hinxvRBinv6qkiAkDx5vdEQVDrnA1VUZ4rsglBOVcnLWWAbULqxbHpixh5kN
HqJfihxHkmXieeWgkC9Kt4DDAaYyo4m+Lsqr12z8OykK401K2fzzTjD8vZqY
f6H7BdRfElckIam6toGYT9k8vUbMp1CazaN3xJyrZtlMttHfHuYZPIk5F7op
ddS9UEsKamNjRok5lKqbBTGHQoG6xb3EvGb1fO0wMa9RD58g5jXI/dsnR2Iu
w/RTXdlgIxAuOL4k5jLI9HnZEDGXkaFuzSLmMvwOOsRcBjHuvrROfHeh8nim
jvju4uwLeuK7C9RQ86qujMKVJN4wRkEd3gOHfzsJHLAgI9ZnXx/qqHuhjfVv
lAb8/iDn1UvMWVBmsdB17yI/0ocgqpBDVf3gzMQc3XiejPZ0FCpEfghEqX+d
s4k5y7m0OWLOgiR7VKK3EmxJCY1VTVdpOoC7MiW7voCMuH3dBQS2HJDDn9L3
xNxEeSGFmJsg/t/OTA2vpYH5xfN1Yp5l8cKcmGchtlmGb8R8ipHlRjQxn3J1
UiHmU2jrZP57Yo7JwekiZHrGHVYGh4g5JvLf4qIxOi8I+WdnlcvanCCD1pKY
V6K1zlZu7n1BJJjMuHa96RWMSw0Ms50go/XfJ2OXTAWhrG0jhphLij31IuaS
yJI0/42YK22kzj68m+8E/SfnibkSko5gO3te/xxIpv/4TsyPqIvdifkR4o7d
NjVoOQvKIaJTxPzI5n4XMT9Cq2fnFqWfiaCnYzH2hj0FIH6Q5ArrZGSQv6Xd
MySFLkyFFy6LFkLIKq3VnzVsZ2MSt1ezAGqTZnb58yofBvTOO05iebrz/8mZ
sIihjia3iGQRnP9Xf1fMwDxwIa7iT4Ec+j8izjueqzfs49JAyEzol122rELh
JhQRmVnJiIxkZu9ZRvYqe+/snUuyV4hIGqSSBikpouec87ye1/P983qd133u
M773fa7r83lfFLYj4dktRciB+dzdHGyc80l/+vfeVIB9dR9NFR4WopZbAXla
2PFsLp1U1JRCkN9ycWbwVT5yevWk0WlrFQbI2vb87JIAxQxu1d8KBehR8pdo
SSyeGJ3Id5FRDpJnAg/wjRWht9FDlAnY+PN+fnELt89BzK3vuRrni5FzhSiz
PBb3EvnxzZ7pAqwEk/GVjRWj2BH/7lfY/uiSLvyNoUUFOE45qlBYlKADkkcZ
3bG4fk6wX1rvRbhgKJX3cb0E1c1lz5Fhcb++CpoEN2EY3sm6Qq6Xjx4kcU8A
Np9XdjfqY3hOQV3bs55bj/LR66TQyhAsvqAmbsFLygNxBvG7z53y0HLTYxe0
vQqrYk9vFpWeBJukVqfpyTw0eW5gmhyLdyr7jXxj3+2sFBLXE1fJRS1H9Wbm
sbj1O/nLfeeZoOXUxN6EJCxPDLyT1oDFq8NU64aHduSbSX1cNz5mow+GZunK
2HeCXw7Z8qH1rc6cKNO0sZAc1LHTOcmGxaH04vtxryMgL8UY7nUMy1uNbX86
YONcTZlRdD3FDWEWP7Je/MpD/8lBy09s/lcy46OFx87AbRnzz7K1BWjH+AjL
Gva8avfz/P1y9yTa9Ovsr7dJRSZZW7QHsf3rqBC51rHzYqh/hNLtaVUq+mF2
J3IH2ze5jJhKN2+KIXf+Hz2vaVOQ77z+UWXs+ByqqoPDShKIJu0su5VuCqpO
B3oZLL7k6mEbd1gUPb+pZNEel4TiXc0VgrG4Tpkj18Xf4mhLj45eqzsJ6Qds
uXtj8fqiZ9VX6oVRxnEbytq5ZFTGdJLkEhYPY+zcU3VBEG0H9FDL8KeimSsS
g4xY/H3Zt1OzS3yo9P0dVcHTacjeyvjYe2ye+sfb3SBECI2pfSN3SkxDctvt
slNYnEbYnpPNVwR975OnsyFJR42ejEOAxWcaGxqH9wuhVUrqBuaeNPRlIIN6
GIuzhEFXlboIaqc0zlCgTUdGFw6Od2Bxcj6qc8/kJNFtwa4Mx/wU9Irvz7Ag
Nh/jL2OKClics1w0WWo3BZXoR5/4D4tvelLG2tidRhx5a1snLiaj0PiHAtex
eDdjIOnettOIy2zj1mBOMopLv+1tgMVN/jQmh11XBLYxHfnSt8WoVQRxTGDv
rVr48eIjt6SRT/3lxMnfiWhOWfddGn4fkIYa90EZZHlYnT1ENQlZPwjF9TIo
oRtg+M12Cl046fb4OkkyivDNGHLC4u4tZQ93TkigJnGXvP03UlHTktI2BRYP
Ei3fbF8URTvH317le5WK7HYCjm5g1/vuUIbS9sYpZFZhkHV3TwpSmDFPOY8d
T2tfZnx+vyTq9vKlqHFKQQdaXQwksXg7Vc9YVaMACieRPbBrnoau/ZK6/Aob
Z/efw0LWpCgyChowSVhJQS5HXWPZsePLGL/ouSdKI964uU1c5x0hWcZ1Xojn
OhKK67zVlj+VcJ13ktYS13mhreH1lgu3KBKb4xTPmUpDD1infvVj41/h7c9t
OyiIDCzHpal109GEZp9YDRaX0ipwCHMURk+yW0qOCWegFEcx0ggsTnL/9Ut+
NV5kQHMjMLA5A70vtAqxx+J3C1tWK1P50Mgh1/U411S0c//gXnLsvGxtEvk6
fiyISV985hh5GmrfLvP4ih3/tlTt7Hj5SfSKhsozYisZ8ZvoDl3AjrceHW57
6sWDyjlm+TzDU5DYmPRjUSwekSM+t792D4pXYjp3NykdiWeXrhRg49inc9d6
/+ZAzo0fKX6up6GLR3YNu7H4dzuhsg5KSfTZWuwvp18yCiDPO2OKv1e8dfFO
BczgRZoVNX04F1GQkgz9xNYBiuRyFjd/UpTt7bA5+C4L+e71sw3B1g3ZpJ1r
gW3/Orvuuo99jcxGdNmDxSZYvIo0+9J5M06UaDnA7zXwAJUuJK5tY/HDwxP3
P8szo72U1n2blzPRszsFB15j8YZGD+WWBF7UVHDEHKndR4dVDJY0sHmue/X/
F8fHjZrbyH2VBu8j79olY3H8e1tTert5fA/aF6HXtLGSiawhLa0dG+fqj5Ii
8ofHoTK91iNuLReRvVKYDcXmH3Amb8Es/DA6EhOucVUnC8n12FMXYsffId+9
kqXCh7x7WawSijMQm3zqR0f8vtHrVKdnc6J73YqSFKr30Sz3Au8lLL7ZtNBF
mSiGPP2OMAVeT0Pe5ZyF81j8wXCSs0mqKNJZ4SlSr01H769ysmdj8fm8kwZx
0UKoVNFSnp8mA4mcl12KxuLS7ct+knXMKM+6PDjH6AGiP3NrigF/TxK1mHBf
5XsRA1/W2BJEH8uSpY39T2lfOt4l9zOD4FeOzLivcq2l8Erxr1U4JXrcd4z1
CrzPCg3/z6gYreXznj6J7WtFw0dULcpNYOvulVEOIWz/ovqD+xsB/inJ4z7A
oACja262ZeigR/GxdxvY/z36+IC1uTkc2tD4uUtfikRdRnHfIzD8o3xk1KgH
+j961kUlipBWpfrIJja+hccPEdwPea2B1HxsswhRT+fgfkhQvp0wpeJiCpIM
AXpfx0vRA8azZKbYOCyWL5LKu83hdFyrPElvGTpJwlOUgZ3X9FD6u8pUK1jc
Uf/IP1GOKPeU3Gj/uQpCpN4xTDaW0L2or78gXIHe/jDud8TincVO5b7XrYGH
me7+hFYlUo1T43X+sQqZc92uBfcN4CZt1oLYRCFqNmN/LYXtR3Wcdhs/pE3g
zO8MVbwuKm5sbFSHzXNc2v57lJ4eSFrtOuC+yteZP3FfJYQHkx7F68CkQ7U1
nC6FyLQ3Eq8Dw1pW8j68jkoz9iIUr6PuK1bA66gQb8yghteHF975JuD14Zv0
g3h9GNaYD+RNIjW4QBHwvpcqDzksnsfrwGBbd8gOrwOT3n5DhdeB7fpt8Tow
1F9bYsT9n6b3St82UhagDedg3P8JPjefeOM+0lOLUxS4j3Te8yfuI4UsCiH4
vHgVZF4OGN/BvltyF8QX5rDnOzyi/QP3W86Z0g/hfssUl0O43xJ2zfNFynfk
kXigUiHue0wRjcF9jzAwGOWP+wZnRzS/477BRQrCNwhR2o1NuO+xRnnIF/c9
VtARvkfQmJbjnHwkjSrPjNzAfZJJls64TxIq352ZxP2Q7HcNv+B+SEdNwg8J
/92mOSvfJoci3zxuwv2K7ZsiuF8RKg8+s8V9j1c00ttx3+OrZ3a47xHYvU32
/fhPCU1mDQk8ZA5AIgHduB8e5B6yueD+UmcB7l7cX2rSk4T7S4Gfdn85zgVM
Un4V3zjgjey7i3AuAJbLjE43jKsg6jhRZqkGHcRiS/hXIXfrjM915vPoTNgt
H9y/etON8K8C+49Ci9EXKoif87VlhCFfJ/bFiftRIeatYwzuR3Xb9OnC/aif
fhF+VKir9bHD+QKee3QVOF/AvmOC8wVQQFXY+eaIDXiMs2yGnq9GlEljHfnf
sXGikyycfexgmeRwvGPmQ9QvtGdHb20VXr9XQb2C1+GmgMmhC1WVSFtLJOMY
9j7PjOo23zC6AX+e78nN/liFXnoJnN3Gxmm8PpB3z+EavHtObld4ohzdC1d4
dRH7H0X8Vn6B+04/WGiewn2ne3pdcN8piDz/64n7TlVVf83ivlPP5XXcdwrN
RRJBuL90PA1dxv2lUutcuL8ULjSxllBqW0DIfRmoiq9A6GdgFwv2vzskwEKB
+7E9rA+ir3RVKHxtUufJ+ip0BJ7vrP51GfRS7F5w1WahkXAxXHcDv7yH3rj+
4m1zJs/1AbYvVBy+oY/FkTmdD67HXbvRH4Lrcc+UDr3awuLnpoOKcR3K5t2t
0X8Fmah4zBPXoaBnzYYH1314tg9R4rqPI2MqrvsARcofPlyf6ls058H1qbtI
Gden4O6ktAWu71CekLTB9Z15zwRc3wHqyJi+lxOXoTtLygXXrQJ8H+C6Feid
l1iJOaEAZrrK437fM5C9/SquMwLntrUmrjMqs3GJ4TpjUegwrjNC1L+aSFw3
3DT6eQzXDaNRHa4bAqW97U1cNyxnfnka1w3nJAHXDSFUqnyJbI8S+HAw7sN1
z63qTVz3hFNkqftw3TOAKXpYvCwT/elTwnVPkPCny/vrcw3855au4rqYXjXH
42JsfZh9ecduuMASNOJfZP5nnIcivXrwejjMKOU4bsyYwR+LXiZcL8t0ER+Y
xOJtxiyZS/ctQLD45Tz7pVyU/q0Lr88Dxa6aqjWvKRzyW23O+5aNDE904XoZ
TAX8IsPr/GSDTK0bx3IRs3EfXucHeY97wdZaxsC7h48Jr5+HLCTg9XPouzQ1
a/joGvxuuujNT5aNDkak43V+8Nf7cwLX+2aUQ2rINXNRPbso9zQ2TrLV4Qhc
H9yrThWx3vkAlR1PwvVBGFgJSDxwUQ/qgs7fH1PKR/0JF3A9C1qFHZ6O9GuA
0tcfB3D9K8TpDa5/QV7F38bnajqQxX/gCK43GX74gOtNUKJYm4TrWWacBT2x
V7PRUqcGrmeBOKO2Oq7DUvOXDNBa5CAZK2Vch4XFfwbvfyafg4pXRxrNL2Wj
FidWXOcCjtaMTFyH7XKU0MF12MpvRbgOC2X/jWrjuq3Y3tLPfHK56MaHU7hu
C/17B5lxHXAYrTDgOmDgPRdcB4TMvw7ncV3PbkT4P1zX0zoshOt6UD6TR4/r
yMbkXXXJYVnI0MYJ15HhgasJLa4jfzr45hePXzZi0kzHdWRoca3SwnW35Rfu
J3DdbX2pDtfdwEuDwh7XhU/e9P4Q5paDqPh+47owsDb1juK+wQ/Ojv4fpu4i
YfJm3DcIdEu3qnDfYGzQooa+RhSKJzmA+wYh1U25AvcfjonMdeH+w1GJR7j/
EFpCTqmYnFFEvnWp4bif8LczOe4nhNjIzBGc67lIeeLwRbU7qPsaI871wMLw
N6XPqQpIdJt8GvdzapoY4n5OKIhtFulUVkDn7caFwq/HoqO5CbhvE4L3iu3j
OSuHWhbrt3Df5p4n4bhvE8hZuDJx32YgdRJLkk4CMk55ifs2YWy9MB/3l7Ie
Fc7F/aVD16/h/lLgLq6Zw/2ippd+aBf/i0OSR1pwvygs8rq24z7VBCHLT7hP
df6yEO5TBVnbjgOn9BVQc1zJKe9LMWjM8yruRwV6tahOnEv68XqV33L8DqqW
uYBzSfD2W2IiziU1/VNZwLmkObcynEuCIhrlZziflaj44gHOZ2XzHMP5LAh2
G1nHOan6S+u8963vokDtXJyTgoEGFlOc2xLTUzsc0BuBLmwdwLktSE6KvY1z
cCwvghnfqocizyANnIMD8Vtq/jjP5Us67I7zXLLXJ3GeC+yldHxxHorjvUQb
zkN9On4C56FA2sLVleDsomuicM7ux1I/ztnBcNGP8nPp8ijrj7iPqb89Wmqq
xH2boLdlY6QVrYhMpQ6wPhi1R8cuEj5GOBEw/zp1SB6ppOyk4b7NsaOEbxNy
5Vgc7pQpIuasEnvLOQtU9o8R92FCxMi11PRcGfSUy92Q3lMb20w/475HkD1I
JdG5LI8MtlvLcX/mP07Cnwk/PMb4cktlkOKV4/RHbXk7ZVkJPyTEqgtpD67L
I4WgPxO4D7OHj/BhQsfR+3F+d2RQaJu7gbW3BQpwI/yl0KYraKRgLoO+n+RJ
XD5rj95QET5ViLBcMuvwV0ZOVU1jOOdI0k+Fc46QKMfghft4P3pUUjJqJKLk
IRHcxwuU1etDuI9X5l6bEe7jvcj8HvfxwrPx6Xzcr/vJvHEA9+uaMHLifl1o
PUymV9iuiDw4rA3/zGijJg3CXwoKmiojuF9UmXLjG+4XPS1A+EVhyS/1A+4H
1pp/Q/poMwGVPUnH/cDw5sFLowluFXRZKWgS5zS1hUJxThM0XNlycP7xrGnL
Ms4/0tGG4/wjGE2G7x8NVEF9knTzOD9oevQ5zg/CooHxMM4/8uUf3Mb5x75e
Ppx/BI7ZznacQ9SurPuIc4hG+1lxDhEect0/QBevjMi0D3Tj/OnG1CDOn0IK
i8hfnCdNmXpptD7kh6iojHGeFJT1nlbg/Gnc4cSDkb6eKFge4fwp/H1u9Ann
RrteRIpffuyK2DcrcW4U0piOdOC8JHd8qrSIlSXaMSB4SeD9lp6H85Le0ffz
cV6SZEoD5yXh5vnjX3B+J/44uWSRuQ5q8CL4HdBtjiNZ/4Ndl2zIEs4lbU0+
x7kkYDa5uYBzPUXB1dY2mXydRlkE1wNesf/u4FznsrnaS5zrnBInuE44c7o3
FOc6VRwe7uJc5wIbwXWCSoUFG1u/Cto9vZRNX3wTfY29ifNEoMH75gvORWbT
qLfgXORXEjuciwSnwqUQnOM79Z/Eb5zjE5Z0xzk+iKXfd6C6CqEAkv5enJe8
F3cQ5yXh36u4XJzvCzjj/Rzn+1TFx3G+DxgudZKItIqhaEXJIJxDnNAWwzlE
WOLc+o5zhbS+w/dxrjCGSgrnCqHFrPMLzgNKB6ax0XdEoeNmmTgPCEkq7vtG
H4ighgem+7QDotEeG12cfwQ796PC9wbPout0T/caUkQhOpJbOI8Je8kyEnAO
9G+7WTzOgf73vgznQKHhZFgOzvOO7QQX4Tzvb0NfnOeFCm8eik0h7PuWq6wf
53nbo+7gPC9ICH1rwXnJH2a5mjgvufGVC+cloYCN5z7OPwod7K/F+Ue56iSc
fwSR7yaiOI9JZ2UQg/OYoxyeOI8JmiQ9csrOSugQmdJnnC/mvx+E88Ugojz7
Zb3ZCqx8e3/tUDWhh8zUxZEL2Pf2WyedLNkb8PeHbJHmSBMaLq5as3+DfR+S
/STNqbCAmhifpL2FDUiv1sZK6z12n8/6Px6bvA6Pnlu9HldvRKfVfogkv8Py
TbE/ZGOCDiDgqm+UV9WMCuadM57Pr4LgN5rVvVdsQdrSzpGHtglRXerq8MXO
29x1tSKszgI8/95zmOupR8JNfI/DPq4CY/ClmI0GS/jmw8k0slWPIhpiu3c+
rAKfJc2osIA5dPX1N5Vl1qPUBL2BZex4PnvPAml6G1gjY3XJq2xGQb++hrzC
zhtBvfZ55YA9zMjlfeaMakEJfuIMsnOrUKM40mLndQu6S9TPcie0otvfWUL/
Pl+FjYdWh2m0HCGafzNQL6MNkSx5tT54tgrpESeUG8Vc4Paeu4HTk+3IQnJB
3ObpKojuFFTG212DK0ENVHN69WjKQFozfRnLf9VmtzvmTcBlLTS2jK8OXUF1
dsafV+H6d7P1ShdzGDCY4DStqEMKjJUZgiurkLF9Wj40xBIcHGgy81/WI5Uv
/PXq2HWxsWeztJ+1gs63IYo/FevRkgf14R5sfMX3jZl7fl4Hj9Iahc9cDYjd
XuR2GnZ/KpTGXtqyGgH79JkgbdFaNNimsh70dRXI8rR/ljVcBTPDlflfJbWI
7em9QZ8vWD6uWypl9cYaqPx95sRKGxCl5L4NRez5al6wy0x6KgFuGR4nrmL5
r/n9WOvXWP6bPLc1vu+RDOSUys3McZcgFPRuKReLP718sk6dUxS4KkrUVB8X
IZm7ORsZv7F12zfl3ckLp+Dx82ktM7pipNeqecAKi3MWULOwmSiAkW1H87+7
JagpNU7KABsn1y2x+rLrWXjkyj+17VyMeONMr3Ngx1t7N5v/CJaHsmF95l/K
pShGoclp6Be2j7tMrVkKKcFeWZH683WlSDqjPNEDi7t7PnQTeycGv/SHAzxy
StD754cSzmPj+1o1/7LrlALt/mv60Z9K0GRA400aLK7r1ff8xx1hOEu9MkJx
txjJZjPdp8HOOxwt7Sv18yxwxLr3pjOWIfNaBREBbPxX8VaL22OKwF2+9DLG
owxV3V19MI/liY6bA130tbwgqvtySSOoCJUdK1vvxetFvEdPfTjkBsZiVxxs
WbtQmb769mTnKnxnSaYLj/OAk83Ts9bUj1EeJ9+duSbsflo2nz2Z6wwzzz9N
vj/yCDFdSJp6OYTdtxAaBs8kN5jaM/E6L60T1SR1D0v0rsK+ACfH3XFbyKAQ
D/qZ1Io8aZLMfmPv89aVA+L3XJRh66qJyY09pShiRFxlB5v/TTnP3PNNF2CC
czxVVLwMzUy/i6bH4jU9X+4eOHwTNkca+sjn29HVB1oiGth77rig4fSTzBni
Fx4kG1R0IsPmzM7VnlX4j8F0/G6LJuzjnLrJxVuGqJ+lLrBi43gVHJY+HakD
v1MkP7vPlCHxgqjhWOz+rJ0/WSipdRmUHHtOnEorRX6/GJ9EYce/vVsy2sJj
AL8ndvOZs8qRkfXIvs9YXmy+bUP6oUwXHn4J4WTUKkOkPkrdW9g4aTYU+9GK
Hugd1f7AKliBFhPsWt2w44UNxfrejBsCFZv+LANJJfpL3SjUjuX77TQGaWvr
GmD+sedUfG8ZQvlGPZnYOKztr+4L+2oD7/Gt3y6O5ai1Q0GNAYsHS+8TZj2l
Bt4Cig7jUaXoUfzrhmRsnlupm0UnmS3gwPre5t7NKkQj1Ui99h3Lr0cvyQ28
tQL2buoEb/aH2PegZtWztVVw3Vdws/a1GVzaO//k761KtFezePkKNp+kfZyN
BuSW8LDrnNztwCr0b8Et7BqW719pKnb+u2MDDurCcvqSNcjpBoVQ1CoWNyhJ
iVu7DilMfybnqqqRcsLrFQXsvE55oXtg1ARcDW94yv0rR7F1Ealp2H0Yupr/
gVLfHN4p/vPi3K5ADoxKnY+w87rsywu8LW8MUd8itvK9K1CDvkr6Sez45UsP
typ8r4Dcu1PP3h4tR0ez88z0sfvQKKpwulPmKriecK6Q+laJPsl8ZPiAzbNw
vJnJqdcYvD1pCxVaa9Dp0e4I/2/Y/qIuoZ6O5ddnEXmynVQt4s+vlXfG1p8U
l1Ku0EOGQBExkbba8hAxhk9lK2D3x0HQgLrL0hTyxx004i/XoMvfOEb1setl
+vbqQw6JDkCf7As5qyq0sXfuij923oP3ZMOW7urDyg5lfi5bNdoq/ao8ht2H
nxEG5Ab/NOG12e+XTSMV6KuBdMAn7Hplau/lSZXowEHWH/zhnpWIqTC4SgeL
a//3PWlaTA/+O6RyS+FbNfrSkc1Ijo3D17FicuSeAdwbaPPVVq9Bev8OVVlg
89EYzVDZsbOA4cXa+DtidajHjjpQGVvPP21q8w6fMYDijHvPWs5Uocz6yhd5
2DztS4RcNf0uQ/bZ09NxDBVIf3bR+A52n+/1cByte6ILFkU0PdoDFaidibPt
CzafZ/OUMstvDeFkkZhcdV81EvVi8xHG5vO82dI5TlodwgQMhTlulyN+rZc2
1NhzkY3OXnQU8ADm07zvN9m6UbjQxIZZ1SpM/fnqXODmA/oeH9/Omj9BPqnx
cjfyVmHuKBqP0zeEc+uM+/LHW1AHU917uxerYGvXyyaErsEzR/tXE1daUZln
U3TnDLZOau34vrqvD/zHH96SJ21GpLJxUc9fr4KaA53Xk1YToKo8U5V1uxk9
oi15H/YKey67k5XS8SZQzvaLHf1uQw7DznU2k6uwwv6ZJrzZAlI8XsWK3m9H
JQZ6sjLjq+DjMt2zNnYbNNRJoxJCniDBpIYm/lwsfx/XaxHT9QFFzbAA0jc9
yPUaU65Y4iqok1T3GdxxBSm2gvMkHI+RiE1hsjK2To5UTu5YUgZBOokeee1w
H6LrSw8e9FuFr1qZGWVCFnCtFDleImtBdMrReydeYt8hqbEXPzcYQk3/1OOi
uUZEtZd3L9Mitl5dvb7vTIYZhM6ETJcaNiHVDgft5rer8JqKhLtZQhvyBVi+
lx1rQAOKP5zLsX1WkPv72hCDAeQ/PGf393YDct8t3B3A9s184dl/ir2aQBvi
ZfrvSx3a2ueplPwJu94WlcMLj3XBTuvcYOfZenTBiVVvBtvHJ2bbu9INTUDQ
O8esaKkBIWXf/WVL2HtVFB8ceM0K2CRsFZz3tqHji0LTidOrkPVyjz3zHhs4
6B3KyWvXgTaFvhRcHV2FSKl98tcUdeF8sf7uTY9G9LuP9hwv9j0WrLd86NOv
aJAg0RdZfPIcsconzNh+/Arzz28ZcomkgxKZknCB9wJayM63WBxeAYM8ku7j
1cEwQfaX0T1vFD3UOuwvyIntjxfIGl5vRMCKVqWKCtMEGnNO92R9/g3K3xn8
x2xaAr8m9/N6ba4ihjiz6Ypjnzq3s4UfspPFw+e9gVdvOk0jqdk+g9Hj34DW
4+ChqzdLYSDiWXHlr1W0krFzrPbHcudGtkPGmFIxDIa84Vf4vYrOCvHzHz//
qfPdeOlXS1k7ON55+hrXdUAiYruD3N1Yfv1HqmzxQCFY/7nC2P5nFb1WvV9R
mvyp85VhSRzrwyDQL9pdnYgfRIejVSNKjVfBJG/g3szPMDjLEprNNTuCSASy
GOaEsPdn43X05p0AYDDL+71a3I+EXK2761yxdfLF/AeqPcHY94B0gN96P9qv
+ziAzgnblxeKPleo+ILme0f60zb9qJBsVq/3NpZ/ja3uG3fwgfF6pvYn3/qQ
bGIa1QXfVQgZnQpfZfQFBZ8x8njLftRFJ279/TZe3y49QEmmBFuJFP1BKtWI
f6Vwuxz7vy+dyP9amKUKbqr/tnpqq1HyXmtHJSwu91HS5OGoArx67f12YrAS
3XS23X8QWze6yZR9hMdUYIx31OeoSBUK0Cx8UY2tP4HWuZ+ZHmvC+xij40tS
D1Hj4X9HH2PrLc0o7TNyA3UYNSBLOVtehVLb7yjLYsdfdra9QFaoDgJNG9+k
+WuQa0e8dCm27u1nz7k9J6UNtMdkBd+71KB7qM2WAYvr8v9ar4/gh8itYhIR
mxKk/Dqmwxn7jmoyYhLxXuABuh+FPwN0i5HbBIv4Kez7x9k80JE2hxWCj8au
2AgXo8zxp61aWJzm7vk42RlGELCbjbUWKEI1xx3U/2Fx6cEb5y9HcAATmWAN
k2YROvX+ZPJHLC5y57WFp4MKyPYadp999RCNFMElNuy6/uhdWG1Ok4GnMboj
MSzlKIijXNkIWycviur9/NupAB0RHHEyzuWI2tF7mQ6LO78qltH4cwrEqw05
ct+UousXaIp1sf2964PTbHuUMvy5d2WPTls5UnVQ5JrC1u243+i8roccqDow
eA/bVCAdyyjFc1icK8JdT1hUCSplbJq/PKlAEy9pm79jz2WgnOniI15VCOQ+
5cQsVYlEReSyYrC4W9nXAElpbZD3+pQps1uLMqZ4HDqwfcTi1fnwTFN9iKVU
kHPTq0OHzrLEbmJ5gcM5hoxMHV3wGPc5pb6nHr1aHfWxwtaTa8zNZRSBV0D0
nAj7vHA9cpIk4/iNrSez4zTvPv27AF6qHKOhQzVIS+q/OybYvlwsfUa966Mm
vHgsoiFwsBZRTAioTmH7suCmp53S0EVoVdAYm22pRcaya2yGWF6gXZv1LdbP
EGb+jhdwZNej1o3zXz9g+UjkCeEHAomawC3Oefz6fB0iu/Ejox2bT69EVaVm
BS1Yqh+a8z9Tgo7z3siPx94HemG9Z1+pOUHNs0NbVrcE/RTwuR+AxYMPVs4+
paOE5QPMpUf4i9E5yQ8tOtjzpU1JiHIU2Q+afr/3zvAUoUzKj39I/6yCypDg
jR+SurCfvrZa2KgW6V2PSeDH5k/yv7+gl1nc9RacxehB/C9aQ2ycLimtofMU
f+RIiibJM48VIfa29Mdkf/7/eBKScblz4iVIq+t9Vio2n62vtKpneJKAe+mB
7fTxPuQznDa1HbIK/ierc9VZ0+Gqp0zR+5UhVFA6M+p/HtvXnsY/3U6NB+Xb
iSfhzBOktJrIiPd9dZRJbLEWSYbvzQMRCZF9CCpnnf0DVqFjf5KsDF8mXF/q
S51cGEOtLyIrxg6uwgvSdhWL2gcQrZbCP/t6DO3f3TfMTIn9vwYOuXPE5kBE
6r7lkMQJFHXFzY3t8TcIeLEZyaVdDWrCLnkUV96iwQtkFEOun6F4X/ixw//l
QeIBzhUVt0n0RoXsz82cb3D9o0zHbkEcWOr8Y28lf4IckpV1vxWsQuzAt3Kd
/TFgnoX49610IY0b3C1WzavwXvB4xCWtB3Arg6tca2YM9bCTXS7G5hMvR2rb
P5QKmzXepS90htD8K/Nzk5qrQGkRNHrMlB9kZd+JDHQVoses0wHK2H1uja20
z2ARg5qf+hc/URYh0WM5xgxYnL5VGX5wssJHRngml1iAFtbp1fdurUJouLjF
mUUuqGE69CF2uAAFP6kneYsdX6LhlxXylg5ef0oL3NeQj5TJ1S/ewY5PENX7
t3D1KJA/Tyo4tJKPqnQGA22x+NDUNZZ6UwGISwm9eoy+ENk3HPpXj42TmNHr
JV2RAfNmy98U64dRvLjyM9mz2PxJTe5EFWWC5H7DCvJ3Yyhxmb81G3suqY/F
QPo0F8iMXhkbDC1EOWvibx2wcaaiL2i4bAcBj5YrXdlOC4oz0P2eOrsK3i5e
ewd8AuDjFYZU1YhmVJeh7PYf9l105ym/0A+1IHi9aJf2/GkL+kJGQy2EfXep
Fe/9zEITAm6dnP1HZVqRWVPi9gT23XXRhvZ64ttAOMycQeLp1Yx0cicfYX96
GFPl3hCSDoYQlMyzh6oVMTj/eXYDO+/Gk7UEfUU/kNE76+u61YjijzUt3lvA
1jd+EvLEe8HgXHdh4JpvK6KVpL61FxtfmMk5p2cuCMZKjeI8Y1tRwukbQU+x
PLFTNYF2TDEU3lboSztUtCOHlouURVjex8dn3lBDHQadjz9yhRa0I4Wqf2Ut
WDzXJ/3lF+0QYEwuPv2fSyv6/eyLxTFs/J2IIl9Wngi41cxNG6DYidw4c2+y
9q0Cu/EU9cyFe9j3RvCh/e+70emFli2jIuz5MoywcMsnwneT9T/x873IwN7O
4nLEKmQYJPwYGImCwwUvv6GJLuR28oTWhZZVqDL5+DCR4Q5ka2XKz5l2orey
zUEPsPx3RDZh+TVNJFCbfmEsVe1EF9xvFP7E4upcwsMuX8Kgqk1n3LKoHc3z
oZNl2Px1/Ol65RruQk2yPE/P4y7k9ZPk6yw2vpG0UFK6OD/aF9QcFWmbhO7e
ypKPxH1NTC5/KT8LIIZtZumBE4loaWKfexMWr2aQec+tzYYGPa965XU+QDQK
Uoy7f7Hv9n+nzfdncKDq3UC2NIpMtPs2uuMrFne1CcrUsOJCz6/uvX780n30
samEFffhOHFWnHhXxINIiy1zSpLuI7v3ZZFyuF8lMCZez/0ImrWfk3Q7k4Vy
Ts2El+HjnBHPYEhmRqc0qY7yRmWhv+fapdJwffPmo6Y8Rg4UaFxdMJSYjOgu
iFYZYvN8SXails+IF7HMpu9rqElGEefEn+ticf9t1veHL3OikTKFoAyNJMSs
x+OP+9CWMw89WoylQ9ePu7f8PZuEkrZfk9zD4k02331CwunRJcX6A6k7CWgv
7XEtvN6+9pbxacJtLqR1nuNBL1Uicj/ay9uGxa++0HNctzmOrrNotgus3EfS
Q19cBLHrSv1B2fbcjQ89yvtG4sSbga7y3+aJxOK/rg5/LNnhR9tgIFTslYHG
zzjSe2LxHNTiNnuOD6V5/jajjkhDa+whkc+xuJvNm02yMA4k8uSzdpl1JnJg
yrn1ArsP1bVZql/zmFBO76w3w5cs9EJh1SMIi0cvvOu2dTiOpr6/7pd6n47+
iFSzJGPjyPQHvPdWK5Zf47rOprudizgvyAsEbK+Cn/SPgJ2q9c5ez4vCxwXz
EI34yfzrWNzhUn90wAQJ+qtRtlYskItKbjJdWsHiAh4/GOyaf8m7LAQwl17J
RaZ+DLdwXTjqQYwLmzkF8LLIaPy0zkMq3QUvlHH9N9bpy6vBks7ft57Wbd/L
RcuZin+asPiVsrcJLFdoQPjU+oThgXzE8/TS/i/Y+ma0yLVPe5sFLL/yZ79R
zkdp+x7cGcDi5+p3ErJIuME1I+joMFcB+r5/rP08Fu8K2D2zc2IP5Ls1fQh/
loesTz4Nwf2u/7cPrvdWpXr6JSPaNsrzuD/NPrejOe8aLVp8UX93OSgZUW+t
3DPZ/f/j0ck1ChLZJLQSmrQHfx+4FfXTyAzfP1rtnJ5SpExEqV19Vvhzv919
oWKNjxZ9XKOZKXycjUIVzzy7hN1/zY+WuZbTh9Bqm5ysMVMO+rx91lgGixvy
Rd+xPE6GLLcSJ90DcpBNTOESOxavJev1m34bBImJxndH3LrQs+XemJ52LL9j
D7K37QgFOQ+l7dV93ajxLqMYRTW2Dog8W4jq8YcjeSLGrH2P0BsRGnnRAew9
PEo36SofDLqZyV7K7F1I2L7Fw7NzFZhVdqsEWD1BWKVbPfdeK2K1eZ33HVsP
bxh3D96P9AEB9Ng2Wr4dCTXMvL80sQph8SNaN8fdIUblfv35hmY0XhImUz+P
vf//fVZim/aEd6JvHHa4W9H44amDStj6XEA+/1VtzBuuh/3ysYB25CRis5iI
rT+dtyku9ccFAZU2tejKyy60yexfa4qtP75UFa77HULhliSdpLlHN3rY/4l0
swz7/jRbNGSi94edE2LOUzad6FB0KMsktr4d/3mEKmgkAiRO22bmCPaisYiX
TmX3VqGNhPatbUo0fE58NlnDOoDcInOrq26uwqGimqED+yKBgik9qSSqB7GE
pxlrpKzCm2tdye7avhDXFuW686wNCe3tuNqI5e9H+A/uPRR1G+IotL+EGzUj
ecoV3UfYfvR1zuNHX7YXUN/ncN0aakE0aeW9V7B9bWkkP/vupiukDrLMcPM3
IS3j20f5sf3oE1Xud0o3VzjOG3Bi82Mjel9VHvAaixta2P7WW3AFSr4alhCu
JvSHlrbzLBYX4xTy8X18Gx4/GeFSH25CxqtnMg3frML4vQPf7LQ9QPPsnDgN
dTOqduCfy3i9Cl9qozrI3N0hQlJ0QT64CQlcPnJHBMvfnwu8/1EWFQAjRmf0
zM49QvlZMrlMQ9g4e861UpUnQfym/fpV5knU79ecKFjzDUbIRaf7SHOg6ZJf
z8TMHPrJy3LJj/wrvIwmZT0RGQPZHiLcR94NIfun9XYOqli+n2A/onUP27/a
34gdvzmOUhmTXmh/+QboYAsHc00E3D7JeOzDr150geduw1Y4dr1+2d5bU9FQ
UZbxvUV+EG3doyTXMcPymomrtMr50fBsz86YIscQCtqXs9yvgz130tciv5xi
wViOtY8taggttxwUOHYJW69GZP96MddBnCecCfm8irq8/uvULf/QmUDBsxgV
WAjcJX+7k24tooSS/WXhHCvg2H2NsmimFsrPO0kwfllFphkPriX2fej0ST89
OydcD08e1WlsLa+i3NjsximBD51ftBf+DRfXgYkyf8iZlVVUqHjD8aD9h07J
GfPP3IKhENVQSpK39wlKvr8TDYXY90aWNPnbX7Eg4un/rrJkCDG7c2iGqq/C
Aott2wSKg9lDd55ZrA+hGCrT804XVuGAUbtk8UYCDJo9spPJw757qUfW6mhX
4bCqpkTYpQfgQPPYBA0+Rz8kgxqZlr7CQdZ9nzMc60E57CilOTbPgGS1Mk2a
D52ClY1zm9NOUNbK73Dvbi2iEyqwq8Xyl72ZudzTAq6wE6KHjF3rUNjno5CD
5VNrH5g5q+UdYZTUFJHG1KA9fjrSE1h+VL17X+JNszOckE8aNLpWi+YqORmp
sPyCmu5eaEe1O7SdXnxD5VWP/G/SPxbE8qwDnHec+6ndwDw46mWReh0S1TUY
+oWNr3VydiCn1w0M9lEu1uTUI3X1li8jWN70r5yuS3nSAz7ci4nkXWpAXL+j
kmOWsPv24665lfEtKGN6reWD5V+7miGn1bH5f7k1Z3XF0AW49X2c+rPq0Alv
5WZZbHzjicEL+aMOkH7/4kev1hr0ytquxw2bv88xLnvrk7YQfydh+MHOQ6TI
evDsBpann2TpeEfm5wmd3OTf/2U1oOp5k3O4vuOV8aTzyD8f+B7HYOFC04QS
afXljbD/XRPbjuBK2W04OyWmLK9fjwIGLoz5Y9f7bdHMrDHNCzK/bJV2BTeg
pJObjyOwcUyrnet62wJBjydhd62mBb3fKA6Pw9YBUY70J5tC/uCxaW6ik9GM
nDP193/C1kkG87JcgUlvCL37REYaWx+ssu/lHsbOK73F1fbw5S3QEtILn79W
j72HHFGu2Hm9yfonv2a4QMxPqZ1s3Qa0/IPxKs0HbP/1VM+KqXKAq7qc/eK8
dah2sWhAD8ujVwV5pe/yOMOaYtgZH556JF8V6E+C5af9lxKX8/e7w6/fDVBo
3YhUIv2rZd9h/6MwzmTj665wdOpqz/P/GtCc1GXvdGx8kQ2K2lBxN3C29342
n9OIzhnYZOYtYv/3J81KJ+k9QD5mpvP6qybEomy4yI2tS849hRMLc86wyFV4
pCuxATHaXDrshN2fMyoPymy87AHV6ue0fa5Bf+1P7RzEnpdthdHWRVk7+JP3
fa2Luxb9mk2+nYy9by0NdGs6WzfBY8/frENfa9EZJ27aGey6JppejHxJdgbm
ho2h6bE6pG0aoDaMXVc+l9bhtkVRQO7dTXyvUmGZ3Ynw/8tlVN7cPSEBhv/9
93P/jVQ4bn+K4AX+CI1NNR0UhOhc3Thq3XRgedtI+O3jXzR7unGLQj75TEzO
VBpISDwh/Pkf6/8sITlJMPtq9F5qNwWGrPwJPmLkyaAvVaIYxDtyOQVeT4Nl
CzrCp11l9nz4hBovcPO4jgY2Z8DYpi7hzz8ukYL7+UGboXrjmHAGbDFxEX7+
cZLpLZX9kvAhofN6jVMKeDhbEjxCbrxT3vbGKVBm6v91d08KrPHqEPyCXHRt
5P620+Cs2983mJMMZ+xvEPyFxuEXCx6J0pA7/tXYtSAJFnpmCR6hU5/OlOeg
DIRRvHAOUU0CCU1PgrOoeL6UE8/HDev55U+VBu8DzZ9JwvceaKcZ0JbAC2qq
eQ1I7T4UvVcmfPK5S/dns1X44D8t8baE4gxw6Q8jfOz/SXPi/nNoC30Vz0+T
ASzsQoT/nPrW0dJv8sxw68Qxut+XM+HIv0TCh//Q/iXlRTNOGGWND/IaeAAj
ZEGEb3/FJhr3t8Otk+R/1GvTYUGYjvC3C96WtxGrY4YDDz9O5Bg9gF2Gq4SP
/aP9s09p2ZwwrHQ4kkL1PihyjhP++V3JEOvS8T2wUMOw59dKJoi+jCB8+0pX
blaIdXEjL9CRoDRLh9R97QT/u1Zwk2SKbE1+2XmaAyrS4KOVJMELZ/93wfB3
jDCCgEmHddL7YHGUg+B5ZU/281xlYUIMzRGJl5UyIF5lkOB/Q7lO4JwFrIj8
O8VGngZPP6cTnIWPwFwmae0e4Fg2yb6blA4p71MJbiLa151nMpUC5ksfNdgf
S4X2YgqCOz7XYHN3xIsHNmIeBHmGp8AzagGCv0jX3zp7+IkI+njvFne8RxoI
B78neOE5s/qul5cOo1kUSvupOxU0ZSwJTnnAQ2nrsrokUg5jeVbLngE0V1UI
7jhiX/CxAgZVNL8RGM7LHg6CJPIElz3sfeIlznG7C2te6bpTAk2D5dY4x13/
+2cf035JtHRQg/ZGWQSsqPsT3PfRFYEZnBPXLD1untuYDVY28s04J16s6Ynz
y+iy5UUz8Wf3oW57mwvnlzdudHa3UUoCOZu2HpdfMrCtJxI8iOoQFc7LgCkp
W+47imQIyNcleJmrHdpK2ZOiWD56qzZhJQXynKwI7iZpqQnndCCmxd901zwN
jkvyEZwO458KnH8BoT8Ol+NdU2GFbYsU518qzZRp/H5zwH22HZuf62mgVv6F
4FNe+ZYNTpSfhO19NC8itpLhtqoSwb8kUul/7J+UR2z/1vp/ShfBIvcfe5xD
fBweFK7QIYUa5BWSrg4UQiFfKcEtKs/NNry9fQ6xuC0+0ThfDL+MmQnu7/bb
AJwTRJ2ekif4xoqA5ksDwQnSS5sZM9+ShvDzGZ8mfyeCos55gociWbqlY2t3
GlLy91zhvZgMz9ZzCd5KV/P6BYYWFbSV/diKwqIE7lLtJzjBc2Ls7aHXFdGj
mRiz0rfFwHCCj+CteHqfBFv/J4Nk6FsqUqUK4Y7qNMFFSilRGPq1iqNO8dWM
jdECSBxkITjKS3p5oj+6JFC8/PTN3woF0B/wnOAcS5+EvqCmFEKf3xX/GXyV
D1JpDwku8lUVX44d0wV0R07gctlYMRjJWBA849dWo8a03ouI9PnUk4/rJRC8
HEZwi6K/495tFCohReP5suyWIuBK5Sd4THuNGLJNtlPA3nqQzpokGbqpYwnO
i7Od47Hqb3GgSXe30upOgpa1rwRnF74dNjeqJAEswSk+VropMGJYQ/B6QuJq
v37dFAOjQzzUb2hTYHxbjeD7FnWU6mMPi0KuzdGH7XFJsBWnR3B87hb9OK8H
S//5mdbOJcPuG06C1+PPyM3dZysJqfIvh819EkH+0iOi74RBiKX/jbNiIE86
WKWmnghy9CwEL59Q+G750+xp2Fsy7iXUkAgsQc+JfhSXb1/KeobtF7T2jz44
5qfAb+4vBGd3oUT66+0CZhQ831kzfTgXnJ99GcS5pyKjAZm/37fkv2gmvBsL
yYFDMpUELynw+x0F2cPj6Nq8Ul7cWi4MawsQnBGDKP27/vNMaPfrR8GEpFx4
1+xG8JhpDJFnV4Z2Oh+HjDze+JgNPCfVCR5TTSq9e5B9V56y94KfuEounGhB
BNd5yZlMrrj0JKLRNk2fnswD7cxaggNdZ0kYPE7Kg5imuLlnnPKgq6+K4EYT
3GIqwtv+yVfOr/F8i8yGgq0GgsPKMTjtGOhPCj9fXFYcepcF1WBPcFvOcc72
VuGH4W92ROpVnSx4PmpE8FCspnKViW7C6MrFm97kevnALk5LcKw+9MM4B4r2
K5I/efErD2psywkOtOEjot5/UwGpsS/5KzwsBBtqO4LbVeDSsBAZO4Py/kug
lqstgFE1UoIPPUza3n2P5xQqYU/4cOtRPnQPOBE8bO33PP2nXkeQlxp/qdex
PKhI1if4U97cozoN4iOoY83zx4v0hzBNwpCE9wFwj1rhW5cdQHKzw597Wrvg
1fuKdLxvwPX2y/l4HwBd3XO3/J8DKF7st8f7AIg5HszB+waYhLyueaE5BLUd
n7+xamPznJ+5qzv3CCXKmlGSJg4CZ10f4P0B3G+dtMb7A0isJPVf+DIKlEtV
Bnh/AE0SihMEl0227K/fMgq2rKoTOJc9IBUy/zpCDvia3QLjsnzAql+R6JNA
onw1tTJcGn4Vu8+kmPjAg7YMoq9Cn2aI+TlSOUAawuDCHgi8qUeIPgx7vD8J
lh6VBrHNsGdCkwEwFRtG9G2wZTBhWOAaRRxwhhvvS+Czh98F70swvFFW5mIr
CwdImc23p4KB+k4k0W/kq8FCXk2uFLw6R6uVVxoM3kqZRH8SxoP/4Tw4yJKp
6xSpusDtTE+CB//vUwDEz4Whe26/eSZJgsE+oJng4gvTPuFcORSmri9aFdyG
RqVlgis/JkzfY3zJH701TVEwEQmBM6I1BHdfqSFmhHP3EwseVPTVIxDscyIF
5+7p2wMf4/z+K9bqSrKoAbjsS6+E8/stvEe2r7bzA+nHT5qre33gdWcXwaE3
jw+bnt51Rb5tdTul3SFwrzmW4O6dsqoqd15Lg8IuA73ol9uQ9bmC6GNwqP5Z
5bWTErAdd6+6AsvLDyIbgqOn9IuKsP8iDuvk3fdt+HxAFI0R3D1b0mTUEK8M
dOy5ltIS4gL04t5Ef4NIz+5TP60lwKtKDltoXIDmkw/B1w/+yG3q8FeGHZUS
aWNHVxgOpiB8xYc+CT5JFFKCIpXm/iJuVwgxjCb6LTyWuauTLKkMZO5Pq87T
e8JosxzRtyFp+51M9ZdzMPD6rPq7Rg84P8lJ9H+Ye2U68t5cEQT1JXqpl1wg
YJOP6OfwrSBc4pSAIpidLCoQtvEA6fFHRB+J8MC8f5NzSnD1Qx1V5SNfsIg2
J/pFVDWX4v0oYPl+t46jpi9IHtxL9KNwTNlrrBmtCOno12LWqD007FgTfu8e
qhGDc+nycCps5cw1f3sYcC4n/OFNR9InCrXloSx6SNC12gWsIq2JPg/Klsy4
Dxy2MvZIWM9ZwFlXBsIHTqXB9DJtSB5EnlfHbBVaYN83ToRv/O9TrzpkLgN/
bRIMPp+1B76hGcKn3b+Yjvu6IfBFC4+ttwWofJ4jfN3vZbtjU37JwesfEVw7
XB4gOahF9KOQCWgh90pTACOXNyAaEAgcHHREvxHXzV8Ch88qgEKoYJAZZQgI
fFYl+orkO7zG+5DAvjE5A/dvPjAYlkr0IXm+u4D3HYIpn+RwtlsJ8Mc1meg7
tOUmuMz26BRcvija4SudAFOs4kSfotdH8sNINcQhWrW4pI8qAdYeLRF9WjjC
334K/H0adqtJXHh/x0H4fDDRN8keavtoVSWAjc3cULskDkyaBYj+RWVW6Xi/
JlApKLJx5Y6GuuPF/9uvaWI6n2L/KehmJ+O68CYKlD4xE/2dHjt8O7nJKg0P
oneua9yNhYjTUUQ/qIRPpGqnRSUhNGz46Bv5WEj0lSX6R40J6F6fvXgWnv7J
efxgKRYEN+8QfZ9YTxngfZzg19nTkRXC8dBnIUn0cQoVev3WYJYPKF6PbNQ7
BkOwYR/RN6YntlPtbokhkjLxn4vYDgWGN2eJvj2Cy/z99Rp8YH2TT9mzPBQu
Ixui/0+Pv6cX3v+nXl6ziQ7VAa+P1BW8/w8p/ThcfsgLjyUeend8CQchnSWi
j5DcGWlxf0YpoEoLamD+Ggp8ckNEX6ZnB/bi/XNAgVyxWawvFMg0LhP9c6Yb
dpbbPU5D0PRhRzGpCKh2vEX0faJz/s523UIMHuo9GWuhjID9ETxEP5ywgBZf
UBAH7eVKf5mIYGBUukz02wljqtSQNlYEQ/7LsR1FYRBD8ZzoT3KMvOmgfwGC
Hj4l2y7TMBDxmyf6O6V75X5rfKoAfbNRBbH7I0HzhDnR3+PyUxu8TxSYDtPN
/6mPgJ/sZUSfqJgo6xXa1rOwPWrii9jD4ILdR6KvFH97Md6fClgpPlHLOUXA
V4kvRH+qGfuNkZKf5+Ap/5R1Syq2fppSEn1OWNs//FafVsTygCfKH9VDYDFK
k+iL8nKe42jDjXNgGyb102QrDJgdeog+Kn5D6Vl435ITS4sMmoeeQJOI00O8
b0m0+oE4+kFFCDGyVDhxPRKoDM4RfUgm2zlNfhw5AwU70j8aeu+AAYUx0W+K
cSIL708FPmcmyMoi7wC1MSPRn4rPYiCyJ0oWmHO25+k8o6H+RA7RN4xnXaHK
sloO9txkevaU7i54+nkR/anuNdDzO/vYobvbEo8dMx/CSvv4X5xz5I6LrXxz
xAbROosfCztfDZfDygku8paUkWT+qANKIWPa9WqtgQuNMkS9iOEOu4r1SVsk
Zu7758HOQ3gqPX8GrxdxF4hNr1BbobumA9Zf6arg4NOHBIe4Rh1sHrd2HdGP
r+zMVVWD0O1Gwn8YNDH7wMr4Fjrm7Wbt01ILa/w6RP1KWPbKUxsve6Rt3lfX
9rkGLJmoiLrHo/3G36YEXFFrjKeBsWsdRH780InX5QwbjtRtTjshXWPB4Ht3
ayHmjytRx7vDP5qQ0+uGtJ3vb9Xk1APfDT+inmYgHaR8xdAFyb+fDevPqgOh
BXqiPsZmmCFZLe+Ivn+10ieNqQHpLh6ivlf4bYVJd+smoqExqj70tRZEonZp
8LrK17wHHy/K2qFTgsJ7HnPXQgmVK1GHEbNgwOtIyER78qIPTz1ExRoSdSTx
m3FPYqoc0FCk/Iw4bx0IsAQTdScWT9ky4+uu6NMB75nn/zXAoVl2oo6UlefZ
kb/fHfnFjE8WWjfCQOVFou60IPmp9GuGCxq6kUmfo9sAFoOvTfG61m6XTqfv
49uoveqAhPpwE2gNURJ1bz9ktGin7YHcjRVVaaibwSj38wu87s1Le0DrJL0H
2nHSmLj+qgmERbiJetSTO2wHvyY7oyCaF3PTY3VQamtI1IvOJ1WG/N2xQZIJ
Vy/rS9aAie2iIO4vDSl4C71tgchwXwvr95oWkHTXIup4QRzs6T1zQWg3KqXC
M7YVPCaoCL3YHW0f+6EWhIq0FxueP22BrKJ6KlzXPvCQA9fB0dw7nkbViGYg
e7nsiuvgUaGq34/880Ej9LO+LjRNYKt5kKg3lki/L90U8kfD9/Z46WQ0w4LI
HqJOqFZpeVpf0Q9Jf7PKdN1qhNB1E0LXflCpY9+Y5oVepCj0dwU3gIBYGVGH
tDxi1ctCE4KCODVXjsq0Av19HkJPz2VnJU18G4iWtd/yeHo1g4SKHaGn/1o4
ySIsHYzkxq0U9lC1QnxrLqGnNz6X03XZDkLhtPISZTstULr/0xqu7/tePfYn
4V4wKuxoW7nm2wpmTjmOuJ4eyfmWZEwxFNWheQOHinbIP7pwENfNh7q7tfqp
3dBRr8zfRep1oLPFQNSHrwm+ZHvT7IxYT9W9NbpWC1zhqwx4nXnjQZtFR7U7
6jC22KLyqgcP5skuvM5sHf4OlCc9kEQBfy7vUgOU+1wk6sbnrCQyyfw80amx
izQk2Q1Q5nKIqOv+1XDG66uIVvWorjR/E/DxqhL11YOpE4wrZbfRyl0RS3n9
erhs/G8Ur+smCCvMH9gXiabf/k0vieoBgzQzQg9KGneK2u8Qis6zOsqYe3RD
/5smQod602K4a5sSjT47XpmtYR2AYhETQlcKFRb9HjgSge58O5WbI9gLoiv1
hA5l2MXw8c2vWKQWMPChsmQI1OI2LuG6QIXjuXtbU9FIxWZro0V+EPIPTpLh
OgjpeZ/1CRSHHBvvTFusD8Gn77KEXmAlr6pYvJGA3pltOsjkjYH/fyWEXiAV
edPYtiMUCRrT7F3b1w0bp8ZEcR1Qw6MM1w3RlOL9uBG3LlhjSCR0w+mpq09c
5YNRz5p4kDJ7F9jv8SV0wBtsew5G9/ijl7NuN1j7HgHj63k5XDcUKdNWZ6L3
Rzas332mbDrhU5oxobt9j40y6Y8LQnQdquIrL7sgstCO0O8mnO+0q415o/vB
7lEW0A7HekQJvc/4sMmzOeF6ZOTQiesscF9GvRnXWaQXsjXDLj1AjC7yV9Hg
c3BWEyP0Dpn/lHBdCeWcfCpx/OY4gI42oStJflTa6CPNQfu3rj6ZmJmDjl4d
Qp/ac91kIcOxHpUclMD1EXBUDSvC9ZGsy9+UmWsikJBfK9uHX70QJnCb0KE8
Pn7k/uUUi16E2/azRQ3Bz+I//LiuVDG2zKqcH41Eq7KfKnIMgRBpKqFDveC3
/nM8MgbtWfflOfJuCAwfFxD6l/GH40+4BUNRr3v0gby9T0Anqo/Qg5Kfynzs
y/ZCaYMjYVtDLXAl3ZnQB5VeqB46FHUbhRxg3Q43aoYTaZ2EnvhXrrvNXdsX
bT8/H7LzrA0UXCII/ZHy+ZwU27Qn0jIs8NnhboXM9CJCV02I95i6u+mKTghy
v+PG3nNFy/+h6rzjufz+/x8SSihRiZKRzIwSGU87K0VllEKkkE3KyN6bzCh7
j2wqnrKKJDQ0JEV70JBS8X2d6337/G6337/ndt3O9Xpdr3Nd51yv83je7wep
fcaV9l8lzwx7wXOV/G6dxhb0MTpM7c8ya996deilB5TlWYuFCDTjsQ8v28k+
o4Nq2C0mLy/YkWz3TTW4Gdtz30SSfUMZ056Xtc9cYC6x7+K4VQO+f7UQTfYj
2pIvhYfKegIzi/6b8StN6NAoR+0LbH82d+PlUzdgUI4R7UxpxJe2W6j//7uV
+9gqYi6Afbem7XGNdtz1lI7af3zacZnsL0OVrqJ3rOp1bF6qovaXn4qOk/1o
aNexP5KX0IbFdrXUfvTZJexb5UmbX747ys+/bcJkw0Bq/5T17WqSu8CoTeOz
vawpuGx5G5W7iLEXvhcYvha51wyZpv9Lxvq7G6mcBvvKsg/rD2zFu9YbRrIM
U5FVYAOV95jO2G30MH4NKnleWfqrlIrbDB5QeY8NR42o/X2mMKnNGqtSUNXh
BrW//788gEDLdbNlyqnYNBpJ5QEuS7aQ/Alq7Pk5O5ByEZOfClL5E2cdn0tZ
VhzIkFEx+i7oInrpv6ByBbZagl+yZEVxv+zy8cjTqci/MZnK29zXb7YStRDB
V66nTRuvXsQ5JmEqr3JT3rVw5UcxvPUwNfL2thSUj//tSXI4Jluv37J4yIYH
HzqGHeG+gk89xKhcQY/O2vTv2zmwjq9LuPjmZRQ2FaFyCLa77ESOtfzsmE7u
3l1mloenQxionEbjXfZOj5Fl6PIE15WK5aHpjuVUriPitrDtJmsW+FJ80PXH
yXwsLU+i8hsnP788O1/9TVX/ieR+YfF8pKfjo/Ih5Y9UeA/92Qg3noRff6FV
gIdVY6icxu2kirOcZuxgOwc/zFcU4Lvze6hch/ay3CjrO6Wqh8RDHv5JyEPu
kh1UDuSb3tdNv/O5UX1zdj/np1wcyRincizdntfYuC5uwIsxE/YiMblofbOc
yv9st7gZayXMhFdN6jZ5X7iCPXEpVI7if7/Xg3669z7+F3Fn3KI2+f+ZJUDL
fJ/XepRm3uTruScXWU7eovJFPS9LCV8LT0u+o9/Yk4E3BGMpvlZGWjXbmMZ2
tD2sXLE6IgNZDbyoHM7lnTHYESKB0cf9DrqmZKCBWg3F73of0MX8YHo7rrSp
TBWXz8C+XkOK9yU7VEc4XaibZfZGjSMTGe7+uUc4XTox7kzF/0Qx8dK38yXn
svDQwDEq//PxvMLyR57bkbXghr6rSBYOl9pTeaE6kTVTH6J3II+7C0ejfTqu
e/OZ4qEVcG2xq9krjnFCg9aKoumIc0IUf2x6s0Ejr58UTjgUWNkvy8RNvYwU
T6zja08Wr44Mpn416LpXnY4/DvlS/DSVM1yWrGH8+GSVYXH5yRxcnRpH5Yu2
Z+7QYs7ix8x3X5wzWHIw28eXyncN+5zr4DXejLx/RzG/4xJydYtQebA/2/JJ
vgsZ04ffl6Zm45RrNpXvUozNlDGwFUDPEvUq4X3ZqD2RSeXBONbJfD/pJIzr
/UPZFV5nYqlaHpVTymPRJ3kqfMy+lVn8Qzba5Y9TearozU4ie4RSoXg+KPKh
cB/yHlS/T/Krh4wCihcLE2HrrXb5NuZuHOVyMiH5z9Gj4Va3BtJhfLtt3xOT
AeRlGFYjec7fOZpbBFVToHaKlzN5vBfZ7IytSR4vINpkRf9gDAzdKWJQG+nE
9gkvI5LHozcSERjbmwB7lfoEGV/T5l+fT79Jrm9irfOoCWMcvBPaobr8QycO
pbm0kHypob5VbApnFBg8lnd+atmBJqMrqPzeViv7A/v2XwKYqx3ZPzaE9TqX
95Hc6Y0vi2H88VfAdEZwISRlBH0MHruRHKy/bYehTd0lGNe11308MYQRvBv7
SW72ZzxL3UmpixCZ11qUHNmHlXtCXUn+VsL3R/uf9CRI+W2uh3u60S0mm5Pk
dUuffq4x4MmE+WXDXa8/DOAtH5VBku/VOG1J8o1wocDYjNe9DXXPhFH5RvHp
dSQPCWNpmtqhhdfx1d4oKg+puOOJB49QBLBG+8leUO/A0418VO4xNTzgxQR7
JGRNa+4u0+1AttnpQpJLXPbCpUylMRqGH3Lu6bnZiVsm9T6R/GHumeIu909h
QG8xMHei+DpmarZLkbyilOqkFoMIHYy3FDJH3M/H79o3qByXcIap5+SxTfBM
V6Wb7UMBPsxspnKw+r1nq8In1wBHccWV5Y0FWKGtQOVmw2J1rzZaikG1aFEg
39oilN/7e5HkYy/krGZSeCUAJy8HMifcKcT9Hpep/K3MrXyS4wVGr6+n368q
Rtv5GCrHm1/mTnK/YGrsZ3C7swijYruo3G+FyVrDua084HWz8ZtKSiGWLy3p
k3zvYcV33H/3lnTcMn0PB//kYbevBJWvM9uedeTyMkGgW/9V5Y5AIcY7tFG5
te8HZo4pbs+BO0rHb4y+HMLWz6LlJC/tm8bso1CZBRVu3FwaDXcwqmPbCMnx
9o4pZMYU58Bq44IR5qkhXCztaSY53rCVaau4ePNBMfksvY7nKDrO28+RXPSE
+jYdAeMa+OA8Us9iNolnZucX+z0+YqC4f5SivAC063d+7g8tQuv+zVTuV6zX
y1B67y4IPa3vfHxNCWrZ7qHqWPmbZ6v0tkoD+2yUk+7NYgwKjKLqXpuqcr5x
1YmA6AexJcOgYkx1yKDqQC0aDjm9H9gLTw2fxLU4xqD1CTHie8JL338/WuxS
B0E+vantOdHII1xF/FDY2aot89tOD/o61q96PBaPxSuCiX8KO14ervlooAk3
kvkWZL/EoY00M/FVoZU2P/OSzS7Yzhn/0L49Ci/dFCS+J9ypITHRDAqwzOT1
i6yvsZjkuI94o1DIy2OHlpwBsCc6H7coS8KqChfiw0JFh83+j1Zog0GakRkK
JyGb5yjxZyE9y1qZ6nuHQSbZa+Hw+iTs8lMlfii0kUmQmlplDG3cwZm3fyVg
5UA18V7hZO+Cr/tjU7hbt71P91cyVrwXJz4mbL3d9kGLwYT2Pthnf0o/GaWY
a4g/C49rfT8XKn0AnDRaD550iMXWWSbiaUIpeuldbV+3wdLUa26/FbHYMrmT
+LCwyiD2/PUNQ6qTPYZXpsRp11O7h/iDsG95L8OKXxJQw54+Prw9AdnsnxPf
EOqeb0/ddZAZdg6f3fFZLh7Tz68jHiXU4RVIHPstgB5fQ8WX2USj/sJ6qu4+
3Tx04n3YJtxizWzdcCAO2ZycqPr6DqEc5aqV9Jh5qnIvj2Qkrl/zgfinsCXx
jrbzJREshPiLjL4RmN0YTdXpi8/ruH/O3Aob/OML/n2OxOB9jcTPhbvfilzK
8lWCOTbZ0P3SicjPvZF4uJBBWOOX7AwjvLMaTMooCcCRhCrir0G7qR+65zK3
4HX+OWf3Nn88PhJAfDeYdtVmmLNrDey/Okef8jAYTSsDiB8Hy24Puh3T2ogb
0++4XNYJxkx+FuLPQscfT7jdVsugZiL7KoHnfih13IniWbHuxDEb0R0oY7BO
fOxmEOoMbKK4VZx0f8cErQWQP3m9ivHMWRS8EE88OLg/xzjKRk0W2USeVjfB
WWy685niX70Rjb44MCIGQ0e5G074nMMxppXEU4NHVHcdZ+mYUy3bbPnbuMoH
H7UIEm8O2jwItXK5LQnvAorrzxRfQGPGd8S/g9MSDe43U5ThlKef/IfmQFyp
1UP8TVgSOtFsFK4KWjKXGATWhaKVWi7xQKFUvnHaTJM08G7d8WqXawj2SgsQ
vw8O7Hoo/IzxCNT4c03tuRKPO1t3Eh8Z2kX/i/8+fQiEW/KmXHzjUINJgvjL
8Fv1R991dEdBvXueO6k9CR8dCSK+Mxx4NG0Xx2sJ82nvt36oT0FXfyniC0O2
x7vSL93fCJ/LxXm5J8KQcV0R8f5gCR3/wyZcg67tq/hs5cPQ9LAV8Zrh0o57
Gy0qxHHl869hpdmhWCv1lnjQ0O25B8P9c57QfddkZfq7Qqz4+If4OLAj1m9u
SsodEnP29a39XICpnO7E34H6o8K3f5l4gXHm93pLz2Lcz37wYSPtOSMtLH1V
ZM4dnEPrWDKtinDPyjUTLrR+1HUGjK3FXSDhEdumAKYCTB7wJP4LnFYNonNP
cwW6tnth5+wK0W0kgPg10O3ZwWXJGt6wMPjt/Xv2Uqw6LCGdOk/7vUQTww4O
eQDdiPZwxctizCvQGXSmndfy1VmBC33n4bv1mOT3uVIMFeNvHP85gwaiS/f4
Pp6FlKxIof7CEkx9Zvv6Ga2fJdvTHfkzvlDaoj3RfL8cp2bnb9qR+qwNx4fo
53xgqnhtQdbxMlyMTFFNpfUzemqj4o22cxCtVpe2RroE1Y4vEu8Gsv27M9jz
2xsMbX+FnvtXhKunS4mXBJ2nv4/Y5TiBQ/HzpP4LBVgpUUL8IDjMIm/g9/MU
PFH+Fv69Mh9fFvMEctHmo1VJqo+NVjjD5rOFkfUPCtFHr4X4KXCI44B6jYYD
PPbkY1KbKcD+gy+IzwJFbQsrfKbt4EE6XdkQax6WL7gQDwU+y2KF15K2wLNf
aHP16Svot6KX+DiQy/fCtvFJWwjUy3qkK5KHxVkJxMeBR55dsjbqtYePH72Z
EzzzMDmxingu8HeW/JueHDsQ8KEfHnufh/OLRsS7gQkbvz4KPuAIM9LsPhy7
8nGZnrzvIVr7H85alrgkNwhdZV0sfq8IEzr/Ea8KttpttShL3AXnPFkF5XVT
UOGsIPHQ4Skz9YtyGoJwKcL196n6ZJRP4iTeOuRL7WLwLlaEmBfeQ0afUvH5
MjfiuUMhS5+CJ+NioJ0ZviCjm4pW54KJFw/54xLUhHa+6zBvVVodIpKMW38a
EQ8dlsSbGEjsWgERcedbN1xNQY+Gs8Qrh40WEsNVvKoQJxxTrpGZhu/3xxJP
HLp9HKvlTpeBzD7G3UdeX8Rr9z2Jnw7v9TYt8T2WAcWzQTWilUl458514oPD
55am/VurN4Dd090/9ggm4S5/TeLLw7DIQ6qJfewYfWf1I339RJQMcyV+PSx8
FeS3f5M8TGz9HHg1Jh09uuWJzw6TjzRrHq4QBgWTweCHj9JwZNyb+F/QJbJ5
XRmdEjx9WxrEpZiJzClXKB5dgafry4JZf/DZlbvllFs5Rqi5nKqmjdsd4pWt
rnABNrqm2a3wqUQRrWytP99ncO/9LsHV3X5w7KiSzZfwUrTbvU9NlPCB82L5
HfzVwZLf/8GsYQYeDhAmHj00jjER8YvhgZtpa8wvw0VU0HAl/j58JdBZOrtZ
CzZHM5Tpr8rCWdZyioPnx/GY92qVJVhY7j0i5HoB5Q06XnfRvq/nyxXbzxua
QZOfuvwBlQDc5nrX/TbZBzxMryq2+xiExweJXlsTiomlsjfzyfPwsPKz93fN
oFKpwSzPOASX1d+cIvsmsyF6k5Z93vBqA4vrNe80jH9ncJuL9nkCNeX6lQ55
wlx7wHSX9UXUDXc306O1m48n/lqufhYKbjxadsOE9n7HEmqaTPucN6JfhF3r
9oQpV/7ch1wZKN9+8eIorX1hofyXyctjoMLJoCD3IwLbba/0nyPz5ov122bO
mMMSv7ehBmsEnlE+K0j2p1junTT5XGcHx92SP4q2h+Gikv8twumqOOGWyBxt
A9wOc4vDL0KxN03Rg+w3zb6QYErjPAkcXxZ+RPyKQp+lcbFjZL5LGYkQnLaB
v9kKKzfR5uU2s8pJJzI/ujZOv1W1ARXX9c+2twTinVZ+/xu0dgFXUbczae6Q
9SCfrpo+HdN4e0RIzip/R6qU4iZ3uKtiIZQymoY7lced19DaT69j0/ILcYek
5UpZslLpKKeWfncZGeenVTPWP3GDrZG/b7X9zUDnnB/9JI+nfztur80Xd8ge
uOn5IDUTxcrSuhIJB9tsQ4tVgxvw5yz3fq2ViseWkpX8CFc5av11L1Nn+KJg
XL9gnYKOwZXteWT/0ZLx034WFxhwytqsNXgR00K89qmT8aO28aSfnAeo3nzo
PPkyFVndzb5Z0drbucOF+gbPQrC7WUuQ+iUM6mfw/0V7Xs04oUmKhhe8ofPP
jX2ahc/HlEf0yHv9xTN6GfmesElOaaH3djQml2bXq5P8QK3NvIuKJ+REVh3e
UpCA91NzYZHW/7e/cxzw2x0m3+5j9PwUhWpNB4LJurdEu+vbLy8P+Dev89lB
KAFPPpdLYKK1fzW6pZnd6App5bqXWzojccSMWcWW1s5/Qs3lB7cb5O8Abrvc
ONS/ZLxJkNbue+ppz5oed+hbVbt4gPa739N9G0M4cq2XL7+gM3EF1e7QFpGv
IbjDVPdXOq19opCLtey7Jyx8eHFk4k4Yxt7xWfSltYduXLiY6OMFCfeY2zxX
hGOSYI0hyV3cd9adY2/ygog3BV/O2cSg5oj3TrIOdNy+f8e1vnYoi2SrOHmb
Nu8WCxzxe/iqI2Xjncy0C+3AkZHe6tFPu+6Sb/X5ae3vtrmGraTzBvuWge7Z
u4lo5v0r4i3h8tUnbJLvOQWdZ+/UrdILxnmVjb5VJA/gKr024IQd5F53kamN
DcJ17H84yPrNVtpV0WPjafA0d51QqQxHzV7FaLLOHOX7paAechq27twsobkh
BkudjK0MyX79clMVr24niC9raO2qjMAFRitvT1r7VE3w7U07z8DvY0d1ThnF
osw5axFFWruldfTU+CknuBYzNk/PRVtHeRaGE27ead4dkC+mBf/CWf79PhKE
E1u2E28m7sk+P9gqpQ0e1omctdWhKNA9QPyb6HWwx6r45eeO4d8VQ0qZZqjd
oEz8kpj+Z2++Yck2RLn2NodxU9z16yjxXaL/WXvHCxcmOrquHuBUyjmF8eZy
xC+JFQbx/CyDwihgIpsrMWmPLbkniL8SkzIrnSutv3a8kJv0J55Kw/88ldiX
VWe69GUb8l78c4/4MX/IUX5M/Jn8PKc71wCypPeeDePyQ7efPsQvias3fDj3
0FQTMvFkTzuvLwr49hFfJx46fpJNPsgQrOz4FgTng7D5+QPi/cTn1w1zVo2a
AKvXhJLj5WD0bLUivkuUsxV8dN3+IG3d7sn+VS4cB+r6iNcSH/gcGDiYvg8u
f3mxnNsxDN8x5hGvKN7lZ17b8XcPvPuZYadrfB7PRnURfyia0Z9bMTomhxtX
rshzkLFHNNUiHk8sfCrlkmclhOY+AfRPJdwxyKKO+CKx2+KA/D4pOYxZUNMO
K3fDQYVZ4pdEpjdbhSxVdiJu/+c/LmmKEOxHfKN42oq5QMJqJ7q8nmKLGJTo
UH1KeUXxm2028U6q2s+Jqkpfc8flwc+IdxJXG/KmOcs7Qrqvwl/D8VQ8KZt8
25E2bnsLlj2pL7eHTLcG9hWLKZi+ylI5kdYePRyzWfubIyj6rRv6tTMdDVL2
ezCRXHdRRbOH+Snw4skuGNuThgsOEtdI3rt278X0nuO2sEuGg69jRwpm3smz
rF0k3LMa3WQ6O2DjrTIcN7mIX3JXlZL/LdvN+Lro2e3hW925vaMDSRhRlnJy
gtaupy41lDl0Atg9zVY4cCWhNCdd3zytvV/ciEMpyQFSZh/ck05IRtUm+5Sb
5PPPfvFwTHQF3cDhEJ7TGdg/cihgkPZ8q/9eO7ZkbgJh/Wx+s1v8MdJOHAjH
73a1+CyLiTVMp5yzo3NLRsWCi3iH5GzrjQ0n31vDM+XeS5Z+qXj+WOT3QFp7
VJRE8KoMKzA6ePfQqScJGKKuL85G60ej29F2eK82tvziTDG+6YFhPeUU3+/I
7ZDH++a08J8bY3CUnw9GfN1D8QBTwsQIPxDfGt+Y+j7gj44hhyh+oEhNb9ba
JC0M/WqrdUbZH9nceyjeYL55avVPCS3EE4cj5R7Rxq1aCMWX8xClC3q5XgsH
hLaeagwJwqY13hSP7oqwnsXlZi2scB0Iz/A+h2kbgygu4ouNVxeHBbXRONlZ
8dVXH7z57wLFUbw7vz7+u6IWuse7n05zCMArQeso/qFi+nzfnUBtZOs+o9G2
xRPXDY9SHEXbpxHWEm0yGDQaprOxOArD+kUoLl+T+QW5wUtSaLOb+YXxhVgM
K9tLcfYCTzu3DgcqYLavBybOR2LnK0eKB3hGd12sqKY8Fk+qTq69EYMf9qZQ
vL6SovCPq1/IYefhClv+B+G4PliK4vtly33ItPLfg09WDldN7glHZ91bFCeQ
Tjd/jZabJuYHt1/yVgjCoOV+FB+v3vnRx6BkTdT+zD04aRCKjtnaFC/Uht2F
8D+Rm5Ne/8/HEHw42knxP5/J5JbabdDBhGfjjtJrD+KXBFWKd+36+/e6pmFt
VP/5REul0QQLfaQoPnb02QTCXUQVuQffX66zxZdLDyju4uqDKiJ2TdrYy1EW
PNZ8Ar35DSh+4/of5Zp881poWDTJUGltgsFXrCl+4x+LibfTE1rYc+grl4zt
CRyqbaQ4kP0nWziHnmij9ab/ONvJLf9xtk9N7bghtaSF7b7/cR2tLv7Hdbyj
vqem1lYDHe35ou/7eeH37zwUn1zSZVZxDZcWyjXzK7b89UQfXnOKv32yNbJL
+YM66u+sPH205Dz+Vmeh+Oclsyd9y4o10ai/7vrPFefRdz6P4oSv0xr9WfFP
FfO1XPbuOOSLywYiKC76Mb2jV1SvqWC05ugRoYpATPXZTnHLhf/k7dx5WB1X
OzU5Nj2+gDJ28RSHXNtlx9soAR1U/vEfJ/zft/844XK/0gV+8GqioZ784NUN
F3CD8Q2KZz749kXObl5tXJNn79sX5YnZW4QpbmdgbVvJ5lva2PHoXhxXyRls
f+dAcSmf8Eia3YnURs5VVhN3NpzBwexjFMdyKtOT1Yd2X+xYEL+35ZITOuXb
UNxLsfzshY/pahhGr36xezgO16Xso3i8r757Wu86rIaJO/ynzu+Lw1uPD1L8
29nCbMLXRTE+OUO544no/fQQxdc93xDHxbeois/yLFP6hhJQT0iA4uie+s6g
ukZAGZ3YdnummiRjhtc9itM7et3KWkhJBaWg0nJ0IQlNu85RXF+zn034rUAR
x/catnJUpuBRzTGKs8o50f1Af3EPLjR+tl9nmIIO7VspLuuu0oT6ATEV3Pxg
xZZXVUl4eISL4q++q5gXEvJURwVbx/nDhjHYpPHvDuEYW3LYep3YoI6iAvNC
bx9E46aMGop7HLpvNsB/jwa6dip7LtyLRJv3jRTf+Ie7lp29iyoekYn/U7KU
iDMh1RQ3eIu4zrEOLTWsaXz/KdwuHqUzIihe8at++qXC6+rYcqbk3+KYMUpG
/KW4r113f8W0v1NFJc2jDnkFxvjRQo/i3N6xoq0/8xRxecjzpvU+xvhC5z8u
bsXWTYdvf1PFvyH/cW5TJf7j3P6VS3t4pUwRGc3/4+LqbvqPizvHe0VddYcS
nu/eY94+n4xNfXEUP1a5odeg6qY6TjL9x5u9I/wfb1bsSeBX9Q51dFCQsgiR
CEP+X/kU57M6+i2L1IIGiipMqBc0096nzg9QPOFjHLJxp9+q4aFHndMXeiPQ
puPfOpJnWzqvUGQor4EvT987tkEtAo1a11F8479LigLykxooflkkyvBWOG4+
XUDxkD9Jv2Bf+xHwRyvLVPbJaFy7JoPiHh9jMfAbslDHF+PWv04MR2GfjArF
VV5akSPC90QF92oEBjwxi8RfjNYUZ/WC7rK2xH4lzPd8OGjOEoOBN20pfmn4
6H3/qmpAvo+akUPVYfi7h57irFrnCBu5f9bAZX2eXkNHwnHkxGaKh6xW7vzu
yB51XLZbV/HaaAx+ZFl6QHKVFTN/1cs3aOBg2so7+npR2Nm9iuJX/8ztOs/3
SwfMxq9dMn2QjTa8TRTvXXoNp1D8NjUQ5euQC/iahedVnlF8+NpXVbHWK/VB
k+7JHrnyHHSfEKP47dr5jFuY6TRBWXfVma+NlzBT9CXFe69+Vyu5P8kAXsfs
eMH/JQuVl5+nuPTLY/+2zF0xggXld7/0+y8hfdYP4qfGw6JZvaFOJjDyfMhg
WVEO7i0+SvHwK3k+z8cKH4Jnz/PXeV66jDOCC8RrjEnXCgJrfh6Ai7c69QXr
crFCbT3F4fewl3ggYa4HRn+M5NfYXEHuMFGKfx531VOt+aoGFJocFU04dhk3
jeykeOmrxCuMyoN1oX9bdr3w28uolZtA8c/fj39d/H5RA9QqUzfZ7LtMW1/R
U7x0qZEOwkWH1iu+AqIqeXidg4fiol8c+EQ47XDBLV5fWDkfs7feoTjtxfsP
Ea47fHlza7dccR7SreijuO7OMrlj19fqQEbyc6G0sFyU5TpMcdGLrDdHRuwF
kA5ViuFPyUGzohyKf86sUCrh/tsIXBIjD4Z7XsEay+cU/7x2i+o+51pD+G7r
ZyPsfxlx6gLFUR/S9V1d/NgGKt12h83q5uEhOQPit8Vhz2nCvQfZt51/5/jy
0Ea9iOLev1gtUDOdbQPCPolb+PflYfLryxQ/Pzm8w+9O4Qkw/PnlOe+RfGTb
nE9x+Acfru7562sF9j8m0rtL8rD5Dz3F7T9zKkR/buw41K42Mi82zkPxlWso
Pr+n6pdG83YreGzzkU2M6TIyuXtT/PyfDDUP7fYfgaAjB3N3P87B2VhPircv
yuTVbidiCRw/WJQLvlzGykN5FLe/QTb4UfzQSTjTsnnQlrcAnYQGiA8X/4gz
EN4+9K+aZ/jecQk7xnwo3r5DgzvTs5EDcP181If2tmycUQmhPAh31bKcDrKb
QVSjxpUjHbkYVSBC+RTq/pyK/mtnAXGXFkMsJq+g4+ZzlH9hy5flfuwFljA2
WvGZ2SgPmzasoTj//C5lRRVd1hDovtFlWW857W3lXxHxvIhvdEjVdrcEOofV
AZ+Hy9CweBPlhdHwmXXgtj8Bt+/nh7+UrMS07zKU54XefGYqwckK1J10k4q2
VWCgGT/luXDd+azolMUpEL7OP3L5bTXWxPzdQ7wYcvGWJ3rF7cBlsHHn3uoq
3H13FeXRWCzQveFndxIaHuy4ObK/CtWfbKN8MTNOIqHDH20g1SIwzvN0OfI7
hVAenKHRe5+Y/Y+D+59WeO5ahj3pEZRnh0/940hVui20vK3ZKDZSgXu7/SlP
jcE52WibiqNwtIxrgV+iFNcmPqY8OzwCOUeHeMzg6rP8el6LEgzazEx5edRq
TJqPVFuAsJBMKU98KT448DuH+H38DoheLn+qiGUcnJEfcryx4q8a5U8RN2wg
HhbsWQeMriu8MZvpN+Vh4Zj3OzjSroALag//fuLww6srnSgPy9WqjZcVrXfj
vt+bcvt1gvBv0QnKq+J36rTtKmMbcI099r46qRKTO45SXg++l6xZ/1xNIVms
Vn/T4ULUjjpA+QtCbtITrw2E+Hl2nyktwFufKimvzQlVNaWEDnOQmBB7vdW9
CLnk7Ck/jp9QFEfsoUOwuanm0v3mQtwhM0b5dCQDDm+3fGUIthbPW+qYCrDd
WZDy5vCJpzwOsT0AO9/Fr2leVYieFnaU7+ajr1ZPv9IBUNxroTyZn49/Eowo
P87xn73PRkEPgti2c/ex5iPXFwnKpzNUIPNe/Jk2xFz7sZ+DJw/1ONdSngVP
W9uDK/QPgZeIyf0hzQJcySRCeSWaldiINwe4K85FRg2VoNoyTsqbky64LdFi
lQW0WbNFD80XI0tCKOUzarJdS7xIYBn7TXhpbRnOsZZRXiSVuOmNR5oOweq/
B3hl5IrxGYc05UVy2fRR/ofCUagQueW3NasY77XtpnxDvNlVxE8EPzbMrZEd
KcJlr5eeEz+R03A98fsAbE/a/WBjESq3jlF+H/Eev32nzzniv6M3Kq9/vAoX
+P4srPwyA8tY7RxPHnFB+fNRQX6tdRD/6pmcwacZuHlPv99+x2n8FMyek/uv
Fvru7Facm5kBMZmYf4V3nfBGS86X821XgV1FrcuT1s9j/vMl5ubumC7T0X87
tx6shjc2Kn+YgS2+exZ+P3TFSzPJ6YnRdeAkwn6qjtb/4lftt4cWzmBjnvZD
9s91oOpgv3rs4wycz3vF8OWiG+LdTvGxoXo4Kaasc+f9DFjdlKpOmrVDPe6w
M+PVNWAVfOi92tcZmF9le/PfP3u8EBgkZrrzKuj2bROLoX3OfavGPR+JeWBd
9vWLRz3q4UoJw40rtM+z51OyQEeNFxaMx9qznWuAz62H2sXfzcCj34EHJlvc
cG735a9HrOogeSF7DevnGWBNFxq5vdoT+Sw3S5Ua1EPYDf1bP2n97BNSfsXi
74PaS3J1dJcbwUfunor66xlocLk28bHcG+WPid6Gww2w4W36QACt/4Nhn1t1
Rs9iYmjTYdHpRlC0GUiMm56BP2t3s0iOnscDg5/094g2A4/TrWyulzOQ83Xe
NL/XE1f9lHKuv9IAMobv3g2+nQHH8fmPtarOmNP/T4Mh7irtFPLyI7Tr//ea
1Uf+hz54ZPKywjKhNuBq+0Gn+XgGnh74N+Fj7IcMAZXVyx5cg9Mhd0yaRmdg
Wl9XiiPGG9kj9+hEWbTA139Lhu3Paf2IyOb1Xz6H0/Llgv8GWqFRFdrNnsyA
5uJppamnbnjmuvzIzZRGGBQa43Clfd92aXfHcFlPVNWt7Zm40gT0lnwZ+a9o
v8vqoA31z1wwJIuFfsKqARqzgiM8aNeB/uh6nZksd1StXlGRd7ARdnUPmrO/
mYFDXxkyAm56o3CKl8W+O83AKTKZZv5iBhjZYOsZ47NYJJlybs3qFshXTbqf
NTEDIkmedSxeXrjxiRmzenAzQP+/YKnJGYh5l2MfO++BbonPPgrTrmd1ZymX
KO16MvY8LVjt6YEHEqa3/37bBH5L/OcnaO39U9fOugx7oeA9JhG9xhbwfiMn
2zA+A1vf0HWYvvTAFeO+kmECzTDyRadViXb86Njm8IRqJ9yaso5pp0g9+J0Y
7D1EG7fxuifdYoTcUNn6dpWfUANU3Vjuu4w2bid61icZKjvgoZ9hy7sE6+D1
U03Pi7RxteByf62lnQd+2/3c/jFvI2yzlPTOpF2HL9u4a4oYvVBi7fGikpNN
wKRoV648Rftei5GOMmvP4lVBn9/2z5tB5NGnZ4K067PxvXbTNtUUjI7INUwb
74Wv+Z+kD0TMgN0jl+HBgXR0f3T67QuTAYi9efzziNEM8IZ67lhelIg32Q6e
usHcDePlx+W+FM5A1yfbLapCqdgfdfzpE+E+SO5kKvgTMgMzF5ZzHt5/CXte
zEibjw0BCI71Fa+agZF5lfPGPJnIuCVJ4tOHAVjx/p5HgM4MhG0c/HK67hLO
NVQ2TE4MgfpnN/UNtOMN+Ry+mzLG4fnXvLjiQyd0HBvLt22hnbf9ZeNiehLa
z47FdO3phpANcd9n82fAzfUz0yv2SBz9lyVVpdsBpYb5F3/0zkBp+2u6u4Mx
eGqts6/GSCe4bzFX3Ns6A1UXFo55fQpD1p5+efvi6/CIx0Sw/N4MhB7Z9CuN
MwqZ7u44MWHZAamb290u0frhiFosUm+Mxrulryv6bnbCekPvsce0fgY7vimM
703AqLpNusyvu2D1jexnFsUz8OSqAIv69hysupco9OzlEIiJXto6tHIGpGUv
PXGQuojMhiMC6ZF9cO7XGaWACzPw+5YUD2edCJZt/bdrX1AxXIr3IHkYuNlf
9YNw44W+HSqkuPGhJ0h+Bt7wrPhB+Huatk9ZBkKL4MdNVpLDganwzC2bLUUx
oXyNB+ENXgwsJ7kjYOjN2ycWfwVTQuzsolJGYNNu4zK+m1+gK4Z5Q/+1QJwz
0Sz8frUV2FacCkik3b8pRo1BfU+D8J78n9O+8W1QzSDjc+/RDPjz4OcfekGY
Va+s9eReK/xLqVguQTs+2EBxm+efIJQRfTNQ+a8Vlmk1v0unPU+6Of5w3/G9
gI6dr+b0I1rg/OSuM7y054bUdp3d5ur+yOixIcZroQmuTC2NJ9DuFx2d/VfS
JgPRuarG5vy5Ftgo2N0MtOO3Pt0zJqUQjFE/hl8ysLbBejqDO6do/fsu99bk
WfLFWzLTrp7szSB5LFvBgtbPt7lW75aMczhx2/ZUV3AjcLV6tUfQnj/9tmxN
CxIB2KQ8euNQVgvcN1FZfEe7fx2s2T9uYg/BMpb9KZsV2+B8asm3kbEZUGj3
+peaEIysltx5J/zaYB/jKzsGWrvlxYrtDavD8Nbs47CIwuvAc0H4citt/PT8
NHr3xTgE1wybsW9xb4PUT53mfLTj37PUn+MTisAoyTThEPUOYB2dteTpmwH7
h+xOw+qh+FiROdul8jr4/XBdKqL183abYAvh0ic7ls8TLj3atWv9+zkD4bxD
k4S7/ijQkGckpgz8+M0Jdx0ueGjMEb/q9/vG7cSvqq83vWVkfgbKVz3wXNeq
jQnV+g+JR/juzzpOL1p79VnmmzGtRngq96WMoEg58Nb9meSh9dOsYS2X2auP
RbF3td59KwU2dSFSpw8+95jCv34zRBUpa5bk3nIo/lrTnTNHu48uNcpL+Rnj
wJqUaQ/nCqi+H6DLSWs3VXpgr1BqgjHC9GYRPlVga+BdZfJ9BhI3RwoO7jHF
aBGpLdf2VMPwloDH+d9moJZPkXW//wH8/FpxNImzEiZsWAkPHOJ+ur4iPPDy
RcVxk9uV4Hhcsu0TrZ/CttSDe5v3YpKpwGEZ2XLQ6NlH+PzgzsE4ODlsjvHj
N5fWLauCZb/qxK/TjvfQOxeOisew5qf2vMKXKnjodm3tG9p5fzQrXG4TMkWu
mxW5G3MrIPPCH4aPtPOymM/Gn1U9gj/jwriKzldC5YBxxg5ae/rLaV/pDTb4
qk5f4tZ8NTzONGWdpa0rjlzpvVU/cRyj/2QyLLpUgb5r9Fsz2nkHKppLCJ8/
rWzxB+HzL3t/6eYC7fqI/vs+WuVnhg57y7tfbqqAUsbnxw7T2ltLFceIF2BV
jGi/91g5tHGODcTT2qUT/Lfs2n8AS/SqJ4kX4NiL8K4Y2vflYF09TDj/VbVM
XzaJV4LnnuhWT9rnPLNo4ezIY4HCiZKpJtJ1wE/rPIg2jwyzjL6tbDyGjtF3
GX+V1sH6hH99vrT1VQ8za96GBFMcV5o6aWJwFRwnpSttaOui9vasKrfeI2gj
npuvTlu/XTWsDQugrR+Cjvf7LjrYYMDR1vvRMvUgoy3hr0Wb1770H9TK9rXC
3M8GZY676yBB45iyG+28T5/2ZDySOYTmenv+qn+pgUZ5Pk5m2nXTlFByDGMz
x80r+vZ+ba2FP6oiuWqzM9Dr4ChU426Nncf2BhyrrIci1wvp4rR1VG6ib8oN
JVu8p/7k2px6A8hWBKzpoa0Tahg3doWFnMAttTLKRc8aYMtv3loD2vonefbL
UYYfdrj7h++XTwKN8HjDrFsGbd5c8Ul/w3zjCYzV42i/u9AAYkYOHf9o7QWy
bzaffHESdbcUlciVNcKtoSOzZJ326dbbTRH1NriWToVpvKcBcuPF28No/XdG
vY55HX0Y6W9ZrCnYXAMXxVI1h2jfqy0+1+v9pDl2TCV31/bVQBBPyTlJWju2
FFkmKRhgy8zvtVu9aeNNmI/w6iE7J3SP2ZIRLkQnfmkZrIR3x/QC3tPGDwtj
VFPeMhMU4s4WA9tqmE8qNA2gjVvxQfGymycscdAsTiH5wFVoYVW9c5j2e8UE
Wo2HDUbgyvDKdUXivfCmphzKE2bgesmJINe0WPTXlcxt5rkNbrdlT1WfmYGs
McPvzE6hyOiZEmV7tgtm9jRP/SyfgcnBD86rlkei3APZlsqYHnC/Z7TDMG0G
mFR0onjWBuDin4Lhx/YdoDbWwDxKmx+51o8LPp4MwoOlRlvueXaCspqyT891
2vyu4aq0b+g8vpsUZT6J18FKZv5hCu35tjRziiGxJwCTRhf8Nve1w8SzUCnp
2zPAI0XPMJAYhNEH/b99etYJigwzWZa0ebZvcTRWRDwUpbnzs4oYuiGaQ8sB
i2jvF+/O7eC7GoEqRnH0H3/2wq8nrQEL4TOw8/GDbLqHsajvKuqAqv3wW9G6
0fg47Tn/pFnw3c949F7TtbGxdAD+3jj6McSA9jxv1u6qnEvGmdXbX2nkD8Ge
5Iwj9RwzUOYXK/0UEvEGs8sWh28D4Nys/tJl7wysXxp19VYNxjizng86WzpB
TenmCZ8O2nN46tzay5G+6MPGdztB9Tr0XIWn+0ZmQNX6AXtNzAVU37WoeUKj
HZ5mViZzD9D6X1r9yOlGKB79WsbzfXkXvD0euY6lZgb2j304KMnjgzUNrYqF
CW3w95ZL5lfa/Lure0+KGfMJPBM6W3I2sBpeuwmHWtHGg6fK1CXWw9Y4yxRZ
K/CnElbclm1vp42fyZ9zKZmBRfhaPHRtnssreDr39Ys//wcQ88jbsq4iFV1W
5t+02zAKhrGJSWJXvwA33fXdY/RXsIFb//uLsacg7BRAd575MzjXN+n1T9qi
Z5zBLr8ttSA+1lh5n3afvjilsKnz7lGcHZqJUl2qgD3Hr6Rl0J4/fl1GrKYJ
KRjiNNImdmYY1o4X8Rp/+gJ740Tjk/ZdwgDluAq9/keQ8u/29XXTn+E8x6TQ
oms8Xlwf8F04ZgACp3fe5t03A3cN3rJIRcZhSsXOy5unBiCT24beSZe2fpBb
H25QEIuX6ZKe6fIPgJu5YMwtkxlQdNSSIl7snrjdnsSLbdylRDhasOcsexvx
Yq/JnTMnXuxXx50IdwvOvvn1kHi35yeL/1x+kAEn1CYI1wsaBb67E+/2To46
NuLd7jwwRDhg8Gaf4jLiQ++S/mRIfOh30zII7wt+bi73I/7xRz65dsQ/Lhtr
RHhicKd1oZb+mjxUKnIKER/6x4pgwuOC7evUlxbmdoGr4/xR4h9fSHEi/C7o
YtW8T3zl1aVpEsRXrjIYSXhlENtzk554qDOvlZgSD7Xx/k+ExwX8+485EI9z
217GM8TjHPjUg/Cv4ESkoRTxSqsssOwmXmkrziuExwVf37tlE6/00I1sbuKV
ZlB6S7hYcMA7L5F4pRO5wx5csMuAylJJwiuDGu4GLeKVTj1735Z4pWd+SRLu
FnDvOCtCPOlDjuWjta5pYPrOl3DJIPhRYCfxoTOdn5YmPvRtXucJlwkipAN9
ie97zvvCIPF9J1SWEb4THF4efo94ya3UWB8SL/nubnbiJYcIe9EVxD9up//0
IPGPm/JbEP4SxA46FBMPu88bllf/rDPAOlWV8J3g57nn+cQzfq7F4sf3bxnA
zE9v0UV+92szNn063Kin+IcjOTUPYqqCCQ8H8G5TN/F03xCVSCCebifnnYSf
A0Ho+IXt20KHadODy0MhV+DWtnbC24FbT+mLiJf8rYRiBvGSR1b8Jnwe0ODb
do94vTdGm8kRr7d/tBvh2ECjSyon8ZWHs6d+Jr5yvQMXCPcG4s/k7SJe8lmG
0wzES/5J/hLhm8E827tw4iU/FvirmnjJk2fLCA8N+j4FlN8Z+Kdar3XUYe7t
ZZiOsybcHoiY5fkzfG49WvD/vXiOLx8CxqwIrwaUxeIDROiF0EZXZ/2Yaz6M
qjQSPg+c9Kl/+GXLYsfLB+IWstp5cC/VmHB+oNxn275kT0lMD50MYD5UAG+K
VxPeDjwxM/gUJ7QLd4Wrzbu0F0DICnvCyQHvto9VxWU7cKp8JPXhaD48EWok
XCCo69DZQPzpcY33pIg//aWdNeHCgeK4OBfxjx9j3M9I/OO3PfcS/htcXL72
J/Gnn636VU386SsKswiHDXI2Tp0iPvey7tWPiM998u4twhEC1rHYCYbTO+Hk
UaON1r4p0Mc9RvhLsNLqotqnx/Kgsat4SLwxBfjMZwhnCd4Hvu3b3L4Lfgyc
ZfFTSIY4EX3C0wB+ty6TJx4KcE3B4iGfSzKMe1UR/gYYs3CarNGVg/vbL73f
X5oI4bbqhJsBLI6/uoJ/yYOZQJnAtl+JoN2aTjgbsJuzz2O39E5oaphqeK4a
D0tMxoSDAUIM1V/meBSALqqZySA6HhhtLhNuBpjbGIU//KwILPr3HldIJsEJ
V33CwYA6+YAPxWMycPvk5jDpvlBgFLMk3Amov/b8IqrJwqaYk3oKEcEgNHyE
cCRgvezRb7Y2MtB2cFtwy6oIWJySJdwJWF3m301nKAtBvWc+9bImw4ur/wgn
BKaF9UZOK8nQnn9y/3QNUmDfPlnCp4L9nXa32G7tggGJYzWlkVEw+06I8BbA
t5uB4fv6PbBC0bq4oTcKHsk4Ej4D5F0NKrStUYG/633ChtZEQ/6zKMJbgLyD
yvsVhRVhh4LjOnfBWMjnaiVcEXh46pJMT4wyZG2US+LwiYW99HWE2wBv/r32
eqyvBDW906eyp+Nhflsu4YTA1XI5rlWMu0DIeOKu9osY0OwUIxwS0LftDDm5
kRtnAuNUD2hmgdvjJ4SnB5psgTt/xEli8VoNqW/02bBYIEH4e+AvEj7QxzTb
8Yn3Sn9HZQa8DtcivD7I/5XNLN0piAluZ96tPJ4JY7r9hO8H85ey7B6ms8AS
1wETR750YC7nIZw9uHUlzff5Pi60aGxteteVDjxWHoSbB05/1qWY+G8Erdm8
23zMGTCfXUU4fnCec0XJvXNCMHeXjtMnPA1O+CoTLh/oeh57xFhHB9wa3crR
qZkwX1hO+H6gX64fk8Opi5jI67ttSzgYm+kRzh7c2bmlrsFwO1y95Et/tiIU
UrM9COcEjC6srAspNccR7bhf4X9C4f2cNuGiQMHSmIXF4+3wgkX5br1zMDC7
DhOOCoS2TR4xrhWBmUXX3dc/hUPo5m+EfwL3/27YTbh8otPV+wqbLoPIhZjm
A7T7a2v6kuEaxp0oPLn848nyCNorRQzh+MGuCwv8hPt3wH3lcFdUKWj9eGxr
RnsflD6SXsW061DHY/H1TpxQD9taDxwUo63/U9qFjxAu+sZxTkPCRffQniF1
sqC60zWccNRf3c/mIhz1cw47SV0tVHsxsBJe+vSJ79lp/5Lh8q6dpA4X3J/o
nCC89Jc/rksTXjoj3wNStwsqHOtYCX/ee2+5AOHPd8tXk3pYWFL8YEP4885p
r+/d2pYCg1mchD8P+j6SdoT3rrht9R7Ce3fVUCf1tpAtu1WF8N7blfpzG65e
hPWvNEj9LPyvDvRI6IQY4X6L/eUl3G/wYf5lQ7jfjcz7NhPu984df0l97v87
XnK3VO4S7fueGS8kdb4QHfksmHC8PzOd5SMc79izmqTeFlzGj/sSjrcItz4S
jneNQTmpPwWW0k4Pwqv/KPH407aYXHj4uZfUq0LRfIwk4bQfxdWmhNM+eGWe
1LeC31QbN6k7vhXFe5pwxe+ue0TqjuG4z3IVwtUf3rBqKp0lhzYvZ5K6S7j+
+flTwoH/68LKTzjwzNsrSJ0mcEwn2BPe/rObT7kJb39zagupr4T20zqzr4qF
YEORlQXh7Uu6tZJ6THBb7nae8OGhLdCD8OG33+kgdZdwwOC6M+HVN/o417uI
ZIFMZhipP4Ws2mRlwre3z/8TQPj2Z67+JvWYoHN+hCuRSxo6Yzr/XktMBcVh
V8Lfg82qYgJmDZKwYUtB2dWnF+HUDiD8PXghMnGJeARuvVTaRTwCCUPapG4U
OuZj7Qj/P+Xh8kWPPblgd2OK1OdCnPl8M/Fi5DurZRMvxgM3JVLfB2vj5Xa8
OrYJO1ZU9BAvxvXOJlIPCEyfOnQIB96P+/M3woFPs75N6gch55l5HeHMf0pf
NU048yWXNEk9MvhnHW4lPPmCs3wahCef+aGZ1OXB0u5HIoQ/v1tNq4Xw522r
40hdM2ToNCYQf0fRli6uhDuFcFopndQPgh+ctCU+DveGiTTi4zh+6COpN4Su
ZbOa0nt3oeib7gbihaTvYCH1dFAjP1FGvCGesq/SiTdEpe0MqTcE/tX9c8Qb
Uq6R+pd4QzLnfpO6Qui19wwiHP4Nfb2vCYe/8PMmUq8NvDEJqwiH3/Wz11rC
4d+bwk3qu2G7tGs64dIf2mBbS7j0Inc0ST04WDkUUxz+C59+UBz+oGiKww+Z
beKUFyDoqRDlBbhxmvICwMTDyDDiBbAIdZIlXgAZdwlS9w3al3pCCOff4DiT
OeH8bzbNJXXiINhkUqu/TgXlWWOdtg8VQ+GVcMLDhEg6jtmX3hrYt+E81z6d
Elg8+2K9Kq09K++6rvqN3Xj93c7OY7eLYOhzDOFtwqWZ0Ce3R1VR47Io/ZxC
MXzzHSV8Tmjll/Rx4t6LPWzZNeVDJSDSw0e4lOBiwsT+s0gTxYMrvl1uLYYb
fL+irtCOz1bTnB+lrfPtOkf0nAvS4EPVikFx2jhktK+UsXeQhxKP3WXb9C8C
c+0NwuEED/ehxvnNu+DErpBTdssuwubYUsKrhEdxpxXXuyjAg4UJldFfKTA2
YEV4nnB92Ntg9SoJFNvuTzfwnDauflUQfiaY1vAo/uiUQ7azfBd+qRWC9bpB
wtsEnkVRK49dgijkbdX25Gc+lD2sJfxDOF0u9FZyaA8KSJdKqdQVguTHzxtm
adfB2rrdKqBNFvlWHq6fu1sIPRUrCc8TSm5szbXjVcRFlSP303cXwVblG4T/
CQ9cc1iXn1FDf+ejDWq1RbAiUIdwFOGg3Hsu4pXodGBYTrwSRY9TSD07PGL0
NL7DKAEjvxmtNvRkwFRqOal/B/noZffHprfDrX36n8TkM2DjFidSzw7LZe+u
whAJyOOla3BJyYCMe3dI/TvEPFge8Cl6Bzye9nRusE8HrjMr16ykXR/muUR2
Ph0ZOOXdsuVedTpwCGWQenM45Hqxg89PCsa9nbpPLsuEnxyCpD4dXCVfx1Tt
FYfRaoVqBdF0OM6hRerZYU9X1JH5M7T1Er/sqQmONFhmeJLwP6HXo/sK8Wjw
eODr4nNZoKrrR+ro4ea1Y1bVBlIQnrbMUI0jEw7f3zB8g9YuLTh2fUBTDvJL
f946cTAN7ISGCF8URpgd+/R+ycKpu4r1Rl2pYG3A4n2e1l57fVudUQQ//Ai3
v8ttVIwHnXgpPxfbjrVntMbWwW6/nyUnxYqxM/QI5fOik32U4fdSCPrNvrIH
HixBP1xBecFUY/Y9YLvCA//62JlPSZbgAfPrlBes90s48UCBXHPi5jGhYvzg
/ZDyQDVwapYPrlkFvOoGfetFS/C09gjljaLbb7m1IUIUbruzbZayL8V35j6U
j8wyMfHEx9VbQWxXxBnlg6V4Is+e8k818M57F+Xqgm2R2Zreuhr0T9pPedYc
AgNPszJpwlnnU0+CtGvwgHcq5WWLdO4PYyoyAFXRVb8URK8is+kFyo+25nnU
+nNO2jCsp/FA6XktamA15SNLlk0o+RElCYZWTR9ZokvQ/d0yyiebFM2TJz0l
A58c+C+fvVKKwnXzScRLa79fhPnHzoOwSbixSdKiDj3ZAii/1Y4bDjGdb42g
+wPLYbGVdRj2ej3l7fL1n7fNsTwMldwJOp6H6rFrkoHyhQ0YRV7ZqWAMTCuY
ixUX67AyeC3lFxMSrbD6sLQXrO6OPgoduIp1d5goL1h1/v13GgP6UBtvMPa4
tQ6ddccp/5fXlDrlz2L/lSmQw1eMTo2R/58/azbj0F2brSW413Wa8m3ZLxmd
NK/kgEmuz98D9pRisMUhyv9lopxK/HHgVD+z67X7VbTeWUT54/7Xj2Ok4TEN
2VK0eDtEebjw5YWov0Pq4KIzMBd3thyZXj2lvLrzM5rvdv9QgtWCjuOZ68qx
qVKK8vCG7+2Vuh6jBX1uUXwm1yqQfkKU8rUJ9XDt+9uhBhENUuWKbhWoPW1L
ed9WHfMqNvy9CxivJynmvSjDFSV/ion3zfuRpWJbhiL4f3v3Jm5jBUbbX6T8
ccFHYvgdOnZDYe46t9j3pfgoIp/yBe89TDeQck8OXLbmaR8bKkGw8aH8yHGx
7GtWtCtCj83zr08FSzFOfpjyI8s06939HqwK5kkLu35qleG/G1cof7HP2cVR
ZlMDWJO6qUqpoho19nlSPj4ppRRGySFtWG6rdHGTVDVqb4ynvH5n1r52575p
BEkO8yrTu2uxePVbyuvX6CpK/IBgrFL1a6S/Cj8WmFB+QPGGO+3tIroQOobh
G3ZX4aCaKOWhM5WxipeU1gT1U5b3PnVXoiPT32birVtKlSCeO6jzy06+Y1+J
zyy8Kc9dW4lO2NiPMDh75XamwONB1Dv9jfInJmoeiOCpDYLf11rejyT149WO
bMq3uF5WcNVqumDo/jTr6//tFtqufkf5E/Fwyun5qAugx35mbqbkFqamx1G+
xS0JH4gvEtolaw+fcX2I3Qpi5sQXmfOt5tLEXAR4yL4CbW7aq/uU/TninVyl
9Jp4P+G00A7Gujt9eE66nfJ+btkmayFz0Be62RIC6F/04Kn+rZQ/dMvJxcBC
T19Q5Y188di6G3++zKW8qA2tgRXOYmfBlI1uan5zF67xfk15VLP8WA+HJ56F
nWYZYydX38TcdbKUlxm0ttG/YfOEda3XiccZBfN0KY+zsFcH8ZNC+C9rzWX8
N1EvvpPyk7IWP/KdHfIGZ3f/8OSQbnzI8IrynMb+XE//g8kNHDrGskwrO/DV
sWjKpyzW50y/wbIUBLo2EJ8mdjx0nCA+zXyuqu0CUplg0+smWnj+JWpZitsR
X6fUzbYhyzNlMPqWobSKNp4eFXUIEp9mZe50vnBNMISonlzllX8XX/mXUR7P
h/3LZd7/jIVv/RPCr7ofoUq4+BPiAz33tu3CkGYJMPF8I/5NPD5RLkP8mx2N
j4jvEuS16lfL29/CNxYch4nv8v6Kzs57Tr7AFvixqftLHx5qekD5Lr9UVHrN
rPMDRmkmhqQTt3CG0YfyXRaqr9vKEmgG/P3Xto9LNmCq+ewW4iv8s7h5Mcfk
IMir6Skb0DVgW3k75TcsdxqTyDI/CrsYY04UTzciwwc3yosalZN1d4DTFIz+
6rn+9W7EG3FplHd1zeWu/XuyjsOekOwnZebNGC1tTflbP3peWXzfaA6l7lr9
xU+bcObFWsr3KtLgyC+eYgTzlx0l7cbr8dOtF5THMETc6GKcvzmc42ap4b/c
gAzcUpT38Eao1O6XNw9C2XH2ex1KDZjizEr5W9UZe/dp9hoBe/1u26VP9Zg5
Y0/5XnVztJa1yBmDdKf/z3K+RuyqeU15Y9/p+GwItLKFk/N0mm4M13AhX4jy
ukY5jc6JgxV0eFMeXswJ/s/De0OPkfhegfkAP7+Iww1cL/CV8r127shXCm+x
gV6xc1HS2ddR4Jc95dUdccpzSzpsDo3XG4jnF5VZrlKe3/UZQWMKSUeBZ98+
4udFv0UPys+b+2afcXfbUeg5+uBqrncLzl/IoXy+9X9ehE9kH4bp5ZT/Fw+w
/+f/zXA2HzmufhAaZe0YnM82IfseBsozK9HkXF0uYQMKzY2u+5haMfteKOXb
lXbnu8yzSw9G5/hjhmPK8PSjPsqjLXBmXibBXQsGZc/4nqIrw3mfTZSX3OUr
p4aknzFMW3Jt8nCuQN+LQpSP+1jzjg8z3wxhqUTANKm3HENSgPJ3n/+nrVjf
fRCu9G6ZMr5diaPsKyif8pF/yruN/A/ApXelXxM5K3FZ3wDlX46+Rn9ap3kv
hIQ710rLluNLt2HKe/7kvvvfXZEmILyxgNV7rBztilwpX/mEhNqFmP/j6r7j
cnr/+IFnNySJtIUQEWkojatJS5tUtHekob33MhpaKtp7aCfVu6WkhFKorD60
qDtUJON3juv+/X6Pr3+vx3nc97nPfe5zruvc7/fr2aCB3A+3Re3aVwS/1gb+
9c0T3y+uRTN66LiTCR2nAPG+HWp//fHLLOfaRDS1EGO8j7JociE4rl4h/8cE
3sNq7FNvz6IvpQP65V3lcHh47V/f+cY2dav3UafRGWXR+kyecjBrfPnXsz4c
7FQC5udQBEemYazWHdD7teavi925qTwoZNNZpCgUW0xpqIAfz9r+OtpOw2UP
btPoIPHPuZ+lLcog50bHXy/bTKWnakhID20d1wmXnSuH7Rcj/jrXNztX6I8V
6KCJzMWTYR6lcOiX9V8Xe0P1mP7pPxrIqSByqa6vBMSVdv51tGOMd0ZfE1dD
jkUUVV63Ysgabf/rUHsbZpQ8PH4Gtb+0/txwvAy+e8f99a87ReeHGE6boqPW
xpk7V0rAN5v3rz8OB5hyz9CaIyetvSZuAWXAkaX31z0PCt8c1PLICO04bp0h
/acYPtRY/3XMDyw3qVW+NkaVIremfjqWQsbtsL9++jcL1RsP3lqgkOLiKq8d
FfDfasG/3nq8Q+vGvvwqFHOIgXSLoNz29V+3aIzXpXVjcQKK27yK9J7A98v9
v95Td83ikidbFdK51Es6SjDwVBpIR+l0zRLpKKFQnoC2BMdx6BTYUkw6Sgb3
HPfmPa9ET7qPko4SXFO7Z046SlGrhG+7yRiiiKv0O3K8SuDB9J6/rvqBkffl
DXxnUN8X3W62jGIo5i//69o3RWbXNEucR51WLY+PzZWCkUfXX1d9aSsX6dej
F63x31hoSiGgLPWvX9/x2oF3okgXpWVaym3VLAJjsQPtP4jjP1IbP1rio49G
z2xYestZDM+Ewv667eFcqnKH2czQ8y0ZY/e/lUH0vvi/Tr1N+LuPM+vt0UZp
6887oxtgXS0vi9QIBZwnfXzEt1gjLtZLblml9UB/9F3wqzEKHCrzad6keREt
XXWM0EttBFFkejdtkAIFy4cUfj+xRQZH3UMWEu5CdGWk8fdhClSw0rN4JLii
/26zv8tKboGV7ru9wvcpwHP54KJgphN66fnr+YftzXBZKejZ6EMKJO2voa8V
ckZvpQNDhwbuwZTWk6PWj4n7bJyIUr+AA3qft8Ekq6weRu+apA4T+1MgTT+f
LmWDfkmfKdHoqwNPn/R5+zfE/ER2E5O9pyNamlOT3h13FwKEWEJ+EvsTqZMS
EVplhnRMY9xGOqthnm5zWyhxPRf8mKIQa2eCKphpt4/oVYOZ/Q6NFOJ6LuED
RYcOmKI/+x43FaVXw70nSg+miO0DRLJsvtRboC73kV+/NtaB+OByXsQ7Cvh8
sXHUdJFE7b+5vqw45cO2qycteYn7Z5W/oDu3kSxyTRYe/hNVAH0HvY6dIe7n
KH8zv8VBBRSXTfvoRFUhnM9Iincnrg+7OS9krt92AZ3Ot+6mHbsHl9lOCaoT
x6F4yyc+izdW6Hvw1Huhwhr4Ljm9QOZ8iogwKi7WmCNe3aIdfT+q4elvt/Zf
xP0l57Vi9KoFS7RFn139464aGC1gdksmxpnfHqMNCTZHoyLX8rJHqyHaZku1
GvG5nnEyUH7amaH9G5gzIoWqgMHysz/p2q+XKBsoqjmPNug9/LBUQKwjRHx6
vInz3U63dMM9SQt0c3+o2oJcNWQbLm7tJI7bwqmiNWXOpkjXLVTgXEkVsBgk
pgoQv79mxdj9Kd4myN701y27Y5XwZcNNGSdi/aJ7LYv10n1DNDDUdEf27h3w
ly0M9yPWI3Rs57m2XzuD3vpuj9BWuwO7Rr6VmhHXvZHQ9Qa2HAZo6bxVtPaR
Stg4f/hLIPE6s4Erc2v0bZFVLYsH3+Y6qI7Ja/Ihvpew97la/QOWSNP67uQT
tVqozBkRvEHcp7ZK8267XWKGhG9Ypa3JrQF5fh0LTeJ4ogn6kaYxI5Q5F5ZS
xF8FO46n2hkSx+FWsPNr0q0+GZSrTKxPEYq5Rq5PkUJ0WTTpXA9O5+oT61m0
rfyZELGeRX2Mds9Izzqnd9Mz0rNuK5Yi17/opaFHIOlZG1xav0J61sZrficQ
62VUcvk/M2KdCGFTm47RR+WjE729qcQ6EUX2XfKrCd8P70uSAkhf2+TrYXI9
ixaNm18K/ScEc8T6wON2AVKQKiHXj4iv5tA6zZLNELnD/LT/8QL0MIqRXH+h
8ATuI3OMO8GtJecJ6S8/i+Mm17/oM03wqSfMDOA92LyBbX8+CpnMIdfRaDei
GyD95ew+TTXSX371qp5cd6Pmh1pMdx7JQn87w7bBnlLEYaqzllhfIOPx8guC
/Uog1ygCXIJlKPqbzwtinYKC3TcY6blLgydrgHefdQm6drtMllhHoAq1Y5sF
jyjA0f9Yu2c7SpAq8JHrDvTBvmEz/Rk12PmrZVaquAxlxSorEOsg9N9VGvmW
fcpw4NTDWPZjpWjETjqdWL+gb3SsrQ3JEuAfpZR1lb0YGYn+VCDWa8i/xzHk
V4ssBGdscj7uVIwa/FsmiXUf2rzfapb01n1idogFK5WjF2tUfhDrepRoeHNX
foYyHPJQ8O2qLEc/m784KBDjF5vlwol1PbgNnHKTflWBsvMY1Yl1PQq2GO6j
zVWDxOn8AYn9d5BaZ4dYIYWCPqUU+LG1aYBNu3Pzh2MVSHSHEwexLkNnHaOc
R49pwzm+Yc4J5zvoa9BDa2L9i2b6c9IahLWBOSqqqIS7BsnvSb9AzA+RwnmH
d30sZ6DsoIXob7caNM5I++MBWdfXVWqoeF8DfmegxzSzVWir1gZZYp6J7u6r
zh5v04WPN/aot0pWI2c7Ny1iXop2+UlIpp01ArudlgoF72vQxsuhNMT8GZkm
93287nsWOA+2Se66VY1STxhNE/NbJP5HZu5gvAbwd8rfsBqrQi0G15OI+TD6
mOe47ZaOLrwKTCxRX1WNokJ1PIj5OXr4lrthtuYsNO3MmiwYqUVyPAq/to0T
x99hN490qjE8CznCXnK2DiXHM6sR83DkULMY1nXXCEwUHstnutUj0f30r4l5
Jjqp4Hu15KAZLGVn8GttaEAM6uorT0aJ821SrExUXBsYPna9OP67EsX5nrNt
+khBWvb9tLfOnYYihu6oy3pViJ6HO/rbDAVtVI/xZwjQB2nX1xmvDlWj24OO
XMT6Ak1frjyq9FAVbqq1/3zZUIkUA7W4zn6ioOoiilD7pAZsfx9xVoC+Eo2O
zio9myV+dz5WmQsiupA6ltYjaFCJLp/Yc33/7P//H8TqzFtm8535SP9nDfnc
A7G+y+E+Sbcsfa6KQ5N0xqs07cnnJP9ve+MvVg2kM36r7wr5fAMtODHofPxz
EnRvvnsU+vAO2sBKE240R0EDy182SW6xhoi2G3S5pfWI96KoD3H/Rc+iVadn
19sDh45MM190A5I9GUhP3K+R1H/Vowv1FnAykp+XhrEOWb/bnEncj9A++K/m
tpQNaFgf+KnVV4eW1X5ME/dH1L2b1faipyNYyfXo7I27i+YP83sR90d0+Vze
0hMBB7jeEDSZU1aPWPqH4oj7LPL/duPNFs2LkGFweV4/tRGtUBbLiPs+MtzS
ll4v5AxrFRzVXg7cQ4JtCXuI+zWqf8VjM73JFXhehPI4cLQiiy8GH4h1Mapw
E2KLuu4Oq18//c+WsQ3pbaFcJNbRqOmUU4lQphOs+J9nndnejOZXf+0k5gNo
ca8vl3eCK8TuupeRn9yCLt1yvUvMH1Co2rQL/bYLoPq2rWDj2D1UcbyWl7g/
olsHvvmsemoL3ubN+d8S7qL/lp30vpOf6wh36ZMBS9j2fu+zAbVaRCmv3U9c
/1GmwBHV9fq28MGRJ3bv5jpEyzVUR9wv0J0Q65mWMSPw7hp6XMxfhQqNnlkT
138kdmuCN8HOBEwT9a+P6lWjlK5rqsQ8AcUfV4jNLDGD9V3xFutya9C9kBpj
4j6Cri5lsx8+YArZjSdVS9Krkc8T105i/oCEzmvIiy9IQto5Fs/UrUUoMrTm
0IElCpq4eNLuZ78cVAl1pF91L0Izo6fJ513IVOZCuH3LMYBS9omY6QJEJ6FC
PndCbM2xexeCZKDieGPtkmIhqmiSIZ8jIa3xWzQ3HguD+MhA6vn+fMRzSpJ8
HoWkI8IH1ZdF4en18P7MN4Vo590I8nkX2jP4NaYpWhGQ9cyMTmMxiqP13/mM
uD6fmKhwJ+YncD07xeRkVSHiO7eHnJ+gAo0kbx4jWYiq51CkiS5AvmL85HwG
hfKeXFna4ARXW2dcjUpa0FHW7hJKJwWl6q4c03aRhDKbEMWfTvnIpIKRnBeh
goKC8+uaJYB/oe706O4ClPM5gnw+hlSn5n4aXPSCNOH44T3cz9CvJBPOVtM5
dJtJ+UeYSDD4vNzyaOPG5+iGmv61jSOzSF7YX3TjuBOwDdeyqMX1on49dqFy
RFxPDu8KWM51h+bOYzZKVx4h3jVLv9J3UZBs5IbglDVXwMT15QvumFfI9s01
DjbzT+gg8zfhz7nuKK/t48rxK4/gG5dCesYuCnjqbf+2ftwJZfAvfZeL64Vt
LgXE3YGYz1cMMPiKBCOvsxpKNBufg5nc6PKmkVlIdIeWUxe9UNMaGV4u7mew
ag9bfZvpHMiNW7QdHnJEbgdf3WEr6wLX+QvS5/0pMKg5x9eWYof+tLJr5dXe
hyyn2tUnoijw+cg5CcUP9khSXKXkbHIX+Bg+nDMMoIA6Z0qHcXsq4k36ZWj7
iwKW+xYp37VmWhTFvUUX4QZib7Kw1v5NgcC9T1bo/WZaxhW8HMLWXEGd7Pqq
9DGvoLg69Ci3+SfYZbmLg6/wFtrMwftV9yex7u1pGp1mm2m5Nb64QXzIEfbd
f1fLU9aFpssYvp/zpyB9x8OL3Sl2UPY982Fx7X2kPabfpRRFQWpHllKqda1A
fJjzhmpJO9ok+TXLuJCCvGULTZqKHeA466ZHf053oN8ZHSmfs4h5CDLxFBly
gubw/bJCLV3o5TUH1kQ/CmpfJfOT46A55OwUScz2bEWuk0zr39yjIEftff91
e9qA7sld6+m+tyLf1byKRfUUtFac8+Xxo85gYyWe+Wx/N9IY7Mso9aQgg823
51U/2MPKwLoS4+QuNND2qYg4bujEUO5o8jp/MLnegUbVnyD9aO9Ptz7PoaWn
HflWC27Q88pHsDXtASrrE6phsqGgbS3Ra60ULVGS7/mqX+YtcF1IKYypi3RX
M5jmPE1Q5IWO6/5pzWAcjLTX9BDz2NrhiA5PG5Tv8nNk3fdWeFoqb0LsJ1SV
szzdftAcDeXcT7vt2Qqs/Pd5iM8FJhs1XxsvuKFEk+M8d9MewObdQxs321Bg
cmO5kthRZ3Sh8qhB//5ukHXrmCQ+F3yZT3vhKHkZ9Un1RXLNdsFLO/bCCz4U
oFWVGjw85IQ4RIrEBFq6oMRC/BxxPCFjMPr0jzMX0av/LKS23WqDM0wnT69U
UuB9QvheWitn9DGuWfS/Y52QFp9Ysi2VOA/nB+/XFjugzDf08SunO4A2dH87
mYtbYlWday5lh56n1p/fZQnw5/Tah7vbKRBcvSNkfH0uchq6tPXeMgW4Au7W
FN6Ybulwvfk4Zp0/OvJ8mvJM/Qm0RF5uu/15DpqHFR+U61qhm/Fnc0+UtEPU
Ec5u4jwBzTFlt8V+N9gX+uVeYnAHYtNFV/dnUtCawwkPjul6Qzv3oVMb3nQi
trX7LwrFU5BJZI6AYaQLpDOm2q3hbUORhcFeinVk3W/oUZcD7rBKIcNhhacd
+dIHDRmXUZCwMoXWhiEQeBx/d9X1diH2kE8yPb4U5PpxYbHQ1RsMolg+jZl2
oOpfI9tsiPNzVZJN3eRiOND8YfqhxvoUicXZRLEPzyHDjf22+zbEwgtOvSr3
S0PINeV2QO+eOVRc22e1oyIQ5LcrGryM7UG7hC7tKTSkoKlLb8xfL4SCjVD8
2oMv+pAeg1Dky4MUtFfU4UC1kg/IaParSFl3o/GHnfT33SiISS259E+kP2w1
PK24lN+NwiRC3KtcKCjQpf0S86ogSPu9813wl260Pb/tCPMlCuL67vXnMDIB
ncjrq4f076JbWlVBLc8piH5NwK8gEwuo3KqV5LqmEWmqKD6MHyLuF/SD28zk
dEH3kcTGS+616FxOpNQ+4j64757Dozc3T0Nie+mE7Op6pNtzMWT4NTFfetzu
LBVrBDwZ3E/kvzciCzFKnvUABT1dlLoaUW8Gn5p6HEVu3kP7V8YEJZ4Q14FH
da3xp8+Ct6L9mrwnDch9u+GY3UsKsi6SzOBcZQ2T7HIKAnZNKEBob+L5RxR0
Y2qk54unCRyo1jkSktaMPjXTyBK/I2QiYH3eVtGSOP7iiastWlAibbwL8btD
axeWdtpI2YHNUfqb+ywBCbmfqiXOQ7S7Iyfxz5mLIDHWVch2qw3ZbnsiRpzn
yHtR8/RlycuQ+SX39q7ZLmTKzmZG/F6Qa9ec0UYrZ6Crq34xeawTWTpv9SXO
f8R0jv3NsIM38XvNLeuZ60JLE4LdJ4jt0yy31y9t9YFN4o0ySebdSMZZivMz
8X3pMF8YFCgPgvwEC1n/rEdIXe7XuwM7if2U2ZbzbSkGKpxTN851DKPo9543
rCdn0eu3Z+uEBVNg6o9+Y4XXO8TuoyE40juDPtU2x5B1C1LUnPmvgjhn/jD3
FAtZtzBIzaU/Sc2lZzd1+VuH0EXNT26j5ic7pEz5k3UIctT8+a80OH/+3hHz
v/UMp6l58mzUPPnEy37OZH3CS2qOfQA1x/644cJxsj7kOzVfet8JnC/9oO5R
HFkfcoiaVx9FzavPF5YpIesoGHhwrn4wNVff+I92JlkX1P8M5/BrU3P4p3b6
R5J1QdeoufRZ1Fz6Nd18qWRd0DA1x76AmmO/NSBWmawLEuXFufdTqTj3vmW/
4p935zmhiJp3HUzNu95++XMcWa+iTM2RXmuPc6QnZ/eYkXUpkRk41/qjE861
ThXQYCfrUgIO4BzsMGWcgy13ci+QfWcb1HD+8wA1/5madw3/5l0/GbnXuqVy
H7R+xDnP8w4451mqYncV2demOotzoR19cC50vZQokHUs+dR87BVqPjbbE+cM
sp5Hk5rXvf0EzuteJb9tLVlvs30EOwKLVEfARGbVVbJOozEPe6k937CXSrvB
bfWaRjG06Sz2kS2csY/88eMa+UFpEVRGdTnf8GGX05K9S46s927+hH3nN+bY
d3a4MtJO1kFleuP8+fsyOH8+d4ymkayDup2Fc/iVqDn8eq880sk6q+48nGPv
9grn2FNz79G/ufdX2spcybqLdD3sCPxSwY4A1R1A/7oDYdu6Ksg6WNNs7I0e
9MTeKE0uZz5Zf9J7EnuyNnrYkzUeBZbvPKLIqh77qr/psa8a7r39J1mPUXAJ
ewFr3mMvoCmJRpOsx/Cfx/n/F3Vx/r/CVLkrWdexheoaFCPsGjw8cG4nj48g
emmLHQHowI7AeJa8ym56CRTDgL3pOG3sTS+8y6HvVRBGGWHYb403wX4rNc8f
/Zvn3/vtkClZ5zY9jX0BTi/sC6S/GPpG1rmNMmKPQDsRewTzHwJjyTqxH+ux
41BngR2Hx09aJsk6kOpU7Cn87saeAtVfQP/6C/KWBz6QdWi5P7BfYNmG/QKq
343+9bvFDg+Okn0HBruw9524iL3vMz3z+mR9/not7GUnPsBedl21cjlZn+9K
dauHeLFbfaU74RRZNx7PhV3sITrsYnvJ379J1o1/pjraJVRH2+5p4juyLr3i
NvZVU/uxr2qWmslO1qWbjGCPlbcVe6w3x5q4yP6CmhzsfS9RvW8/v1Ffsr8g
tBz72lZUX1tvQnCFrN+2pDra+SPY0aY63ehfp5vqgKN/HfAdM3aKZN14tgr2
xJUnsSdO9ZrRv14z1dFG/zramYYclWT9f8wO7DjHlGDHOXuAf4Ssv6Wj+tqe
VF/7wBmBHrJO+CfV9V5tiV1vhbYWD7LeeL4W+928itjvzjFqbyTre5NisLvd
w4DdbfM4sQtk/TBQne5YqtNtzTFtQtaxd1I93Caqh3u3RKyKrOc/HIId3htU
hzfx8bdJsu+gjOr89otj5zerTUKS7IP4tQ471H9UsEPNa54TS/Yj8L7CXnDJ
M+wFe9i81bscL44uDWHnvb4PO+9URxv962hzrFxTWFkURZ+ojvxnfuzIb3l5
25Ds7zhBdecjLmF3PnZTVgXZ55LIzbWwziYJphxEyT4XMOt60Ur2jzQ5Yu8+
2AJ79xKHh3+Q/TWv6J9fuf0sGYTFOsj+Gqjuz/pG9rnYOLfX8b9KglnOS2Sf
y//1FOBfT4Hua8R/h0+KgqId9gWMLLEvEKBi+Y7sN5mkOuBOTv/jgKN/HXDD
hN1FZB/KTw7sjBvNYme8SvZuJtnvw3lL9zqjbgq8H6sl+32Am9u+jM9VDlmZ
4LyvTTI474vO+YiS0XE5ZCGC85361uN8J51j0wofk2TRiw049+x3Ms49Y/lS
KdiiKIvo63CuV3EKzvUabrkWf+ytPJq9gfOsog1xnpWNAhpUF5NH9TY4/yq7
DudfncpP7itik0db43F+1EgLzo9iHQtteWQgh4bf4Zyrg+I458rwbJRbUJwC
YpvBeX17E3Fe32lQ9Dv0Qx6ZSOI8ri5/nMeVbMo0taVHDsnqY7dxQQe7jfF3
UYnvcXkkCTjHrHMS55hNC7U9MmeTQ7AD557x3MC5Z86B9etFT8ui7Udxzlvu
6P/kvKF/c942xOWP2DjKoIcCOA/NxA/noR2L7c3uOSCN+IZxDpvoEM5hK9y9
Zy2fpDR6R815K+jAOW8WGlcmpA9Lon2dOK9sphvnlTVJ0nqq/j6Oympxzlt2
C855m724PZ15lxSqZ8Q5cuqu1By5Z1vP2U7KIvfnOJdsGXAu2SWhji8sHxH6
UYVzxmLocM7Yg5wbcXItcij4OM49c13BuWdnNGzvcf2WQQLZOL+uYA/Or6t3
jvSrsJBHkTY4V7BqEecKUvN20L95O3HvNb5Kzcihj0dxrqCCLM4VnObPECz+
JYN4TuL8wA2PcH4gr8WxgeIRCbRhE87z6fqO83xaKiV2DjSLozcyOLdHhBbn
9jTLcDoLn5ZDjs44V/CxPc4VdL5AJynTKI1+KOIcQlovnEPYI8t5O6NOEV1w
w3mYPDtxHuZd7tXFhXkK6G03zjksWMQ5hz8N7t37KqGIIAbnYXb74zzMHY/1
137lUkAGujifsNsI5xOendXvPcalhCZu4XzCCm6cT3hNztOOeZsioqvFuYs3
OXDuouzoK9caG3mkHYx90ikb7JPS3j7l4zwrj9534ny2fWY4n42aV4n+zau0
mlv2MJE9ivQOYK/B/gn2Gm7Gyr10ZBRCsXHYgxg0xR7EzKNHtuKmxxD7Cs47
CinEeUejYkeXCxbk0Rg/9lWTDbGvurv0YKDF/sPIQBX7EUUPsB8RGrwrgexr
WKQ6X0c5sPOV6OFkS9bJh1tipz76CnbqO025Ksn+BVEn7H+50WL/i+rXo3/9
+u+i1rtUvx9FdEmXLTTbE8B1dvayFzHO/5apkKyPNWTkY3yzORHUf6iQ9bFQ
/uTHYTtJIbSPBrv2SZuwa2/FNqy81lYEsaHRXlPveNih0Uz2Yf1fZw3966wV
3rT5SfZl7KJ6ZCxXsEdWar71A9kP4m6GnTW+3dhZC2mhbSb7R3hdsLOmqYKd
tZHcunqy/8IgCftodirYR6N6auhfT63/aeWqspMCyHgP9q3mlrBvxcz0XvTF
e35Uboy9rbB27G3xdA5/4n4pjQ7L4jxA9jU4DzAuYcuhaz2SiMYT5wG+7sJ5
gAKBr4KfBoijh544f1XvLc5fDTpd/0lAQQxxjeL8VTU5nL/64fTPdeVlCB2Z
xPmBH1pwfmBucGTmed/j6CATzl/9ooHzV00yJx9SsiWQ+SmcVzmgjvMqF97N
eJP9Mq83Y7dOk+rW2a25SyN4Vwg1Psb5sTP3cX5sB53d2kdpgqhODOfHNhfg
/FjdJwufmd4IIx0dnAe72RfnwfaVTTYML+9Cw1Tn5QHVeVF4o31kKpQTOVOd
F3uq86LSxXXTOm0fYlPAnkv4Xey5XBjc5vQfgzac3IS9m89t2LvZVz8eXvr4
NHTfxj5OWwr2cR79fF2ouEYH+rdj78aZGXs3VB8H/vVx9OJ2fti6yggi67E/
ckkR+yPL3kpfr3Cdg8oQ7I8InMf+yBXGtqdf3+uBRhl2TIR/Cvx1TBIZuqpG
1xkCvzl2T66mYfdkR5dE8fTDk+Ckih0iVxPsEFH9HfjX32n6nlyxbKkCsw3Y
ITKlwQ6RSd6Uo6KwGmhcxX6QRgH2g2JXcR+ZkjGDpRM4P39fLM7P//EopMPX
3BIihnCe+RE5nGeu46+fTRtlBoXmOLffPgbn9r/n6aZ8qrSEmlSc83/fB+f8
8yoWKIp12oCCNc5Ld9mB89J57sp7uLDbwidxnItek4Rz0blboXT3ezPYGYNz
/sPkcc7/uQNnzySyWIHxfewC6PRiF4DqIMC/DsLoj0b2A8fOg1s8dhOeV2A3
QfTyEMf8hbPwlAY7BXcZsVMQvPzcSvfdeVikwa6BnCp2DV6Ix1/0UtcHPifs
MviZY5dh/qPns4rSc9DpgB2HC0bYcbAJ4i9nFZmSOU/1NQSovsaE2/dqCfnd
EB+K/Y6IK9jvWBXiEiEmuh4UqO4GDdXduDSjKTU0dgD8b2K/Y7Mv9jvi+gec
C66Lwuhl7IPkeWIfZMr64vXLeRJw+S12QHRXYwckqHS1k1c0B/yg+hQJVJ9i
5zfP+O1JQqBzH/sd3U+x35HJK6zd8HkvRL/HfpPRO+w3Jfmv3d6IxMFLBbtU
fabYpaL6TfCv35RmXfk83VsSdqzFXtJqBuwlUX0l+NdX2pUraUtjLgram7GH
NdeMPayIfIXsT2oKYB+F/axD+7CfVdwjbf1ivRLsjsHu1awxdq+m13EE0nTI
wRlm7HOdY8U+l63EoII2pxhY82BPJLwFeyLO/1k+tfOVgyVO7Hqoe2DXo0Mi
K6JwlSTUTGBPJCwWeyIsvoYX5nkU4Us0dj2UmLDrYfhS0cWweA8MamKXRPMl
dkneOVYyF3PJQOhB7KdIGWI/5UCr+jJrhyCUX3XcHeueDEEBHwxeEq9j5Pmp
s6rImpjf4Jz2R+w4p91uPQeLo5g9RB7Hue5ivbF/c92pOe3wb047S+Q2V6Uv
9vBUBee686jhXPfd6zYMa9I5gogX9ibEk7E3Ifg4qtb++iWQ1MT56tyxOF/d
5h7TcclYO1B6jfPY3yfgPPaLu6z43c5cBNM/Wn89C3Fu7FmECVxaSOk3h3Yb
nOte+5Pmb647Y6+i8Woma9g8jHPgz87iHPj7zQe47xtbwNRqnCe/2xvnyVe5
zEjQ65iClT/Ob7/li/Pbpdmk972dNoUeZZzfvsUZ57fzWp+7FLfKEio34vz5
1jCcPz+khW74CLtAij92NPrWYUdD78q5UxcSnUGMLvuvD8Jkh32Qz5cEMk2q
neBLA/Y7jh2O/+t3rIlzoJHgdAbOIOyGvL2F3ZBa5+2JPsHOkBl1/K8b8u5a
4l83JGRAJKOxwxXCFLGfwhWE/RSqGwL/uiGsiuLH4+UvA6sI9juWtkn/9Tsu
dAWObn/pBMac2B+p3Yj9Ef50ukpJPVfY/R/2XAoAey7FRff3Xe5wgMe12I+4
w4b9iLVsy043ay6BfiR2OugEsNNBdSXgX1dCXW7KfIHVCWgVsd/BWYX9jjct
USJo2RluFWEfRNfqf3wQ+NcHsbpavHG1ziXYW4RdD44D2PXIX2hn2NLpDCtF
5X8dEIOSib8OSO9e+v4xGwfYmYg9C8Fw7FlobVXhkwu2BQY57GX4+WAv49CK
NIUh2QR2SODcfoO9OLd/OLjtT8FXV1j8jd0QlRnshlwdaOJLznKFPB/soSSt
SvvroRStds667nEZbjZiT6R0zf94IvCvJ1IxkcJ0SdoVRjWxn5JsgP2U9gFV
B/pVbrB6GbshZ+uxG3Ioc0qH7Aek/z3fvSCeB4q7lsl+QMh7E1y6mKsAlUZj
Rbca8kA2ZX/UbWJ8i6PjdbLfMP3ieIf6iXxg1WVjkyHGfQJfz9mznoTmowe0
ivrzQeKAGdk/CHzZFo8FTESQ1iR2IvTHsBNhZlvg93tuLyqj+hqxItjXmL2y
pdRAWgSxHMLehF8E9iY2PHPV1cjfi8aPYu+D5hv2PhTDeeZYGpTgcWqbBZ1Z
AXitW7f1MvG+zRMOvsn3VUHqxbOOyS/E+MdQMqcLLA/2KpD9fXe2NpQkHcsF
R/Uhsr8PgjLmutdckAXave/9ZCtyYXC7HdnfB6NmpavIfkND6aEL32VzoMN3
mOw3hOxF/xiyr9CQJ45RujIHUtVXs88T27u99ecn+zRbPET28vfnAdOnGrJP
E45cLLpB5o9dHrhiXPg2Hyp5+HmfEvsTNfVyTrbpGExLyyacf5ALDvsKyT5N
YNjf16cuKIwYV7DH0SOBPQ6q34H+9Tuovh7619ejehwt/3ocRvVDOivNiy2d
VEfvF9XRozop6F8n5fm4suNN/9cyzVRXJZzqquzX9r1w1/SzTAfVTzlI9VME
5K8ZP343K1NDdVt2UN0Wp9sXvz1+LoxyGbFLMmqEXRKmzXZ9ZP5GZ+dJ36NK
mZBej8j8DSizP6JF5pPsmpsUiEvIhAMNrmQ+CTwqSskj80l6RxWyrs9nQq3W
ATKfBJzfSX0gcz+0VfYXenJngfmN02TuB3x7vMeMzP2IGdy9+/mlLGi/X0bm
fkB/9a7vh1t3g1KrjjCDcQpkr7tH5h7ApwF9JjI/4VvQgMOX1TdBfwcvmZ8A
rRLdTmTuQR4K2TzdngQbJMzJ3AMoK2ry0VMTARU/9sHKHakgoKeUGkmM52t4
nAxOkgAtc1Xjo4M3oWplZdcRYjxpLpWJzBURUrvgRauXDenCm8lcEdDRN6wm
c0Ve7IqbcGzOBuH+S2SuCCy2VO4j+1XjhCipi49yoLSbnexXhaPFpRvJPlm9
9/nLPa+yYSa5guyTBe8tvXJkP+w6OdqOl0tZcMe2mOyHhYSuhgtkPkmQ9rmU
oYEs4MmoJPNJwAm91v5zVgdMR7BXUuuBvZLzy+ffMAzowC1H7NQklWOnhuaH
V18h/WpUQfUrxah+JdXTbPnX01x62/ntnrUuRJzDrk1lKXZttE1YfmQdUASJ
YOwBBbFhD8hjXcp1sUB1uGaK3ZzQYezm0FneGqgXVIJ+a+wEeT3CTtBO7qgo
3aRTsOoz9nHy6LCPM6ed/PPZGQW42IFdnmf+2OXRNii71ZmhBs/4sOMTOYUd
n0WBQO6wLia0tw+7b4+o7hvViYN/nbiHFSGtnC+EYMgTu3KPnmBX7hhbHtdR
XVowpDqhrVQndIflsb0miuxoJhF7mnJUT3N81Tqls8UCyJvqOVofxp4j1X9E
//qPvH9iVTa3M0Mi1escpHqdh3W3KCcNssPtYuxIbtuGHUmq+4n+dT9vTLzz
FaOsg06qE1pMdUJraPmVLz04BOxUT9NrLfY0syOZdDvipaD1AvY0daWxp3m1
l//rfO0R8NiB3cyZQ9jNZBXqjdYOk4HhA9jZTBLFzmarsckX+HkcJj5jt4g3
GLtFN5deWfY9PQB5htj91F2P3U+V60YJufO+sOq+x4KtUxHAzBerskUKqlyw
mj4nFQiJHBM89zhLIDwyPkB2gYJCg3OeOSN/iL+m707rUQKicw/lV75SkKlT
quOzH4Gw+3FhZr9OGYhtzA1R+kJBtqlyASESwXAort3fbE0ZBHFPbgohxt0U
baQ6iP0ei+L99uFyBXBtsV85ME9BHDqBsuK7A+BQguk+5fVFsHNs7afvxP68
67WLZHIPgpieUbnixmI4ve7rbASxP45tFhaMdCMgOhZ6KFxyFl498Kq/c3+p
pSPKRNPk5nOY+hMaG9MyCw0bjnXPNy+0/D46WKH7sAQ2pbht470DkJvr4fSs
hoLOKXmdubK2Eubq2k2h+D70M/26ZOVBQVsZA7iZOnxgS8CnVfNhBWBfx4L2
f6Mg5pky34z4IYi6mEGXzDsHgfQjLzyZv7bEpqSEBSfdBZ95i62vPz8FIUNn
47wrc+hP5yG+n8T591g+S3XdnVIINayTayOOwy+L8cUMv1DYnZWdteEYcRyY
WeoMiOMgITimsJM5HLiTGejUvpfD4ZLrK2HEuG6TMvtGrgjIORWzU3/iDtAa
nYhLm6UgOeOFsKt+YcBydPGx5Pc78Cz3bVUEMb5rK09JQXUABLCu1Q66VQbJ
YTxLtMT7Svku7Gp8HAT+z2WU3SsrwPLA/PAPCgVdN+r6LlQUCFqxuwejP1XA
ieCIuR5i/GeSvYFdCzGfCzstEbqjEsxr8vw1ide38dn1yoYhFCzdtWjdGSph
2UOy+yIxnntQ5d7CzjB4eXqu4IpXFQht+TwkPENBBxk2W4Tsjodil8smnyj5
oDbaz+W3REFx1wZ1g+0TIXxHymijdjFM+cRtNCXOqxOb9bcttMXDlk3TkzKX
i2HDvpCgcmL8vK7GhLRmEhQ/5AtySywH94C44AvEfh4ebUy4IX0T+C4mFQRZ
VsD09QXd98T+TG4Tv9BekgayT73ghGcVRL3nnMyfpKD3rqlqTUEJsLZhfd03
pXK476dWfog4zj1bQh5tsU+GExvbZc4UV4JC8jtTXWL/q8MSTCzyYuEW9107
vZxi4Iullx8g9udpa2521N1YkLP6r+ZOUzFEpTG5NBLjpevvzA4UxcJqpWHx
AqtiaODxerWWOG8DXX343/fHQsSHrXVL4oUQyrlupoE4z413lt6eXhcLvcfz
Ws4ZFICttSCvF3F8rv6+rbpmIRZcv8xpPmvMAyQx30D2C1jMmKkEns8D3QbB
/r0ZDXB84vTjtwMUJN9qyGpEzDtvWGk/YHS5B29/xBfU9FBQwcLGRAamPNAy
c6b1EGqBxvm3Nc+BgrpuJizHRGVD7k4dNrYDDeCbxS21YZiCNoiYSZ1JywV4
JZ8QmdgMV58KVzm2E9sbfLKePpgFvdK6tUsba0Dvi1m16DgFJX8T4OMOzADT
RzaP6CpqwfxyweSeNxR09lT+QtCZa+Cl89FUPqYGvjBOG5a9p6DlIpkK0eQ4
uN6vPLpvcz3c04939HpFQe0inqvOcsdC2t6tHwYr6qCt0/E7vKagqlmmt0Fv
42HaPeIUc/NdUGWf090+REGNUfMiCm9vQCXERinGNAJz5+DSTuI4SNDdSEts
S4LQeDP6es4WCN3Y84LzPnG9yvX5zzoqFhx6Z3N2ttfAA1m2+q//Ed8vi9fP
JxYJxH4bZPOk1IPf00rrwlEKYmsS+ljAcw3kv9QxBTrWgFOW4fUfxP53atzl
ko++CnvKxGn3SNTCnXTXkc/EcZg+rsJtcfAaVApn3H5sWAMDVf9xHPxAQUa/
y9lLSq6B9Hjwy9Ib1WAzJ5O5lTgPE/mSqvLDr4D+jAFjz5Uq8PZRFCiZpiD2
fOMcvZRIsM9OXeb42AB2Y5AU9IKCPhnlMUVwRwONiwFxn7sLV+fZw5afUZAY
bbTxydxICD4dF+3w5C7Uyq6VyyeOj1bSmMr781cguS1ASz6uCda5bWZj6KMg
0XSbgkLaSCi78PTmbfa7sFuFU2vpOQU9etB9/Y/ANTh0xW916scmSGtWGih6
SHxfY4wWDAmxYP7y2bbiba1QdS7XfqWZglZXJ+3Ws4qCPj4/JpOUBvDkdOrx
fElcz03slYLux8B+E4WMQ1KNsKpKK5OL2E+WFduL3vRRcC9j7qdkWwMg9sS8
38Tn2luzTVIlPxxYz5d1K8bWw7HxSpeGMQrSWV0Xumd1GIiVHfp2KK8W9JX3
XpckjnN7VDnX+HIE0M/yxeXk1sMde8trF4jtyyM+ym3rDQHRiwdMzwZXwabo
4iOHiN8vpwvX1r3G4aB/irXyBX0NtOxlDj4/QUHHPwdPMa2EgpfJMz3aDTWw
orpZwJ0Ybz2kdaHpZwRETyhtOvShFgLjz+90eEdBCd9VxLMbQ+CUUqP72/U1
cPVg8JkQYnvuhKhPKQnhEJlbtHPDy1r4eIn/azqxve2WwtjdicEgnH7Vn/Nq
FYjvin6+g9ifc9wsCj9jg8BkXUPSdpFKeCEauXSIuF5dEHD8MKcWCbOz2iWW
TlVwscL/Jx+x/YUm8UCKRzQ4M3JNrImvgiDftcZkP8iqO+2z+zti4BZLykeN
kzUQ/an0WSBxvj0TeEqrMx8JeaJn7K4P3wH6r8wf8sk83urJvrnCKNgwwymn
+rYeHCmVmXnEeR73WSV23aZoKGMR2Xr8ZANsXIpVtRuhoE2T1qkNEz7wVMUi
4IF5DnwvrQqjLFNQ1MTDnt2yAXCmj5HhVHouvGnXYthBjC9bixRcfeULYsLS
mjGH8mB1xFW2nu8UNJrCkOUrEAgeTi+e9sfkw96wWKU+4jr2RkV0v1S1N/Bz
9QXXVucBw5H6fHdie1lihls77wf1i/YN8YwF0DLHvsWL2H7u5w5D9RYvcAlk
O+y8lANmRnNTacT7bgxspn/N6QnHdZ5p0d/JhA5BWpegFeLzBjAMVNH5wHNx
rzTL4izwNBjP+PyDghhSPqx6+c4ThKemzA3UsiHwxq4dt4hxzfsmvzRO+oN0
o+SVC+3Z8NsjIZTMWZIr2RKdxRcCn5+489uuzgC2lxNZhj8p6Ku1dMpd1zBw
e8fdO3X0NhS4LKkD8b5C16xPeySEwK4nw0w0wZnAwfdq8Dwxvr7OaOvDhTAY
vCNII9adBd0XNO8nEa9/8J3NpvM8kZBIdzaKbzwT4mYv/1wmxpNsmAyO1UcC
R23aWdETOeA+NVGQQnxeE6G1MsosoVA7wG0ln5QNl7guDJC5PRW5R12Eo8Mh
SchYrmZjLnw7uE1HnNh+PsTFPqg7EN4H+RmG3CiEi85fbE4S9xdWI5f/mv2C
4EH5J83YgVvEdd5S6hexn31tDaF3PgXBz8mwg3p6WcDOqsb4m3j9H+sCNSS4
g+BicUDyLFca8b4+Qc+J40Dz2e+GsosnWEywcg7kJ4FGdq73y18UdPlXyEZO
Mx9gMDxpybScDHRKGkbxxPix6Hgpuh+eIODHOmRwJxXaG7uWFYnxU7bxnQ7f
fQA2PZPKFUmDq/kbHs8Qr88hvfVMd587NIlEKQTLpQH7rxKf78R4WLrx55Ub
XuDaadsl3p8OU9sP8aeS38vjWysF9h4Q9vXWuveKt+CwjpOaCjF+kNXupKmi
N+SM7jrw36pMOLfuTBGZQ3VCxWSTT54vsKyfmmuMuAV8mzQs+IntM9sCOKYG
w4FpLPnEy0s3IJV5w89RYj83bOI1/VoTBUVuPW0glATnqtjYHYnxqvCydHvB
CBg30HDb3pICz/Ui9LYR4wl92bwMO6OhONzY/ejkTdi64mEQRLy+hk69gX5M
OBR/FfCrl4wFRT1OczLPp2rdcHS4cRQMogy5qvQ4GKqKG+MnxlW0V3Oul3MH
x1Rtw2adFPARlSEdZ6RvuZrJuMsNtL+Zpt5zS4SEQlbSg0aUhYnSBuUAOHJ9
ukJ3Mh2+2/qJBxDvK9Ij0P58XSAcqnuYnySZCVqpTMFZxHFQ07WVzr/lD/wG
zy/MuaTCxLh6NpnD9rCAOXjQzg9+mMc77lnJBAkNA35lYvvyhgGVbWl5EGqn
mhZwrwroY/mnG4jrs6YQ0/xavnzY6s5dGn2wGqx6zhzQIK6HES3FYiPZeRB7
Z0hf63kl1IVwMQBxP33aPCvM9SAP4jnvj0vJFEGuuV5++hxxHaAfdGshrgvB
BzgSBGwqYOdPB0Nh4rqXmbnit+psNcgsa+xVZqiDfpM/iZuJ+9T1n2wnZQLr
QUQ6dMCmtBUGQ6c7NZMpyDLzz6NKuxyIaDnEzpKbD44mh9m2E/Phg8atf0Ij
csHvTcU35t4y4MmJYQn7SEGPDTarrg1LBnva3Lhrn7KgcPkG5QlxXUpUuByZ
G5MB105pSgl/yYMT+mYlm4j5W5KFGa+8eAoweeZOxG7Ih84Q2VIe4vf1J88u
9lPTLShbu3EjvXwJnGi3DK8g5pkujDw/5n4kQcZLtr06e9Jh9g6r5nMyX8tR
1fW+aTqwmYxaMC5mAsuv24lGxPve2cF47rhcDPAlRtnzOmSD3PZznd+J3/VZ
t5rXlbLXYQ+XswyLdS6MXbwfEk1s3zleVrDpRwzEe3c/d9mSBzM1XxXViHH1
RaOouf4rsGOEuS3nVQFogXKLMrGfGyXZad/1tMOUSET4y2eP4cM7606anDkk
X8ku7hk4Ds0jo1IznDPEOlrzm8YqGhg2y/x5RvUtvDkjf5Mu5iO8Lvyt3yD3
s0Xt3p7OX8IfQNh2ICjj2yT4WQYVu5xYDS6W/ba3ea9C317VaH3tFJjNk7Mc
I3NrTfO1anOvQrfSq5rpsAww2x/i0EScVzO3j536cyQOfk+xzirHZML2A5sE
4ojjYxhc+iX9Tiw0RE3wraFJg/Ws48Kbidc5JtHZSH80DgQ7blh0OWXCn0C2
avJ6LjXMIWJafwWqxLYwLyolQMR5Oo0W4nwecD3z9J17LJg67ZufskwEuzd8
rPuIcWW1nZx/bKNgjdOOjKfdeZCQoU+zQNx3xu6/fXVSJQ7WWqltWNOcBj7u
NwPI60bA91cRX3OIdQRjlRzv/VsQocdI10u8r5BFzdu3onEg7d+lvu56JrzQ
3nDjGjG+tN/+jiPnDQj9cX499GbDqoGJ+x+I72Uk2uBixYkEMM3RlGFVSgEG
MeXDiPhczd/ZAnadjwMjGfe3wepJ0MUrzvmOGP+wv3y5IvMYoihs1swqDAJ7
pfRJ8jnS3iug52wrhcpWs5muPAsCiagIDfI5hkzFtXC/rceQW1JgDdssMT+S
engznXzOn7RVdvNdSXTpsZEP2hEKSQ6TiTeJ8c98n05vk5RFPsECgcYMwfBo
Wlm/nHw+P0hX75eDEMs+BdvWc6EQ5jXGRv4v3PlHOL7JXQyJPdt2UehYOAw6
OPqR/7fuv5d/4u7X44iDbppR+lI4zAp/+kX+/+tlWnixRp0fbb/Ar+hRHAID
MtZk7igMrl/jkv9cCMnSytULdYXABnUtMp8WaPNfMOpU7ENswhVeTZ/CQFT7
PZkvCkNXp1wszYTQUb2O/gaGcNAM4yPzaUEksmBXq+xRFDRZ6icRHgSpclpk
ni0UhLy+Q+bN9v4U/1pzPxIQrSGZNwvCDXQmluXSaJsN6+Bj5igQdPck82ah
yCJlnsybVcrJs3bZHQNVe/LJvFko/Tn+msyb3XRrZYzZIwZ899wm82ZBWyWn
55ihHBI9qHW1KS8UfjIO70gkj9tjayGHOhl0rpd5bLk6HBZ2FE2R9V2qFBeO
useyqPl5dM7VdRHwms9U3IcYn3IuGFAfkkNHaDoUJ9WCQT1E408JMb71aYYx
U7co8j7+dENRRCQwGm4lc3ThYopCNplna8C5YdfJN9Gw5j0bmWcLXls46uVW
S6MbGofAeUcAXE3ZLtdBjK96FyfsmSyLflx6A0f8A6CJh7mFrLN69zFRWOyA
HDq3Py/nkLU75HQ3G5L1SHNOZffKP8kj01FJtf9q3cHn0U578nl4tsPrT9yT
smhtv/SZy3Pe0BOaZEHWd5XVF86o3ZJHUzfbdS5q+IAI/Rom8nkgz3TSzglT
OXRFV/g+43tnSFngr/5IjKe/uyEXf1ABWSvXd+ftdoHz52NYyPHm17Pi5WHi
aCj78vNEI29IqU11JOvNLo8lC74Nl0Yc1a4B1zO8IaRdLmSQ/P+Cr2qwkFMc
qS6GDh4c8IeRmFBfsq7s7uK6DzeWpFHCYviuX7vcobRXc9878n8xMTrPkIKz
YLXJfyR8JQRofkuRObeQeGXdDsMX/Kh4rG+x+iIxDzrdRebcQkLpo5MZLMog
zhcYtm9HGFifkCFzdGFZx2yCzLONZFHfbFMUDjxn/cg8W/gt8UE1QUQRRfo8
LjuxxQNE26VPvyaf53sVCAyOKKB376s2ljb7QGmUaShZ31WkPm7c5KeI1igX
iBtedAGNMDrjGbLuokp/+slJJeS2iH3qry3YpzYJ7Ss5taiITrtgn/rcV+xT
98aHrHsUoIQ238Puc3U7dp93Db8weLpbCQVew370r2XsR5+rS1rPHKuIHv3B
bjUKwm61+eSvSPc6RXT/N/Z2m/Kxt3szpCOkN0IJXaTDPu/HFOzztq1hbXr/
WhH1nsYOcnIldpAjHiZnWdQqoW1bsafMuxd7yobjJjw83UpofhT7vzFz2P+l
uszoX5f5h0Lg7bfbFdGZ/djLDuHAXrZ8IC/dt4OK6KUp9rU5pLGvTXW60b9O
d//NVmlFJwX0IBB704OrsTftIEQbssQhjnyu/rJUj7oK18SjyTxtYN+vzvJS
VRJlfbvdlvb+KgwtRJI50nDsYe0DMse7jtP0rHbBdZitOUDmeINi8H8qwd/F
0KFCGud9369D1VAQmeMNlZVHBFerH0ULyvkFXRvjoLblPZmbDR9veaEdzaLo
icqRJh/xOJhgP0rmhwOH6Jmtw7MSaElSLKLkUCx0mYmQOd6QIU27SOaBFwT2
cr6RuQqGHlJkHjh4NvJ94vqmiIzysU+9PQf71M4bDcRqniihRyvYv94RhP1r
MePj3pZsJ9DdMexlv4/FXvbw73dPydzyZ943wngc42DZ5QaZWw5r9ktHOpzM
ASXm7x+55R/A7lHp47etiHmUyb7K2YZUGPfz3V33AGBefVXj6hZiHfrmAPfv
+UwYbPS9tM2mE+wvBuxpiKegtS8Mved60uHmh4OyfuHtIOhxYdorn4Ku9n68
tt4oBxRVTFLTfnfDh+49657aEvPe9KzJyb4ciKJs/vJEows+XXi5z9aXgm4m
/zrXFZMDH67ednLR6oaQPAuj904UZFq57yFrXwY49eYxh+xugy1cyu33qiho
tmIpR5GY7523y/tt3NwDWz0yWue0ifVvUJYWo2MyqP/Hgeju3IPX42WLPY8o
qFg+lsb8YQZIrt85Ht/bD92VvI39DBQkIKS1w98YIKFtnEuxnQIn6Jifar0a
b2mP1Wt/bpwHLBOZ5sxXhmCx8/S7QxxzyOKTwU+emWxYv35Vd2DjIGxTm40Q
cphDpaUO86JpGaB08wf98mA/sPS7ZesRr9/5eVd8rRXAox6XpH3tZH1qhaHH
2HgL90wNw6s1vVDle7vD4yQFXvVso3+sPd1ylKlzQbKiB4Jjbj82M6BA3/Gn
T0+enWop6G5sCrcvhV8Bu3vnyp+A8E6rl3eez6GDQnGsdCJNcEy/q0pb/h2o
e4pd31w/g1qnB1cmVtLhj6lPz5bX/XBud1fmS3oKyj9v8k6mJBWqBK1XqVT3
QvzFpItSkhTEKDTkHp+XDre/nTRj/q8fSjkLD94itv+SPnT/V1AfHDlpxCNz
lLi+0D99rOI608KxEMi0TrMTun/fl8yXmQDQFyi9d2kCRQ3W9Nic6QO2pxKW
d0Uo8F3u9aKK2kzLOn53aeOUPIj5EceiKv4ATMbO5CRZUtDo1bVjwWZX4fDh
LdVNsgB2xumr3rZRkJJWwsYI3TjQH3d76tXaBvf2/ledX0FBT1xbV/7TiwUF
5teNL93aYMfegCET4nw43PTnZXZ2Apw/6T1VKtMJrDSnes4R64VVA2FrEmkS
oc1LrPPIg0549CdJ+Xocmf8f1agdkwK2zEO5x30ewBRPyHETa+I8FFbQ8POM
h03K33MUBzrgHfevM0NpFLSafmG2azAJWgSuJN0q6oYY2zs+94jzU22r4ETB
/Wi4PPA9MkulCVxPHzbYSZxvn8u3C3fsvg4b2r48qS0EeA8ywvtbifmeUfrm
Ia944PpKy+bE004c/9Ll/aUUVJITI5U3nwGOjx/WD2/vh9u+cUndrBTExa4r
/eltGoz5bfdlXv0IBEVCN7bso6CGg8dy0+JvQVFo1c75sn6IpWf2dmUk9pOG
25DOKhG+8Xk/DV3fDRluI0lXPCnIVcwkKSVTArUEYNe7Vh673uEnGIRbpmTQ
kBx2wM30sQPePZ5y3TdSAgW8bOCz9TIDpY8jzCvkfODTyOukhzLoxIvyKz9y
zSDB+9Ikef1nyV+vl3tPDrE4YGdcKgQ744rmbA6RRXLoR+oqYasRM5B0Yakn
t2+T4Y39aiWMdMqlR3tNnSFrxpuW/L9ef2/ii959Esjvj3FiQ7AzfD/kVU7+
L69fv3uT8WFhdCv+WnlJmxt8krfWJevS39w+Vb/yWhxdWL11y5FPblDzueQx
OR/ITZ6e2s9yAOUmfRm3yHGDWoWpSnJ7qacrVkb39qPqqWkNyhpv+NLaWkj+
7yl4MfOl/aejSIe2/aY1vzdckOnfQ46XOG/1ztOWQcrRDwVcyp3hQ6iVFLk/
AhH7DWRNJZCqVdyZj5L2wPbgOesiMU7v+blYPkUGHQiZOW7iZw/hl4r7F8j6
jSorA80YOSQvvjSe8cgevi5YeZHjqjtKvtztaoaw7s/FVg8osE+zyNBnaLxl
vJBF8qh2OQy9/S24Rf8tsO6Xedvp8hFtNRnwT/RvhpWVpQaXHuI6rsqrxkts
HxfffqLmaB8o/+BeeJlSAY1VdQlNeymQZDz744vUA2hmtZ3ovNsKdz5lX5Ph
o8Az+8EqDq4skK/8TKfuOgAN2m10F27PoaHyarqluGrY5bBBTs7lPdCuVHUE
+U8hjmcFK51WLXDT64ohQxcFNDeri18dHG8ZcTr+kOVaC8Sm8lc73acA3fN1
dG+J/el6na10ZSQUcmSZ9wzQBIHBgYnfquS8l55r/2HDA0hqg5pOnrIzuKV7
qJDfu1Ljh8t6p/zghH+2rJFgMPCpd1eS9TyW9V5Hj/52gbLwhl+F7cGwMS3Z
nazPT1Ta6KY/0gzz6WF/VsX3QIaLYeXgTgrUjJyQKGUPBK+Ep96vDaMh2Zwv
ipmct1xZoT36MwgitW2lwrivgOg3wwCynpbn0Debr8qBQLM8pQvXYuH2rbTQ
EmJ8s3jGxNqjwfBs8ucjudI42PpH5NVlYvyuxjrVdi5iPaAa4su/8xrQ7U+a
qCfr2Nt0VHsNQ+HF7m9mHl/jIff8zeNCxHijb82exJBAuLr9eIHSnwRwqxMY
J/tDtebNZ99cDoZWO2XBaqNEaFAtSBn/RQFdNb8rA8zecJrOIaTF4ip4FM3E
/SLr9CT3BnPu84O+B5cEdPZch2HGyrMviPEc38E/9x29we1kYsqdxjg4ZBa3
nErWLacb19Nf94PhTaNJ+/qI6w3n51W2xLij0V7Bw4O+cH/vEVnHvkjwc7bR
Pkqua7Ze/P5hMBwq/erOP790A/IDLpLPx0Ct0LR5viYKKrilfJqFkqAq8zb5
fAyW+WftbAUjQM6pgGtbSwrUfNt6ehsxHmvJaUu7k5hrvRcpOjx5E+j0jxoG
/aSAaeLH12vl3GHkyzBNk04K6GiFkM+7wGKxpnHDD0+4oiOufPZOKgxycf5Q
JMbHXArpu/rcQfWOfn2gXBocZlnr+514Hf696ud+3PACb3m132L96fD9eQr5
nBDmg1Xenutyg3E2ukuNbolwdUqNfG4GUU9td5108YTkc4c6n+QnQVbrB/J5
Jkjefqd4OiYcPlwJ+FUrGQuX3C3I53Wgy5QS97sgFJ4O/zo/8DEJWkfqRsg+
3A6+6eUQ4yjQibnmdSc9DqzXfSaf44H/iPuOKGI/mVIZ3PbGBUJ7zfR7ct3d
dkoi8OEVL1DZUV9oExAErfTXCqLJ/+u7vcL6aDzgvb7zrhv84ZBrjw5aEuMG
j3Q0y7u8YGtFlnKjbQTETbp5kvX/zqtqBBIVPcA92P5c0OMY4Ijb10vW697K
5V1lkOIB1jYPFTjvx4LPKeavHWSf8pvpoECby7D6ZLyDJJ0bvBo7qvOQrA/R
U9n8etAV9uc2m7g/uQwBbrMGZJ3D0IfjeXroMsQut7jm7fADvmbD8+TzB4EH
WRdcCtzh0R4rAx16d9D+sD6WXFcuqamxbVK+DLZXzjkJugQA6xM/30JiXHkw
uOOehResohduRSc8wOGL1QhZv/FnJNqz9KcHLMTqr88pTwD/X9VpZJ/F0fVG
HtKvveEzY1yV21PifLs0fXEnMb5LaYMqu5kP/Hg3/JJxORmuHLlFPmeGPnMb
189GbhBjzi38sSAeTGnqbMk+FxU3/dXi3EEgrHsy6iNXGvwfrs46qorv+/uE
oISCYiAoImEQKgiCigwiIEpIqYCi0iAijXR3d3d3d21CGilFFBMEg7qAoqT+
ztz7edZ61vf+udesM2fOzJxz9p33fr8y6lfx/7Gh9Mmj1VQuT1DgO9ehT5EM
LTTuGZoo/v5igF+Tszv0Xk6eDx5NgdSflFe2N9HzE2JeYhPpCbQZvIV/3dMg
yiT7lRaKh3R9za+18oYb/nxbM4KpcM+1QQFQvCA2fU/PL28ouLB+X6g7HUrL
FbtiNgiwUmfOXDrvDlcV7gyoqKXD0bKDe/6i+BEWd3cZJi/4axLaKxGTAaqd
T17iermgVyE6lyod4LzZ1b1VldkgvFaba7tGAC4T75rKJWdQnvPcHb47F/b8
uM1k/4cAbwZrBXZ3OEK7yGXtRe9cIN+pIHEaxcfzQr8Lc7pCh4CotAx1Pnh5
+C6sraLnfOZA5c0We/Aapf9m9jsTfjq2/khcJ0AgQ2Bm4AcnqCP78cqfPxue
GoYe7kXnpSW3Z3brdoOOeF0T96g8OHLDwfj6bwJEUSaz7LF1h2e+X/fmNRTA
7PRLgu8vArw7/sjQkdcNHgU4HXkRmAPV04MyA6g/Es9T3grV+kF7/Yr+eZlM
uKQrmB+Hzvtcn8GfbiMQUlslXcz3ZcPh94Uycui8pn3hz7aM/MHwJoPmUHc2
ZFVQUvz6g/sP7Ls8NxgEBbwblOkfciF1zrNVFvWHTFL03/3aIHhCwT67Ih0J
jAYB+P+BEHmM60gSezB8ajrcq6YcB6Ytf/D/J0E+nI5h+1w4MFv5P5cJTIN9
AvZ84Wj8FeB12kfhcOhaqeWgDE0DjnKraJwXP3dG0GmXIMrrgsXEn5ungddp
t6oUFO9q+F2kyeYHt17Uf+SYSoPxz5bb67gOzf21kkCAD9zxlbxfQZ8FLgZa
qqK4j4HGF32Rq4FwafeZx2wmGTAdV9i5huKPXefZ7bOdwFCCYrLONwXsrUfx
7xSgn/Mg6YGUA7rf09xT5GngAR/w7xqwa17eccTYGdgPMF3j2kyDmz3/8P/t
YSlFkyUrxQWqr/LmzFvGwwHXUvx/fmBJfbdovOYIRXSrVhlCiVArbIZ/fwGp
8yUWNbKusHfiZJrytyT4cn8b/44A6fI/dpfTOEIVMFrrFqRDm1tgyjK6LqlP
v1/LX3eBL9dERUzaM0C6QNcb939gGVVLznn8DL2XLyWmpFLghdUn/LsMGMtV
x75ntYNoQQolmrI0EA2JwL/fAaGMYDs+aQdGXN4S6nIZEOL+Av9OBwtaS7U1
Xx0huOTDuW6dTOij8/IhoPGJmZVyPS7hitbpi35ySVmgxqRKfwzFu3kiY15T
uUHbCeln0ZfToGNnJf69A/qadu/6/DsYCqa6vhbl9gFF0U8FTzmUrzht0LkN
+IAdl3BaKm8nbDVVmOWHECAj6NUno+hAICtUf1PG0gM7B+6XFD8hwDXzJ/Yb
rwKBQW5ztU68F2ZPvNyp8oAA5x/JN4xgofA8LnBMe6UPjspLyJihvM3pRQE7
c5kPhMc0sH393QlDYFu14Y32yffvMEplBKLzpg5dZe+DM+Ex37tVCCCp/eLM
b7NgGCYz6mYL6AN62vXTRxVwP+qVwyd8g2DQxIHr0Jc+0NxMNzaRJcDFI9cG
boVEQOrZofPcT4YBVJTfKs8vwma0+BwnrycYhgVQp1N2gMyezkDIIkD+Vo5Q
zmo4SOxdN7mYPgg7x/KWKhgJcE87yJLKxBNY0kwvPrJtB/nOWoo/+Sje6NtH
vcMX2nS343IDnkP6o4ea8tEECNjYI2+x6QanJMTP52/XgZbkj6WYNwQYutex
MyLEHcTuNMw+dKyHx4QUU8pxtN9e+/mLT9QdzJ/rSZDT1wPdUvpLQ3S8m83z
2cMMHmB+SGGW9WI98N3k3BxBx0sa3X83r+wBLhnKd49Y1IPsEy/toyjOO72/
qmy3F4xHX5P2zGyEqet++XVDBDA4IpH6fMINKO9FFz4LrofiaHq3oddo/0Cm
zDh41RM44N0dk8JGeOX7mTYbHW/5ZoP35w03uLI+WfV6qA44hCrp+d6i8RGh
O++lkAisGZJaWO9roOu9UH1wegFSVuTq6QsiIaWU5GMsStZN9DH+TG8z1kWR
CoaWeh0j4xMg2amh4LRrAXJM0t5O8FfC5N1S+Y3v6DpbJWpf8Xxt6UvO+xZv
WglR5Zx0j1Ccssg+W5Hha4t57eGKzgZXcD9Tx7JcVgcxBbe8Q1F/ct55tRz6
5wBf/d44WjDUwP51WnGNSQJQl7JT9ji4wMQXrmpZn1rY+e675ZEPBKi1v9nx
hw/tA6+T26nE1wL1EBnVj/cEmDj9vpiH5Rk0yxhopoXUQ7ZeafoyGp+JlpTe
BF8HKJK9aBMo3gg1/4pmFEZQviNQtnBj0B5urVoFaEMjXOc8NxWBxo0hIWsy
4LkzxOlZG7KgvETc6sOVcygv2WdcfOsJ2je83UrrkKmqBaY/ahcr0XkLRHqu
sY09A32xTIdtznqQsMmmvYbue2h3P+9svg2o6J3REb9dCVJH/r1wRuNh9IHj
QXWsHbwvluhuda8Czzv5bT4zaL518fiy0+kZ3L5+k4EspQrI03dL4n68qc2p
4bevOsEUo26S5UY1WJVrToWg8dmSN0/jGbUHRllWVdHTNXDqpGzaARR/70gY
sRR3B/tyQTepY60w4OVg+6wFzf+2+U5jn93g1dWE0AGrVlhiigh63ojWZYLq
Y6MmT+glZ6Bc2oHy8YQX52hKUB4R+E++O9QNvDZlBWfftcJ31sfl9+vQ/nmj
9Gd+gAusHpfSfSDZDMsSFGkH+1A/RyOirJUdQUHqusf2ywZYWPHRqh5F70VD
k/rBfc6wd37J4ZVBCzgbah4eRXnSixvWly6eSgLPTv2m0clBsHAXyB+kJYD2
NetUOZY4GLQebZ+Z7YNryhIDzjIoL5ygktIuT4TTrEaybz4OgvkySy8zHQG4
v7Fu2zFXQJZzM9Fnm3Xu/P/vsw3/67M9O760O3u8HBL8jYk+29P3p4g+26Zm
t8kGcipgXugU0d97tH+F6O/N+8Ke9QDKE93yLShkUJ545eWDVZQnQkjZKZ+A
7CRoEM0Z2YX/XxTVU5OC+s99YttT4VYixN3NHrk1juaf2EiFHNRP+t3i1y9x
RcLxImffMe4u+JMh9nLTA+3TnD4YdPfFgMoBna63Kn1g2DgoMaqI5n8RQwv2
4FT4FnNiwyNiBIaX3puztS1C+rUCJw6UF5f9rqmgQXmxkGP/317LOfDrqKnV
PxMFDVO1WeG+XaAu4GHm7EIAh+hdz0QL46HA/OABycp+8Gs5MSJ2mQBpZipW
Eh7WoGbAp2N7SB8i1xva8f/zV+czkmfRPnmjl+6E97AejNBX5OHfTVRp3X/c
CLcF98N85uMUBhCzLBGP16dXeTcUXpCzB4YgxpWGK4bARjMWgf//b0jLcG7O
3xbudtMvDmtcafHM2CGBt2PQT2fOcM0emN4vLM5IX2mhGLtyFG/nH98ef95A
a6BKlDt1/7RYy+1OhVS8rr+hantlEfXnknzlCQ1+kZbEl7mmeD37IYfxPot5
L1jY07eqk90ImotNZ/LR+zsuKvj9I4MvRHlfE8mTbQGtoOnMX+h5a9N/VBrB
5AdbYsKmE/dbYJ6Tyi0RxUMebq30DAQAmVo2pcRIK6R9slG8jp7zdt2bjixc
PlB0zlHQ5WoLup9Hn7CgvL+Jwun5FZQP/mNmuvS8rRWKHWTn36Dj/zhl60Z8
doUhoU9cz+xqgbvdsBlD89XG3oeNfzNDgXe96UL9rg6wAmOVxUwC0PnyHOYU
j4BGx6NM4e874Ram8kjJB+U7eruHNmPCIDbr7g241AE+GnFMuG/eu19KBSpU
QfBP4Zz4jtlW+NJuXqtbS4C4pb27x6+HwMCfLk6qmXaorFxY18hG5z3rt1dZ
3x8mPS8cvB9XB3sGu0bt0HxLWx1U6IyWShUGgws8Yg3AjjUUHnlFAHUsvtvz
aADUe9EfqfhXDysiy6HrKK65eVh5kzcE+HS/LEXNNYGIgtpkPnrf2b7nGz2j
9YcXA5TkF9vqwFuYovQvmvc4v5GXKcf5gVaN4tahuTqwisfS3FFcLi5HlZPC
G4QuHqnmza6GQq6H0ZenCNA8rqf+ad0X8p+Vv07LqoWDCykxT9C8GsR8v0Qm
xwdMmpPYJcNqgask16EOxd8NPDD5rBUEzvfJTMTDm+CRkewJugF0vWyar3ZF
hgFvvX1C7oFWSGU87LrZjOYNZhvh3MIQCKx11SqIqgTjK1E5+7+h/Z5Fzs1M
nyBgLFF/3RVUAYk+iecKfxDgFxeT4kO+EJD0bNn9QrMKXlQWHedD8/CtcpZ7
Ull+sN5qqmM0XA+eAwZyOWNof/I7pDd7lx9QszxOSjpcD09vlWj8Rus48+/q
wBbOUNgKqjhQngdweMBA5nQrmp8+lkyP2EeA6GD/5hO2dnCdSTjIU4TaSbSJ
dtEOho2jXSfqJAB6PrQzfW5D793sJp+XajhQM7z4ZNvaBrG6hYM5pQTIzqtT
n1QLA672Mz9e27QB3YuSxYcVBLBiH+RNzYiEK3w0R/PF0X7mZ/fS/Vj0Ptrs
Wgwjiwau62X1fD3PgdxzzCo0HK/HvKSe1RkAdNEe3ck3msCZo8ng+AsCHGa1
PZrFFgI/Is46Oj+tAtrsczEb02h8eE+zuNwJgYKkmedYYBXQz7/XLkbxtKcO
rMf2+oCg/wty2bUSEL0U+9d7iQBn58/fu7XkBwYpTxKCX5dB8gLlj5wFAvS+
ON5Mc8QXzpA1Gd7+WgY2zDTRiShudFjcaf5ZAPjnOvWQR1SAsOBhXZyfsmXB
ZCAeEAwZ/Be1OC5WA+zsnFxGz0/SlUNjt4+GAYtg79hwKdo/WJuQt34kAH9/
smxagyeohka4fqSuAulxr3ueX9HzqfP2WUykDzC9kWrb8bYaBn92ryehdVNz
z8c3x6M9IK/IvftwcAVs/Il5dwytA8J+N3t3b3rBEbGbitQ7qyBgSOycLWpn
qFqpfi7PHwTfSuld/1wL79ye5me/Q/mIbZwexZ4AcNqYOCZyvQ6sdZpUjSfQ
+i6zo6l+yxd+upIn8MxUw5kvl0+ZoPP2VBudPh8bDu3BvkFcjLVA+83Fzh7N
Gzt3SK+7fI6Am1bN6rub6yHi9UntQ+h5K6mXAexzFHw5Y84pEdgAR4L3UXOg
dVapptE9vC0GzNg1k8tZ0fwWeHCRFc1v1xLT8vT8w0D02d1xtvYqcKYpavn5
hQCFyfvJBnUjQaXzAhlrXC1cjfxhkYf6L3il/sa8nB/QhseU6ZhXAMFPgJwb
jUNykG7yiY5AOKo46yp/vQqilyneuaH3QtlUsqo1MBOiumPLTJS6QUHib8m0
Ocr7gpiG15fSoDf96VVGw+fgm31fqy4Czf9pVGtk9zLhWqNPYdTfbuBcldUa
MSKA1j66s46Pi+CHZB7F95Jh+Pb1/WD5+CI4dc48WD3fBCmnx9OlJSch7hRt
CXPtLARb9lrcjcuG9bvW1pKiPdCtxkwdq4fya6590r8Un8Nicdh4pPhXaGa4
+m7Q7CvwBuufmBrIBKpdUrZ9il1AMPhjbeSE+jk59kf/eiY8elI8d1CyB7wW
hKJS9VFelqcV/b0uHvoeerws7QGgzlV5RYHvow6xHv7emwSzjgLc9j7tcOuW
yl6HHLQPz/R7IO6bBTw6+cfvNveC6CIbH0EZPQ+TliyMA8lw0ObIRVfONujy
PzbTiN7TULsDRsyzGWC9IjFr3/ASZt+/yxM0WYReHfKK2fBKsHh521AY//95
/PpAoMt3uBkksvxxMwmozZgv0qL9zyDbN54JtN/g8aWq4U9Mhv0P8uyXXg7C
XFoQ32203yiLiK3T6EuG3I18lYD+QWi4vH5tCMUfOlWVDT3IhvfWCxhN0BjI
F7bfO8uyCF4lx9kjI1LgHC9ZzLfiQUjkkqC03k2A1i6H9zv0o2F/2YUtV+pu
sIwRGA6yQ+vO191z058TYffxLx9oKF7AxUtZri0nCQB/lvnlA+PgwMpnVmHH
HgjIy3J7aIDymjWGFXu7CCho+rDr6mgHUCXkOY4lEmBzTGCj7WUMDPfqW8fn
d8OjO4YNjej56Sjv2JO8lAyzGwqug4cGYbp24lDPQXRf/t1mpHkaC8I1tBd3
lDXCZOevnX1ovvL99sPgz91KWGnPzRGjqwFPL6tBRrRO7dkhb3fWDa0fTTuU
tYpaIepm+Q0lNB/KdWWJaGeHgWu702+lzALI7haUHv2J5mGXJRvf+jDwM/9x
qbipAK7wX7VpQHH/LIfO4fwwsKdkHMzULwCF7sjPO34RIP5BW9FgbzvQ2q08
aXg1BGH13s6UmYvA4mtdeKAnG8pmPZWExfPBx7qzLGmRAMc3tX7VVmYD5+sz
pzkMS4Hn3BGj82h+k7soEV1knAl/n5+g2J2VA2ypRccOraB5ICqaxxU9V0Lx
DW40/cXgEiB4zBvtc58F9Da9zMgGhUNtZHJoP7uD05oV0Dy8fZH39F/OHBi5
XvbCi68SeDl5riji+ULMsYPkv8JgMlLbaaQhG/b9ONGI8wrfzgatTw6GASEv
LuynaB7IMZXP162i/c/7tb0lEqFwR92/g9EgCwx+RXsHrBGgMqEx7RtVGCwv
Mb/W0MiFn2ohHPa/CfDTo+2LG2cEjDBTi/wg5MChKtNjziheaWS74PI4Gqa+
rBbXKBfAllkU4yM0nk8z54yX2yIgM5yJ67J1AZBZUnmXoPjzB2+FL92KAZ3n
Bpbm0SXwTW+P3xMCAapFpY3q3SMhjjfj0k/pEnizulnBj9aXF3HMidI3wuHR
q2CDf02JcGlXhRv+f5HIBZXCpcxIcBOm7WLtTAGbD+G0/RsEuBmyVmrCGgXx
T2lEm/ozgH6RqmcGXdebXLnrZN6x4Jd0wjNwPh36HHetDOP8R+PSz1dE48Bs
QpEmeGcOvLavK2VD13Vc9XlhkUwkDA4SOvdJx4EVzb1zGO47SuF5Ym4jBgw6
b9oqcCdBVf6g0jg670yITPsn2zAQOXv92le9aBg+/w7X6cGJ9sBXCWVhYNP6
qfbfvwTYOzMpxIjaifp8faY8KxhCTtErfPVOhqE9rk+a0HU59UhdZNcKB418
qVVX+RjoV6A5MomO76RcBHiUBFLmI5s0q2lA+7Ai7h7q/3mmH+opgcmQn703
68xKNjw98qd0D7q/PzznR/ckZsMZMwcyh0aUP+VWb9Sh9fS6wuGPM00pYP5r
hHWHZCFIRO4LLkXj/D2CPbFuyB3W3GhCrcpL4XRl+dsNdF9OX76xqU/nBW+a
I59a05XD6N36PlO0jrfs18s1bPGAhHOvizyOlUPYpV0et1B8dooza+W4N/Sw
HHoVYF8BW+6SE+fR+rIZ5bLkftEDTv1eonxIWQz73grv9UTPf1LdA/okZy+o
OzVfu0OkFPTd/9VpoP6c4K7xbdvvCeN8wie/WJfCPgvsLw+KcwTMmgQ6e8OE
MMvJS2tlcNPbpcYXnZfa+q7eRoInFIjfbqQoK4JTK0xSbSv4cygUbIa5APdW
tB71M3S93xOkNtFzKL2gSPtyww3ud9+7OKBSDI8Lpr2l0fH2U2Q82ZWuwETY
seGSUgz/Xquu7ULxxBnTzHtibiD2LvNvHWshuCQ+dpdA8wNz5a7Yc/luYPHv
Nr/ffCk4RYou96Jxc7FY0mLq94SqkOjEOx4VoCc8LsSPxuHhw19NnA984Lum
aNxr2iogyzL31UL7DU9xQv1GmDvsPV554KBQOZyPe7nOj65Lv7nwS1NhIkR/
/LX7ml0F8Dm9X8pB+9uBiBA2X/8MwPavd+zlqQOJn6dUdr4mAM2riLcH3ZLh
51gYP1VpNbCOlq9yfyJAXsi1q0qJWWBTdHTbNboZoiOYXj9tJ4BAceSCvVY2
kLl+cDiWXAdb/lKzn9F+o/bQQo+aaDb43QhJp7JsBOehxe6qXgKQ0UZdmuFL
B+ZDnK+X6auguG6qTRg9Vx5K23tv9BVCH4/FBlMZgHgWT8GrKpSXnVIw89pR
DkVl75WqCzrh3Iclgv4zNP83OMSGXkmAO1h7maNeKQgsj2tOo+udeZrZsudx
LDzb9fuMakE5aDsYGqmicTNS3HLOWHICe9WUY4bm+eh9NjMsRs+5fMnQHSqG
bODw/rn/qUALjFXtfTcOBPjg85nPIqYe6A6zzY4sj8CvyS/auUGLYF5xORTn
7DA6kTizNN4kzuznWi0ZnLNj9B+X1uMxiUsbqfbUFOf4dPzHmd28S+LMsnyl
OYNzfKbUSVza3W0kLu2jxxWvf/rxw8v/+K0CP0j8Vme48XJh93EQFSLxZA+l
kniyT9enVyp9ToPif/zZq//xZ+eUEt4M7aWDbQkSr/byf7xaLYPMIsVCRug/
SOKlPtck8VL/497C/3Jv7dzuJUUOnYeNYyTe6IWHJN6o+J254R3NF6FYj8Qb
Db9E4o2aBeX9Nm4RgZ5EErf0nheJW7q9nf7op7s4RISTOKSJLSQOqdrD+Is4
J2L+Py7qmVwSF3Wh95SjyK/LIMpF4q4KFpO4q+dWhAm1sRfh7SqJl5r3mMRL
zZuW/bXVIgHkpSTu6tBHEnfVxSPDCucWhRqRuLcKpSTu7V86K0mLaDM4FTHk
ZaeXCdrhzrEMaB4+x32u7OSqBZh6ltPEPcyCS7R7Pz5F47DJVEoTFGYOnnSP
snmHsiCkdXsHD4rL/mEOUx20BNsW6eGCyWzw9ZUZMEXjrPpHoGxNxRqOtP2s
uG+VDUfkVceqUPz3e7LvYZI2EL658uMHQy5gMXznIlF/ImiqyabPWIBCiELX
voUMcNw0l1RD/WmfZmR9aWcF//JVaGO+Z4JoxaZsDTpv6K2wUx5Kj2GcnuEZ
o3A6zFFdcFDD538ZI7FHvE/hx+QeVuedGVDz0erEB9SO6fTPEb0kEzDO/hDW
65IBhXw5txNRfJjmgpzjb0N4K7bi/bMwHSazWVwPoHZeGcjcLpE0Bq/HR3dK
EDKARuqTzT10/OmjXvGK1KbwKD7Tt+JVJih71J59gfozF0Hgbaq3A7hfHr33
XA7M+PzNPImu90yHyoZzlz0MtI3z/1zNhepC9qr36D628ea+TSc4QLKp9Mea
l/kgHf2nTQ/dr0fyQgxsc7Zgc9iXqzczB4pP6M68w7nJvZ5tFKvP4HzHvoz4
B3lgURIhHona0emerny+bgO8YWuedttoH3Iqr/ovOu9kS8+/q52KsNBM4mMm
URoS+ZihDFcOTLapwqA2iafZb0niaUrrsCTyRChCXiaJy/lhiMTlpLSgiU9S
UQWZGyRO6FIdiROaZxiwGOykDh8WdhF5nesv+Ym8TiaBnHwa17vA0vAfbxQj
8UZ96tY4as8rg2Qzict5pIDE5XR8+nWpj+kOmKyRuKKFPiSuKKsT2Zcf/66D
+TCJm+wzQuIms86flGv9pgj98yQus8oPEpd5WdDQ+FrfTVj1J/GUa66SeMpK
vV9chESVwXUXictM70PiMn8LHNV+ZiINOsokfvSbLhI/WslH/frOLDmY4yHx
pu9qkHjT6ykchj+FVEFIkMSJDjlB4kRfDhX1Trp/G5yZSDzoi+9IPOj/+Mvw
v/zltb+bVx5eVYWWkySOZ9dpEsdzqdf55lyVOnyTJvFSj6SReKmOt7YdPyTc
htPcJB4ohRiJB9omsMuuo/4epNwm8UOTbUn80CgNjR2X4h/ASAiJx+oqSeKx
DivFxefzacOFFhInVHCCxAk9Q1/ZGqd+D+T2k3ivNOQWRN5rjYFbiZLlZWjd
JPH1BvxIfL3YUxSHcR5NWiSJr5dwksTX+48rCv/LFf2Pawz/yzW+RGWkxn/u
GrAakzjIgTQkDnKiTc+SDt814MkicfqeppI4fZvjRmkyNdfB0pPED5V6SuKH
du5Vn9ocvAq75Ejc6hffSNzqipZHbxoDpOCQCYlPLTJO4lNnqKZQ4zyyr/Yk
zri5B4kz/ikhfCErWRY+p5C45K0BJC751CX/uYNtimCuQ+I+a1KTuM+q/EIO
/IPS4PSAxIm+tZ/Eif6PKw3/y5WWSNl5s/mkLKi9J/GgJWRIPOj/+NHwv/zo
+OeX5fjVb4DPquKFvdqpIOhy2vkE2seeGWlR3nqiBHWpDhynr6RBIyPLp09o
vsq+pTY00C0Pi1+7Rc5npwE5dVd6AYpH9c1Xv76hAi7mwTe5xdIh4Xj/GU1c
n5C8nDaK3QB6xlMHu+jTYWuJT9IaxXcbkxv3XlaCBAUNsc/p6RCUoEjOiesc
jjvseDAlD1dvfqgtR/PqjAqn1SyaDz3aKG68E1YBD0erjie5GdA9X6iJfx8/
hD2OoL6pBq3HVV4OXssAhu0Tgd0ovnNkzX41VREEJL6v3exNhJqkX+830HUd
DTTP8TJRgfetg3JkWUlA8Lp3qQ/F24NEW0p+K8EktN7kLE+GB6KH9gej+PSV
FPsgbjW43Ze+3yoxBfwYNgxuo3hdBae2UpgcODmf/cS+GA9lP+26HqA8QkfI
tevdiBK06/nNNtcnwBiXh5cQ7ovOpynD/04aaCt/3WJkSQOdHfuEVtD1fryR
GVldJglp6vdOh2ilgPG4kL4+av/H1vQpVYa7UAmSqZotyRBQcnKPP4pvXLjF
taWnAb6lfz00PqeCraDdcSoUFzH5cIIx4z5chYKFXYppILvCyDmG2g+6+Stt
y+EhTK99jOnISYO7OyjbcnDeBJWr6er4A9ChUVTPVk6DFvK9PaMovslL6ZNw
9zb00v2h/NmSCC3jz8S3UPuT+jbu+rc0oeiSarLImyTINrJia8a/40/yy+qf
vA9hr2nEMhZTgOdC2hSef/3rLmf+a3YH6I+W3mS9nQk/LJR8TqD7MmU5tt9T
VwmSvgTvraHLhGZlPSdVFH/ke3c5QE0NeOpKEl/WZALHhfELc2i9exL4nSWk
RR14pnhmjltkgdpFAysbFM84dHo26IQEZLG1nHdejgc57F0UPv75i7cVj6zJ
QOK3hsQ7rxJg6HR1wFncX308aXon+TU4cpPuyXJVInTwTr7+h/pplB97y+86
Bn+cLgewRyTBw+SkW0Mo3l0Uuq9pnwxcCf3AFe2VDDn7btPEoThPo/sObdqb
0L755tL5/CRQeMPT0IviVQVSjKal8iBk6KjN7ZQCp7+55GmhOO2Ub1KeuyxQ
n02o4P6WAv3ZIUK4X7roHYKxxboi9AT6qnpbpcKa+ofs4yh+7KvszK8oSbiT
GcmqrZACtDwUYsYobiik7L/L6QEE7K7HPpjlgVmJz90cNC/FfjorPjynDVfs
XIOsjPKhMtzj6Bc0LzVqdEYWtD+CFLvDT8k68+HSi+2seBQ/yOnypShGF6o+
lhzmGSkA/zonw0Y0XymN5KWHmDyEYDvZsKwTBdBiyP7hJjpe9p520EEDHfjd
nu49yV8IQ58Euk3R8b8odubSKWvDDxOtH8VhhbAz4V7rYRQP4TmHdfLqgfzn
KqHrxUWg8YUu/iiaZ85aqBc46unDrU9n20ZuFcGlmRMnzVGcpmHzunbBPQir
OLDBzpcLJ5Lf7I1D83y17r4e/UeP4H7gCve/fXmwSp8nMY+uV/fBhzMadBqQ
Z7rHf/BPNrxP87xhidaLmst7YG5KCw4W2Pn6of2zBBnT5ARqR9XM5pW0xX0Y
0NrtvDCcB+9jWHfeR+1opwgfvFesAdsHBHJZgnMh+cp6kjI6Pq/O68GzaT1o
LyXPG6RPgzt8Zh74e/pItMx/hl8XBDi52IqNUuH52+euON9ET7LhwfvPuvBB
JP617Ek0T9qGvJxBxxceY1FQ7DSAPT9tdoVYpYF5chFVM4q/pRpn60zSgwld
iuHxH2ngPqHY67aJ+wZ3M4QM6sPtdLYB3SMZYLLdy/EGvRcTAoK1hhqGkFnC
PpLyrRiUnbcubaL14h3nDpq53brgLtGjv7C3GC6Xlap0oPn/NVNgy6dDBqCk
J3jUS6YEZp8VNGWg43U6nmibOxjDhaHzbaZJpcAROrylhtaXQVmH3dlvtKHQ
XMRrSTYN1M7LreLzxsnr1sb9mTrAtLX44YhmOlSeSp+QRvGLWdRJ0wnaIOoU
eoxdIQ28CSmr+P88gjblb9SbH4KPxtwenp1oHjCyOWeLxmfYanrn+PwjEPzW
urV6NA20r2ZdmkfHH0kossxMuAO/mFf3Co5kAdnMvw8i6L3+Ui63+lP0HhwQ
6HY8Hp8Nrd0iGhXo/v7U2+M4yHIX6sbTK45o5MBL5l0XzqL4tZMbTRrVakBJ
rXxE4Hw2fD52buAPipsMV9gr2asAdipM5NXhLBCrG39XjNr/j3cP/8u7N77y
6/nSoA2I/Xb0DvfoAG6xyZrTaQSwVtWqE1B1ADfJYGeKT8/BNIo9TSACzZM6
HFTDJg4g+GG2umOxCzjGX9JfdyQAv+2OoD9+LiBbaLJKyOmGpL1B7RWWaB/4
m8GHsN8R/u7YSRmm0w27B2z1l9F5jy6MhrKUukGMY+2PkbBe+Gme4JOnSYCV
eNV27hJ3+CekR2ed/gJW9HOdeY8TQE4wrerjqg/4xk9i0gdHgGJY347l9SKQ
Y4eFv+5B+YtDo4kRSyvUn5TdHG1B41mZuNc71BZCmmLH9Xe3wZERQb+JGgKM
KxVNmfLYgmAN2Zc/bO2wPTG9+qCYAOxX180zrRxA5ZLvpzePOoCBKeWKYToB
6C7PbOvQuYER11mq8v4usDvX7N7rRACxEGPGH78DQX3PZ+6pjtfw4Cz/W6Nv
C9DJXK7JcSYOshNNTmfaT4K3BafeVP8sTNjdLJuizgKrQFUiX8z6QwaRL0aT
9CZt8FoOfLgzcVoC3T/JA7EC3DI/WnbPlnAx388FhoZ/J+zQ+7nFc/dj4dEf
LcdCZkuP7QyDZv7S20/MxqBDlEf9BfcisHJ4MWk9yYOuu0M5Reg9D02K5iz/
+b3lqPnKV3pyd6B9uezgtNINuZd/uOw1I8CfLPLQ8V9ewHqpJ47jzQA0bywz
TfCh+bNi6nZNgQloRZG4ad93kbhpnCf6dHbpW8BxjMRZE9lL4qx1SbNSnRsz
B58feURem+GWCJHXdnr1xsbTy9bQ9a+fyHejP0jiux064zh1duwpfDhA4gbu
GyFxA2/9E/ZqizOGm8EkbqA3N4kbOPe9+PW1mcfQa0niBh4rInEDK226hS4I
WkBdP4krtxFH4sopB3LkUU+Zw+k6Et9wYH8ekW+Imcf4LWfZgu30LJGH+O28
JJGH2GBXw1qqqg+nLEkcN+91FiLHzWeb/P7DXzagcOcikWfnP/ySyLP7j4sH
/8vFo493ml2/YwrfD+sR+XSh5iQ+3ZtpqiNOQh5wbVGByFUcrJ0gchUDh0a2
vCmD4HPbLSLHMCrbmcgx/OJpeeRhezwcqpwj8hDtzb8SeYiFWnX+XHkpcE2L
isg3ZF/PIfINua1buu74WYL32qNrZOxtcCO4NUoKPefSZZJmv3aaQ+v86/g7
hS1Q5eXXQniO3rsNWakgKhfgQEkjzrOTn7Qk8uz+4zzC/3IezbPHun5BFJQV
2RA5jB/IPhE5jB+nQlL8/1hCnifnF87TNRA1qcp6ehLthz/OU+wJsIGXR1g2
vTVqIbG6RbUZ5U0Gi/JrapOon86PeDw4aqCjdrL5Mjre6MeNn10pdvCqaMBr
o68O9K3MO+++RfmLBb2DY5sN/BXYeV6uvwYwT/ok9U9ony/4bsFY2RbUrl2V
ZdhdC4/c5t7Go3ztq5dJ005ra+DM1lsRd68BsoavvmdQXiagzSTqz2UO95RH
bzpwVUJAsLozGcqvfZqoojT1LCGM23789ZEqKN7Fbh+H8uWI5bzRhXgLMOdP
2peqWgWDph/vM6B4BYvl9wwqa5iSHB7N0q8GZuxmiRjKK9vL/9aXvnsK/Lld
Ue8fVsIpmk1/S5SPJ2oFjUxOmAM7e8Dp1ogqyBI9dsAM5d2vLs2VeQpawUD7
ja/vU6vhrfz5pHSUh5ofjLx2dp8thPrIj+h9qIEsBc4pTnS9R3k8OMd4LIHz
+rM7mpYVcNzsa0sqyn//cOt5NpVYQw+39ga9XSWUtI208qLz7m+p6EnttIIj
RxM2ylIr4dMnx/mBbwTQ9/4CUqO2cD7zdNpJlIcWONyMCkJ5qP7dR+bdu62g
TC5pLVuuAsaKmPp+o/bL6n2W6awsQbvs8YU/36pBdtbF5SO6X35Zbuc/1ZpD
8dGKzxoPy+GgJoGJHuXpj4oCzLe2DeBFrJbSbaEyuG8zxRuA8vFCVvt8A7vH
MGXeVdEwVwbZwvTbtIto/WUT37gpZgx3OPnJ2zjL4e+2hU0UaifkzhJBZeMJ
vOLQKNmzUA66xX8ZxufQflLn/iNdzaegFWel71BXDpd1VC7IzRMgXKJrYD7K
HMQ0306MDVbAs2/qN/rx7/XFvMlBxSaQniA+LniyAm5ecu9RQ+0kygdFhy7p
QX/J7PZEcQn4qFTPSqB9wuqNf8b6Z43gtpTjeuJ2Kfw78v7SKup/lFja9YwX
JvDq74G/dvVlEJ518bkV6v+ylffEnzEzkJXidQ/xLweTEUvjctSfi3dA9666
BbxqfuPVnVwBCcn7asXQeB45QGAvETcFsT+6tymCyuDkKJfoCGrn6AHXdJFc
FdAJXr3u/awIpL8ZFKug/SHHmvjJ/kt34ESXwXLdpWII0A9/m76C69jPek37
3wbLa8K1aWwlIFD9VmoQ9Z9z8o/o98/qsCt39G5JVwnQD+9w4EdxRZ2pyDEB
NRj4quIjsVgCfyx89+9CcX+TBA7PPeqwIRlWQKgrhaGvbSkSaF9kdm/i3qGQ
O3DmGYlT/2eQxKn/j2sP/8u1T3ogtrtV5z7YM6RphimVQek3yhe38f9z/lCJ
XvBVgTP7MuhtxvOhO9GsPxjtq30jIl7Ucd0BnUXVbubkAtDiLNkxh/bP0dOr
O7BZNbhk/pCGlbcQRjvk6q1Q/Pf+I12fhtXhTWvEHyayInAtjudrROOTR8uR
JXRLCWajHGWFY/PgBPVmewBa9+it7lJ8zVcFySy9q/tv5cPmJZ72DXRepesj
X1PJVEBtIWv5im4xGIV13HVG4+nIKrHrzj9FOJ3i97tmoBBCLh13+YHaF7ns
62ojrgmHI2mPZdoXguQSd9xZ1B9yNo4LLRe1gEauZUhksQjGNLqYvqJ2DIw9
n5R/fACF/Cnft54WQV2s9/e7qJ3rtdPZZ5m1weNz0vvOP8XwZTl89xIaf2bD
hI1Cx7twQWXn78+sBcDN5/3gNupnVKUhOby4BwkcBslX/hXAnniDmFh03pZt
Vrk4lM9u3NtOMRYph5p/8eLm6H2R3d38zohFAwSU9AOUz5WD/euzK27496b7
2K/8Ki1ouNU38zu3HL7yOfY6oOdzzjhAettYG/TnGZP9BCrgoPCyixR6Lyx8
lvlYhG/A4Q32gOGAPFh/11UVhcYzX0Bm2L9OEQpF2vw5TuaDCYPbJAuKx5iI
xy6tyMPRVI47YSjPavLDnieh/vunXxkOva0O6i8rd2QM10HUybIZYzSfGxl3
svFhD+Gl6eMPI3frIf9ZTWDLOAFl7a+KRMPuwRs1hWPYWgOk7LSqMBglgGnw
KoN3rTakY3Z+5xIagZ/RUOziMAF2OAS6uz7UhZIO8mvmlA1QpsM1FjGG67ep
HjOTG8AuJXb2k8ZNcIhjOVPrBcp3RNktFZ2UQGAqdzmUqRBMW/o0/fDxZGBk
rehQhcLeY1+UewrBYT91wzy6XzYKgwn8jsowqXKA1dK0AB76cd1gQteV9FbB
PFRUDpRSCTfZbQrAeKjdYDeKG/pMzs1SPwb6KwbLxwPqgKqanUlsggAyLF11
xnZPIfGc/BXO8Hq0fjF5br1G60uV/AGGW6bAIvfUVy2+AYQJD+sTXxJAk/Oo
VLWABcSOunqNjTYC9npI0ADXUafM+lMfeAI+tQbdu943wgE+hTPyKM5cVHz5
bJo5ZPzcGp851AyTlW6v3vWh+UTJ0PTvsBHwM9t6/oqsh9Uwvwdr6LxXTgzM
r9TqwiXxie1t+hp45r6e7Yvm86endFWSxQzhCN2dQsWBGrgtlLT0+BPOv32a
KbrPABrIzWzSi9A6fnDS48N7tM+nVir0qtAGNrVAm4nnlSD+m6HNC60vJZqB
RWHGD4GdYtehCbVKqFA6phiH1qPcTztf8PM8AqajQ035SZXwu0W65zs6vqx1
ducgrwkYDOx8mF5cC0ULD+Nfo/bHZw8e0ZfSA9OnJE5xGweJUyzvXbygg9YL
XW0St3fqCInbK2q0p+4Qnw5wF5J4xPwXSDzi0oO0TM8ireBL6uHJ9NgW2Oyu
7z/fifrp3DC5YPcQ1mxJvOPIYBLvWMIdC1qt0oEu0fxjAxuV0PzKpn0brftm
UqfFPT10wOV4SHbGu0p4KruvUg71/86T9s2m9/fAZtY7Lv9UBQwIxhtrovco
E1NdKbJ4BN4OXrz3CytgVTs6nhfN/zcGokV0P+lDs8P3aYG8KpA8++MXrq8u
Ws9IIv+lB263DsvPcVTBx8S9NrHovJT3GKrv7NKBhOsnHtq4FoN/rJrXQzTP
7De5eKUH5d1HPxVU2B8rhU+iZ4pfonn7fEvYV7rbj6D7wYO045uFQJnA3tKM
nufJou8UqYXaUJagn0iZVQU3BFV0b6HzXvj5pG1wVA/shOu/DctVQ4jmxJko
tJ9ZcNtcpLxrBPrVTM+4GGugMjC7yRE9JyphoYcbL+sCB6eX3K+rlfDj1ur+
5+j+7j0+Zqeq4AxC2mJZmmc8QN5mGK8bxcK8Oxnw+l/mntYzeP1vH+8sXv+L
nSlQjxD4awllJsEP8XrS31MpeD0pNnk3P0Kz8TSmq3fNfpHSAQzsOvC6YOwm
eayF1tnzGONR6u0CtB8UOmmE1x1jL3O4ruL1whFnNrv1TznAzuVhvF4YK22/
KHdGkwcT+NrRmiVrAdHjdnh9K9aQ+Z2won8ea7SslsPrnZc4nfB6Z6yc9iyd
c457i5Rq0wJDyQDKj9Sras8SsNrG/pDACS+Qbt4KHSFzB+ewFbx+FtvvxyOR
T2bXklrdyEEd0AN5+rfu0BsRMKkCf7LtyKctgVz2+xT2dMCS2bH66iwC5nmV
A2v+Lo4dsxT4mJqhDGJPifXd2NYMz2Bm41UsOOOXLV6vnZNArNfGUvhjwdHv
Inbm0IMYQ3ttiL/8Dq/7xoC7aj66TxxrPTZPjtd9N/QR674xGtnQQOzRReya
OqXH7OXHMGP3Bq+DxiwXqJuuxoljEo/3PHng/BhusxXiddBYwanrX33zr2I3
l1qL9Ca0obaNWA+OySzPLG98FMXoJZj0zs7bAGG4GK/jxthU39kVe4tiNF7k
NLhvDMujJNw3BhthstmD14n7sBXtwuvETfQc8DpxjGk79Xls2kVsdnTuBF7n
/lqdWOeOddEWrOK6I/8ENlF2w1LM03rHY1x3NH2vmQfXC318H/Tek68Sk+Mx
xXC90A1/0UZc11T+7PR63ashrFnkSDSuawoz13DB9VSHGa+o3y9qxUzZXinj
eqoGXbkWXI80qcFCcXO8HJv+UXQU1yMx1rsX4TqoLVvd++fF87Hrh5UqcB2U
ZkuQMa7XOtbssf8yXQ3mEdQziuu1suhjeXG9k0AY+8ud/cXY+4/t7Lje6XHn
01e4XkX/17Pd9o0VWFMZYQvXqwx87SbqdmJT6m4HzKdjttrlRN3O7/edGrju
ZW2SWpZ/JRsTmZ8pw3UvF2TfEfU5YmLl1+W4kzAqjxvKuD6nJsu3FdfPcD+Q
rN61moaZWz6Mx/Uzcys0Mbgua23zID9dVg7mE7XGjuuyWCmkP+E6mWbdsBIK
yUKMg/xmCK6T0T+xRFkhOAAdu3xMxuNKoaZhZ23TCQK2OJBLsyzWA2zNkqEd
9a0wJaVeIc5FwES21+/VdkairCHsuf1rAKqrdvYGrQTsgfPESqhSWIussuHf
14p9oCTBx8SqTMDS/f4x3p5oBjs2mZ//wnsh3Nls7OVxAvZtzEjMr8iv5a6M
8Gnp+Rdw1GLdheIoAauoqbHlpvVuwbgyjqjWvQALuaxVNnYCVuR9PSCJSRY8
U8Q+nTjmDXK80rj/D3ZehqW8Uv4UJk8XWmhb4AkrrE9wPytsXnpLHvcF2vUh
T8cg3weEaLxxXyBsX8c7TeXSkxi50b+XjfPewP14DvezwrzH7GezxwWwj5x0
x3H/qycsd3D/K2xb6O6KrrYA9k6olBf3uWIJ4sV9rrBfwy81NN6cwnpi7Uxw
n6K99P24TxEm92AiCiWdWNkLv1VRH3fom1PD/a8w0+j9ZTuF1VrIj2qR78Uq
wFd0TJ1njoDFBO0q98hVh3Ta8xdxH6RFs2u4DxJ2cTmYo21EqiXOMtMH/HKh
xljK4O4f1D7ld1HcD2rmgELJVLUtjIRy4n5QWFx8dU+EkBRG4X3qMO53tNsa
w/2OMFcniSe4H9SVaa34J4qOkOxLhftBYbQR3cWjE9ew5o2X9wubHeHJkg7u
g4QFxRaK5PiebzFi1NBPrU4BrniHWqUtArZSX+ljbiSGFVW0fdx45Q5yu4Nw
fzMsw6x0Zv9lCezwZT1K3K/sjKoC7leGmbltODLUX8YK66kWxI95wX3qBdzf
DHt8cXvSKRPDOrS4P8F9L/iyNIn7mGFqU1zLjbYXMBeFwRfnRHxg6Y4N7mOG
janSB9f9vISdLH5sJWbmA3abK7iPGZZE+7B7T7cwVkFuo5Xn6wfS3kdwPy4s
h2WbAvcZkwvmVsR9xqR36uA+Y1jhrkGjxzXimLxq73XcB0y+phT3AcNYLvu8
d9ovgrnfqDqO+7O1/hrC/dmw7a7g67jP289GQm9anjssf0zDfd4wZopv/yJ/
X8GCf0vYb3HYgmmmMu5nhWXY7VD65HMFSwgerQlJdgARbSncFwuTv/W3Wpjn
KrYm1faPz8AWGmMA9/XCND5KWuH+XfccHKOsFh3g0IF43L8L8w1XD81SFseY
D33NsCixgMUaA9y/ApvxZkyfeXQVc/0zJYH7d31g58H9uzCqkPuvFQOvYh+c
O1lwnwq2dAPcpwJTUPZqDOe7hgXv+SKL+3qtugfhvl7YmmTPm0ZnKYz5DEOr
hqklWKfR4j5X2DUrOhbcv4teje8r76gL2LH74f5dWMrtW58lKK5g9Y8b35gf
c4XjR1hxHzPMkPJxy7NYCaxdz3XyrIsrrAbvx33MsJmtnUa4P0MOWbxaS0gY
djaniejP4LxeRvRnyD34ZFSiKBwba7xL9GcIpr5N9H+wzK+/+14zAJMOkiD6
P8Rdp6fB/R/MrhizeR4Nwl412BH9H25ymBF9G8jja4Vsf0Zgv9e6iL4NtDas
RJ8HvrxO7hPHQzBb/Xqiz8PHKBeib0M9+RmGinvR2DehcaJvw7H4eqJvwEPl
v5dH5mKw+P5Zom/A6Ns8Yh29iFV0vSKtLWY3yUiso2+4EUisl7+lUXZATOYZ
NppkTqyXT83xItYZMS73/R2iMMDOMsoQ64yYE1qIdUbW+mOvK68YYtqCE8Q6
I13fXqK/xMa7OxlS/yKx4w5qRH8JCdp/RH2v83LcCaXMAoxA95mo7z3pcNMW
1/fOzhibFjUVYEUHF4j6XkmXF0R9Lx9N5e5M/QLMN0dwkqjvZftI1Mc+ix55
viKah51zkFvA9bFSDE+Ielq6rvN5ww3ZGA1LLVFPa9909zGua/U4Ey99yboA
C41qJupaqxjYpnF97KRduep3Qg72u5eRHdfHzu99RdS1mnf0X1uRLsGuv5mp
xHWt789HEv0o8g9zMLw2i8LoFjKIfhQZLf+Ivg3HqC2Kqi6j5+FCCNG3wUqP
5THuR2E5NfqWqSUOS9RRJfpRUL8KJ/pX3Hirz9IkEIPtG3lP9K+oFNyzgfs5
JLj/4S5NCscoWo99wP0c/hDUiP4Vp2Q5NM98S8Dae+yI/hX5hVeJ/huKe6zE
lLhDsR88Q0T/DS5XMaKfhsz+YaknA37Y5A43op/GljuB6MNg37u5R5TGBuup
vEz0YYiaVSH6JzykNtPmtXTFMsb8if4JBQVuRB8JuybDfq5wNyzB4Q/RR0JU
RpLoz3Dx5BqWccwZ89c3IPozJDk5EvlHwgPneSypvbEEvRYi/4ib0ZfoLyFb
4/As4pQPdn1Gmegv4aExT/QJoX17B0obwjFF+1KiT8ieL65En5AWjcz0EwMR
mNaxAxS4T8hxj3CiD8kyP/aySTcYK7CjjMB9SI5mdhD9KHj0qoddhwKxnwxX
iH4UV77rEP0rQFI3ss7IF/Of8Sf6V6TI3ibW2e3cZZVldkgfozQBYp2djp0i
0Y9C/ZboWatha+xH2yrRj6LUL5tYfyd/XLHYZVgPM5esIdbf7e2QJvpp1L3h
/6zv6o5tZCUT/TSGqfSJ9f6qPpQqqspxmPAOTB+v9z/Cb0T0B2hZS/Zdlo7E
eHqA6A9we6yZqDdWf75zeftfAjb17qowrje2LTYh6pOfhr6MnNaLxnxUOA/h
+mSsS4roG1DE0/tbOjANY078QvQNoKaIJ+qTf7HljEx7J2Odsa+J+mQTBhOi
b8Cvn6bmHeZpmNDSD6JvQKuAgxWu81QUSk2qKujE1kPy/+A6Ty3rQwdxXajd
/NiLfWWAWT9/U4LrQseeaYvh+kyTvWWPR5ZHMF0rA2tcn9n1dl867lcgNbBx
kyI0Det+8IXoVyC5Kk/Uga/rx+ZuNyVi9T/2uePfB5MnJCdx/Ta9w8Ri4M4c
LIfesQzXb2dTPSXqqEdYRK+6yMdgWjK3iTpqR8E4om78TRj7/OHOFKx/hJIO
140rNa8T9d7C2n4rjNJx2OPCSqLe+xvFgzJcT64R5Mnd2J+BUV3NJerJhz5b
AK5TvVPdX6pSUI6FfXYzxnWqSULeF3B9O9fIUwuz6BJs/MEOf1zffuj1pXe4
LneEkdl7R2k1ZvzD8Q+uy5272zeN63s5bLhcJe0qMMvlEyu4vtdVlnoR19UP
WkvnVysXYEkHTPbiunrmx8+I/hLju6Z7zfZlY+z1HNdxf4lv98jTcd3+OcGI
QxoauZidw2FOXLcf3y5igPszJFWKtBw1ycCupu/pwv0ZmAcd9uH6f1vyEz8Z
DLIwwSkWH1z/H57kRfSjSOBW0Uz7kIuZRVK04X4UsQLCGrjO9gTtw+OmAi2Y
WnHJR1xny395fz+uE+Y9sL9ih2UjZvLkVD+uEz6gb3UN1xtrrpw+4BrdjJ03
snyL642vutKw47rlL8bqC4w8ddhsbaUarlv27fYn4Dpk8rwKP7bkOozm6bkF
XIesvpB6GdcbKzeKMC7TV2E2O1514Hrju706cbh++Cj/o3AHvVLsheLKPVw/
PEfYosM5sDHn9sxFb4fD7MopnAOLBX3CdHAOL0fPMx+cwxtB1YNzeDH+T8c0
ca6u1EksEufqnomcxrm6mGmikTfO4X3hb2mAc3i9RE/hHF6MueWzNs7trTR9
dAzn9m6q7rKuQXEjTVp6nFNcvrZqhXOKTabScE4x9o1+RRvn8xZ1XDPE+bzh
Lks4nxerET2ph/N5zXbc9sX5vEtjQjifF+vQpvrKXy+AlWbqHsd5tVWhp3Fe
Lfbxp2MBzp/197vEjPNnowjMOH8WO+eU8H4g8Qx2r1+mEefYWkfewDm22Cv7
P+w4l1ZXVkwJ59KyyD3BubQYGennpt68PvsPXa8obxw5fr3/Lx7oLej8zCkK
bg0yyNxHcYvtioM71WeaueVtyq/SRYBtc78uPm5rzv0HcP7yZ7e4mzh/WWhW
F+cvY8+idbpurAli8/TJlDhP2aVhC+cpY5/Wj3Lg/OUv++vWy9CWv2lNAOcv
Y1dveGjinOUHlLqlHxmj4aWxBs5Zxk5d7qr6wyaMsTQdrtUji4JYlsQ+MxT3
XnvR2HftPFYfpcSpqxoNsnMt+y7i43/N6yOlkRCWeCfaBOcvZwj34/xlTOlo
kMT8mwtYZG77Ub6qCGDr+UKRgeKP5a6NGF0WwFKYL9/AOc57zU7iHGfMM/DQ
FZwffW00jlBZFgU784RxfjSWfTXGHOenB1+5Rovz08saY3F+OmZb95wR56db
pi+y4/z0z228OD8dm4kkn+GgvYiRcWZxeshGwrdfHmv48+P+U/GfVYQo9iM2
4KAlmofk5L9wu6C4AzvjM5xr7N8v7ohzjVuFP+NcY+yD0w6JW4QL2FppkP4X
miiYH7x/4yk+PttrAZyXr2AT52UP4px36iMeOOcd416gEsG57VX9m0I4t51i
chzntmOtnmurszESGIx8ou8YDoLLF29znkPPQxrXyblmKQmsmWnK0lsvGHST
guEk/v/GWOwhnEef8etNq+CDUDA30MJ59JiHyHU9nEf/iPaAK86jH5Cpxnn0
mEDb6nGc5y5o9Wq9czAERm/z4jx3zEp/LyvOqd8xbToyWRQGRj+P4Zx67Etg
+SOc71zFl2WP8523n/bifGdsS+/qMM5fnmfLFsf5yzaM53D+MvbWilYe50o3
3Bn2x7nSoGuKc6WxL010XjhnOaAuwBXnLNdmB+CcZcyw3QBw3vTo25f5OG9a
+nA0zpvGtqvlj+H8euOsTxE4v17OgPwAntfwKfNF45zrRwMEUZxzncGli3Ou
sbEeBR+ca6/A3xyEc+3PqCbiXHvMcsRoMrj3Mnbn5JI3zr/+rmOI86+xHi93
RZx3PzYwS4/z7vf9y8J591jfBltmMc65DmmQwTnXjfeocM41dvKBm56a9SFM
0EL6mtWlZHCcfemdv4X7NFZaMkUxYweMC0RPBiSD25MqkVgU10jXj1k6xYjt
lz7wN6stBU59PvdSAT8+tc9dZ2wP5nM8U1/zYCr8nBfQvIjidJ3O/AvpB7GI
w0PZTPPJ8G5t2tYNxf+OKTvocO/ETj412mXjkgqzcrHTx1BcZsjYzWWEDJNQ
eU+Ty5MGi6U0CrObBIxdwJPOuPa3eGdyvUDe3TQ4H0f9FPcVt7YbSuRUZsNW
dcud0lsSYfrWhf1/UTuqZptiVPHsmC6lg2AsTRJYufk2LeC8A00fA3ldDmx9
1+GH3AoJUFSfxyK/TcBuPBVbmsrmwu5GvsjMjUyAvI08X9zPf/rhq4mdXuzY
wfonVvn6SbCQE/v0LWrnwycfsRUDbowvdrCPZzYB4n1/WPCi4weEnb22i1da
Pk0rqnHzpsMBCZYMPdRPZetqD7ZHNLB/7rjjL/100LgS8FYKxel/SJcfvssA
DHc1qDWoM4BO5hzV/AYBy43tOam8eRj286e9+iSVAW3fHP16UPzvu/kaj897
QeK0asOOqgzIKzl10w/FxX04z05psUKMver0ntkMCKHOdDVC8Y6w+tWfx1kg
j+DHKh6RCWUU325SovhmSW7IpSkOGMo5LxrSnwmj393IPq+j+aG7Smb7BDl8
15zY7/MyHe4+q/bYhfppp3Jsxv5GjvidPQWY6mYa3E/i43FB8ff0cfMfenNb
3uXljm2GpEFZxNn1GhR/dGPNad7/LKb7mrOm0iAGmiq2GWnRe5f/0I/hqIwA
thn75+lQcQwEMvv7bqNx+/WrlQ48+LDXZ0O2n0bEAvX+FrFXKM5o6tNy1PEM
1nVwaK8BWRyQa+3vAxQPLnxw8dBTUSw9+GT06FoE6E+ofIlF7ZvxpQsYGF/A
+mxkd5y8idaRgyU8eijeLmCg3E/Fh51jmSxmfh4LlYsJu/tRO+92KD0sljuD
sXL8jZNgjIO/6rTDTSheN/smoOg6L9anIkGGc+qtSoVxTj2ms7g6Oj59Csvo
fCKCc+qFXbRwTj2GVX888EbyFJYuff3Wbp9YNM7evq9RXKX0/zg673iq3jiO
U1GpflJIJZVIElnZeWxCZURCw17J3iNb9h5ly95780WSLUrSkAYtuioKUb/z
nH8/r/M699xzz33Oee59Pu+3uYelDSfaJ8vRIjqbCssvqvYnEvl14SrbZ04n
ULWr5PotrrtwkNmVg5jPoszZhqzCDW60pmogVOB+F2wnbPa4Efme0sXKTS0i
6IrgrFd/ViJAoJOHLnE8vlskf4+fFUb+f0eSbXOT4FvR6iAxP0XfPfmpZIj8
siNTpujfJKC5H3aclciP02lX1j5WRNaZTGNSdVowkELyjZFtd9CGCYsS2r0u
9u/0Hm24WEDyjVG/wfRBzKOeib3xH+ZRi9iRPGp0tUA6+PuqIuqK776DudOb
FScwdxqN7TpIhTnY39+0sGAOdsk5Y8zBRmaJ7FSYg/3r8F1BzMFWOnMNc7CR
itGgJeZ1F871HcG87o/DJZjXjc7Z/uLHfOxozetp/CbGUL1B8rGRodGb65jb
LOTx9U7JDS3waSG5zej3hze9bO1nkLFCoSHmQlP9ksZcaCR6p1kL85mjpudP
Yj6z4HA25jOjpRO3YoZuKyKTEyZTTYedoKv7CeZ+IwXVU6cxJ/y7p/FyqJcb
XI6XwpxwdKOt5uPjY4qo+gh709vvblDn74d54GjKsSR6d6wCOhTSmGUj5Q1q
g72YB46Y/ekeytvLo08nNotibvZVMV/MzUYcsZ9PYS633Y+VbZjLfemEO+Zy
I8HJ4WjM3755M10N87cNSnQxfxspbFHOP/RIETUeDlhgLLgJGgHWmPuNdjJU
GmB+PvuaJx3m57vqvcT8fPQvX662flQGKTBIMWNO/kKAOebkI12p9q11FnLI
znjV3WAtCKLd+/Px/zIhjXSBe/pl0VptSCunaSjctFSZcyXy3cXB1zBX3/5l
+vCcWgAY92thrj4K++gUUrgkh667XVhuTA6AOmd6+WL8/0Wl+32TirNo4X2x
MPYCvJDww14AxMXFx4R5+y9ii22V3oTD3qvsmLeP9vqeuYh9AY5M7k0OxyJA
z6QS+wLQf64JAtgXcJRHRAT7Ai4cKMK+ALScvVML88NztBKSNApjwL1LBPPD
kcDz793+KyKIfkOg/vhKDGTGRWF+OFJbcXlArS6IsusEFDA/PPLfd8wPRwVF
isETC+Jok+kPXswJVy5DmBOOej6CI+aESzDtvj4tHQX1MsqYE46GWvO/LR8Q
Q6O5pyrVwqKgtDERc86RnPVr5+eqkkjQg4URc87fsiRgzjn6wJ/O5LAgh9zn
GqlH9INhG9+xvCgiT+O1FBWdkUPKdets6o+C4cRkwZ4wfD3zfVb3lpBDl9mp
VlZHQyGgoOWzA/5frOKTezGLHHrS2aqveu4OVDAxiN0k8nfvHOyNWWTRY7OV
lLmnYeBYV/9eD/+erD+hy+Eki4p0vznrqIfD3NLmIS0i9xP2qBbWkUFe/z28
6HE+Eua3Gbrj5/DInftoHSPl0c/rHG/XvgbAscaeQwVEztPHsDDWLoZmnvY+
mN/tBTP9Nrvx75xyZzm7b+0SQDGK6rNHX3tBxAcbC/z7s9RBQwmxG6JoVvKh
d7+SH0hUmeTi6zwp0POKCfdpRCeryDzZ5Qcn3Fjbm4lcJylnr3+cPOIMirCZ
UQsEG6lzYblErk1Twc27JoeCrLd/zWkIhL6pYR/8e35lgUyIuogcqpTr+LdP
JgS+j7J8DCRyK/9H7sNXZNFmzrxE48d3gGG3XI8ZkUvwGq/qS8gitmDZB83j
4WAuRjOBr7ePKt6SGcS4lH2Oa3eKizuMRfrzvyDyoJoBw5/iCkgsx3g60coH
2HyZ7/QT+Wj2i8tF+fKoZf8O7V+0HiAkk+vxnMgPc7Y1/GCVR1Tl1FpVLL5g
d7Jj6yMiL7/13USUVRHJSTUd6L3jBIk7jjd+xN9fCNvLwKSAaszvvW9Yd4L8
n3r354hcrFEk59cpBXTsbwY/5vBLHQzGHH5UJvEx9O4mGRRtNfDoFq0LJJas
sn3A/296Xr5b8kIcLaWFXv6S7gLfPWTz8P+kxiF/nxVvSKPHlI11vkueoPcg
1B7/f/cauV69LiOIxl+ERtUjV4g4+W0N/46dIGHx5WzLWdS6/m0LR8ltODnC
zYZ/B25cVa2T+iKL3p5z/M+gwIN4vqWLe0bkwlQHRYR0ZJE5bT11/XNfqKSO
kcK/M998yiVZaSKH3GJ50RMvZzCrP+g4i48/goX06n4d27u+ou+HPp/nJ726
VYezSa+uZ0DyR/bffkib8pr06oqLpJGeXOk6/cFWVk+kQxkiPbmpM7WkJ3f5
lopEAJMX2u1xm/TkZn02Ib3A19zcma0y/ZHeIyvSCxxh9o70CBvp8Nz8dtgb
MdYJkh7ho9fiST9vTe/b7UzWQah+Rwnp51VvHyS9wHT5En8pQsHIdGOM9AKz
2T8lvbGOM27/jjAGIsmPBaQ39qxMHun/FW+T5q0oD0S1hU9I/6+tHzPppdV2
TJb+1HAb/aEbIr20X3pMSc/sxkLHNSVND7T+qY/0zG5JPsc18/kG7JWIojL0
SkC792T9vP2XArqeN+3iqE0h5nJ3yUutRGQgxVlIzH+BuWZJnE7rBhzvohmj
so9DGQlFMEjktENihx5eMwEq60qP9tPxKLG60bCSyGWFOhoc9SxAQXYH9aRE
Ejoiqtwi/Bf3/Td6aorNIfTaQWuav/HoXZmzVAz2Ba9fJH3xu8L4jptPRaMS
Y0PSF8/G67WUOmIMGbHDJpZMsajLiqn3N7H97QMKLz8PXwZNtQGhLM0ANHFs
6D0x/kPO6VRbD/XLIEAfsXL+rA+6mTDh0If3w/jmwOJNPaDfKOOS3RmCAosD
jmHfTXqx4CwjtQGcP8fmHdMei7KDE99/IPbfE/ik5iWNPuTpvOwRz4pCqjyK
a0eJ7an5rvyMZDWE0Iuudz7XxKORPgWpLGL7qWBe0v/LVNk1J2wXgDwkeUj/
771APtIj/LLd5K11vi96vPaN9AgfHPlL+sqf+USFXaS4or5r8aSvvEhjhPSe
d6tZRQQU26Nd4z9J7/kvFQHSex4fKyz5/JQDWj5ZT3rPe9Lfkb5gq4GH7264
uSODeHrSF7wm8of0HR/pZM+3a/ZG+eJBpO94rXGO9B2X9FwqTSrwQTTJtaTv
+KbbFOlD5wp6fVCjzA2tS3GTPvRb5mdJX7NFs0JUhpI/smzbTfqar8Umkf5l
7aJq5rgJf9Q4F0z6lwU195L++udjXL4TvLpoqN2b9Ne/anYm/fU/vAuyjF/p
okbJq6S/PsU1hvSkd917MyKcehlZbJwlPekptDGkh/1iXyI994w5WuUyIz3s
sX5qpIf9Td6Ivmi6BbqwT4T0sC8mpZOe90QLpyC+Fgf0RPsN6XnvPGJH+tZL
i+iPmAuYI6l+JdK3zrnwqOzYByM4x6o7tn8hFD192zxjg8eB28a6SXvNYNdd
89rglTuowHP+5FXMfztyLXdbmBEkyO57NPomEGUVKDpijxLr0VHKfLUpdJrO
NJ9oD0L9r+88isL881QdDtkAS+joifsqyxKO2MeNrqsT+dSuC26O+y1B6fyK
p1RpMOLOVQnDfqVZJXb+T9JGsMkj0eR44200cvmkNx6v5L3DH3gbm0Jj3tf5
8gg/NNdOw4DP/yOqh/tPil4FdtYHm5oZApFAydmuHCLvC/B7WllmCLmPjI6w
2/mi4Ce9s934/V6YNdN+exUYTqSvCiyFoO7Y8n53zKs//ITL+YENzM1q63eV
hqCY9FsuTkR+W5LO4V6dHZiJeHA3dIai7677z5rg68SUceSVhQ2MJZzLp2YK
QDxelcHEfRPuizTt3KRlB/MJStLHvweg/w7rruDxreJbojBadYCLP0RvOszf
QckXTf01iHy34eCOPT0OIMDV6H6ROJ8KI8vhxHMIWPb+MF5itocS+aUs44xI
1JFhfvAYfl30+MeKsyPsserTtOSIRpX71KO34vP8J77voPBNcEmzfWZ2IQKt
73PmEidyfa4qBZEeC7jFe/Ui3Tl/1MPM6VmGr58b/HtviVjDlzc26uqvEpDJ
3rI+a+L7y73l6LOL22/BWruos/xQIhpRjj0vS+QT79klJGOt4MaurUf5o+OQ
UrRvfBeRey/5nHDRtYX6kifLqzfiUTNfb3s2kdNsSXi5b8oe3F4L0TevpyDt
SuaBig0KPLlcUm8dYwfUmkEj+y1TUES4i88QkX9+7UUlftABjFcTHOLGkxDj
wT+2DMR+0p9yJ3kFOICOhOWkAF8y+nq8cZiKyPs+ZSkbfXOA6C7m7icJqejl
o8buGPz/1xSvk+IPawjuaeBaEU5G7dw3HbcS28exal3bRG8OTB+k6sYGYlGf
dIHZNJEPjtqev5nkAHNHN6uVbUpGK2PvubYR+dVwzUQvIUfQf5aT9eZtAhr+
z+3HdSLvfy6efb3WHq7qlbd/UEhA9APlkl5EnvtcNaPlgRN8nAmcfMqUgti5
mhLHieMp+bX1DebAzwQLn2zVSkXnWctIDvx3QdZqyUtOoMslf6z7RiK6HhR7
+Ry+vxwwIrnuA3v0sptdklBw3C2S6177W0MiXs4ZWE46vgp/cRclMJuOnSP2
EznzkOTGXwkNWL4tm4a+GvKS3PjTPA1kv/7C9U/n7l4rQoxzE2S/fjRpnuzp
69oauDc8KUati+e6cU/f6LsZ2dPvSOno7rtfgHabF5E9/XKpMLLvvyTc9OTH
ciEqFTcl+/4O2hEkR4XXm26Nxq0UXfX6RXJUUteQL+ZydOs1d5nbF6NakxaS
y2F9eUcd7vX7/vHnc9/IQzryM2Svv9mN4xTmDEjyHBdi4C9AHV/k8jBnQGf/
eZLb8Dq4rynleh6aTlEguQ0ioE1yGFbZwcTQKR8t2d0hOQx9G8Mkb2Eneua2
ZyEXUWyySN6CWrgQyVvwFPxekfTpPjqcInwO8xa05k6Q3AadCL/kz/SFyK7f
kuQ2LL2bkdc8KAJJfRX0VeHJiClItWozvt5u2Y9ZecvC4EfvG4vqKUgpWaJx
hjj/NYUB8fuSBSD3zu7BK7OJyMMx+Kwasb1tXDdDCas0MMUXnpVLTUJ90Rmm
vESuLOETKnKGFji+wwWWqngkciykNRc/b4wbSk28OglO+/wSBVQS0JGXsUci
iXzypFAFs/Anaboqxjx/rjik8d/V+ikiL/amrhOXOwaPX6xHWtTEIa8I9t5e
Iq/5j97eI/wAvHjTtJqBEhETv+8PMyJXF9N01C/hhL3KXcwTz5LQ80N3frPj
/3MH10m+ukbfueWF4EKk7ZJO8tX3K38ge4Ln9kgGmLDmotyJn2RPcMc1K5Ij
MVVh0IYoRB66wxVzJBaDKWTf0Hny8J3Jz9no6rQz2TesZtEmeRT8Fx6gn6U5
aNRWluRRhHPcI/uPpysKzUd2ZqOU3zFk/zHPpYfsP8ZZFyaWWWYhx3tzZP/x
9PnHZP+xR+1GrApXNppdqCb7j3L2wmT/MdX2XmeUUza6kzBG9h8Xz0eRfcP2
KgXZRZVsVHPOluwbun3rI7kfpm9q9HhG81BB4WkazP24c1Oc5H40OhTcLnmb
j27U+5Dcj1zrPJIrIl1uIuhueh9diKokuSL+0/Ekl6MzZmXAe2suYqHJIbkc
tQv7xjGXI0q8VqXfNxdd/zxKcjlClWpJvscp970ndp/JQTlBN0i+x9GmCpK/
keu/JFnz9D5Sdpwj+RvZVJ+LFDZrQeKeA+/NVeOQx0voeEJ8XjnPt3o5PNeF
ndIP5FVW4lC/mDRNK5GHWrDZv9+hCSIxV6IfrUSjXa/at9MT47xa7LeQslEd
mH0hYq+zLxaJr10U+kNsHxK95h7IrwHBE/eVTK0i0JYrzGzYAzg/Njj288Ml
uPpctNXWMxKJekjdESJyaFfPnVeTB2Gm6xSBb5For8Q+Yz4i3x+fV7lqeg5y
2R+uPZuMQudmYuuwX8yW/6gf1QNZYOkRecuVHoZE/zU1GhA5TYt8yecBZVi6
4RTWYB2OVrtE1/B98Ol3ZfPntIoQ6D3yqoMzFkU9eTuKfWGysb9vKQipgYZ/
2qReUSxyF/Lrw+tYXJY5JuqBAW30f5AwFglC/+QsX2L/3fmH+1WSn+yHAdtn
4kzTQajxQvnhBCL/8eL2UBHdJtS8Wd9oP28ouuS7VO9B5Be5dyrqlfCgwZSp
soJ7gajMhTKNfY7xe887LKQehYDA8bp14rlovzWM2ePzaf3aoTDmDEj+m6o7
oxKPokSEsquJ45kxNOo/Ws4C/p/3B0oci0V3QDMKn+fgRxGdB58LgKI2M+Iu
jUUR2gP0X4j888EKVkHtbbB1PuX6vFAUktc50o89aDxWyR6tLCMd/jnsTe94
wlES8+OuS/h+LTG2mXblFJyKKP49eiIahb37EobXIQxLesU454vDJ7us6xfm
E1C6vP8bR2L/rD5Rh4J76dGBxaK1c6oxKH/BW2QHsf2mLEnNpu/HQfB3gIgn
bQQqa5a5do7IG6f+29eCxMDiX/hs6vcIRLPDIFeKyK3F5C2pjM9A2+fnX8za
7yBLptPT2Ds59r1jMt1TEjItdf0u8McgoccnMncS+ZPlTG/Mb2R5fttFUe4t
+vFTYADzG2NvbYhg3mNFenH3x4rHiGPDexLzHmdF1+wwv9F+6Hx+gvQcUlEq
ohu1m4Pj7066YN5j+4Lef3JifWjBZtMOzHusPLragPmTfVzyWjYaj1BRq0Et
5k/+chsbw/zJSyW/FuktetBwddoNzJ80mM1Yw/zJwV3C2ol/HyH/z75GmD8Z
VkfLjfmQJ09V7xu40Iu8Jzg9MB9yd1sHK+Y3+vV3L/oe60J8s7EfMb8xKkyV
9Eo4zmn42v26j3ynqb9gr8TJ+BHSK3HQc4tpGC9xP+J9QXolOsVY3TD/v9XR
49VltVzU20Z7BK+LUEE8TZj/f2tTdFev8X1UFvKI5P//ULpDeiVWD/woHYoo
QFlybMrYK/FVJZr0AszefLhXLT0PrR7LJL0Ad/fMkN4BioX0+21V2cS8fpD0
Dqxlsf6HvQbOx7hpTUpy0KczfaTXgE24l/RubJZNqKytJY5TcY30buTzjpLe
jcvJF7JjdxWi5OI80rvBMj5L+jVmo+WeKtIWo9Ufb0i/xiWxQtKXURD0acUv
sQgtaI6Tvow9oY9JX4ZO/umcwpYSRM0juIh9GVk/L4hgHi9l+BR1SWItsppy
LcQ8XhO/nyRXdmektiOKqEP02dXGmCv7InGd5KNG8q+d5tjdiOZ6wj0wH9VI
gLkYc02vMkj4sXXXIeOhaMBc00OUcZLf65p1oWNIvw6N2LmxY35vloBkJ+am
HhRoqEURLSieP3Qr5qZavO4nOaiuOwrTDqQ2IqHre50wB3VacpXkr65d6Vjb
2d6MltovG2P+akPhmwDMWZWVfyRQfbADiR+toGDO6l/71ySfNu7RhR3s4vXI
aE/WO8ynLb4vz4Y5unfGJY773KpDS+foUjBH1+fQf5mYp6psMSmorlyHuj/1
kjzV1pYPJP9WJv6EI3V8DeI88I7k35ZvDyR5ueYZSid05qrQUbsYkpe7FDhF
cnetkl84Ka9UoMGpI/8wd3d1roLk7t71770Y9awKHbuRQ3J3p+zukrxcFyUd
r8eVDej995ubMC93u5eoGuYh57FExvZG1qBLfWcFMA85cyRkDfNRn23tj2WW
60Nq75NTMR91IPXSQcxBLZNTeece0o3qbvbsxRzUl4e+JGNu6rsF5SuVfYA+
fZB8hrmp6THdRpiPmqtY2qXb3o+e0O0QwHzUtNgMBszzjGg717y5qhU1W1Vv
xzzPB/0vSL9MGBvrI6FHOajmXw7plxFk/kR6VXLyY/sEle4jHuk40qty+RNj
CfbUUFscfPdBMAu9UfpHemq+eJ0px74SqWvMsuzvslEhcy/pKwl78pn0rfDO
uzWOPMpHlc6OpG+lJKKO9NSkzsdJySTnovaGDtJTsz1rnyb2mwRXfe+r3pmH
uHuaSb/JpdkM0pvz8EzRwb/+2UjJh0J6c0z+lpGeHTFU9yFyPBMdCZUnPTsP
7VxJX4929mb3L6xp6FL26QDs6/nEG0z6em5wXKwz3ZSBbJw6SF9Pg7iBDR21
C3hPpglQhmNQYS1D6EdiPOdxOUP6j1IVjW8eeBiLdobykv4jEUHdZfp6Z3CY
HtR0MwpHJ/ZFCIvidXefvEl/0AemJZ0vhfEo/uwz0h/EP3mf9BOdmCrkza1I
QPkaE6SfqIDzDumNevIt+tVoQTLa1/mfF/ZGXTvvRXqLOk+q9zqPJaJX0/S3
sLfonh0v6S3imx38unM1BcX2DZDeora74aTPJVXlV8tb6mwUKr+3BK/LKgoJ
IH0uPwTVJ479yUYHGCS4sc/FxdeJ9FsVxD48JjKSjqjoBki/1QuNI0exL2b+
WPi3xtBM9P3iTlPsi7k6OUH6s1QV7FwvV91FFyQUSX9WyX5P0s9SppNk9VYh
ExVf36OO/Syr1aKT2OcSnxfYbd2di0SOFJE+F63gKtKrwvp+bHOSZDZyylog
vSqoN5n0GaW0bb+odSkHySTqkz4jn5kPpEems7+sSONjOtJWOCOOPTIONiGk
j6aGnrnzq+NdxCz7mvTRCCzQUrCPxjqNJiJHOA3xt2WTPprWbIUrmONtgPQH
nrl0IWqXDgrmePffTz6FOd5TbjEbRdI9aDGa7gfmeLf7XUnGnPAAztOfGmUA
nRNsZsSccBW7SF7MCW/tvNDt2tmFnCtrRzEnvDD2xmnM481IkPsl7NWHago9
AjCP93k4HQXzwKm7JhNP9fWgYPsrLpgHLptp+wfzeAcr5DTuFj9CNxUPtGEe
b/C0IwPm8cYX8muO7BtBlxXyDmAeLw/dyVbMGX7w25grfHAEBToXKmHO8Dch
9jrMGb78+h3H9sgJ5EGTcgNzhrWMn7FjzvBzPierj+UjKKrpHw3mDC+Ursxj
nrD+R7rm7ZuGUXpFnz/mCS9eiW3CfGPV1ZILi09GUMNu0dOYbzwt9YDkCTen
KX+RGX+A2IxfemOe8P2ZEJI/z/fn3MN9X5tQTO9Xkj//XTuT5LffvrfBa/m4
GfW+3K2O+e2zH0/cxDz5Gwd/EkNJGzq6dJIL8+QtpUT6MA8/otftbfW/ZmQZ
XxWLefi0h7cOYN778dLPVun7m9HmoPP6mPd+Az6T/PkB4XD3QqZORH/0lB/m
z9s2fyT5+U206vWJX9vQln2870h+vs0ZK8zPv0q/+Eisqwn15NWS/Pw3u7+S
PParU3cjM861oV21URaYx/5loSAS8+RruxifVxUB0vQ1VMY8eVVq81nMk1eX
9J66ydaNqiaf7sM8+ZnDbj8xLzrwgcYeuukR5JxwkRfzon3297RivvRgX5Te
GccPiEb99nPMl57UzbDGPGo7oUNjHi1PUHzfQhnmUR/wLaS3O+sEciYcnYdy
o1FKRj36S3zfLV72c6TkOMGhD6aXevrCkJ5MVY0sMc5EPx78V/jTCbqpd/e8
GgxCcfZ3/noSOe/UrdeYI53UF/r6Nu0j5JCeOoY50o/rMkluavewWVTTwVJU
XjpAclNfhnaRPNjMxdqAa5vLEcOZUpIHyz5+m+Sybps4OjGoVY5YimRCMJe1
QHqN5MFOO7nVvnOuRD621SQPtrGpjOTQxr7icgo4XI1GlwNJDq1KrD/JoVXV
Xk8O96hBzH9GSQ6tcoYhybndExvO7lRdiZINDr3AnNtBlgyScztH2czvvKMa
SS5ID2LO7QizNcmD9ZQsC/XNLEdGL9pJHqyOFp8q5qi/Zd52y9i+Bv3RHiQ5
6iesq0iebQ5kntkiWolsJn2bMc92U2IyyaflSX+gsqmqDH0Z9ST5tBfNz9/E
PFuz4E3vxFeqEJsZQyPm2Y77MO/BfocMG9tXBqlNqFzR4wn2O0xKapRhv4Ob
kM0PbqkWZK57rwz7HaQ/8ZhhLv3rmqYPIspNaOG+/SXMpX+39pPk5Hv67lGZ
piWeQwR3G2JOPu9eFXfMyWdokrqzZaoeDcubrmFOvuU4+xTm5Cufr0/cH1WD
Nu/Z9Qpz8kUNSkhO/jthBUbarXXok/8Iyckv/El9CXsfir/tCODJr0eLA59J
70Nf8jTpfdinz5edndeI/tTLpGDvA6fZBOl9mPnzdU42thEZamp5Ye9DU2EQ
yc8/ZvXe4ORsPcoImCP5+amPFa9hjq5M1tkbugE1qOjVjTOYo/vk7pV2zNE9
8KDn2jO6OkS3ifoO5uiWTJ0lebzS3ywehc5XIluXTJLHe3nfB5LnT5shxqU8
04jWvDhLMM9f8efJFszdHcy58p5JuBqtHJRZw9zdsjeisdmlRtDw1MeGJq8O
yrZkX7s4S0Hxn3aWPR43hSJ579fjavUg35nOnfieglQeFr5cajSBYbWzXFS7
GoBHdSMr9C0FvaGdrMuSsoAdvvKbNIca4PbUp8/WbyjIoOOgKu1lS9jo7rt7
fHcDFOu3NHgR2/d8Tf71GPd29wov3C9vhP1veuKevaKg0/NSLL/rjOHkttTe
4bVauHZLs2NjjoKMSp+wmb0xg+lDe6qFiupgtR8tyhLH6X9hR3dQgDH8NqtS
zHtZCwo6NJVqHyno95ZXBpuXTEEg/f3qPHsdxKk+sU8h9nN914uDITVGEHpF
nOFVTy2UDO9pDyK2p3NO23/65A2wY7ioUZpeC883THs+EXn5n+EjCVbXYXlf
6d2Xl2rBodNFNfUTBdWuf/OiHrMERwfqkt8JzXDdy/zSyjMK2rvu82bPRVtg
8/76+/LdFuD+86o87QkFKXJ+dKRjugnfB5yKdr5qBfPBmiPqoxRElWJeKpBt
D7fT7Q9+2dcODXYzPS8HKIilsjG9UcABRhnNNKbGW2GbSQCnObG9f6srq2eC
E6x0bs4uSOmAxnHrZqGHFKRHkfrza6s9RA5xehiUdkDo+5pSSg9xPMusFp//
c4KJo5/ZbA50gnOP7ux4BwU9+O/Lf5J7zKG/9fOuvLJGEI864fWaOP/Vm6U+
L9Baw2/NzQ84wpug6vYtOqkXxOe4Tm9p634LPAf6Lx2Pa4amrqMe68T7HY5+
FuUqrQ9/BLdJ5HmUgpiZYMrpJeI62VLwqGb6GvhxGZz4e6sM/jRZfrz8k4Ja
RPSDQfwqvGdNPCj+rQwg9u6euR8U9JZ63JOfxQhO577XfPS7HEq0hXYufqeg
+/u54y9vM4alHU/7XG+Xg81x2sDrxPaSGjnn+mdMQLD0k67X4UqwZE4sfbJI
QdSerAc7hw0g5d63Cul/JdCscDsphTielxljaTt1bkDo8bln7H9KIe387vZ2
4nhc2QsLMOdB0GiGkeliMawWB3StLVPQZeY342VelyGn0XPu7cESqEjovKpD
5HfhWGYzhy48nf7XtT+jBNKkXm/+SuzfwiuwzP6hPriHn6uQba6CZUgM8vlG
QV7eUgr3PK/Djh2ytdai1cCSrShlv0BBAz3wsbTuKlzxL/9vpbAaXn793Os5
T0GH/jR7/rUygkWzfTNhAjXgv3u3t8JXChIbpgzOPNaDXL9/bExUZRCQkszT
Shz/5qZrHBUON4A/YC3kamkN6LZbJPN8oaARqpvxbZIm8CvoRc+ybC2cCTRj
6CGu28zGveWxi6bQXOWS8qq8AjLkeD7LEOf5D7Vy18aGOfwaqjqrK1wFp5/+
4w6nENufClrEnDS+1N+93xjKwbbPVvMBcf4FCjS+dLwyAJmuyRclJ2rgwMVW
c33iOGn7VGytD1yBKTq9DC3+ahixf0PxI96v/Hotj/4dR9D7qGu++UgXVIxm
eig0UNDVm/GCjiddoa7b1eoPWzdxnSROXCunoAJ6cZawGFfgeZ/wznJXF0x0
rdq+ILbvFaT6VeTkCfTna7+8uvEA1D0/MVnkUJBWkYXL8ogLcPPdbEwKeAAc
6zZR3NkUNFad1ieq7Qn9DCLqW9/0ALO4kK1APAVpit66vZrnCmaiOjcUI4fB
Oura33R2ClIdP/MqhcYX5hovSb5UfwySf+gXMr9/Q0e1FP4ECwdAQmJtz86d
kxBPWYrZ+WIBJUhdDkzdHAl76DueHIp4DZxU7w+yGM8j7hK5KQlBB6DQ7Lv3
lPsRKG1hyixzJ8YT/5cFZksuUMHax9OZ1gdPyrXr6C0oSHf88cYVWw+YTxN6
zHnoKST42LJ23viGJLaln6xV9ILVsj2KUuaPAB3aoHvoQkG7VVfMDlf6wdTX
da2p2H44va+Ls0ifghTo4AlPhT98bh8U8c0ZBsrlmHcnj+LXpWr8uBwC1UqK
S2rMY0DzXTh8/7NviD9aq/EXoxdc7/ohlmz8CCp5/A9+J/bf5sRiMr0UBOka
k395ng+B0qvgO1OnKChqsK3s3x1f8Ck4LPur4BFsmyp2rXGkILT9uR0DtT+k
P3j5OuDHI3gc/ZmfwY6Cbj+j3m6xww8E4qYeNAz2QtzCbtTvTUHbv6u9eWbj
CePP3Iv6v/XCGo/NIyUvCuqst7pqqWAKmuEPEzaZdEBEUoojfS8F2Rf9OWoh
ZQXmE+GpXKYAH4206491U1CWmeL7R+4WYF5nTL19pROgUEWhuJGC5lWHkv7p
2kJqwIv7LJldwD39R+RPNfG5/1bYJjZxC7YOT1ewlfeCnbPhiqEvBS1TUd+t
1TaDf/KW8aql3fBSZXPutSIKCnjacb2txAY4jawH/uk8gMBbr1O/E9cbZU5z
+VGqFeS9edhbUv8Qoi4F9CqGUVB7WJC78IQ9lFEdkRDo6IU2zWrmJB8KcnS9
sH7glDFcVO+Iy3XvhLX7p2jftFJQBPQ4SMUagOgT51G5lRZIdfyebz5OQVdM
lKNCG41AMtjUSvheK9TVUfjEH1PQf1dm+3+4X4dPF3x5A9PaYVllh8zmfgoK
3YcyDlKbQ93ia1keqzbIOc6TdHWYgiS2/FhUnbUGxrro3GspvcD28XyJ/m3i
elh9eGbnO3sIN1KnU4sbBFq+TIEKREFT+dsMd5o5QJgn69OPoj2wai/vzXSX
eF/7XXWcJZ0hbTHyHvtCL3xz1Da6SXxekSNh7AUZKlA5khbfW10BnIqvbeSJ
8eT8rVgflq4LIHiX/tmsaCVM0esd6CLGZz+P3qFteWrw7FrbS3FuYpwxqhYp
IsaZ3Agfh5eimqDVEnZ8zqEKul3rzPcSuTDruubXf8rwmj1xMmigCiSrvgYb
EOPq8auvBbo/XoBEehMjHrpqYF96ofiUGGfKqrIFFQdUwS6pi+ZFUzVkBkux
6hHjaspW3vIzYpow5TU7I/G3Gqj5VC3biPGKo+tMiLuNIkRfFw09+7oSynv/
qLERxymorUhfNSwD8uzSvE/6yyA5XmoLHTHezm/Nusk3ogjbf+Q+Z+UrB/12
0+cVxHhINai/gHnFCk4+KgGKFcCWLrpWQpwHVcaC3XS6anBL4smWsyXloMYu
JC9FbL9FL0Nf4eEFuPbi7wTVQg3UXfiNEj9T0KBvSe67Lm3oKfyh2SlZCz9v
WmhMEuP2osSpb6fiL4C6SGS62asaiO32Sm4ltvd7asqUqaUNAmsmNerUtcR9
Tc7NhMhrzzd/jfHWg6VDq4rsmbXwjEPu8xzxPNNm6um74/ZleP/VuvA1by10
TF9mXSH2H+OZntYkpAmcrAsVpYfqICEq+mYJ8bwUV3Tj7dBeXfjjYi3516UO
WJJXVvuI5y4JDcPsJWFtEN/IfMx3pRrKtjHHcBPnn5O1c1umoQ5IMzIlOF+q
AYGOreG/ifvRJYurIdYdovDCf4Qq8nMhJEifwbx9VC7rdXzJXxp0qa8/wbz9
NokTmLePNNOk5cSWJEFnaVvMXcZi0PPL5T1J5CPfJK3WR2ThypOihijXYqCT
kMUcaRTp/k6eX/kMCHiIjV1jKAA6q2UakxUKqlT6LKrpKAmK312N1+0LYHPx
iskRItc4lnqVpl0cHlbp2r88Vgg/S52xFwAdfBruibnZQe/jjKnCC+HaIwbM
zUavfEwCNzpkIL+XNULCvgQ8Fos+MhCvy1T6IaItXAE05Q9u1W4pAR9n86NP
iecBz4NxVImjQnDVaL0J+wiWGTixjwDxnchZUjvKD5PCIg9VuvLB1kVt+S5x
PEe2ezzBfgHJzI6P2C/wlcUZ+wUQT+GWzqYUcbjx80Vr1P4S8Ls9J3+FeN1/
VlVT2BcgfvEjh1tWIZQyJmJfAKIwLOlfcj0LvVy0CUPmpcCYkiojRxzPw4GT
u/n45SFs7643Cw9KYdMCPeZ4I33/77IdXCowR6tTuF+0DD77c6dHErnW3Jnl
IFNZWH8e8bpopgBkxYcPjxH7p5dkbMT88FMyLcyW1EVweneBwgZxnBVf7rua
nJIHmx1OHso1RaBvzIB54Oj0pWBt5QZl+NIEtgKCxVBmKIF54Eg86UdneNMF
WKwbuXCMqxg8Fj7MHCBysXXuScz7ur415QvmfanvbBuIIt4vDV++CJ+XJtTK
lNM62ZaAZpaRyl4i3xW+Oop5X7M0zAysPKVgfNOmyYl4v3OadofPXNQAVUfT
TSIpRUBDscFcL6TNsxj0/Yc60Hxs5457WAzszxMfpBP7ya84tfOitwaERpV+
i91bCj+Vl67cIfbTLHv9HeY7cXOo/tHqK4Xjhnua54nzEzgVYxgrpgaBZnH8
R11KYDJ/C+Y4oSMCthKX/10A1YHD25uGSuGOrKDPZ2J7sawec7FCLTh8b4tL
iFsZxEXrl2kROWu4qlDqQ1UI3mlj8elHITzVpHuxlTjPvWzOx4YkdMFAh/Zs
i0Q5tI0ZPc8hxo1nRxpSnglcAqljKoxy3yqg4yvN3m3EOCNynNc66D892NUT
pP+9qRLqsxkzZIhxbFvRnyyWaF049BU5aKlVAV3V/lIjYlzV+8dQ1GVsCHYp
nUpxGlWwl/booA6Ry1zzqs+m0oKRs5vkkUk5WByK0vUhXvcx4/Pw2TAdCNsV
eDyXrQL6RG7LjxCvSxsf5vx5Rg/m5gSnK3srQM8x0p2XyMMZ/2taqNODsuzd
lMIX9XC+lW+D6R0FJVuwsJ29ew3CJVUOleo1wBALrVrjDAXNeM4H9zYbgM6C
pVK2SyPsjfn3Oug1BZ1UcI8qPWUEjM17eDS2NgHPO4U/j19S0IpWfWe8jh7c
59y+Jf9xE5w/offKaoo4nyse/06j66B1J2bTxOVmyNSo8e+YpCCuVpvhN/d0
IKm7bE5mUyNo99sGPpumoJCxASYjWW1QvKjCYOdaD8dpvaS4iHmudxW/ZJqe
Abxvu6Bc+KEOnvJ7UhV/IPLVHifGJkX4vSfr53ajQpDpS9vrTHxejtatM5h7
pqFxSnwsvAjqbWQw9wxxTHps+F83gaT8z6lOm1tgql9yIH6CgkzdXu3WuZgG
/oWOenqTIyBw16QnfwcF6eyIY5PmSIAUXZnVKc5eCE4py/4TQDzH0m1x1zyQ
Cqvs3KrzXwZgNlbMwUeJguoYVUeHBpJBWVaTZkZrAK5mDn0du0DMRyjMC5bV
abAzynd8ZnoE8t+EIBZi/5w/N2+VPZEO8818qi/fjkD2qMLhETpifGiF51Z8
iRDl3SmTHNoLYd7MEj7Ec1G/wKrqyagsqA4Ncb0TPwZPR1ryD3V9Q5rnBn/o
0kQC391dT2m/dMLhZo4cE+K5i0brWt3f5FjYwpGR1y3xABwC4n4sEs9LMuWp
fFvyYkCpebdv27YHcPdpoOC3+xTEZphXd1w6HjaV9pklvXoIvq4TpzVCKOjc
/b6E1Nt5oHifhiH71js44PWX4n3kC/JOjPaVDXAG3iEqF7d9ZqCT0oh76Cjx
/YPUr0+cYGp/GW/IY1P48qMC981RCg2V2OSmLKCXFPzxZvIFVG3roPbYtoA2
m5QcZixJAINu0S5TlnHo+y8r9mTVN8TRQnXc6Y8fjB+qmS/daIL60+qfkp8T
33eK6EZCtD9kbA7rNvZqhthOJ9PNxHX1MWzHJJ+YPzh652xs3tkM634/ByyI
7SNOP/5ykD4AXMw969nEm4GPS/THGLG91oc9n75pBgDDu038hx2aYShIT+8Q
kStoXD9RuysI1vuEC0Put0I2S0VGEzHfb70U5Nf7wg8OzosEe0Y1Q4PxM9dR
Yt79M3LU+rFsILRrRDfdKm2FgQc0//KI7XWPxS4snfMD5qE6o6nRJjgMF7ac
Ir4XnUeXRfRkvaFdQKbUea0e7NzyXkW/paBxww+ZSTO34cHQUrCHeyNMKOg1
IOJ7J3zhPvOgpy84XlxiVAtphNajL2xYifyrOtdO3eh46HrT2Xry5mPYc8CE
VXP+G/LzmouMPZ8GxaO7ys71P4ObcbdbGT8sIB2b6K3v6ENhmue7RplKB6SZ
siUuPSTm170a1MND4WDQKxIjN9YJlqOFYspNFCS6yypPFnMeTrd09nZ1AtN4
27PnRP7+Er/YK+VoCM83urptthuUokdfXMmnoBumib+T9t6B+M6+2GnDDrCj
2WGfhn8PeZZ31Xk+CIZZZQ3N81vhzMwoezFxfsLndN0PcYSAcum8coBsB/y3
7ZbhAWJ+Ec98lRi/PKBdcGttq2UoVF+8gbkHiJ1edq/AE2/o/xX61m7oDvCY
q2MuBOq3SOF4yuAJk8y+FztNomBm12Dcxl8KOno83vEQlw9sfjB49hJnDPA2
hWG+BPLX9Lxevt8P9l22MJzRD4cTlzdhngnaqTSRuKTiB1/iHwd3RsdCqbs1
5qIgmjq3+49uecLdwZ011S1xcH7FFHMeUMae4PqdMT4Qra388sRQPPQyt1Bb
EvmnO0PJPwxcwPZ2jsB8YTzsfhWF/xdDTzkzXpWvu8GByYCTeRUJoPguAP8v
hhqm54J2ULuAzr4zt34Mx8BW3ZchH4k84Z75Ff1UN9if7CnG+jAW3iou/HhA
5DbKXtxo2hME8hc3uY0lQsOWctujRM5//6U2rWAAJMp18MuXxcFB2t+vnImc
iWV867B+EFT8aqfy+BkPKhJqmMeCQgNdzN46B0DJjOfbOoMkcGbRxNwVpPxa
zpCqKAg8k3/qP/2aDHy85zB3BYVYr68/YA0Ck0Ns23iORoNT0zXMb0FF07tu
Ca37g3D7XevQQ5Hw6sFpzIFB52hOGyQH+sEpyT+HlP8lABvPx7e4p6Z8kZlT
Lc4VLM1W7z/fZA5p96UwjwUVnDl7SkzNA6qWr2m3nbWAhyqjmMeClJ++LHEq
dCWeK6hitOlc4fgOKsx7QWzTQ0rtJh5wWl/8mKySG2izXsW8F+TslxLub+EM
28cdvKW2u4DUTV7MCUE/iWkmvYozfH3Ev5Xf8Tbk/XbGnBBkSMNjFD7kCpxc
j69xxfmBacw05oSgSMcvJTrIGeD98fmCwz7gMaSFOSFo9zHnHW+I8S37jKWF
22Nn+Kn3CXM20METYlsZ6p2hNSpbzdMoHK7vNsL/k6LyKkPPZAU3MNWzmg8Y
jYC/2/7DfA80+/vv0DCVG/SvUK4mnQiBQ0x8mCuCnK8ZbhuK9IA5PYV6y9v+
kLdyG3M5kNYnKIt1c4aJyZxBZ9pgeLI7G/NJkMdDA5aal7cgismbYfp6LYgy
GYY4EvMIRsVVRcpdB5j5aA3Z2nWw92yyHj0xj7BM0ZB8/8Iejrewvu+Kr4NL
v4t22xHziCuuWtbBgk4gn3t7cjqrHmK0viTnEM8J2rIfkn26XOAbdaXV+cEG
+NZSnaT3hrgP/lwuz6Nxhu6rHo0FZvUwvshfLEXcr9U1TawF9rhC7+H5HRav
G6DwTePLY8T2Az6a9uEc9vDGnrndi6MWvqe/9qAi5keyhY17DE0dYTF8xeM5
ax18P7XhnEocZyzdyNdKaVswAZormyOrwG37dpExYr5ZmmWmMdNoD1v2t28z
uF4NjwotGXYS851XsnRrqxN2UOmVUBYTVg2dQ9Pm1cR80+huu9Ozk45w+8Z0
qYFjDZw5OdKaRcyDDNNvbNwftgHDQ5Y0ns1V0Oa1u9uJ2H+sp4i1mf4tuLJ+
KNmLmLd2L5cKqRH7Ydt2rUBPzwEep7G+6cuogaGlj7VSxH6u/vcvKLrcBnxf
COwT5qqB/1oKH14i5rOX/cZ1cx46QfPujuCarFponSn9NETM+27/vWMe8dsR
slRnf3NyN8CCcggTNzH+61Hx8O0Od4GBtM06d640glLRU/V2YpxnMblUvd3Z
GXTUIvfL+jfATqFhfz7iOc2yeu/Rm5qu0C66GsWwi9heW+vJXeI5ykqEJrs/
0x2K1XRENgaaYOMATftl4r6j3pbmeou4Xhnu/Cd6rq4Rys9sEax9RZzPCamv
RybcwHPBWJmKoxk8WXqp5Yn7JpfTXLvuW0fYIcQjHcTeAHFJLE2SxHE+tO/K
3eXkCBssY2KrH+thQnLZfZrI87mIaStfKrxN8Guo9HgL8Rqj/C8GvyCRda5+
89OWoCSz2p+xUQm+I9vFl4nn26R7V85bulvDY1ZeaP1aBUc/ja3REedf/bjy
+5l95nDqhl5FsFIFnPDibc0lnmP3eybn/f4VAdXeHFu+PXgGBpOMyeYfF1Ds
ergV19ZYeCkXVOJqNwEya5v8Bzm/oeEEjo+X1m4Cz4PcWXrMnS6U3TVJfC5n
To5u/pZoDztc8iQnR2ogpJ5ZaZC4DoWfnh1z8LSCIKroMLv0StDo2PHnEvHc
TkyEYtSlrKDOvZOx+1g1fPp3xCmRuN52KqxsGojxA8O/jUvzLzuJ59VXdw2J
+6P1Kb6f22wCIfvNtygT127wEQt6/6uYmIe2V0Vw8QQC28+ArLzND+B40A4r
yCPma1vlXgUNhQCDsztLHs9D2Dzrh4qjiXH7fZftji2h8JM9ta00vAfelzCf
Vk8i9iPI5WeXFAFDRjW5DQf6YHYnxbz8JgVdK7U5fagqBGrqBbd8/fUQ3F0K
fNaCKWh1MPce9UQENDBE2IJ0PwyPcdVpXqMgurtH7hzY4wPx3cYvn5t3QG5t
+LZx4n59P7jz2PMZP7hzOZpz1KkTVG22ufW0UtCGtbzk+REP6NYuJJ72WuHE
8a6JeOI+LmAgvjmmxwemU2TC2HrbQfCIFh9/H/GcM/J2wqYtEIR8ndl/bumG
MjsZxu0VxH3nerWdi7Q/PLY1/qF0uBOGdQKN3TooKGf75Ha+0EhgzvbLYns/
AH5yFzfZqFBQ1krEsU+/ogB8dhyqKxyAkSW+rwFqFDR/RaC7dDkOqLtMPsjl
jMDxK876Nbsp6JDdKMdfuygweDmwxBk+AKlnjvWxnieeW7rs+F+gGOBMcDhq
9WMAKMucb28pU1BhB32wWm4EWHMIvlI5MgAHZg+EP9KioAPUluwdFc7QPkzn
/597LTD+x9jOQ4yra2Gb3m33dgMzTtdR6sw6aPvtdxb//1V2DZqUxl1h+a7W
LW5intLwPiwmkpinPP23sY133AMEohRMJYjv+9hPv3tMxPclVUlE/sA/TxDk
LQ53om+AXEUNsStELt7eWbd2ygfexThOXbrbCFeCP218Ir6n/vvCpr8Wu0A2
hXMO6dTCE4kLAz7E8Rguers0prhDUWRxcLd/HfyaPt4eQhyP8dD6475dThBw
gl+tUK0GjjBve/SLGK/CH4xOu2l6Qfo2y3aqpy1wyDFZq36ceM5p69PmPeAG
7xoMVe5HN4N3L0r9TjzfvlfW2ZMZ6gke+5OeRku3gtw644vzYxQEp7PoK8J9
wejfVm1juXZgkXKOYx6goPaE6n39Lbdh/w1r+FnVBJUt9D4xxPgzXC4fintz
Hg9u2n9puA3vdR/g3hz6tZjGk3tSAcwKznCu6fvB1pHjuD+IlsfUenEvj+7Y
8Al2xkB4PZaGe3noF9vO7U18iqDZd1ipsjwQqqf6cC8PzfK9WcB9w/92Swly
/PaDM8vjuG+I1ndupuA+4LdtH1SZrYOAUTwD9wGRbNKOkxO68lCm95C6g9UT
HtU9xD1EdEZc+zfuIT4uFB0OYvICq3ZX3ENEK4s7fHD/y1qUs9/YzR36u7fj
/hdSn35xpHNdAnL5hGJVND0g8HcX7v2huLQ6M9xHE9bcNXYz35f4PD/iPhp6
8uQrzfd6frBNfvvrjF0A/L11FPfX0OSCdT9eP9zu3y5/gDcUOqW/4PXDSJX5
gCder8u42Jf1nicctqIevF4XybOJe+P1wzYrdtUbC6FwPa0Wrx9GZadmTPD6
22q92VNetBGwtUkIr79FrXNn2fF6YJdFPpEFoSjI2ceI1wOj1X2yfDvHtWCY
pSnYOtMfjFmu4n4lsguTUmsz1wZP4VLr70LB8P15N+5LIrmXvum4d6n202lh
8bA3PHvBjXuX6Ni/Bu0vw5fhtZd1XTYxr9JV7cA9QXR9gfoe7gP+1ZEBuZ0h
8GGzA+4DoktRazO4P3iGYd8jjbM+cFBqEPcHkZ29xiDu602KKvNqUlzBvzQK
9/WQFOdeEdyzG8wbMHRo9gZael/cs0PcWcuXcJ9ul07ZH80yN+CoPob7dOgO
h6g/7t+pPCtMTinwgSX3Mty/Q5pj2gdwzy7gXol5ppI/eJlvxz07FLx8tRL3
AekPVfEEFdvDBbtF3AdEzLN3r+E+YEOD/vLUKQdod6nGfUD0hZr2Oe67iVyc
87YSMIdAZwXcd0O5daX/4T6dtNCt8FMz5nC61Bj36dA16j9kb+4+b6g0f4sD
nPF7iXtzSOfLWVvcs1PZ8N8jmW4Bh68I4Z4dqv50fhSvP9d4bM1sIhIEOqnX
8fpz5DpZoo3Xn98XCOdkng4Cjdr7eP05Wn+x/yLuCY5lB22Ln/AHOU8f3BNE
Xy7YHcfrz19lKdoV3guEn5s/4fXnaFvm5Bheb89v5igr9C0SXA9twevtUQfj
/r94vb1T6BWL55NR0JTmhdfbIwfrd5l4/fx/yiMBwBkLOW+G8Pp5FFi3tR+v
n0fWmUlXimIh0ckCr59HByQTanFfICfgyN7+lWgYOV+A+wJozvLEEu4dRE/R
VVqoxoG+fB7uHaCwk8wUvG7/De2FqUbrcFC3Po7X7SMatvZ63CMolchvMbOK
ADHzTbhHgMz8u4txL8ZPolpLfzYRVtTtcC8G3YNfmrgX86AgZ1IuNQlOxgfi
Xgw6shpriXs3ab9N8qvCk6GWgx/3btCaypN13LupKjX477t6CpyYP4B7N4gt
fGcw7rMciWlJnHiWBKKZjrjPgtj20xze94APfrcKycS6psC82MyVKWJ7TpuL
HUXUkmClU1vNJJ4KbMrJ63VEnjV4swj3FNoP2B7iTg8Dy1PFuKeAvuh05C+y
KYCorCNFdcddoN2Tdj6S2N5iO493VZkhCH6S38lp5wstsa24V4h4daj6cA+R
5qRMWgtDILiq8eEeInrJ8jMP9xknvy5VczfeBt0NVtxnRD/1BA9uDzMCz4OU
0LE3gbDyWwj3KBHDW2/WS2+vQl6SZo/QUgiITKTifiJq5glfxD0O5gFzFd19
sbDULIx7HEjqIOUb7oPkzVw9em4lDjxpD+M+CKKbBsGlD5fgsNBTCzvPSOiM
48A9DlT2yMGPidoAFmaRW2x7LGREOOGeL6q8fCMtitUQEudb4r7UxMPQ20O4
z4tWteblXtHoQ6oTT6hkVhTU/TuJ+78o6m7/U9x34Bqu+yNxLBa8w+Vw3wHd
NNw9ifsOnM9jH3CXxoL6nmbcd0A5X1904b7SvhYBWsuaOJjqY8B9JWT9tSce
9ymc3/+RFlGJh3rPw7hPgZjZY6RxH4FR03XXve8RkPVeFfcR0PUPwUdxD+LK
n5g/j09EQ3/8yzByvuYXTZfhKQmlmxfaLvLHwM9gJtxHQMvif0Jwf0HM9ciq
efsdCKRhx/0FdE369l7cj8haExpSVY2B72z2uB+B4rxyy3DfikOVa2cAVxyI
H7yI+1bIt3XbZdzPEv9Ru0tQJQG4Un1xPws1s53qwP2LD/t7f1yYT4BAfWvc
v0D3ot/54B5W1I1C40yUCI+TbHEPC13+cDUS97+sNDLaWKriAbG44v4X2qgu
UTBI5kfjLQ2NatWpMN936HAmcb0dvyDCF2TLi6qoeLsO8d6FBptTm0KI3NPx
EFNMxClUpzRwmZv+LtSqi36IIPLTKogvQ/EEEg5ij44ruAvPMqI+2hL5wZ/i
LE1xXOj5lSuB6Nw92Lv14gfMWRI60bgp5sQxdOy+Sql8/z0YTXmhL0jkNgLJ
Z5SuHUXu7af13fvS4MD1O4t/1inIIORl8FdpFkSXVrXyWyMdLC1SaaeJnCXz
JpcSjTCyCpjnrbJLgslMG11h4n1tOuLemTHOj77xh4fEfUkCrn7rqMNE/qtE
4knrO36k98Mt+MTrZHjwxe3gMvG6JnmG+eX1J9FqhprY3xspcHyMT+M1kS9e
cfVs2yGMxE9mcrB7J8LN2HsSmEc3o+c+WpZ8AsmfpBWKdUwGduV/m7YROY/k
0xyPlSNI+qid5tKPFFCpW9TrJvajcns/7eOS02gGva4PWUuEU/TnBpSJ7U/V
HRi9FsyEHNP1fK5qZcBUwvVdecT72ukcttfJZxPitXcXHXifAQs7bS0DiHx0
783iwYENaYaH5U3LHzMhzuR8qgLmblH0v/33Y63DzWP715GALHhuVDLORuS9
2SMWt1v+dXQxh5/6FpoJkSdrCwyIfJFx6b7dfRYo32rQPsGUDdw+c/1Lfyjo
c9q2X42PqVHns8aV5S/poNRxJ6WV2N6MQcNKuIYFGcbKtWVdSYPxWqOne4n3
dTbC4l5q5lGkc/aW1XaVe0At9ozrPJE77NjSzH2OC2VVUhXebrwL8ZUGAdb4
PCRrm9QanoROlX+Nh/bkgfunib+1qxTkMRx2mM2QG2igOLqvMw8MFpN9FYj8
uP2Torv7BUC0xqf+8458sE/Q099L5NepRP+tLZ9Bc08t6sOok6D0g2GSEnE+
NfXPNWVQHYO2pSjTQfb7UHoht1VpjYLis9d+iomwg81bOe6BwDw4nrbyxobY
j2Hp0QN7q7ngXou6xnm/fHj78saPhysU1BKUErMjXgC93BrDe9s0BepuHMp7
RRz/8o3FCYdj/OjpbgPdrKcp8Mdg+NcjIqeXmnVooeNBJmrCZru0U+HJdLtA
FZHvdcn22jguhCaMVBppLJLBbI/Mn+2YE7htl/hSpxBEHxjNXZG5D2br9RHC
xHHWbtr7kXdEAryZnmucrb4Pfa+esywSx7nazJBhyioO1+6l/kwWzYM9U4VK
6URO7xm3c8tNGaB7d/mpTGUeHD0hkHORyE9eL1WRbRMFq4uzb6/25cHfrS7u
iMhvzttO9Y1LQ3VbDMeyWD5U5LdaLxPvl4YOVaoynoWfZSjixEg+jP2z2xFH
5O0/qBffushBNIu12HmlAshne7RPmsijFVb++5UnD6EuLcxZTfkQm/HmThaR
d2Uxno9z4gW5sYqsbZdyYVZx7TEQ7+u8ovR8JMcZaFjYYLFrz4VJGa2yACLX
rPLz4drEAfEPpyQn7XKgVD3bARHXIcuFibL8otOgYencNjGeAxy3MyYwf6yp
o+q6T7Mg6Pw5MbE8fB9yWJYdp4n3NbrdVG3XjlPAfen5sYHXuXC0Nrnejth/
ySaHCMxDOMApeeUVry5sivbCPAREfYhdBvMQBHTOFli90oWwNQPMQ0DnL7oa
Yh7CpcHNw5Kpl+FmrRTmIaBmRxY3G2ZlCOxse1Y8UgDjR6m7X/8mxo2vkaYT
ydvRIz22CutDyRA+SPeGGXMac8M8X59ngrHIxQOfu5Ph7LUb/9N13uFcvfH/
j6xEGkbJKlQKURGJFxklIisZ2WRvGcmmzKzsvfeekbvMqOwilEgIeaespt85
3l2/7/f6XNf33+d1rvvc7/vc5z73/T73eTze/sD6w/uPnj2dlF9buqa6jqLi
eNRLeS61Dx9Xnz+kEnjKiY6iuMu79RJQKU89exmWv+l5nKKucA7lJqz8qmRP
RLNK4okPsJziQrWf6SFGpF9Ck35dOhHxvegs9cXy0Fs251bD+JDlPtewb6RJ
6K7nIXEdLO8zpoxW9TwE4902x9mo4hF1aPKdL1hukqf2hrySBO7NUiUGxyQg
WIxfyMby+szfuX1uXPBApMPSNfAR+lnP90wA/59casqwU44RDa3sE42KyUCB
n6zja7Drcjogr42qnBsx2bQ0PPyagQ5OsY76Y/n5u6z6jkKc6L268/u365lI
nCS5YRW7LiI8tL/63ZhQ2Jl9DW6smUhx37VVK+z4ukvpr5fZ/7ZQ2Ej5npHN
QFWnxUcmsFwrpPKuX5wo4iDd/ejMUBKK9Pl6VACrpyyzLHcfsyYaipfVZNXK
Q5+mY4VOY/3w7/MSPqMiHaQ+4fb4CG8+uriuiHtXIb7Xah73ou7L2bp9ODwf
CVNY4V5UMC/9mb7LUw9ZhTOzv7crQPtzxm/krWP935HFwMzAAA1GOZHvOFCA
xiy2YAnLGRVFVnEv7V3y2Ahn80KkuqOW5eMaNj6Idy/g/tbclRm+vo1ctEtk
P+5vBdU755qXpm+hCbn8K8FY/2H//uDDGHberX2ONqHq6uioDwX9cB3Wn7+G
4V5gSE+KfI57gXuOZDofdchBU/rUuBcYxsn+7s5JuoEudx9Px72iJePZuFcU
Lpjc61oV0UE/AkOPHk3MRRbfOm9WYef1NSuV1a5VR2d/XCrA/aGVEkMvNrC8
hOvsxEMrfYSYD8TlHitCa1PyE1ex+geX5GoymRmhL5pzldN8xegU+ZlOm1Vs
HjIpbEajYoieblUfKo8sRs356ugQlvflSZ7tPGWCHBsrHl4pLUExo0PxrN+x
31WfV+ppYorg8K2DQ8olKJ1jndsey8M8+JbMtW4j+vfjuhlzpejE8WDRXyvY
eBvn+kbOQRcxXzmpt9xfgG4+sqbQxdoZZqQvFrcaoD3jPA4kHYVIPooX9/yC
fyXPk9I4Y2QiXip9aqAIhXH4mTVh9em9uvAZ90QrhjXr7lLKQD7HR4++xvrP
ya9JQX889NHjnTf3tudloJLwtqd5WD60fPXq+oge6qTneIV7ovMEX3cNYvns
svUOs+O6qNjSlSJ7OQ31sdjh3mfILKW+j/ted60Pu6yzZqAvP81w3yu8MOjm
/pRkiMjd2NJxb+yVjFu4NxbsrNSOmilro+zrFddERlPQxUAF3CsNcyT+DVpP
sPqsF03jPlljL2ncJwtxn/b/wf3dzUf8B3F/t5GKOO7vBl4etiLclz0s8lVW
pyUVTY3swH3ZEDCjNYX7u28XiFbh/u4ZhWHc3w3tyVTPcI+2yN+Gy9of0pEq
3WXcow2Tanl7Jgauo6AJvlstjUlInscS93cD69yHVdyL3Vh8MBb3Yp8NuIl7
seGcO2sS/j37wtMwspUrGYgvfBf+PTtUvesewr+79/P1NBn9nIGef9h67oPn
rGU7X2YboWkqXxtW7Uxk+VkV9+rCMBn9GP5d/5b/EWcTlizkdM0S/64fyEkr
ZnGP7UDmsTLcY7uDJRz32EKWgJcl7tEWfXPIBfdoN/0+gXu04RIZ97FZPmPE
7KbLVmaejo4/CsS/04cdTaMU7z4Yo+IlYX354xloaI88/p0+9ITFsV7e9UP8
GfmUeQprLvojr/WMEit/JOHPgA0/ObaunDMd4cpFPFfyfpD++B/+8Ofr+3iN
juQh0vGsvTex+0X3sv21/n270YE9K9wHefKQ12ZEgyqW853XG744Qo8m3vN+
MT2Ziw5R8ypsYXnrHYP3e9OZEQXfcbPbfHkoY79Ho/Lm/5Rv4zE9culMPsr7
7pIah40DzbOc5MrFe5HHoqSd14V8ZPHkZ2Ykll9d8nRmX7yDlGtdA3uy81Dq
GdOZcXy/07x9uXenOyIbO92+upaPrkUuVE1g9wvp09bLZGuuaKh21+lkvQJ0
31lfPAbLWY/b12cTPFDKTaOChqFCdH6/91MT7D4yqKf63fHDBbUKmj5x/5OD
Ct6/qfmL1XNSPr7lSaMbEpQm39ovkIcuffybdRzLCxgzQ9ynuBDL9RVHb7U8
VJ76TFAIy+vN+gxXH/ChMrExDergPHSBsS6RDsuzUvTu1QTxoKucf1P4zfKR
jg1zsz1Wfz95G5/rQRxo/7LUQSalXFTyYCFmDjuewH1AYJn2CFq7a7N4US0f
rZJTJ3lhx8t7PedQ7jBDt41NM3HftKzuLZy3ABFrgyL+1y3RSCYTzz6hTHRE
97W7OpY/NrYV8ly/jdRbS86sFmcit4DHXgxYXtIj+cc0xQp1WGhr9XhloVPC
gjgnAeK8G2INT9mi8ImB+XuUWcg+8S/3Oyznpsxocnxkhx4VmVq7m2SjB0WE
ODosF94c0Sq/ZIGCWG17JAlZiL3f0kUHy/dQnJ1RprBBkkYxFtXD2eiD8Emc
qwDvUTG924wJOpr39WwfTQba9DyBcyfA6ax08ok1B8QtYUKfqJ+DBqlN39li
xz/Ryh/8oeqMKDL8Pt1yykUNTX7DNVj7/J6ej1LvdUSq+vC7eCoX7X5754UN
li8ybXJHX3JBWdzvLy3S5aOrjgKnY7B2o9X7zD3s5oRoHh87HD+fjeblla/U
YeUnFa2M4NySnQz61Qe+ZKGed9NS6lj9p3Lo3+KcipcZC4W8fTmI21eV7CR2
vEXDqzycP5ZZ3jdKYh+FmKwCcP4Y1Ga2VuD8sZzvWfktp6NRul0Yzh8Dt0GS
FJxvdu207NFbd2NQe6MjzjcD/jE3mmgSE5Q9J7c0oRqLKnpW8vD11G8RyfvV
hWZooze8iuJvNDplKo1zyYDNbTzA6eZtJGxyWG/0wiOk20CDc8xgj7ipd2Kv
EfpwiP+eBUMkGm5a6djA37OHMzLupDND98duDw32RCKd/T44bweKI5SaaOL1
EQuiZzF/G4EGV8Rxvhm8sxZlS8h0Qg9iFqS6ngcjI5YH+PdlYJCRQWIv7oS0
CihGOLIikClZAP49Ghx9WK9554YNKsnXsP9lEI2uPonAuUPAMfnxlkG1PWLM
XVCelYlBUaV2OJ8HzGWSD6jsskXVzd4/ZV7GIuEKZZxrBHQM3l04d+hbmvLR
mMFHSCmvHOcOgbgGQ8bBt/YoRmRs8vHveNSy8aQbnweOklocNVp2QJ8Fn6S/
xuZp7uzaOHcITp4lmHr6OaCU2a7Ms/xxiGLRFOcUQVGwCb31QzvEbUlx/7B5
PNJO5cR5R+C58YHWTtgSTX8RfXxtIgaR+Tri/CVQCaX2lPtmibJE7Qp+nItD
6fdP4PwiYMz0OHEx0gLVk0c6CUZEoW59ZZy/BF3nLaK+VJqgELfQ8JNPAlCI
vwvO3YKfRuQKTofM0Vr8mxSJ4kB0al4A52uBLvn9vzjXi+3jxeb7mw9QUM4g
zvWCFG31LZzTtePUDQaZgyEo4qsMzumCgxkDwi5tViiSmSqurTgIuRqo41ws
CLPq+MByzhq9d6/RMFcKRTRUKjhvCjyke/afb7+NBJvqL9PI+6LwOwdw3hRQ
P3d98+62Fbp+XTlvJ4MfkvVIwXlZ4N8QYHDPyAS5872vKA/1QR9b1vfi//fW
XXxwkmvGEEWP2VYd/nIf1bJn41wyuCztv1Xw3QklqLiYTr4IQOIJlvj3hqDu
tn8C52hJ76icU5n0R/oD4zhHC/YwRu+S/IHdXxR1vM5LDxAVtyTO3QISF6Oh
H86OyPMlq64VVwRqE2fBOVqwpLSjK7nGDl2VD0xreHofPV79edEYy8/E8R1Y
Y7RH+b3NyqapYWi0WwLncQHTPjadnap2qOvjc98TK36IYAY47wtCP1t2XY9U
QNd+mcGR5UT0xNa0Uw+77huHd2+upSuhD2wKVgrdyYixZXziJ/bcZBNQelFb
cQnNKr70j7iVhgz12E1NsXzs5FQx3015JOS9UbrPMB2pcdDcO4blwgdto/nG
ZZHNtx0P9jJnoJ7utbP4OFZunqvwqksRLTOWeZ/NxeZXMRmZRVi+hYJ2l69f
RwZ8ewc5K1PRva6NA+FYOea6emm/ra+jyP1itjzi2Dwq8vv7Sex4td8+6wW+
V9CvE3Rcx+bS0G9Rp3P4/xuMb/Z8c/ihhG6EoHeBTuno+o2m3CNYHn9oUqd5
vxzyfzYb9CggFTk5SOxKwPI/8rEBNuWKiIad6R23ZxpasDYsuIXlIqSsiSyb
ckhG5MD3G8NJiPRNVshprH3uVjeZGFJfRVu9z3LOFqagg8wHHndjx5MUTgTr
TSuiuOMcu6uw54Kc9qrjAjZO1lZHlowLqaIOBVsem3xsPWtorx2B5V4RGfl/
7W4gV8k3HYc1spHLDHnQMSzPFftT3y12HbGackZ/yMxEW9LsJJzY75WW4qek
vKqOGFrtLvZJZ6EbUwshXdjxNBzd9CPyqsjj07ds7ouZiH0uiV8bO355M4Bi
COQRFRfS7qTJRJw6VJecsZzuKUv+RXUnZJK6ONdmEIt8WeVwrhcsvA1Ia2pz
Ql0Nxd1vGOKR8CsdnA8G5PM39oUfk0QaZqWO91YSUcjd3li8n7SVR16JueSM
jB+6rYeNJaKJmtV+eSyn0j3t6HnWEXEnyxpMTcUgI6PTOJcM1mos2G0eOaC/
A5FUZaRxaMXwEc4xAz/a1NQHlwGtK3oPcESnILOqMOU+rD2bP3mwrMVeQqS0
cS6G19JQ8ZslMQssl40fYqYikUY1jxmaVmqSkTBN/5stLL/4Q/QOq44k8Fo3
128F58N88kN8vzeapmPfR/FEFOpyxUfGOPPhgudHfH84Mt5yt1V2FIOnLjzD
v+zzwD5G14Rjk4AMrvkpClwWgh1vXivr7cuDiw1KFMZYPmIQ8uB3rxSE5M6M
h90phDl/Ar5fHb2pVJs/vyoGG6HOHQn0hTBTLsl/EveYCOq/+u4rAXY9GgfX
ZQpgWaIO3w+PQgUTOSxazsPJbn2N0M/5oOBbi++fRzF2w/xNITJQEKtJovq4
COgdpY4OrxJQB92Ra79bJEEqlOOhqH0R+Du6z+/DzvuTfZ+5XN1l+MDZHydw
phCcRz/i+7HRm0yWE8a80mB5gb9arqoAjsUX4fu30U9NijMRDjLw85aOzm2S
Agh6eUb2D5bbPDnV5G8iBWZDqhIFH/LgsDBwDGD1OcxC1xPddxY+Jd05dqs3
D26nhOP73lGl5u8S+SMCMFeaL3/lWS4ohqfj+95RoGRWHjavgxqahZe7gvPg
XipjEjavQ+rdhd8YKo9Dksr4jKIPdvzhQvx/MxTgdTxD4KMgqGm+8LqTng9P
RvdEyWHlg6itaGO8KDgEq70MO1QERixFMlrY7z0x7pur+EMIFEpvcmRMFoCY
HF2eGlb/L/xR6edEVKDT5XOK6N9KEOnnsmpeJKA505n5Sz1XwUlGsXe0oRL2
Sn9lu7lEQA1UniFP55SgH/ErnqSuBNFXJ68MfyGgqXuN+gtbl+G2LMcr/54K
8BBkeaCzTEDk7OkuY+dVYC/rxVOfHCogAh6bHyAQ0H3NtwGUOQpwr2ZtWYSn
ArgaI0UKsHyX+G8HxmdKQBGrxT1zvhx2sG4dfvaVgBoLKO/kpF6BzWtbP9sr
y0B1l6mN9AoB3Xwby+RmJQuFT262ir0rh3Np6Bobdrxx/4m/KapqYNblIaRA
Ug25H155GH8mICvXexynopXAke8It8lEFRzU/56I81iqPASoVs+pwRJZZRmf
ViVcUAyL4sF+V0YPuUmKrgY07ZEUd1KvgnjJQ+EbC9h1RGNPnhy/AqVsQnYH
z5fA4xPiqWHfCUiiyiqcT0AaBs+b1S+1FUP52731K1j+cBPk1O6IwxWrA+4v
zIpB1ShE6hLWP1MZssj5emXhBu8rj8P8peCslvO27BsBic+d0yl/JQnv3rt/
GOguAWt7c3JqrBy3d8HmNJTS8CBoV5ePbBlQvcv5VYS1A92rvUNUNxTg1Q3K
R2JFpRDX9EDmIlZOZlp5gFqvI8gEELlnHv1E7tk/Thr8l5P2j8sH/+XyhaRW
kjg8soODw0ROmt4rIieN9JTFqBKFDejrEflmVqJEvtk/Thr8l5O26h279pHf
AZSuETl+lAFEjt/l96sqBqdswTSAyFtb/ZqxzVtT7BXoZ128AxNMaJtbuMlc
uM0t5E+6/HxT1RkEfrZscwJ5zhI5gQzh3162/3CBtF4ih/Dn38ltDuFPv0c7
h9ycQOIGkRMY1U/kBL6cubsj6pILIF0iJ3D8AZETuLuvoch1xgSkHhH5dYsd
RH7dP94d/Jd3t5dZebY9xQSaF4h8vCFSl20+3sqpOgOlDjNwMSPy6woCify6
yYDYYxMfjMHsFpF317e3apt3V+8pymPvYQEX+BgibVLKIUKL5I861p+/3s8r
mWQyA+GJQxv+cmXgkN7bnIVdd+v+3zm3tW7D3Y8kGWlzpXA+6KTYLyz3v+Jo
1HHKBCIYdfZcLi0BflH+RFas/7CPcMAnPmPwiCPy93i6iPw9MionqbJLFsDX
QOT+GcUTuX9Be+lHfK9bgkwKkWtX10Xk2l1tSn0T3msKBieI/MCc30R+YFru
dPzdKS7YXMlZ9VLLg6m+Q2ewdStijtMb3pPODM2HwxfM+PLga38fvk5H5K8E
KpWCOCCT8lQFo1IukM+ejsXWp6iSnNVaZoQerpuPhmPrfTDnssLX+0j2lXrh
y327gYLyYAETTx7YnJvF/x9Aex9Fhdjwk4OS5+bOEa5cSNk9h//PgFZ+Jxot
0h6Bi27NKtg6Fy7xeuDrXDT88qbpzeK94Hp1z9i9C/kwxX07KxLLZ71sjlQH
8QDJr7wd2DoaFt+H4etoRNNb2pJJ8MDW8USuprbi1W2u5pJ7ZC/pmiv8lSJy
OLMQkcM5rlN61KvTHQ4P129zNd0bjLe5mhmKSqLNjW5AQUfkYR5qJfIwh9ir
p7K+esLTCw3bXE3D3w3bXM3oPkou2ra7sLhI5DfW5hL5jYLjJI124AXshF3b
fM5LI2vbfE7h2AmFyvd6oE490fbbtgTmNfLmNbG8tUcx3UVCGzbmg35muReD
iLJswmls/NFx5vVteaUDm3a3XcW3isCkNyguHsuLU/LHi+9qwsc5oaEPh4vg
ZXamngZWH7+BH2UNXDfA8M3frIOpRZBr+ZJsETue6fZdjtlCNaD67HeEXrkQ
TF2kW39ix9snP615InoL+KTsi88vl4Ct5tyBWWxc4rsp2DnZfxNo2DRGD+wo
gd+0tbxNWD25O/Vin2P3RUA4bZQ7ezlktilt+7hFfutKnT5oCNpcZPUdG6VQ
a11L+xXr50rDHDk3qIwgoPuSuIt3KUQuOm17vbVfk7zZrWEASvJbbkd+FcMM
i/S2v/uPUkgxMtKFinErxcjrFbC288grDey500vf7Ou/5yaoOA/EExrKQdxp
OE0SO+/ASf1D8x9uwuFiQfGyzjLQ8GLz4MPvr2At05lgDegnpcnKYCsD3rIv
Mr1YbrpztOq1oDqY7ZK1lVwugz0NafRUWH7+3uPn6TtUIbvn4ltx41IQoBrT
vIfVU0q7orjnwg24VBox1HChFHZ3l7zNxPJag927z+erQhjfd55AV6x9Gn1L
VbH680bn8yR46EORNFWsxflKMCmqlLDHnlM5/fWMdh3a4O66N0eysQKEX7UG
3cOev+e8mQm/LQwh4k9l5APBKqhPoPWWwZ7vlF5osLDmFhTpLkys51fCzJuI
bg/s+f7MzYaFKeIGSPU+vquiUAHe1HSlhlj7XGxi0jJn1oKZ6Qs+KgKVoDss
+80HO+9+2rz7AVWGUEz10GqsvRomu09s++uNeWuv9w6aQCylyft+hVq4Gf19
24e+GX+KIb3YEM4GecTszKkBpXyzbX861bnDMms1RnDl0RHGlz+rIfF9+LYv
vulPZyHfSQMoHeiqK0ypBt1s9W3f/VziXy7jSVOQD/QYEyyogVZJsjXc/y7S
oxlCsmoClBUVkotHa4DlDv+2/10sXpbK388InnvRpWSNV4Ph7pPb3vnK8Erp
SAt9mH1YQzOmXg3+9iJKCfMEtEgiLdt7ygoKFDS0MkvrYaDAPvHNBJavMX5N
uXgb3h0Tz1V6WQdfvpR+tZwkoFPLdISdmuYgYmRhw7W3DmiuPd32vNuplt7+
Vm8MhOqO9T80dWBviTUYlldv1ewsdTCARyoDR3SLq+DW7pJtr31jG8dY84QO
JK/6hxeeqIJCuSoLbex6lTClGDz8agIT538MjpWWwUL1+wVJrF9pFsq9XqA1
Bm9faviyrxQ06IZU2/D5Q+pzv99/zGBQhk9c41wF2Grv4g3BrqPQ9GPKJjFj
EJ7zk1qVqoYUX1oG3Dv/wGpw7RToQ4uL5bsBzUYsrwttGSEgztlM+0iNm5A6
Rk+W1d8AxpuVnyzeEhAXh6ZKW6MOnKm6UJrqUg9Mh/I/BbzD5lG/JgPfJ2nA
DFm5rQRpPVynexjy5j0BrWe+Ur6QqAdLPX6vC27WgWqRlUr9B6wcyfK/n2tu
gu334We5Y7Xw7tLxnYzTBHRN5ANv4k0dYLBM18udqQERvrvkhTMEJKqS86rn
wA24X33J4rdLDQSS5f59jl33KzUOpYW8hmCYATbXKBvAXTR058A4Nr8aJ7E8
SGIG1O7+R45bNMMG71L2rVdY+7TGiQXWG0Kj4btwgaQmSJVQvyjaj80HHD0P
eusbw7CZuaT9zsdge4TvdfRrAnLJ9xoRidSBBcZ1dth8DJdb7avMBrH51VeF
HfVnVSCS79BKIWsN2Mp9ty/C+lsB7/nzU8/UQFrxUneLWDXssWRWH8HamdR5
+Jp0hxII3nHT3VqqgrWvd6Rjsfnn8gnuI7u8NUFYhZ99gq8a7K5Rcmxixx/P
MxjQk1KDi5Uaf63v1IL0yN5Lx7H76KSLYWyY501w5B7I5kirhrbzl7/MYv05
3mwXOSyog/phlVnmU8UwHWXR6ISNz/v1OS/x3VUBntM/Nx1simDouaT8AWx8
vunt+1vovioQUs4tOo8UQn9xyItwLFfZc8MrpEEJ+g4OWx89Xgjpz+OmmLHn
l3zVDdGqNjXQyKRrV3leDPT7jzxewsYlY2v580qe14H6kvDrhweK4fPktPYD
7LzNyhbPzilfBzPL9mNC8QXQ/o2+LQQrJ8jRrja+4yrQ3jifOfctHx6PpOHf
eyIftu+aGltKwG2+OV73shjiDUW8PmPlS3IKpDELycPZY1JW/SEFcCr0Pf5d
IfIxcLp8oEEWFC/YyO4yzAcmscP0zng52pcXCN8UQZLQLhTZUQhkJVrtKdjv
6rgoHBIhogBZ527ycbgUgaHOOP69KhqTs9+wFXeCnclELtbgCJGL1ZrqLh+f
6QTRyUQultps+TYXazzcO4CaxAU+PCJy/PIciBy/f7w++C+v79EKO03Bdyfo
/EK3zdEaUCFytFxiyB49dHUGnimi99YzgOi9/ceBh/9y4J/xkuyDHw4QJSCy
zZn3Tydy5gkaWXHtesZwLYHop6Da2bDtp+D9IvR1l6oB5L4m+ixEGok+i6lL
F3oTeo1gIZnomxDzIfomooIlfHfH64N4NtFPMXSP6KcQ7fztQU+iA+QaRH8E
RQrRH/GzdJp7nFwbeO2J/ohvl4n+CCcBPcUPnw2Ai5/o3XD9m7bt3RgM3jQJ
Y9GFV4ZEr8T+eaJX4uLcVdtVRnuQPk3k4S8HEXn4/7j38F/uvbXjqHRSjR1k
aRK5/Q3ZRG7/nIexuHObFeSNEjn/48FEzv+jTDJRKT9zGKonegoUWomeArZA
D1HHQ+bwyproKWjoJ3oK1i+XTJKo2gF5GZHzz6VA5PxvpcZ8nLhtBZbBRC9A
mznRC/Cpd7p9X7sD/H5A5Pw3Wa1vc/6p8q7HM721B1H5c9ucfGpg2ubk/+Pb
w3/59kquHDJ3/RxAtpbIw5cYJfLwH3hm84sedgD6OiI/37zh5zY/P1iHfUl5
ly1EVhB5/qfOEnn+s+hYvX61PYSJETn2QklEjn23tkCT8w0bkJ4h8vwXo4k8
f0t3OifLh3ZA50vk9ou8JHL7E6su2Fs/coCrX0i3+fk+gUR+vqXHKdO7Zx2B
5FDWNj+f1oPIzx97uBbwuM0JZGkCtjn5F42JnHz5MdluMXUnOEFK5OGTXCXy
8P/5U+C//pTRMy1XokhMYNGM6Gd5oE70s/yh3v+2qtAMGG8QvSpFaUSvinTh
yVZSOjPYQET+/8aP3G3+/9m8M49shC1hg91624MQ7UH0IIioG+4Vi7SAEnai
7yCjnOg78DiSzSb7zRKW1oh+gc/2RL8Aq6qq4A8TefA4QeRgR8wSOdhrm3pl
iwrS4M9K5GbLShO52ZCvZ/W55zLoGRM52LPtRA42BxvJyN9WKZjtI3KzN2gb
t7nZ6afiOSw8pUBgicifV04h8uf5wyLuKh8WBtqXRF49STCRV3/JU7y/hEUC
WEOJ/HmXACJ/niRlqpwxThDmg4m8ehtnIq9+bG9v/lc2GXjDOC58dXciBJxB
+H5XdPZaJ30BiRiw6KyyMogmAK1UFb5vFoW9bFuQ2akKMbREPrnwIJFPTqnv
e1rmrALs9yfyut8KE3ndnh1x/B93q0BhPJFP3jVD5JMbRZ3wfEMhC8VBRO53
6RyR+/2PTw7/5ZP7LekdvxvCDOn/+PYNp4l8exqZgKy3EyfhAgORn283QuTn
z8vcUuAVogCzf7z9gn+8fQtHoeREDzFwciLyq5XHifxqtVTh93UgAgTK0G0O
dg89kYN9Qu9q7NlLnDA+QeTt8z4k8vYfCSVKcp2bbyH7x+eX+8fn921sldYo
4gY3eSJvX/sIkbff9532IkMbPzgvnKh5eCcejsz/wPcno53m/TtdckVhxz+O
94lLRI63ww5erYKHQjDyh8gbZztH5I2/PHee8tEBU3jyjOhn6S4j+lkOoLdB
nDOGwM1L9LlQbRB9LpcGbFS/VJqApRjRz0KaRvSz0JC7PqQKNgTSK0Sfy68K
os8lRbl+U3XqFmhdIHpSJIqInpQBHRqJk+dvwVkmom/lcybRtxLGen7/PSMT
6A0h+ll6Qol+FlTTODMnYQjymUSfi4MP0eci9Sj+sHD7bVgUJ3pJ5IWIXhLu
aVbB0j4NuP7yH6/+HZFX33GNKuL7jDoITxO59JcDiFz6fzx8+C8Pn977yDGC
9U0QZy3d9hwJjxI9R/98SfBfX5J6/iRLRYkunG8g+mKU24i+mIujNCfcFTWh
lZnoUaLPIHqU/vkF4L9+gWGvdcqRJQOg7GZsXGPNgIPanfi+FGTQfq5sJskQ
DmaOT7Bfy4Dsmaf4vhRExbSv9uYTfZBHV915KNNgLiIB33+CHoldfKi1Wwvs
80kNejdy4UJrOr5/CdGarB/SrlUHg8/t3wTO5sLVVIWXG1ieMtbqmJ10A6z3
pk4JDuRAvR77+/M/sPHKus39ursqCE0P7xo+lAMTrqv4vg4kxTx090U2ti4O
eZvCop0JH2za8f0haOl10t5QdXU4YfDXaqguGxbjV/F9UGiZKXPUz/g6fI8u
+FC7OxuK3XzxfSDIeITjLl2WLtjc9KugUsoANjkBTrwdPGu9g3+baAHP3J7d
Wh/SwXBHHL7vBS1zRj4xOa4LYYmE+szlNBiVeYrv50FLo6VWanSakDRiwKXd
kgpBZ2XwfTXoRF7W1bURPZA162DMVckAKo8zzwex8mW8/m6EcqvDDo8LmY7J
aeCOGG5rYMe7OxV2+Fupgs4Ou1db2Snwd9kV37eD1Oi7Xpsoa8MvjhOM50dT
oI8sGt//g2KNGYKSNDVgpwJN0LeWZCjkjsH32yBnqlPtv7F19NbrmVtteRlQ
k8vxLA87b/iofvNdE1N4QLsvaUC5BJT95Y/bY/PPY2xUloxmRhD7XUNjiq8Y
8ih1umxW8XUu+WBJnDHMUijO8QwUQffu/NtNWO51pzmnqNUAmB40SuzA5p/a
G5y5idg803xxz0yElT4kdlNZ5BwrAmUXyXdXsZyFPTBG1kEXLNi81L/0F8Bu
TjFKXWx+ezBMzL9/0RDe6GvpO5kXgqtyHutH7Hg396UlKk89sHhhc/CdXQHI
ZuZo5mHH9zJ7Gu9WMQTKx6KoNLIYug/6PD2E1WcuWCnYsEgHOrw1X3Hw5sPK
n018nx7S/lKl08usCeOZ/oEsWnmQXHBc+DTW38RDqc6viuhA73LilSOJuQCK
2lpVWH73nLZYRMtNIOusrDjikANs6D6+Xw6l7uJFi9O3QHT8ufaD3jzImDoz
NYaV/ymU+7mpgQHsWVNc/bu/AAQcXkkuYfW8nWVdp12qBbTiN+4yh+eDfMah
VBX8f9c6qWHem/IwzJ//fK9hOrBayODvQ5FGga9kXcUlMDqc3R5+Kw3iGhTx
96eIk7RZqdD3CgSanlXlnkuD47O5+HtMVLK+9fd77CWI/8RUa3AtDRjcmC9a
YLmSbvlI0345qKJ+WhUbkArT5nb4e0z0nefc/aDLAEc/OB/jiE6BhcUq/D0a
OkFygJ2KRBoS2ejJVmqSoa9kA39fhsieP7jsFycK6tcY1wWHkoB9eB+nADbO
F7K8UvltfR0EdxYsnhDPgNuzQpOTWL+6wv+M1+GHEry2c58NcEqHZ6c28feq
KH5O/ZpNuSIUUE6uc3mmQfHVBPz9KXrM/yzUgPoq/D0c+uJMYQqwvpLG35Mi
m4Asrs6XdyDyCtEHdPEA0QcUxj6qGn3JGeY3HLb9QR6jxtv+oAzxkk0yqTuQ
r0z0E/0ZLt72E/3zEMF/PUR2RYPurJtysOPAUcEbw0kgfOcF/t4WTQMrV/gx
SZhRken3XEmEBHMC/h4TvRNS+Xld4RzosjWbVLIngiKVDr5vFkVqH5AfF1KF
qY93o6zzs8B6fzf+3hZF/LA7oTutCILv3vpXUmbBxFNJpwUs56ZzU6O4qg5m
QXJJvdJZ0J58ObQLy+XaVdq7xa5Dlu0kzYfMTBhtMsff56LM4t+1b+RVIZWH
gon7YibcnJ3F39uiRj6rvpddiiD95TvF2dwM8LObxN+PoxyHsfFBkIcmSq9P
HTSZEDAph7/PRfspvCnHB65DY9V5hyeNSRAXm4zv00MzLFyJf+xugPK1hQOH
NbJhPMcBf7+MLjAzNKylK8Exky6/q93JwCa5591PrP29qDr4lCMVwOXsOTOO
5UQwfxCF7wdAIaUV3mXr14Ei1eLt0cpUYIoQpA/Hjq9ylP58alwWPg/xsexl
zoBzXLzn8PcLjCvXU6gf3gMUm5157GU09PgzkJpj1yWs+MGnDlsP0N6licof
R4FXfznOwUDJ5WK3Dx+/B6dsnS5e534IRuF9OGcDHfrj4D24zwNENGCo2Tgc
rLN3Rv/B8jpDn6WDhndB//XLba47w66X21z3GTLnX3KObqAj/XCbD3/3PN3/
5sPDf/nwh0U69Ep+u8J7qoJtzvyZNCJn/utWmdjpIU9oWO6TsX75AGyGvXFO
COq4LSVU1ukOmj7GMQ3m96FRNATniqDqDbtJsjN+wCxmPShZEgUDfzTfOeOe
xI2ddt+v+IDoxwT1lohIULVpxnkgKOEyza4zv33BTtyCzZ81DIYfu+G8C1Sv
EcJacsgH6gwfa05oh8AvKymcK4ImVYp3PfL3gf02mlkyWzEgY6QxfQr3jvFk
n9NKcAXmdcNt3r4RgXebt//ruXLgIxlX6PWt6ffuC4XA3RdxXgTiZCFNf7nD
FUL9PVyjTwTBzhQVnBeB5nJHzVZ0XCCKh8jhV9EncvjDpoKmLDbvQmgbkQ+v
v0jkw4OO2DTlTzcInbLd5ttrIpltvv0/Tj78l5N/kalVuHLXXUgdObHt+0gt
6dr2fdCeZDSeOOwGs4+JfpDFJaIf5B+fH/7L5x91OqObZ+kK1tRx2/z8ArYD
2/x8FQPqGrdcT0hOCN3m8Bu9od3m8BNodBP/5gfAx4N/xQYW46DNcwHnkKBb
/TEjk85+8PgBP12VziNg3xrBuSXI5Qyp6gvtANCyqj9353s0TBd34pwTZPeL
VqyVJQBqhTu5jx2JgMHfjTi3BIXVXJn8WhMM5SUmzM2CcfCCffyQLVZO6vCD
HbNDQZA1eYTujV0sCEVn/R7H8mSrcc4AvWB4fGuduzwlCvpKWd+dwMrxCRMU
0ggNAn8Dh5IasUi4MR9h5I77s+66P6E6EgKvM9i0+eeSoMbeWdsX+11OJsyW
5vz3wXF68O2BlgRINlLTYMD7P80eA9ETKVCijeIGp3phh5xPcS81AbV1Hq9Q
YE6AgJ3ncz8t9MCxvuFX9+QI6HSYk5JhZTJIuMbwjL7vhcM8O18c3E1A0Ykd
biLFiTChN78sVf0CIs/IDF0UI6DxnZ8qTfljAbl0B0Xd74T9dW/t73lh8xwe
q6SQ3BS4z6peTPWxF2Z+cTemYef9I5VBy8CSCQrL3AuyToNAY0n3wzp9GU0k
Mq67HawCCYtXF/wWCeCmf6xFrWi2JWoX13SIdw5w5v9ujbGdhqh88sJAjgX0
NvcdZ+5IJXwIEDlLv0QA8gfO+tGdsy35I04qR1XKwC8nNHOX5gcgfXJ2V4/j
IvLwzrvPEZ4Oq8sk837RAyBQZevE9mwZcXz8u9pJmg7qr13aB0bGwPbE/mue
VF/QHgHzpzRFMeB/0/LbrYODsNuuLvpUxTLar6RI8zKvCn5dpPG7sEAAv/eq
NtSWsy0uW+InLnDFQP7pdPPX3J2Qdjdl+JcfAT3hvJn3N/sh3OTYwdFI1QY9
C7Jqy9kElPvJteVXXCRAT8xpdKENeDke0a9kElDULPWQKnkYyDtL8JAtPIXz
F440GNdj463PHEX3yxD4yDy+DANPIYqfW/lyAzaeSM6GRh94AEsLqRJjui0g
t9jgk9xBQHE8n9g5JaLhU9vKj8iJDmB8aG54PYiAHtR/PjpyOQJarvrsIf/U
Cq659T+1cgnovUmE6jXlZGA4z1ekPNILdn37rudh172KpcigqycOvNs9Ct6q
9kAkt9GlQSUCKiryYQ/GntduzbdfcEX5QJLHBs63QRR+yeJ7rjiDZ6Gt4SlH
b2BzDcZ5OKh6sifJ57YzvEz/tUdklwsYO4vh/BwkxSq4+G7ICfhCRU479TvD
DOs6zr1BrC2BPergDCYDG5DFfg8uUJrhnBxUvG/tgGP+HRDliGtUosae/xP7
cG4PkjoloNgT5g5lZ/k/mHr7YuukNJxvgw7eS/BrMnaHi4QKhotyrvDd0gHn
+aAvWrxCkn7OsNfBKceOyRT0qJ/inDE0kayqeSrUGax2K57Q5bnYQiOrlP4J
y1Pn4lLlo+6AacCLv32kZmAwK4fzhVD/Gs/MQvAdcA2lXe7XEm/RcCOX/IB7
BC6tDIzxVYPowDPFn/MEaKAorB0+OdsymkBatID9Xj1apVKvfhN4wVmHc8zQ
J7XM2WUstzKqPqbFd75F4lu+zRy+XnN7FSWs4A4Uma/fVIvfBrOAMZxfhO5/
FTlNJ+0OGvHLy59kxVtqMiVY8fpwE24Led/PgZEK5iHKF6VwOraZI3CRgASV
Is3TQlNhXwjZFb5vuZDvN12xB/cnzlcnlVhkQ9tPer7dOXlg9nSNg+kbAQm0
sr1DBimQSgK1VGsZQM2ilaiDzZNfznZd3hEYD/FpDRohS5lwx7DyWz+WD39Z
5F38GQdf5SouK3CngJLVFZURbDw/TCo7+ak5DZ4YR5aRXiqGoyRXI8q/ElCf
yOIXcZEEqB8aXQ6lzIOFfLcKNmz+HEUhMFtfnQscSydEOG6Xw+jXPZZnP2Pt
/6OkkuF5LvCXG+ielSiEsVjFqpRlbLxaany/JzkXKKecaN2bquDJ0/nfDdME
dMMr4flQVi7svMNIehUbJ9LXclnRDDYvekAj+5czD2wJvhP+vNWwa0sblKaw
/lar5ScrHwWzKkn5f5qTgf0Koy/+fGGt+9GTVBEJbiNUK3+2kuDVEWmhvdh4
25Wi9ojqTBQ8FrO2b7PPgPn42Rrck3WB9gTfH4EokGDqWpcNzYD38ZO8UVgu
ZbTV+F4oCoT3/rhK+hCbF5F/eITPGzWbbc9x3IqC5zEiUl6KcTDzXYNlCiu/
u6P19eSdSAj9NBAzY/IIHr/mYDqOjefqdU51X7NjIGGdbelQRxpYHifd/QIr
R/02VXOJXAyEhAZ92yubAHaSlQL4+vT17uMBVodj4Ujmfe6mF1kgeqbs+Sfs
ejHav5AzzI0EGc34Y9ezi+A9+3vZQWw9eNzj6p37jZGw8MnCpqS5CEoYv7g8
xnLtfcnD/YWRcNixkjbbtAieNwpMkWHrL4vo/r9TvZEQzjTQ/k2kAGiHr35p
wPrVWoQPDclqJPgUnSvof5wL7JYNTfj+BCsu6/I58kjY+hDJpKWVDx9LmDjd
seuu+GLXrjLJh/BA/9h3OrMcyHI5HBSC1dPZ2u/SBeU4yB6wdrB7VAZNV0iD
rQkE9NBG1mPlWTRoSsbLXnAugkpoCizD6ul9hWLZy/IR9DrLFtaqFEEKg9U+
Ayz/1uS+7MMZDc5WFWrzhDwIVKXjuIedN1hu5lajbwyIa76S/iZbBvJ+c9V8
WP+8x3druLe7FT5oim42DPcBC7NQ7M7sZbQuU+F/2qceYPDcTd2Sp/DOp13l
ejw23zg5eGdDsxoqfK3pxXbXwbJnweDeHmy8rZNM3v0zFH6YfOy2258L/k+P
XFbA/w/5Ixh8XioUhDOFW1itsuBdO03nJrbeVNBbcFjsDQPWd8raGe/yoTBg
6+mVddxTw07i7jMNHErmZZ8PLwDTu8o4ZZId6M/OX01/z36CDpnovJSNOfAV
qnVykiNFjhdCMzWvfgDPzXqRXaGLcK04265R6nfLP18b/NfXtpeRxTr0nSew
bhF9cM/WiT64+TtNIkckveEge+e2x81KJH3b40a2OdNRN3sXbD+Fb/vg3twg
+uBKmmfGr7a4AyGW6Jsj6BB9c+RMzyxGptzgbgjRK3d1luiVe3BYvknxsheE
ThM9R+PBRM+R1YvGJe8uH3ia/nnb10bbOrTta2vUDvtT/fUeJI9c2/a+Hc7M
3va+tab/CL1Qjc3nP0Zve+Iim39se+IcS7zHhDi9oeEx0Qf37eSHbR+cat6a
cd0Vb/jxk+hFeuVB9CI1C92wyUnzguQDDNtepPNkE9teJJ+QqZwBi3sgOq2w
7YE64C667YH6512C/3qXfpENFr8h9wGxcKKnSXx9advTdC/Tybf5ni/QexJ9
W5c7ib6tYPaG9+dZfcErm2zbt3VwUGDbt8WaY8mfwhEOwy2kqmoqCdDzR9x0
AsuFIql5b9WHQdmdlPsrsjGgdfmJUgtWz4ij8Qvn6rH1CQ/RO8ZuH7ntHfvn
F4P/wy8G//WLUZAmfqrMCYdVtryBmcBU6Ih/Y9386/97x+C/3rFUF+46lxh/
QHREv1jKWaJf7J9fD/7r15uWFZxM5/KHI7NEjxitPNr2iP3zqcF/fWqlM3ee
1TsFgrMj87Y3jVfx77Y37Z/vDP7rO2PNpg0YWQ2AOC//tKOjLyE8PvXAGC8B
KZdzBTGX+0DDzF/CQGQ3DI5eCSrQJiDLZNrdtCS+8P3YeS/Pb12AuJ567bMj
IP3X1uYbD7yAvjVzk5DXBVwbpq1Vjtjzayp3sVj2Lih9stkvbNYFOZSj6h0u
2HqckjH5/VoQDM+XyMoyDkB7QKIr85tltCc3KpO7zBdU9/2hd858BelmjPdO
HcH6v6+9M4H+Lsjl9lJFGnVBlsIZ0xWsnJclg3+MdvtAwg51qsoXnbCvM8G3
25OANLJ5tATVPCCAOdCLdLIdrGOZMgSjsX47ZHHsKH8C/BG4wpftPgXpwUWG
0y8W0MFI/9Of10PhVZMa/3TbG/gR83DEfO4LsltQdO2VzoPvshs8kpsE0FwT
4+GW+9xCe47Wc5oiB4ylnembfhDgwUJFcUHs55ZfaXzl7JSRsLjT+5a13Ws4
P9p54xX3Mhpm/e6d7eQBl27OfRg1aANj00jx29g89tB3hyKbk3fgYsTxTxts
rZDUObCmV4pdl7f1Hl97XcCzkzQkyq8NxrVr63gysHFvR1nnjQeOcJ4tW24H
xzPgN8uJlakjoPwpMo3Ah3dgWOX1qCntMzhievzBGJZ/5D1BOrvHCWxtNa3M
mZ/C/l6FX4MtBETqGP60z8oDSjWYmtqWO8HOPoHm8l2sPSVuFmqbOIJT7a32
Nyw1IEZ53T1hFlsPnjouEsxlD1+lAi54cFWDRKn3vR3YfINsS5D6S6w96Fqs
9bzurQK/d/fkX2B5nyINk9pPa6j48it1z5dKIFPk3DuCza8yhcrbwkqtIEjy
SNeZ41UQ/Sz3uTqWP+Cvn7t60QJGC1e+PuWshMy5WJfYL9j62ogixVjbFiw3
3il7NFRCLaOfsMIStl4wde8zc7OE8gyN9MeLFdCkIPSHGpvnZLm6LQ+fdITY
5+qg7VgFi8YsKH0BW5ctXa7aeG0HNX08VhHBlXBGPduiEisnMHCNbbLeHmI0
Yrq19CthduQIPQ123q88befKJGzA94cOkIZVwD5LVZEBrHyhl37nsl5ZgVb2
1Tm3xgqIvWPR7oTlu1SSZTRvOkCYp4ddV2oV1DfL1F/Ezhuvc0nW9LQ5WOdE
vUj+Uw77hKnF1rDn8iBi+Mmkmw/U42zH3TYI8EbU8XUx6+eWswyS3brWBfCG
kSq/ZJ0AZ7KOsVV+n285k9lwv83tNjSSNU+Sbz6FZEpm/UJsvbP7ws4BJl4j
iHATS093ewqJVgVsk00EVHf2PpmpjAnQrvRX/zFqgeQcCKTrxObPBjF0y276
oNsfH+2V/AS0Ns6p7OwmoCN+dAdcY5xgmGTgfWZ8C1TEtL44i62P3pwUXuPP
sAc63YXBT0xPoGg0Zngce16P6z7pqC2yAp7YsthfGm0QWU3Xiq/LDlNceF6m
ZgqeXDR5csWt0H50d5deAQFdqizLMcKub+K6sP5REwQKln+7OVsJaFHBSOPn
DRt4dPG6FEPaM8iVO6zxq5KAjprT01m62QKbmYIYZ1Qj1KUf8v/9hoCCaL8u
LlBYwoh45uKRkAaI8jxz4OIYNp8ZDLgrst8M1FiYHTJL6uHrvmW/dxPY/Kcg
+skeZRu4bb3hrZ74GEjOuTcmD2H5cWHpv/3m0Ml5xmc1phFoBGL0NrHyq44f
JV2ltAfR6pTYG8UtEBSZ2kJoJyADKdsMCgZr6Giq6aSaaIKm+8r8in3YfD7s
CXWtoAO0WAd7vx5sgl3lU2fMsPx0NI9l4M4wCPR0VKYOfQf2sQKCrEZLSMb2
DbXnOT84k1R6bQfNCJCmi2/uGfuCLF139YWSe4FA6c3VYcV+kD84+TR9ZRk5
7yo+u5JzB0YVe0nFwl7BWvRYcupR7P4Kf/fkmo07kCemHGNhHQYDoK57ZrCM
1CL61imm7UE/SZ/0UtQLOJN4tLIMCKhF9/x7vVUX+MG+zNGY/Bz+SFXT7L2N
PV+SgmSFzziAFp26fi9PF9jJ3J0rcSMg4fi8x3qtiUBuvKVt/ocA2RyDs5vX
F1r2Uw/wrKFYYMswNVP5S4AdRl+WqO8ttNiLMe/hKkgD1t9Hv6vh31E3eQ18
PrjQ8rDG+hiVqQNYv1S/8PF8OxyKMStmSCSg3lf0z06/toWxox/qD5Z2wsGT
LOK3vLD1yMgLrmcJFsD+dlUtt7YD7m6GkMoFY+PPFuPQ6df2UNZQdfFUSycs
ZXzTeXQPm0+K7xKV+WQJNBpPq2/Gd4KRkMWytjcBvXrpMmor5gyR4jPhLF86
wXLv+3xrbHx76u4c8XM4FKbaE1YaJLqh0pGaSlUPu77hv2QOVgQBHcMB1tn1
DvgVcb/mZyABtT/Y5Fy3CweTVuZOtpAeGNDYfZL1GgGdkv7KLJMVCiEhv3ul
OHrA0yVtvkuVgP5mSMxNrofDq/3eH0vye0BP86iSvwIBrfPG/jV/FAqvNQYH
K5ifw76FtLJSa2w+n3ttxftlEMjssEhJP9UBpDUTdoURBFS29ejbADwEn1OB
Q4bfekCz6qac3WUCepakK5W3FgU2JU0Wopm94Kne87VqLzbuRVm+VI6IhpWm
SUFu636Io495q7K0jDatXH5w3w+Dgd+nOZk+9oD5o1oLqysERNWQoG3e7A/p
vdK/CGStcJCbQXBXGQFVUnZ4vv7gA9HR2sEvnZ7C0HxHWDs2ntxw9m5zlPCF
1PFYNxn2p9A923DHFXuOHK0+TR3afg9uMvBrM3c+gerEPRICzwmI6ZqrAuP+
e6CiIWg/bNYCbk3+hwax8UTuSk2TfK87lO/d8DBETSDbZzYdjd0vVXcjQsit
/CGxbO85gzutwDM9T7pRSEC/XWN1uh76QOI+WoGF8acQn+lZqduAjefHr7Rx
nvKH+YTCHZk72yCDcSsU5RCQNJPFBAXZfWCNiY/JD2nHnudx2oqPsOdL8MTk
e7r7sLdpib7gSgtsjNzOWcXqc+KEQU0FbQC0PJs76p/dBJKlW4UNWH0G6H+1
OiwFQCuZWr9RbhMwe8HpQizP8EgYX1LxA/rYPGEWh0bYHFoyZB3B+sOVrI5D
dH4Q8Pxo12HRRpChiP01gOUsp7R/REX4wsjBK8/17zYCWQ2t7U4sP3JG/xCf
CP7/SwwXCU0jJIluDt0exdZxquecmLmCoI+Oa6+XVAtIe2VYM2Pj9rQFB0mv
lD/Y894QsSpuAlFFhd25WH1itcgKxWuCwUcFuNqfPYV5LdIvo1j77DC/o+bw
ywf82R33Ff5pgHeH1FbisPLdHdx2PvfwgjnNA3FXguqhKlHGieUdAa1QBZJG
f/AGfqGkHa5u9WDIOfwEsDytqlpYQ8oTHgpevOv4sxYy9OqnI6aw+dvKlFLA
tWQwed+sA91v4GatRy3jzBck+aFuJtGmGjTfndxtME+AeQH1QiW62RY5ZuWE
9jEf6BrVeuga3giajrd9+rDxNlT4JNt3eR+QE7OMf9PXALfd6Wh53xJQgkfI
cPCGI9A7HBrh5KmD32POh3mw83Zxmu3ZE+ICEt+vLwVq1UP30me1J1g97ayy
uyidnSGaQ2BKwrcO5s4yPeD/QEDlqm87dzs5Qqml17GNuVo4vbfY6z1Wzo/6
6Wn1KUfgV6g45He0DmKl97aIYfmavWPL3Wcu4A0vjyq8qANL4QspNycJ6IDi
40D/M05QUuE+NJFeC4NPzFIypwlI/AXhsbPKXRC/FuL4Z+gxePk23aodxMal
pj/n2V67wivFSas/nI3AJzpMLY21P/Mzs7nONDcYqONw/NnTADubizo0sd97
L3wvv3U/Vv+gpGq5mnoQ3goQrcaeX7QpAdMWKnfAVnXsDB1tPRSE8owlvsfu
C6k9T6bG7KFdIofpaXQNKEddY7D7hLXPVcrCL4kOMMMv8idNrQZclRlu0eH7
UdPmp8rHbYGJQT1wQr8ajG5zhDjOY+vBpG9R6R1OEKK5e7oivRqiBxuWXs4R
kM6Tk8qn99+BEpeRFpN3dZDNdXOaE2uHyuH45ixyZ3h4qRblmNbC99V7ZRc/
EtBt7dbupPsecBKemYdKNAFvzcinawMEdFD2b+lJZlfgk21VyIhoBGaz95kr
2HW3Tjr/tOOxN/D8jPz7taIBfFFe4EOsHTgmzxRu8N4DFwlDHdXEelD4rUH+
GWsHHan7K0xbHjBy6IChA10dzJiqS2hh14vX5teeohAvEP8lqq536QnMCYtm
MGLzk8A/1imUnq6QVkS1spVaAxqlupfw/eHU92cMm8ucodRqepLGrRqk2/Y/
O4W1g8AXUoaFQhcY+iEoI6FRDcEUV3rvYbll2IJyF60TdJeGjOcqVEFxxo2e
dWxet1W076nM4B2YjQi7f3ymBo5uhsSGzWD9xKAw4+SgO/gHt4mKYP3WOC0i
gwGrJ0dVhGVtvBskDf8seOqLzaupN54FYfUpoc/n1hHJhZtlV57TOjahtOkH
+TXdBGh/0he4my4XXo17ULkKtqDL8ws1I4gAdtw3jMLIKsE6vNIAFXWgC5wz
dqau2H0mwx/vF9cIefQy9O9XBlA6q5hebtgydCbF/AgNzoKcI6oHD55sQJ6Z
rBcp3xAg8mVBXGtxMqQFOCM5tyrE8GT/XN4cAcy0nU7cwCaLVE+VYh48eoJC
YiSrbFsJsDpQxcLqkwq3N81f7SqvRfOnCue4JwnwrvKW/GfeTDASvFW7TlOD
TDocqoWmCSD/nawgVjwJxjSj831NytFT869qM18IUDbz9pbPrVxIFuDqPZba
gKavXOn7MEgA2xW9NrWeYjjfbMLAUYHQtU4z++EaAvCHK3wTV46DYy+O+ro8
KkM3LR76WeOerDYZ7tVn0TDPPjcn4VyETg76+JZ9x9oNhD7st4yHmhNPJW4U
VaJUvvcGagsE+JhXKNnsGwODClR1G7JlqOv4tTK+r9jvmrPhm+mNhNTb9HXr
IgXI0IVsoWGNAKWLjGWfySMh4XN2i65WPupP4OVwx+bjJcn3fg8WRsLX0mGR
fNMitCHo+o5sFSvHs0Zy52okzL8hKA8/zkUawSsNOE/DzEH6daXkQxDxcJA4
YJaDFEk6/UOwdWRUxJCan+UjCGJPGH+sUoTm70bRGGD1H2mwsvHnjAZxUyf9
JUIeGjN+xXIPO2+f1t6rZIHxYEmVExWxlIkKfsQS+rFylu81Rn/PjoFOxwop
jo40dLxo964XPwmw1baL75JIAjQOZM1GUuYhCnaJEjasHEXeswG2h2PhGp0R
BXqRhYTbvnR8wspx9vvSflk+ClauK1HufJKMpoZTvXGuzvJyxo8PQlFwurVd
kfxhBpLZ3BmLf3891F0yRH0mClapY4w77TNQ1QmG6jQs7yw75HH0VhSo1t/5
4KcYhxR6RQ5PYfPBk+fN75XLxUDNq2sSjLIJiO6F7Gmc8/MwonRm6k4k3Ovk
/jpv8gilGR1lPI7NNz8Zzs+nVETCaMoc184dyeibzseze7Hj99fw7yD8jIPr
M0zHVLlTkHASg/IIdt6eBWarLYEoiHhN/+VKaAZ6e4z6VBSWM/+mMNJPGgGd
rIGw0JYvKNAkq/3rk9WWc1WiEanRr0FA050inmMZ1bK+e+O273vLpzxFG9pd
Y3B5x/VTQWJf0OKzZ7UVHestXWTDHukc4aCoLx+iqZKAfNMlTSaw+tQY5F2v
zQmHLtl3NZ8DU5Ehj79VM9ZuKhJPDAzqwyCrZu++NdkYVDdBgf/vBKTf3vh+
x57Xe+SfP0OCcYiBhAl/7wlHDLtcdh8JAY1J7Ttn5pIQRbaTli9W/uCl7Jog
vWD4fjhFqiolCmVmPJw4gfNdv/Eb84Y6Q/9pz/j/x9V5x3P9vf9fg6gkQggl
iqzMQnJZSWhQmdl7Zu+9995775U94kQyMjJbGjSQ8FLJTH7P57vv7ffH59/H
7dyu11nP65zrdc657toXxDsvJini5y+Ql28sKeXvCJeE9/3Hham91PIfF6b8
5NnTS2HOcH7xcui4xtXOn0T78fMXOBPJ8UYhzhk6N//xIEbcrv7Hg7D5aF/g
Z+oID0r/cRxecf/jOEgf4lBxKHGGhbp/PIj7JPv+40ForJ0p+j7hAIvE/7gz
1yb/cWdO9arOfcB0Z7t/vIbVhn+8BtePx2uOy7gBybuWivlrVzvTv4ri5zKw
RqVEJaLoBtL8uv9xKAbS/3EoOF8HzxIwO/6m24qaPJc7jQOL8HMfyCZ/S9xh
6AaMq/84FA6L/zgU/8eVgP/lSlx33ZChkHcEMst/HIrTaf84FLeJ3eeGiVzg
WO8/HsTbQZ7/eBChf+VzY10coX/pH/ehie8f9+GD5FjGmrwvtu//xysZhn+8
EjmOSDUmdi94f3boP+5JEUP4f9yTxuHjkBzgC9eG/vE4pE4s/MfjGGVWTT8a
4wXR0f84JgIe/zgmNdk1MlX0vvCAwuw/TsqHSwf+46SMxdaf4Z/wBPGxfxyW
ZuF/HJbAp3KTg5Fu8K7+H7diJ9v3P25FSOKVnppeN1C1/cdz+Vzwj+eissQz
eh8cYT7qH1+Dw+YfX2PsSWF+WGssSBl/bqh9XI7CMijs2zC/1MT87YZaRDCQ
3+L2ar4Si8xJGPFzdjht6HR2YSIYSPNT5N48TERPm0jw83qwX9a1MSyKBcOA
ZvN7BeWIqpBUehyz80P7kI+YVAQg/1CLM5b56KOYZs/mFgH4+F1aj21HQOPL
3lf2VEXo1uOfsoqYX5Lq6EIrI5GQF0fRVfC+BIXVXuuUx/zYVw5jimHNQCAe
+MdVEVxW+I+rMpmbrkQi4A+HTP9xWOjk/3FYnih/NSQqDYRd7X9cFbUP8v9x
VeQ7wm/POvpDpanHfxyWqk//OCz/x1WB/+WqFBNWlp8yBsJyxT8Oy+ht3f84
LHXBVZkWvCHwSeOW08nOVPTqXsg9GsyOtmeInvT+q2g85u5129M+YKDEJPV0
j4C25Za5Sk+JoBn3zQCucW9ITw/z7MF0S+Hgdx+Cr6LQ3TKB6Cx3SGCQC5jA
9CuBesmVQSLI1OlNVKKWO6RuZtlMYnplYoigMKcU0t2bV+c2cYZrNl2a+Dlp
4vdnUUnrV9FMVX3TzllnWGu+yz6L6Vr+OkNf9aTQIv+WxdEvdtC/y1X/HdP1
v6SPFSpLIOr4mCnbajsY8DATX8L0B1MzS0zzkigg/f22/Yo7iNJmGI7v4ecg
25w0VySRG6F8TPuIP2RT3larxu8bh9eU2ZmJoze6ZRXbk1jcMxp1qxbTH2m2
k7qmSCJ1CVKNi94+0F9I24mfR5udnMurzb2M3Ek9EnNL/eBHXf48fn6t93Yy
/Dm7KPqxbiLd7G8HxHSe1Xh9gsVGVKVTJVDJtoD7Ay8LYG+pHFnD7ydnuteB
nigq4GeLX7hiAYRjb2l/7+H33+gtQ8ukEF1WiYXBW30o26Nu3sb0wPcnp1Oe
SyCehN2UjUJ9OEBnN4/roaIH9grapRDDWWP1rVfKUHJ71/4vprvEbYV3LEig
x39ay9PzlSGETSEK1x+fSo/xDBVFAW2OqsZu+uDt8I5yB9P562srdz+IoNqG
6zm8S07w+HPNC7z/x98d1LwVIYVqJEgYMoYt4J2KmRtef27r38xG+vwoz0aM
reVIMHx/z2UZvIffU51Cd2rYEWXv6fftS0EQTvJ9IAR/h2JKYl/8ih8FXLvH
wN8bALlaqpzZmN7zkrevXokDlW6cyHAuD4AfHVZyOZi+KL/ZS0ssBFaHS1NN
yoIhN8Xf3wc/B+cIZCo4IQ9/PuueYT8dBPzc0nMxmP79bbsHkhRAATlhYyLB
fvCQXZWtHm+X1qcZ1dccSEQxVq3e2g+L6weJG/BxH7RcPN56BQ0f63oqcToQ
snNXkvB7DkKMVwW8qLHx9YgnoVsOgNP7x9IzMX1udf+3dudL6P576OK7HAwB
n5y88Pvb72cjVBKFZNF2/z2Ra1QuML8kdR+/b9CnMidavSSN7hXcm5ttdAbX
vnMWHzG9iKyg6bGXLDKvaBpRt7YHr6dHdRZx+9M8T+O5ZdBXzij1QlZ7OJQW
fQKf5zTZFYuK2dJoyf3HO8tbHsBDQkoxhumePk9uhJWog3biy7TgnQA4Ziwx
lIbfq3cq3Bt/K4NMBEMqyzs8IO2OcSB+r2AfvayMq+8n0JT/KbR4ahGd83L6
eWsfEWIa0d5TVZgBd4+CVLKI7+gL+X3VFqk/nTKTD5UkfJtBYc9j3LTyCeKb
f9NzOwVbl9evsswOdMMdqpSgN5MvUGq3z1OighVY3KMTZewvgqd3uz+JS5Sh
yx/uFGeuYOvyPg2TzvoiYPNkS+AyrUFers6agt8IYH1CKmKfej1UdIiclz/S
hOjvfEw6/pwA9Cll44/MC+BOBxf9icJipBTBTXfyJwGcZOLIgkIKgZmofINy
sApZqwedCPpOAC4DA6Gf4v1wtUSM7WnrE6BdMS2RYCOgVYojmg0CQ6Drl/N+
NLUG3AReZTw+j/XbMdGhXcGv8Nevyj1rYx4JvT5WZC+3HwV8YrpHk1EEZ1Tl
Mnza6xBxLsu3Fiwu8DXWOUzMVgypoVSV4dz1iDZblvPWLAEuvduQfJtfBLVD
Y2p3Xj1CtjE0R9AXLK5plkgpjMiC4t9K4oI/i1DjsnbFMZz7WWQeu/Q4G6oO
Hj16WLoCyXUbBddg+/mcuNmYZ3qZELP/tSH571xUWZyWpIWtI+/4ooItlgRQ
D5uLkDGHO7SPj5+bwt+1bU9V6l4URHvn5+TLsbi/9YjF3U+YXjDHsKPdfgGl
BonMLB9wBw3TZ6V4eYvOpYULJzjRdtqco0GBEwyxLD3Cy3dy9QivGQuiF0+2
Y57r2UFJixfpMn7/8LfVjZRcUURzzlGdykUZZPcvFeF+4zcvdY/mTS9IfD29
X4vXH9T06x7h7/4eDPuh2LeBEMCrkzNG5AdiK+1/FTA9yKQk4e7bDtjSE5Ta
Fz8Acu/3PZ9gISC3tKEHl/7aA1wofFPa7Q8DZDHOcVh5yQjmCxc1OdHVjO/f
CuTtgKzE/QZeH+Vl0qEH4r4Q/GWOuf1UBYp1TvCRxOKXyvaR9cJVT/hb7Lxm
ZluGrAN+GFdh/bzelpYxue0LB+xKckdUqlBvdH7ANWz+RJAzENmDNwTtU3Mm
dalAjArPpXew9f0TDfUz0yOBMLF+h9T5yCMUZSbeZ43FffnqWjfaXvhBV+BV
eedHNejw1MrLbSyOGzwplb7GEgS6pwklkW516K7NzylBLF7jowhVNu/0h+LK
+6KBpx8h5r9F3rcxO1tbKUJPqQOAceLMxlfHGuT5wGKHExv32UHzUApnP4gY
mJYqbytH94l/LYdg7dLlYhAQYfUBIqTHLk9Shk5REy9tYu2SP31GI0DUH8SG
nnrrH6hClq4LxwLwdh0Pp6B46gFV+Uv7VoNK0NDcCbiAxXEztjznzusEQ/8U
zaPXhxuQo9lxf+05bN7KDovSDAZAdQannrp/HeJ7W87Hg9Wfkf6k9+M/IVBw
79oxnq+NiKLzAYslNs/FfvgvUOwEgpvu5D3SQw1oR+E4lzNmR6HCQvNPrB+c
S2lOPin0CMmbh6zzYO2VOF7gy5rkDz4/o7xPRdWhqqbwV6cx+zFavZv8Zb5w
J5Z1InypBsn5h6wMYP3JmaikUlLvA4oPiJX9sqvQ1pfT66RYu6LtCyhLmaMh
0LeRwtemAcnoqcdsY9+XxHrLn+LgSJAJUiMfiKxD3Q8kuSowf/JWIWRDeTUU
6EtUzWNe1iKu51Rfi7H6bEo5KRBcwsG6nGnuQHwduiR9SAfnLy9SIBlD7mgI
6c7IeaHZgLRsZxm4v2Lx49YrKhbKYEjOJydT3KxGR/vidoKw8Qpe9iE9yhiC
xXMRLGpztSia8XpcBma/51Yro3R4FJyrEiE9J9qIajMd3v7A/EYZ//7xC08j
oP9Q2vdb1xtQqlX1pC9mf8nq4EWZmUT4FBkXJhvRhsjbJtdZxgkguR3UIJwS
B1Xy8tPsx5tRV3acjdt7AviUFnQldSXDR0Gtw82nOtHM3e7Xp54RYDj2yarf
TDwseQTdpOxoRTLF3++enCLA1KLSXz/VaHBdW9STjmhA+z0XNKuwfjvQ/vCP
GlMsFKRRf52oaUKaJg830QfMX23eZ62oiIaiEP83lYn1aFhTIpd6ngAexK1/
TMJioafqewFLdwMqJaJp/vUZ87fJE8TZXoEwtC8/79DlGkRlQ9WkgfUPxxzL
5IpiKJCaqlQY2dYhMj+fP2zYuEvprAVFeQXBCYHfL65s1qLJwpm6EKzfEpVm
VP6kB4BxaY4CcW0lcoprkOrCxv2Vh9x6IlES3Ph8uYevvwf9YUuTj4kjgOyj
r6whd+PgM4vjmNuTLnSNZKa+uIYAh3XD2pQjUsGMcqpQzKMfLTAHiOmaEKA+
T2o5Pz8BkJnrQqVEDxKhURh4gK1fuxL8P/z1o0Bl73j9Y0mEii5k7Jvpwuqz
nL34+V4slEh/bHvj1IUC7/hN6dYR4C5nC13RahYk1Y03vzw5glLy05L7aLHy
hZep+iaSYcYgJDm7rA9Rkpd7tNti+3ytzONTbvHA+IuUzpa5G8VbV25dqCTA
sclbHE9ZY4Df9NdoYylCYSYgeOEJAWi/3BwveRYOtR1boXk3HqMFbT4NlmHs
d0WLhb9oR0Jcl+8d6bjHiBBHSXdkiADfmtdMrxeGwtxGbLjlaCu6NnxAqhgb
93LpWCKD51lwhYTlU/zgCOp7dKZt5AgBcncDRL11EBRf8WCU7SYg1YiJ0Tvv
P3WeVo4se6VTBASKSgPKyCnkr208y8OwAoZLGn+YF/OBhGRfn2/bBKJRXA7h
t1yB66l5Ry5lZMGz0LXDWxMjqOrRw/x7mP2D9/kfNhoj0N/6k8yO2e/+u0/L
5d2nTh2SRfL5nUx4Z+UyQPVhBHle6M59g/NqrUNuLc1kQMFJak/K/cMoPMr3
aCc7AY5KCpqRGScBuYPrWCBJH4pke50c6YrFL9q6sxIVaVDHa7LvRv0g1p/J
1uJXsPFlTrH2co2HLfffBbLjT5FO8abqVAYWz3LGoYz4bJiESpbVqhF0ue6w
uwM5Ady/UEynJgSDGFc5y6E3jchN6MKvTMy/JWzeEMlvC4Cb19qcZ0gaUBS3
v2oA5t/2trckP22FQGAFa1xBYTMybzWItnqH+Z+L8lHn9gfBLVueDZ6iRpS7
ci7mCva9jxtfVrlnHAal2h4UuqktiHbEesD1DQH4mZ9ruh8Og1MqhD9XulrQ
rX3JRX9fE6D5uz6z37MISDt1LYtHvA0JDKvkMk4SoJptJZj4WDjw2wpRi11v
QdYP4xTM3xKgYTfv6UppGIxIM0opzDSjT8Z1uUXT2LpT/qvxXmoo2K+mbjF8
b0Gbm53Jfpj9kVVh+hCmcAg4qqHXuNeKlBzpg7Yw+1vvyA2PJMSCwZtJmnKa
J6juQaHFTgcBmGk8h0pJQ+E0xWh6Dn0rqoiiv7P+CvMbDmcFbhQHQ0dJVZ9s
bDNiv15n34L1g6fYw8I9rmgIsPfcn/b9MdoOkR0vw/ZvRl2dDnlsAVAX78Jh
tj8LtVfP52n+IQBZfRenKJMfpFb5piwzZiDBW55+rzCd8fTKA5cEbH0sf0lB
5J+LbN++m9DewdbfXZF3HV5+UPR96XbseDZqPG4svovp2qwiscXZ3kCp/dJq
xT4NkRQr4ve4oLd1I7tF3gcsnnyruTufiexzvER8MPu6/Acl5E8EQuM4k7F0
cj56yGg1jvMUhrpaAmuX/ODPfBD3vXt5iJ5Wkfwvphc4dZpfbsa+L5EMdWG5
AmTBMFeSisX7JE1a1M/XgmCilpfoUl8e6rO6/SwZKy+vyHJqzywMDtiezhrr
K0IJWWpEa9j6W1MoYC8Yjq0j/DpSDUcL0QY3jYoIZsfIOKem1SEIFpYYBxcE
ctCay28lhLWrT4uq2XLTA2YvTYoXCmWgzqlD+PsLcDu+aUi27QpWDLRTGrVp
aBB6t2Sx9pop38hzL/KEHvdvK20h2Sgl8bYhB1Y+KFPnx06iGzj0mPWKjGSi
hZM8+LsMqEwrFiKRcoZLhsqaHSqpiHvlKv6uChw/rT7sG8Li7d+hMv5SGcii
vsJjEyu/MmxuLW/vCktiJ0+NFyejOvoid5xbpGa0n0Kn1wmUN/TS2p2SUEIp
Lf4OCyK/vaxm0PcAcQV5I4qtFBQTdBt/pwNmCjdfvSL2BUW958XJV3IRw+ox
/L4c/Jp1OTlJ6Q5MEv84vPki/zi88dMLE8myLkDqbPYf/zT2IPl//FOLg9Rh
fTbusLDzj6vrftv4P67uT+XJSM1UF8iQ+8e9vVy99B/39v/4qvC/fFVuoSPZ
R/Zh++Ypof/4uSTU//i53LOmx7SZQyGJTD2M7VMuilt2/LO1/f/5ufC//FwI
6uyu+uMCoyQB//F5Jy4G/Mfnjb7GEf5TywkYEv7xfF/s/uP53sjMm58fKoAw
wvGfo7d60ZLVG3YzT8xfidKo90YUwFhHnq39nT6UmWqi9QVbRwqtBwV0Uotg
7GHKCQWRfuRC0C5INiKAy0b+02CLSnijcGZwpXoUcQjqvql9tQInf0oykQk9
BjfX1jpl6VlkGnk25njzIvRZnS6TxeKmrs78vzodA8hdJP3JijIBVG4mZZFo
FYBDrnpaxt8+JHWciXjMjADTPFycf1dzgUXV9SGNaQ/6let6riWeAEyLDUfe
HxiEOs+cpy7Xsbh3gObwC+VvnX4NPNTEt3vg6LnCK8USc+iuIFll+8M52Fy1
eGmqOgSnWfwMW4UIaKlA+vcNxcVOMYmpVdqhLPi4kUsZwNqFPvFCdzu2ziYP
z65cqRmAV5VLL/Q1CMjpDPn4dfWFTr4/lC3LLWkgwejB2tSP0NPve637O7F1
57Wm+8pAJqR/5Zb0Cu5GvC5W39yKCfCHWop8zDABDBLV8plTm5HujRqTUsxP
Ipu9OMvrBVCS/us7k3Q/kqMWEcsxxvyn24QMuU0KdCwyAlltOwq9XPt7AFt/
uWnNr+vJukPB9FnOz/ty0QNi1TL8fEHlvFpbiYULyJXmEH+RzUZ8lHaKN7Dv
pXWrdruOzAOIll0zjMrzEPfobNYPbP7cTfw19f6UK/AVTd45XJuLng6T4u+e
QJVi059V0gfCvY8duZlZiJRfKR85jfmHptwzJS1zHjDGbejTb1CAWL3qggg4
3yH1SJ4nly+42L4eG4koRueDYq8NYX5mZ87vYdR7TxBpuXo7gqcIjdyOphvA
4scv3Hazt657w+XNK5FW3fmoaDYhEOfdeFTbVkyYe4EUVbzNuZ1cxN+kziGP
1adMoM1fqdMNfvDSXbRbL0CTr5cXMrDftftRz9606gV/Llm0xJOXIJk5Oio3
7HelWsxUxOvdYb5z0L+xvgiVFTcVO2O/O6YrMrTrNwRs33aZJAQIKGrG78UN
h8VOT6fwtdezrvBrb8FAQzEfHew8exo/f4k/ESTh1+cLfzO9NQMSS1HU7C/T
6+tY/esUTfjr6BCbSblfjkYGVIjZ4FwhdNCBkBPLwYp+t5J6yAykQ1ztF5wP
hdIH3n1LyWZBc91SQmTy6SDDNovzhtAEa+nr7GscKKaH3jCuOA22xZNx/hSq
WGcvXZGgQ76HjXs37mQChBbg3Cg0UfT1iIIOCxrR67/g2p8BOR/jcc4UohHW
8m6LY0fa+Sf14EY62Mmo4rwq5DQwO3j+Bjs6Q2nq49OcBswlhjjPCF2+XWAZ
aM2Dnma3lDDxpEGSNT/OyUK+F16L/vmxLfE+/EHKiH8O/NntxHlMKHsp9cri
891O+f3u9r/ns8FRXQfnN6GbypLWPl77kZCb5cbA5ywgO+CJ855Q2KaHhWEQ
DTKOCFLSVskCj6cWOB8K5WdFGJeO7kN+wfeafi9mwipKwTlNKKywhVCZzIGG
jtn/jLFPht30wwfwvCjv7DVkssf50JBPv1bcYhLkM9jjPCzEZNg6MFZ+EU0f
O+oSvJ0IORp3cS4VCpfo6247IoQ2zfj/sHgmghR5Hs69QiNxH7avEQshAzcP
stqHSbDeaofztlDs2ZMBtwmXULXBmsxnskQYP25wwwbT24/2jFQ1cqIgInGS
v3opoLt+GedqIetANZq2T3xoimNGm+N9Mhju88E5XOhd3kXVmAhuVCplIHGB
Ig145cRxvhhyybxJ4bl5Bvk0zJOt/UwBUtq/OFcLZQwm2Gol8yGVRbYixUep
8FWbBeeXIfVhdfXNSB6w9c0i/7k/Hb5KCeIcHGQZ4lLB/4QVhOw4Jg/rpMIT
1mGcs4M81CfZtOlpYSKcROCOTBpMqrzDeToocd6RaPLQqgR1ZWVfZ0UK/JmV
xXk9aEcLPZm+SQPRpooVC93JwCXmiPN9UKvUL7JDNecA0h45x2D+lemDJM7B
QcOlZz73ydFCovDYgbiEXFjwDsW5Oeis9fVlpwI6eLsvK3yKJhdGiYier2H6
J8uK7oHTfyV+cQvcE7iWCzKM93AODppOyBo4t58NGNRi/758mAfzzV04Lwn9
bam5/8L1JJhcpg5yZcqDd5pmOE8HMbcJ5qt40iPa+wKvmEhToH2nDOf+oIPn
bcOGXNnQ4bOvOVyCkkB8VATn+yDLpdyKoLY9idIwx5HlkGzYyBrAeWFIe+Nz
5v5H+1CJDK10WEIq3M4uxTlB6DS3H9t4MhnaNiaoWzAlw5VAepx/hA64KDLe
26GHQ8sXsj/K5sPGgYzQ/m0Cuh/Q4XxCjQIMhX+OqZPkQ+CLm8RLmO5KEDI8
pUcG4vSiSmvGeWDVXfBGFqu/fdSS80bVT4lhFwWec1x5wCRwMd8I01sMFmUP
sO+DYIemuaCJPOC/+MKfFNNzc9Zo/1wv7vxx1oj57k4usF6X4PTGde3yUL3B
EokNmxd1O9G5MJ8ptdWE6RrRD9m1m9c7/We96UrVcsHb84QN/m4owLRIM5uI
FbjSfE8Nni0Ad+IRnCOGNrNMHGa0T4HYy4SCY1j8tP/ugI8Zpr+R8qsMmqGE
7G8pPgcb8uHlIUWFUEynE2I4JPLpLESePDYXNVgAX3vqiWa2COjQCxal3ywM
0EiNJq7GF0DsTyrFA1h5cbKhPo2pY8ih/aq4Jm0O2P+5oimK54uYOpX8i+M4
ilyleFXYlQ1sUmITNzFdaL7vGE0iHfp18+gp9vAsaJRuv5yC+xnaO+o3HU+i
Y1ZvhRzEsuDnpVdBZZhOu8384GjgGcTd9V25zDgTOKhzbN7gdnJFZEnTziDt
XR/mFLJM8PoY8XgZH/c396x/mpxDRvS32jkX00Hk+ZIdFzbuD1kqzn8uYkP7
iw1yShLSwfxrWQj+ziLe8++prTxaVPH0tduJpSzoliA4+2J2knVHInTPHUKB
2/Hjjt45EBpZ+AXP78ptTP/EfowI8d4sWy3mzIXD1rQ3F/F3B7pPXBxY+dD6
KxaBnMkUyDg5iXPWkGHDuMfReH6k6HGS1scoBT6WsuBcNsQi02j197wgcuO3
yyM2TYbVTzI4Zw29C97/Fa4Koe5yvsTLf5MgXjXiPCOeh6fQLW/ntzBqLFfN
CtuXBBIv9XB+HPLt/jLrHC+CNMLfbtgVJMDG5vw5b/xd9ol3k02HuVCf0agI
+d1UIFHpxflu6Ii+7zDTgwsgLv6Zt/8Jtv9imMK5dWiyKCRU9NJZWB1SGxkI
KATuVYEZS0xvEdKsbXjACR2JAdpMVIXAWH9srx7TN1LbQ4jbLqFAjd82AzmJ
YBLn5KaK/e6TXwwP2A6LIq0Tiqf95ROANDVgMwLTW6MqLdLo+aF27b7CtyNF
wMeUg3PxULSr9bFLvkqgGJw8f3bDF4LW3+O8Y/RUXgjyOGWheurEn01NX5C7
z4fzlJEE/ZfMp1mK0OYuL+ZP4wGbwT441xhp/ll2nVKVAYtazcF2RncoXBzC
Ociohq3NriteHLZdkyUWmnygjnII5zWj38HkVJ1/xIDoV6eOnLIbKBP6cd4x
snH2GWrhvQbvGyV4qqsC4EHWBM5lRlXd8023giRgds5l7wx1ABz8WYxznFE4
cL5sN7kLlqVifwmCQeC1fxznC6OJFo3nd5Nvwq2eWTIai0BYP1SO85rR6UqV
zCPjKjDk6Uprnu0HwmPmOKcYjdA3vNpTV4EgWS6rldOe8DVXAOcRo/gTN+2W
U1nAP2C84c9yCNBbIJyPjOqI88UrD+9HBQc09el5QkDYew3nLCMehavJGRP0
cNL6pSjNh0AoulmFc3WR02+2qUZEiXYHvogZXAqEPWkznMOLqBfGr1lnsKMW
kr5HB92DQaUsoQzP22ah9pJeo5wLaaa8qSxOD4A1RwLO20WTUiajJ7opgbz0
EW3clB+IzQXhfF608XzcVluWHiW3ykZlyfkBenwc5xGj67fDdW36eaC803DW
osgbSndWcH40ohyNSnw+xgkJg88+6bm4wmwCBc6hRh5aqkmERj5oq+2aE3ro
D/ckuHCuNDJbl9sUIBDDSM+9iqRiL+BKrsc5yMj6r4gOWedviSOB70/dqXSB
KfELODcZRbzv2GN6zQ9ld2jhQkUshN96jvNV0cwD/QGWKjrw+0YfIMYaC6FI
GeexotrX+hIxvRTIi1C6fUMhBoiXPXHOKYoVGztAsskN3BFlGy84oiHs0yLO
UUU7nr0JwndJYfZ7iu6SYBTQ3z+Dc6hR8Rt20j19YUhcer1o3BEK1PQXcY4q
ivUVEW79cR5K1/0vuZNEAGmrJM6zRlzmyW7tdCMSfnlnWz5xhUMS7SjOxUaV
6Rwxr7bOomid3Ft7emHgvHz2lw6mB1hEffgWeAohA9XIujuRYHfGJRzPi3j0
21zDjJM0kDr+yFWSK4bb9Xx0EpvY/ImI51CgvgqJr3xIOEaKYCbiOc5JRJ0U
lvN94xIgMxtetCZSBGxbFJa/Mf1iX2yQ5OPLEPQ6xk67vxAcjnXiHEbk8V6B
nNhKEuQq5h9I1hSCkpE3zm1EY30TfsaMoqDU5BaRfLkQUiq+4ZxHtNavrc87
IgaPL+t9F39UAPzqJ+lXMV1su5rv1xNBcElnld+ULICu5CWcI4koSHI+/y6U
gTSToaDsliK4hS3bOVh9XmtdzTGnvQ4NkYc4ykaKoXLaC+cYosTwpDfkR7ix
+ELh1cD7fHj87inOT0T7hW5XxjvwwM8/WWqk9/LhTDzrGMJ07aRXUvbCrBCo
/yvrzXoeMF5FONcPlU4zXS0uvQi/4lsfTo3nwUHpfpzbiD5+oVH3bBWAFalT
Lr+HC6BB66LDB6z+edT93dFswuDXPNFj05EPVtEBOBcS5fP0vtK/cBGVpcKd
l12+MPXrbEcrfj/h0o68a+ppdObJ2aKHrZ5QJBqI876R2oP3tLbk/ChN95bw
mfce8KDbzhQ/Dz018vcVq95Z9NIrKuw2wRn6deJxbjhaTcrEudsSiaYOgbxt
djBx9yPO3Ubr8vw2ubpsKD5W6Mprbjv4zdmIc70RQ+C9UH1JAXTg2vrrenCG
p59/buP3GWZCnukWzS53fkj/OCKUqgYxu1dxXiSynJXPUyo+j154FecYvFOF
7+LaOF8SKZafZXuArUeBw+zeUzyqEN3sifMoUQpJzBmyoXPodn8ixYUZE9hi
N8b54Kg0wI1k/JUgOlNEccaE3wTO9MjhPHGk66dy6SavIJJQNI/wL7MFirFf
OJccCVKbW3h7f+j8WjiieTnTFO6fvIRzw9FS6dvvvnEySO6dH/WMYgC0BymF
4fkhRfTt7e0jZdBURG349nd/+PWlj6kY08lUUqrWuWXRYbayPoGXvqAaHdre
gt8HoCH2nT0pi6S3/Irq/X2B446HYzvuf0S3hkrWpNHVR18ampP9YaifUgbP
b+ZXVUgpayuD5g/JfHcU8YWXGb5vOzA9iZ73z+86WZQ0Oa3x87knHD2q2TOI
6W4MA2lUsbKoQ5qk20LcE3p6Brpwv33ys5l7aZEMAvJlgd8kbnC1p8gNfy9/
Vk1JI7tJFrmptiwkOblCKGkQH+73lD/8FKWkkUW3YigrGv84wJ+/WgVzmK6q
/CnzMuM1dK/g8E5PqAM86uNoxt/pp3+s+zvKeg2xyPmOz/xwAWq+gLZp/Hx/
aqt30Oca6hGnfNd82gEec7ysXcDnj9OpqF+isuhAdd18AhZnCxxiCMX9p0Rq
0Oubv2XRZer4wyEeLlApDqfe4+vpvJXh6PVr6OD7EIE7Xfbw6E9l/Dd8nri2
FzP3XUPD/F+yqYqtgCXUquknfq9jmFdtMOQa+mZV87efzgqenNG79Au/RyHE
ectuGevnOcG2Yc0gSGI/X4jn06NdZDvVYCqNBH7elNfaDgQ958Ei/Lw1m8H3
7liHCOoVHzL9ftwDKIxtj+P3ZEjGuLPL3ooiFKG+tJDpBHdUrhXi58UO35iz
RfUuowiF1PZ+OWzcR83z8fH6NrpPuoxOGu2jOE+jcCMUSo2oRazwey+Hfnt5
ikkjIr63T7ZehIC5cMc3O9w+n8TZSzPSaI1UblaxLwhs/Mqo8LyjVGOHY6gG
pJAas2r0OaMQiHFVmHPG/bxloZDQfSl0nI31Wf1rb+joSBDH7x0J5aefXWOU
Qc8SnnPW0HmDt0P3oT68Xbnh3eKLUkhUh+q5RrEbKDgci3uJ39NIE6+uMZRG
bYO3fox5OAIr6Wl7PP8Du+er9fJdCdTgKVPIc88dongibfF7SuHKjU1p+yVR
rexzD2sSJ6ig3GX+gumHVPRzJNquItoPXU1ny31Abp2XGb8X1HSuVklEUwrR
8dRPtBcFwnTQ+9NJmJ5MtripOCWFUsg7sucU/aHb7d5eBa6nPj7sVQBoXkC1
Cz0IhKenP9PheQ49PQpXGl9IIrb+J1uRxCHwut9UxAPfV5Db8Fs2SSB753n+
rfpgaKioXfDG9E3a+W8+m5ewcXD+cH4zBrgPRKgTYfoz9pbe4/KCiHvVtPJO
SQyYagibEeN+r/73xQ0GbNytQjoUw6Jg5mMCOofpB2jIblziE0KVzDm2HySi
YFpa7ji+zl4WzVkVPSeKvnaldNuxRsDOq+qm65gud286n4xYGE1PX/GX+xgO
DkosWoq4/ftVcq2/xNDVMxRa4g+DQfbw2i6+zzn4S77KoPoqasr4fPYFZRhI
MPmVGmB6iRGH1q+TYmin0EGh4VkofBM0MMfX8VWV0ZCecHGUG7Z5idIlAiqP
lQrj+Tb7ggt0KPqE0YReq3ppSCi0dDA6mGP63eYYop9b1xCHuP+XD9SGsD3+
8uUWvp90lmA3asT00PT8ySYDuD+iRInfm5IbySoxopNDFAE27pxUd8HFDhjw
ew5fk7epG0evIb8wPrrLDSqQqXORC9fHrD7Of/kgixhjkkV4DQ1A6H6TAm7n
iG+5DNOGLPJjJRUq0lOB0076knj5LQmnoy6Y/1F5cGOaMcMSAniMKvHvdPmY
4AJzhzCifbFn5iESB/pKV++8wvZFuX2lgfuVBJCl2uzt3qNxcO3hqsB7TLfv
1DJ6rXAFGUlb0WR8iQJp4gQzPI/r0LIO9ctlUcRx5oRABU8sfGIDajxPqdLc
94Vvry8hAcH6C9wN8UB//NN+PL/oC+7S3INmQqheKtFNzz0eDHkHbMoxHc0t
jr2xF0EyE0R8zDZxUMiQSzyK6aMPzLxMr/AjEZ0u/RuK8eC+yiqG5/kUOB/9
dlhGEEXFXzlteDcJFuMQlSimn6u4vb5uxY8cOH/1fDieBLvv75+SxfR6/8RD
G8zCaB+/Q5cRUSIoeKc9f4jnreXl6JLfFEB/VSmpbncnQJrftiOeB6m+aKJa
rZ4HpZ0zOfLobSKU0V4kuonpfLdu1EfR8KFVGxn99pgEIHLWk/TD9FeNDY2D
xNyIcIS8ga4nBZb608gHsfir/ETLsVfSHEjXdVOHPDgFiFj8Q15ieo1dMur0
50ayCiukD+NT4MNOu/gkprfTDZNOfuFABxZC5bkupUCpiSbTV0x/U8f0eTHs
IrLw7uyrN0kGq5zt44ex39VU5zKqvs6FOL17yEUvJEO5quAA9V/8fg73SprA
BaTj0xweYpYALtZZEnh+rdn86sWTd1gQa5mkb5oSVv+7bF54vFZS51pw+Dsn
atmhE+k/Hw8kEwcdm/C8ZDPUL+KczqLbcmcynh2NB8dTz9jbMP2a89VbU1GU
yOe8Y8ufKwlgsfuBKBof9+9cL3yCqFCQVD1J8m4cmBw/d/sxnk/YqqMpj/oM
8tGsLngenwiU1/mq8LxnW1JeGWm6x1Hk2/qwBd9EoN1ZjNbC9KUfSPeCBjvq
e5V6sKE2EQ5JC7y8i+lWJ70PFe1eQK+7VLmLXdPg/FVrKhf8f7lYmYMvHTgQ
V/4K0UP2NFi44MSG592iD0RPqhR5UfsRzTTJ46mgcf3w6GM8P7C52C9jy3NI
4deHvstfU+EtXzV9Iqbfp87jVzQ8i/x0Dhidu5kOzc0lDPj/qyLsIZ2MysxI
yk3bNa8zA55IXab+i+c5ZNFoYPTgRet9EpQmRKlA6Ub9HGHlGUOG0hjl+NG7
4SMOL6qSwV0vNGQXzwvN5KZiZn4J7WStbp9XSIToiBpOI6xdD+jNNOlsRJBQ
3Z348c14qJe++zkFb++j+1kT2H7sNeeTNOv8JFhj3xrE87BVZljqsV25iog/
1W+PbcdCTVeQ00dMn5hPrXvOeRV91Wnsn62MBc/jLI14nreRn4X5YQqAGE7x
5AroxMBzI91uMnwdjEqmYforgaS5DL49G4kGv9vcblSY/sd+gYLqO6CKuz/Z
043DgFgj1xuPRzSc73iMaEih3TeECwajoSAveL3HGPd7q5cizeYlEcXdGzTe
z4KhdpOEBl8XrspdLVS6JI0eS7/JOCkZDDfOM80HYHqLcO7292RJNP2bdKp7
NBIM7quz8uFx0LSrnvB9ScQbVSLsdjMSfjhqu+LxzrePI5MKf8WQkHPlEWql
eHgwwLsf9wNOimVSEhevoLzpj/s7NuLAoTt1DZ9vFCG3jExsJNCSyi/l4r0Y
eMbY0reH6dW9itqdspLom+kod5BRFORkxyF2zL5/9jEJyrPiSOBYAn2CCuZ/
kqeb8LzNq232C5piUoi+MTmodTwc6BxJp/D15Z3dHzY2BymkF/hJ6b5SOFwm
JhlSwfSoRFNHAzopdMfB2mtuMgw4jzR/Vsd0Y/HAH1KdUuhzq06sH3cgDMyW
/cDj8XCRJTLebWl0be+5Y15TAJDojnvh/z+Qs0XqcbfyozuyQr50RaFgcZ//
hBmmX1oP/07+URB5ew+mn54MgkTKy32h+L4r0rFl1EcEHWIW3IzeCIGMS44S
+P8Gv6J/pOp6iiHOS24vP4oFQRfX6Dn8nmpgYpjgUAYv0s18cFDZOwL6Te6u
S2N6ofKpiAsyl1B3YAoz1eNw6DXKvIjnGzx4sAv9zBdF9aFtGscr4mH82Ndb
BVj/8FoUsjO9uYqaKRVbXquFwPAB8yj8Ph5vzLRnZRUgq4N9z4arAqEg6fCb
RHx/e4GsNWbgCiImf3FAnSwc6ret76ni+/noD3OXp2zgyfRsI3NVLygMH9l8
4I2/P5pP6ks1B0PuvOfljc/gIbt677UwArDopr1oL7cEL/1jw3v3nwIzfU/q
jzwCIM/Aa/V3jaF8/VSiQkU3nLD/ladTSoC0S75yQlO2oDJ2QZK/sxeY1i1p
k7wIYKPM/rnP1RTuXj9LQrb5BDz3n5EtaybAYyUZmlPcBqDCIJSU7/oEHryh
IPnYToD+iX2LYgJ2wKgokjt5oQ8Sa4ayKl0JYHu+4vRRYzuYJG14PX+5B/p/
UnvSpBFAYyFP0PGKI5RcLMo5u9wLPNZ0+lYeBDCgqiMiUrOGi8W9pXTZXXCx
4cWlnUcEGHh8/ILxmhOcmPfkfZLRD0KnBRsoTAkwuf3mmpmsEXCSiybtN+wE
w5Px9hS9BDCT6dz46aoLbaUqfAEZHdBcRyR5YIAA17MXWkKa9eF46YCNUHo7
nP78jld0lABcPjaZ4rFaoJfENCq92QaSPIQik3EC/D7vyeie4ACxZ9uzilM6
4WG2Q6vgMwJYHyEY8efaguBBHdrFkx0QmPirZ/o5AbqOqxs289vBzWobxTfj
7fDySuI5kxcE6PjyNITqtjW4ZzquqqW1wQ6sV2VMEODhjXytsBhnKHUd+2xG
3gWv7q9Yv20igOVbLqFvxxxAkCaI2ZLhCYxYaH4d7yTAlf4/r03EzWHa4nA6
uxGCWzU3G1m7CWBSdiXr1D4TmKeXkuEyfww+/OeTtIcJkEy1fbDMwR3kLE8s
vdN7CplDb2lMsflQfkB9247TGc5lZFnuMHdDXKHflE4VAXRDC7g0Q+0hkzzN
/MCZLggt9XeTxepjd58xev2QLVyK/+6gVdEJeoS+CkIPAZ5+NzW/fNcdiBd5
bh762AMnRDmt+eMJsF+Ii+v3iBOo7f1sT/J/Cv0MklEXcglwXtiSs/6aB0jc
HrkhbtIHn573HH7mRACelab0l5buEH2nqGpgpRcuPLvYJ4fNB0GWc2F7od5A
03lfdr24D7w6A5zr7DFdnkBqesQXmG3+9jYN9gJ9wJLEgCcBtMgUHpyu8YVi
VVmNN7EDMOv98FypJgE4x6gXg4T8oU7mxPDRo6+AY0ot+ujbZVBYWPmjYe0G
GYLxL88xTcJusu6pJ3or4FDnz7lV6AxLeSKm1yKHgW9pfTfzLNY/tA6BRz/Z
Qrhc4wnFuEGgqaPjrwYCWNnfvKv41QKsU4krdFJ6gdd2qUzThwAhmdWrKQci
QXlw5jVTxHsIWk5ioDNYghmWdZMUYm+wsemBaaVReM7vuZT9YwV0KPk2g+r0
QY786qF3PfVwK4+rI3Ae6880utH1BgP4ani8Y3i7HiRczTt35wgwl8keGehv
AJ7d/OKF0/VwhY6pRhErv+rD6hq7agRxlwOt3lVVA0nhvW+SPwhwJl7MT43U
AKQiV4udfarAyf1cgO5PApTU9D7+Tm4IGq9Ec1coqyCCPU75KaYrNUhHHL2v
Bw8oQmrO7lSAz6hAR8cvAsz/CpzY3TWBr66+nKpCtXC99TxnOIEACzW9uQMz
hvBaTVHY43QNXMxrqJhYJUDg+bXmeHNdIBSqxUzfqwe5mWiF1AUCqLk9Ea62
04Mo9ete2hV10G3incy1SACZner+zndaUPR86kU5Rx3sGEyaaH4ngLGL+FHj
j8YQyF5YLFjaAN7TmqtSXwmwNxF748CaEfTvuK8snW2ASbZV2xSsf9K/QG9F
gzY0Rg0Tb5Y8gumk3V73JQKMWxcsmjNowGImT4IK3yOot/lN8F3Gxrd68wAS
1QYLSrkNkZVK0Ixuo5rD+sHuOPHQzKg6RL3r2qMmqgSizUdc7Vg/5J7OxEIY
TTAICaQpdKuAiz3KKRfXCOC8G+7TyqYKvs/Ks+izymEuYOfAd0w3O6zA9tdc
HySdWybC+OvgnCO3pyzWrvFj/WfT3XWB/KdiqcXlRzCgoC1ui9WnoyOt0vaZ
JuhzZeVJtdZCrVJNoNcKAYYVluorPdTgmFLZ09lT5aB65L32/d8E8Do52INz
01YK/67h3DTDLxld25heybNXXPdBB6L3px34a1MJPC5h82pY/ZuFZ9PRsBY4
zRFCJfbKgco9JykFqydBSoGWj04fLn9R4O7bqAKfEdWjq9j8Kbmn02ntagNo
r1/lfFwr8H1gd/vzEvPD4QrflkksgEFFooMtvAUkr/seFn+L9Y8gQXCMyxLI
4/3mC6qaQSp9Ku7lO8wPPw9XyRE3Bd40zj93hpqAIWH7m8VHAvRpE82LUZnA
4lQiWWFlM8SECnu8x8o//BKqutZsCBNPOM4QkTcBhyBlbsgsAdZHOpT3jZlB
iWdH8UZCK7gy2N3bxOpzf9Ai7DCNFdC96Co5+q4djrI3nlHC/LDhyftXRseN
YJmafXJcsRFObDZeSPxMAL0h9/zcCn0IR/GGxIUN0OjWoHMbm1cKMZrrvJx6
EPPsukJFZj1IfXLoWcC+r/vKKb6PrxiCvPybtt9S9bDY4EXZg83nXC4+BRI1
M/hqwxx7/ngTkDJONXlg9Uzav5xO5ukC54KFHu3LbgDmg6NX8XmbqLtA1Fnt
CEmUkSbHXOuhnuJ+BxdmR+/Kk77vZU4w4n+hH+7XA9u5lOdemE69F1zbT+4A
IaHMvCWKdUB0WLFvHfteaD7XS7zktAf5mfZELfs6OHT64OMcTL/p8/bKTLMt
GNzO/qGp+wiyz2VQHsXm1d3A5Ra5cWeICWi8f+FLA4jqP4+J/EKATnWqM3nP
HABuXLSuy6kH14mFhSGsvQyPRJwZ9tyhuv3zQweKJvCrSxPRwNrF27vg15zi
Cu9qDU27/RqgI96xIxhr1w7VZTKecTe4M7SkIHYBG1/LvnQarLyS64tzA20+
8JxDpuBXbQuUvzDxinlDgBnlBLfet74wYLJj5h7VCk7A7/ICG8c/Pujj2g1f
2HfkquybFy3gcrDiIDdWvvW6wrRXlxN8InfUuDnYBKw2H5PUsfnz9ujZxIFs
Vyi9W8a6+7wFSgyhQw0vL1coejzcCTptxeRCNZrB6+OeUsd7Apxm6KCxUnaG
Htl4V0ryZkjTiZ1I+0CANoXIx2SOjnDumRqplF8T7Fbu+vHOEOBWRmBmxIY9
rFya/n4Oa5emVAnNBaxdh9XtP56ZcoFrf7JFiNhawe7d2j6Z1wSQff/3ns2o
I3AcJ2W/0dAMb68KCdRj87lDzLNUddYeLuy58wSebQIrlustVzA7H4ipXckd
7OHN2BeOrflG6NFncfuA6R0BLBAk4ADu0TU9H3IaIf4pU0reJ/x9JTexq7IH
PKKoqCKabIN2okGVRmzfQuM+fv7zW1u4/erSWFd8Axy68+r4Q2xc9iWd77V8
HAAdN8oYfh3sBoXtEGqyaqz8yXesr2d84W7JrdMvHJ6AuKS4Sw+2r5u+L6Xv
JOEHr5J7FuVOP4GPzV0GLtg+ZNWthyumxwsm5LY9mHs7oEEugJevH5v/F6bd
Gai8QIWzYPS1SSeUH2ogHcf2S+0e18lujriBoDUnqTFqh0vjG1Px2Pd4RpHv
CJllAPAvx4UaOneD5f3Gz+tl2HgJRFE+j/EFWmrPn0vTT+BNxEragxYC/Hxb
XrNvKgJ8wjnMkcQA1DLpNijrYN+Lw+O7TLXB8EowYv/39WdQIdvstR1EADKu
pK7AoWA4dbuSupDrGZx6Vw5l0QSIvt5myM4VANHbeWmFB55CcuQ1c1RIgFLp
Ap8jB0PgurJAc0V4D5wnuXVRKYkAFGfK0re5vaAhYPzxvbRmqK67+ncBG8en
x3doB929weLJp98Kwc3gNiNsxYjNK6VjZO/UpDxB6zZ9uON2I9Sw7XsfjY2j
SPEiZ3W4N9S93JUxkO4AZoGKOFps3+j92ZUqO8QdXI4x9UdLtENPLby9OUbA
xm/xLg+DC1TXt4gWRLfCnz6b1B/Yd9F3xLLQ5KIZ9GdRZGbt1kDy/GXR39j6
65lmMDZz0gSYX0JokFw11Ocrt+djfvtd691AQd5UqLmg3VbjNguzxqq8bwcX
QfPoiBn7oVh4fepenfPDKXBIzfEZPLcC4UrOWfO/g2Ep5fi2Iu0Y8BaZhdG/
XAFnn5kiY00b2NAI9fVoeQQy5dOCith6SjKv4WDmiu1/FB9XtH+vhat/t7cP
Y+vUS06ZxYJhLB55krnihq1fvTclux0w3SD8cJqduzkMaD1Uf5hZA09DxXfu
YfsEbhs29Q9rgfA0Of4g9+shmHHlD33Djc0TiV8JlPv84C4dy6z/zz4Yc3nC
R/mQAItku3Vc1X7AkWUk6Z03DFfU/85yshDgAHV90Tq1B9AYtkkkG/QBS4X4
qR/YPjMtvPbpxnoEyPGkHl15+hJMxVwSTeaX4WO6GiMhzQ7rR5Ly3LsN0MM8
rE6B7R8cG69J1k3bgII/2f4PuvXg4uAXbI/54Sh5Y9twNlsQ1+uv9GCrh8rH
B92JvhGgOtW/IrrKEhR9qA8JsdfBA6mhZ/ew9b2GSCxEXd0O9tQ7B/qz6uDH
CYYGccw/TzYPjW1NPYRi4vjkmLBHEHmbwvQR1p96W9tO/FTOcJrcZcvkfRM8
alqaZsX82++yU/6FxI7wTEunsNi4EZqLjcrEsfVLjuswxwMje1Cgf2/ymrEB
Qrh4nFKx+nMti0mtJNrCwYAnXK9G6iCl4orcIFbPtkjJY/e3rWAl8toUxfIj
IJMzIX+F1XNMzslLCYsvBP8GHuxmfQQx32QcErH1IudM/l6NhDUoP9mVPhBZ
C8Z5ly6NYeMoHjj4yqfXDfTnKCzWfpcAQxZP/bt1LB6xcBM+/d0Z+qtqWJ8X
FMPP8xVfpjcI4HRwfbCj1RVECW6ZVHzF4MMsU8C+iX2P3rQ0vVtOIGG5Yuq2
WwiyjcdwzjKs7T5e3FJxhEeTN5O1HYpgIL95sgHTD+1YH5t0dQAL/WcoeaEA
rpuFyjdtEeCk3Yt7B3+7AOnFjy/TdUqhOyj/asI6Hkc4SMRLO8GanyVhkaIE
loysLiZg9cnrsP3v3Vms2+ARUpcKkHt/TgZ/d5bU55xZQHAHjQxX6ZaJMlAf
GHtihO2jFk2pNvB3bZFFcclmtmWgDOIm+Lu2z0df/PfOa4BrJ4kQVALn7xv+
984rk10vg+O3HTiLezxN1S0Er9TU9zZYPR8lfXC3T3oItQtb9G5GBRA+x4Lz
r8H+zNjQF1474BudNzqxnA+aJpQ4zxq06K6V63PZgJtHe6rXoXx4VMGF86xh
fcJo1zjTEt5vX6R87p0Pn35q4lxsuFqvOu9/xwJoeBnf4pzlVSYinLMM+j68
b3BO96rtVW3uF4UgZRZ4kBOrTzMtHesdEmv4wvqFqX6yAPaW1XHuNjwO8wm+
N2IPE2dyKypmi+Dg2epBa6z/DQ7dqjXvvAzp1fRzEd9KIPDKDSsKrL139IVJ
+D/zg9LVeGKXnBJglKiIlcP09TpZ3oQXglAxPZ6G8+vP376C8+uhRhLx/w7l
gb/zxy4fDiuGkOeDaRSY/XKm+Qqcm6xTmeyDc5OJ1y7i3GT4OOO2hvOg2xYK
1XzuFkNA5SS/MFb+dr8b4QYLH3xbu1cg31UEiiEGv9PwfCZFFEq0j9iB8syu
8E3fIpCIsMd59yATbF4jsnYFbLVOuKZRl8HhgAYeTmyezIfow80tYViMDh7B
ufZbzSFFdzF98PNgFkmHKMCPpvvTrCWQvRzyJRerT+fku0q+68Jg/vVpvQ5l
MXx/TEZiiNkndxVJWPOTAEfRtsZ12VKgapd4+Byz4//ozjWKHAYI8CuUN+Up
huSIaJxbDeuNnMzDlEcgdaLjEN2FYqieL8A51BBYCI9wbvXz58cmcW61e5k4
zq0GViAbx/nU+UO3FXE+9fv3zTifGsZ833TgHOpsZoP73mIlEBpKjnOogUnV
EOHcajNUMIpzq1kSmHBuNZzUkPyO87K/PCTZwXnZFw/+TZjH7O+k79kYlGsB
bWlbFAt3CZCpWeN8H+jL+0b8gkENKvTYOZk0iqHGvkH4Ilb+DxOHouYRDRDj
fHPwxUYRWGjw4vwpqCsqy8f5U97TTd78gkVw6vHK4Aamx4IY2W8RLWCX1iHg
PKBF52/qdZj+4Br10cJ0VXBFL2wExgrB6P7T95exdiXI7v+Gc4KEDnJInrUr
hMqvXDgnCG7oN0bi/Kmd86pfcP6UhUo5zp8CcVmVx0uftCHEeeNUGDbf/CZL
Z95i9VfdkREd+64Pit+t9R3NyoCu8zXjZ+z7JVtPOnDYUwe+3nixgfOPFpO3
VIux8SKkX9Qz0dOD1q3hiT2qUjg5wobzhiDmRX6oVpUGdAywiZ+KKoGvZhGZ
yph9dW++dJzztfI3rQvnfEUVcOGcLyhuYQzBOV+fpzgF1plyoeREGM75gvzc
pGmcn35w/mNilVkORPuX4Px06Mn/lKjRoQv66odvch7KBpYiE5zzBXk7dSM4
5/0zxV+6G+y58K3UCue8AzHvCydj9gdwnVPbP38lG7y4YnBOFvj5bVz+mq4P
79ItHpy5mQumST44Rwyb3zbs6690YPJhSgTOyfpRtt43juk7BKmMZ5lGsEKc
zvj6Wy4wkp3HufNAnf1kDueCtWta+uJcsLzpMpwLBo6TN3gDDO9ATKCQbNOR
AihhlcM5XxC59y03esQYdEglOI0Y87G4NRHnuYPJj6O0QwUGcCXJkptJMw/S
eJ1xjhhMv/6o5/rFCMzCkn+OHM2FaNob/j8xnY9u842ZhimYHO/gyp2vghN8
zaI72H7GttdftZfLCOaWVc3lqyrBgnc9hQnz29n2EcKe66bwd9Rr6VdFHpgr
zXrTYHbkI4yEbj8zAcHJMI1oh1zwlfUn7sD0zNSDcjXS5sBrVukjScgHd9YU
Jy2snsfbaiuqkg3BwlCBkmusHEYdKk3asbi4Zt+VmxXdelC1MCC171kZWLWr
FKZh80dENiRJzu4BKBzKEF4ZLYVwlkiSB9g8WbFWEj5pYgCuwRl+n3gqgIRH
q9caf0cslcYca6kLshYTNkXnyyGUYP5OAbNjt1Zx9qiyPhxXiiVUx1aA/3k3
RI+VFztTjTyNjCHvusSP8duV0NJJd94Wa6+Iy/6HES23QDBplp+VvQxqi3dm
GLDftTq8rXxK+AbEeCgxjIWXwjcGdZxvC5Ynb1mlPlMAi7Bh2YWfJUAjwYZz
cqH5Bf0wzr1trVOYwrm3H3cfnXDE9PnzrM3RdrIQZ1G2YbqvFJBRh+wuZuc1
f8upQCMpuPJGuaN0phgq7nw5PYaV/38k3Xc8Vn8bwPGKCilJVGYpDSEVIeOK
EiLZERWZGSVKKGTL3iORvSJ7hpM9EykkScpIuFt+aeA513n+vV736zjuce5z
Dt/3p2Tr78Gv39WA75gxYwQ+P3+fND0kfy/fB8JcShVKkKzPr3v4SC68az0b
tIXcTsInjV7skm+UWnPe73Y++Xm+la9F/l76wjsD9VbUQT4qbL6y+zFEWqm4
fSbnXmO6fdgF1p+VehnO9hhuXGXGLjC8F3N2CpNUhVe/f2/ZdYt8vQ7zYIcX
gmX+vMNOcTdX5CcHuzxofe+mzEbOP+Vqpj4WMoHFB0n7NdZXgYO82t/etzRY
Yy59ubXaEHxVXiik3KqEsMNMoz7k+XxKZfBV2YRLIHtbdMdj/QpIvceqWkle
D+61BtvZMn24ezZ1Knu4HLZeOrnETl6XTXqrD4490AXNtPzJE2sqIeWhnfcA
eV2pee1QrrG8NqgMSTFfdyqHzNIAmX3k+ZvN5MXsRH1D0NlidjKbvB5fd9Fn
VS55PS4ZwFvfzaYHkaKm4su3yuAnG8OfdvI6zqnROtrzsilYKWvEOtLVQELA
qc7I1+T+LPgNHILLIBMetub1+WoIv1DiWT9IXjfl7TCJ0tWH10LWdJm9VcD9
22DkKnldfGzm8umGK0bw9kqwZIRGERjyy3XpktcRQa/UO3w26YPFzxalb1WF
sEd4X9IJXEc8/FXn85g+PP4c0VTY+gSyd2Y5C5OfR8Jrje3EfV2Y7DJgTeN9
As2Hok72kPM7TY8rBg7rQNqp4//k55/A4GEeNgZy3htpFpeySgsYOB8IgmkB
HIlJ13P7TgO7OxPZXcf1YJ+0CF/N8QI4Ie42lErOnzeEGm8P1YMw+Y/mWqpF
EPNF9LEJuZ/xnpmJx/y1YE3EgY5bg7mgxz3YGUK+vsNxFTLi5zSg43TBGHai
M9/6NgaS7zenicxVpU3akPhHakSr/TE8MxCuniXfV5uZN/Zi5zq/cP0818HH
4Hj8fpUj+b66kd1cXr9PGQyUO8N3SOSDuZnsw2Dy8b9cRFRERE+C3geOtrmm
x7Cvbk/FN3Iuoqc//jTwFMzbzMxo1eTBRRb3Xa/I7ZilS4/8qz8B69M23Thu
nwciPvVTrOR+ejmtN9RxkgVnDg/XbovHEPqo4IQC+fimRRmmmjgp2OWnmBqy
Iw9kDv87aUA+fv8X5kXhHkVorxcjuEUK4N6/O0NPyOenrlODpej5Cehp3MDe
35EPnMZa9Ezk/nCpKzExZqjC56msl1IHiuDfs6ZjOeTzprx9UdrFRhE+dp69
JfuuEJiTN6rxkq9vyMBKXmaSMpTcPXm3tfgJ1DR9tzlJvl4PzE+f27j+JDB6
8B3zUnwClf8p/8kj5xPWVZuZ9FRh11L9nExeAaSGK5+UIfenU+Eay1KPPGwX
bnoY4pQLewZ0E0fQf0hpHOQxPAFGTzlPrQrMhifS+yX0yOMG55vxX+ccpKHI
2vvUP/ssyCndaLaTPB+w275YYCp0En6lxF9WKsmBrRcEIp3I15ETwiNC7+pD
hU6DNH9yKWQEGH6enKJBRHJG83iDNrRECKg9ky4FSbNbGoPk9VpZIc256qgm
rATdz33MUwZTBx7a5pHXR1V7c3MUW9SBNxJerJorARaZ9SeiyeujBc3fC0we
50HBazTpnXApJM1e414kt5Mj7eOarKUN3bdjHqutLgWtW1q3TcnH37o+/Fxc
UhOipluHji8Xg6izkVUteT3F9pan5FTnGdA51/jvDXm9/NdPg1ufvL6TuxDm
KBypDrcJhWjzkRLo0QyLRfdATDdkKslIFwY2td2/qVMCUbt5An+R14mP3Q7f
aJxSB5Zxf/2DTMXAPDSn+Iq8LrsmUN7zZUUJ5OM+PPfpLALRzav8DMnrMrCm
o9/eoA4BHTfqJiQK4d5ee84G8vXVv3b/xlsJTTDaM8A1eaMIfnh2WrCR7weJ
Y9byC2La4PEisUPEoBgMRATCDpDbD2IboXyMURZT74mbhfBXf+T/PsajTsrx
CHCyk+nRKgDf4GXK8ZDcYko5GJVP/ZaM6QrA/dVFFnQwImqlKCdEoienoIbr
MfT4/aCcENtzSZSzITO6py+X/Ly4qmrOo7NRomNPORuP2WwqlNblwkOfi5Sz
kfjDkvJANu5u6Li1oRg2LjdQHsgW0zjKA3kYWP/2VnEhBLpdGEQPJK69nPIr
Kh/lj95LLgDr6fuUXyFT2kt5IPba2SvefMXgUL3LAz0QYa+/lINR7SRuFzhb
CEpmc5SDIXJSPAD9zHTOya1Oh+thYty/Cv3MTcd79qG36SnWM8Ts8BRueDbm
obdZcyRdEN3L680XHvvH1AGXzaNydC/NAjb9RT+T7USx/DbBKnC2zJFDP7Nl
Ve9ldCw/bPn9ViCpCnJExF6iY7kQc/UMepicWTdoC8xlwL3FtBw9TAfdwiz0
OY1bXke/+9YHc6119uhzKoh5W6DnqdLomF+f1wIsIw9vo+f5VujPRuMHg/Bs
qcw6qH4O1jbUGX6r+1k/MZ4kt4lxGOQHy/75Ss+B7dSAbXHLf/WrOF3a0M9M
39QxzVtEAMvM1lvoZ65l6+ZMjnwNJ8+dm4vdOQ8hhTzaLqw/6kdLW6j19ffl
Sl5fiq+CMcWdnbi+/oWDAB+uo+eVOGMgLFMDpZ+OpOI6+sOxnv64jv7eri1v
pJSqgLVYURXX0d98HEm5KBsk024PMZXBw9YUykWxSuc/ji7Ko6yXe/S9SiDc
U+wwuiinWpIp72VS85V1sEsJBEx5DKD3stU1jvJS/ju2r1doohzSLq7nRy/F
oHmc8lIctXo4GdaXwe2lVMpLcbgs3ozr9+1XWOjPjFWCsMnVVFy/nxPjTrkE
3GvTpte9KYcHPi2US3BlfwrlErAdOg5j68pgb8DG8+gSXH41RfkqLqENqlwh
JdDdu2oIfZVjNY7y6BU0+6dcSM+ohFte9GHoFVQGplNegfdOnmbhzHJYE1NE
eQVBx8/7ocvxxfVdoPRiETT7OJaiy/FCSWAd+h4ZwTp868nPtWhzBOV7pNry
aaPXUf934xB9UT4oX+dSQK+DyziLcmA82S6ZbRMrBr65H5QD43/gA+WljJ7h
GNebLAI9x+eUl3KRRYINfZW1aZx3ziw+gWoLrn/oq9z4G0v5IT0TTVZm9iUg
obZjCf0QmS2ZluhHZeWzpR2wLITfdZeM0I+aq41kQg9qzI3lzOauAigoYGdH
D6q/wkUBXab2JkGDc4PFkHpefSO6TC+P7D2OPlX7mdT543K58NH7bTb6VEaa
jv3oTSU5cZ1izcgCc0/nHehN9auWH0LnKmOgm3Xo1QtosOV4i87VcMDXDehB
5b+ar7kvVArxWf5C6EFJqrlpoZc1/bT0jUX+M9jf8q8bvazgwzWUK5gY15+g
nZ4H96fLKVdwvHaZcgs3PzOdKqzNgz2+Tym30O9WL+W1jj647ZxlngcXWDlG
0Ws1nf8Ygl6W5Oct0ac3VECskdgD9LISDGMi0JV6u6czmUHhMRSJPvRHV+qz
eBLlqf4Gke6w9VnAXbKqAD1VcS+uePSpDD/Ljx3+Th4P6tTy0aeiSwimvNYj
g+JmIbOpEPZe9it6rUuju1rQWT2Yc155dV0iuFQsU87q/lucn9E75bRkubR6
VSKMaJ0UQ+/UOm+CclbN9ZpjWuxTwJ3mTjmrs0fuhKNz9feJMg/zQgro1ZyO
Refqxh8/ykdVXHb7dU7gIXm9H075qJcFUnTR47KNOpnj/rQEHPIMv6DHxfL6
Ai+6vm9Zvu5hLCyHXycdP6Pry1VC9wEd3WdEDKGbVwwi0b9M0NFttmyLQzd4
ajld9LRzCYweuTiNbvBF01+U01tdIHjvZswTeGDq641Or8E9SXl0dy8Rh4n/
yPOQO0wShejuvh0povxe5SRbRrmbeTD/U9IL/V7TNXOUG+zIIhpwz6wQ2luZ
dNENTrtmqoNeror/1EC1Zh4832W1Eb3cf/lGlNN7jI1nlZFBNrjUV1JOb7b4
e8qT/MBktdthSyZcT7iqiJ7kzJUWyuNlZ9p0bYtFBkjQzvigxzvQaki5lO4c
kfV8NmmgdbKOcin7uQjKB+6SOjuzIJkDdiPJlA98YWGVPHq/kXMNd/prMsG+
xrMa78/UK7ZTfu/OLN67X2hZMOliz4N+78TE0WfoWIo6W25Lf5cNt/WbKcdy
6UL0XVx3L5R8cumuXyNkxYx+wXX3vg/aGtEpenuyPbmCqx4aPhsMo1PE7JBc
jev3+yNP5Ja3E2Ah+Pkprt/XmVikHKR/dwd3nAqqgb8XVRbRQTpTy0+Hjk3H
4puKyK4eWD3bU4uOTbKYgwa6Meqvpc+zrnkOa+kyN6EbI2IntAldmns7fr1f
7O+BaX7OTHRpIpi4FHFdv+OwIcFQ9BRWj9j+wnX9TLr/UT6AalebLG98JTxm
f2OJPsDHi0XR6AMM8rBE8Ci0QwDzAzn0Ac5zfj6IHsI51VV87JbNMPykcj96
CPejhVPQT9B9u1Y+cbkN6NZrM6KfML1j1w/0DTJklDq8djfA5aCiZvQNfhoa
5KPDcMk/I/lSXQes1fdrQYfhVeKBzejkfKksTNsy2gPXHgmmo5Oj8fzDMjo8
nCfeFdyr6QdbqZUgdHhOG1hyoUfEo1N+f2BbD/iKmiagR5Rn58iGHlHUCTOH
5Nw2GPpn5IYe0czir6foI7E/PuZx/E47vOfVl0Ef6Y4A0zz6SI1Pltvz5Zph
pSi4E32krdr7rqLDE+zbUeKzrg12HoR4dHjaTc9cQ2+nTuey76mXTfDx2kF9
9HYMxhQb0duJleRboBX0QIZS5130do63xJigO7RxdoTrFHle0qsyO43uUDDz
n3x0h/rsU5VYg1/DtqdSk+gO+RxOS0BHaMceXXSEoKzn3k10hJhNuT+i/3Nm
q+Rb5dIuSB0vvY7+z8M6Do2a1jpwKIrKNW8nvy/tR6/deT1eb3nkHcsRzScg
FNzPs+X8GDQ6Zs00O3yBe05ObP9FlEKtKRyRd/gEQi4zLzzdp8F55HcGJzd5
vKNlflN1fAn9Mzc22j6ah3+vZWVazOthQDPGYEMrDQzf086F9I/XxxRtC4rM
fAhc/QvHWT/2wH6ftYeSydcrbXC+Jsa9DlQ/bKtyIM/P9ONLjXeS+/O1kneQ
LbQe+lb/KrEnPw9iDoq7xsj5Mq3rArofMfRntzhotMENjubL6H48N/5zHB2P
K7uu+GkqfIAIpzOP0fG4fDGmC90Pi9BdQfNPemGvxsoHdD++tyjMoCsy89st
qle9FUberRdCV8R2TOgY+iGDU3cKVCTbIYtROQf9kL55dQ2Zwg544EfrNDGg
Ac8lcxFl/en6JT9tB/Q94izZ628r0SA34aQ1+h4H1xSdWvbshk+B3NvkjtCA
vkMJzjjO1O84wgHoflRZmjBmyU1CVZj9W3Q/brg6q1rpdQP79RGjajEaHDR8
b3JGdaY+4s2OcvTNrEZr3PdtroSpu0nX0TfrShRZQmdMS6ZHbVdjGXQ1/aKc
sdJXh/agS3Yz8pBbfnQprP21MxVdskjYtoK+2b03+psUgspAWrTOEH0zo2H3
U+i59b86qPHiQhmECuVzoee22H7zGzppTjp+tM111bAmlEsXnbSbc98oD+1f
akpgf2EFXPtk/xs9tLF05wr0lDpFohs5v1SB7F6bOPSUdsy/pDwlPqVmgfKV
avjaM0R5SqapuoboO30Jedsk3VAFVfZKWeg7jayoLKFTlzAV2NYeXAKpyeOU
U8em7s2DXtycjHrFHqlyCMw++xa9ONu/9lvQuwsuf1bjca0MTNceCUfvzusj
lyr6dVeDOsLoIktAR7CX8uu6FNcsondn4FXEGzZQBP0yRZR319KYT7lzI9v8
ktWVyuCHqcNrdOdGI5R/oat2We/yI9H2ZtjKxnMGXTWvY0570FWb7FkodXnW
AK5a02Xoqt3w0GZFxyzwQvXCdd5GEDGe/IOO2ZluOICO2d9I3ajyHAKYdoiL
oWP2cQ/7d3TV6JddbtaeIMDGPWINumqJGsuUb2byZ7N6qkotPJlffQF9s1S3
JMqh+npu4kcu+zNwsqu0QYeqQMf+GLpnrM6OrAoRtTDH85Nyz+YmBL+gz7b1
KdPDN7caoG8xfAB9tolFmUx0qD5tnGiN/1ILdFo8/ehQPb3gbIVO2p6unXo2
vdVQNFJAOWkccj8p5+r8g3NWj3ZUg0VjFeVctRCJlHP14v2/kFPhleA7Y+SI
zlXKHSvKJ2fzUKq032YOO3NqKZ/cZr8Q5ZBLWMUf6VtjAebxCpRDPvbfQmS8
RwZMHPTeknJtHIYXvs3f3TkDh2fvnx9c8wiUkk/+eD84DAk2TqtdGObgipcz
5ZZLrgzzSTHegka6Y5RbfnPGkHLI5X6OH7vZexMMV3+jHHK28N2UW664Yb7M
o9cMPjGWUm75zPZDlHN+9bko7RyTE9xds4FyznsbkoTk9z+EWcWAPW8/9IBt
TNSuHvJ4NRhZGaDJGQ8HH4cIzc50QgDLcwe30zQ48Xfu5VWRaBhgfMkf698K
3auvSbu5k9cpuXbvdc4lgqPbH1H9wR6gvfzQmkl+z3aUcnR0d8bC389Xp95r
dYI8o/Fcnzr5/v8VviK7JwrOvTIZfiPQSn4umNP+etFAIdPnl1VxImR9yC0d
I7/vzm+/Lr+d3M729Na9W/OiwNgmpcFs+0sIdQsNFyyah1NekiaCIY9gZdjE
LCCyD+oj1HJ4GuahZXsw5UdpKGs9qjcNgTfrP1F+1Am3RcqP8pIvNfZ8EQTW
3vyUH2VXqEq54hGf25eqrfxhJPUm5YoLqftTjnop8++SqP1+4HH6BOWo35tV
pPwobfuOJ84mgXBaz4nyo9yctSlfnXmmW8ZxnS9kRRRRvro3/2fKoQrYvsWE
q4U8/5piwD478CdyUd7U7kdrR74+DwO9zT8pb4qV/z7la7kQzkf7smJBZEcP
5Wt5/t1B+VqrJws7a27FQKimFOVr3fQcpLwpJ4V+zfQnUbDklUF5UwZdspQ3
lX/cWedLdiSslX5CeVPnPghRXhbDvZ6hopoISLX0prys+6/FKGd+x1GhcoGI
eyCrO0s581McK5Qzb1+nsCjk4AEFyfcoZ75STZxy1w9FXq5K53ODUI5LlLtu
sE+Dcu8fJe+WLJe1BObmV5R7v9lnnPLt3ddXOsuevg1vo60o335IUpvy3uc0
n85aeHiCpFQ45b077bcSdvx7D8J/T3Q+XqqCs+srpmOH0FHvmY8K9QTHRo6U
K3eqQd533IyO/JzatDn9FZH0BL1VvR/omKshuVOly5J8/IZXtWum/wsB9oKm
HWXZnXAy5eIXL1XyOBD1Z8fy9RBIfuj2QyCwEyw9xdu5z9JAVaEuJ/xsItzY
EJCn0jEAP9yanm79NAd3GtWZ9UIjwcumr1rQthe2jGRwa87Og8yrE/Y8e/xg
2jdGwEu+Ht6KfDPiJM8Lcn4mG/bKe4N1DcODa4+fglqA/UrGC/L7KDpvf+lG
H2j7OuTjl449JoHkKnK+b7mghYvFC6rZNCJ5parh8sfs733k79X8n/r0vKYX
sPaeZ+G7UQ1Rs8/0eci56vBk8vWYIDDfIJRUwdkOmw4etiywJb+f7authiEM
TARs+K5+74RjRnIfrpHf28t/J3seL0RApOHecYXUHigairlQspn8PPJf+Czs
HwytoseSeT92QtzIlTU2yjRYm5MbppoWBDqBYW+Vd3aCbQd/YJsWDQqfRuyg
zwiDihFty1qGJji+yvjofDr5fdHbnr4cGw5XFN8ENh5vgmsqoT++ptLAQd6X
6/zaYDCt5SLWzTyDPNHXqaaVNPCZkWZ/3h0IYoG2rgp9zyCM97yUUhUN9h7n
fBXDFgD6VoevjBrVw9/uevtE8vxIZtXlp3vlIsFt/qFazEgLFLV+EdXwo8EL
Pgb1EaVQoFvgVGaYaAT1ewlvDTLJ1/19k2zMmAf4dRSauDhXwv6s5gogzyuW
ayRXPrD4w2ujByL5yvVwvig1+ie5fVH7dt2bsz7Av6nzmEXmU9hqr7U7l3xd
tht/C5Avuw/JZpN5rQ3PIKDYaXCI3M8/aRKUHyigtHNIPjYNJjfWU37g7hej
lB9ocVaqUFsnFZT+hFJ+YPAtrovoGTYc1r634pkCh2b3Yi8VRBsNKc8wb5hO
OexlMkBGBuUZTp4ppfyrz+50017ROWAzo2qF/hVd2RLlbu0eFlON3JgNA1mW
lLuV5fWR8hWv34zdYbkmCRy2C2BfFYILxihfkWFSxm+WOxHmxSooXzGvbb01
eobTW6Weip1OB7uFUznoGYpMR1Oe4WygprV4Wyq8qUmjPEPTtCzKwfsXWPZl
93gKOOxupxw8Sf/nlFuoXLyheOrII/CB49hphYEGR8o5nFDb+KSUOQPKA29Q
zuFTO3lv9M0qvyTEqj3MgNXTDynfjNfLkPLNJFzYNrdfSYdNiwuUb5a1Ukx5
Zaka/ttsG9Mg+fwQ5ZVxn/1EuWpxKhHCZnmpYOjLm4yumt5SBeWJcSi/W9ZX
TYOTvw0pTyzQkHcAvTX6V5s/MRalgGuIPOWt5V5toZy0xgMGo4HCmWDM8YZy
0tYOzlPumaCMUav9f+lgKX3oM7pno9tSKN9MJpBnV3kpeb38c5Hyzf7VHaUc
tojFsyY9QVnA/fE95bBxpMZTnRph+pEfdV1pcJkjrBU7NR6M76geTaDH+lv0
YSmwLsuR6tFouK5QHRzR+62WvC3J8DDZjerg9PPpUF0YAwcdPuWgFPgXfpPq
wpz0+kV1W+5uvi017ZsENiXDVLeF+8vWO9h50Vg+wqanGQ+GE/5U52XVrALV
tWmmXRXyVIuFr60+VNfGPjWJ6tpc4Jm03qoYD3x2yVTXRqTgJdW16fpafGLK
LAbMPK2pro2HjgvlW/63KuBPb1smlF1upXzLB7OrnLD/cm+n8r7DUw+ge2sN
1X/p5mHwwl6Mz9g34/rDseB5WIfqxbgfmKP6MhbeoU9+KEbBOzkZqi/zQqOd
6sVM0+jnix5GgLJhPdWLiX27zgz7FzbED8n+L7Eg9eIu1b8YMcmi+hcvpo0b
Sw1jYLzbk+pfHAz0pPoaDnvc+2//iITQgNtUX+P0lSdUX2O3l7C4Qn4EjNJz
vsO+xpUhAapvkui2fcfplSj4PrB5HPsmOZvHqU5KpfU9PyI0HEyUgqhOyhL7
2nnsaIQOGBfv3xUKJ4O9qI5GbQIv1d3g8Hig5ssTDO7+Z6nuRrlXItUZaeKl
Wxy8Hg1H98hQnREBufVnsEsinMMjVCEdDkdaT1NdkuONw1SPw73A5QhHfTx0
Ei1Uj+NafDbVZ3FSeqGuJRAGTyVyqD5LUFkH1VUxS9o3adcdALwdZlRXJTk0
kfIquUofczj1RcN3x37Kq9ywdYnyOffLyTpt+h0H8Tx3KZ9T3/w21XP51s4y
ua87Em57jFI9l+DOOqrnorZ8Tmr0QiBEGfNRPZcNliKP0Fl1Sb5WpTX1EGb8
yilndTJXlvJLL1Z+0k4XSwQZIynKL52mmVJe61quBr85hwTYZOVCea37VLIo
h9B/f9cqgb8pwLgSSTmEgYwxlLtoLiZGjK9OAcv7QZS7+IHfjfJOV87e+Fft
nwwc9vcp73T4py/lne5c+/GLRM9D+E/lEuWdLmZYU+6o9NbzR2OlU6DXX4Vy
Rw9obLJH73RdY6mnp3wiHFx6RXmnLt+3m6Gz6ruiRmdQlABnLn6lnNU/fxop
N1Vv5ol3rVY8CNZYUG7qlN1dyoGMDzUR+XgqGTYvpVMOZCTdXMvgGWlipO2T
5YNPIXD2QBKu1wZtqajE/zgliV1+Fetx3f3SpWRcdw9Xeu4NNwXKEOmcR8M3
3w4CN7piXOcOKdoy53Dd/SFJ66247j6VvQrX3cPPjmet4qJiRHjlx9J3ciFw
jFkT1+mD1dcWdlyPH6w7+lzxfSB4tQjienwYcl24gj7A/gM5/OgDbCNi0QeA
CnoWDfQBpA4mfj6XHQbfzeXRB4D1enrHcJ34xwvqO3Cd+AT7IK4Th7GxIl5c
D67pfHRJWTUSFjSO4HpweKeXcB3Xs9/scmLE9eyu+8/genaQZ57fgevZt7XY
zrYwRwBn0RKuZwd9E3Xf13NSBOOZF0N5wuR5xPUzuG4djs48HZW4IE8krbzT
QD9Bt3cc/QSQoCsSv5sOxF87SUl0EvjiptFJAJXT7T7oKrDOxe5DV2GY0EdX
AWZM6mq2Sp8gnud/1MHOy4qrNnZeQHGh8pvJE1limvu2Tw/rfZj5EID+AHxY
Ol3wfdtx4r2UcWZpSwDMH7FGfwBenn5tZV0hRzxd8yhpsdQPNipUorcArXNb
Qqp+HCc4O8KfSV8nrxf7/qBvAH8OrBNEv4Lew5UR/Yp1oRroVwAcvemPnkPd
Wgdb9Bym9l5DzwHEz9IXlloqEPID5GHrjw+s8+9FlwO6Zo5fQC+FRnf5FHop
n8fZ0UuBFodPGuiNtBWvd0RvpGP/IHojMBU/Nv5CSZHwGpBpONfgAJkbnqAf
Apfj0oTRDxn1jV1hzbKFSS479ENA631If6e/IkEf81kL/RCuOsoPgcqlAFHs
kjx7wKuHXZL00Y3YJYE1VyK9nSpOESsaQ3vQMbDvpRwDEJgC32+/FYnBfHsX
9Ba4tg+itwCV9L6ppuWKRDqH9iH0Fmy3nUVvAZrbgoPRUfn0XkwTHZWuSh90
VGDHxQlDdFH8BGjufnduQ+7bE+iiwOvjRr1RYqeIkbcF6ae23IZnySexqwLt
z0d2oQMz0mfAgw5M76ZudGBAIqzZE7snfzRz/uXW3QGDSkvsnoBU2M+Qsl5F
4ryWbcaxMi1QvkV5DpC5x7yS+9cpQoaHrTrDWAt8gim3Af6+Ugl+/kaRaH7z
u8tXf3+9QV1awAo5zz/ueUhk5RTxqrT9mfnD/fW7H7RH4HynfaMW+gk1kgav
ea5FwMjNfPQTIPFvsQs6DBNSmT0HyyKB2ZiGDgO4HZ4WRHditqlzE7oT436U
OwHHXhNG6EssJtHXC5tegbOplC8Bb46ctg7gP020F1wX+iEtWG+26OWLP3fq
yklb7MIc7AnejV2YWG8m7MLAFmVFR+wfJWtwSWH/KCArCftHkDG9s7JgVoG4
M2Wugj2anvv7sEcDViu0cjFBeeL6HvrygxZOYCTbhD0muF6e/tbeSoZY2Kot
iF2kzzqR2EWC0+5RUbfjThBrZXNcRdw9YPVWTuwiQUJN7X35NbLE64oPxtf5
PGDhxU7sRsFGZR5Z7Nqw/a16k77bAZLrwrBrA/G7hlSx6/Tufc7khk83YKOg
MHadQL1/6XIamzJcMeF23cvnC+ysKtj3AckswisgWx8yIoMWff96w9LAKezd
wOfvWTnR/8kSVdV2G7EbVR6mi90o0GV8P5muKUfIHXishn2olwVXsQ8FGxeU
p/6NShK9S6e/Cc/egl+NxS+ox78se9axT4pI2llWXuF1A1zU3bDfBKFvvy+9
85MlXn1gsA5JcgWlamXsW8HVteoDj30liSJjCyLK0BV2pKdg3wqCCltohSkS
xD/fCyzYh7qtlo19KFiXeNohm0uSqP74KFbwpTtIHQrBfhZMFWruxQ4R97K1
OHaITKV/YocI3PLEAu5ulSD8j7Y6bpvzhtyaAewQwdGhH0rYIbIzXNyFHaJH
z+9ihwjOPTNr29QmTnQKXXyS7R8AX6f3oIsCBoeGmLHHlLByXQJ7THf4vmOP
Cdw5ooSxr+Q5SP/FPNcPKpQDsa8E9xtSmLDHtJTougZ7TKyJDthjArXqIi7s
KMltkHleYucJITd6saMExcfcZjIHDxPt5rw+oq3esFbQCLtOsLVifq7+xBFi
NtBcBXtMaX0XsMcEzzjMkk1NDhMSOns9Kzf4QfmnI9iNAkfXzza4zn0TQwE3
rnOv/zWH69wBDIPs0B/QNS1oYVOLhIRuSfQHgJlvaWgzvwxh//z820itCDCk
/4RuAOQ7wtRuaVkialCjDH0GZs4w9BlAWLa0S/aQNOGiN11W+ysCpCrS0SuA
nVWjgug2nL/GfQfdhiKRg+g2QLaidjB6j0Lqt0vRewxy/o7eI9z+8ObXbiYp
YpsQx0tP5Si4LB2G7iKsMr1sh+vrPeo/155nDIS62Bu4vh46Nzums34BwrU3
sy8B+wBpGeg5gMfv3y+438gSQilPHXH9vp6ALa7fh5e9186h5zDHb9Xk1uIH
9I+Y0HMAgdebTqCje57VlBEd3ROyNujowqjk8g5c799WIOuL6/1djmzE9f7w
h+vGE3QPhM9xnUL3wGoiH90DKN8eJY6OhNXOo60mvQEgtEENHQlQy5M7j17E
9M52WfQiHsAu9CLA4q3WfM52BYJBfjBDRSUAXJ/uQN8J6jK3tYmPKRCOB7mc
0XFiXi5Axwm47+pWCP9RIL4d/o8HXYX1Na/RVQDpo7Q582tyBIfYndeZK2Fw
ZJJAFwI09qRtQx8jdOHlVvQxmr9aoo8BrovPdqAXUdPeXuJjFgL6afHoRUCX
e2E++hWnmrLPol+R/N9l9Ctg5/Luu9zLckTwyhsN9DTyPMTR04CpkOMb0LXg
sfua6nw2GKTSzNG1gDO3hc3QRZHau/E4uijXFeTRRQGvV1WK6KJcZDzLiy6K
rOg/dFHAqXdNEPotUv0P2NFvMbYSQ78FHo3rfHkVwkqIv2NTQ49FRYmGHgvc
eHP6CvotH34+FUW/ZS3PK/RbQIFRzhidFi7THw9iliJg9TExdFpA/2KGMfo2
b4Kf/asJi4Kc/uvo28Cbzq2W6Mm8OJ3Lj55MiXgBejLQ9+4bA7oxrLETL9r2
RsLsAzZ0Y0Bpx9Mv+w32ETbSHUmlRdEQ/0EB/RZ46zOkiK7FjR1shuhaHOM7
iq4FHPNK9US/omwpvBH9CvoaJ/QrQD10sAO9i2tqrbfQu/iTKYneBThGcRqg
a1GhezYdXYsu1ZfoWoBJU+dF9CtW+QpNs9YGAiHzCP0K2EN/9AU6ivtVA++i
o7hzlTM6irCK4ekGdDB2Hkkc03APgntauuhgAPdY7T30GD8v6Emjxyg/vhs9
RnAYajiEfubS3eaH6Gd6x0SjnwnXK/y80fsac31zHb2vllgW9L7gp4X8fnTh
vM1Pd/5c5wIdm7LRhYOPf9/aoAN29c+lbHTAXrdRDhj0G9F/2sx+inikFKSL
LhzDkBG6cNBoWLCQRJ7/3DjC7oiOnOxNP3TkILz/jjh6ceuVjRLRi4srP4Be
HOT+WH71g/skseFnTNGT7e6wV6EZXTLQeiEogi5cUGf6RXTh7q/jRhcOtvMR
6uiJnXkwaoyemIWqKHpi4COY8fuorjyRXs9vhO5Zkk4MumdgNSj5CL2ytYL9
BuiVvdsdgl4ZMJ347I9e2WKSrhx6ZVlllFcGppe41lGO38jLXej4yXd0oeMH
ekbXNqLX97jVQAm9vsWL7uj1wXD0fPxJ+5PEubIAP3T5jPu80eWDY7Z9oejy
yf562vCt8y4sHzVClw8GAgsU0QM81PLNHj3A27ZB6AFC3PT3++gKfnb5r/S9
qjcsC2mgKwj/ii17djvKE9/cLTp11AKBpZYZ/Ra4prR9G/otP2qvfZ14dR/c
D9aj3wLSbsl86MhVxSYpoiO392cjOnIQ2eY8bT+nQFRvcFZC787ppyB6d1Dl
nPEQ3ZhZhnAWdGNKMjehGwOa6xtWrm88TGzlCGJBB5L9tAM6kFB7RJ8PHTyu
gToRdPCq995ABw+iXvbaoesouJheha7jR9kf6DrC6S9q5ujjHeV5Xos+3p1+
yseDS2IF19HH2x4in4g+HvOQNfp4sHv91mL0Kq+G20ujV6mTthu9SlDULT+V
wRsKXcZSe92ulUE7A0Pcn080wuz0LqXZ24EgfUjQYXVkCQy9/2T69DONGD55
ISbdLxgiSu+HtwaXwMNcqcOPyfmb9eZnzn0NAOYfredCBorgpETa56w5GqFI
KN+6LBQKZ0XO1ndfKAN94Vv8QhM0IlamJp+R2x9e0ynt150sghzR8JhE8vGO
Oq9neFn94EPqiKPS4hPIWeBf8f1KI26mnfXa2xQENwyHjqgplUGvVfvbe+R2
ZjeNS86qBsC/MIZrV+xLIE6ge7XADI1Ytn9nIRcYAhFt6hv4pcrBZMuj8W/j
NKLtv/BeXZ5wcKvWvdNbWAF3o+zWPBulEdncD/a464XCBhFtBwgqA75NxVcK
yOdhgE7Q7f1vf4jcLpySklEJ5fQQZztCIwr5oo12r/GFhuINXgczy0HqxucY
aXL7Nyx6LGKj/KBZTjaA/k05GDGY/3n4gUaM//mhnFLjDa7uW5RH15VB45HN
Rt6TNIIjQrWn+p8/SA+OGwpOlIPgk4n9NuTjJQzzOjb+9YFxsVNb160vg2nP
HlEn8vE9sdY9uy/5QZBq86UBpjIgTq4KuEjOp0L26bF1eUPNc1ljPa8S6BYy
ERcmn4fqPp6OXTFeEJVeHr0jpAScszaO8JHzVQcrT2iS5wGuGTYjhvFVoLro
1O/8hkZ4PVfydWsJgkma7fcDMjUQd+NhPvcrGuHG3Wu4ZlMgGLNUfzqmVAVn
eW7oXB2mEeevJBd9ybkP3QuS+5TGKuHad4G8zLc0wn2cq0kzPgDEVVRatn2p
Au6PMymeQzQiJ+T7+bGLwXCB6+dBuYhaYGYV2rehm9z+GkbzUxkB8ElmSdiq
txr0rDarZb0mn5/e1j5vnkDYZHL7Q/FKNQhwFIX/JvfHO4qLlskQAPFnp68+
3FENwe2qF/4bpBGu4bF6t5nuQ33T1zbJhiroDy4rXB5Cx3XUs353GLy1ZB8q
yiFgYc9FpQPPaITaRybFjJZAiG9+EJykUgseT0Mtdz2nEcf2h1n8PRgKLHNn
yqO/1ILZh4PjuZ00wpj4/IohKhw6xQKds9mfAcsuoXt/62iE9Uguk8dYJCxf
qv3DXFcN82d0r2wj9//yp5OHjsZFQG7e70N7NlfClw2BLi7vaMSP2QXIfhwK
eo5Cq/OiS6FH0Sl76xSN2Bam3Wh2Pxwqf0jc420sg5PBQcSPjzSCXmA883SW
H/ienp2UD68E1QqtO1Xk+7CL/VwNjEXD2eWKUgiqgdC9Aev5X9IIrpEI1h7T
KLh9MDORM74SOAY3O+aQrwv/CVpOREMsPPr07HAxVz3EWWXTuFrI34v5vIcP
fTFMMIU+LMtrAbe08F/mt8njwMH0Ayqdj6Fic8vzLUUECE62PXlVRiOOrPxS
WcuSCQk+VrvsDtfD24yq0UGCRrAGGQ/rSGbCwsUNJfQOT0FYh7errIN8P0f4
HtJIzICEV+LsHjF1cFDQ4821Rhoh78G40/9+Gny8qj+3WbAKZipLddYP0Ij7
23+dvRFbDYPi4dZ93/qAQ0L0ZnbwPMG4455E/5978Nlp5+surQLIEQQ/xe80
oq5Q3s9Q5h6UxlmEVHE9hsqELs8TP2kEU0lDP8e9JBiS3uFLX1gO8yluvwTe
04hQpj0vN1nHQUtfR6FWXjF8cXK7qk1+LrjXSbPUPU4E7/18HgrOJbC6k+d7
Fvm6xL/Lzw+TfQCD24wiXM0KIXvfvOEn8njV+HQ1vevFTNDemRPAm1QF1b38
c2Pk8x+rxso7IZQK75/Ib/7GXAZ3Bz82iZPHh3MWZ22D3HzB3HfNuNRiEfCa
s1b6k9t58yCV+6GbD5zZmSxOL1EIJmLu1Qbkce/dT8F7DVu9gbfudun4zUIY
qSxeFiTnS5tTOj2lvCD/YLnXJboC8viXz+r9HX08lag/D7yhYXWj8pqifBhe
53KqgZyXuLt4f9/lC73cS7GBLiUgcb5v+Cj5+6Ye7nxkWe8FXPT7Hb34iiEQ
fLzOkfsj6OFFXrZ4QsRRg4/sYsVw9Rz8ESbneW9k40Rz74HcvGWb/2wh2N1K
/tZBoxEmTk0NVS88QU/2Pr9jcSHIruMe/kPOh5Pi+zJKPUDRs8DfPbkAmqSI
RQZyf/zLQz+ab/ABHXt60ZsbiuH5O+iyI7evv/DgkOZwHXjP/xBbiegAs08c
8/27yOvid9wnv8q0Q9h19ucN1c/AVoGnS24PeR2dKrmt5Eg3sKsw6PbEF8JR
qf1E7V7yvCK/nQV7o7qDZc9M0m/BGOM89kbB/TJdu8FZN4iru2VxQcQLPAOf
Yj8U3p6UURW5IEgw+5npY/fzwPgd7H7CZu88BuyKPi1UYcKu6BWdduyKwt6r
j2vFlx3AkcVFGvuhZZqx2A8Ftx3NT2ciSqGrPURf3OETrFXzGApynybcJELW
vv/7EMxeqG1hGu2BuARV4WEmGjGol2S9fSYNrh/l6XOp6YfI9rn8IzbzxOXC
77Wj/M/hVyX3w20bvOuvle6K/r6f3P+Sj5by8XKEzC+9x4Zu1rBgUYAdZyi6
MvZJzliKWC8dWzclbQ11BNVxhsFN36ZjO+WIqW/HN2KvWdCK6jVDlEU8cSeA
vM5l4Ww3czGBl01Ufxl+3Nnngh3nwz6lfYuDmrDZkuo4Q3rE5rjaaTnC8EI4
H3acTaWpjjO4Tke2PG6QJ2bCFcTZIvfXOwoKF+N9IT8hR+O273LE2b8G3OG/
99Yriu5uxvk6euVJ/1x5QofB8pPJsAnsOceOXWm4RPwdOBskT2xLeK354Lk1
MKxQfWfgtWOdvzp7hFDVKzIx2+8Ker6vsT8LbPrt+7Azu2FjJBN2Znt427Ez
Cz+PqWzGLu1g7cW43IZbsPqrDXZpwTgoOOaH+VFiOsxhFXZm//vmjp1Z2NNW
cDs2RYo4kOHVwXpbEyy2U51ZqA++QvcoR4poiTTX4rTaVz/DMzyA+79GrrVf
ODEJXkxlqH/t7wGdn6KHdDfQCPZ/QsufxhJht+f6asY1z+HP+hbP+n3k+Q+H
7xd68xgo4PB757GuDa6oxvYFO9OI36LFfI39sfBtQlYjIbcN/vvMVvvUnkac
5t+2xdU5ErJ6Ts2ceNkESTMDd18n0oiDTIJPDTqToOnXlX2BXT3gfTP79Avy
53679mju4dckKAuU1OzZ1gNnrfM52zlohJK+qFxUZDIwzNhenSroAQnj32tv
bqQRiUsGiS8uZcL+9fN7GINfw7+kLONDnPOEvETXh/BVMXBf8E20UHszlMYY
3gqLoBE23aOnfLQjQHnV2UanZw2wElr0IquQRpxZbTHR5xIJatJ339jyNkLR
4Kttgvnk95GI32N3kxDIWhCerjxBgO9S5daxBvL8Ktz4kFpQPCRFKfwndqcd
SrJdvC5b0IhS3yF4lBYFMgkhSzlyzbA1Y/13ozjye4Fnt/IHnXCotzfsHLjV
AGaPntEul9CIlubNJc+C0qHkvKKWjUYbEE8ulX4inzeJEnXvhaO1cOu3wy1F
hQ+wh4G3c3vlDPHpzBcLOf8MYEjMadCr6wDp7vWHaZrk8TxxQvaOdT6EWWY1
Tj3pBT6W24PFg/PEzBUlxtWG6bDKXFg7erkNxg87mfRZkd9HZesOjHeng6BQ
8bZO9Va4+1rAxeou+T178J71+fhMWLpyaZOCZDusuDNuiDOjEWWNfaO/v6ZA
luL3ryyWzWA4EW1cFUkjHv/MuvlTvRkYfxzMjJKbhP92+TG9uD5JdMbrcE13
PIR8BeVxZ79GKLNtZnPNohGe1a+SpqsS4ETwaYPCdgJqvY8PrKmnEcGBL+gZ
r8XB3ybVarqip3ClvpSxkzxvCWFVobdQSgfZiOZwDoV2uMEdEf/InEacOmF7
cnN3EnxfqPvqvrsB6Bb9p56Sz+eK8L/5G0N65PtmMVl5MQIe6B5e+5S8Tq+W
2nhMkU4LhJ5fOmh5JgJ46Svq8b7WV4OWBwUvdIHu5/563W3hcG1Z8ehfcr5P
aKvDxw2aMLH+N0P7Yihk2FcwspCflwt2KfdPHVWFU5e6NxnkhAMfnUs73teK
s+33+G2mAuU/1p0fHAyBj55BZfj3qfU862k/PulAzhUbuOYaDK92iAccJeci
Vs3l3qIa0N8RXmB2NQh8ejbz4t+n/lVozgpKXISJbK+b1azeECgr1ZBKzuWa
67Vnnp+HOl/P8EeaXnCwtv0j/v3CsTWiuSjfCFL3XXrJf528nl1smmjE+wYH
byW6qJ2Hp0XG99Vl3aDUpf9GOzk/9EeNg321IXz1sBgJqwsH8Y/+Hz+R+6/1
naHi7doLYHPnm9XxRyGwI1/6zy68PjVl2xjCbQRcbUqLn0siyddRTOYR+XjD
L4c/fOU9BcNdKu5nNiSAonjx2eAlGhS43VTNWS0NDB0r6uxS8ZD9K+dfGTl3
CFurdvWuPHS5Gj34qhYHwqyilWPk/KuyWso5rmMQkCEgXhQYCyK0k0V05PbT
z7SasDeJgMT2+d4wpzgITf1pgP/H1WYeqKebJwCWAYUHXg/EgPykzy9+8vGD
L702F3DLgRM9YaMQHwNmtTFmwuR8u8DBNo7Yw+C7/HTSYCIaHtLuyaqS8x9M
0kWfO5VglHv6dYV1IBAvjv7RwPsk89/ffVE9CVX/lR47Mh8MIVJsV0Tw/v+Y
9spyozzQDV7g2v/wPtDtqag0JOerhZ+XDaxTBDV5dQZCIBxMrEZe4N/drmW/
T0gsuw5jDBUHKp/5g7Uds6wp+fj9DtfVbjXZwAbRHInGx36Q3md6yxHvZ3bw
idBpXYcvQ0EM+755wT//s4ux5JzlxOrZd5Y2MCjRoL2G3QuGjXJ88Xr/nZDs
RscdVpBBXJaSfewLovwn7uN9G8moms/Hmi1hyE9lgknFEyyC+Vzz8f5w5cAY
t5gtsOW2TlioB8GbbLN9UuQ8cZplq4KXFcTHdrxS2B4IFyV0L6uR8/Zr9v2/
bzrAGsFHz67uCYVNzmKh68l5ikw47wKHPbzPvfHGNCkYCpK1uXbjfU4vxkn4
fQMYXFOiHGYDQPqyjic+n7rnjsRsab4BV59Xm2i894amiC+BeD8z9Xga/Z5P
JrDsEOzCOecPUq+Kx2zw/o+YUaH2h4twrW3G98hPPxATz+5wJucH32syMN43
geuLmzV6ye0E8pxwwL9XnvpxNpNmqw83bZ0fyDP7gUmP2268b8/cGWYwLWcC
t8Qdju+r9IDUub13a/H5n2P5OVdsBnObhw0P1PlAW6ZnG97fcGSSLHS7Ygb/
hi7YPgm6B3cZV7Pi/9fpbrQojGEzB+fXOa5+iwGw4j8ueJGcdxwVcMXuSXF3
MtU9kd5MdU/g52KkFHZthnhsL2LXhjxAYtcG0jrEv2A3R5hfyxi7OaulLbGb
Aw2VOvyrDLRgs274KHZz1tEfxm4OOEylHqi10Ia2Ow4GX4/6Qp1ID3Z54ABn
5C7suXy5lc7Ruz8UTrF8xp4LqKldTsCeS/cGDQvsufz9zoc9F9ANmVDCbst2
ay817LaUhQF2W+DxcbiLXZ6TK2VN2OX5XVmPXR54d3RuTbWIImxmf3EZ+0HR
uX3YDwKmS1bfsR/E9S53zy7y/F0tNBP7QZA0VGuPnaMrv2DP7wv3oIPpEHaO
wPr0fCZ2i7i6/Z2xW6RwsAu7RSBxZUcO9nFi9t78i30ccw9B7OOA7AcON+zs
LIZ3rWBnh9Wf6uxA34krWdhFWidfw1DL7QrxO6kuEpymu38C+0cnhC4EYv+o
1IzqH4FGSpkt9pjkjpTz7f51D8TZR7DHBNML9xewuxT0n2QEdpeGDd2xuwTB
uf2HdGLPwvuhiXPYOTKXyMbOEdx7ISd+J5ATVuep0ydDNCx43f1uTn6uXXfI
1r0ZEYRQ2yfZh5WjwOdHyM5gcr6YrqwhJL4OHMs/am0vioTJAN+n+HfJSr8t
PQmu0sB/g7VGXTQMFPQEkpnxPpt0w9pKkITvG7nZEr4FQVKcfpoMOXd+IZR2
VGE3bNlCJFiWRIB7187WVnI7EyJssEdsuv6l/Kp0z30RoHP0Yvkbcp67M+zI
rUwpyMmmeavPRsGFB3feO5Dzx7y8rjlh4tBm09ErrhwJIscOpeDfd+hDznDw
Dh0Gu8K9OtgVYgxvw64QRCS8eoVdIdaR2EDsCvU918CuEExOGYthV+g474uv
2BXa5++GXSHwsJvai52gA5q2myzqAiDXWHiU+vt+hyq3j40WfLm0W2dVxkNw
fGpwvPMfDQQt9h3775E6fD0huHCmIxE8TBZG/pBzI/6sc2/7NODW/ncf66of
AFOCt48YeZx/d5w5+ly4KvgW2rTunE+AW3TurZeWsC+c0MyzeBrUr7gG6L16
ANb81YGHyPnj98vdT/7TAE+GauPdxUlwjGfL1hBy++oCf78YM50hP/+O4kdz
H8LnTUI1HeQ8Mf4sW6e0BoBv7pWx1FRQM5davfsvDV4/t5PvBxX4wcku2Mqc
Cvkq/Ao3yXnT6VrV521qYM89rH40MwWEl6pT88i5o8F5caG3ihC/5bjOZs4U
SPrMIob+yRn+msvBAjrwTPelnGNiMgz8pVnokj83gHNKTFhfBT5UnDvBavII
5Dbsc9tLzhPChZwrihTAfdNWvtCLyRAOEubm5PwPb3lOrqcybL+U0yQwlQwG
roFip8h50o/Dx35GKwCbOieLydlkqNizVuYqOb/ZoKLLsPokMIbyan8rSwSF
kMmBFXL+crOqasjeE5ARf5TF7VsCDGSMR+Pzadi+vLN2y2lwk+7YGuOTBEVt
+ozxuP37Uq/9lAAEC6vsdkY+hJ+r0s+9IOdVdE13vGKl4NzsgNCR/gewrL9u
tyi5nfFs2+R/thrAdMtK4oBsCjywYHn/nnweOAvGym78Vgcf22J7X8dHwHlg
IHMXuZ0h/4wGu0I16KtzdRC4mwx2va45F8m5VYmw3OY0IxjaHc3HqJ4C5+/8
4keHZ2thX+6S62U49v7iYFNWCjAd+vAsi5xXc0vtXTIzgMUjHS8Mxh4BvDPb
tZbcTva6qVltlvPArL6p60J9Eowa8Wy6T8472DOdzM9dgOqjvq0SQw/Bcpc1
bx3+Xrw/fj44rwsW08IcP+oTge+lo9w/9HzUUvPfimsBW6nTL9vsNHDzD7mA
/2do4/yywGhcDWKruQeL16eBXDur4ww537H6zdZBFS0ITbKxF5BJhXePK0Qu
kPs5xSLTvu6MDjgKmNG9OJkGzPc2BLXh/3+Obdm/fF0PLl5nDePSTQfLbfv8
9pLzhnU0H0d9S7jlG1w7eDwGfHz31YiRn8eqzOGJiNVmMClz8cyIVjS4JmzI
NiLnat3miaW5FuCStcC8bjkSGGcMZcLI+Xvx44Itl0xByEeBvv5QJPguphsV
kvPCL/wNY5+NwWXzRn+jO1FwUCnwhwcex0R3XGTSMgYmuouKq+0joDQ7nugi
55ev/3OhY7GAdOLgiZed4eT7Msp8lJxraosaJPRcAX2VjGEr9nAwhHWtv/B8
O7H0gCbjNVg3x6NxqjsaBNVszsqT85jI32HXjlnDs247prMjUWAqGtpuTc45
mrxmbunZwQ+fodI/xpGwfCSvLoWcm0l2L0uHX4XGE43NoqER4H/HMrKBnN/d
Fb/v9HdrMHzPuua3WCzYFSg6rCfnRiu3P1+XdYTY9+7yfGmhkOb1EJbJ+ZTU
fwrxqY7gl8z2sKX9PvCvTiqRJ49XmSUfNuT+cAQmocyed10+0LriuuxKzlU4
z51ljrsM8buc5izehIKaisbBTeTcN1jUJErhJhxQuSYePJwA5re5+lTI9//6
WEW/p02O4ObEQj/AHgcGhR7RL/H/KkeUFOxibkBowTfNgjWxYOZeto8Bn/81
lQtSXDfgedf965EvY+AN8dyOlZyviC1uvet1A2QY/3t/RCQWLMQCnq8i55Yr
+oSMjiP0lRTtbTKOhvfZZudVyLm25jkuTVUxWCsVHVLMlwDr6bQTAsifSxye
MNz+xh7oL7Hvq/kXB+yCHzqekPMLu+/yX5m/ARY7t8y/iooHEbjbGEbO1x2e
6bMJuw77omteclrFgfObU27d5JxL9P1N41J7COOLip84FQUR24Ok75A/19ib
6+Tdow5Qd3BL5NiHKMgaOPf9Mjn/6BvPx2t0AEJzWR2wzxjtkYt9RrBbbVSH
fcbfV4YZO70zwLOBGfuM4ElLFMNe572djeyhXenQLROLvU7Q3Jvlhb1OZ4Wo
f9jrVFr4fYaO/FxonVu6h51QQyceBeyE7pqpwE4oNP9STMdO6Nd1ec3YCd3U
UI6dUJjpXQbsor6FU5XYRW3MD8YuKtwuFI/FLuquuA2fsIu69uFJ7KLCaPrl
P9iLTC4ZjcFeJIv2l+VScn+eHBvNwf6j45HxWOw/ylbbYv8Rdr/K08Au6iWO
ue/YRTUxbscuKqw/4HkXO6rG3jZHsKMKN4SwowrBcalUL/Xe8B6ql1prRfVS
QVh2jOqlus3+pHqpHvepXiqUZjHxYS/13tzNLdhLvRrJgb1U8GRPc8O+pwrH
GQL7nr2qudj3BOmSU7nYM3VgcOLBnunW2yexZwrOfi1l2P0809oygd3PtfNc
2P0ELq1/LdhRNbY78QA7qhb20thRBf4525vYhzW+tF4f+7Cn9ZKwDwtB3Vcz
sS98e5JxfMk4Doyj5LAvDITZ16/V46KEb16MEPaFJXv9sS8Mqcp2/NhBvuP8
SRQ7yAaOLthBho7zj9uwa3zdJvdl4fUYUPzsil1jOJW3JRe7zyPJC/rYfeYx
scHuM0hZnxLB7nNzsIQjdp81G6Wx+wxB7AxZ2AnN3FK8CTuh/2n3YCcULEOG
tbBnWjOa+Tf5VRyYyI5izxSCGTmjsbO8xsW9GzvLmkU52FmGsNrPvti/HqzO
0sP+tbX6LPavYVLqoBb2qY+WvhDBPrWsqTH2qWF7yn9PsH+t/ZtRAvvX0lse
Yf8apEYOsmNP+eLac2uxp9zuqIQ9ZdCl932BnejLJ5hfYydaookFO9EgwJsQ
jT1oE5VhbexBd/IaYA8axl3Xr8L+sn+Fwc8f3+OgjXeNQSO5nfs5uy5iR7Xl
6i9D7KguRthgRxWGj0qIY890kzjbHuyZNqZ7Ys8U0rPLJLHT+sApyQw7rdfu
q2OnFWI/26Zjp9Xs8KwadlqrYuOw0wpPOEpPYd85yqnfFPvOtEVh7DtDkX3E
GezAmrL7vHI3iwPWLGHswEJDzcXL2KPxjVmlhj0a3f7t2KOBgbWOmtgP6vu9
9jL2gz5G5WI/CDZaeWtiX+aDk02T+ap40NqyG/syQLuXcx77QRw8q0uvRcaR
758u7AfB/sBlU+wEqU462mEnSOAaEysTuZ8yNlpzBUoHiVUFkgWSB2JBhOUU
doIgk+F9Zv+n/QS/xplZwWNxoM9vg70hSNfSuYD9mrtOlXzYr4kTiMN+Dcgf
rgrC7hJf+n9tV7RjIIWnB7tLoLOtMQe7S1W7jlhid8n7rDl2l6CgPVgL+zXt
RJ8K9mvo8td14/+3X6ff8cvy6jHC87pEDnZwtuTVYgcHjk49yPmPV5zgkvCy
xE7Th5Bs7DRBO8/juW3XJImw36Oy2Mcpab+MfRzglRPkx07Tdr60nKLhaLA8
BNhpgrzoPebYdbJ9IVWi3hgFGeqMt/D/2xuZPxcNKOwn/K3p6LHHVPomEntM
cKXsyyrsAlvUbdTDLnB50i/sAoOXpt701ujtRK7Q0OzewCQImWvBfjHkuPAA
dor/2DLvxE5xs0AedorhIeu6Xdgpvrdtw8dYxocwMBmPnWK49PCcEPaOWwfo
lx2OJ0FF3UfsHUOlmtAt7ArJfZQWx67QiV5F7ApBQmGEDHaNLVL/umHX2Lbo
N3aNoc7q9NfxzD3E9ozLBtg1Fravwq4x+MBJT+wv/9lmWoj95c7Ok9hfhp6Z
75WvHcnX19mu5Nq+BKiN98EuElTGtOZi/6i8xsMB+0eMz+uxfwRHxJyIjKUD
xIIjMZHpnABRZ+5gXwm4Ywv/njHlJ/wahzmwizQfVYldJPgRV3AR+5L/bCWf
Y1/y3f/7kjB48FcI9iUPZu0Nxr6k4wmqLwlP/p21fWz8rV7MNdE19J1QvdrO
uRW8r87TsvbkyvxeQqvLv8IsX7h+jVj7L5wzc3vSYY+yr9f8AvYoWeupHiW4
6/+6J3RZjBA4IDDm2y1UHzHMMomPD71esAk7lTr5vf/2j1nAdXGqUwlj46xT
fYNHCelZ2j/zwxbQMUJ1KuG2rHYX9jerBepcsL+5N5jqb4KN9sNL2Nk828cq
gp3No0pUZxMkzn7ajl3LyetDN7BrGb3uJ3YtIYv70lXsWoZ/WzHAriXt/11L
2Gi79fR/GSeh1iPvO3ZOU7gWAx4tktd3F77atb+UA91HB9YsSGZCxN2X1gvk
XJ+Y08Tuar2FYSl2Vx/cPI3dVXhpwPkWu6v/Y+m847n6vwdOUkZLU1lFQ6Fo
EeqlJCQqGjIqI5RIsik7u+yRvXf2HofKLFt8Shkthbw1JKJ+957v79/7uI/r
uu97X69zXq9znk9vGa0e2rsqI1VNe1fJUVn9Idrfev/L/jra37qE4Uv7W8mB
d2sDaZ/pSc7zhbTPNCuHg/aZkuH/vlXTntbru9N3Hy5IJnqfv3JPUcfvxa00
oT2tCrZ892hPq8H6F7SnlWifsN1xY70iebDx0WPax6rQw0f7WMnR6w7rRqyP
EXl++3WqJ9LI4L2hDUdoXmuJeh7tnz24zM+U9s8mx3vS/lnS1/kykfYUl/zY
L097iofGc2hPMXF+o95Be4p3vJXfT3uK5z3RU0y8kuX+aGaJQLaWWATtI3ZV
nqJ9xKSFn/GS9hEzRcrx0j7izGL0EZMZKYYh7SOOrBXypH3Ec4u4aB8xed5c
lUN7h4vSen/T3uELZ9A7THL2xczTfuEf0uIFtF/Y1gX9wiR6VPMq7RfeVinG
T/uFFw6gX5j02G08SHtdjyr8DqG9rmq26HUlOvsW0NPaHN+JntbF//O0EtM/
a4Npr/3xqYRm2ms/8yiH9tqT87eyrGiv/fkO5jW0197MSZb22hMdq/tFtNc+
8OnyPtpr39TWRHvtyZcdO42d7y6CTStDvra8jyX9p++ZuNH518VrVzM6meFH
zu/c6bEYEpgcFVFFHR+XPBIyeYQbXt/7nTtzJoYsMDKWDFLHGVsjmWySuYmy
6KGIl+sSiFrmbMtPKj7hVpCRm/82dySspDeu3S2eLNlR081Pnc/f1rxHd+N6
strV/8gZ+Sgy/OpVrit1/93PV0QtKmAG0WNPZX2oeHhtSuZYMnX8ik0jc+/S
qSOveONbarMjSKvn8dgO6vgmr37e7nB24F1/Rv0GXzjZl7lpaD31/x5RrlOX
KOQGWSXWm/GXogn3gGXvGup8pqQ/LyPitsCOmkfr2ZUeEQuZ0R2q1HEvjs8/
lC9vAdFFJix2zdHk/f7oqT/UfRr1M2kaeK4DI++L+3TVY0mlt8XyFOp4oUr7
3rHWhdrjx7WvT4/GEUv/q5H0OsCf8VPcKzhFSf0OJ+bWt0nk+0wW7REmfp9b
vtAe4Wq34bu0R/hGynLaI0w2/d15hfYIb7W+UkF7hDNe5tEeYdJrKH2X9ghb
ZHaF0B5hjq3FtEeY/Lz9++O2RVvJhNKJDf23EknnkeLbhO4b2sgsvDRvGzmz
S/TBw6kE4ma+/z93+rhL18+mE+vJtkN/VgWFJBD5HNeIYur42X/Oph12G6g4
fz7Uji+RNPZf+WlK847Ycv7QPmJWN7kZ2kfMxWxE+4iJa+yHKok6IfLk1s3P
HJcjyXPFFgE6f+F95to6oLqOBBSXl3x+Ek4Mrli+mqXzGl3zu7/9xYj5ymO7
vy96RDjiRQ9rU8cPhIw8bxH4e0T4pcilvQoJ5FLo2f431N/dvF0M46UqsY+O
VLwE4U53MF7qa12B83iqpdLiHSdDQZPrMc7jCesNMV6asVwXR8VLMJnsg/FS
kL8HxgMfFtrDqXgAlmagz444yybi/K7jvyOMmt+B/KeO8/tIRSb2LxzIecIn
WhwMyzrfY//CeH4wxgkvazaWUXECaPNFY5xgq3UTxyUO/htS1LgEHtubcFxi
5SA4Lv3IIX7UuARd/27huORbw4E8WEHu+B/seulwtiMaebA5qdnIfZUf9Hub
MZwGiXJtyH21lu/Euuu5zSlCbkoh4PfNDeuuDZ6oYb/SxgthplcdguHJ/ufY
r2S0JBv7lUo2ySgrqwRDueUO7Fc6u4UP45NvK2JZTj8Jgac187R3knDox2H9
7axb5MmqhyGQ9NUA62+146owvtJZbJBHxVdw3vQSxldDs3wY/7xfWz5LxT9Q
/VsC45/QJXkYpx0IPCNkoBEG7h9qMU4T2TuM4//TNf+docZ/mH/1H47/gb+Z
cfxv4OlIosZ/uP63BMf/4JZ3OB+pDFzspeYjKOKTwPlo60UOnI9GIyJ/UPMR
iL5Mx/lI9DIrznfcVpXr48tT4U70EM538xde43zXUPNwKzXfgWp6Fc530dNx
+D57ji1w36pJAiMZdXyfk1eV4/do0vk4nvoe4frxuU76e5R05MPvcfCc1SD1
PcJh5mj8Hldsk8HvGjT+E6K+azAvDMfvmvP3OH6PvI2vZKjvEbJUE/B7ZJWy
xO+raC9XOfV9QRiXKn5fVyL1cb5Te17dR8138F2cGee7rstSyBNW4TA1/vw9
Hd6ocSBPuGfuLM6/B858HKHmXzjIbo3zb4AcG86/bvPCL6n5F7w3TVvS828g
+8JmOj5cs8hhbwR7DPy854Xx4elYPowDb14rcKLiQAg7exDjwNWDShh/9phk
Se3wjQWpm8UYf7YuOo7xpLGlgvwd6VhoG+/BeHJc7zPWY2uaXxVo3h4MfOfZ
sB570TpOrN/m/D19x8skBC6NJGD99tuh+xhnika0t1JxJkR5fcE4U9lcFuPM
iyFtyVScCRlzGRhndoyvwbh3bdnNO1TcC1kpERj3Mi1Px/gwhX3jFSo+BKfK
DIwPn7gOYlwdu6EjlYqr4dmvDxhX+w8RrEsXbLa937AsGIJZm7Eu3dVDEuvS
28RXjIctBIHqD2GsS0+RnPel6963+lgaRZ0KgZuSwlj3Thafxrp3PWESMi8T
AkvDPmDde6nUDqyrv7X4vFdrcChMvdyPdfW//ivEuvqLz+SNP7uEQrTzFNbV
i1sWYL36t65IRlF+KHinH8B6daZ/3zCf6usXKqXyKWgvXqC9q8RD+ATmU7/P
yjEd2hkOxx8fwHxqWD4G87JT4g8WqLwM0tbWYl7Wa9aLedbfppuSIgcjwNpV
F/MshZpTmGetipoxp/Is4Nrkg3nWwOIzmCfyCP6NpPJE+KuJ3lLyRMII80Tx
TSO5VJ4IRZOPME9suWaNeeLzDR20hxR0L6OHlOQ9GMR8x+SE4mkq3wFg8cR8
503PKOYFfLYy81ReAKnrbTAveCRXg3lBwLGtlVReAH1v8jEvWJF+HfOC/lPa
+9LsouBpvynmBZ8P+mA+PnjkbQmVj0PycmXMx2f2cuG6gYJY3FZBp1DYHfYI
1w2GNe0wr5fftWRfoGU4CCr+W0Tn9YLB13DdQ0/c937QWBhoNt/AdY/1h//+
c6TyetXNt87+/B4BS4umNOm83iBFB9dVZmNVpP5ejYDtXbtxXSV0IQHjq9FD
DTeo+AoWV4phfNVhsBTjsYEWsx38bBHA4ReN8djU38UYz4R8Youi4hnQGY/A
eOZFYyKut7C7T4jl3wqDxnhTXG+pD92A6wlHeo1LfJjDIOu9Dq4n/Fz0Gddz
9kzbegq/DYfqSVtcz4GFbFxPiLyqVMZqHA6Jq+RwPcEqUhH7ejaF+K63TA4B
6+Pvsa/nrdNi7K/5ned/7T17KEy062B/TV7eHPajbbeQHdou4AkrPx7HfjTF
xofYP2XYm6FvlHkfmBY8sH/qZk4h1gPsrdknF2gTAY+kh7Ee4E+jNcYDrAFT
m748CQfPy1cxHjgcfBTXRePjv/0pEIiClouHcV30ktkrjCvO14Yrcl6OhATh
Mowr4nxzsA9rR5SdaZGZK4SveI59WC7FNdgfZ3Vx76H7f9yB5ewx7I+b6o7G
fq5HnA+zbbLc4TbvTezn+izVg31hWSb/eqomPIHXdBz7wrz6WjFu/KDJ/5iK
G6HkOQfGjZV7azHOLB5pEoTsCCheuh/jzKHkKoxX3XKXxVPxKsS+aMR49ZJv
Ae6/bF7EGba35xEEukwJ0vsvsTk6GP9IrLD1p+If8LDbiPGPap4Exs9ej/J/
U/Ez9BpFYvxs2PEW48+Sqj1aVPwJq3W9Mf6UERPA+PzpLTvJ1vex4LjMDONz
NfPpi3RcWhuteZeKS2FtyBWMS2WsRTDeLrZnH6fibVivn4XxdrZlNcarKc9y
y6l4FTYbqGK8enDzEK6z6SUpZcu3PILR8Ne4znbGnB/X2Vw0L7kT5Udwm/U0
rrO5/7mNeUTmel/RSa84uLOrCPOIdVd8MP5fuVS7hor/YcrxE8b/axnamEcc
6S/7TeUR0FXrjXmEMNtTjEvzvnEdouJSkPt4E+PS2MvtGB+qmh11peJDOCx+
GONDu1khjIcHja2qqXgYNO/FYjx8tvPbDjruzTKrLafiXtj9jg/j3k9Lu3G9
MXKF9oX43gj4o9mG642bXLxx3SxvyUMxZ8MI2HSFD9fNtqsdxPXMfCaxej6x
KCg1FcX1zIWCLFx/664sLVMpiISJZj5cf/u8ey6VXufsVd1/bblGJLC9q8F1
TieyFNdLbxQwpTuXRUFbgTaul366+gXXJ0+5Cz4ISouC4pgAXJ90sOTD9cni
E60Xd66MgqJTkrg+qSr/HfOUvMPm16k8Bcyl+jBP8eQswrxmKPBYNZXXgGmx
HuY1DWp26BXiLmW9xOKfD14zbOgV2vvkfSTth+oXfeBzKyYPNo5zoh/qoXMM
+pIqg0JyHvoUwNDPQSPal8QWvhE9U3zbTVgdKvLhjv8q9Ez9GuVH75L0U96h
5thCuCz1uYj2Li2ZLESPFc9bvnDH8gKwr8lGj5Xgtjr05VmI17BpXymA3m4T
9OXtvB2Gfr31aYPZ2paFEJPUXkX79RxGJwRoX96kQa1nYXwRsJjkoC/vsJQS
+rmEdGZbYhfy4MwYO/q59tiwoZeTqds64k3uY5C/JoJezls1kujPklsmBlXj
+TDU3IX+rIkvJujZvNyYf/jC/nzY0/RvJ+3ZHLXZgV6n07tSZPrbC6H84Hr0
OnnvFkCvk1Fe0seVXwtgt8dR9DplJyijF+yrqeZjzxOP4YGXGHrBLDIL0Pt5
sHimcZIrF2RHzdD7GVmXg16/NKtMzyeuxRBXsR29frs/PEAvodS67Z/I+SIY
slNDL+HBH7PWtB9wQ1mG752VpfDz0Wn0Ax43KULvoUKOTQdzXDFca3ZF76GL
vTb61Eb6LF+diyqD/R8/L9A+td5/C2y0N1Ai4Lih9M5S6Prhgt5A7og9yKHa
M1kwkb1QDsw/VJBDFcAIQg4V6w2fJ/qOFeAhZ4Ucqv05l5H7pNb1oNw8uwqi
Li5B7hOHpgF6BtfzSno6BFSAc1yfDe0Z7PMORM/gva0leq86yiFK/DR6Bk+4
2qGvkHHgBvzILwcVj5XoK9yvlozeN8vTP9eq3C+Dqi2vTWnv28jS8gHa+7Zm
5dFsq7kScC1PfUN7324euILexolz4irpKtT7Y8CG3kZrq1r0PxYs4nRdYVcE
bwzXov8x5zKgn3E6St1854diKH3vg37GYwUW6B/k/f5hZhv1fKKaPdE/KDZ/
H/2G9p4s570vlUGXTy/6DbP4zNBjeFXSf+NR11JoXt+GHsNyy9PoKzRkN1Bk
2loB/TKN6CtsKhlCX+G6lhWSysVlsDpgMfoKnzZdRV/h7gsiRzwES0G0mRt9
hfGFc7a0r9BTp0tqdrQEBOKm7WhfoQLPdAjtYbxpcv7gQms5UJkFehhd9/1b
TPsKlaONa5h6K8FiKgx9heURu9DnmH338XXV56Xwl7kAfY5uNUHoZ3yrNhvA
tbwMjtxRRz/je8Xz6Muz3xjW++BIFRybX4u+PNbqZvTlvSvVUUp+UAFOjQR9
eZs/hqGvUGCZnA9/Yw0s8TuLvsKDKTzoJVwxnL7hGlQBU1M9eglVSgXQe8iT
q//9hEAdmHa7o/eQ23CugfYnhvZZCf5Y/ASWcx5Ff2KyZx36E70vPtjWcacO
TpqyoT+x0roEfX89CUs19I/VgO7LO+j78zeY3EH72pRu/rb/j7cY1OfnrWhf
W+vds+iVG7JYX+O4tQi+xby1p71y/TZ/XGnvm066fVnaNeq9uiyB3rfvHofQ
WyctaAoJGsWQGhmO3jqtlkXoi3T+7Nw/GE/9LpVj4bQvcsupPvTK7Wef4DR+
WwridWXoldtbeQm9byEudWufCBVA8Iot6H2T7NBHn116k8SG/TsKgRGZjj47
6TWV6Jdk7+N9Xx9cDEGCmeiX/HVzC/ryzv115Bq8UgSzk9royxuvFsR90uMX
Ly25tCQJbpwQx33SyLwE3Pds1Xq99n5PIgjaluC+5/epA7gP22yv8WHFWBK8
X5KM+7D+L7/hPuM/YY3KxcVJIP1YGPcZRy8+xP3f7PR9Ug+eJ8OBMRfc//2R
GY77v7YMb54jwclwZdEo7v8GiX/D/dwK0YTeoeNJIDjqiPu521d9w31h658B
hs8Fk2G/WhLuC2fNqeJ+7qTivzK+1Smwc/Ql7ufat/ngPjUrZD5orksB7alw
3Kfe4HUG96m3jBzb2eqeAsWPfg/R+9Q1283RUxYjebBBqT4VnO1V0FN2xmcR
espYKk6dUXVJBc9XV9FTxrPYeRfNhxQT33FyYKQd3sscFqD5kC89ViMHUlu6
Xi7cqxHeeG6QpjmQfal3vWhupEDe9pMTY61gXHbgNs2NPK770Zvm4jJWHtfj
et8O87tTRGku7naLHtyPliy8W/KFMxUsQjRxP9rrVAd6zSzspLouc1H5vvE0
K+01W7MyDPeLT5qbsFnfi4flpyJwv/h06z7cL+YQTL6mtT4eHL9K4H5x11A3
7kcPZKS//PMgAR4H78H96FrVf/z0fnR/bIVExsUEOB+5BPeji/MP4X5NxfF1
f1Pq46BlSBz3a5gYVbjvbKn+hj19VwKczWfHfec5bxvcHx/9oHZum0gibJXb
hPvj8hJhuD9+cUUW0fiTALoxorg/vqdRF/ejd41vcfx5LRFcDvvifvT70ld/
aR7diO+3MzlKtaDSzI88uuNnriAncL55f/r95CpI4H4cS3MC5T5qI49u00Rl
XWN9HXhJ1vbRPLo3+R9v0RzCdJavim5Ha+GtoTlyCJXbzJEreN/CsYT/UAWs
sZVCrmDktCby8d58mfa0tyuDD02XkI8nbquIHEXinbDAsqwCXE9+b6U5iizH
Q3poLt877dbAQZ1a6Ctahly+N02WyM17Z3RUxyi1Cu4c6BSkuXn7fqStpfl+
wkcOPjzWVQee7WlSNN9P/cPq//EM3y0SF7hdAS88NJFn+LFEQZXm+LF+uarL
9vEJeKu3v6Y5fg2GCsgV/GcXl/JE+iloF4V8p7mCFutr/9IcUb4k+dlX2xoh
R7EggeaICiYpvKV5pBIKdzU1+9vhnZL5M5pHyv39WxPNI+04p846rN4KXJ/a
xmke6VbHjmmaO1pd6dQ9PNgOlRyehOaO/k2aTKL5z/8if7GfutMNY9Yt7DT/
eZHfw8U0R1pKc+Oe1ReHwSruxjDNkeZgBF6meaT8w+423sFdYLezNJXmkdqa
jW6i+YfcFst6l4zVAae/IPIP+z6WctMcxcNeXPeq2Z7C7C7PvTRHUe5OTSXN
OZxe3Xwt7E0DyEb37qE5h13Jr7A//dJDMdLjaAVpRTzYn543wYz96W+MH70v
nb8DbtOa2J9+sN0d+9+JiuUK7TR7sL7Ggf3vHlZHsP99Jw+nxq8l9sB2LAn7
31kqE7CvnJWphLnkv3vA9ecB9pVnKv/BvvUfSczq+dz3AARqsW89R3oU+8of
XG9tMl9iDaFZs9hXfj5+H/ahn/26ML/7nAOcrfPCPnTz9RX/62f/M7l4a5Yz
lLzYif3sT7/9QA7PUOS6LtlidVB7sBs5PAWRhsjh2Wo77p11VR1GS68ih2fD
iDtyhB4GXF3RX6oP/tdVkCN09UktcnK8z1yJFjfQhy9/ipGTo5t2BHlE9cFP
vEfWGgCLwkvkEVm1JyAH6f4mt69r026Ch9MN5CAVi/ojBylmS9Te59w3YYfk
ZeQgrQkbRT7Ppzmpf3tWa4B2yhHk8+x26kNPXPjYgE7CaC547PdBTxwfpxl6
4kJS8x8q5ebArSc96Ilb2rQfvWy1JqMF78Sy4Rv3XvSyzeTao5fNevma8NTt
WVDapYxeNp6jkehlUxAo3pgXmA0nXpxDL5vuaXv0Bmo4bhIYvJUBxv4D6A00
HPBGP6B04T9jnoB0MNtoin7A07Pb0R/H6Nl5m7khE6y8RdEfp3DEFP1xZzR2
XZ7szICW5Jvoj8sYC0fvW8oqXe6e0zmQvvbXNtr7VnlDGfvcQ+O8Lo7FWEPv
3aPY575n5Tnsl5/ra3w6scoRdF6YYr989Ew69r9vlG5wajnhAkU5Btj/bhhf
g333x+RPfdzy1hFGR0yx7/7h8uXYF//+qML6/noXaLLjxb745rE27Lv37/cK
KCE28HLbJPbdW+m9Qu5Tj21ZvKmsE2yqakTuk2NUPXKfpOZ7dLJrHGHLd33k
PsVY3EC+wYevv9mK3VzAU8AO+QZae8aRb1C/k0XSWsoFOKTvId/Af9kG5CT8
uLJ1ZG7cDYTKniEnIYhXEnlcGnZq02XhbqBpsxJ5XAcC3iG36pG9/rSXoy24
B8oit6oi+BJyq9zvCm88sdoW0q8T5FaZB2UiJ4GdKU58X58L/MfviZwE3dxJ
5CSoe/mZDqu4w+OjyshJ2NvfhryFmzdjVH60OoF21gXkLUjI9CDHwzrNYMvG
VG9QC9mJHI/vuo+Q4+Gn2enzcMYLRIzMkOMh8SIPORtLXpyoOnvPD2RClZGz
IVL5FHkdWkM9maurfeGjQBjyOril1iDf46pwiv2wtCfYmLQg3+OA0y/kzPAF
V55oz/WADj1W5Myoh39Djo1DO0Pq1UUvcNthgByb9S6VyOtYV+LrzOpwH14k
+CKvA2S7kSuiI5h6ZHOvJzivE0euSLFeKXI/tnpLczPp+cA6BjdyP6S+CyM/
ZLWS7JmiM/5Qc/Im8kNYb9gjf8P8cPmmRu874Lx8O/I3juzKQl7HoPyOVRHW
dqDs6Yq8jj1ndyB/YyxJfzD0+l345bwe+RtS+94hV01P3OBVucAd2NLZg1y1
DqtB5KqNfWnefLbeEux6spCr9rUqEHlo2gOV3ALRpnDpuD7y0F6N3kd+2mrR
lXWXzCxhKoYD+WlLF/ki98xVSLB85Jst2Hq6IPdMo8QH68OZxNb8uND7CEKb
k7A+fPM7Oax/fm2Ya3n3WxSU2bdj/fOxV5+wPtyltz5lX2YMyG5eg/XhgXqy
WEfdW76u6ltxNHBydGId9WiZIfY3PbxQVLDuUCQkKoVjf9O3vhVY357Bo2Kq
0hINepUDWN+ePzGFdelrDqzqFiqIheaOmTV0Xbr+ghD2TxkSS8ZJzigoWBmN
/VMmOpexjjpwtYz5zsMJ8DXwxyBdRz3Z2oV14/MeM7lcevEguX0Z1o2/Km3E
+ur5AHjreScelmhVYX31O8VkrBuv3bxy6/bROLCWuIN147axE1jvPfD00/0w
j1hYuHME671P1QlhvfceDeeuzcExcLnCH+u9JyEA67RbeDa83eYUB/eu62Gd
tmALF9Zpv4uv1mFXS4AJ1f+wTluOqwh9pru8bZckT8bBaZlb6DP1NO/GeuxM
sSkF7dpYGHzOhPXYE/pbsH77yFi5otZwPJz4cwLrt0XPqKHndPXGzW2pZxNg
jfRL9JzecCrGOnCZfxdXPUtLAE7Pp1gHnpjLgZ5W9l+91r/4qOc2Z4Se1n+t
H9Cj+t2SP36zagJohOuiR9WU1R/rwG0t8lWl/osB7wwVrAPnGx3GOvCKbO7Q
H7XRsM9DE+vAi3V+r6P9p7wsrmZ8WonQMKiO/tNcZxnsdyg64t7NlBIDVbcP
Y79DQW0G1v9PVh0qvBMdB6eu9mL9PyfPTAjd11DKZky2TEaBkvM17Gso7IjE
Poi738R0aysegd6xG9gHMbD4Lyft1VVs2RG/tysFcgaS0avLuigfva5didsf
925MASbeAPS6zrOuRp9v6YcPYh0zqSC5bTX6fIfbItDne4RxLENiXyrk7OlB
n6+6zX707b45ka7k054GAj+80bdbY8mL/tzuoDusTGsy4PX1f4T25+r6vEe/
sEC3XeUW0XTY8fkU+oVt1T5/pj2/z/kSrQRvp0DiJQ70/PbnJaHnd+3dJWt7
S5Mhd9wfPb/QwYse4QAnP0HBqFSw/dCIHuGkUWn00na83mhdypkMtxbvRC+t
yMAe9P92fQp5YGWSCfCqGP2/je3h6Hs1OZErL9KVBSdF3ND36tHXjb7j1miF
i3yX0iD4cyj6jpdtbsH6fIeP35O3ySaCwOgjrM/PM0nF/o7J9Y+d96UmQE5I
AvZ3HDTcgXX7LU23ZDvkk0BjfMyXrts/cloO+0eqLwsFDycmgpmUAPaPtEfy
Yx/H2IkX7g9042CNpgD2cQT4KGCfyNdZJu9VmxIg/7/pfXSfyKtXQtjH8XVt
uLWeahywDk3I0H0cD9UvYR+KkyBoNS5LhMOabNiHUlIUiP0IDSrmO83Sk6Bf
zwL7ETjmy7AfoeLgZs7CpUnAb/3Tku5HuJXyZwfdX/BHta+B53wydM2xYn9B
oGcD8gS4m+t2GyRbQ6vIGPIE0nSZkSfQSfakaO12A4NLFcgTEI56hv3phfry
9pMsDqBu8xT70w0SspAbcC/e60rGEzew/xeK3IDOuHTkDOydev+wi8kVgj48
Rc5AK+ME9rPf3LRkIaveGtSFTLCfXbV8BfbF793zp+masAM8/9aJffF5Tw4h
x0Di09O6FKXbENZvhxyDFzPPkFPaOBTT9knFDX53qiOnVFW+EjmlgzKGLJc5
3cDvnCpySpkHypCDqjDjwFGd6gFLzg0gB7XOMhM5qFZXtg2Bjgf4/xhBDqq2
uAXyRdVWy64PYPWCyx5GyBfNZmtHfukpjRbF2aL7cKo0D/ml84QJuaP3DWft
tOc8oNaxBbmjVinMyC89XHq/apuhF3iYKiG/VGSf8kqa83D139CN/sg8mGAz
LKU5D1fZUiVpLoT63bTQpxV14CKrV01zIdoTA5EPucXIeWTPPWcqj1mLfMjF
AWXIhzQ0qfrPQsAZqjbyIB9SbEscciYXF9YPzvW6Av8yf+RMLms7hrzE7+dF
P4l034Pbgt7IS1zNqEO+4kgloyUhwxWY3iYgX3H87SRyGjOCuksfxDrABqPj
yGkUbziJnMZd3szsYdoOwHctBjmNJ4cUkAM5LLPGcM+ENfzXmoscSOF+X+QV
jNwuUXl+9TZcEXRCXoGZ2fNtNB/jaBX/v39BLdBXOfCe5mOs9itEbuSzzTls
5W63wdPEAbmRkt4VyAUNGJzYxW8eBHvbEpALOl4VhLzcd8fTdRylguDrryPI
y/33eRI5vUMse0u2/34ItyIDkNOrHcOGnF628yFhZ9IfwqenB5HT66wzinxd
yWKJ443LgqDh7zfk6665dwC5wZbr7MpvC/mBpkEecoOHzOqQD3wsLNPsxJAv
qOsLIh947psfcokZCaJ5Kj4BkFwSilxit7hK5Ayv37jqyuCRAJg8roic4bQM
BeT3LjL8LpYtFgiKOQT5vbmXxpH36NLuPS113xUUv55D3qPnS3vkQw4KcW6R
aHSnvqcLyIdM23gVOZCXDuSJlHPehy5/EeRAejfvQe7lxpPFW7i/ukPxdAdy
L4ViJpF72azW3iYuScWTmtbIvTS+pYL8TMly1q9HBDxg+eKvyM98qbEMOb07
cm/ckb11H+z+fEdOr9HPPOQAD3zO3N/B5QPbjrogB3j5eTnkAAs92KZW3OAN
2mz6yAGOfmOHfGYR0YMHuWz9wIMnA/nMjFsfkPN81ZF7bfSHADjIE4Kc5xiO
K8jhLGS21s3w8gYFT17kcEo9jUKOmZ8Q0+/ZDi8QyKhEjhnbuD7y0By0Jq3O
n/KFgFkW5KEdfroGeWiHTH5HfOr1gVtlJchDOzyWifxD0xdDy552+sPZfeeR
f8ibdgA5hz84G07bq/rDyiU6yDkU32OFnLSw0TLmdi1PKN4jhJw0NuN45KRV
ex19WtHtCx4yrMhJG9epQu6i/up3lp6GAfDlUQByF3fMqSIH0vdZldZJZW8I
2cSFHEjLlxHIb0z6+V/d3ssPwcJIF/mNoVs3IY/x3e3e2Yb2B2B9TgR5jD0h
+5DPuX2f0vruuUAo2uSGfE43217kcP4bMesayQkEH4YAcji/3/mOnE/jF3/2
h6gHgdq7fuR8Nt4cRF7oosYjjquyg0FRdBh5oaaXXJAXCgmTm9eeCobMOhHk
hQrwf0T+5NTKdc5p/x6C7qkS5E9C+U3kZFa3ji1zE/UA+JOCnEy5tjPIsTxt
zD6eWOoOIb1tyLF8M3Ud+ZxKyUPB9xruQ4khM/I5VwweQn7mK/nafxvk7kNc
FzfyM6varyP/U3Ffjf+jaz5QohWN/M/K7ADkcC7bnBKq3+kN2ezHkMMp7HYB
OaIzglOemuy+4KNrjBzRYus1yNv0qJnnP9XkCdUf0pC3efA8D/J12zjfK6UK
WQLPXX/k626424d8Xd7Zd3LLP9yGeqFdyNe9HcSPHGC1jaqP35XYQFyoEHKA
s1dMIgf4z8n6f6JGNnA2HpAD7Owkh5zhwx90o26qOUKsFytyhi8NHkPOsLaD
Y+idSWq8XReFnOEajxHk5Jw0XXHz8t0bEC6QjZyczeGDyMn5eYnFbUzmBkw7
/IecnCzZN8jptef+lHT78W24WWGEnF7p48nI9f3vp5z9vKANTCecRa6v6rL/
5+Sk/LT5238WImLnkZMz2bYSOTmedyQG45POQqOFMnJysoQVkXtzcqoux/C1
HpTVr0HuzZW7DOTzZPJNMM+l6AGj8RbyeXJXZCIndkhWnqNmJggcKyOQEztr
O4ecnL2eDZti227AcKYRcnLixCKQ57N7w+VwY3s9iJIZQJ4Pl8T/+DbiL8e3
b7A9C0y648i3Uer5GfeCyZYIb7stGCp8H/S3ENo3BKd3yHmGHbclvAnXdVw7
/OCx/3baWwQrLj3YfynSloxuaJXnaQiE7pJVtFcIRk5JHHjcaE9yJhKVKk28
oF7GhvYZgUqjrnM3lwOJFjd1rzUIgEO9Y7QXCXLab31sMHcgz2zDIvMrg0Cr
PIj2AcG4TM7lnHlbklV3cUny4xBYrlJMe4VAYPNTo2/a1uSQDd++8fRgEBAs
pb1C0JR/7s8JSzuyuUDsWWdaOLBKfaK9RSAf+tZb8qgf6Z0TvcFvmgSu1ZkN
v2cZ0Fj5K0eL35ucbqsYFHyXAP3DlguzcwzYX/jfI845P1LPe+yexepUcHqf
dULlNwPiOlXH9pd5k4eHv1/bdyIZxMMkMiOp6+xdom17eNCBfFseVGjdFQpp
t77QXgM4Iqk1wa3nSHZ1979aPhsBXLfjaa8B1Mk2PHIxtiLn+IJNZditwS52
L+3VAhamyTWW6Tako/vaJXUOG3AeXkp7suDeaxsBnxc2ZGUUp/X2IBd4UvyF
9iKByfuQwyuUrMj9PToWuy2dIfj2XdqLBBW691rPEStSkVx7J1XgLvRc1qK9
SDD2W2T8bc8d8m+o5opNpxU4dX2lvV3AcNl5QM7Niuh2iOrbbLgGk5FVtEcM
+Bf+ZY5R5y8r5dzu2WkIopMFtM8LpkqETrX62xPiUJZh7OwKGwoe0L4kSFsS
6FZlYE8Y8fvqyAlb8K8zov1KIP0mUmZPjxORYhaXM3/hDexHjWkfBNiQzcY8
O+6SdGELEfVtD0HNooD2R0Bo1p4Yjod3Sb/yQPiOF8Hg4/yN9j7A7R0/zH8o
uZCQgc8a8CAQnl6Lpv0XcFAxnD3M3YWa/6XTFf6FQEScKO3LgMGdTnw5G11I
jUq3w6CWL6ge20Z7IuC4/aZ3S+fsSBtDUkkzPwreJm6aO079LsLbT+nMhdoT
h2Mqfw+2x8Dv/kja1wDcs7UGpUrORJlTOOHsaAxohyzQXgmwCtEeuf7bkbTt
m76TtD8aPhneor0ScDurOLuP1YUMdx63DZNJgIeXC2m/A7x70Fdkl+pE1pew
jJR7xcH4XA/tiYBraZdjLh93ICu+fNj2jjkB3OAt7ZUAZdHlOmk3bInfhl65
d8fjoG3vMO1xgJGnDw4WsDuSgTurrAyyEuHOjC/tnYFB/XH9Nzx2xN9z0Rn2
/ASQFguh/TLwUomt6pTiPTLoKiVp+iQJJtYYep6gzg/htpTaIudMTDKlvVVi
UqBxx7llAtT7nL4+q6H0kyPxD3or3qSfDD8G3O8zqONDjOyUrut3ifGz1fJb
/yTAMfF/tBcDPj5Rqi+740mqQ0XmP+6Nh3SPCtq/A5key4bit7qTlZPiT68t
igW9IVfaBwRZEYkrmn96kqyDszr7mxIhr0CtMZy6n0MCv0usQ9zJYieR7L+u
CfBlSyrtJ4Jp174zEr73yQWvYzqFy1LgnpGuhhR1P7ybXF1PrPEgf00ftsiF
U3llw82e/dR12g/Y3R5v9yei72dYEt+mw39vXOqUfjHArDXIdt7EhxifXKnV
0ZQKKYUsi37OMGDmzRnX6ruuJNUudiKgOw6a9i4+vED93e/lFtx5E67kqOqF
F+rnEoEvf/2Kv9T1Za7vMkuJu0fiFXalTVhGwYFjj2lvCCzfFjUoyedKdC8o
+YzzRsO18V+05wiijQ/9R/MPzwV7JrJaVsHRsg9NNP/wi2OwIs1LDP83v9Zc
oha0c3gGaF7ii+AH/DT/kKydfcq1qxzkfgir0/zD1srzYjQvsejBzgXnsBrw
P7e5D3mJ11n5aK5gBodY37dlxVDi972e5gqydDzLpvmEK3fV5jsa5gFna48W
zScMM+VdQfMMfwUxlsvbFULVuZ4pmmd4M5FzEXILZ7odBGLL4fHEwTGaW3iZ
ZZcjzYGU93p+piSrAYqn+hk0B9Jrh80Rmsdoe/jvl65vXZCRmqtH8xiLTGy+
3rsRRt69n84tPZsF87dCV139wQCJPXyTLkLBxJCTVfILIw1SZW8K3KV+l0fh
fUelT4eToWeGlhZhj6FVbZn3TQYDPM+9sv9WH0wckrm2ylhlgRAfi+dj6jrJ
kee7aE7jx60/d2tkFUD1KkMTmtOoYXZet8I1hBhBsvQPhcfwOn6hUIzmIuZt
7KZ5j3NMwWKseSWQ6FM0TfMeJdNjXw7ZBJJzngrynwzDgLXsP9orBBtTX4vo
lvkTHRf+se8KISD30Yv2AcFkUlPro/xAEtYzXPbv3yOY3/We9krDUM3O3TGb
A8jVae6Wc2cjgbn8F+05AsX/JkUXxINI5hWvZyf8EqBPzFo0iHp/QocVPxak
BJAHwstUP3nGQscK55vV1PumUL0pjG1vEHF4KX3kmUUCHOxyKo6jzhdzVti/
WTeInBFUmHY+FQ4af9h5R6jrZ2puc1NQDiKqdYFG/6qjIcGoxIUeN5oVn1YM
Hggi5QdLBVkeUuPPRYuwB9R1PJf6bKO5nUtOX51bkw/wo2FjFs3tzNItFfK4
7EMsjQPs82OCYP+PSdpzBN3eG4amin3Ium/SjjUS4WDKiKV9SXBsitSwbfEl
3bISmXtGH8Gfv2JartT9ePn/Yds770q8z5rIevL5w4EZLdo3BIoHdYYW73Uj
issW2o7mBMGqowdozxF0itj1D1m5kSdTSruLtMPg29oM2pcEXCX6TJ967pNM
+VLd/luh0LnVjPYTUc/j49nnWh5E/NcvPdsfwfBg1SPaowSzwl+vm+z2Ikct
0nnX1UZC8cza8+uo84XcpaP+pnuQc3ELut3j4TDmV0p7moDv5Yz0E14P4vnK
3Ul4ywMwqgunfUmgrhISqxxkQ/7LEbXoX2QELU1HaW8mBBi2BB1UsSeJTau+
Vx42BiHtl7RPEHLX71/G/DOQaNrpO3VVpsKuQ8JV96jxJOOy89+R9kCyWCQy
8IdUBgib5U+UTzPg1ysvtsdyD4lJqc/TVUYp0OcV7ulLxRUHDbbnjbIGEojf
0HfpUjroePkL2lPfRYKkUm9nZiC5fnNFe/K1LHjwOmh48U8q/hG9fUIvNZAo
CDv+OpOcBSED4grd1Hdx6N6UtVdFIPG2+CKdW50Fh8WOWldSx7nN1hw473ef
KI86L5TIBEKosCHtdQLht8LI+4Xq/et1Issh1+VZN837LTvh4UHzfuufGx/c
JVsJZ7Wqs2ner9CN+ms0/9Zd+d1U6Hg1RGzQGKH5t6w9O5HHKyuwjLfwXwXk
V009pHm8Tss5kbu723Ux86H6cgjjY0Hu7hy/FvJyRSrsH6Wvq4P4VRudaV5u
vKUwcoBtdZhNjwRVg4qn8naaA3zA+yRyj3llT6otWVoMvh2yyD3OWf6qmeYY
/1zk1rQxoBBu+UcM0Bxj45IryFtuuKxQv/hVCeiWN8/SvGWx57HIW9Z4GOw8
uKQYFPo9tGnecuvxfCea57z1YH5fQkoZdMjEhtM853PPpJDnrDrPUyKSWgLT
rZeR5/z3c/gTmmN8bbHa/IbxcmAuPYIcY9P/TJDHu4otdvOxwDJYsybDgebx
ltxInqS5xHbVJjExGyvgV0jOJZpLPHDF05DmG182MNM36ayANZeMVGi+8fku
HuSyqn3Y0OtrXwh8g/LIZc0IcEUu6zbNvhw3gQI45cGGXFZtHVbkP196LxnZ
x0GN/x9vedH85xe7u8/T/GexmrDoC26F4OXZv5/mPyuLP2+j+dKck0yPdn0s
geoVMsiX/tQvjfxVxSOh5lacBWCkVNlK81eZb3ohx1VmN9vDOwV50Kmb/4rm
uHpe34Mc16H9S+buxeWC3sHzyHHlLmJDHuztf+fFvCfywClECnmwIvtPI6f3
8HWtQy/Uc2FO9L0nzentYOJEXvSshIKh4nAZnJ4xz6R50eLZssiXZro4ICCp
WA4vB6o1aL60SesJ5ND2FxauW7+/AJKfd8/SHNrRZFUWmqc66rD2EMdgO3zf
+n4XzVN9aLfOhOapWn2XG7Ov7IGxNwMZNE9V2lSmi+Z2PjqVZD/V0w4+HvdF
aW5n7cFj8zS3s69y6C37ojaIDElwprmdfSxBYzS3U+Tv/nnnJU2gr7Cnk+Z2
5gdHlNMczvS5THXf5+1QKTMrT3M4V56YiKC5mjlxvwm7/0vokO/WprmahSbW
/DTnc5pJzyoqswnG5q5W0pzPkLcGXDTnM4Lxmu1o91PwEExxpDmfLfrMhTQ/
9nbPeeMDlh+ArV/xBc2PzVlXtI72gId0CGtxNjKgfxGXFO0BfyK0M5/2eo8O
+xdZNFDv/cmj7LTXu4v3qwvNu96+r2hdQQZAraXxCZp3vcJW6zjNu1ZwcW+K
Va6GqV01RjTv2kpRDTmfIWrPh2zq6mGLfEY7zflUVE7KonmefJPPtpfLASzO
rF9D8zw7t7QM07zQnPyCCtHmZ7Ano/8OzQuFmW9iNOdz3fdhngOOzeCbkeJC
cz51Fq1CzmeC6lK+zCPPoIGtYYrmfPIMPv5Ac0Sl2p//ucn/BJw/PlpPc0Rt
UhxlaH7p1U+zYaO57aDw4hALzS+VODY1RvNOlw2ed27f0A6v3r7bQPNORbZF
KNK80Ps/9nzps64Hs5n8SZoXen2VVh7NC3Weico3PdMERvuY82heqD75cYDm
f7YsT130+XEnjPzua6f5n69cw67RHNH5k62JCsdGoFX2Vy7NEc2+XGBAc0QD
y9K2XKxpgYQ8HlGaI/qDL28JzQu1W+2SHfq3CTwOy+nSvFD//jVvaf4nz+Eb
R1cZP4O1r87r0vxPkYBr22mOKCvbcZtWtUZgGM1Y0RxRjyp+Y5ojeqjN3uqY
VDO8NhZYQnNEtxhtPkpzO70TNxxyFqqH6Jj1H2lu5+CsFwvN/0ytWXZocX4V
+G2aWUrzPy/HvFlFc781Pu5n4oksAyHO0ds09zvkuFIMzREV/uvSk9cMMKBw
tpfmiA7EalXQ/PC18xZCcn6VwO2+ZgnNDz+1gWcjzSMdc5TYZn//CZw+rc5F
80gr1Z6n0/zwF/UasQU8taDcs3KS5ofXbo1kprmjTdMZ4+uPNUPW9j2hNHd0
YMtVY0cRF3LV14m3zS8NSj60n3hBzZsWIf+Z+r11IhWeX3p9xFLhkHjgxhZq
ftwS6jfh3ORCBosNTV1DM0CmwvG6IjU/SkYeWyiaukvCRd2XBy1Ph5Dhc2vs
qeuEssRuWmHjSmy9PnFlVGbB2Icehhc1b+5z3/n6gJAzidSVUjixJBOcK72+
/qbm5f0PQ6/3j9gRYVlPOU2VJFid3Ub7OkGLO3/gZK09YXZdNnrrVzIYzgLt
3wSXkVplmtfq1WveH3LkE5iO8w+03/oEEnJP/KSLHMg3rqNcxUWp0GNelm5D
3b/FDDvyt4+maFQtys+BTTtXI3/71JfTyPe+6jNetlgyD7QH/5bTfG8+fl3k
eB+Q+M5yhSUX5vdJIsdb0HfMlOaEvz6waYf073w46XmvlOaE6wx8cqZ54Bts
Dux4b5UHFlUEeeBrUh1O0L4G9+P3mpmDC+HzDA/6GoqZLqFnIc6o2vj8p3xY
eMWOnoUwrmRX2qegeGzc+ZRiMSTfXow+habZm+hT2MoRka9vUQi+WnvRp7CZ
2KCXISu0g1np92NYdyHqL+1l8B1ehdz1Pakpf8t5ssHXxxS566qs+btp7v3I
Ui//ravKgGv3PTuaey/V3CFEexYyj3x8RvyKgVfrjR7tWQhKmWan+fmqdlWa
y2sqIMBgmx7Nz/d7tgJ9DUKpLS8780qpcfAmM+1rcOTiRX7+Dx1n3azQIujI
DEmj+fkW0i2htJ9iXulCX6N/Ibw3jhCn/RS8095WtIdi0+qa5W1axaB5O2sL
7aGY+f22nubtB10638//pBh0WzJqad5+8YtRedqLIbplt+Nd82IYNNgdTnsx
5m+vQa9EktghXcFDJQBLG0ZorwTX8jFl2n/xeqXZo4C+fKh9thj9F10XBH97
FuqRymuHuN48KwLtkdU1HqMM8sd9oCz4+hXisSM7auBcEWx+bX0y8jODNC3T
+LV711Wiw3v6THZMEcSuvPbsM3W+0NTOZdeGrpFN21cX7MsohoI+MkX3F4hE
cXT+KtYnHoKRjW1zRXA78mztwicG0a7lObnkoglZeNIctX1VKWRqVZY6jjCI
a8dxmc5uQ+Ji5fS2W6UEjNljd4a+ZxCjz3eVWX4akifJ72cnBIvh4YUeiwjq
OhUfN/p7uOmTc/b5CikDRXDVijVPhbofxpPhfV0ipuTDxL6vyblloJT9LKjv
DYMwrb6nHi9rTCby5RedfVEKiZu/fLkxxCCyYpq1Znbm5KV3y7ntQRXw+9YW
+/k+Bilgkf3ydckNMnOW5elW33LIdzbnkH3NIPdy1QzKJG4TbpdrZ151V0H+
W7dtRh0McvZLjtfq02ZktnZ85mJUJQirvM2N7mEQ+9u3khKy9cih9rumrCnF
kDYXf/k09XycGp0u/CwzIJc8Du9gWl4KE9EL8V7Uc7hSny/4yOEKcVp5tOiG
ZAGcy1CQtfjKIMaO7jkWDVrEzlf58dGKfJiGUI+7kwzCmi699e91PVLksmHY
R6IQrMgqp+PjDBIeL9aYXaxLUj1zV/xOL4DEH18aHSYYxLldrsVjhSa5WOih
9a08D4YfrI2Vm2IQG/bY0j6Jc8SDX2ntscnHMPSJdQ3bNwZZpXfvKveDC6Rj
itxWV8mHfVUbs/UY1P0rHe2UTFcnibmLre/b5lDzolaO+g8GGaxn973wT40E
9wiwl7/Ihr2n9t79Qh3vWDFt+tHnPDFb7b49if8x/JZxlm+nrr904mJEApM6
KTq6SJ4Y5ELSloALd78ziAHfiRP1+jrkblLdiaAz+VDOs+X5eervmkkGj13f
dInEcWvGqosXgJ7vEMOFej5hTcUHHt++Shac5u7rZlPPodg4XGSMQZ7xRTXX
vtEmNxr6X2cJF8LNC1VGWtTz8Xri7VItY0DM/V4/mz5aBF8DrnE9o97zzRMH
d4d07COd+vPluu1pML9m27XBGep925stMe0tRrbLvD7P4ZMG9utKo1b+ZpAL
4iT/eq0kKXJvZ/L/kg7Ljx64uZI6/9JN4SUS7yVI+JnRrbbx6eC+PjTwBHU8
aV4w5KfrEcLLdKXn1/EM4D8kfKv1F4MUPtVfudB+lNS1Z5QG2GTC8f1Ho99M
M8i1Z5fypH7KEJEfbA+j1mbCm3tJYruo8+9cqY5dUnOIvMm9YDEglA6T6VYf
Eqjr8+9Wflfle5wwKfMs1aDmHSVHoy29PxnkyUXxN/O1cmTXc14/aYssmJrO
GOWirv/5UUlJ7Q4lsm7R+fSNkjlg5bQzxp/6vVbMblHeLS5P8riWD319mg0j
YytLv1HHT65NW8VxQYWYS/csPpyVCyqC++Rlqd+rbNXCjFi7Agn6lfQf7+5c
OPPE8L/H1PFW9nNEdfYAORdbO5owlAFPNlilalD3/ytMhKMy4hBZNPW6KmBj
Fug5fpK/RN2Pa5UNr0PIHfK7jiUhLaIWyrpvVOxroL7Hcx8NJRIsSNmW2zxj
G2pAmXnk2UAr9XzeZ2r7PLQhXXdD3pksr4cLrLNmr0sZpPHbzv1fVtwhXy5/
4TfdVAdvZS9+7K5lEM7EkrPMXSYk3o85ayakAn5GG537TX3vG1JNfDjW3SR1
FXcylr2pgoayws2nqO+6zHLmk/RqIyLS+WV5Sk4ZZGQIO76lxhPxF50zpy1l
iNJPG/15izRQzf1tsJl6H25uL+vn05YjmqNB+ky+6RD8gkvyAvW79PJO5BqI
ypNu9jv2ioUZoHSVK9iGeg4ntq5+8GupBTkYt91eO7sWSquLshnPGGSlzNqy
B7ePE1G5yvUmzBmwZ1Xa8QXq/NUHBHgUSxXJ70owk9ibCYpXpP1WU8fHT+1Y
duFBMKkfqqvadbMTVm8y4D07MUnyh5XRa39yu1s8//tWuMd2Fr32V79/2fj3
VgC5dvX5z22+reDWLdTMq0qND/uS0HcvmCvxRmlzK2y4sAl994VT7Rf7F8WT
5Cci34f6X4MQexmzPdtX8i2kc/varBCiKiRZb8jdDezMcYG78ieJh4RDRqBq
NImJY89RbumDdi6HqrUfvpKydrs85pd+ZELU1wyOtIBnyfbis5cZJPRgngZf
/n1yKlpi8fivBhAZTrk758kgRWsl/Jadv0q+i33qE/yTDWsvrKqpod7DB5+F
XS+y6ZOWtb3NNs5UfLJnifsV+j1ULUxoGTYgUTafLzgK5IHZcEh2DzW+KSc3
h0Q6pxCFZFauBPN3sMnxL8Np8xh5o+ngzLnYiyxJiKjO9n0GESPr9pwKY5Cp
eC5OdlN38vzSZICBzRP4pe7+/lcmg3AYZcfdCvMjpVsLkko3NYP7ra9GuTcZ
ZHeRbb3Hi/tE8Ig9d4pIA0itdiOZDxhE/kfQos+/AsjVjcv5itNbYf1/4uNu
KgwyWhpr8po8JG155luuf2+FymjBEXNFBknxLHHYtPou+TilP/CfUS0s/+DL
1k29/5lK7lytD13I59qynxMDdfD0wUCUTjmDBMR3t2dPB5GUFfofjiW2Q0yC
pVbhKgY5tiTSYIeIO3Hqd49PYXkK+5iWX4cUalzSHD3Lc0CZsJ8SPdTlmwFC
RnLFodT788BipH/q+ykyOlmzM6ghE76MhD6Nob7HT+1jb8Ucz5KSk7lL7phl
gWm2ntIa6niKeBhT0VMNwrf55B/15my4d3F1xQT1u9jeVu5SczpDpkKyJwPX
ZIPH6Z+XvKnxpz5swtyvXI1U5bSrCe3IBM73H4Y3UX83xbE7/bn0BfLbZMnh
SulcEBvV+y+R+h3vDL4592VYk3RN7B3Ma3wMd+387cSo+SLlgoHNQykVkngr
SHyLdRasLFxstJy6n+jgobTCwcvk/m5t4b/mOTBUZzJ6kbofwwtuuTZHtIiJ
GJt0in02VF/eG7GHuh8Zfcn14tx6xKP3/dmmmVw467Nv2RR1/fTo1yxwSJfE
SYbyHJrMAfnHUas/Uffzx6C/KMfxIlGodvg0wpMFulF1uuepvyv8sOrZp0wN
4qc7vHbd6UzQSXWrn6Pr1ZfYOFdsvUDI+3/1G2Oz4MvRtyzj1N99rdjwCNq0
CW/h5OMj/7Ig8KpzWAR1/KF2puyB02eI2S3DRQcjMuDUuOkTX+r5bOgLiz7o
pU7Or4gYs+7PhM9rq1sDqOsv953tIGPnyEfW9Vy8Itmgf9O0/A51Hak2xvPh
Tk2S5PKPfx1TDrhFhItUUc/hJWuDwLJrt8m5Nt7eUclnoPtd3mldFIPs/JHX
UZVlSkxybrT+O/8Ukr68jfyWyCAxy5r3WclYkUSxgEeCXxuhslFD76Yjg3S6
pJ7Y/9KCyKlslpaobQSmioL1YXepceOm8M5rP63JzLYWkbroZtBmOl+80phB
virsHJPee5skj69/1LuzCfyG18bl2DHIAc+3CibHDYlDZEPIIoNa0EqJsFzZ
yCDvippnvttdIbbH74m5R9dA3WFOOZYWBom/pvC+yc6YGBXrM7P/rgNIVzqe
WUaNt/Ua63hE9cnf47VBSXZ18D5MdMlQFYOIPnrNxHTRjAScep3MHVcPU05/
Dv4pYJARfi/jCNZ7ZDr8vMzAqU54nMT1Ne7bJHGsbN81m2JDQtdeuKrg3waO
Nlf+xghS4/aZv98iWPwJi3FDD5/fWzi2YoyHW3+CZK3hGvfc70Za/xY9W7as
H7bZTz9c9vorMVF9qFCkcY1YGJoEn8x+AkPOLEmXMxikKklsVPKlOYl/P/iY
P7cROkN0fuvcYxBHAY7wpsjrRGtNY2NWSQNkx7s1KvgwSOC87/UdSwPJwDGP
LJtbL0FubpHr822T5IDUyrjR6fskdkjhp8r6LlhYfNB3Y98kiWMKv79vdyTJ
qPEszbMfAS2ZfvHXz8eINFvMriIFRzKbs1pB1qgJCN8CR4M1g9TFWusI5LkQ
WZEF9VeBLTBhWL8tQ4uaZxNP+vzzvkfucWw++iutCZguZ9kUWjLIwKIzRSKP
XcnNphcH7yW2wbB54LtdWxgk4vBk6q+1jsRo4rtUuH4TBF1z5flGXX+7+5dH
faYO5LGdfUbLZCOIcdxsOkG9P+lOzK+MZK+TgeV+kTsMARZHa5QIPaHiQ84f
5V5leuSqheH1/Y+qIDuGsftQJ4O0mVvEyAZqE7vnVh3HqEnP+vq3VKNu6j4b
JRpmfvkRZSmhxZNP+0BabE240ehX4rWBxPIwG5HiqbdHRa5XQ+J2kTDdNgbJ
zZJ8uyI6lXRo2zA5VBVCatnjuXIqP/KyMdrv7JVCXlcUu7A/z4UuIirgOc4A
c48i4zi/WPJEdWXK7u+pMFj4I28Flacrqm4c/FgdRyx+dvEsPpYNciGrA/Iw
z13f1JOUSiz21TCp9BdA/W4zHqDyMrLF8w1cjSHVa9r/sE8nQApbTqQ2lY8n
poeIjs+Fk42dyjaq22JgIbjtTD+V7/+XrqLI5BlBvGO2u/tNJEKrI9v3Tur8
yV/vP5QVpZKaHYd2ChrngWvOdpN9VP4obOQg/1cojVzWSm3zEC2C0ZkNh9VG
GFC3eywq53oyaX66ddHylDT425opsIHK37cvdFflnAghQrNfG1YrRIJDnKY4
mafyxEqx0qnkEHI0mq2RpyEO1u8L5HhO74dG1Lub8oQSPfflUtXPk0BuaFnz
R+p+9jVd/HpYKpJs2q/KHrA0DTauK83j/8WAC92dC5fM7MlE9L7ObXy9EHLX
jLfu6iRRM0rQUPl4g3jaP0i6HNEIjmGqWVrODPLiTaXHsncWZKFLhUMl6Dmo
+cVKPCYMktEUn7+uOZV8EHQ9c+BIJvBM1efHTDLgzn9Jd/e4lJGT9+bP6ObU
weLcROUzEQyoWvSpob3lCZHQXHSzsrcDvkfHObEkT4KTxh6rmYtFxNUrKE2W
sxQYVhrtq1oZYDjPzd/GxUkkVnzbxr0zDTJ/PyhXp+I3/aKOGs3sVeThmNyt
e9LpsK16LjGQjtv97t4ekDxL1Ct9tn+6nQ9PbIqN1lD5yEZDSQ72FBWyU7d6
4NDOfBjWLTiYQR0f49A7Or1fg2yeiuvcfakAgqbWPdxJ5Sl8EgK3n4yqEb/l
BnoiHAWgPvVaoZc6PtK2v+B4/1qyeFD067VdqdDDJqryj7qf/siFLrPdrGRo
yei1/q2psFMpbXbRLIOkpRKFlfGbyFGxHUbGYmkwvdqh4jR1vtdnTRhfvoWM
OpmNy2qkg9xSjkf3qPvnWOo8GqtD5V8b1oVYnSuEqqdLfWeo/Oj0w862A1Jn
iZ79x2HpvwWQsPOkSTWVH6Xf+DzN4XyRfJm7kf5WrAhqZy7y/qbyoyM3HBzi
1DXIlm8GhaeYi8DgyDFbgy/U/LJ+eeHx1pNEOKqe9XU5lbf6y/JqUvnmdJjT
HbFgNfJIwj/m2ptCiK90DK+izs/rTG0f/6dIXgiE9nu05oNR1rinNpXP/uWZ
kLE3VSBzFyW9Dr/Ng3XwR4Wfit8SyAQLd70a0UhY2fdRMg+ENmhuqqeOu59k
ZKXGKpG9vdHBjQWPYeTkW1N5ah7fq6GwMr9NjsgLHhHracmB8GDZxRzUPOiz
VPb08qXypMforpKbwmOYfyA5l0Wdz+D6qXXO5jBp3LEk5IURFWdGRModo+MW
xYPjavc3k9jJo9wb1FLByWcsZJR6zsfMzH46jmwlLKe/WTprpAFfTL3EAer4
s68vs4vu7yTPhP7G7DZKh0Xmm6otqOf/5RIra+YdB7Kwu2jszdWncFD58zpj
ap491XJt7vYuG/Jqk+31P/xPYKVG2MvLudR82sfMbszpQiSCXj0tfd4IQV9X
kRYnBgkyt7guqeFAlg8ePLV06BmsMt9vJhFMxZnzRSJa3pZU3nHBiGVzPTzu
iLM/TuVBdiJ7rzRWaBPHHyYnEqzLwCzi31uPt1Rc567WP/zoPDmblPNJblEZ
JMSYufcNUuP29P2+PeQKkQ18uOjlxQoI1Cp0re2nnj8VLIWc1yR/l7MvTu38
P66+PJ7KrnufMpRQiUYNFA2oJCphRyoRpSQalHkmlCnzkCEyZo7MlXkeylkp
klAqMjQIIeNJRSH67Xuf3vf9/nr+vJ/zOR373nut67rWWvsqh4mFWu9NO+jo
j80FrY8/fNCvkrY5kfZGeH30un+HKB2xMimLTLy4is7esyi75fUEWp5YBG+9
Q0ddLQsilzJ7Io0PnR+8vtVB4KUvO5da01HqRHxNT/UpdDvtm/qj/UVQbmx8
og3vt+9lsXcP1aoh9xdzrUyjhZAv/RNF4v3j82YZrXGZJupyMts/d7UYtiT8
mnrWR0dnz31xLJdQR8vWj+ZmrS2GfeE3Le7301HtqtOZ8VrnUFOO2pHMz8Xw
YpUz073PdFRe5GkqG6uDvm9XWpulVQpv2dhUyj7h93V7h8VIsRayaFxCz+ws
AYGZ7bN8PXRkNeESdtNFC4UcnjokmFgEn4wUBvsHMN+8r5qcJaqL+Ap4RE6w
l0NYm+JM8zuM66IMIz0v6iOVjsEYu/mVILhQ5nl4Kx2B5OZ7l+RPof1nlZZa
25eA9fJrMpt7Mc6x8ib+JreK9jT58F0D9QZ74m/ic16H+Ke0adQy0/idgS+/
lvinrLieTXxSPi6T2bXppwcY/X5NfFIUssuIn8uW+5JC02c9QL9VmPi5BJs8
Jz4pN9g+Ky8384EzkreJT8rdMwPEL2aiev3hvBxvOPvyGfGL0YuVIvfe694O
XZA7Lwoc+G6Re+/7QnaQe/KFPmfVv+WLhuMLz5N78nvbV5B79SUuOE4GdcbC
E/sfzdS9+u3zTMl99YPiVUmtETHgtP4sua9+xes+ck9+sO6zZIntUaCdYETu
yZevayb31Sv6Dx3vV4yAUldrcl8967gp8ReQ7j59eeZSOLgIhBB/gaclGeQe
/rRzxwUjXt+ClIN55B7+goRY4l9wNM99WrExEiLijxP/gk0/XpN79U+ndXZV
/o6GK340cq/++bv15P78XXFsfmtMooGtayPj/vzb3sSnJlVCIlRJ3QnezlYT
n5o7agPEH0fgucXloVJ3iL3whPjjjA2xE38iieM3grdV+cDjg1eJP1G9jArx
PxoUoPu96vKG0/N2E/8jx/JzxJ/o5SLZh36//OF++2viTxTLFUf8lSyHrArX
jPrB4O5U4q+k5rH6vq6IFRJ/9eqLK3sKKPvOCX2Yxuv2UGLA64QZoteu2LpU
MhmkklqdNGboiGVPjrPtLWtk/crQwskgFaKH6FGL8eeznx+YNUwwR7WmZ7Wf
u6WAiJT46Xj8PHKcm/hHCNS8bGe+HAZFoT7EP6K/ez/xHcsYRw6hVaHAkmJH
fMf6LZcTHwqdjYcEL1yLAJEMW+JDIZb/h5PyHeucqwwbKgyHJczriO/YpY4d
xEdp/7pyX7NET0CCF4iP0ppF8cQv6d2eLLNxCV/g+PiY+CWV+gQSH6j1vBMF
W8vcYVpoLfGBitsRSHzT6toPcgpZu4GPxwPim7a44AjxX+MTOhBfudQbth/c
TvzXxr2WET+dxT0zclJK4XDIcT3x0yl/tpH49Qg8FGczKQyDwMalxK/niYon
8eX5vfLpN7WRCFisbUZ8ecLFdxL/oD/0Iq5dShFwJdKN+AcVctxqc3/qhESc
dtT8mMiENYuHCt9jHneu9ojk+mF7ZC7p6Ps8NQN8Bgw/v8N5wfGCeEIq3Rll
pOjdLX9zD1ot3R8ZYH4Xuvi2BsuEA/KOWbgjXucu8KldlI3A3/PN+wXxI/Mz
800sf+QHXgIzMpQfWe+MLvEjU+NaEPUk6zo8VtUgfmReZb7E5+tA5cPjhreD
gL1Ijvh8BZnXEh+xj07Fp03UbgDnAnXiI3Y034b4rzUkJbcpxNyCdj9v4r/m
d0WA+K/V7C84ebYvEobUrIn/mrXvAuJntF55M6fX5jDYvuY48TMqHZElPkr3
T9x+uDI/HPJX2hMfpYPr9hG/KvNf1gWzeD9fjC8iflVMK4OJ31amZ9XB1WJ+
kCw3RPy2vnN/IL5Xwlp9otfYboB+mQTxvVJevpr4dvF+fZbUKxII7KiG+Ha1
5hYtnAwrQoLm7PLyVJ16pvCJp9sXVKlvJekyaYw0Hmfv+pGVDI4+lW581D23
1lvjaxMM0PNIF4P2wTsgy8pU74Gf6yV3H8pTMEWdwlbPD9BToKvL7Oo5fC6+
2TfdufnCEC2PE7hiwJ8CV6+YCbbj5yMGbcR/JEH2qmFXgw+4OZkR/5FF4oPE
r2RWeUi+7lkAnH/sR/xKBge2Ej81br2CAXUcB95avSd+atdOzvVR/muHFEtF
r4z4w+SVA8R/TfrNU+JLqBysbdzeFgzTydeIL+Hnt4PE587D0lZeYiwIMoVZ
iM+dvVcY8Tdkski8pX03FL7bGxN/w3aWJ8Tnbo/6Cy8QCoUn3xuJz9389ReJ
L5jT1qYtgrzekPE+nviCfV9cQXxbWFaG2onfDIONnseJb4v53l7i/0IXk65U
fR8BEl9sif9L4AYe4n/3afaZ55ZxL2CLQMT/znzez2HK/+7LoeMZ8/m84L1x
AvG/CwweIvdm37jjsyC81RNqnVzJvdl3pQbJvdkFcfeNEg97wmujheTe7DKd
F+S+7vGdgULLP/rAgcJUcl93wRdVcl/3iWaz5fpSPnA65iK5r1tulSzxfznW
wctv0nETZjjliP+LgPNMCeWTuP6miN/+pGA4xy9CfBJlhJaR+7Qb0p6ft6lw
AbbFbuQ+bevLJ8h97G17joip0+3BMyuY3Mces9ua+DPW8a+oOyHrCjVKDcSf
MT3sBPGDs+6xG/263gXu1m0lfnAb/5QS/8cP18yK76h7gaYyjfg/7u3oIj5c
i502TBlV+cOOhYLEh8vuUynxF0vQtueKG8f7f1SZ+IutZplWoXwY+fLPcY8f
iwbxb6uJD6NhkhzxYVw2o5+eHxgFSVt3Eh/GZMEyct94+F6hej0HR1CtWUju
G/fffJrcKz6ukT2jnu0Ac/kbyb3iZ4yWEB83lpNcryzS3aAydID4uB3Siyb3
k1u8zYyKznCFNU7Z5H7yE5a7iM/aqUuZeokoEq7esiQ+a8OZvMQnbmlM96Sk
tRe02QgQn7iE9dUNVRWOaEaY9Q/PzgxIqJxL2YzxczubG/GF9A2rjGx9ewsq
km2JL2RwyTHi2xgobLl2a0IACO+/R3wbvWdYiC+bJ/fow+M7Q2BpGB/xZbOT
OBi/ZcIGCckZ8MZeTIPXHIYfrDBvsue9eF3jhS36aIN+Z3Wnw6Yf9g2W+N/t
TuPtCAq9jBrvDN0TfZkGQp4nWbbhz+8VLW/8vB2fx40Xi5aNpkD3RI+8Bj7v
o11qxN9wJFO9RuLHdSgciyH+hudOKRIfQxH7A6DAeR1idtkQH8OLn32J35/2
TMhM85abUB/+jvj9zeYVEJ/H3IayI5xHPYHn1jLi87ihXZz4QrqUvU2Qy/KF
yuXixBeyzWA+8XnkW6fJp7gyEMo+KRKfR/cxOu/Tqauol8Wwymk2DY7HvS2e
w39X69GFxN/n+YdDl7q7I+BO0w7i7xNncpj4EO1xHB54cikSNvYeIj5E286L
E//EkGUf8/NueMDToMkl1Llb3hdLfAdKS89OdIjaQNXVAuI7ECfUQ3wHgvjz
RXzuXYaTVl+J74AO8wy5fz5VzE9uZ6UNSHq8I/fPpxRnER8EOQmrQNFPRrAj
S4/4IIToLiE+CFkq/S6m4kZgYq1IfBBilDSJH+Lxr9ulRiWCwXEFL/FDXOOy
j9zDb5F0yDozzhtk5n8h9/Bnav0eo3xaf8q0GFs7B8HLhE3Ep7XBo4L4w3o+
MFLSXBEKEwm7iT9s5bVRwRNslmhOLsK0qCUV2Oa27miifIKklXcfrzVCiucN
k2/a3QFDtQusVTgv7HZaG5ferouGHgWxjCvdAbHghRPUvLx/szvxseIwt747
tTsKml5sIT5W7WvpxG/LpNT4zevnoRDQ5E78tngMNIjPl9/T4EK2uXD4oXmQ
+HzR3c4RvwbVWU+e/QnGIKwtQfwa5h+eJL4V3JqyGabvNYE2c474VtSf8SA+
FE837Nd+L6YJNX7XiA+Fn3428b+43DC/aX/MGYgokiH+F8xX9YgfqEvj2vPm
m27CE1l+4gfKGbOI+OQuu7FhWf2vm+CvmUF8cmXW0IkPb9qnCwJHf4WBM9t6
4sP7WXI+8eENauHIM1YOAz7pNOLD2/I14cX7T/pIdU7q4tHNd6BK/OibPrw+
SlcViF9hYGvok61ZoaDMVUH8CoNj64lf4eam4hnpjaHgEqhA/Aq5VogTX9ej
C9U6yswCYZ+lMPF1rYo6RXwM501LNCorh4D6usvEx5B1XRXx4c2STq80NL0B
e43mER/eMvVNxNdMTGi7qylfKBx/PV5L+ZolbhYlfmrjAqmZtB3hwFsdRPzU
xoxNie/Y6k9sbRtSbsIdOR/iO7ZIKn5o6uQVJOPg1XfBLh2G3bxaivH5al6h
IheucBVx/PygMLw4E0rEd+6IoOboT6twtzjaoZcfhNdEf0kFbe/jSqV4X61z
fEf84KQM1ui0S9+C8+WcxA/OM+w58YP7M3l45P3JSOjqGc+g7iUWew6R2lUX
Eeef+z3b2BPhgN/BnfaU36K+57s+MX00P+38ulyTJPhY7etO3QP20+L5JcfP
Bkgy+KvES847oKKyxYuaT7/dbsSWnBMCCSXr682LC1CA2Bth42HMg2q4/6gH
BICGpOXmPJlc9Gx4VmfJOP49cdJ7Lj7xg6z6LqPkl3fRzkNL3r3GuFQ+WNK+
zvcmWO08cCyzJgcpJV9Zs5/qE9jt8sFaMBRG3jiaBZ/PR0P9V4P2j9HRsXeN
Oj6HlFH1Rw/WuVkzyPksOE7dB6IjwSU9+W0vWj/erOOPTGG7u2QvNe8mq/nW
rtNOEyVHe+StWm8JXvPv1H3Fz5vbDo4ZnRRFvmobeX3cEyA4qy7jzW86iPXp
JRuzs0L2zR8z80biIPKxKp/ILB2sXEcaOqTCYD9rlfzDvkIke55Hjronc7L1
doZO9D60suwBn9dMEjyNuFnKhL+nd7BT+ie9VZb7YX+j9JcosKOZ7fqOv0cs
+O23X/Fr0bXPvWgxazQIqkfPG8PPb4tsexMT4gSbFqcUs6vmo5S1AvJ76Hjd
3BbIbVT0gBu/3+/YFFCIip7qqMgOYb726nhjHs0e9K7afzIKykZ9iJtN4Dsd
rTrXKHboqwtU/Xm5PHtFPpqL45uKxt+jK9e7/2L4eTQeU89dEpqK3uht4WKm
/B2k3k34cmohRxlXx/bzyajwyevAI5R/5buu30FfLiEHjlMXrL6lIzm5tgk7
Kq89nT60wewKzAo5vlWZuotyg7OyhKj6+4eczQKsztC267Nn788s1BXtcikO
/55jajt6OruPomejIp+uBovTkmava1H+NXMPrpWJyu9F99s2aijX7aApXd7/
jnoezVdDS232gupqncgwtXQ0GyhaeBP/u1lLQpO/sJijDc+//MqWzUQqZz4O
eOFzYfQc0RYsNkDmzppyzCgdpXLtPjOMP18lUuqzvsMYOW/zq1nknYaeDwY4
6+PzMmh+rqZTXxd9v/Z4+OeLFBRaYv/YDq9DlI+6zICoMaKZCjseGchEAdxf
Oxfg7xcQt4zk+iGNPp9/8sK07iYIDQlM8fyhQ5rJbR2NW5LI5KR9WIVQOOzt
jvMvpfrPlxzo1Ky2Qk2TFnuY0H2kInJwQgTv87qBt84pVpth4cX0n05agXDS
lmZ9En9PUOGSNm0Qgo5Jy+v+rCHwLPfIxcXUc/ajTleZrdGW1cu2b1x5B1zd
LRI+U/eojDy7OaBrjA4f/dPRr3Eb/DtcxuIoX84kh/I9G3YhWa1SOLYlFHz8
L7RhHA7RJgoJnW6GaGS07Eh3WQxwnF9XeIu651zySmtYig7i0khpvlsSBcuM
Vt/4hZ93V9adUxy7hHLe+7uoDsTBuVPKMZvxc8VD54xCuZbSniyo+XDeOgx+
f4j88xJ/f+yph6LcpZtRX+mzxRyLIyDm6LPCSPy8ptdjj0u4NRw/XTkjGZCB
lI1cxv/g9dxgcFI64Yc+Mlm+q+tF8F2k9cO/MQjvnyXzKi8f9zZGSbPzfUps
s5Bv13VSV/VlVygNlNZE7KWqsc/0d9HulPYspeY6mRj/eSgFtOYq8YcC19Uc
69/431UNsx9//tQCqXDsUh5YGg9P72QILce/34r/07ZfgVnooDSTzsYfdJAJ
keRLsPhC+/te0L/vxeVh1/YzIIRifzHeS1Q+470UoojIW9XKqFtxb+jJ9lTo
tFhr2jZFhys6GQ95mORQ2ene48nZKbCU1dUgaJoOFodWX49PUEeTP3kaVs7P
gMHW94/Nf9GB5S2v5LbZQ+iwSICfYU4aXBZfl3QCf09r+RpHt8uaSFiquPGm
/l0YnsdqUjBJh7nLmuQ9BrhdyvlUFoO0RWXIe9xzIoi8x0jLOgX8HlFsuAR5
jzZt1XH9Y6rIp7ggbeJ9BvCeo+98Q/WRsvK+lz95EC0wr0oU7UiGAs3GOZYZ
OizzcN0+yGIOxXaM82X56QM5Xyk+a2OFCmygvKnwzrKUe2j4dVZABt7PjgfO
AD5f4MjNOF8CNMb52joxfj7JUQJxxy5pVBvOBZPDq6w5cTw/rb42a/PLvWjn
uO/CizsL4P2xrcLeo3S04mUP2c+OrH4I72c0onCH7OdZjzayD/cV1o8dG4hD
3zeYkH34693k74YCccQjsVVv9es7oGx5qCsC//7NtGjy3hXNPsX3L41HCZ4N
5L2Hnr1CztFpTYVWwZV3kPXOWHKOHq3icl/G7ApyagMXDDILkeJuDiMWHFcr
AnNsjo14gVtuy0r/4hLk2U8rFu6hI5Uiwxa3P77Q7DuiGuNQgTas+qHX+xbj
2F3diy03XIeM/N75A6EViD+zuyUUP+939Y3M5LgOmxS+JLXZV6D3kwPH+/Bz
84X302vrrFBdglDSrXe26IvjuV8Ub3oVomwcHmeFThpJbX47u5uWxpt4YRw/
14+fpzv02A/WFcz5gkgFOuJ1+dyjNsyPipLEzlRbAW8JI84ovlMgccZBMNnF
aNIO7kyXvTFbnoOaq2i/sr7REYel08iOSH808cRnZni6EVI4N7tmbcN4QPTn
SKxbNjJex1Wp+p0O+00sVOrkv9CiX4r463zMR2bGHjK7xuiQv1ON01VigDaS
VpJ4zyIWJa0zShjy74DTrpd4pzRGkeceH4NP6/LRb71DPVV0Oiw9N3/F4+sD
tOZtsuG+An5Ic1ZJacrtGXQ9kOfhNsE4Myc+wsbRHcXMvlq3JuMJ7Hlvtfpe
IsaHp958u+q8BvXP1i1dvj0R/vCN/LiM8+lpdCh3c5IimvlexxE4uJU2WpJ3
C+cLkBHa8PWToTzK85/SlMzfSvvw+VQx9fxIY++1aktFxOn6QKRoQh+GtFfq
TOHnrYGPhZVF5VGR3vrPPl8NYH2X6XvMC6D/dWWbbdwBxNm/WygxqwiMtp55
VjdARyLtdd+Pv1ZE12z+ZD40LYUpUef4wE//iz+6maluo75FEPb+RMYmjAdG
GnJlt6+SQ8l5Na+9sguB1v1sWBTvq8idWkV8Wl+rYrYu9i2PLwQtqTYdDaqf
sN7V3sFRGbE7OgZsXl8Jg+uq5WVb6Wi/0AbR+lxbtHDDh5ZF726jOXV0x+r3
//5dgVcNMh48BfD2UIPxk9H/PY9PehhyvDwXHqWfeiA7/r/n6Td29oTvK4Xu
JTJDS7v/99yY7Znx0PsKsGq7cng53p+cEswZVSxXUMrd3cGLG5PR5LZj8d9x
fnw8P50V4z3kEyEqYFFcAMUfFxO8J/Py1lWM35Db3uw/GL/BmqtNqyn8dqH4
pgnGe2iC5/JvjPfg2cfYTgrvRb7pWXwyIAAlPyx9hvEh2BkZEHxYHD/VjfEe
Sjlm3oTxHlj73b9B4b35kTfuYDyAdl1RWxuulg5NBq8LKDwQ0VTfguMbrCxk
xLf8M4z4VrbyRjPGaShRlSUD4zRYt32TLIXTDN2iarbOHgKj7Yx4qyjFiLdv
H+m28zwSQyf80ffW8Sy0/obRn3qMW8rvMR9IeiyE5iov3Sg+cw9dnOMwmcC/
vzi0jW0pkxxc0WbEecdFjDhvyu/Oe10lBbUWzvEE2t2C99wTMr9wnL/0hlV0
6EAUylfhmblkdQNG+mqCNDDeM239TeLkTYGUChwnMa8TIXHyuuw1Kyt6MlIT
NRqIrtWmDZy49uUX/n7uD6wfbnNEoQyacrHp1pM0KR+WdatxvlvZWtOC8wXU
bmXki8JvLCRfPOCVMcF5BxqmGXmHtZORdyz2p7eufioCHPHDzOzCupDQmHlu
Bu//VbTJo6W9InB2pH/1Um9h2kxR+3fqHDXZ3EjF+QKkLRj5okWLkS9eGoed
xXkQHh9m5MFua0Ye/Buf4d/4nCDbRpvR0kK1q6rftGXUgPnFr1z3I/+3D+U5
ffzSFGtAM+oFT0YMjtsdG06mDBgixQnWITfNV+AWuHQ4tWkMNZ8e0W8/+LPK
K+3k7uKgZghVD+O/ODiGNsWZaiSO+yB9GptmOP7dvRyN4ZtgiFa67MgtB+c1
EPY3nqT/jSc5pn2yutH7oDmXgdvdbjBw+1T4JXWzk6LQocLgBUF3GbygTTyr
x5mdFc37ywueVzN4wWuBSq3dRoHI8EJ519kMGlIT/HNXv+a/eQH9mxckq0aE
K9qH0dltamf3+HfBOpWS75ND7HAyWsjTeW64qvpnQHZ9bRZ6rUe78vX7/9bH
sPuF6Wqfe4hffi8/dY7+8zzxoKcLPu+oaJMROe/ppgeJz+S6kpjLL1szaE+c
zVqD7RfBEQNvz9RpPhrXox/U/weWr8UWm1qHaDLHnEn8KXwLgTj+oIsjD0n8
+Sc+oP/Eh5TFjSQevnhTlI7jIYpP9vj/4mHTtWufcJxB+W8OkDiT+OPBrfme
Ych54lqs05ljtF2eT6Oa8L7d3VbqJegYhkIKjnSesr0OO/aeenUCPx+/CSQO
C9v5COA4jNwULpE43MC/meAHA4es+Rg/oMYBSYIf+Dq8g70OKYOhc1jRLOaD
9+U3UnwQPiyJLsG8D6TzuDZRvO+TPeF98J/fqerV44jjNlr3TYfE7bFwGonb
XK8SG3DcRu4JHSRu7xWxjfX8HIIucgQXXjJUps2flSpixt/z5qSq/JoFoajF
1u4kH5MvaChJF4Xi3y+2I/3Liwf+SOS3SMLrM54wa5nZuYa6LwLk/zyK9kfe
cUflhV8fop28trTBBD9fbTf46aWwD6waM5ZPqLmHJK+lFO3F73fB3kfMP7/t
heu3A6UoPuuXQPgsjLHRKvDn0ddR3ib8eVhnLEE+P8Ik7ykmvxeyZ5k2Unyq
z5Lwqf/+vXN7/CRxvkCHX3WSfDG17BLJRyPnrrjhfITSb/eTfJTTzXPrXfdR
4GQ7l0XxtcgfhK/B7z+y4RiHg5jJfgUKh/c8JDgc83O93yXPk5FPmpo5Fz7n
TfWawiNvBmlCehyCGP+jfQYM/G9zjYH/lwvqM2uFzId1tuFb+FEqbFwd+VgS
xzfxuprVtveT5RYE5DRYOScDL9/DvH34+44ttFPDeAZd1C8neOb9TiB45i8u
Rf/i0jLV6guYn6K0SQfCT/nUGfxUUfXEnsn8JejNni1y/UkJUFyW49BInff8
iJfX3jKj3FUekJabBEu01/9Z9vt/67ZLVsz2qXMCyO4OrG7Bz/d0R8UdFRqo
4ncR7qr2SYIW7q9n1v2fz2evlD3ySi8Zstb+vHl45n/Prwx/k7i6KRXCuy0e
H8J/759n/gLSISuQlJblRXmIhY19WlMmOJ5MeB8WnCk0R/rKZ/M3leWig2r7
2nfhc20l0hETqPS2yrvg7AnLxFj4aaQWbo0///b9VttrNg7I/2mJk+7PQiQz
W7T87CAdXdmsfm7BRlv0Q+HXaa3JfKQkbfRmCL93nmMna2xlriB97ZHtZyry
UV5IvrsRzrOn8jjl2TZao0pV1S1HNuWiw1c8Ih/gf3fP4wvHN0fboP3PWeSX
JOSgTd9LaqXw+ufqa98aemOGBAeLcw+23Ufmvt5sBT8on8oNz9bw+aDBgKTb
uh4VyMLcxesdjhthFh88k7d6ofUbW/gfy1agtZ+VVR9jHHv6TEYfxtWobmyY
4GqV898Jrv6Ln9G/+PniafuLtibeKOtAnuyOqXLEpNH28mY7HTX7CX3c9cQN
CfhtirF4XIJK9hicWI9xe9RArBPG8yj1GgPPN8Uz8LzTFb04jP+REy8D/1u9
Wkjwf94bvUMbFT3QQAdDb+G+wdBbVo2cy44JcUJqagx95lIsQ58JPrDCI43Z
GQVqjc03bihEsrTXeyvx+ufs7O/+yOqJyo9kRrCXlaB+ZkUOcfzvsi7YPOuU
b4+0ljMvWeiVj8zV1rK8wetfoubCxrneB33Y4ODZi9fNL53u2oH/3s71LWcw
/kd0tj8E/78dY+D/6X4VBQFWZyQ20Ev0Fit5ht6SnpOefc1cHd1zk+isKwG4
vvWD0JdH/4vPtRELtAXVANhjNHJ8HtNRy9APyKPZo/JIho40qcfQkUKE2FgO
fXVBD1WaiY70Unw50ZHsjqUsjnW2Q1w+t++UJpTD9eGBgIkOOoqpYY5QvuqI
amuGFWw4qqBb2abh13PMm2SrT1//aI1CYuMnj1qXgIDUyG+RXjpyU67nqXhk
jRZNViUlWZUAh1LKZzH8fGXjksO+Cu6AzOb1x36Qpx0qHxmh6u/cB3JK9QK9
4V3OqS697Qq0zzt5A+9QdQ1z6XZTc3dw9gxib1jiDMeq0luj8XMHtoahzjRv
SLvxqeviY1dYNLRSlLq3WfsTc32AtBV65XQv7/JcMbjLr+7S/kxHOipCr+e/
NkJ24XybbE4WwctP5zticV64rhlpdk3IDH07Ma9zeXUxsH73XDmHP29xZCXd
3sMHBfxh089Vp8H5FPFjY7WYp48c9X4v647EXjuX8r2oACV9plUL39IhRqE4
cEwgEDmFpj0QanoMM8fWxTtm4DzSetjQWsQbaYyoTRWm0ODAnHVlTQ0d6j7f
YzkZMh/NH00RxnESJSjeouIkWiX27mioeDjaybVN8alzPeitet/+8CwdOGb7
2v6AP8qWGNibseIJuBY/z32UivGYq1qvzrQzulg+XXynpwzY+38eXP6eDt/Z
vp8fkXVA/F8aXlrIlEIo0uf58okOAyU28nfwe9/2TT3mmlw5HFZ71DrVSYfp
TdYPtlpYIiYB15vvzpVCefGXy2k474NNRLj6Sg90KeJKZ9dsNaTljJ43y8Vx
3qGCd/iwLeL7rZSwcqAC0n6kbP+EccVdPmPtVw/8QcgInWzB+THX2JnKj0iT
+YPJk2h/ED+jZLgF50fr5u/Pqfelwzmap8nZjPYzxR84PD0G9XLCttZyozQ+
Fbkd+t2Z6OapU7vzfesg3N94ubk5HbGbenQUGr5GNOGb1+UyxiB/ZPhAvPtX
mvLSeFFO32Skc6pwmPkYDWDTxR8x1XRE4z33SNXKCR1I2P5GKboM4svZPs/g
9dEfdcw6sM0V5bkPl+zYXwn8x9xUslvoUGmU7uvC44Umx72dSvYBPGnVfev1
mA5bl7XnOm4qh/Bf761c39EhS26lcd+3Xtot2+7ySPFwsHHRP96I39d6+ZQA
/L6QVe6fRfd5UqA44E1O4oE2sFp381nZ81G0otLrd/JUMhx9OKsg79AOvizX
p04FjaLEBYLN1+bK4aDJt6b37XTQ0OT7oZ3eS9PWe/3oR38l7Fm1dV/aazok
blXrfb6xl6ayeldxqGcqZKxc+GK6qA1ET4mWcxaNovT2GwXulyrhVbugsRH+
ezYbq2i1yPXS6obm6SuqPgRTg4HiZ014H0txawmN9NBWOMb+iWrOAL+ShYNs
Gzuhqm9j50vRUSQ4yvXxWscDyHS94qX7kg6T1qKL8n720Jg8nJc+TS+DOPse
3ym8jmLffZ792PCZ1hHv+3infwWouB56ubmNDjWH7tYEu/bS2Pc0fhrLSqZ5
z5zNwnkfyUITlffRfrdZK5+3zCAUtlkd52XEny1N5eX/xjHRmoXbcT5FF80v
U/n0v89nPjhswPkXKYlzhuD8iypr3R1+5i+B+aNrs/uSEpCb/gsq76P1xxfY
U3l8aOSSKc7j6AwPl9a6//P9vJ1erbXOCWj/shwq76PLoUvZ7Z3XoB2+kvV8
2xPRmd2zFI9An1gvxlP1AtVtUkmYF6CZQ7oUL0BNzmF2eD0R59Vssp4mwsNn
qPVs+fhnJKg5A0UU8p6ZEewEblYDp9eio3C7brAVrydSYQoj6/nNWpasp7VN
CsGHZwuXEbxX2SVO8N6B8sg5qs5iF1xGePSig4aER6sqfZai6iw339sQ3i0j
mkB491+eDv/y9N+6N4nevqtclfDrEuVXhF83d7lVYlwB/UoMXNG5lYErJPl0
mnGeha1ZjDzrYcHIs3/zO/yb39eFX9UWdbqFPLKXzl8bVgQiNe8eSPfTkdra
8snTmi1w+bakgcGZMTQ8UeM2x/ONJrk0oBnvZ+Q/+X0vtZ+Vd28n+5n//GVr
o/xIJLxt52yvbz28qtshXK9NB84Dr2/6e6YiPd1HLON4n0+v0C/gLhqF+B7z
OLzPEY+HNdnnax85kX3ecNyjbZNjGHxcvb9RE/OOywWfmk9Q/UVM8wTXLggF
/v0LuldgPL9NqrcwlOpLRNpNrJ5hsOE9k7or5i+KXY4Uf0G/R6rtfT+HQFjA
uT59zAv2npsqZKb6KGzzriRzRMGLx6HxFpinn1lrtBbzdPTs0r4noweioHvH
RhNDqxvw+PiXGxp4n1y7Ir2usUAc6dRInsF8GZntUKH48n/0FvhXb5kFPlIX
07zN0EnGNmURnWTtBQtSn4IShu7x9QND9wif96JQUioCxV4PsnA4WA/XzFd/
1b1AB0EbfscUnhQUpOGy9BaOP+oVe3Mqno8C2/sV2ficoi+WweScrjreQs7p
QPzaShx/kN31PS+o+BM0hUj8Oc1ifIl75AYKLA0WL658DLYa3vyLM+lwdbfH
axwPkWrPZRIP60NajKh4uDM3lC1uKhmFy+dekcLxbU51VlozaBTeM1/lwHED
46CfJG6sXxdO4gZX9i49ZOiApotqI7pYAQo3Pml2fUJHkd5Jo12y7nBsp0DS
SpxnOTN8FuM8i7ie2pc4efgAk/BN10Kcl3m2m8vgvIx4xeUCUr+6wO8rawTc
cF4TUp1twnkNOX359fbgNleYt7uftgvHeVc3G3kc55FHT6GArYg3NDrPSJTh
vFynyXof52X0jkNJ3p3HCzY8P/2tAsf/VeWFNTj+o7hv0QIsj/xhQUNqwj2c
f2XXvAvG+RcFK1w9rjvtDDuTubak4vyrujdaBudflNljHDcm6wDSHL0frHD+
Neu6w4nzL0qcv1TshJUTCKT82a2C85HX7Nf3OB+hTkE1jdO3JGGq7jJrhVA4
cqrIpepNqHtkw6VFP6ThyAxUmNTdRBtjd1H1KZQy721aD/ihZrXfKPPeE+h/
d7FaMpEOnol/Ck9xl6DVUqWqcp/pcEhA3Zr/aB/tZZ/UHlpzCtLJUfrxZ9s7
EHVL+rj5+wgk5x9ns3QIQ9piQ5EBTQ1w5/T3UvH9dDi+3UR0vfk91L/k2RZl
x14YY93e4qQ1CJdPoQIWlVI0NmYl3o3xxCazpk99xZ9p88Wqn13+XIwW+9x0
zcb/rohvW3+BZh+N5VSybRG/Kbqp4GmllFkIt66sdNuB8fZrVeOhhho99OaB
2Tk4WAAtTz5OnsL8RU/PdGw8uxR1i7L3N3bRgW4Rcj815DNtQiNZKSc6DJl4
jHO2yT2HcAPhpJITdODZ5b9iAPxAtfPB2H28DgeGfRPwOqDxtUnFNg5h4H3m
z6Yw/Hct6wlXxn8XGmxo2r1vwy448YtJ8tiWUMS5wJqqoyExFfE/3wQCYetT
+uQWjN/W6oq6YPyGlt9N/XCdUwvaNjHqp6IxjPppkO3c2nf6uqB+kVFn7PH5
/+qM8G+dEYW6TCxYbACW+ow6JsewBKljCsXMT/j92gClZq9zlszPB1/hbIcg
fN4Nb7zVdLujgzoW8lxtZskDttfSG75+xXFpYfUcz8gNMHvlpVOGz2Oih/gc
dyaOz24ziub5kfAz/XDvII6fK52D259p0xHHn2RZaakImKtxUnTF8YHTbFUa
jg/IqfnWjGzICiheu63yAMQiMSFnip+il2fuyVM89NHWwlSLxFh09tdlioci
pYUBg7Pxa2HHJS4vbtZoJGtfQdW1EVORE8F7i2JP3Hh1xhOddgkneC/5Lg+J
t7rPQ0p5mXxRhh0LpZ+gA+Hl3jgvoHMvnB1wXgAfxVWcVF5wXTj9cpLeKttv
H8Qq/SUK0S1vUvV0ZHn6FonnZbd/Xzhlex0ZibNTOhK6Ha1H4u0LTpHlulY3
UNjNjZTuijL7LgXuML8HfUs4sjXxvpVp4918WWsQDX9g8lxSuhlkqopvLlwc
gTo93lF1TBSsbZyEzws8mxgk5+VAlh05L3/3M/y7n8/P91jyLbsU1opm9FH7
k6fzBNmfrogloK45BSRdKi9xibyDXhWNwk3fR1Crw1wZPi+Qvfg8OS9MW6rJ
eUnibC0qiA4DP/+8+A94P19aEXMY72f06fsPROnSlt+GU4rP3IN9p34ZU7p0
2vMZMUmeo+hRxMlfFVERyPCUWzLVL53+7ezkovU+IJXC4JXMR74SXnmxR9EB
82g4F5RLeDSP1VvCoy8rspZj/g6vOO4Q/n6B05Xw9798Cv3Lpzp1jSMw/0JZ
F4IJ/4pvyCD8yzPSKOw6RwQYT7GZ/Kh9BC/8hS+NldFR9M6dOnesY6ADfdab
t+cpvBFoWHTCk446aIYKIXypcM58L5dt9SsI3Gb60718DGnuT9vnnG8PbVVM
hC/vSeUnfPmbyd6zm6NtYFMxQ5c4/o6hSzzn1ZTAfBxWDDP4OG/ZG8LH4zoU
BjEfB4m1DD7u8OQg4eN2uTs1DgVXg9j+w0KJhXRYsmDgSKhWL21rl/FUd9sj
WGXevLGmnA7PvrVGxKzDeF5GYtdhphqQ2WC88GI8HXx8BD91hH+mefiIHtuS
9xgyFNJPyt/FuNpW7tnX9l6a0x2VXA3NRMi9HaRotLEewHJddcN5fB4Pln+b
Mc+BNNOV25T2dYDX2LlVu86Oom/hi5oCVB4D3/HWRZ+z6NChbbr6cH4v7T+4
NORlis9qn3sw3SpIdGDIe3F1t1Eg5I6WEv15Z/os0Z+Zll3N2RT6CGJlBG03
PKCDsV+2pxd7L21i789HLUpBkN7EXqh6uxS0WUeCdnbR0c59rxRGj9yAibl2
0xCOUsjlNizpwPnotRLLd9bVQeCkHHja62UppMZPsaZ9pKMxwV4RtcRwOMRW
wf12/kMQ6SqYtm6ioxmphAXi2gmwP6VIqpa/Bpynxp4vjqajnHRJa4HcKNii
hjJF5qrhddB5x+RsvE+MXijZrEmH+M990s9yXgLfRvr4xNQY+iy28tTbuhAI
rPL49B7zmzM7Y25nvKKjO+odpJ/nSfev+XzrLZH7wTTSz/PZ8yXpC3q1NV58
etYM7V8vTPqCEsPEr87huBTay+i3eXec0W/T/I5HQw7Ht+gzDP1N5zNDf2P5
0kp0g10n+fnPPXZFF1O3kX3+cP/Fo/tDYyAtP+zTPLsKZDocJ8aF+ayT3hGi
PwgXMU0/XeKMGscLyf5f/r05TOJoDXBxGh90iKGD1JL7V8wefKZdCj+S6nU4
FLgeL/CK2pOHppafHCun05HsaJ4CxsnweD27P39YETroylVF4WSjpH0yJXuM
Mb5Ob1iy2wZZvbDgpfzpUntYI5jgEtrAsqfoUrg1SpkTXET1Q5qvWXVIZqkx
Kkvxti3VlqLFTkTlUf1+92ynNw3dvoRefYh8yq0lQRuf88mj7s3u0R/W85/T
RJdFHlWZvY5BdgE/S6m+ghDTjZMWv1WRo5KzyKEt0aiyo+V5P34eoyy6nv+p
CLKJY9SP3BsY9aO4i1/4fu3RQCcyV/gsmYlEc4Uu2yi/+Nrae999FNwR27r5
RM85OD1K9Bwn9WOk7nZOIZzr7XgWxPseJ3U3NQ0eUgepcW6tra/NgmtGd0kd
ZKRr98VNwbVQH1jdznmDDo1J0ztvu/TRJBb1+OdnPIBPW4pm2ZJ7wKzzbXh+
/SB6eKtF7KtUHRzxm+va5EgH21q9zNS4fhpvUMYlXrM66Cz0Dn16FePbyetn
eKv6abJXk8ZKe0XQ5DCj/mXxt/6lY+HAv4xJDkWqchkmZ6egp5mXqXof0tDk
7FcPmY8U/urYF//q2A/WKPtTvPXSXz35sRZDT9bjFeqmeO6/+nbO1FA81Qfy
Iyys2jAnDTmk/0o8MUVHFhu2ptjKXIGg6wyddrCPodM+CBxhPcPZDOdzHCQP
T48hieC9zJflRmlSXx0PFxm+hvt0CXu5jDF0cWNrIqV7PFktd0i/OxManM4V
5PnWoa8xDvyUTsLr/Gwrp28yaK0qEGc+RkMmfsI/KT2kqe6zPLUPb6/gJXzN
taSL8LWXJ+S3UJ8/f6uY6CeRXrpEP8lX1wvE+xlNBzYejd6TB/S5sFFqP1uX
jJrg84KYHXsN5ttVwM68URHqvAh3rlSizpHjtS/keciP7+T51RWfU6hzEe5R
T74npucm+Z7JExOpFH/P/Kvb+/zV7UXcm3mMT4oiO2fddm/3BJQz3ULV6dAb
afYNCicPovxF/EWiHcmofeIRVa9ERU3GPVSf3jG6HbPXTBLqS4ug6n3oOZ2/
JFAlBSTOivqG2N2C4HOG+35h3MUVvLTdlp4MAzePqCfWatN0XzH3/5r+b30N
1C/s8aXqa/xfpcao+hpvm6FQRfsw2DEXXaTqemYFjT+pup5X+mLSlyj4bNLA
B5miwyl7SV+iQeN4o16gN5LZxdAz1c8sI3rmXx0M/auD/dXN0L+62cPNat95
vgQCx9GWThdaGbCHC+6bfod5QZ/Rh0K8HwZP/PKldLBGxXiig014rnGgeHdy
f7QTha8OxZzjovDVaBXXiqhqZcThYPj0ZHsqcnk6Y9KG9yFTxIKfVP+SxvNX
EqvmZ6DvmZFUHRmpZiTucL+siVZ4J5qH6N9Fx5JvGBdM0pGfpJH2wJgq2uy0
b8nk+wxkbZJC1eWR29OYA9Q+VKk/SvS6M8/PEr0uLOFrqSbez6vtChGl70WV
KNtQ+t6XKl6TUPFwkEwWJjqnZW8b0TkNhbIiMG+FBmYbwltV92wjvLVMcTkn
5pVQ1Z1FeGWv9TThlYca1/cHNWdAYMlKoreYuJsQveVXSd4JHFchyoARV6OA
EVf1D9O/1NZZQbo9oz9n915Gf87fuAr/xlXfAC/p8DgrMPdi9O04Ikbfjuqs
SdY27QQUpofKH+E86FKzcRrnQQiJ+6qikhiOPvWPFL7CeXOvtBPH5SY6DBo6
Zvh7pkJvXgnRMcYKThMdoyP5s4sRxu1fLbcT3UMsQ4zoHptnl0pi/IxuSN8k
+NmVZx7Bz3/xNvoXb//VK9C/esXfPl70bx+vU9f5JVSfhpeBBenj3bmY0cdb
EhvWhPE22hsxS/D2yZAFBG8ncRt0s3qGIV+ruROUTuInYE90kr84HP2Lw7WZ
+PSTOaLQ5WvhRCfxEzIlOknsAtZKqr6Zt9WU1ENj56URvetvnzD6t084nK2P
9JnwMH0kfcUPf3KRvuLEI9Wkb+Sx60XSR7o8XYz0kS7ct+gV1R+y+vZD0sdr
nr2U9PE+W3yph+o/2efN6De2OMroNzYN5Wdb9iUQHQ5+Q87XiigBcr7+6v/w
r/5fnfZMgRvzr/i7N4keEjjqQ/QQGquOAc5f6PyGAJK/msVbSP5y3Knfczvj
AbqgZn1x+k4PRNVpMlXWD0JMXkaQ2Zp0tGBDbV8VxkWqcdFJk1Nj8DevoX/z
Glda3mmc19DLg2xhVF77qNFH8trez7t3YlyH2nM6CK5LWmREcF1JYOoTjOvQ
CqEggutg12+C67gMXn7YjXnEew7YURkVAaHvrlI8AsxVjb0pPPDtY+RhjAfg
9a+XFB6AvzgN/YvTNgz/uovxPyoXZCX4/yH3RoL/20JPeI5hHh3WzqiDaD1l
1EGYDDgaJTEPfeEfQHQqWvFyolOlmH0IwjgKiQzGEhylcrmB4KgXiuKHXykF
oXQH2R5ljGMPq6+8hXEsaA0u27I2NwqtTrRV2IJxptCCqWiMM4GldnnXK/w7
35h6runAv/Nna+J9/Duh+ejZI/PwOvz0Pejpjtdhx8xhbrwOcHJHKunTm7N9
lBbzzhbOaGuQODBiI0nw2MqCFU7LdtuAJacxiRti7JwDg3idL9mgx0F4nZOj
hx7idYZw8/zVqpqJaEpVc/Yixv8a2g7LGs/TIf/0qJM3Xp+n8Zxx43h9tES0
HPH6QG6P5ebK9mHU4SLZLOHfhZQ52Zp/4jxiOe9TBc5TyML1zvgNu1top8Rv
kqf23r22EfMRdEfwN+EjbV7ehI9wbfaxx3wEyZnyqVN85Pvjg3X/h4+gf/lI
gzCPwG/zHHS9ZHIrxUe2lu4mfGRsGTzBfARlHhDhpPiIYF0i4SNr6mc0MY9D
lrv7CI/Ld2kkPG6itl80pdkLMl7baYaqpcPUrsVF+NxB7PsXXFSf6lepVBmq
39iiYzfVpwqW3hxlPzFuFPJ4mYZxIzw3cKBwI5z51dJ9cOwSytpcXXlsIA7k
T9pR/Z/wwUjsix/Gq6blXJUYr8LKM78ovArXMzet8VZwh6Xi7+/GYJyZs3OC
wplw8jL7XWOMz922vpSqx/y0AxVT+Bxu6K7ow/kdiWXLk/ye7z3dR+X3Ql57
lQ6M/3kdcswuYJ57dU6cwv//6euAf/s6+sK28esGesPqlxd1dXEe73q3kcrj
/+n3gH/7PXRqJeOcMV4XmN66QzIgA3p2cX/78xPzy+6o8HUdxui4vozUIu80
yO3vo/pp4X2cbeqmAht0x/6hB0/KPQj4EhmYMYHjydZgswEWc9TiwS+ZLZsJ
G8otv3jh75HOcuUznLRDKSfFtUyX54B0w5rprG90eH7/2pHT1VYoJ5pb+I/c
faCJC02K4O/x09mwfb3ZFfTb+XGx8tRdiCoLzRaaxOc6gH44l2aP2MaZNQ2D
smHRIjt2Aao/VM3nyoisA/iXM+qGZ2f0SN3Q5LJTc1SIE3pZo5vLppoP7Czo
4B46HZx4Or0HHvshAR91eChSAZz12gaP2uhwPykgQnnEC83S2ldfLy6ByXOy
lcI9dOBtecacznEdvfkt19JiXwH04Qmtvrd0YA511HD544sKfpVcv+VQAbV7
v5v34uebQn86mG24jh5e15D4HFoBgSMLPobi5wGmgx8EFD3Qw1GrasGAQlin
UKUmO0QHf9FXkkuZXdH1EPpvvcxCcKpWMWXBz1+qq4424bxzSOyER1zNPbhx
ZEMJzjvgOt3Ljfczyrh5heznpapLyH5OYlrpcGCbK+zlHyH1wSUc7qQ+mFGa
H69q5QTbvzHqifdF2Uk9kcnB7jnm3eiNFYN3l7sPE969/Nw1ccyjUevxcsKj
lyxh8Oi/fBn9y5d3aV8heotmCDPhm6uYyH5GrWtnmDDvRqqFxYR3v0r7Snj3
9HYma8yv0aLBRsKvNUreEn7tafurm6qzpDJXUHUWdKD8Fp2qsxyr7kkM9UxF
187vejhd1IY2uNc/oOqGrYW3cqh6iuP0DqqegqK2XzWi6in6B/k5opszkNCo
VAvbxk40EVX7kaoPGlif2WueH4naozgbBn3rEcfGhg5Kbyzjez9G1bliU/dR
dS5UOinNT9W5psq9blD1spL9Z6h6GXq2YdSYqpeVcTIJmDu6A9+FAO4VGU/g
Tyxd4V4iHd6ONa3cEukPqxu5qnumG2HziVa27G10ePJnvcKvwCyY3DFygerz
b5YVJn3+f/uc4d8+51pv0wcL1/sgCc3Mqk8eFeCW23O9A++fW3y1+y+beCMJ
FH5fdKocAnP+tN1sp8ORHYZuq/h80MobS9t18OcVnly58Q5//rrXdxPHfHsE
/Ve5Fnjlww+zvWxvxuggbHlK5gOrJ3oyKJjOWlYCR4/cWiyO9/mM6jyrFGZn
xB3PnmbYUAhnnZbLVA7SwTHk5L2dRoHorWhVk2YGDRyv9pXr19DhNcwz0/mY
D2c2PiL92DweLqQfe/RsXq27gB/mkc1fv7k9g3zO+7rcJnQo2aLPn2ARC6q2
SxZ98O+AV/37Fv3WGIUrP27ofFqXD9mX1UmftpgMJ+nTXlsQAVTdx4muRtV9
0P7eojdU3afe58/4PZ4UVFNReCfxQBu6e1+sgapTjyguq6PqQfZt3FQ9CA1X
Ws9R9aAMp/hOqu7jcVyLqvugDdp+llTdp3yh0a/kqWS0e6B+j7xDO/qwpXOG
qmuzGXPER4qHo/qB0wqNzvVo9tiJQKo+zrW4m5eqB8notFP1IPRzs80rqh6U
qzef6B4V4jmBhuHWUL1nHdE9Qtrqr65ndUaOXUZj3T+zwEy1VzcOv+c9m0Kf
UjrYhZATNhseYB4Y65NI6WDBkz2KlN4omWc7blP9Cl0cMZuh9EaLvbUre9oe
QcJErWBNOd6fBpfLKN3vbz0F/q2npHFr/LBwCIPjx0dIfWSwcoLUR36tL7zv
wuMFCllepE/AMeAS6ROw1QhRy4kOA7nWr6ROcSZGiNQpKph5ZGnNKcD86BCp
v9y/mEDqLyLPKx7+AX849ZvR1zGPuZH0dQTWmu9eb34PRrfXkPrL7M8tpP6y
/LD4DZ1pZxCNmiH9Ht1cU6Tf41Zevdedry6wFDH6On7oAenr+Kt3oX/1rq4L
K0zey7pD6+ZrpI9lopHRxyLyx+C5wlcXxJc4tDBrRT6oI5mZaLyP8i/sd7EW
8YbsVYw+lhcbGX0sPiyRaXj9UbSBBdEhFZk6iA5ZYcjFEcCXirZcLVayqH4F
71MTmz3Kx0CP7jfQ3fYIcR822UTprhVO4pHU+rP73ED4faEzV66Q96X725K8
L6MyNy0KhywpzJDCOARpngUuCod8ZS+RwfgQ7N8y8OHAWwY+/KJ9dwrjNHB9
LEdwWkHcIMFpi+Y9sMc4ELSz5AkOXGagSHDgYX2tw5ivwYnbo4SvnVzoTPja
I16OIszvwP2kHOF3wqsECb/7izPhX5z5F5fCv7j01DFuWervct0pTXTvIGkL
onvPaT+4R+Hn6K2V8hg/oy3jRroUfl7dXOZZxXIFBN8x+vNLfBn9+X6rJvfU
59oCYmPMC1yQYswLFF10PNLw1AK+bmHMxZjtZszFcN++XT54+xJyUrRWovRA
yT2+lB4I32/PU6XmrfisGX2eA88YfZ57Ohs2Uecuoqy70gCfO1u59dS5A9+i
kwsoPbb3OaPP9tAtRp+t//crRpi/gMeaj4S/zLHnE/7yFw/Dv3iYef45PYyH
4YotN8HDpunnCB4Obb+5leqDba1l6Cfnkxj6icvEoQ9U36+nNEPvnS/B0HsF
7xzZEI/3Qw+Pd/qs1FN4GqykgPcD2IanyT3LtUVu4U+X4fUB4xtW1PqAUt7e
J/VPLdCG1k9ieH1gYVsvtT7ApqQ2n8qn0/uDJmr4a1D7B78mKp+qH5fZReXr
2Ubhgtb5D9FwxvQMla9btI7eeshyBZWudpzgbkyGgcOp1HsBtoqzq68wW6Oy
Q0MOgivvgIJrPTV/BEHVkg0UHtiy/pMBxgMoxeppMIUH3H99IHyt3M5IEPM1
tC5RpJTia3efqGYs/hIImUxC406YhwYLzcljHgpL9/MUUHj+yeI9izCeR+Kc
s08oPG/33uwyhR8i2UsdMH5Ay/U5nSn8INy9UoPiaw8/ukRivoY+7opNpPia
palGDcUHrw04LsZ8EJU8q2Gj+ODzHwW2FH5YuOR1X13OS+RepPCTwg8xzwLO
ULzjNe8oO+YdSHb94uWdmHe43/F6TPG1W69t5TFfQ/J5iVkUXzs7uyOD4qey
6UeCMT9F73p4Mih+Ot+Bryof89/gZ2Jv2JJ7UJlHbj6l325YFnhUcewS6FQy
5r+StzHmv6xtWlMGdI1hza/rZF7s7G7GvNje2ZS14Sk6cFqXMQen7cmYg/uq
WjfU6WYIb08z5uayf+4nc3Oej5KuUTw695TJe8yjUY6I4HeKR4+HiN+hePrM
uplWzNPR/k4nC4qnSxWuFXhnpwmrnzLqDquFGHUHDtEfPVS/9P1+xnxr2lfG
fOtbM9cZql96XR5jbjHuPmNusa7J/AXm++DyI5rw/Q7OEML3v6/N2RIWZ4VG
IrOOtc7upp07lETpSPBoU7/X/qXG6HypdmmJthQtyjOa0p3A+903vRrMT00/
c3VFY376RPcMxU9h40yIQzHmp5eu6g3wYH5q02JC8VOYCKj+fZXZGrSWM+bg
DhfEkDm4KiepeIonHv5UeRzzRLRmXG6M4olXL7/ZSvHB+u9CzJgPorzirwIU
H9ylc8nhUHA1inPj3pRYSEe3isNNqXrZ3QyWIYonKvrVc2CeiBoTXhykeKKv
Uh8bzqcoovkCVUdD94YbSD7lY3PZjM8pqK3zIud0aNcRck5z+fKqqHxxviyO
5OswngKSr73fGizG+QLY8wtJvngXEU/yRcU3uD1mngO+89Y8lMG89dN8jfjd
Z0fhYE51BtUP39nCmC+2ZfTDI/Zt/BX4HKHPipvIObq9dZacI0c2eR5Kp21J
YvTb2yQx+u0TwiqDBB3DgPvhYTKnoNipTuYU/s71wL9zPT5bCjzne4YBn74b
mXegy9WTeYc5lTtjtzmigJXtKJnfYXdhJvM7f+cL4N/5gttMatvXLAiFrHlX
yXyB6z0ZMl+gmdQrQfU9crMYEj1f5IwP0fPZV+w2o/R2sZwgUp9amBFJ6lOh
0oLbqb7Hs225ROeP2LqJ6PwhZQfOUn1ZGcUspN709cZCUm9StLiqa0VPhvmL
Lcj8UWSiF5k/8mhatuS6Sgr8MmBaRs03jd76SeabVi2dCaPmuF2ZmMncQSVj
jhtYaVVa1D7ZNbiW1FWPWrwgddWjduEKRYavkXdtPalTHGkQSqJ06bdip+dr
aragpb4r9ah+MJ4UL1dKl478cL4B5x1YMCBF6lzC3Yw61996Fvxbz1raGNp+
/okfrIvT9U56eRfONKW+f415XGxjLalTXGlcROpuahKnSd2trVyc94WwD+SP
qxHet/nROsL7uIfCfyXkhEBMbcgH0+IC+LRNU8R4GP8dxk7WbVJhwGrDsriy
rxCu/og56PqFDptnRJ9bCoaCgjtH0Y3z+XChQDZ0P8bp85s0Hz3xvQnvVHp1
02py4Nqwwbr943QYSSxQOB4QAN5Kf25kU/17lTG6S/Dzmp57j7c43QLzmxpv
VoUVAfuHIzX4vQCv0Yoqdt9k+OoXeWRahQYHr00vi62mQ7huZLlUaAycHFDK
mrOtgHD78f34vcNqIdH157ozob2Ib9dd3zooem7vgvcJfH1U3t/hZog2Jk3a
43gIu7YeoeIhLK9e1YjPEYpSm3pAnaO7DaLkHP3cuSnQ43AoyFQfUozYkwf1
MdXjeN1gy95Goov+ylt0y4VWhoQjxokuOnSJazFVhy0xZczj9Igx5nHMp7/M
UX28vtKXpKi6le1y3nlU3Youvbe8X9cYAVdbY5/GbQjb9oCK5/CDTS2SujdA
hIsxhxLC7EfmUB6ttlCn5sL45HnH3TRfoe86y4aoubAdyzLJfJlZfkVHW0YN
6u8rIPNlPRsOk3kxp+Aa6eKgZjR+rXgNNS/2KfOHMjUvZinATs2LIfXT5dep
ebH5wzvt/8+cFDI16dGh5qT+6kLoX12ozXy3vjHm43mszURf2qJWQvQlY37r
XbqB3ujaKYYupDqPoQsNZVQ981JwR22fGTpVtu0k0amY57ErU31ESswth9vP
J0PbvVGqjwiO3I0M69TXhWqvxxE/X6TAsYj7VB8RKHOdMNcJPw9621aUFYem
wuw+Heo+B3h4tUya6iOSssosZULpIBB4k+oj+u8citZnpZtpijVIfG0AmbMT
/7GnaV2HMRw7wtCdWB4wdKdX4c4/B1jMwWQbQ19SkGfoS7lBaw/2ixrD9aEj
BYcHMoHf2ffdAur50Xdxp6ut4Ptphr5U1r2J6EvH+Zc9DvpyCba912+z/JYO
99UkJu3w7zn0nrZOzdsY3GPBtNg2CxSOO8fswHz9BH9a7lShORg21YhsLMsF
y335HbvwufDwrqim+hZ+uTLwksIPBl7atiJNlOpDsPLeTPAYu/0MwWNCkVJL
E37ow1RtyvoXwXfhrSR/U9AkHUrjng9I8hwFsZuMPhkVZUafzEKeaZPHloog
5MCYF756gjEvfLKl0XxLkiI0jTLmjpVzGXPHq7rWkjmChwM2aZfnilHs8z1k
juCCiDSZI1h5e8FKm5NFiGupM5kj4LYYI/MOF1BXWJJVCeoLqyPzDlOP7pL5
Ara+y83Lq4uRQ2ccmS/oul5M5izMan5FlSaUo68VrIHUnMWTVQGkD38lj4PP
u3OlaPwNiw3Vh78iZxWZv/gkZSZtw1GFWnVCyfzFnxW1pA/fsnJx1MqBCjQo
WUb68GukTDtw3EAfeg+SuCEpPkzixk7BmCs4vqG+BYz4lqrIiG81DrlkXnug
d5h/TcYTNK/Kk8xrN7PIkf7MNvGWkC5WQJdvvCb9mb3NEWQOpUribE9dCSCB
uIf/3xzKhWzpc4JqgFrpKmQOZbQqlswRTKuu6OiarUaLlk2TOQItPwUyP66W
WnRkyu0Zspt/lMyPTwb0k7kS4QOVX45alyAZ/6Wz1FyJk6rzQaqP5W2NIcHP
O5K3EfwcsLmE9LG853Qg+DZG/DHBt3/xMPyLh//iZ/gXP/N0aC9fb3YFTt9n
6KU7fjD0Ur1mkXPrWZ1ho4gx0R/epTL0hzBr5VO5NHvIf8XQUaf/H13vHY7l
+8eNp5JooYRUKDNktDPOhJQoo6QlEgpZkREZ2ckIZe8te0VxCg0VSkUpDSqV
spoaPNf5Pn2+z+9xHL9/78Nxu92u6zrf79fsdwQc1Ute6huzR+PF+nSP9s5V
hD3aeIbkRaKb2jbtOux9m62tYO+bnPPx1DlfaNqo8BtzVWwQSP3v0n3U/y4n
OE9op7Qq3nyY+twbO6nPfRJPxlPx5MgbBWrmP07hvo9ygBvLGlHceEmh5s9L
4W44y5/iulpBKoDryv/asc1ByQmb/mVbbVhTgvcHtflYMOfdXglV4XQWd5wg
MxtwLQVHXsC16uSO97s5uOAD610ETX6WYdWCIf4DzOuFslsGZJvO4my2c4VW
jZVY4Wf+XsHeIZxaap/lWnIaK4dRPA3jDYCncT4+s4SLxRPvbKH47W4RbcBv
D/GUqPWw+mAlTHG2Z7MpzvY9JcrA/vg53BcSCThewu1xwPFuPc3zTJH0xb+U
+U5h5Rr8srdtb2MXM6ctCu8UVvfGppx2gBvf9KS48QofdQOxyw7401K+xvmJ
hXgru8Dt9ST//NyfdzNX2mGN81tLNUSKcExOX8w15nmVXb12YtZKR9wRWm2w
70cJFuAPe/LpC/PclvbWJnqn+DkDsE9tET4I+5S06RAH0U31S52HfdNbIQD2
zeFUvksfH1lhzhPxCVu78vG5k9ZspcxzclTjSrE7s4dvHKA8wrVllEe4uLD1
K/FjylsbED8mqjn6mp/4MfkOq1oQ3ZoVtxHsa/1CRTxkX5uQOH2b6JROf0ew
r0nv9oR9jVdhBPSlWT8cjR7MLEaeSYagL7VtnAW5BAl7BMPnMnt0+vOFgDNU
PFpxmMxpZ+IpPvBDiOIDs7lmhTL7CDY/SfeR2Jt0H5nEH/BU/GFy38FT953+
9DdZJJfgbPKD/gXMfp1Tzw+4h+87sVKi51FbdDOU7JVcfhVZZK+cxbY8j+iC
xm0NYa9UuPUe9soJj5xTJ//qYFE1qmsy6aC6JldRhxvMfIW+a1yE+cp+2S+Y
ryKLH85j5ijEqSIIc9TboHMwR9XwbMxm9i+sWU/3rwXCdP9y43/3JyLeFrOW
0j1O1p7uccpvXAqJTnu+Gc0RujBMc4T+Gg9MI58n7RnlVd1HKK/aKp98mZxT
O1gpD3u6g/KwJQt+sAeNG+KKcsp/zdaj/BdvQN7Yzw17MHKjPNq2A5RHuxn4
bm8ksxeXrqK8m/QdyruNhwS2qzH7dbss5deGDlJ+bbtiuz/RmWfp0lyjpS9p
rpG2Dj//3Vs2+F4UxUmeBFOcRDzAXetOkSOucKW4yk07iqsk9eYkOTH7Zi0r
xT34xu8A7vHg54T99ZlOeL0OxUmy0yhOsmJVHejAY/qNj2zPKUOmnYqgAy/b
xQ/6Z5aj8lbrSkrQDMdW0D+r5m3uZuZkpLdSH+bk6gE1mJMP2KY7MPMqyri3
HeZVocpmmFcn53A0dQ5X6eRsZ+Z2FL6azu2vF9K5HYvH6xMduKUhzVPq86N5
Si6/4uKJTrijkuYd3dOkeUfaCZLrCM5gf5rO1f7ftsFcvdnsNOjYP3y9sBur
laKjNr9Axx75YtV9Zu7FZtPo3DttKZ17uaxmJxCdm3Xwmk6CP2zangr4wyRe
gafiFb3Ly48QPa1HXRbgn24TdYB/rr7g9ofoS9/naML+PvsL7wqyvx+/OmHA
7B2ozGUc9g7nnsuwd0h9TPeRtc5Dqg+nFRq69qHA+SZiRBedcPrAXaLbTzQI
ITpnxHHB7QPROcfueuRIdLMxD9YDDnBItwBwgHpRva9Ev1oacwpwAF/ZOMAB
rNZW33JwiUR+/NbCka33kMDeJtDbsy/9rH3upR225HVj225XiQUiVkyX7mO+
fx+J1tKlJ7D5h0R+TeY5b1Kz3oe5HvB0Kwf1wM22OESAq9d2vAKbLnrRx8xd
WHPlA4c/Hcfw468THmtLSrD8/Ho35jrBq9cochxuCkT+D47APtjnlQb7oEvm
yAaSA3Y0hc7VY010rn5X6j6D5Imt8afzc80VOj/rXFI5SnLSPvLR+fzwEzqf
/0tIqiB+itvDpUQfjoLSv9oTffgXka1+tx+kozGnwP3zpJ6jQ3fZKojee4HI
z0rijzC+bkr03ihCU/Yd0Xu7dRV/J76GGW6jRDeO+tZJlBLduGGaUlHp5Uh0
7Ld+RI/KXXRGUV6T6MBffRVQntkQhEKGp0fm8TYhudlaYcRv4vfiOvE7oN/F
xf35eU3Id/Z98DuwrDy21IvbF93uXfy6ZhNGW1v+gG9lIj96RMzmJD47N9/k
2cEqbL9rtgszT+LF+1Z/+rDNER+YF+jO01+Dn+96tpGZG7HDP72FbqJW+POv
lHk8NyqwvKzCMmZexZwyo7zTOyxwvOGVQjv9cua6/viCmXtxb9gc97vNR/GJ
Nwe216uVYu+LCmPM9f/ffo2m7tdnbqQFeKQa43auk2/aZhZjHZUmYebcwafT
/s7+KhyCRKRrP0q0NiIbmzzwXyia/+RwlDqHNhS4ClSn1yOj+mPg05nTXUl8
QMiBdcSsTK8e4aH74APqmsbD/lrZCx3S4Qvha6tBxifvgG/odedLe6LfLqvR
InoJZJC6aYjgYJP7Dpq670zuX2jq/mW98ZkVyc279YfuO1UedN8pVxgS2bw+
CoXnzV3jqdaC7G//A5+F+4XepQs/n0dmg627qmsb0Y+QZvBrTM4naOp88juV
bYyZl1BSny/MS+aNdF46tmZhCjNfob/ldL5KPzsM81XWwGPuqrtpuEV8K+Qz
8FdoQz4D+/MT25l5Bk0o0HlmsTCdZy4InzrOzHVoYzud6wQV6Fw3EhDy4ZL7
KSzDtfNDeeJVfPzk3ovMPoL1byVv13R2xa8Dh5ROctRhoZrV3czegfNiORKq
GuxwT1NzSZJtJZ5w7vrI7Dt4oFKGVcncBT+xFW7pZsXYV96/j9kX/refct4o
bkpRb8Zz91epMfspPtRibvrDyAh/vXPsdUd2M3a5WqfK7PXYZ+5x1nZmrw8c
FA4pDH2AQ6WGppl8HMRhzpk74/rNsWFlYbKL4UPcMdA9ktk6iFPubtzt5KqF
++Q3C4gI1uKrv2foKDPX8/j8rJ2u1np4YfzXo8zXiQu/lSkyewq+vv38zJQR
P/w8eGIvyZPhYb0FeTKzmt9V7OLzxqVXrsa8+HcD/2mvdmf2lP99fm3B2lnL
dmGs1767kdlr/ve6kEHx3P4XNfiByyG9xZ1D+FsqO+RotWb8SPkU9Az5sccv
JDlaZ1zXQk7X2xBzls+/76OyxHYPktP1yfeICcnXymjQIbwt4j38k5Pwtutc
nd6T/K7Hn7kJr43qI99oEF77+LwKPzInXBOjum7Tc1TXfZtTzo/keu3uCCI8
MipNezSL8MiRKwY83MYH6hYvr2u6c7MAP6oNch5m9hTf3avUeBpkcPXuYzOf
jBTgPNsN0+5+/b9/V8Ludr5dV4vw2Kbr15WZc6QuUdgoxXUNtoyz0tYZKML5
maH2c5nXP0py5yU3iuJbPApfy/flYZn8cyRP6X/vEzpzy01+vzzclXaN+Brw
iG68IMnrqxphJ3l9qOjc+jmEx2/bsn8V20pH9NuIztXnqi/AXH2xlT9hrMwa
pfdQ3EBXi+IGlYpz7BK+maGohRmAA3THUxxgm32P4a5zlkjoNMUfeMQo/sB3
5lki4SNsfUNATz4UnQx68jNmgUa/mPnKKpXq291yqb79U+jsC/2NgVhvNdW3
eB6i+pZJXQqeqkuZ1LfgqfqWy2pJ57U+++LOEaqHyc2mepjfXzaoeUz449rw
KtC9xH+nupdQye0F7IJ+OLSL6hZ+7+4D3cJefstbchYhWKjuGugHDvzqA/2A
RPIOW34ePzxtLjfoFtYecwbdwuVqlnODyi7oWXrJHVulKvRc8wX4EI8feq+n
a+uG1t15uGLn5WrkaCzWQ3yIt5ZenKO+yhNZL9G4oqBYi7TEisAv6d7+D3TI
163nAh64OHwU8MA1j2W2Zwx7oG/pa9nOqlxFSQt12ojv8jNHY47pb3fUNrSH
J6O3GsXJt4Ev8r/rQTli4v2AfzlWvrg+X4Q5R46mzF3nEL8Fa32L9k8sKMeh
q43u3+4fwjlN+Mwio+G6phXaK6oTynDbJe6je5g5IdW7YoYMvwqWZf9k43Ol
DIs7zh+S/vR/r7e1uEXBi7sUR6+badXEXD9HdidnibZvxN5KfWOH5Urxmh2O
EueY1wfD9L2Y/Q4d+kj3O+05b2G/U0o20mT2MuSQSvcyh2K6l/33/m3bfRMj
NlXhDsmLw1xvmD3RUf++Toc6fmBuZlh7ogrr4Ym0EOacva619CXRKY35OV9i
9k20cbHwbrJvrlt4HXj28Dyl7nzeEqRvlAj4QMpLjtNE52AULx315mcBOiy+
5ijBGay6lEFPIvd0hj+zdyPHoCOwd3tfSoDneebTsAXM8xxVz57vS57nkT7i
J4heRekD1yc23xL0JtYH9mv3jUFwLqw6HRvAnAvo3DZ9OBcCOPJAV7ar5uuc
E4sL0fBaU8AHvi8vB12Z45+3r8ZV8tGPB8aA+418iIK94LCO336O50lo+fs4
2AsqHvuDD7d7aA1cD9sltOF60N2wWJPkrC7/Tn2s1y5SH+uJbQXxJNdU9Df1
YxbOoX7MmNDroDc7wKbnP0unBLG/uAi4hKSHsCbRrfmEeLCZh15Bw2tqAG9J
XbADdG439TeZaY3louc2DwC3cTgjoER0PnOljnhKj11F8x0vPCX4gKTTEThn
XY6uCmXOWdR4h9WQnLNx+Xmg//m2SKaKuY/Q971v4D5aX/IRzusPWXd3M+c1
MnigYkjOa7neSND/3HSWd2etrkS2Wzk4CS6RbyAK+3JDqHXfkYt26Gn/StiX
fVU4YF8ORcObiC49LtAW9mXVufGQZ1W7IMB1keBJ9KoK+Ee8f5UWnPvsNeMT
R36WMXO44hJy7u96LL6e6NwcsNjjo8w+9XlJAeAkpysjQE8YljioxJ2eh/i0
7gH+oytaA3rC6N3BXwqUc5D/jTTAe+t+ngC94rCc3Nu1wdmIb54a4AzTjlWB
XrFx5dFvHOcykbko5xmCGw+k/4N985HmnaKcykuo5JsO7JulGcqwH62cm/Li
VXUs6mg+BvsRn95l2EON2KfLEJ43QDIS9tBjWB32I4FGYwVmP0Im/i9hP7ri
FQB5XwsfFrwa+2eFNngA748T1z2CffORBr8g4TfZir/Dvinivhn21k+/w7ze
cSWgPKvZYmRvHQ4UdCB7qOShF/HMHoqG53XCHppt2wu+8hkZdD5k76Lz4eQ8
iafOk4WKKxeS/Nvd9dQ3muNLfaMPLErXEH2O+bxqSS1mn/otbPeI6HNEztqD
Xkhi7YHIYGYPEoqSqCZ6ock9C0/ds6YvMbNOdl2Dfor83cScp2jf2WQ4T/97
zgR8i2Jlzl/06WobnL9e9lz1XA0yyCeO69PjkQLk6LILzuso83E43/8lOOQz
5ztaVZ0M53vDq+XkXEZjL7OfM+cy0tt76f85l1fx2uQz5zL6NfchnMv35vRy
ER7W8s9naZsbD9Eag6THhIddfX0I/O8KNTNgH6nasxP2kYlxtRqSf3L/jD7o
u2bxaoO+S214APz1F566wNz+ts8M5nbewVjwWSs50Tm/5R2d81nuZoKPPqF1
L5wXjvvb4bwYlZTvIv7971X0PFJ5S8+jxN+K4KNfubwDzi+fDnp+zWOJAt+9
+il63mXOoOfd4REjvco+Kfxk2iZ9znNi9U8qwP+F7KYJveK/JYU9GitPzBIz
xTMEc4nfDT3ZPh/w1Z0XgqN9ho8hMxYbwFfPv7GHfADORB7Ys756/IY9i9Xg
D/ALzjyZrCXfzZCq5hLgF/65HfYj+tg/fMmBzPyAst6wm5P5Qbr/Cehj+eZk
DfhXVKI3b+pgHhg5aexK9K4rVqqwMnMFsh5OhLkiYof0dKKbNazck8PMFejM
Zf/9ZK54vfwd6Gb3HY7dy8wP6IpRhA2ZH/T4/oDO8Lbq6jhmTkD6aiU1ZE64
rVEGesiHSdVxzFyBrrfvDSRzxcMhFcC76tlOPYt+7ohSthgD3vXrCkcW0cVh
0eGNOcy+yTmWBbq4Vx/fgs4tIDmKpYvZWweG6kDndulHN+jirnlttaxkvh+V
Xbmgi4uI4qojOjfnz5oy2cz1s3ezUjHRud36Ow74mNqmwQ51ictI+tVbwMea
9l8BfKxbv6aG8DhCfYGAj+2bKaVCdHTHWhd8mVj1HAnXa78mOjo7Ka95xB/E
VeJ8Yr3LU4QqdioTf9A8LRfwGZ3I4Nlwi7k+2Wp8nhGf0WOOWRsJPrC357cB
8e/v1nwA+IDEvb2AA6xM/DOP+P07S+eeJziAl+stXuL7Rq6RsL/PyvhYQvb3
dRfeC5A8HOGAJtAxzvpnBjrGtxLf3EnezkKpi6B3PSzPeZzoXe/LKM24/CAb
rxzeDHraPVx3QU+rpjjtJ8nb+S60DHSztT8kQTerfPWeBvH1p3VzgM7WnKUF
dLaHp8/mIPO/3oTBJjL/79nBVU2et14C1YATWrhUCJM59v7TUMAJ45tUO0iO
kL7IIOiBowsrQQ/cPxxURXKEBvPFQQ/Mzn8d9MD1M5RhL854oOLC7MVo1esS
2Itlj3yB/Xf9rd4UZv9Fo5f2w/5bFhYNuIqsc7LrNJSFet5VA64yIGoLe/Rh
Jw5vZo9GTR+8YI/uFNSsIrl8DpP5Pycm838e3ezmIDl+spN5PkWTeT6aLSHA
U8jd0YV5YKcJnQfkftwAPD8ph85XPXp0vnpi6gG8jKQ1nRN6OOmcEKLhC7xM
xGE6d/ncSIC5S3/EGvIJp+YU1ct2CpOcQ3b5im3rg7Px+jRNyDn0zrsE+fNp
Nqaz5p7LxAsKjkA+9onT+4BvxWz03Lw+tgDOTT3X14Dnz1pBz9mRn1vhnL2c
GAt5hhErWSS0x3LxnQRryDMM+NUIuW07p/1dbRl6BXNsvsNKctumW03EklzE
UwXebxem52FDB2fIRZQO8QXeSsiXzj+n8+j8M2DMC/kh2/dYnia4dICqOMxd
nLXqkDeyv73NkuDAFbdSIW/EscsGeK4Z7+n82e5J50/e2mlCJNfx1WeaV2Y6
mVf2K05KheRLNBawA+5RxvkbcI/XEuoTJKfC+XUb4B7zRW4B7iGd3wi5l2/c
S5SI3i8Fg94PsziwdJL8qJ7xWaBPfv8sEPTJNuph80iO1g+LHNAnx0sIgj55
OLeymeRcbTTosyB69bQn20Cvvj3XDfbHF0UvNzL7I3JuugX7430jBPujb2D9
+IrqIvQ45jnsjyqdwTD/P1op4czM/yjuxtJLZP5//fE37I+6KcsUmf0Rea5N
h/3xrpgv7AWZ0ytMmL0AmUokwV6wy+hrFckHu2neDLpoltn3QBddlD7wj+R9
HQq8DbroBq0u0EUXlfL2kLwvjZoWkveFyng1QF89ex9rGsmjOF3yDvBGP+nF
DgRv3KEqDnvu4Qfr3rVeyEXvPXbAnuu0veo6yZdY0rML8EYr1pWANz7XXypD
+guut9A8mUvXaZ5MruUi8MtYZ6hJ3uR0R4ZON0DP8HDb3FcftjkigTc6Tjz9
Nehc3hfAA0eFz/SI2ZxE/nMyDZ8drEIrvEUAP+SYx8Y3vcMCiR5NSbPTL0dJ
crN6CB54LD5PzE3UCiWemz+T50YFGpq1E/DDdeVKMgEv7bDmQcrnxpZM8rmm
8j3Bm23xzueUZy+vpjx7RLdcbPnSE/hUJ+ULOGsoXyATjgv/dhzDMw5RvuCC
BeULfq0TzrrXfBQ/Yw8DHP57NMXht3zX5Dmbaoxfs54CnkuqkPJckzw+nsrj
mweOgf6Hr+16fs27MuTtGKBO+HGHxu4aosOJXDsqNu5Yg9ptYpUJn674wxv8
RIfTP2YbNXqim9VqoBvxvl8NfqK1zspP2vf5oGRfDH6iZKeHK4lup/WCeHGO
/220LibKl/BN1woCQYejutTf4+KGYvTjvt8o4TU62JybiF7oSL6mEX9kObLJ
dL4JeiG7KNAjnW7k1T1/qASJnZodSXiN+yE/QI9kv9+lKKO5EHnyzhUkPEjf
6Y1bSA+F4bBqcSBrOJ5fs4f0HfxvH7d/tU+J9Cz4vrxGehaQSTwy+dNxDC0v
4T65lvmehc1fAd6en2Z+xyPVGD0abm1uY77Phb9fAn6rmbkEcOBNS84q1TPf
P7uiNuDAksevA947f1ob/Hwj+yv4+cnrB0+9fqSX94O+i/tS+5fk9ly09j1v
D5lLfd2WyhDf2aV+v9bwXVlI/pQV+HQ2tdph5veiHTPp73Xhpr932/Kie2m2
4njVzkoF0vuwNeYO6X1Ah3739IbP46ovzN6zj/RcWK/OIT0XaPEHN7nAzbao
+9KzTlvmOjxcMga8A0/Bg5zSpcxzKsWdQ5O5Dk9vPAA8BVa85nzupR1aknl5
TJO5nh/XaAKvwTexZklcvzmq5bye5WL4EMm9eTFM8MmDT2/MJHim+pOoiMLQ
ByjWkBvwzDndZz58NzJCC04eft+R3Yxq93oB/vnf/yXzstPdFPVmNPu1PeCl
H8T6C1yt9VDrliXWjZUY6RldBDwzaYvP31OuWqg3ymepiGAtsr8/oU3wz//e
J3DD59nLdmG0QlwTcEvfXGPQH8Z++yvOPc0fjbw/DPrDdZfbQQ+5pGy2ja5j
AFp9wBX0kCs4ZEEPyfJ8Sd4h2/MoT2TaBaKH9HWrA5/+Uo6ujSRP+/pZDD79
enUDyM0TW6bwjeRpBx7bDbl55/oXrCS5/V2cz4qKmTnZPATmZPTr4R7w7691
PWRC8rqFB86Af1/Hzo/L2tUL7TuRMZc3uwkpVk9XI/6gZ41yNxXNXVBnutzN
blaMlhnEAM6sEJZcT3R0vpsiL4ztrEcVZ/FiwvM+8o1fV9Vghwb13qcn2Vai
bSL/AK/edyOR4N4oRj/7ZXniVXRP8RTg3lfSv0DeTo6mkS3hZ2u22oCO6Oa9
BZCbEfFJKIXwubM/Y+CX2f6qxXgJB6IybWXi00FS7uXg0/mbuzB7F583Ks8/
GP3i3w2UVdAMeHJaRpasprMrKtpiu/YkRx2S498FuPoUPBn9hyeXPvzi6hC/
Be3zfuuTWFCOHDRMAR+Ldfj+V4pfBR2TaTb3uVKGGuQEAQcrN+BbKda+Eak0
zv52WK4UJfWeBbzLw2GZGdHhe3s1nRq52YCOB6a4ER3+4pkuy4huX7F1WvOR
lS3oyI+9i4luv9uF9zXxO9jGeLY/fV+L1j9NKSB+BzvBHZLE7yBs8pFbYvwG
utWTG0f8Dol5hgQHQ8Z3ePfUnqhCI2tmpRMc7L+/a8Wm1viITVUo9fMlwM3+
ez3VWuXNgH85aslRBzzwv9d9xfylvLhL0YwbCwHHY8+5DXhg9N5SgeqEMsQ/
Lgx44OhJvd/E99EVcc89lKMKscgU1xHfh8Q+fk3i7yiUOLT34YzrqCWlaQ7x
d5gpH64k/o6JjzwuDUuZ+0uv5i/xd7x4xQG5uxEKy3v6fhZgW0tpyN2tqBSz
In6H2AN9EXWF7ah++tIs4ndYo++iTHwomyMWx2glVaH4m1/Bh+Lz2tqF+E20
Tq9W9GqvQl1jcxcQv4mdnE820TO7aWtFKW16hhT/LMgkOkw7ruIZJI/3rdrZ
bVd4S3A9X9UvksdrNyoLecV7t3UeEAkuw71Vv7VIXnFPOx/kFV+dX97DplOC
9W+0biF5xce/jksQ3fW9TDW3f+tvofoFm9WJ7lrE+h/4CxqlDhe41VcjyxVt
W4kuutNIHXhYzzD6fBMToM+3B8/eAd8qnE+f/wX76fM/wD87mORrqQ79Jfla
KHLaQeCRgy9cg7w1T8WTwP9a1N4E/jf/OJcO4X8VMX1OyvXS5+T14xeA5z0R
Qp+3Lkn0eWtf6wp63c5NGd/imvNQ2MFw0Oum1O8ZI3rdrlFf/xMVpcjPjV+a
8Il5+VJqRGcbwlL5qUCpCOUclT9K+G7t9FUVJF9r427Kq6rYyQGvuiQoZ5Do
819vUlz3O7UXvetOXk70+ZO8Kp7Kq15XWxZCcr3iA/2A531aMBN4Xn8WMej3
MXzzxYTkuvRLbIC+iTbra9AT9KjRWZLkyTx2joL+iCrFGf9Ir427c/oGkgP5
8+5B6E1Yru+fR/oLuv1o7uj4Gpo76mJZ7Eb6C2b00zyThESaZzJbJ+cF6SnI
kKR5pPKTeaQVKl+cSa/BHReal1L0k+alSHb3QP/R9IW7EXMOoqbB29B/pJ59
tp/0PryeS3NUfv+kOSrTn72HXqSyoqZnzJyAuMT1oRfpv/tRpu9HMjMnICen
YuhjYmnYCb1R3in+5YftItEm7AK9Uct2Pod+osSPxWe/v8hGJcEc8qS/w90w
D/qVkrSKzUkOSWvHBuiV4NBZAb1FM6SPOZHPIzfWBz0UZvMkoF9pp1ldNt+M
bLS6+zv0XKRuas8leRrrNR+PDjN7K5/zuwqSp/G9u8KT5GnU5Yy+7WP25c/S
J8QhT8Oz8SPJCSn8vmPrnxXdSCdn/lmSEzKZz4mn5nNaDglCDnn5/l4r2bGr
+HD4DshPC65o7SE55EfmeNbYMAewpjw75KP+PfjiNslFfzLDD5t61+C0pwsg
V21uTBLkorNh4S2NyjU48ke3NslNLX1YAr1y82QfVfkw/98QnWzop1jq/x76
cRSfzS8n18Ofk9O/kz4Llx5D6LPbhwvLyf/XQ7wHeit2Z9tCn921hF/Z5Hpg
zzwCvRVba+Kg12ONDP0+9f/Q79PK/Bf0YtwUo793qwb9vZPXJ556fcZqHIB+
jfdP6edJm/w8M75WQV8G1+TvRRn092bGnoJ+jSvX6ef0FKGfc8lzWciTvx2c
8FGtKx+7zNWHPPlg4/XQF/blYAp/+4VcvJ37EPSFjVk+2ULy6lMWHz+mKVKE
R+s0Ia/eMSgResTiO7PKKh0LMP9DY+gR+1/++SY3aXJ9fuypgzn2dvH8WEPm
en5x5fJ0cj3vkz8Cc++5eQrQB7cgQLZMsz8Hu+Q2Q05jYcU96MV7q/o42nY0
C0+sLIVevMVdkpCrP6FnrrOvpgQvqLGHvKYn70YdSD5/f9PqONOfZdhV6gTk
6H7FcpDP/2Dwgb3RjxKss1oG8vnLfwlB/v+vdJMekeoiXDt9PuT/s45kge6o
Llcvg+DMn22fgu7ISzoddEoOHLG7CT9y8oo16JRuz5H+pCWtig35TqYT/Wf4
DCuCTyLdg/sgt8So98SOIr16NGgWBbklx5p2qpHcEvnabuEKZh+/G8G/jOSW
+EqVfHptroqLZ5uxEn3p3HegL0WffWQgB+wNy8VjM8VMkYJCHs0BC10DOfZb
eyyy+pjrXNbPA/IGy2O5oCfl4m7NRQez67HSnrWQU9dftBf8g0elKK+x9Qnl
NXzZOMFHYNZAcX674xTnXxWXa0H6dwz0aB6XbBHN4xp6O6eH9NEMuNL8Ir8W
ml8UZrrqGenBEW+l+UXzrtD8oqat1lxE1918cH1c8EfJ+sFS0HUj1Q8inASn
HTIeflz23QyvDAEdOEpyVQN/0GpPiksEN1JcIvJaDuT8t+LYerbqSpw/q52d
5AouqH7uRXoBni4bXWF5rwzzFQdDDqGemTztd7uhmhlmlosiXq2Evp6xPE3o
uTBk+SFovbgQC952g56LHwmzoU8w/tIlz2koH88LZYeer+HZX/+SHgFtXvM1
7L4l2Fno8QySi9hwDEFfw7kQPw/OxEJc0noWchFT7s+BvoO+/uKAYzll+LNL
vjnpO9jDiyAfTyu3YJDkdi7/nAX5eG8L30F/5dhSBWeSt5ni4A79lSGsmtCf
yLIlROpXWzreoKAHuaY/WZqhRzKudm8p0Udt6C+HHNTLX0Shn7Eo9IgHC8rC
Ho85INe0XvQm9FEG6nZqVEZk4HkVs6CPciHPMeh5jBo/s6VQOQf36uRDD12V
IB/kraWeC5tN8CXDIzmQt/bffe3ubLiQ5IEvs/SGfo2amtWQt6ZudR3wur/B
gNfhzf/Sob9jn8OmBJL7XX13Gsn9xubVidADItoidpbgjV2Bsv9PD4jX30LR
W+6JSFgxAXpAHByMoE/EKNbqF8Ehe/TqIJfMfcAW+k3OTH5O/snPWWPdBvjh
f59nfPLz/Pf+Q0sbV5LccitLDpJbjn0VcyUEmPsraMuh+zOY+yvOD+4vdDOd
5UdlnxRymOQptk3yFGZqfdAP0hb8m+1kchzyfHsI+kFEhy9Cz4hL2sclqjgO
HSiygJxDqRUGkFPXdYf+vcGTf6+I8z/IW5OZ/LsKJ/+u19xvobd0XR69To59
odfJr+nLIEfxaSp9/5hC+v65nJVkv0bnZh5xd2XmilKuDtiv3+XlQA+X81s6
F9XI0Lmo9MUO6KsStKDnuNZLeo4vSP4MfVuRt+i8pORB56WYsznQP+WpTeeE
jid0Toj26oY+rOYKen/tbaf31xLnNtjrf69fLEPmkLwFIbDXb1Htgx4x2X46
h2gH0DlkEpfGU3HpF+uXg0/H14/i/7oBFP9fpCYOPpf4bIp79x+nuPfJ1jkt
m5jvf89ymqP7bTJH99Hy1Zbk+1xiSvNyz7nQvNymZfrgh3Jtp7znaBTlPR3q
30IezloWypM+FaQ86d6W++Dn6lxLeVWvMcqrNvx8D3k73HsoDzvMugt42FW3
b0K+cbiaYBb0hL42AT790Ltv3uR8edEi9Yc5X3DN/nvAYy57sR/80SpK4cCf
vqim/Cnr3ADwNT/wp3yr/OofwLcqfq8Dn7WoJeX961nigfePtimG3BivlXG1
NkpVKFgwGXJjYgufQ17KuB3Lje2Xq1EqizLkpUhc1YXekyjXsjosVYMXdTYc
IL0n4yk60OeisHb29qCKSnyXRwX6XEJyWsA3pOFC8dsRP4rfvtr7AnxGxY0U
p80/THFazdkroF+mKazjftfpGrx6pxH0y4jucYferhD+3/L9ETWYP0MHertO
31V4T3T+dTfFAQfuPUxxYNGTjuCDaGUNB33FsDHVV5yV3Aq6fbV75YADn3qf
CDhw9Muj4CPgMaH6ipLVVF9RE6cPfqVmX4rf9vJS/HaSZ8FTeZZnddwJxG91
tYbqLoa8qe5CSHAv+A4qeim+PU/0NuDbZeIp4L+wVKQ6gd8em0EncGEgAnRE
qwSvAt+3wcEQ+L5HrJ/AN1F/2hh0EcKhoaCLcOcPAx3Rixiqf3j/g+ofZNMX
3Ca6I+4OaeAT194qAj7xmUcm6JdMvlH+0ZsnEvjHSR4TT+UxLUIGwcehspPq
JcZnUL1Ec6kH+ErqrWaCvmWnjwnoWwpLMsEnci2c6lgKv3iDjuX59FjwlXgH
UP1G+D+q35jUaeCpOo0nZzrAV7J+jOolGj2pXqJHqAt8MWG6VPfSd8MEdC9m
Ydngj5MYCwK9RI4W1UtM6ivwVH3FyW/nQSe2qikJeF4eZ8rz8p//CLqvUWXK
80ZJ1wPPO8nn4ql87rcPxyFnIE+S6hbky5+AboF1qy7kEWmm7cyQVaxFTXbX
IY8oWP8h+AHXGFPebVsT5d0y5+eBr7C8gfKbaYspv6lg5wM+hSG2pdwnboch
ie0y4FNYmPkUfAFm2/lkCV/Q9yAXfAG2D7OhB1lci74+8Yi+Lq59B3qBH+TR
ebXWns6ru+5sgr6nunB2r1iXGrxFyRD6nqaH9kDu3Ekjyudu/kz5XF58GvqX
b7LQz9OgSj/Ps+0HIJ/kVaJjGk9bDer9pw75JIIGXOdIzkns9RNnz6hcRbNU
5neSnJNDmV7Qj7xtLp2T55fQOXntgDvk2kWrUH7Z7z3ll6el2kgx+zteFENz
WXfm01xW/5uaoV7M+VJ5muZeckXS3EsBGduofuYcqT1Ncy/nmtPcy9M1m2JI
XuXTXvWZMVu6kD+6VkzyKs+vuQo5eO1BdkWirY3omVYi5OCFj0dBDp7mKf6D
LmotaNrBn5CDF185Bn7/VzKUfzfwofx7kkQ0+P0DNaleyPES1QupzXsH/acH
BajeoEqX6g3OVDRB/2nTRapbaGCnuoWQ/Qhy1WbN3AN8sfluyhd38vFBPpv2
WcoX6/dRvvhMqwnkzLg1q6Wn9laj36vl1UnOzEFrJ8iBqXa/+7osvR49KGmF
HBjpA22QH9KZR/VOBqwioHf6Y3o2h9njcPBVS9jjFA/QPc6+YBrk30p40X1q
+wIH2Kd+rpkrx+xNOH/FQ9ib3ofTvantgyb0lWhso3vWYqPjsGcFbC9Yx+xT
uO4i3aeejsyDfer2ZXPQY99v9IDc+3tCy4CXvDAeDTpz7rM05/9GvxToT9oG
7YdJDpLvi5fQ1+ORmgh9PYndOfEkv8j2gwX0+/C4ZEO/z6TeFU3Vu1rXmb4g
z/k98+k+q154EPbZtDdDfcz+iy306f4bdFcP9t8HI54bmX0W/xqj++y233Sf
9U1g3XOBmTc0V9A9dPR7Ceyhk3srnrq3LkPHoS/49R66R8xSonuEx5wlkKNu
60T3hZ5Kui9MxIfMJfk8gQ2DoPNRMEsFnc+z8e7HxCceEisB+OSMpg8ZBJ90
vnBXmOSuHIlTB1wx3koRcMVJ3BhNxY2lm4vdSf7ho9wbgDMbzUsEnPmMnx70
UIvn0vl/RlcezP+TvDaeymuvaHKGvuNLsd9hb+LeQ/emw6Xa0D8uuILy8vND
KS9/g6cD+us/6VM+3fQp5dOV6zdAn3WqLuXrLb0oXy8s/O8Hya0SXjpNjfQx
pfcGQR9TjO0R0O3vf+UDPQsB/bLAX0/2j6Cp/SPsLGwWJL9LKewO6K4XjbCw
Ed11m2i1AOR0/Uid3xP0DNWfOsVBcrpeIcsDJKfLoG0/6L0VVKZxEb139brA
DSRXTeboduhxqE0Ihx6Hsk/nE0lum/zdhdD3tLVmE/Q9ycz9BD0UR1bSfS2Y
he5rduVHoW+ixJnuZX2ldC/beCoU+ix+pdM9ruQa3eMm9zU8dV9zqK6A/LGW
FEXgNVT3lAKvwa+zDvT2xyIo3yR3h/JNk/g/nor/i7L8rSO6tWh9qjMfdqA6
8+ZNRqB/i0qgevKP2VRPXrrGy4T0YjetoPOh/wk6H25NeqK8Ut0b/z5O8fDg
UYqHC6mZQq/3XEs6N3qY0LlRQ2TsEen1vi3GAefRojF6HoXIcUNvQryxJeAY
+aKegGN4HpsJPQKaMXTf33SnDfZ9C4/B06RP4VjWG8ADbfO2Ax44OWfi/585
E0+dMyfxQDwVD5zd0lBNehnq/Sh+GOXGCfihzvkl0HdgUUJxhpGcEMAZBlVn
QU+ThSzFIbktKA5puqC/IzbcDYe1lwEvEK1BeYH3DlVnSR96rnAJ4AON3RQf
aObpmE38MhndQtCzc0SJ9uxEyr3XJLpuHoml0KfjunEc+nQeoiDIKeXMXQV5
2h6Pj0JO6WRvBZ7aW7GjkR+eYy8+6R9mnmNIgbMLnmOmKn1wvY3Etsxnrjf0
6KgEXG/JYmLQd9D9SgNwpGVdCoAj9X1Knp6cfQ01RnEDbp8RYwG4/ZDo9UKS
w8z1ezHwOEf+1gKPE/Q7CPIDD0cO3ur9fR9Zv/aE/MDsTm7IG2xSo3xikzvl
E7s7bcSFWd2x0lnK+7ypo7yP0tru9SRv8ET/d5I3iLYqiINPYdKXgaf6MiZe
LrtfXH8af3v9B3Q7PxZT3Q5Ssoeei7v1xwDP2eL8CPCc39ucZTSYeebdT0/g
fb74VALvE6RRDrlGG29Wa76pjsWHxJdDrtFThX2Q9/XjjrxWP1cCvmiQDXlf
DY7Z0PvsPp3idbprKF4XF3YN8pQ+KU48e78nCf+86wF5SiPrL0FekFQ39+qV
fKl4zzQbyAta0BsCOUvtmukPiJ/08Z4lkLM0U8cd8poevg3y0OmPx+yHtSCv
qfCC2yySDxlcxgr9ccbWgtAft3DiNDfx1bLyyYPOwcIgFXQOMTq/GokP1/9n
GPCzr4TqgJ+dzDNEU/MMJ3Mg0dQcyNqqF5CH9nAz9SmzNFCfsm+KCvCwl7I7
IC8xTuEKPK+OZDkAj5zvS3Mm3TppzuSjJbngC1jQRHlSobeUJ/3jIQ0+l5YV
VJfL60F1uUs/sjoS/2m2WBDoNLQ/BoJOI+tycTfJW1gm/wX0IQ7iF0Efor2V
z5nkLfwyp3qSokZ/0JPsamN9Tvyt6kgDdB1Lyh1A17FKywX8qo0OVNeR84Tt
/6vrQFN1HWeDCiDnfGkezSuO/mcBecVaNh8g57xHm+YbZ/LRfGMLgWTonXz6
PHsb6TXInvABHdd/OJXB5uxdpMf28btD0LtnfZALfBmlPpR3TtekvHOKZjP4
L1ZKUd75vTTlnbnCv0Jus5U85UPHEOVDNwhUQn5yLboP/OyoZAnwsw5hpdok
L13J8SDws4UPGoGfvetgFEHysYWO3AW+dW7MDOBbJ3lnNJV31pCYs53kPH/Q
lQO+9VvEAuBbJ/lrNJW/zuH5CHz68Cj1mxyUpn6TSR8Hmurj+IFiIZdv4gH1
p1vyLwF/OgqaDzx7iSL1lRRrUl9JXP474OXt51B/Cstp6k9ZWe8HOg3TddSn
NjZOfWp+D+9BbtWE3SHgZ13EWoGfnexjxVP7WNc/4r6i5eyKN3jRPtbr4/aQ
BxJiwQs6q+IK2sfqYUz7WGeeN3atabDDQWW0jzW2Lw3ySbKeW6fp8Xnjtbq0
3/PgBtrvGS/ZLziwzZF57tF+T6XntN/zBotiOjJ3wbbjzdDX9vBEI+SBHOBb
leHAPFdZnz5cLsDcXzjFFvJDmkcLG/2Z+cFaV3P7GHM/fo1BkO8x2ceKp/ax
Xj3KA3owk5O0vzV2Ne1v3btCb98ZUSssfpD2tFZM94UcFZyZ3i5pcxKzLqK9
pRvTaW9ptGDkhr9GRniUg/bR39hO++gTsl/4pvebY7k+2jtvakV754/n6mmf
sdbDOedpr27QetqrK/BGvsWFmXOCnVyDxZn/V86SG9CfvnNVsxLx55pMp31w
1W3PoA8ud05/IfHzlq8pgV6nxD7a66QqhTiIT/P04DbIbZil0wm5DZP9ZWhq
f1mJkOQ54i++dKIO+qSOW+2DPqmO5njwWZ9f9w96zVo8IoBn19VWBP/vE859
0FtnMbMCdOmCQzGgU9L86wr+6wZL6r8+9PEw6J3+iFOf9XZx6rPWMXUGnYwJ
203wdTp2U1/npD8UTfWHSl+7ADoWm1bqD1VjlQUdi9JeFugv0CiYBX2LLE9e
Q9+i9o7DvsSH/m50HvRzyb/jh36uP7+1QFcWM536gpNXU1/wo2oT0He53qP+
4i8nqL940o+MpvqRU6uHtIg/NHv8GuivFt6g+iuulHXgM1U2pjorTkR1Vjbr
ZIBHa9Hv0if78urVsC8jjpNuxKeJvzf5/Rlgzp30ueKexKf5ObOS+DpxynKL
xE/MObXX02QR8XVKGi7+kzzih999Bj8p8ttdBnlTypJilG/ioHqnQW+qd7Io
c4JeknDZdMh731o7DnNU19/3orVPB/A1g/gnJB9+1qllj0k+/L9HFaBDCxij
fvniTuqX7+qTBJ3ewzHqi8/hp754DYUo8L3e06E6sT3mVCeWYHZtRypzrr2+
xHl/FzNvS6jz2zHnGrrKWSgjzpyD00f92Y8wzzHTXZJizHMMpVR6qssyz3mT
wuYOX+Y59rbnzgDzHENs+15GOTLngmX/WtFk5vl5WWrfHeb5+V8PJprag+l6
7iL4Ac2a5kJP4inOS+DvcN1XD/5uZ52/0MOoKD8LfCLaz/eDD9H18jvobQxu
sAffxwnza+BbXKNN+xMdg2l/okJcpy/xObZvon2LqSvTwPch9fT2193MPnLG
YSLnOvM8H5N2T2Ce52jLDffDixtksBei/UT7fGk/UdMGYfCDCKtSXqban/Iy
YbtkQEe6iJ/28VW8oX18EULcoDttekh7DI9/pj2GHYfmge6rZ4j6iNW2XQXd
10/ZGNDHVg9Sf72vIPXXK8iYgs7WlZ/69EdMqE//S9Y00OWyraA+fbXj1Ke/
1EoU9G9HRVaAz9p8gPqsJ3kZPJWXSX2aB7rZrGzaMzhfgPYMnprBAzpbG3na
z6ixj/YznohCoBddWkB582BZypsvjPaAfhATTiXoVzVe0Av9qlfzWLaQ+X+8
1uQ8M/+jI+McBA9Bgpm9wzukVZGqEb2/zq+n95eS3surr81VEQcH5Z3r3lPe
eYWQDfRRKnAbgX+qS0YM/FOTPhQ01Yfi7v4G3r9tGeXBP82hPPjM0j4D8RR1
9NWU8r+RNZT/5W7n7SJ/1+gVqm9RE6X6lkmdDJ6qk7H5sHsj6c1sqOUGv0nm
i93gNzn66Qf0UZbsiAb/i9j1evC/2N1Sfkp6ultXUp9L+5fN4HPZr9wGvdL2
t9TAFxMSnwe+mJj2QinSs2k8VAs+sgFZJ/CRfYgeYyM9qv0LXMHPcvDiLvCz
KNcoa5F+8KML+MHP8nvQH/wsKXIRcD07+aOvzH6NngdawPX8XO0W3O8mguk1
zP2OYgWk4H4PzJ4POszOY5QHj4uiPLjOO4HzpMe8egvFLT0eJgBuebbPC3rM
jXXuAe639Xwb4H53V5dCj3b9TIpLt5deA1x6UoeApuoQfneFQn/6Rk2K626I
priu/f4a6CUvtbMCXHe/5ALAdQ+znoV+8yvvtwIOKcwmBzhkyZwA6PXmXEJ5
pYgLSsAraYsuP0x6zxcZUB4Km1EealXbM+jhin0h/cG8MBNPFL4CvLf7hjb0
GbFoKK7/8SIbP9oUCLhu3vxNkGOg9UUW9KWKcdFwf/35uQlyM+zuU528QATV
yVeHpw+T3ueqUQ3QF32V5gB90YaYLfak13jU7BvokcJ2WYMeSeFuN/SpRRQo
sHH9icYuay3Bb77W4Rn0tfn0uqlYd8Ri0ciX4Ov31BiCfkzdRaqHN3+4hJtq
z0I/plCcEPCMr+M1Hs1nvYxVn+cDz/gcpUCP535d7s82yXH4sftR6PHUzGYB
vpL7ceH4FhyH6w7ZAF/ZsFAykvQsV/x6CXoqkeejoKcSStpXTvqFFzosBby6
jusP4NW/VnyCXmChO89AT1L6kxf0JLKsBW6kdzh2nS7g4cE3WgAPv/3oAeC0
YpsPlIhUFyFT5U2A09paJwD++U9opl+lYwEqmx0I+Gd2Wgf4gAbPPx95R3rB
WurBB/TfnjLIP33FLfdEvHduIvR3c3/iBr/DsofUz/KwhfpZ9ufNpb7jXdT/
slyR+l8KVDPAd3xMg/Kkom8pTyqoxgt+z8G7lCcNOEh50g5xR5iTWzloft2N
xDGYkyuvrYI5XH/kBOTylXDTXD6DXiWYh/XraZ5ekDfN09PZXQ7z8LEfpZB3
F9yzDeZhvwPbYK7e6fEIcvbCHj6Eufrc3VGYwxuyaL6fz1Ka77d6Zg7oB/pu
UN/i+2XUtxgYdx3m4WWsND/Q7gbND5zMG8RT8wbvhJrDXL15iOYTin2i+YTR
V87BvtD95yXkGZ6SoXmGt4qqIA9E6M9J0C3PadWBeQ+nFEHOzPnxDPCJpJ+k
PpFJfTWeqq9+aWkBOTMPL1CfSPJi6hORq5WFXBHr+VSn/Rj/hflTjvMz5HIE
WlId9aF1VEc9ifOgqTjP4a+/BElPnNZO5x7pZ2nYyCAP9I3hxuOzSM+7UP6g
+OLVyfjQi/egt7y+aDX0dGv4XvdZ0pGKrz9cCzrAZ+HWkIsbtsLFK4CZ0wy+
RSiTXFyRnJ+LSZ/aMsfBYf2nGTjY5A3okaYfOQp9gqOv3c+nXUnHLBsOgH6J
7d7vH0TH+P6IuBH/jGxckHEGdEptf4KgZ81kjDM63CwXZzbbAN806V9AU/0L
qlFsoGdbPEp9HC9qqY9jEmdGU3Hm1hf3fFcw53ViDjvo+QWuuoGev/r3YVUB
Zj5vPPYH9P+3/Q+C/n/St4Km+lYm9f9oqv5/UpeLpupyrS1CIde9Y/CBMclb
VveAvGUk2uy2h+RT1chVgF6XK0AO9Lpvd6lB3rvDkDfr+D8r7PxrBeS9P6pa
ArncP894F5P8+aXvUiCXe8/MK+CbaO6iuTFC7TQ3ZmbdB/BfHL9N82EG5zyH
fJiWfnHY+1hkaa5spwrNlRX7bgJ74uU0miur2E5zZSevBzz1emgztgfdrLs2
va7c9tLrqv18FOjWSt7S/7uVMv2/i7V9f0F0LOOn6HUSYUavE5uaPcAnRm2l
547tenruXIpbCnq22qP0OrmdQ6+Ts04Hga+8+oqeX4/L6PmVdQ/B3nptC83h
FMmhOZwxZqthb137CIcweyta/uE67K0uCdLAr7We/rXX6EcJep1gAfzanrxK
4OnSh7QlNEWKUBinN/B0M5o8gc9quyP/qu1CLtoTHgR81gYr/reEz2osrShS
68pHZ9XOAZ+l5R8JeVxu91vBv3Mjlgf8OxxF/AtIz86lDH/w7+y4YA3+HUuD
aOjlsXbOBL33aG8E6L1nCygADzvtC70vTlbQ++KuyzdbomvSe+N9kfRv7vVc
Bb7RpWv+OhPdl/pPncIbfinYyfDvvuXM6yWRja+JTmzbEm3o5TTQgl7O/50j
pc9G1R4eTcNB/b/CtpFe7zQXF6KPap48d/ZOnjvY8TrkyvJspX6QtE3UD7Kw
zQ1yY/Iz6Tk+KknP8XWvoiCHUOUd9YkUvaU+kZTDByDvOn0R7TfRWEL7TWqX
pEOez70eeu4vPE/P/fQZY+D34b1A84uu9NP8oqaXnYsCSF+YvTM8l9RPhsFz
ScZMFfKKE7zUwd+X7dsI/r7JPCI8NY8ofcF92I/aHpVnMfsRSkjzhv2odPib
ING5lU/ihCcmcULuhX2w93k7+Qkzex8qVjeBvW/SB4em+uAm847w1LwjmRdV
sG+udS2YweybaPfHdbBvpnlcgH3zflvyPWbfRFmxz2DftOZXAb9wyuT/PXPy
/35X+yjo7jQn/797Jv+/SkKOoKu/l0ef89Mnn/M11omgqx+woz6jrl7qM3p+
PgF09R5LqV+pzoz6ldg3dYOu3p6N+pvqzlB/k0HeeehPP/WIzlG/DtI5Kurc
GehJ/xFH57E/z+g89roeQc5S1iWa2yDjRHMbJvMZ8NR8BgXh25KDHeqoQq7h
46xeB8zC3nJpgLlObJ44eC0+ZYA63Ke90nE+hV14rj5/z7w+pJiZkyE8HZVu
/MrZJR+P3xifr9Fjns8dnjfYG/6tQWusG83qaxOwnnNg5/jfIXzgs6rGTGdF
dPX+81rnv8l4cyCLE2Jev88V4vO8hwtFf7P7MZIUgw8NbMuWZs4F3c9PyiO+
7UUZhshtZUMaSvn29zgX8z1fDF1ycxXnAbTIVJL9/oMM9MpHVrCbeS5tfqO9
9X2hP85ZnPvtzuFMJFZ6JXY+83r8h4TzeRMe6NqZd72Chpfwu9trnJ6SvoYY
I+youx7xBPItjHt8Dp8UcI1IYq6fTMN/0d6aCI3/yVLxDozAf28GBQyS8+t4
ffNufVls2Mp+LVXyAr6nlKQrNUH0DBbhLxfI4AZdFeXlQxGY52v2qjfMzzcu
q4nhEzZDJkf9PgQZpSPRcInI6t/k/vpV5zTPBp1mmfYoMikVbzfaJJDB/F1+
qzfkFPCG4tgOneV7XuagjjvxNvrM82dkwewnIT6KaPxq6Ut9A+b3PvzYJsH8
3jwJfZ6VR+3QxMMMbdSD8YPlbPcUmefwnKCXZ06rbEYDIuujfGWZebLIrSqc
+TwRntu/jF2Sw9Pa5i/3iArCXcFGg+R+0e0bLNiWtAHxc+fY3A4Jxkcrx24c
Yl737L4Qt7BiOer9Kxf73fIiLrgQJl3IvE/9vapz3PMPIcGL4otZZ6ch19UR
hk7M5x++Hy/bY+eA536Zy+osnI0KebaMqxNd7ig2qjwthwKXmkQpyEVjXq1h
g+PM+4xGdx25fM0YibpI5ejMykYZ3QnclszPl7hvm3Vt5lFkZF9QxnYiF6mH
xi7PZ76Hotsjb85kvFOJ1Ve9k2wSg01OV3xbz7zP81/h/9puO6Pzm2INmy1u
4v4Bj9sRoUMotuLssQtqXFjmUj9rw80IzGWK8t6TfoSQi8WCN1XR1x0vQkzf
nMc4+OwBZfJ/3P9gWEBaCgl59Ogqzg7H7VvV5cmeHjmz7lR4uTnyyb860uqX
jMsiNrLvZe5Hz2Vb05NnxqFdP88tWs3xGre/EtZrLhxAv1h2Ld6M5dH46z/j
DSsuYEEWpxJynbC9WcQv+ZQXFUlu7F10IwIHqV1T72c+z/ad5d+V1smhkoOR
x059iMB3JfnZe5nXJdZ9OuS2bR9adbNX2zwnB3OfnJan8nMI92e+MejQO4o+
+0b8s/oTgwSuBHrwMs//G2mKi85xHkauQhUrzivkY2OL+CuqzH3NO7vsXiLn
GiRatVPGIjIIm35wmn6C+TyCVfO0tF7tRI66f9683JKBRyfUR9YQ35BFw+6M
bfpI0ceUn+9gFk6W+pzYQ3Szbh/NJFtU0Qwv9fKKumC85Vjz7APM+4QuCD4S
s2oz6szYnGMlVIq33nM4mcU8V49u/PZc999xFMb2OW3xs8to6x8fuzrmvntv
oTuC02zQB/awlKCUVOTqEXIxjbl++rvWR246Y46O8BpvvhCcjMr5ts3bw3zP
629dj63SPY4+eD1o4xqrwTO/BOwqZeYKFr8K3l9uGshXaV3Ds4VZ+PKmtPp5
Y0P4Wr6Jk9CEDeI5Vmznqh6Bqiqq1n9ivp9w6Yu6Wd/V0bCU3QPpUyexb+HY
zFHm89vvrN8TKqOBXjWc3nahyxCnPl0W8I95fVdy0L5RDR0U6+DhOEcpB3+J
4b0SRvKLsu3/hPk7IHHtfOfKDeZo9m+O24T/OoC2Kq8qc0Bv0p2idU+cRcrm
WSllzOv5y0WehexSRqvte69f5c/Ae6Jkf+1kvue57wcaP4Y7on+ij3JHcyJR
wNfR8jLmcwqFBiiEGuxBMqc35UeczsW3eriVMn4MYe3tkq/SjORR5ntrfTuN
NBxR3Wxp+GcIr9ZBHlvrFqEjrIrj9vuD8EjxyyZr5vNfPfn9XLWDH2bVv3W0
2KESWRrsTrjfO4QUMlu0nwoH4C+cUmvZI2uQ29kd+4hOQPLTWtef3kE4J2ON
2peSGsS26NSLeczrT7LW6y7rVEMnFbwWPnTwxpZ1ktOvM+8/KHrGua/+LH6g
0XlmIjoGFZx4yEXwgY4PraeOyYeib622oePTOrBE7nHeIxWD6IjidxvWXBG8
50iQh9jrWPzJyG0x0YOJJfamtsy/hK6N1IS+T3yCV37+sq526SDK6db88DfX
C8XdRt/KWppx1vcLv8cvMnPC9gLUc9wKz93wul1waSY67N7Xlc485z8Pm+rG
66oj1irBS9y703CHxdkeXeb7WRi462eupyoyvjDunl/vi9+YhD7PIb2Z+23X
zjygj9hNj1nsTkhBXSN5p3mZ6+33edeY+wPqiE9g4zvJDh+s/TRPuoT4UBqm
L88UUEQqzSLNrF0OeO3uzi/M+YhHl6652haihuZ8SX35otsedz7mefWF9DWY
Rnj2cCqh6zwCb+7zHMI5C8Zr/pJ8nuMGx0L+6KIewxFTvXUV2OlvWoHt+yHU
ZP49WzJUGQVdaVqTWBmJVe93rrzFPAf2f7qydH/uHjSe5Lnqwb5qXOZy4k5P
zxDaNzG2RMpyCzIZULXU9A/D0jP6ni5m3v+DwuKb3xrs0OkFG1O7H8ehzL0Z
Lwke7pSof+NiqiLCt/fPVA0vxTP2mV+s+DyEZDuSVSRrdFGCtmbtjWkV2PHK
2LqvzOfhdt492zJkOr6gIhD38lMCHlVd6fqNOa8V0ossvjoIoGlenKmvhVKw
tC5/y3rm9S9fEl10/21DJ+4/k+lesB/riN5kI/fRkPcdSd7sbej4k8ajtSz2
2P3pdo8hcu6suZeY/N0BpR68UjzBmY7qRbK7HjLn42N+99cnJJ1QhVPf/RqF
RBQyrKx9j/m/XH7ZuMFV3RkNXq0yvNqXivgl1pjaMs8N/1WevKHxp1FkmZ2m
7aMMdCB7utw15npI5uwy8gw+h743zSru/piJD0ZtV7/LnC+JQgYDrqu246Ev
4aZW5dn4XZvEkhHmvt5tffJIiKMqlj44rXPVlUzscNnqsh7zPPkqembNAfnV
yIGn5GmEYD56fpXPec/3IaSJpTak96zHL5cc562+n44vp5wsdmPua6v9TUsN
CmPRy4rHahIf4nGoV1fGXeb1FB37B1or16AAg5LdZ6uvoJQg7fIlX5m/a8at
4CfHD+CueW9F72TkYRfWy2xVzHN7/UTL6u1+e7G1RHPL0u05uFDg2IAf8znF
19q5uScp4IpVeUfXvbfG1lIvGoiP6WbX0Y19uhXoVfisboeNd/HfnZyhbzYM
YcfQIhb2IwK4EL3ls9lmhJ157xWT/wvnWOlz1RwtXGa9UmqmYAZWPLRCfzvz
OecvTPp7RV8fX7vMf/b6rFzs8YL90C/m+ZP3ovxUmowefvrCZQ6rYBYOWNxa
wMp8P3fYDs53znRADuFvSooWdOKPfr+PPmEfRCHfL79M6ZLDGQWe90MyE3Dy
9OiCGcz9btaStF4pNgpdvlwvbphyE6U6Vc9qCBpCa5rsDtqgCCS7+Sq3dsUN
9OjDmx0bS4bQArN27x49S7Q2N/rWnOq7WEkzxS5s5xC6IntoWGr/L5Wn59KS
WhfG43/39V/sY95f43uzeP7RQPRzjv33q+ejsNjzCpkx5vWiZ6PNFQ5i6GCX
2S33hzlIZ9olL2Fm/zU/M8bifop5przUFrfYkI39zk0P8vw8hF132jgHK0jg
zFovv4/z0vDrFgFlJ+JHeD27/8M7FiQaMqv6T0YOMtdU1VFj3qfBp0UoIUAR
80vNDGRj5tt/Ps5hZL71V8vr2fxQDT96xDaSuyUNd39ZdsWIeZ+NIlmLkz7J
42sD839l7fXC54+zhZHeFrmfgs+T+LTwX/3A92yCQdh73YpXJ5nXdX69PGje
ZoA2PDy0Tiu6ComcSzHmYvamEsk/nPL79iHf6C4XwUc16L4l99Aakj984NSe
eQYbUGGv/6PiwmLE2/z2k87wEHLt/axt5mSA978T4+MXdME/r90X6GHe3708
F54DI2eaypjnAHL0n7uePAcKvxyC50ZQxOD4lvBSxK3mAM8NnfjQorVbj6ND
I6tMg80u4yT71tJHzHPG+em0/TLvPHCsV8QZnYQCFPpWZMYb5jq/qGScfpbF
DNmuFnb1aK5Ey/g8TXcz59GWV7zdx8O9UAq7xb5oqXTMyn0gL5Z5Dixru+Wv
oK+PWOM55qwuLkHtmRv4ogeHkPzJqlJUGYNG77791M4Th7f7319bznyfFvvL
VGvc9mI565nV7q+CcdXA3U5D5u+6ctnpydyBcFTTIoeGJ/zxJ5fH24KY56qB
q/EV+2URaIHMqQ3nRQPwpiaU48O8fmlrULqVoC8+rPurxfRaFvoazd+9k3lu
HM/dbawQLYNXLTmLitY7Ycu058eZPQhXXDNfUa0VgGz/GAooJRdhPu0Du7uZ
7zkHH4w/FnMO2wtaLhrkzkcD9oGPxr8xz9tXxXv3c0aidcZ3zmi/KsOiz0Oz
Iz8w+2aQgLIYVsD77Q5cFNq1F2c0CIqQnsRd7/Xtt+iGIt35jy+HGZdhF4V7
4vzMfurkK/tvcKYUTpouF7278gg+2C/DRs6Xyk33ZH4JbEWn7Cx33ZmWh27N
2RW1iZmfP3wba6ycXYZEdwr3zvvRgCceDxhtzmD2mooudTuxdXjwvEV0om8A
tjS8ss6HeZ9LhV6+sqe34a8H86ezxDljm3unD/Qyr88NbGjfnaGJalNf22xx
LEAHMp8s3sj8XSc70MUFT1RxXvdlJdXj3riU86IZmRMOiTeWDjsloXdOF5O6
F5bgfDsfX1vm/jr+tWAw77YOWtbCl2y7tghpuPxNrR0ZQvwf2/7WbAtCz1Yu
6BcOzcVBZsfapjGfP6tYu/Mllzc+F/jkjezXYlS9RXzFnSFmL54/UhJlLoae
Pvd13muRiFend6o/Y+67DfcVi5sjT+Mfaqbr7aNy0SKLmY9tmfc5PX3a2btp
ciiGX3FObFgcLrQNLnAkfQdsVskfjZXxYnfR2b3RYXjh8LOfPBMkf2Yl2qi9
GfvFOqzefDMS35wznbWZuU42PU7iGOH2xeWb98cv9i5Dflv867cy/xc5Vhx6
hzsGjd2yOnfyyDt8c1Hpvei2fiQwq3GDy/MTKPJQ1r513zNQweb9heScOtBd
sr9ZlBOX9n4WlO/OwELhIqOdzHP1R8RK9Tkf++vr1l9v7lqajrdk2Oi+Yp7P
2xNXDsR026MdCYFjbB1ZqHX+504P5vp8m9h+tOjWIrSMvVLt9c8kvGK5SoUn
8z0c5OoXYCv8Uh+pKxB2uiwDr1vT5jfEvL+C2I67+7KnI10PLWUVr1Qs3iAn
gJn7SP7EJ6PkiyGY97phh/aZYqTreWBaO/M9l2+LOBN6QBB9+nZ897xlCfhY
0vxqIbLvL34jEetmieLRlvZ9cYVIKGkNh/roEFptKxfQMNsc9Vy9fbBgRgGy
2ig9Gs5cJ8csx019ByWQBsvaRtn2GBwl/n2rCPN9zjbaG5nvfRFn7XX69sW+
CkXkfuAVfDWEHrU/T3UNEEG2EwOsDyxi8Q9nt1NXmN+LX/9cO6v5FGo8kCMl
d7MUzQw60y/CPJfsuYw0Lp5Zh4Qcos32dV3CayeMl/xgfv7v+ApzeRSMk373
j4edKkKrOk0+v2Lu09nvGlOHdgcg+eQskey/T7CJzmfv3rmD6FPx/LHSFltk
bpzGqitegi7GrhlPYr6HMWnOzTyWUkj7zOUdTk2xuLpNIz2eef9NKuwn2BYF
ovUbHR49PliHbuf/OHyyhblu8+3Sg3b4oppFmb+Sj9egAbvE+xu7mPltpGQN
x19XdHlu60y16nIkobZP2q9/CBlN36DBf4wP6WTF7FGoScDRtTPUJpj/4926
jaVc7TOw/ZlRL5HHyThtj4DJDub1vsMnXn3yu4CCl2hqnDl+A1VV/eiYVc48
bydymy0P+aCrVT/Wi5wqRwcrnvyaxTxn9lU7mDNzPlI8tBbm/MZfdM5f/nUW
a+HoeSRx6o/t9S91aCQvx3X+7SHkp9+v9+mtEzLXmDtRx5ybP0wKZ85izjsl
LeNgzyGE+9zGGh7cCMYvd/4frr47nqv3/T8SoYSUJElDIg3KaLgqFCqyskOS
jJKdUdl7b5GszMgehctMSFRmmpSS8aqUUeR3H+/v75/Pv+dxHud1Xvd9Xc/r
+bzGfcSGdYi/6B4TgNe3dWDYp8E56stjNHz7O0S0k+Bb5jrdOWkj2KdVlpxd
Uk/iWvcVuSIauETL0u2fcUfv5sr1mzpTYaJ5aKaB4P+mhzwRD5jnakvFTxTt
VExFnhNfnDSIfZ57slzEyuAi9Kg//7LgE4P6Uo8sRah62cAXFv1YLlhIUhP9
e+keqrDqCwqS9dmm02dalnwbUkxWGmQLFUE+/5SsJtGnIru03oT+c4Mxus9m
nYcLwHmk5+Ntgj8v7zbhKLcLDLp7lleqENxeEWNKT/he2cSoS+qcAF5hOBM6
+TcNN5zcPGJA/PHAhfXTo3v2YylrpV1jVwau2/yN8xDxry0MG552BjmDu2mw
kPjQY/QxvkbjIetgtYqlwqrJHnbqfdyYhhUYcyTfO+INDWa5pFJHd9/GIZcb
nScM49B/0Wc0hcTTtxt9xxt2sMOx3e92EnyA7yn8FD6A4wu6MHY9Z2C28xnM
Yi1HXR+7TeYfaZgYz8SudP42NPLAh6z2Khw+Ux3P3kvDq68qOppXeuPfzyP3
fr9ORAV16dAowqutbKb+OjX6wvLXX2+++vwErRzTXmi50uD7/Du148buoK2g
uH98Yz12iO41P1FOgxp+j9GHIv7I03Ig7eLDUPTz2OftSdb/qEfLPE+pJ1bx
fdFYp+CPaWtnBQh+gmBssLl2mTOkXrQ62n6wHHeLfZz/+YHoWeOH37VjuTCh
pq/1z6V7MG9vT+0XBMhWHE1hnpOJClUIJfsOcbv+UPsOvBVeW71N2iD60txD
27pxvBVuZvytox98hHgkrb014baBNMf2U/7o5LG8x4L8rnNICl/mUzs4tfJR
8p2aEkSjUS6vLzQcJEA+cOIm2r2SDHac8cKuTbZdl6nvP27PfKucSY+bLH1Z
CR5Cl6UShYfA8axtJvi9G6baRVUnKF5FC2GuW7VUv1XpLwPu0S8yO15+zSH4
DDXdrhQ+g/jy3Klz+RMyrxizYgjewoqQVgpv4fGI7GK0qSCGvXQZ17icBJGs
v6k4BS84h8VaU/dhsXesfVxoAjz2y6LiEcA1bXGC56iVEFD2fuYuzFkYUngO
StrrCrde2oA7z596v78qEcy38VH4AIGRqbpd7MFYJznkwSpdjEyp3Pm2JB6N
SeZ3tdiEYtZk/JGcW/l4PVTn0E1i51M98v5ri2+hAmPd3bmeMjAw4ub99pEG
nYO7ZlWD74B+9OeAsPpS3JvaoClHeJpjEXv+55QOfBDG+PXg3CcoPj/daUT3
BVJV98qNV/qi1Tmr2TCVLNT9tn79MoIPMeOdyorq4Ti+vMpK6W002r9AlhPk
fz2mg9+fg2IgcBXIyAy2Yt1yjS45TRo2rWltbtCLQbWNvuFZCSFYLCqfq0/u
91fYwrGyczmI8cxIENyD8W+7KdyDJG66YMKLUE301RIvisxrXeJF6zXuJKcf
CseVyT3p7Y+j0e75vntK5DlmUy26hHdh1kzLEu+qE/2Pd5kZvRiSEQ7E1rvW
94ogFYOjt6sVkH1snmTrTJkTABf2jDDi7yDtwkf5O1SN/aON7NkPJnd8o4m/
A+1pN+XvIBv9TDNBMgij3oz77v+QBBfCu5CB+o6wluHUBjMRDNv6sNGuMR48
ygypeAFrVgj3VU1E4Pbzd3LGgzJBVmvjQDvhJ7LabeGMz73x4cjL76Z8+dgr
9ENEjcTTqEfuL2RcgkEhcMhXrKkBBeOPSOdnknVrG7M6Me6JHWeOTcV9Ijqx
y+B+FXmOyl9fgQM3PfBHqo3SUeN0LDvDldJN3jNER6l+faE3qBhWVficqcUq
e4/Vy54QfEiM8+ZXvQqGSoa++RblaMmX9MWF6Iv6yA2dO4QvAuqZM621L8b9
I8dO5ZF1FqiJOdPSagXPbCeiDbeX4/eLPBNA7EflhtXB6m53LFE85l0UWoVP
JN0b20l8KfjFXqNb5ozNZRlKHQQHGP4JzBAcAAXGhabbpwDnHYwe3PYLB438
RCrfDrsz1NYdIfHrXVuVausU4r3fGxsykIaOfnyijjKH8JD2zJzH3ihozA6n
8tsQyGzG2nTaG5+WrQ/6w9mAFSw/grzyadBr1vqCd7cI7j6vYXBoZRisYVSn
8rrQe9ZZQ2/1TawtaC2q/PAYzxYIrVtL8FnSatf3QI/DWLulrV1VPQSKw+eo
fDtIbUrX0lXOA9WTH+btuD+jo3Nv6WG6r9gdM+Zfu7IYlU2CLddN1wFPrxwD
4dXQUK8jxO8uCk1cXDU/K67jZIe0yyR5zp8/TJfYsiKA95SOVPniM9Q4Sn8O
d9HQGk4uyh+MgMlbWXbnw1KQ70ffrVBiby/qJnae36yHJVLxxw7NpoBrsyzN
jeASw/0V2rWMpmCcuV9CPrIQ43NulLQRfWQbd1DWkNMJDSyNeaV4y1Hz2b/v
cmRfatdbx/yeCYIA8d88GnJpqH9IctcK8nynpJjjq2zs4U/EPY5bzhWoPbtb
7uJbGlz7YP2x3tgRAzbpCAavr0DHhzLit96RuP9qRFtP6xqcbf59aP1iKerl
d67R/kR4e3FASaSKEz4rC6uukCjHFQ6qrTNkf/1v2gtl0fvBy9Y8hotrmjDU
QLYD7tCQKX6Xpv5qQ9jd5doXU1eAmctWL+4nuFQmsqOFv/k4traq6Bl9DIJ+
9jAqPw9MO2SreeeFAbQF+8btVHG1CqHhFG6zOfsVqjtiYUJku9OqCrxV8ywg
kbyn0D0900unzGGyLY5BLqYYtz/VNNMhdnt9a6uCtqgTqgyWe1QeL8fhz0Yu
1PccrwkUnjHq8sNXFzVX9tHX4cQv/oc8SHSWFrO4kY0rGPtuvZpX/QiLPYVs
lr+iYebzc+Xuuvz4x10kbxVfImRc3U/xYegt1cp39t2Om5K/KnVejoeqzXcp
vgrdf6vK2cfCcIxFtoq26APdSkmUDoWOYV72QkYPjKrZxlfxuArLs46wShN/
kc/c0j+oGYkJA3rji0OZ8B2n998mfm3z5DEIrjIGPyHV/dO/i7BgtUVG+xix
/3g5ReVXmcAVl76vnq4Bj3I6eihnErvdYyUd4XoQ18sdrTjfFwvDTTcpPgzv
+tfxFtVmYUhYGqfAk9dINzE4tMg4AUfPHjlaoO4I0ok7fB3IeuYKmoaT9UTa
uZqvmqJOEC52zracrFt+gZA7NU+xgvd1ZVybHhx4l2iXsboQDVa8inlLeHKA
w53sEWMTbJQPv2ttngYRH/1K8om9/W7vCm03jMKj6qdkbS61YEdxd0+QPSGS
lfpbBt9yIOdHuwM/7sbAskIzqg4In9lkx6ft76LU6gtn364thFaWbFeiH2FV
VzevkkEk+p/TExLleI4Fqz4KXuOhgXTNueg41fMgZFzVlNz3AK3YB0b+Evzk
FrPet650M77KUtr22ywS1AzuUfUs+MxhYlvquA8/cHOvE9sXDZ8kGTSukOtl
nzieH7ymAJplJ/60XvHFMR6Ld0QXwxPLV3oB6Z9rj3aVXEg2igHJDU+oOhTw
3z6gReIj8Ov7yUjMfULOInp/Kj46P78hJFsWg958m+perEsAjVWvxUuI/2px
6ETY8oXj4FhNeuAOXzBbx0zlHwAizK7dmhTCK9Pqy4k+ghPF62SJPoJpsVuR
Vsp5uPPM8LQHwZ/cXwrae+m+wuN7mu6qw7ugMVl/YWE8G7sFmc8pEjtpVty1
h+VIAN6wko/YXZIIu/IbzxmTePTa44B3ncEx2JcRl2GfEQE1hnMOT8nz7XvD
t9k08yNtmKt0sSQJHS34frVQ57ckKIXJs3jAkNeO0Fu2vhg69v2qNNWXKy/e
ru4YjOfEutY6vHyE254+auF7SYODvzaoGLyJxDGJnRKxGxswfsfnQpkHJF5n
cARWGy8H9ws/571rsnF3z8UjlB6fTyj4qXDSH6syDXaY6dfCwnWFzjvNRCce
WrZloSQFPTWmrwjv7cLxA298jvyYhCTjFTNHt4oguvwQ/fokAaUjM0zNiP6a
fK2D1uvJOia3Gw+xJqNdyuy/f2SdUVOBacdEDl69fkUxJm0Ak78FFWafnIAp
no3Vk4Hh+Nr2ZIPPmQrsXbO7cILwcNODb+pN7NVBsNlvNze/E3BLvqTyYzAj
8l6fhy4cZVQbtZfnlqMVX8HaboIzq4dSBq0HlOBtoIDd5Jp8HJbJ5Gsj9sZz
lt5OWGcbhnH/ubXlVjx61/9YzCLvyZO9eD5rAzsOb5UYMEmPwYXm74+IfsGi
VVy3Wn5HIcv+bbI5TRXwj2Wt1epBGhiP7xyrctaEwrIFbpf3AVDQ/5LKa0HP
K+1kgRBPnLvyZNetUU/4UdAZcI5cZ1N/tf7FgB8er22yXH3RG8R1hb8wk+sx
EzyiyRuUwPWx6i4mfn+w5xWh8orQz7umUfv7OaAfX39QQ7QQu/9Y+90j/ttv
XOlSt20nWv3mexXxPgb9jrjdECDvGToonzTLdwFcv5mnnmq4AW3fnm3vpeJp
4rxQvogp2JZ/d/ju7QKJk0UsHVRfdPyDS80fJmoPO3gds6PdQoNrbXubiE68
z3rg9IKSJmwKa67hF7sD+xXtPqsQXBKzEsnu5JcAf+MJR4tFS7Sr/JpK5bcP
MlztlM+/AK33bXt/CycBvbkgDhF7dteS8ZL1MwHHNBmrvt3lKLhb7vJeEu+y
bihIpJQEoqcxzyv70lqo02bcsauJ3O9O+1XtZgnudlyhTRZuIGa7oaqe0ilD
DIfT/S5Dz+sfHw5tDQXV7BxWSr98Xt8z8OSyK6QOfqsZCLDEzRzvpJrJ9RN1
bofYGCJwaNDz3S7dRsg7tZGxMIUG2e+Ut9KGPeBeXy6n+YMEtLvUXbWJ/K+h
CMnRy3muICvPLLtrpxeua0mxtifP6Ui99DeR+SA8vGv0cJ3BbVT5qmhO5YFD
0o6LhBw0gru2ZUOnhoOgkO2rHeV3C0JRm13GNMDCO0s+lK8Y/+2P/WtP8F/7
znR+wd7zMF3hNC/qX4wH7feP3ybxrndNEEPuwUYsKWrIssgcxZub6E/J+gxB
dH9KaP7ruzjtIDx3ergROy4v37kQT4MP1dGfTxN+K7TMQuVafB7yzMgXcP8i
Okh65oF6wkH4cebM9NOcAjzeuiHqNInXV61XXLabVgBeBx4XNoN4mHu0+VE+
1ff7mYdu5LQcjIerexlNRUMW45NkBYIzb9+8NJwR1oEXy4u32mtGg9Ci9goj
6vs7+7qSvLrdMHZ5yrIDbpdAvMj0FrXONm/makL4b6LvfKX/kVAP6FCKot0k
1xMaTNqsNSVAoO9Cm6CvJiYFBXJQ+dLw6/zXNxvygviR/+odHzj/q3e0Pluu
if08YD4m/7Zi3hLlQ48t1U2OnWE93GEnhpW2rU5Z/2LRpi+Im0b81F7gXm1+
jBdGrUr48ORQPEjtHR2n6mhb5FxrIvXPgf2byGtOtEioSEo0jCfvz/hEfSm/
rZ8desutqQyTAi2X8tu5Lnqrg8WE4MAneqfR1anAP7eVqiNAd4Txk3n+DdDj
bFN3cmUGau9aLf5ojoabdFg+pL2VAOYFeoGKZ2kgNGtG1ZVgmqbROsyyIDMl
8SLxz7E0vLSg30TVlY7wdpszbSrDKIn7IraiPXBr/amHP7gmoWOZhvH2Y2Xo
uf8Zi4vrE+xMZPgwbkID5ms2D+lt/8kIFcjvyK1PxyTo3jZCfnfCtzE7PiYa
/WZ4d144UIi//rk1jU7QoCIMsq5uj4LDs02snPIFWKEsev/Id8K7Ng5X1qVG
YHDj+B8VyxK0XSPcJfqFBt8FwudrLcLw+PMfBvSnCtB9TVlpMbmfh0nTpvTi
fC3/4v4CSEzB1XRr7hb+pWHssvo1aBEGU4Xfl+73GypZul9y3CaJ/C7euf1k
6XdzxvYs/e76b73dM+fXYp8YP3vq1mR8fQBz7Eic0n4+viahKRdcyiZOqGi9
RWVrgzPNJuPIu0WDl1vDE5loz+XFbarAJFyRga+PBmmbnDmS+vaB8r21oYEZ
iXDTN5WqT0GUi0TOGj5buK4/fdVw+yNMWr1abEMPDdr93T5FEP6zlqY+tqkW
cT7lwIHMOsJnnlyI8lf0RD7P//J7y+b+y+91Pf+eeUZntvbXwtrDHWvvwImh
y1R9CjJyF2wID0df5eklHl6zS3qJh4/IKP8m/B/99mUv8X9OhYEl/r+4/33+
oReycM0rfSH7WCr4beWm6kdw4NaBkiTfw1AeIOPMNJ8MZi9vUPUmMFMdMZK3
zcHtB+7x8oY3gqiyoJNXDA2qu255fGFMwvQfLdMXzfMwepeqgyjxX7WfV2eH
meMxcJKJLtQ0AlcfNjkXRp6z5nDkuo2SEah9m62HIyIFJRQldEOocx68Ru12
bnyAR9s4Rco+5KDzsWgl4VEa3Kurf3HzdAhGOTa69/lkw/XbLecbfpP7H3ln
fFGLxr2cvwPfKRfDzs6gBTNyv6iv7+/5TG7gbbzk+jAkFZmCBLfuJfag/9m1
SjM6FX/kjH25O9EAyR7BZ1en0uDw3CGe3qNBqNHDLlI8U4aPxNdqshGcVxI4
8fIHgwiJf76Tp8oM4VvrXqoOAgvcp1QORIvC2SYCwxL2cEjuA1WvgYM/XRXy
fnmDdcZt54CXgXi40UHzHfFfcRbstxY8CEWB6WWJnr5wZEs5VQeBozJbup1b
+XBHufNa1qOJqDPHNM5D8OHjSboWabUgvOfI4sHEVI7nBMzGhoiO2F92o2mP
40mIvW23YTHeASQWXam6Cfz9y6Ik92ymlu+NzF6Jjnv4WvCp+Spit3IBYtuF
evzwc+jRy1HlZbg6q9hpnPwv5+MFjIMzfqg3OrxfirEcD7xwP8dOrv8s31nx
yTUM/wmvMj394RHK7tAJqH9B/LpEQ5zwfywwf7DE/9mifZb4vzz36fATWUrA
fc5Rm4E/HXqlmKg6L2yrTn+cKqoKYhqJF1bw34cVArFUPRd+uzWeo/I8j21a
l3jsfdHTSzw24XvM33w1NdiWLr6qhjEbdL4m680S/pai8iwr0PY4jNf/XiHy
IAN4ok5TdXP4Wi/RXRWego0Z0xHvI+sx1JJ31YYCok/VuL46CysA4+8b9RYl
mfA66xPPjxkaZHKw2p+Ml4PkHb9q5CRyseuRjudx6jsjCxyT1pvjIN9ngI+9
vxKPbuyePkz8S+Kf8IXpugPQwuXzgIvtPp4SUvnEQXAsM2Vq/HClIAyVZX4L
2JWOVk6qD08QnFSpdZxU8NaE2EFxFT6FLHj4jJ6qp4PPmmIWb5M2VDm7pYjK
K/LOm16k8ooRb6eKinakwZ23xq9iZBrRtum2fP5dGpwTSD/ae0UXTjqHjT5N
z4FrI3OM5eQ92SqiLx5KiUXtltnt/QMlIP+jYV79Mw0eiNH4U4Sj4Nbe1Dlx
hWrcq+y01vwZ9T0m1T39DjZ47VD5+AYWU7AT8Wai7HODhjPw59vgL9YduwIV
b4HNH61tJeS6vNWosKZDGvat0thzq6Ib96gdUDx3fBLNH1nZJUcGgp+x5lK9
ppZPZ6leo/NgrsgpLQD2DKSsPvXVG9hztC2pvEqHocK+jZI+oCz5XUHwUh6s
Uu1b1T1Fg1DR3/4Jxn5wBctH9mjfB507YRzas4Sfp2JsrnskcLTaLdVlRj98
WarL6B9uXXg94wePxT4t2af5YY8l+7zSHTJ285s/SgtZcjPz1GPeIfqmuTIa
nuzZFSm/MwU0eh98lWlpRqmZqacW3jR8Jq6V8oPxNijtUE9czpEKOUXTFhJ/
Kf0rGSITaQuXB4vCLKMjcPnrygtl5P2vDmcwE3+BFFOZJX/RHSpZ8hfe82cO
xG8+Dg+ft40fLIhGx+OR8+qEr6547dbxWOwkSOpdfDvGG488kh/3PSL+m7OX
ZZH4Eejar1zyoyeoseRH6Q4++zSV3WHi8tigdXwGME3ZbdhE7PlodUJ5zCkP
SGl7yMV5IRuKP/55ZUXsP9219OZJVi94EuHbs2c+DWbXn2ZeTvzrDE4fWd1O
7GHTw7idPO04EZBsdVSO/N9/nEy8j6XBmlE1fdooAu/sDG9/8Y/qu2B5HW4Q
jp7lZ38UPWtCe0NN2zWRNMxlsTboPpMKm2PTexSlikFCZI98wAgNni8qyv+x
tgQjpYk/7384o5K0tXAbsZOyBQnvpA/+YDn5LTVrvBgbzoi+/vOVhpGLLbLe
dnkQa1w6YSmZCQw1Iq43iY6es+9sLM2MgB6PtR8+hj7Clus7+iJf0vBh4Cul
Dw98cAMX53amOwn4XYPz9x+CV+cvFg/R6v1gnxKXqodBMSbX/2bR+kbD4pv7
2p+lW2Folmcd0+5wcEkfSZ0g+7WscuP1qYc2YDsj8Pqn6E3MqNl+uIK8p9y3
ureszbZ4Us6M3bMgAl5v4jlXRO6/YVhtTmO8jZz6f9/Rc6SiXJuJJbEHNNtv
ElO7shjaLG4u5dn0RoWW8mxcdD5//zoKw1pha95GXl+M2UTf4EN43aO492tn
Ww3gy6E/95QWE7GDwTZwnLz//+Vp4X/ztDt+7+pcvuEM8Klx2LqlReLGtOyf
6WRfst9Ej1RNRIB3V/xSnvbzng1LedoofoPvmsauqCptUnln9hI2qL2WJ+uP
e6azthK9D0HD/+n95ysHl/T+cTfzDKL3wetE9ZLenyhgXNL7lrcdPn9IcMX2
spU7OPQ8cOZ761rq/Ws+Z7F3u6vDAr2MjMRoApafpTEaErsd/1arfarTG5vQ
fOTVQy/s7xboFaP6Q+jtmGdS4qAv/uqWBeU8CL4Zl72T6NBrJtXKxsnJEP4r
3vaCUzJU8jXfKCN+PczDFXI3zwNtx7gOfOeNw3EJqxeJ5PkJW99f6GhxQ5s3
NoJHVsRgl9iGc5xkHWzSJ6s02i3wmUJ3feUON7j5M0+2keyjm8meYZkrWjA7
3/310tpo3Lm5/6kFuT9T4xD/shl3bHtz+Kusuyee7LK9cZGab33Jmvcg1xoF
P994IbGzGBcNJVhUxwhvbws1/+XuD1cHjml/K6xCna7lI6t7aUhzW/ahR8AX
2ndYGDNGVGHJPwcj6lxHx3v9N8tsvKFwYvFCvk0Z5kV2pjwbIu8ZPz97McYL
tj+ZlB3nzEXWS5w9/37RMCqIi8ec3xPyxa75GT2+j3ea6QdPz9Jwp22wFWi6
Id+irolOQxV6PS1flCbP/yxXZPzG2gYkkl/usRfIxPatvVQ/My6uEJF6c8UC
LrkePc6/KQO/rJTpT6POm20zC9EydoXqN9/domcvQe5QP2UPkGdgUzuU4Ao7
mQ/osOt5AM25jdpfCGEo6Fnv644p7rr9TMnNaHV8dQFbIA2ZNe9n2Kn5IY3H
wYHzVwde+7bO8x8v4QnqZz/pOaSBgNP9JJ+KbmC0sF9UPj4Jqv3iEfIn/WHN
jYO7TPRrMU80/92dZhqOCuf0R9JHYNo64zbH5i5k7229GvxhEo+yep1hZYgA
9Q96EYK6jdi794Ug0a1YUUtnnVQSCNU1qrXXS2txb+ayg0QvI5fnij8hDAl4
T2Kr4TaWD3htwSOgLX8MZ054yA898AHrsSG5lXcSYHRd4y+CD1BQkdnPu9EU
vqtwrxwPdcLrFd26VH5gW/HUGpHPbiARVvPldGIeNrIFMnycoqHm/cV1qTk+
IG/mKisbXIzes1WP6YluveEfuZrK29xf/1YoJm0A8gQzK6i8jZ/xzNp7eR7w
vCVjmtgtmMUcpuwWrL5MvchmSUUrvp7fHVZdwL86ymbi6yREtPhc36EUgLTY
n3cmzzejc+X205XBNGQsWBhxEPHG8r9sE1GW9fhw4vKAUQkNFWIe//U8Uww+
inXLvm7qQ+7GOxdy6iaw4Rnb+pBxK5i7XWL/ITsMPRnH1GeJ/54urWj/5yiM
pZttTjXw+kLHcVYKf6D8MkO8144IFBP8cDxW+xmGBb8QtRKnYd2P8+NlNxNR
/7ts8g+nXlwskSy3mJrAXasuCXe2uMEWG75g4nfwi5mO8jvoV5aNK1K2x9sn
Ixi7/pRgo7+C7ugIec76GEO6GXdoelIvSPwLovdZU/4Fv2vzOR2NbdHo8/H8
ZQdL0UB52EKP3P9ozHHr9lZ3FDEvib2dX4OPN/sI3HxKw0LlZfJPt1wADnaz
gy90HFDd4fb0e2oue/SIaWOEI9gtPltlHZWNz/vHqf4ZlGAZM6BxekJgbNOW
de7FeHtssf4Ewf8a10PObzlI3ExkKBGdeogOp4y3P6XRUHR2s4F2mTPq3vqv
/vtb57/6r+0gu7hipzeM7WcVIjgGYu/XUTgGTzv3Lnxy98LnLs8b+KVr8D4L
JKxto+G+ha856SypcDqmUKjVqgvHt5VyT36dxL7n1yIDmuNB5m9sv5tFCwjG
Jtio2tEAjR1ZT5rEYeZEl6tVZB2y38ws/FxJQ+UOmjmJj1j3cGwpPtZH7lmK
j/SPNNYvlKRAxdDsUr6xkPvjUr7xaPPTdyQ+4mlL9qX4GFAjsBQfv/WuuzBi
EA05xydG3xU1AMu/f9rehG+/cUvJnKo1gNbU/RlgG4QXFHoOHiO49395SPjf
PKTWwmXvJ6cccfnz8DzanlRIfTocIkvihbieT03tyuuoWStF//BdArxzmIxQ
o767sSJ+DbLfQA+e77D+fAYMzl17e4nwE+ZqFmEuFj1QZZ66vd7gBp5QM2Xt
J7974PYFfrHWY8gX5eFGJ+4Ab7v/pg1T/erb7+bzkPcRzDRmDyTv45ftuzfv
5AQekozhUhUxhUsqXfrrHoegjZ0p3SbynCnRU7oLAzEgkKF+f9P6Zgy5WWm/
N5SGQYJHFmpWXodde0N8Ct4l4CcR5kg16rzuMw8clEziYHiju7F1ZB0YNSfH
kfUHzmJ7qV+1Blgw+IubrA/syHtDrQ8Ypt6Gt4re+Pd14EBAaiG+aONDpUka
bs4+pl7DfgOspvMvrzufgd+M/1H/F+8mTnJYFNrCebHAtdwqaWjuen7wAeH5
pkz5P5tOOQKPTOcasp7Y3Hc4lKwnMn2RN6kgPGdGM9bpc+gj4KptayP7CKPH
i47eI3zpQ+Pk1ZzxYrjP9rSH2APM4HyTfEgEVv4ceLJ7FeKXM2zyqtR3rEZq
pT7/8sHT2rc0cnaWoHSIz7lw6ntt1ssWpbrt0YWvT0DRPQnkw7eZVRI8jDFw
0OknOq554Gj1QcKTOVZe1SI8GdtGZ08771bHF4+GmeiuB8CNqett+mQdzqvN
PpTstgdVSV5LBfckVM9XoZ6DLSKnDYMJLnlkGXtObeqDH0bWrFl1E1AkVJrY
03sO1X64a70tdYQ+B/q8dxQOSKfTEX4Fgy9jZz0KIjDHcjPFr1BI34fnBvsV
PJ/Q1RSZEQev5xuGW4hdsfOd3eKz3hQ9NwevqbJMBrOHZpZ65P27aqW36cuk
YptIlMEgRwsOOQjc5Xeg4Tsmt8fq7RawaGMU+2iHG/4+n0nxAXxgx2x+UcsY
FT7dPn7ocQycUqz+t5XgGF20i+nmfBv4ceJPU5DiLRxtUqd0DaY8zLze52AD
a+6V8W1mMcVEQ09KB+Hs+K5lXmeKsW+icgmHFZUilnDYPlfd9/JtKzwUeipj
MiUFfqfwzqQQf9nsr/JgyCAaTx8JfzhY1IAibRtuEH/EZdZZrSLxJpDr/Nj1
/W4XvPekQbSTPP/a6GGJyyopYPds5nlybCesczN/qvlvEvZvtNzq3RyP5seq
PzhZtOBUyet8gif4f/EI/jcebV8+U2Akkwpeb4x3feRogXMvU86T9YGfSVc4
LQttkUNwXy6xT+gcXnhN7BP+MrpFtadT8y972ghPxmKPJZ6M/+eP+L/+eHH6
truxSgqy2fR+iontxIauE/rn/03i7ePOib3fgoC/UFlq9fFH6ACvPFm6aWgR
YsabfDQIbHmzZ9jYyvGl4LvoLoK3heacl2MlgxCEM97u/ZCEdP7adYT3IpvR
ld3CwjwQoO8t599rh65bay59ofpa47lMKyYicN1i79VvQZlod33FIOG9GC7n
VwFlMTjO8F//7XP/9qX+25c5GusvhKbB7qPCj2kDjfD9pBebdRwNatYoJ1zn
C8crvfZLfbbFu04s9dnm3mOe/JkSh7IPQm/MKedh/7jzA8JXcVO3/koXuzzk
ZlNc6sf+ybTgR/Vj+yWlv9FNTkaGMLcPuk7J2DW1y5XwWHTQDj9H/At2bJNZ
8i952//866amUZ/GobWQeGk0nV7KEDeL/NhL9ce6bJ/fP9olB/FHlFuf5/oh
o0BhgB01l5H9alnv3Ux44xK77UpyPdS1b1eZyiE6S+3KynUseqgheKKdy+AG
HNK0oHAV1uSJKgbXJMIdyzsiv1Qq4PWqwZgfr2lg8IqJTZ7VCxkOf3kuOp+G
c8W/KD2Iu20Vym+eDgGmvKb/8mMcrUv5sbPr3Mu+qEXDRr+ppfyY1+aApfzY
yqusXrvjTbDa9nXM290uMBz4lLJb8Bd9IKCh7I53CiI7rsVn4FCVMA/Rp8jA
cfVS9CkPrHF0ymC/kI1BTPw9RJ+iv7BHd5Z7JJ6ue7Fi7Ho57r0VvoXod/Rn
7NnikBaAcu76rae+eqPUiA2VH8A9k+vNEiMD0aPLbkrR9SHe2Xh+eSeJ42+m
pWzkc+JhaIQrpZ+7GgL9uvZtfUaDVWVrVDZI+uAc/QHF7Zfy0GI2la2b8LpL
Sn9PxBn7oWurjKWo9n28GJLFqU32K37z3NNjOfF4avRr1yvualTJLz9BnoMe
5yNcnNivwBxTVQTBJVz2+RmFS+izwZpFJzQNVRUHi78NNKJaJaccsSt8HZw/
TPYRU4WdmMk+wqbZSmofofyee85dbxtIGDKtMje7iNaDzH7EnuGh3PNY35pE
tAzOYv2uUoF77oikk/3C5az3zRpSOvC0vL4/39wnDFSQeu9M9wWPGZVev/Il
HIS97b7f2lWHu3OZ+VRqiO54Uq37l7cMHwp2210W7cHn0+s/TnFNokmt2eUv
v3xg99SaFXk7S+DIuwtnSFyAP/xH/lF5kvuTMX8kGcthgXWjKpUnsd7h76gQ
EgGf9V6d378KIb+tT4zEF7DJj+59fjcTj8nuWWmSXI82aY88iB2imIldHonL
6NfkTEfiMoQaWFBxGe6rJJ++LBYHzc23Bn8WNaP3kW/MWn40GPRK89jfegym
32acXi7ugLVsM1Tcx2zzVZLE31G4rczAt9cOMgfqKX+H95dkbbUPrUXZWf69
fyUNYfP8T8pfgM3TN4JpUxlUWhgu1RcmfwwXUPWFwhKPEqrevcal6QvVD8b7
On+pH6xc00Wg60wqevq67DwpVYx37YdUAgj/XNxw/syASyREWqLx7vg6xLsL
772riH6X/9B3Y7c63G47m0viIC78vELFQfzEKrjvvaI3nPF7LRqUWggKnPLV
hA/A0Y/zN01vWxHqEC1H8B/XKitT+I/nO2ZfG2sZQ5QgozSJO1jNWEvFHRT3
Tbv5SS0aZcxSBN8oF2OvS8DyK6M0/MtacMXldAj2Snqb9Phk40BnvDbxR2Ln
IskknkLHqvW870sdscluIZfEUzQ09CwvW1mM0bL7lvrnU+uZdKj++dAC1wrv
9aawiiYTV2mZjBvDvKm4iTnrBBQtOS6D1Fe9v0HMreDjJxdUZUyDL7wadFtC
PKFHKm741qgnsrb2UXVb9PXTWU3N0bjbHnxUsKYXrnLLGVNzNGHvpYU3CJjg
jvADYf7aafiFVZ+aI8bKlq1yrAw28E3prnkRbz00j1/be7WcBnuTmZKZjgRA
UXXeJpGSRHQvPqBqTN5HKc+mFVea4kkXd43c5Xl48yTrVBjRxcvnnX+OSTmC
fuLBfQsvmmGHezLnLLGfs4fhFuFLaAVRS3ypl6VliS95ZffKPmK4iAPmgVOM
5tkY8F2YP5fgjGTXzTm+x9L4/GCD4rRRBBifSqLyWrAid3VT7OML+LZ/fOdZ
xkyky5mi5nyRNZL59n7bYzh+2jsvJMYTP0zwXMqh5pJS1v0Q3SqPEryea34k
WqOUw5Mpal4s7vPPN0kO8giNPms/XNJG1wcd0lRdb+iF/fgudl2speeubO9K
x7AxY2oeHBPZZ/eH/9JE6U+xctvqUpFLfqM5B7ETCbeMueW6asiUpCOpkngP
jRPKqLk/7PpYp9b0OwrynyRP3G+qwKbrPo6rB2kYYyJ6wMHTGc4bb5XaIFkP
27VEBMzLaPBj5PSv5wN+8H7m7Mzqi9545oQMVWfHmo/e9Yy59rD1uNZxhulq
uPt+L7dyOw0s/CUMihY8IOKalRRHRAO82jzZzELiy2N3XhUZHz/I/G2+/M+d
FqioFOb7YUuDpqSXi5s2GsN0/7cGraoG4GhXtniTRXha6tYHn97rgfu+gEgG
w1qwbNPn3/qErHNGh9RT7ptgMKwy4rgMIZxr0yb3Rhpo2/EMnpa7AWNz4Gnd
8AgydvYa/SH7aHCbbiMHmz4GeWi9ZliZiv1ahdQcNyrGOL78wu2CvvJb5CtU
cjHCpv0yPfEL79GZv92JJ9AM3/37mHgdQbbccpL831G92rGvn+xxPQfPWPWL
LIzNvbWCcYbwBPOMaRXNw1jdLtgUG2yDhwpLI6jz+cUOil8fu34ERfOYrnzQ
1sOt6lEfqbhc9/2Fn6+iJxa//ieXdKUKH7mq9Ej10fDnvrY1K+dvoM2jQu/j
FSXIfX3tPu8vVHy511KcfBsfsyttyxIqwjUz905qTtDw1du2pOB/bnhDbatz
x+EC9NUqHr79g4btN483FLZeQ3Ear7DKzkLcMfp98S6Jax4yp14wNNnhhzPX
Vu5tLsLia0zfthO+kcZmsY3oApTwoS3pggyN1iVd8B2m9sU5m+E279Xu5xPy
seuTBasc4S0nrV9yxry+jpWVyw4wvbyP4Vn2fW7Ezot6ZAKoeZD7F1/5XTX8
DEz3q1uoeRDZet7EIP6b8Ift6NWjoR6Ih5fq2ujzkWX1gxgv+NiTsvLJoXh0
zts6QZ1703Z9U1ajkATG6JwYOZPkhT7FK6vvkfuL+t/dMBJ0h8VYyfjwqE6w
ijJMDaWnAWtbQr3DoDmWN2x8euB3Oi4uK6XmTVAonCHCo9sNHuyemzrkdgmf
3r1C1dlRWWwwMfigEU7Bp/MKw0G4ffkQ1W+A5p+LdTTL3IF7X7xKOVsm/haW
2sQ/S3TuymuPUlZrgLVDZEWIUR5Mn86TOfmL+MVg/Po1Hz1gMmN0Lbd6Ll5b
6D74mlw/mOax4s4Ta7CI2sK1qjEBnzmyXtcmuuNnrd3wAxLXLhTskPvp7YKm
Wx5QfSPY09mxcpbvAhq4rrmk2HADm++0UH0maMe4/hqJ1xC/b+NSvFZ7RntH
xWu34W2i6c4OsOUxS0fOyVTU5YqYkyK6oNynyoToJmw5rbukm3i+mi7pJvcP
nUmKO1PQqkqdUa6lGaqk1EItvGkgqWT9pFrsJIbofiwZ442Hjf++UvUCOHM+
zuaIbQ4IGN7J5QpvxMfn9tZ6xZB42q2awb9ohR13YrxuyIVj/WgpNW+OqmsF
uKvdLLEwpsn7iYUbckhyUn0mKOQ8YpbmdxnFhob3Hd4aiuf871N9Jhi57brP
IfVjSGeXc7qqNQi9PnEVypDrlvdq9of62OC6UO2YR5KmyKXMTM2b4w0RBtdd
xTbIW1N0Vc38Fn5gTaHmzZFLtpLTbloBGSwz7rIZxGPmH26qHwMPhj5lHDkt
h2x9dHVGU9GoyF1N9WOgWpygrFLfZYiYcE7Sb6yEE+vmtUMGaKDec9nrqrMl
8GcNajnEVYNvKBqXEL5nrrmzfXvPCVQ8cphlpcRVXPQSVaPm6N0Oryyg+k9s
Lwf/EPUvhugupaX+k9T9uL3O4Bhyypv/tM+IwNDsSarfDHm32T2OE7AF77cZ
8q56aegim8WcRfSRx3u6ocUVssgjsj2ARe08ZjxVK6FwPtmd3XhAMxIkv0Xf
XRjKxJvys+K3Sdx58Gz7sQUlTQxoYSvkF7uDTTyOVB8Rps4+D50W1sELF/QO
2WtG4wtTTarPBJkLw8/K5V/AmFjr+N/CSahpdYDqI0Lxa7ftid4BR+eeJb2z
TmH5kt65vX60EWZIfNyx6lyRQwZeZHhJU5+jQWdC49Eo/XPY0qGf4USLRFps
FNUH8v91FvyvzvJj7y+TOCmJGx07HtXvi8KQ711h1LkcNObZbiOjI8jwgN+g
2j0chzYOXqeR670r/R9f2WWPbbb0G6vEklAErlBz0NipfLIy8I4jJjHHu119
lY56Z7ypeWeMUA7ekvzbBk00fQQX2dNwX8Uvap4aE06d/OIo54C/Xxk2Vwyn
YIeZFzU3jc4hwmem6qzxac4q4dfdCVifWU3NiePE6Q13n5ddBmMF7h1Bh4tg
o+EfAZMJGij/LV3qE5aRYKK75VwB8+8MlvqEG5cvz5FIiYWS7pFDPQMlOHkh
n0HjMw1tr+pmOWSaA939aKeMwWJ4w2r5p4TomnNwoDFh83FcGeh772BBNCQU
JlN1Oti+7y3NylYWG8W+O6WUeKDFj2qlIrLvehveHQ8XswF6trUvTm6tgn13
M4J1+mmwbkDlqGp0Koh6pukkTDTgk685rqtTaXj93d1Qwvdg15vkJb4n1ua7
xPdCD8krpAtHYdCfxHVSCtVQ9/UCgzmx56Q5ac9COXs4Hdr9+VFCElbUOQqX
ztOg8o3gUt+7s1joPKd9MfjQ6S71vT+qO3CW8EZQsvL5jzca31nijSXn7y/1
wzdHl4Uabi8H0xzhpX54n0uTLhP80vhx8OvHf3tDsN82dlCY/K/pwXLVeemN
+NJ2zTmDc5HIb7AhvJD6vu3+4fsvVC/iazm2UYu/MZgQE0Sd74Hf1lt7Et0B
p/VCl3RHzsuSD5TuOPu8t4KeVx/SNRRTNnPmA9ewak3zTxrYuVgP33qmDTTz
z/zMWwtg87Umx7YfNHD5aRmVLyqCKx5cXXtTNBpXzJU9oc5j2f3vbPzXMFss
beoN+ZkVgbHGc9R5FJiMuU9DRS9AIDezZn5aIeQMBdHyCA9Ptd1hVO03KcOa
v3/jFbUYPCdcqS5N7mdpcAuvTbXCOOVTh/zvpWCrXh11vgeGmqjXS7ma4tdv
843BAckY9Pkidb4HNl/1GbXgMwFL/UdR3EIPIa7sTU37dxpsaQv8/u/RLuzQ
N98r1RmKXBUL6dR3mqJvdRw/t3AFf5zVvrR+IA4dJkKoc0VQZWbFkz0QAFuc
5pSD7QpQs4+D9v47Da9NPN7dcDMRhCWH/P869cLLmDN9V6YmoOTDKSf/HRHw
02elRLL2M4h38a+yFKeB1WFOUftMc1R9JSCcPliMxy67LxC7xadHq3Z3lF3G
XR8kNwUeLsLXILmd+AU2V6qtY7Gxx/w/dg9cnSvwiOXx08QvUPFuI5vmZj3Y
PeHKcWg2BfcvM6D69lHr2NoToWI22P/t0Jjs1ipk+fk8htgzKrD83d7UaoXN
su/sDbaX46vHy6eI/eB2Iav724UvonesXxmHfTG2/VFWInaINlG69kmRqpAl
lGvl63wPnYM/jvBT39WtpDv8Kd8HVvKvzW8xyEBlg6gENoIPbz8r+4WIXkAL
R5srD9IKsU3c+QfZR0xdWyBx85k2rhTOa2faWoCKhStuEDvBJlZVaxLfce21
/ufBRnk4+9gWSHzHy/s8tezMLkND2yYR4algTPZVuidInROVf6rJnM8Ek+yF
1qwXeojnrmoj2Uc8HdvjKqwUAPwGX//+PN8MCsPuvJXBhPdyXNrkLOINc3fz
a2It64FO1bfOqIQGjkcSPBIjA+GHg+1S/mHlY42l/EOB3dhAlnskVIr/l8cI
KA9bymMUudwSp+PVR2EnPls+znz8s9u0ltg/MggJ/ooyCAfGrVMtZc+aQJjv
huKaSBooaosrrWSwQQ0e/xMFvPX4sypPiegmvKiSqzoi5Yjla443zrxoxrf6
9cpEB+Em114fabUg8B1c9V+fT7zFUp8PT7t0HN3rGKywnX+4ZX0zFGg/Udgb
SoPnWtxvPL75w+q/aVmsPPUQnVCSP0f0Qv3LoVjCb0H56n/89v5P5SV+67R8
zJKHLhzWzNcv9RVnHn2w1FdcbeYSxV58C76c1S2c6SlDRRuLLd+IPWQeEPSp
4IxB/adrz+obfkZFRynZjOdfkK6rVVdX0B2XsVX2ekd14rpJHuMwehq6+u2v
42yPhbv3onj28LTD02tGHEflCD507l3k0vCEDgPxwH02VWjDw7Oaj7zPvndR
9Y3cN7FT/JSu7TLE/E/jokRHYOT3MpqC3A08cVv1lFXDI/xqVG1JdARy3JXO
3DvjDr8OFBzh7UxFnVKz2QYSd+Bqq/SIsQlkO5QctjZPw3q3Oqr/H7N1b/y0
+BKOm/ova3jsqoMiy0PMKjU0uDg1xs6Qa4+FPrTdy6arsVmSS5DoJqw58jji
uqcz/hnZKLxOsh5jbzceJvoLG9mr/r5/r4crrDSyFi/UIpvcbjGig/C7vbgh
z0ZjpG+MalKvakD2v7zhRDehh/c+tMywQSHFzlXpa3qRLeCQbx/zJF5gULpq
ynEZG1k93b2ZWzFCvOkb0elELyuyFyx4YK7k27bVEQ1IE5MYIXoNc/+FxUv5
+OHBlL4jv+60oNtE+0Wi1zBh/su3V+7quG2FzHGJ0QSYqpik6vXgZP30Szx9
BDhxaaBbcxeksHy8G/RhEkzuBH8rsxHEjl1CF1yIbjqeO0ydR4EKOrIp1LlS
Kz6qb9jD8gF0W8eVqXOlrtlfCNXavwedNnwUCOfPxfxdBdQ5JMhzokxGYZs4
6vQziN+seICyVmdKN07RMGDLLbmPtbcg7se64X/RMXgwYYo6nwcT9kw5zPCe
wJYx86qWZTkYc6+BOh8A39qK7/N5YgMcD48YPltZhDvDkrWaCL71TM0+bvp3
Edbu4jln+jwb31pIeemR+xfirEtbSw1heK51842jmXjDbNn9Y0TvvLr7I9G3
MQWmPwb+iz32BPFItdezWzTY7HhnYLbVANNWSfQoLSbCm32XqX4MSOWVk8n5
GYRnDoi6V07U4LmyfD+2FsJPZLN2Xtb3wGN2F+9ttSvBe5HN84xfaRj068sV
Bi4/pNeW4X2hV4ODF/osr7aSdfir6vbL3R/7t/zXP3B3jH6pf8D/J8/2Bgkj
WCvhPNNqF4iRfQK/zhC8ynd7fM5VzQ+yZ7vcN/3qAP3G+ZEFXhpcDVs89vkz
HZpf4jz3Nz0LjSxDqPM9cE9o+4R9zmVYiI2bdc/Jw5dZur+WETx021+0/2e9
H+5X20vvZVAMFfq/GbUITyh67in2bs4CVjuxD7h9KkD/7SuqmQiufjTcUGQO
4Xh1elRFsbQe/2Z8uShVSPSjnJrliHcIdvKEpd64Uo/+OhbfGEuo77/8at/o
6w6+nV5fViU3w+Wo645sgTQQZU0IkIqPQqM2QWa1e81I5+h6oM6fhlMG/xZz
DjaCoN/IUr+30DzvUr9398RghZOxLTzZfv8I/cFS0Aocu6w3QoMncX5+JzTd
oOFPkpR+QxXEuLtPU/NHc+G9V8zvakKJ2LNb7JiKv4Kt2TlJ/IpL81cSbHWH
lz7ZXl75NfBPp5Xz5lMasIjdSOtS0oVY7zjjXyPpOPBP7dwzEnd+hdeJrthw
Bu3W3xR3S4sE/7wiqq8GrrtV87/+FoTm3Rqm7Mcfga32zhss3TTYICjARPU9
yt//L1/amsqzlC+1e6C+kegLtFyXmLrbvxi/iGjRiL7A1Ezu8P1qapgZZL1B
9GEh3nkptjGaxDXn3LBYNzoTfLH5splLUxk+27fVTGWIhmtXlLfqljlDNN3c
/o6D5cAae3lpDjG8fdo3mzsYNvgIbVZ7l4Uq4vLX1Iidf/zu7fvF3QteXKuw
2SZdAz0zd4LWttHg2PwqeXNnS7yfqShuE1eNz/xzrhN9hKstmbNO9V3GnCfz
5TqNlXhubtGY6CkUe7/GHa5o4dtcupZLa6Phrcpbqk8G3rRlHS9RtgeXiYOB
L/6UwNn9zudHyb7QHb9yLzMlBvKvD5Ta29agVvy+5qctNLgUZ2C1s+ocZtne
XVm3rBStQ6UPTY3QsOormzCruiRK/i6XLMh/iDoyN8fPkvi7T3XzjYTNTsAk
rKEuuKIEzaJajh0ifCZR43xzQa41LPz0/Su5sxjoIZRJdYzEtZdwOrvlLLYd
/KZ49UAB7pWSSXtE7JZxuKFCOf0Uuihc9AHbPEz0S+KWIvb/x6lqQ+rRIGS6
3mXEwVYOXbrMoV1kPb9FM5tHphzGhr3pryGsCIV0f0WXjtPQoaZwh8lzdXxG
r/vmVHQ5yrWdNOX4QEOLKPuQPVpaOHRGVmjTqyq88qtrTpz4r8myHVecRb3h
QKKG5e7JUnhpPtSz+xMNR8bsPb3MPUDaPPRoSlgR0N61TZuR5zfq3qqqlzDC
/Dv71z21C4Se2UOUv+O+hOy4h3L2WOXeFV+ZkATcNfMUz8dpU4WludSzfP/Z
Q2/Nf/bg7rhjYJxfGsK37h5Y2BsCj4PvU7wd8n+N2f5LugVJ56tXcJfkw+HE
nA1/yPpIKfxm5t1oit/48e/XUCeoln5H9b3gL8d8s6dbLiBsWDjwXMcB/lr7
Uf0VyP9kWxzFB2b7wgQIHwAN5rolPsBwN6PX1uwynm56N71zKhjYWy0ofoWr
npf+KVpwhfrwvwdYW8tgtPaaLTex503T7K8tDS6ia3ZQwbxPDJSsp1HnISB+
28YVVmKKi5udTz7zToYrj5OpcwtRKktodJ2dOg743rl+2sEOdq2vpc7zxGP5
ybftVlvhy5/v+sLvpsDFkWrqXErc6J7Wm+rsgLP3cxyzT6aCz72zf6TI9bv+
D3RkZhzRZHhVxUOHDLjaPvid6GIsaFHPPHv+Nn6I8CjNba8Cx1eeYewET+7z
SynGP7HGTzwKp1gaE0Bt1pzK/yBTGtvw/iAn2Bl6N5e7NQdYZ7auvkHi2pCW
sc+rtmMY/WVS9LKWB8hxPg8sJe/JwiBbLX7iCha1M3z1M4mDHdxri1+R59TY
qE7PSm8EllShj/rnIiH4iBClp8Bc7eO7WAFbbJYbWeailwaWaSYsWYSHcLnR
ZQfkRWD9+52furZ3wMxYzNPonTTMM3+41J8jEHc86QfRC3rr45f6c16+Fzsw
W5JC9NCIz469XaB2hnf30R+T2H7m75UHrEeg/1qZdD7jA/gZtTGxgsTfl8pf
Sqh6rqhmLy0gbQDm3qVIUPVcgyPa0NvGD1mvj/Eavc6GV22verQIzvRdmOAc
HhEH7/ToJ4/lcuBX23p9BnK9QNUwoVBVAlmYP348PKqIL4VXSFPflUj37HiR
9dQOf1e/5E6qKQGHfuDw+kKDvf0tul7CO8F984suN0NT3LXzUjf1fQpVsYrH
olwSmLrh3kmWNjP8NvWCeYZcH44ylT1hPVMrx9AnQT8J+CRsRx31/PYc18fe
VYfx8G/tUG6Zq/BnuY0dlec5tOKpXdzcCbjOuQpsDjyEhVnH1c0EZ+b2N+17
F3kES5+m59b8UAaTWzFvqXkcepGnq7Y0n8DKorp0/TeWwBfH4EfN3Tg2Mu5/
Oe8J/6Q+XTC7VwY7LR57GRJ7/s6zt+FopC0ame6aMo+OACH9KarvFz/OZl68
nuAPcwXKqNRZBav9n1rn9tDQymGtBdU3ePZZ/1YS90FwT+FS3J9gM13itw86
jl8l/Ba23HFY4rd6jOKMweNWeL6Dq/dtdhhcdlinMUv1314A+hc7feEqdGs1
x1WBi8lXaxfyHJsXJzWHNgWCVdV2+3cJtaC24U58XBPBn85glrV6zjhDH92S
w1oOR2I2cpuTOJUz4OC53z0YLqwz2zusVQeRLzfrClbTsLX75pU5a0t8tMJQ
5c0PZ2h460r16+L0mk+vkrxtsJojbPdFs4vwipGdqlei958nsT8f2qBqgb/J
pOhNGPgsQfXNIl3EOaWLf0/gfYXCz5+0o2Hd7efxxtS5pjrnnXqE5VFEL/SD
nJ0S1v/m+kjNR5vsNXBaMyGHWa72vq8qr+BISNeKaXJ90WHbV2n1Y3BFrVqw
sjUIXnZup/KN0Njv1DZvpQeNbDvAankqBOPgmCPxd7HkE01nB07hY0YFHffP
cRDjs1q9ifjdffVV/febclHgc6GCgdZbaCtpT6k3GYf5iVf/vgXFYKXOrX1y
g63wyXHKXU6TOq+sZTanSgPt6E6LX2pLgH3G1WtMqX6hrAmZ4FITqE9zYl4d
lQYcCieuxxA/9bzh7u/z+ih+mHnrUTUZDomzTqup83ULackFM+fXwk1GO9+U
rcnAmfaemgOCAc33dtMPVQGUW842Wt2D9sKpFdsI7n3SbN5bd3FeRoOV3wMS
U0DsiiA1fwTxr9SePyg1B4bGfXR7BDNQt2rP+rtzNEjDgLy8UnPk3l0wtlsw
Ax55vqOuo02vaxbd0+vIJmZtPiaeCUfr7eKlqTx/wxDrvyAZNLsSYiDCE476
D/IT5ql5NwnVyIE90mjsZ9ngNhiJrLtGJZLIdd6/z/44MLiirq25Nd+jPNjs
FPLlGcEN9/oj1//yb0B7+r7OkyszQNZ7OTUXBoHOeoavQA+Uq/t/akhlwJ1X
A2wJ5H1k63ocv9v8q50BC9Hc+nSYlOyk5rmA4eMDfjbO82AQdD7L7F0qrGVj
DlhG9lHIvWmLLt7Eq9GqoXr0hdCF9waQ6Os/XpNWJ0Pd8WZVdPIjl2J43V+i
pU/4lbVvWudbloVale/vg/4cS4PV3JepuTOw0ltjuPm6AyY9VbLZUZANeyfU
DAwIXgWFet3kKfTG/LKc0oAztfCuYs+/xWYaZPGuesEzL4zBvHyMn+1UwdOY
kZrfxyqBxaRt7qIYufdk2/eK63D0zVHqnATUFswuN3FzgeK+zsiQXWWw9ZOo
dNswDUd1ZO4rcdmD6fqDdqYBxfDk6v/j6s2jufq+//FIeWkSFRFJklIyhQib
jBHSZB6TsWRuoDLPMmQoMxmTeR6yjZkSkRLJVIniiZRK6nfvs+/6rN96/3vW
Xfd5n/ees/djn/PYj4dp0yXiOZMLRxPH6xQw4/wb5aTa2/jxg0xsCzGfs2om
zsitOoKfdcTo+t4sYGczYuwg8DydOZ0gpU8RXfUjUukmHMGL/Tmpd41GP/+2
H7VXxWCrvuZ2a3/4WneN7PtGRmdFvau+5/FKFu3dvSqBYDe4g9SZQU7K9hs5
6+xAJdTW4fj1DGAcUpywIr7LBw5JyiULPUzj+ZV2vfUe1L+6G+RGzFslH+4m
M30L8Df9OGWAucAYL7krkch3faHt3F7vvfA/xuccugRcOB38cvNSIwXXFNzI
ci02hUeCiTZH+rJgRnXe+jXx/LmKBVtYBbQwWdOZy102ClZSMgXI/bp6Jt1f
A6dN8Lp3havxmkSo3NQ4/5mY/2/ujLmziYlhOcsXH7oFX+ATkZOLIp5/JoC3
qSNgrj4rp7LS6kwMPIhqJ/fxwEzhj4l+szWImYqrZu3Khx0b9e9WLBL4avRj
3Dc+e7iG5+fFAotg6l6TzCCBt7MYw51o2x1Al2b+xRfRLPSvuhZHrAs4ZXXo
vcLNUDx6RjZDrKUJaDWtduVnUSBDheaLn3sAymcUM5fMNEN24y6P/AQKMtze
wzn2Rxy/Wh3MeyHnDV6sm+89Jp7z3dme+0UChyBX/3Kih0A0TFS3k/uW4FTv
VjE76YV9duzrLB8/AM3ZWzUcRDxhzJnibrV0x4/u0TO9QXZgHvqZ7NvFnXhl
wYfFEupkC95z1ZWBrVrJ9i0fKPiJnot9Q6ElWFN6pIT1S2FFq/xAAFFvpnTv
etEydQksqzRO4sMyGM6IdNYgrp/gWNaMsHVArjdtp5jsyyDqOq/W8w8EPnzz
7fh2bzv0Oimlmy5TAqlf4lu4CVw9mWhxaJOjC24z/bd/3sJqTN0/3yVUe+BS
njtWfmIX38/nA5c3t5B9wbjPVqHNbncclg3dUtg4WAVnXGrWSxP5yy0sbOYx
bzpea5U5GyHbDHnrem/lJxF4LP9nYDzo4kJgmlG5wmMIl4ipu/OVAo4D5jyz
syxY0xU3ER0cgdpMaED2ARU6dPZeYfHHZWkn43cbk8EG/v79Q8SHaDOlq7lL
vmhp4Znr2xcMNIUdZH8ctqWqWStu8EKODfvLbjr5Q8UPXnvyfPBK6H97zfVk
MdPsZ5VrZxj03a2e5Cb1dW1dd74qNwd1J5d9KluLQC00p3+AiDOVV5/++ehm
AyvnS+oUA4tBTaL6WzWB28PlV/RjOw1wNjs0+OHmIgidzo4bIa7vVKAx491k
hleOSSwufSuGhdJj2V2fiXXxzMShUjkQX6mkvNodmgM5r0d61xDxZ/R4wTP3
IB/cqcBkOjidAT0KQ0qdRHw+OcHL4ilgDut8Yv00/iuG7z9N6V7OUtCi6vfT
rBciqF6dOX62O4A8n1Z2IuKGm/pz5jNBlqBVpbE+RrwU7iaf0Rkh5oP6Ntmg
fJ7jqMG0c3HGKRKmSrzP9xDv581qhViqrTAufNbONfEKRcXihadHiftkBzYa
Wq9a4pn349k/jYrgR0SJlBiFyFM7trfyCW5GkTQPk4iiAPx2naGY5C99dC/7
pLNoikmsOa+VFQtgzQs6mpwFCnw7E+u5EiKINkFNU3r5EXjhOHvXNPEd2Wa1
krP/eqDiYx9rzguxcO9OLqlvj5XOTYc2OLpAu9twgjsx37awOVH3pa9dff9k
UM0B2KKzI9bKlYFB4NR6RaJ+TEu8/ERXxx5Y+0ZNtv8tgxeK5dt1iTrLeK3k
heqeWJQyrKc83pIFE2NxOwyJ97xBP0vsjpotZPis+HTt7oJG/vHOZSUKKutt
3Nxq7AHSEfpnJ2cHoUEuPazl+iyW8jDDwWhtuOh/+hqNQy3cOlI5/byXqDt+
zjeT/Kvbgg+EOX++hwzWyf03aaZQ1I9Wd3E5BHnlmyy1FdPhux2Ffx2BB9SU
WCpq5Q1Ad0e6Hm1gI2y7MN7dUULkC5eNFQpikagVFW13NjwVesOqPO8S18sb
xXQ9nwpCCfPfiWgbAUOrHblqxPfayFnshAYxuOfS2/bkB2FQKXk+z5B4b4Pf
U0+qnI1Axg8PBZVHoqG7tmTjCfJ84W7vY8XpadmN2S+jL26Ixx87pNv0Vilg
XK41KbBXCUbMu7xnE66C7XIHyVeBI9uhoNUVMM1CuXEXfRDsPlXHd5HUZ6bb
uq0l2hzFnH/KSegVQ89uVX/eWQq8F/j+6LQkgIOXB8u4eArOOneKCBN4Rs/w
6u7nR43xjIswPjtRCNb6V7tK5ylQ1c6whvOhM+QFTl44gk9A0/pnrk078fyi
D+1/fbgMl6Q3TYWeqYJjXg93vx+iYM+Xs12nQuOxLnV2KbixDBpaW8wVCbz9
Z7aLsdY2HDftch9cVS6A6/9JV5cQeH70R1Of7b57aDiyr3GTUgG8qEh6JE2M
G3myfyXwJ0ROy4d+0I3GTaulJP4EA+Ps/afeqED+acourw9xKAPTZwh8CBt7
2rYXeIuC1I90jj9pCbisdFuEjhgXXaM5qdyfhYcP3/1SQ9ME6ltfoWYWBS8U
xTJnv3YHTUcfbe+LCFJ8s9f+EnmQJ9eJ54K2H+REcbiIzLSC4Ui2Y5w/hchC
FeG2LS4go2AYm4KV8MrtaGjkWwrumLn9n6O/C/gmhq7OnaoGQ+bqkE4ifopn
jjW5XOzEJo7FCLOGLxB6tfyNzPNBnGvef07ojxwc/KOwayK+FE7LHPsxP0XB
xjqP83PyJ2Gsk/l2aGwx3PDQYs4g4pWlwLYfLXY6cHiBpTX0bREEQf+cKJEH
7eiGnibn+mE+nRSvfGgJrGZgAy2BT3L2y9RsYjwJoXbnH0xcK4ay3JjLU8R9
WNy5WNrFVaE1sdGYaawCmL5EiEqNUjBd6qOJv748jH2c2RveWgqau2WTA4jn
aQ3onk1PjcFxkSH+q07Ed6fTG2pvI673yO/gcnCFfWUW4nwFOfhYfsGAwGNg
29x1aFznKLRf5D/7reQWDvRZtbYT83NxOMRD/EwI5i3fCKWjrwAbXfw6MUas
l3dhEqw0EbiZJfnP39wKGNjpwfnyHQVV760YZVgr4PNnjbHrYz0hY0R3uIbk
ZVW5mP2uOQiqndySEj134WrIpgzS74yJpUn2Rao6SOrNCz5gyoPphI7zwUtE
veAznWQmEofai1+E5opbwf3iflmdAOJ7GRXxvboZhQGLBV4H7zcAhcnnh281
kV9MZO/wDgRgoKBNbURFOdhZs9z5Mk7BTSc+/ePVJ1B8xdZXgO/gOl2S9ztv
fjS5SuQMtN55HLW4rwAEtzf3ty8Q9ZpYZo7KXU/4NXbmSt3NEqwcu3GWwLdQ
5fHdzBBvwcnx8BVD2iKkWa15ReBhaGb4RdWJ8nuValMlT9R3BzOoOlFb/6RT
9abWm45XXNtUCUoP/gsm9aasuqvPjbmHY9bXUCOVsRq4GH48rvEFBXHkdNBF
R3dk9vYIL6irgam0aMu1/RQI09fiezV9FEP4i2tNXW7hrU7NvA7ivfG1zatU
sMshHddNs9KOMLzH3DzFTfaL/ekr3F4rjdbmKVkT9pG4MS/tLZF3YLl3xnRb
diRyTvWF1v99BncUVPrrD1Ig9HxKNKkXFM+DS16sH+CQwAF9Ui+o6tz5XCLO
Y9y7f3H+uc6/OO8z+CtLf7MJPtaQFIpuKIDzUxlrRIj3dottbaC5ig1K0lln
nogpAV/BIFs9Yj6bSnBynSv3xIqeaq4yIi98rGnh5CLybBSrE/U8NDH1X955
pf0v73CsWfN487gXNoxamW8/+wje5LAdG1oieXch/+lsjcTixU2BJ0dLwDTg
dX4kkWfNFvx4y9X8UfHzFY9jyQXQSjd9ZoiIP6/dx0RkTofiyCEdtlDjEogX
rhRgI55HN3Nq2N1RCfkDFrj6h0/Bn+2v68j6Itc5eVfPoj5cOJSumfM6H1Q2
u79hJHDsjms0HHHaF7BFyts66fVjGLqz7dMKMb7W5kCyZfgdNA96ERR1KB2E
Dtg8uk/kEaM1Rl8vOynA7vEKo5RSL1ArfUryE0Bs+IiSd3MqRps8+R4h9xSk
ZCU6n92m4E/LFO3xRAPISrffNdVTBh5bIsRHiffM91eVfeycMSyIjo2acZRC
mG9M6p5pChq26Fp2EuOM8QZ2ObylsG/NG/MNxPiekmOs1+ncYXrD5nqumjyM
6vT7QNSJ0KvqYvFk/SXc3BgnpBhVBO2n75d3EvFHIXPbvZgoeWS+/qd990gg
Kpnx7rtE7lu6s6fl0QagdVnT+CXGFggYe5EJ8RTwkrFKljX0Qg3+zP+ef0U4
wLWhMAMpEPj479qtO5Qwf+jkK5YqWzghK22zRPqhsEveu2xoCIG5Om56HOWg
cmSEiYX4X71bEyOXfpvD8cGESMdXVUB319nx3BsKjrgYQZJYM+puK1DUy5qG
dj4jQUO/Cfym08tlMSANGlvmZJiMHoLk/g03eIj3vG3/xcbCeUEIUNyruetS
GigV6sspEbh0Jalfh8BpsMvkwwKB06DfRYTEaRivNN4Tf1oRm++z5zJrpQET
hwvp+wAMJQeLU2yFQenz1VYCj0Ei9zyJx5BPMDiVwFFAE3pijX5+BMwxsJI4
Ci/MLz9c63ocreMmM11/J4Nf0nrSnwh+uq4qHxLcDF88KW4EToNV8/9InIbp
TtdXS7lp8fLKXPEr4Xhof5FM+h+BAHIqrG/VBCFVTWnX+WwY2avgxkDUazdF
Tw0azSlB1WkhrgX/TGC+/HtDI7FehA8bJO2olYYZa5FcYl3DvAZ1XeOp17PZ
9Dn7oPG5IOP+sftw6MFd0i8Dnrh5MxULK6KIsZ60plkamKedXVEm3o99w235
WAUmEP/0SwVbI6BOQZf0uwFPy0u/fuUKgtRpJkNDmwSgeU9rs5XAM5sunrXc
cY4PXqTTneesug8Zz9pfJRLjcm7OxjlcjnCvKIApVKcYL+XdFuIg8MlztSOF
hd6iyL1p2H81LQGexSeTeRwT8PO2z7Ms8OHd9VWivgCd+7VkfYH+fWvZhvNM
4E+6k/mCdxbmuTDSbyXqwYojo/6W3eZwmyc0xetwLi5mn9zITOSp6W8Z30w3
ScORcZ9BCYYUMH6gri9N1K0Ro61uWpKAXk85zcbEUyCu6juJi/AvZEzaTU/X
m8i2HSLwGIy4aZN4DHczqj/BVVH8ZBonVF+TAK9Do0j/KXgov1BIOagEFbGT
649dS4OTQYI0x4n3xuFlmZRB5wZ7LlQyaGuX4qVEXj3/TxTwEKmn8WzgxayG
xebNJZEgnP+1l/Tj2FNyOc8jeCMqK/AFqrVFQ/U8ixjpbyjr7FZ1jP04Pjr3
liVL9wpW7VYwWiTWXROF28bykx/Kt3a5OUnWw8Us+4fHn1JwL/tICxeTNBYM
Fppvs9LEBrfCKXK/7qZ9SVfg1WVZj1nJGMoswLk31P1YfEwJ/faBIxh0s3on
Jh7Uo/uVCwFxLRToaDbKcuHnwyrJHUfdTS7BDaVL5H4vEsXmgMB2cdhYw3ry
v04ruGLfT+73Yjr9TqNibXHICMzZJjJ9EqqyqfvJqHPCKmK68DQE5yh+Ev7h
BM0f11/+RIzX3ghdM1mnAF7uA7mJtbfhkqgcua+C4cUht9VH1dFzUHnLqNxD
yFPgJ/2DoHJcc1eG8hn8GNJhv9MgE2xoS0n/IGgQdisMVT8AXnEWzh43fOEt
3cAB0idOutzK552/Ah5IK3DPeWaHLYtXwkgfRh3WKp2Xd+SgJ6We8by3I/Cw
vYgi+cNLmd1L9w6ZQkixjsgWjzwQr9y2+zCRR2KCZ3iIuAfPe5xKibgH3xz2
k3EPi33vHmfIOQuPb3aNNE9ngsYm7xGSlztSeGeVyLPgsJbhIpFnIedbE5ln
UXWwRCHURwM0Bi/Nc8U8hJbds4VriLj06Fp0ibSjHkh5Kh5s8M2B5ac8znFE
HWQTf+FUYd0FGH7laxHjkwu/zj3z7P1GwVDdYwdeTx+FIuF1VkR+h9S/WmR+
xyjnVw0h/sygwNTtuHXsNKQnTZD7tDjIU3GDgY0V5ARs7kVoOIAnjYYZyXvn
+yU/dDGYFr58/0/x3UwCdLwQI31YIOKRmcdXx12oyutjP7YnBUKMeUkfFrh6
5eUbDSFb+Fg3t8/1RiHePyHz1Y2oF8oCY9ODI8IQHTx8JTqb4GiY4F4LAm9f
k5OmmEhagkXAiSrlvY/x9w3z3jgiv6xs/HB7UOcomgnLiRK4EUxNrEnciDqN
si/PzG/Bq+AyHvAoBnYwVfvxE/O/ZTSUPcs8AKPv/fWoDrkHDkE9pO8GqN8X
ka/I4gaVwN/8+CQRXnXSNLcS67fl895h8RABcLt88vhA8QNIjY5ItSPW77Ly
ubsGrLshzCx4Nu1RBlz0YHh35icFC4sitD+vpQM1LmUVW6MM4PSrvez7k+TB
HlJOvLoePsIKR01pOhjMhrkFEt/rm5Usf9KMMMyspY1/eP4OSBdsJf014KK5
K81FigH4GFWOejCmocriOXMHIl8UbinqvrP/DBwpPK8SHZCCVeK6hhzE+3xe
ceVUMvc6tC/3NqqoTIdBhiJuf+L+B+ID6e5sPAr5Y5U75npiIeZWsMMy8fzr
PNuLrEc44XVWX0r9VBo4DuaIrhLXr7D32cWtf19/sjeZLZUzFQpqNcfmifgT
JPik04MCUPT9/rWexiBgHj9B6qjD4Hzu++SpLXBhqZdbISQZruVcGdIn9RiT
OgMX3KdkmUS2i6rMpkJplXOiH7k/f096lhdFQJn/RyG75nlgq9tD+kfAT3qH
fe5JIhB6v2FB+KMdvD84SuqeQcI5GQOdwzuQofzJ+WN1aZAuw+62g7jP7w0p
O/bL08COO2tbDX+nQDBvaM4a4ndX1vML1YyI4IDngQ0j47Gg+bEelkhd/Y7U
3vBX4ojn5UqsijMhwX9XYQaxvraxZyVvEz6EbXVahxtSHsKNlMxfv4jvlcOn
/3C44SIIv97B7hKRjtopT2diibjBknPy8IfTZbivolnc4VgnKJxYTRyXoEC9
d9o8h8kuCHPZwm+prAsyos9IPTd4y/3fYTFvPqCl7coS6YmBY3XBpE4mapjW
C9zdxIwHa4+V7bydDGDG8MeIeP7nCvd4StIX69Nbvtg9n0qFR/mnvAKJ//tW
ZLFZDffC63HtFb+798Fo+6vhDOJ/GY/f8Djykx3sO6vExFwT4Jx7xOfNxPj1
ye1HVG7uxvYfDvsSphMhgvP+RC2pi+JVbhBYshX2yUrvzE6LgZDKzetJH8O8
57d0/ztzCH9nVUsvPH8AeHjwKXne8cs25/xiETeWb2O1Myu+Dw60MnzJxHg9
5y6Z8klenAmNy/w+HQMNLftKuIj7SFs2s/2KFYLfWf9V3bwXCBLVNqR/H/TN
Zz/dc9kQL12hmW0veAQrEe3rh4l4uOeG8lWmqQu4g7Z1AmhzQFqQ6c8vIl6B
z4nXzZnq2G52L/ah1UNQXS/rx0HMT/WX3ayGTGdQ6uyyW8eDTNA9WOVfSnzH
9D+VkdpnBOE7u6hKysEwuGFTQvoewp9nIWY+PzfApjPuvPyjCfB9nnbdMvEe
OG79t0UuSQJbXY+oPQ0mqmLl/5rIvua4lbaB/M7l+hsMATzZ4w+AcvLzBnPi
/6r+eXdolFEAPtuv9+KkRMDfN0j6J4L4cRr+jS0xKH9x7YfIoQ4IPiC/htQJ
30w/MmFwfCcyb3RkaSXwQMf3ky4kHjiUVmvzyPVbPW13u3QjXSIsCH7smSPG
aTdWmjku7AGfoxoG+g4p0LKSq0ueBwlXHqH6MizkM3OkWFcjj94hqm7b9WLD
EvFTUsB3vdRfsjUS3A3YSL8PMPOLu9++RwGTn4tt1RLLhC7jyxXLxPtRFrhy
t2zVHSz+Cl/Y3FGOz0PvXWadoMDO9WEtYvFq2DfhT+tyIxs2egosmRE4cNmw
O0dgzzG44ujYzFiXCR7F3vZJ5H0y5F670bPhXEXl46bHGeD2cek26T+1V4Sh
LOSVEKi9jJNyHHoIXdOp1aQ/SO7eQ5mfjGWAm+vT47Hou9BdPEf6lYDJV74J
jZrFejGeUwJH1DMgy+YXXQRxfepe9QKOLmms2iifNqj9EMQLy07wk35/pdU6
By+z4aMRSolSOjHPH2keI3HdUrf91az6bFyd9Z3f/nQIhN69rKSln0X2K5X6
++qEcDu9aWWmRRqoutbfJvF57GO3LSGTZ9Fjb/d9mM6B+z/yqtWI+RZv41Gx
geECFJx673P0TRoWsc06riXirR2oOjIOyMOCqiS3nLUnRO5PIP1iYPJsRyXL
XR7crjT80afnPuSWLmjfJ55n5eW71d8++nC/aOPUyx0ZKPW1d6ngJwUCinKt
Sd+Nfnbm5ZcGT9B5izPVd6NNlr2fgeECOvvnvBd9kwYqXMpOxO9iutSQKXEf
FJlw4ybuA0xCGt+I+6DlyWO8dzo44dwLAY8NMgkgJHCA1HkDIzv10KKdW+FJ
+hzbxYcxEM3BVEv6TcQJhfLw6/GAR2NfJ9ft+8Als31NDnF9p9OvItb/rCFB
YycTg0YcyAr4/nhNPH+DdZ8AS+dliNwZl/GhIRWkpkrXRRDPM1fc7c/CfwnU
12+VNj2bDMES3PvJfr3J1KqvRD7C3zIn4V5ACnxReEDmIwzmentOTFkCdip8
O9AodA+E+j+SfQTw2M1o1W+LK8hc9RxNZ02CRiHW+hji+qMv1XRNTKWhnE2t
qdYzAoCVQvYXwJqlVqpOiIV4fuIasTIw1d5sR+qEGA83BcezO4BQuiBX/dgD
CAtzW0vqOYxXJItVJR/BA1dviL96dQ9vr+3WcvtD6i1PKig+W5Zl+lw0Ktad
AhKzw6SuHSwYRnmuZLEi0w7dy4VhaTDdfYTU94N3b01YX/72BhY3jzqblHK8
Eip7y4RYL+qbZi1IX5Laq4nXZ4uq8Vl82zDpS3J2tsO8bt1xXPc3sW+DZCgW
T/EXHCN1v4/o6yAPH+jNRW+LHI0B1V+JpD4tLEXsTxc9ZgYU7kAeK6EYcOk7
rSNFxE++PYp0BM7B3HU1Akp7HwOnd/2LOLJPOZ4u8qokP5oIeCd+fxuGL9dG
/dlD3L/UQcfklJAtOjc+POJ8oxBOuQh8I3AUbvmYf9H5QSCw94eyavZUI39S
p8WjAQrsufLfjHufE7TU6HLLFUTCiEWaJKm3IJnASZ/tPSF7MF1CMYIuBvUn
Tx8l/Zpp3tQp7vHahfx7mYNffo7E+0JKXfXEePObfvNsLkf03tffFaxTDCMu
iqJE/YW0W5c/Xeo2x1VhUXvPw7mQ7Ce1iaibUK9xueVNngm+v+3kMu+dBVdN
K8k6C7c3/ZlNp3PD5k2XrLS0SyH1JJcRUddg25rBIxMcwWj4YD+VzxC+IZHK
Z3B6JfhFdDgSmVXChWOimkH+fvIzy2QCR2W+ovIqK7f941fYniyk8is4v3ea
9v32xpD1k1T+hlJWNZW/kb+4+0v651BcDBcM+7EbIcjwkJVdEwW1jg1qOTwI
xHs2WlT+hoR9B5W/IRiqac1d6AYUw4oCluo0iKTwr18m4lK/hA53zXpn0PQx
eXe1Kh1uRWUwXSXG+a/1irf5y+MeLsnxzKFg/DTObq1OfK8ff+LTi55ch+ce
czLaxzJhITCmvYeMq8faqfpOa6ceaOo1VcPK4k+qvtPvJ1N/zSgGuFb1uTiB
A2FOsZDEgbj7PXMg2YdoqBRB5WXZRP3jZbF6q9iQvNPFG0nLvQZPYNOK/mWS
d/pRvoO7ZNUdc0X/8bLyxP/xslZsbrETOAeX/TpEnSPSYSXj1GcC5+DtvA+O
19bdwpB+2kpzhRqIty55GvmSgg7utp4r2nKYsk5pU/9IMLzdk6WiTvYF13t+
lK7ajwHFDvNBB4k6648GqWcILSkOct8bjqKnnd/Q9i2ZcHdEiNQ/BMmIljD3
yUPodPzI9c2PwuC83+QiD3GfzxqbbMqSj8AP6+eUgVf3IHvlNbl+UXCNh+GI
jTza1n6VWLbwwgTJfMYy4n0yOB+mY7Q8BiLLtAZ2JRGwLk55E7lPElwremim
/zDK7nWoquu5Bxti1tldI8ataG8IPvWXh+HAWV/iu4BKExf5XdCqQW3GeEUZ
F5emGur71fHGoHENiUsbPZ03BKco42BYt39+gC0K+Od7LhHjdRd+nqt56Ymf
bZuCCu5Ww/zpPd1dxPeytLlA1RHa86lhX5dYBdSw7V8ldYTUD4k57Bs4AYsL
fLZ04lcg8JUQ2Y8G5/v3m1+W5IevLyYnv70NA7OuRHJdY80Odx6J4Uj4T+t6
9/2oZnz5yC6HmOdw9MCrR7u9dsHputRDxHoEP9sz5HrEzzDz6Lb3RP2PCbHh
cLoYsNlrTq5fpLwocF4pVwKJPVv3eOXGgWtnWGQPEScjA9kdn6w7Dmjjc46I
V/DktTAZr9BGROCqym05mFcpputki4bA9jfZdiQfwDqJJl1XGINbctWuKqXB
0FQ76esK+xlMu6zfnYEmdt/R340BYD+++44jcZ+g27HZIZoyuO/Ph4Eqtodw
J2UP6ScLDgxHwhlnFUHqZ+ylF1XWMCrcR/J8kLfa0mqAXwmYV3dpSDmrgar3
Dmq9GfK7Kfymsg5Kad4auJSdDe+5EnJklylweIRhy01JRXB3eaKb8ssPGEN/
9PuTfVhvLmwOO3sOY6qLlCPdcqDlV/zxh98pYMxbMe+71QgPNZ1ZDBF5BEzt
lDxSt/PpKVeWPyGycHe1UuwQWwSMFZSQfBh8++m78fARSbD8tSPDYzgKkhNm
ST4M+mmeOrakpIGnlnZNb5TOhssnGvPuEs8TEBa19ccNJTRWPr9maFsmTH91
I31+4bJUEKOkqDj+iOftP3jRG/e0FernEd89Yk13KjEONMdP7SLG4Z1JBTmO
sZVyh/0bbGEPvavxTMkNMGmSCO4ixpm1X39zaOWCik02Cn9LE2F7sTipew8L
dIq/Xrk6gr3T+6UnN8whMbwtkeRlOXf0VK8vcITUld3fDx29BYe8ig6QvKxL
QoEyb23k4b3S2bjvFl5wuaqEXEeowk6TT8xz+LB2L2tegC0w+haS8xzZ/kuL
MFlRhhPqDJ9L+tUh39WEXBcol67yU3rvIahyzE6cevoAHr9uJPXtQfKpthMz
4yWIfpHx0sQ2FATS9okKEtcrOY1rMR2UQP8q2U0ZE1Ggeen3kQTifT7k3vpY
Of4ybFtqZNfxCQf6zKdzv0jdlQefinz3OmHtH0fp6o+lMPYwrnfPFAVdmDc+
4NCVxojQ9CIfjgh4vv4/cfJ7pdzJn8z6HAo0winqq7sRz17XO0fEc4iVfbL6
zl8BfocG1GY+s4M+bQdy3wZZGE7fPcZ+HI78DepN170CO/Yok/tguPSn5SE3
kzQwzg0doLfShA38ReR+F7LFbQ4DzbPwenNAsZ/3A3inn1vkTPq7SexbmutX
hPGIYXbRSE+4iszfyPOmSF+vLyLlRiAnU6D2rDQBlto6V3+TuOhN49wVeikU
7PZbm7M3FBYNPn4h+Qn88uVCylbqwPwu8pvl10hQ53xG+4T4XxkSmbrdziLA
vUtyMOtPLKj45JC63xAjk3ngyg4d2OZrr6tsfw9KH1ie8yWuL/wuXfh3nQK0
xh7YQHfmAvh9OUv2pcJtLvmwCK1rqBPql1AuXgFGn5V7lom41Hkg41GiqxGo
H+GlyRwNgtqd32XOE89zT1mk2HVSH7R+rSyfa3CB2jZWBdJXMb31425KvyJ6
2jcHEv8X5QQZyf8Lwt/fskoFXASDuxfn5hfdIHpgzZ435L63VqD4qe0uaLst
/LNlUAla8CzWX5qhAJuy8AFLj5s4//dxePjBcjxPPyraOUmBjPrA8CJldvjW
2cO5vS4bE8UmrwoT9ciEj0v+Mp89lpvt3CgRWITWW64dH5yjQLZM9Gn5VUfc
eGTB7L/eLJzbp7Klg1iP/4/XCv/La93WZBGWu84Osx/2x0hfz8BKtsBxK2Kd
qpoH8P8oTYUXGtNU3uw2wT1U3uzDQV8Lm09+kNzxOttNsh7n5vTvHX9K4Cg2
BnPcEot25jP4NnEA3lb9/FnLMYd2KvilsV8HxHf2D4SyFiOHd4xpBYGL1Ln6
rQ2arXH95TUL2bvy8Yv4q9CKRQpceWlu4cIqB8JP/sonHszHv+H0h0oXKfja
7cP7DYMSMFl3+CGD+yO0DDnGyvCNgho/PySa61vgd/W9gkaYi65XhNkTiTgm
2aVAPZc5yxHmksNbijcpTdRzmYhrNlJuxaZoeiXDWrAvC69/kSR5WSAQGUs9
92nx1+Ga6ilD2iE/6rkPd/C7I6fdQsHqt91Jx74aGFCseMnZR8GnacE79d9G
AY/Yh7ko9iY4sqzfI/uYqKOh6Brpx72/MoGKh7dWPKXi4VPb96kQ+BnTFdyp
+Dm4XZqKn4V5Rk8TuBTLwsKouPScTxcVl94d203VPz/n3WAu6liNKYyza0n9
85lpAb66l57glPvPp2lL4T+fpmf3blP7IzbH//NpOv7qn0/TRiZ75tedXBg1
6TxoOpSDzx7LkbxlWN3ybOcLNX28WxlavfTxIXjxcZB9H/CYbXfPBwJnqvr3
Uferq0x0qfvVqd81yrOGkuDH5o7dKpPN4ELjpbd6n8CTjJmP+/n88ezRl4Ht
cdXYVBVw6SbxPJpmL2LFPEOR/35ZxQedBvztvkVpfx1RpwfzZoiGXEMuLoM8
to5cBDbPjdeJ7/WaVsJaTzgU3/l+V15e0wfGi9MHTMvmcPOhpfffcu5gepHu
6YKOFhiOCDn0N4qC1bevGam9EwIOrWj2dPYcrH3pkzJD4Gqvfk6qrvu5Xduo
+wPHJv7tD1RneJUT9T5qpP+r9yPo/tX7Jj1r2WmSbmOfxOYyttJ83GbMzfJr
gQK9ttd2+tl4YbVq0s+08GLUmf28aPWFAr9lxr3cBXyx6bAAHpkrw19finoO
vyfq1rSf7Tv/s8al+7bhGzTi8NwTGbJ+hN69nz0Vri7Xq8z9OxfYPfTvXECV
4bg2K/8l3LAxpNfsbDI69jXwkj4vDUtmnaROQie7DpVXY50QT+XVrMg0ufny
88E2kX/nBeul/p0XaNiOyBbXZ0PaqVCqH5BDZzPVD+i4XMmQy8VO2CTeFU7y
JZ7QVA6SfInYgQm5o8fMEFUntayFYrC6cTdZZ8EkwwJ/ArsDOozu+4JjD3Ce
aSdZPwJzW5MUf1Y07HC273sb3I/FesUn1lybw4FBbsWtLTHwzcqC/v5QBx7Z
Zl6gcJ4COzS5pVk7L6NjlWjhx4ZUZFLnI+tliLezOxXFL4W6TYGRNnuKQfZR
69VMIg503QuKWAq/A83qwiJOvK3otX3TBaFwom6Kp9CLfwqCvLA2lbNrejHb
Kjt9/8ocvigZkQ1osMUL57/smiu5gSuD/CQeAL6YYxe2MV7CEK/ntOa2ociz
dR2ZZ8HWNPaqfs2irMuzt65H1DPQxOAZua8COyqW5JfuuMJP6diLX4Nbsa2A
5RZ9CAWfPPBiVFa2hyOTpWIM5Q1ovWvB9201BTNXuW/FxEQDF+fjQwZHi+BY
yuauaeL59zlUzhP5AlWUmtuzRoNwgmaUzBcgc7Z4/YmAi+hYcU1k4HAFaFi7
XRYcp6DMlpE1kjEiyH+3XCn1sxXce/PoJ4n3LN7Si6nEX8ax9m/5ej7hGBqb
ROZ9eHPQYi6M7gHc1Oeh6rhu/+ZD1XGVr9djvNXnhDn5rk3yBZGYwHyJrFvh
bfGl8jt1Ivj9bm/i4YtqUHXm93FyvpW9k/mp3J8FiXp+VN6O392nVN6O41Le
qfq0SLBVVhg9ZVcKCbRMgwIErqBc8Wh+7eqIkRW36ltumKPobCOJo+DKiW16
9AWOKLGQYCJ09Ba+W5dC4iiorDiYWHraGl90XPTb8rMa9h9S0Csm6sSUvucj
5RGpsL+V++tQVCPsOCQksbOAwGMK+k1bmC9g/yVnVet3aTj8pSBwDTFPjnxh
bwmPCIMATGqT6mxCO+aPtBZZFNC+xbvzWJwlDOzU9/4QX4ts598Vi/ZS8PKX
07wvwQDXJeRWnD+WgZcGjEh+NXB93EbtY/rwQ2IAwovhqPKaGLKP6fF1K2of
VlI6G03DmjK4bHWK2oe1bqfZcfEzIRBp6EHl1Vj3NFF5NU9KHyiz0kTAu4ZE
Kq+GUfImlVdj2zPLGLRyGvOPxydriZXB4QG2InviPnmdeamhZRexTC5ydvO9
dOy6++RqDIHzx3b5v76Qcw7L2v7EdetUgqrq156REQrWx8TMn7ljBunM9+gf
lVai7Y7LV7veEvXptZv6X4IjINAGhLxPVcKDxC81s29Jn/o9mr8vGyDf1bCP
l9em4bFn3iTPH3heiFiVPLmOD0+9WT5zLBPlmmzbiDoalqUEbrRya0Lj2Rt3
fltW4xmZJt5Ioi6ulNOWlXyoDJ0MQS/4DlVg266wSElifjrt3C4QsMUVfw9w
S2eyJiFHbPCTGCIurUleed8nEwIHRG3lC5fLIfukstEW4vre65/O7C10w2ia
28w7q9PwN//FdcvE/x3P8xWvXe+MbcW3jzpWpWNYxZutV4nx7L4asZs3FcDk
gcrWvJpC7J3m7JKbp+Cs9FptUg9w34d/vKCqE+upvCBO6cTEMfdwWCcTROXn
fDooQeXnrBecOfm9UBuZA1rPtlxOwXTDUrJfAPTvOVB5X2Gem/xCY4tRhVOO
yvv6zcVJ5YlVn07bOxFfiu48+6k8scC6IgvegQBQWG9L5SlVPWSl8pT8Nk1E
OPu7oIhJ2/zCqWrMUz/j3fn6/3xg8X99YPdVjdnlvXbH5l0PeIhlj3Rzzy3+
NhJ1mUP/ldUPl1Fml052+JkqVHoqyfJ+iLjeRm2Z66Ezyl8obBfBJ/jMUfOB
TTuR9zWPTgao2eKuYVbFl7u7ULrqqvayEgU6C1TE+K3kcEpv7X/Kfnfh+Mry
IAux7k471XwdMPZAQ9rq9wuzg3hMp+564/VZmItc8E2K0sbxpegg/xspMHxy
iNQZAMrnQ4wG2n5ou9/URmKmFfv8NaTi/CkQvbQccThaG4O3c51f51CLOdqm
b5/3UmBi34niJnkDLJC92bYusBGL6wIKO0ooEOLx6+Z7LX+seDI7Hv97AJjr
6yLeb5rDjbJKVL50d+0/X0IuYQEqX/rEDp/E4bzrMO3iH/y0sQ6T/TeeW/OM
ggWKJXIvpoLgzJvHDU22ERi6WYHkeYKZsD5Xd7Qz3NtKPx/qV4VezXdReoiC
I4LtC8+OGoMa1+zxrhOFqJA786yUmD9Jm7O8yP56UUsPbUOTD6C7QRHI/vqc
7WYvfd57gerq9VJDY8SLnAkrX4nv4vv7lGywewD0Xh6bKZ9pxs8rvOfzEyhw
ttB45OnUJTSrjt/d+LAMn3m+sNf4QOTlHs/8jYWWmLNVrk5EvxQduTbzBnyi
ANOLrvSmaHOgTW4XF9crRtXgkEBeIi8Mb7W86M9iibc/XGngritDfZdhxi3E
fZiH/NsOdMjjZpZ689InQaB0fuA/feI7rv/4WvSVthX+9mVVXlvZCfwzzZN3
1Slopx9cmLHrOAYvXKCje+0I46JDs5+J61+vE6wn++JTDvCwPGR8BfKcvr5k
X/zNW5P5yXQP0LHfe/sRIl/wfeLSJvvQNfqXe58HK+Acvdri0JADiIyzjc4S
96lND8RnnxVxa7bkywN9XnBYp/RwEbmP5Gey4d1WaaQ5n8n/dIchtPn/rSZ1
BbM+T0lvyb+Fjw7s+bbC3YLvz8a96n1AAadsmhcWBH5Lm7EL/bOmD1VrL7Ka
lM1Brv4hNV/nPOyOKKL6F1yV30/1L/Dd3xusk38f5y88usf/KR7qpT3Tyf6U
kKSLAk6nxbH7cd22+y99YDuNd0QS6UfW3GDZQdQXqRUNoR8TB9BTf1mshmMO
mmtYDuTcksc1SVI3cuu9Yf51zHA2cT3v3jxnrVVlrO7jzOpn1AP160/pybov
hZZu/K6tAyS4Oxcy2peh7AX1s88/UPC6WVTXjixllLnkGV1F4wATvqc8SD6w
6HJ5Ol+oDGbMbvFPKI8E1pE5nqfE/Ow998ckHnQhvSdUtUzhMd4wCH5y5ysF
L+iEpwR8c8Gbi8cs1ThaMaC6pbg8nFhfB8TknvTEgmPA9bjiLVk4W1DAZEjg
8At2fW8LPGyxxNDmkcrdelzTun/copUC3nE++75LEnWKR/TezNJGwAe/AhSL
KbjF9SJVF4U+8n3wyrVXuF/0yytSFyWPPrX19R091HTdfC18qhY4GRkSBXoo
eMbrJIvVqiVcEGRv+WFUhLtd/KXFKBQ8PPl0jkKsXw7Vh1T/9KVd0//807c/
pPLPh3r/6aK4ivzTRRGNizvD7G0H97of86bJlKDxWb027s8UnJyA8rt5kZB9
5YLBm33d2BR18GQ0HwXkNFpvtRPrsfzyZZ8rJh8weKaki9RP2zMwz62zaAoO
K9LXlRQLcEL4DG3OAgXlhjrqn9rp4HOzc31hb4tQUzz+iyhRz9KcVN7OyHgS
159+gJPXirHWi8l2ipg/T3aLLbapJgN3Y5BlTVUcPh9/nyJBzJ9LaZL3q0XO
YNleMZalfQUYLHu+r53A82uGW/fbJp3H5ECR/K2YBh7558m+eNjouI1+z1pl
cNTeeDLPOhdXuQ7fniLqStWZ/kP+e53gXsTgZM3HUtTudH62Z4oCOaIXmATG
Z2U/Pphrd6DchnM/+klfPHh7wPZHPIMYBi9/Or3N6A7kHj1L+sGBoRPnCruY
GLyo/xK6bsEXlXTEyP4deNe4/gepz+/JtWhO4Dq4On0qgMR1mqNKFRT5k9ht
ZJQdRuQvf6UGRiJ/wftFDV+RP3J4tdarfpLIXzfqhJeI/AW3WGh+dIqrYlBI
at+2sQrsPu5/WGqUAgE00iyB+vJo83NNd0RrKf4Y5IwPIK4/HB5vdf/nCewT
Cv7gdLQQ3x0e2tg6TwEt+kMdEx9FscAmObpOMRezPzob0H3/P98o+F/fqJHW
XqkksWbw/fSCyg90pr9G5Qdyz9zbkL9RGoXujpkVrH+M1zpZ4iu/EvW1Yjf0
paqjyqHIk/FMefhndehc8BLxvzqFvelNdiH99X88gT6JfzyBT208ynmDbNi0
KDJb+tsOVtcqUvkPE6fPmNqfF0cLqQ0de/zPA1NUCOkfB7W3+tOecYmjN+XC
jOVfO2ge/kz6D4LeUbmstaABEtYq/EHf85Ay5MTe+pXsv55LiNK6BiEf/vne
Blf/8701P6fQKfLmDHSoyYeKDxfgk2vHStmJ+Wk40nfBS8AcTV3GUjT/K0b+
z+toX85SoIdl9uqksCfU7xO0qYhpRFU/HhamEgpGfYpqPRtkiV9E+P1jxYn5
86ns7AiRLzwltlD7lVZbwxWFiTyyPzeJ2q/0WYGB2q/kbVZ7Fom8057lRu1X
cpM81Z7W4A9r9YzlQ/e0IetS7cbc6xRsMtAWgyfbUdrlfPRVvUBo+UhptiP+
r+awEM20mw3+2KJPUQosRs2VHV+riflzP6hH0UDHHp+9+Of/e6Hhn//v6/PT
UkNqDlizo0ptnVwZ3v7tRav4kQIQeF/7dbk5Mg4eYVHdWoRutxtfDFCIuPR2
s1TiVlFcubLYaREZCCMzfrQ2xO9+ac4blhITQuGaN9lOnyIglkOEYYKIk/+Z
PXXdN8iKqV8XObc3RsDfby8Vp4jx+xcsvkiiMJa02N3DvWFgVBJYRPITCuLn
fV/pOMI9Cm1JiEEt6q1NLV5L4L3rlZzs91vc4G/otKWKVwOKFMuUuNdScCPt
9aSrhoYYZCBkb8BRjl/NszaxEP8LrshJhgooYej6khYCecP6tVz+5Lz6r9bk
v4xvivic/q/dQecrcHjoNx157hBxu6nk2TljlLu16VMubyl6NyibbCDmeaKY
q+E+uXK4pTtA9ePbe5GJ6sd36q3Rn3Hiek7PSv2LHKV4LoghaQ9xfVNVM1Wv
Y9uApAatWBlqBjRS9TqGxVu7JxMJHLXn9Z9PPWU4W58mPEo858p0eQ+n+VUs
Uo5akBxBSDkcOna8gYLt4f5dTQYxYCPhR/VVv3ZMkeqr/v/82eF//dmr1Yof
cLxSwFfzIQs9jp6QsF2UljyXl8hyD9fXtYOtXbesF30q8dwU16w2Ec/5Esek
ehf1MWBK5lnu63x0P8cyyLhIxFv2Jk73dbdAZ1f0y0sKNehTbVgX+ZICv2/9
ZF7+bY7H3z0Jc3lVheGX9lqfe0PktRfqVB2SAzuMNQybqnHzBRmqDklX0MHK
jjZX7L1WeAgtW4m8mfY3IpSCR8pua+qvS4O4fKGitRNFmGIfMZBKvLfRm58f
qL8Twm8sKdHp7DlwrpOP3M+BAfaUW/2dclBz3KTaUscLHfU6SD0BQJvMwNE/
4vCrNvd0n5w3ZorQk/2GsLGqv1zr/HFg+iI8Eh3qCFojVaR+KRSz+IV/dpAG
R42Y4je6BvCmMZrUL4UPSWOnG9R94YVkpekycxNM8Kzm+ORT8NwJDp7hKGk4
MRqS1bWgibNF0WRfPAyalrN4Vx+H6iitJnbZK9jPZU/218PjSYO+ASshfHDe
TMVmNACS9JadyXMfnvKNhRsHJdDgbKbtBvdHcAPusTB8I3B79ZnXv1Ae6p6W
Vq7lD4IuhS5TM1JHdNemfcXK7Li55nTA9rpsODgaTe73QrhUix7pY76Gs+6X
M+sHcCoqryB9zC0M0oJdWeVQzELPPulgPvww/HawlPiOObQMqYpGUWBwS413
H9Nz2LFxZ6k9GwVPFJnGM+5QAgVLOxG2KlsUUJMi+eEgSPf2nIejEjBceTox
MnwKM11ekTx8MKZvsdEtvwFWz/6d31EWeKnnd11/OMOOvjmDu8dOfJMYLoDz
14eLiTgJZp99mv2GZIBHT4a1Zi4CQ45akH3fMNdRo1zz0hMedf47HzzW/u98
MH/qRrPO5ltw3JyBo3ysFnr/a+PeRuAWm9o8SvseBahxPB6tJZaJ2e3bSd4O
bNeOZRWLVwOxutIGlxvZaDGe9tWMeD/FpvcvcbWeALWNMwEmb+2wfyctqVcA
9eyZ9RnWCjAncHQDfawnhnKcJ/tfQMBoF+tAwgl4GSIjMpbgAHF/qkldXLAy
/09hM6cTtixtPGq4rwaCkvKkdw5QUOja5FiYwDWM6nozyFqPYJ8WqJpFrNNX
fHouVulbcU2f1c+myAhoa/hqT/oCnO1y/cxlfBjdmGTgXV0EVO3waSPiHjIf
kB340nMET3X7py3fDwUthWM3RYnvfoHSYd1mcg94Ck+IXbZog2HTJOZQFwo+
thv4du6OGe4/zZn9uLQSSrsSrbqIepPuhCJrySQvyOSlRX2fjkGW9QdIvhn0
1dRY1lTK46NNeyW+EPhE1zholPR3KA1Nt3512gQu8g3XmKxJxJmOG2R/MXDa
pG9Um98Czw2NmgIeEfc5X0/yQoFilbHFLdcSN1SxMXnn5oECndXXNUS+7ttV
aaAzfxpP0ZlpnBUoAptspaAUAk8Ovh9tZhXQgsCDWu/dZaOwyzeI7GsGMy3x
e1n12SCYZ0/lI5XW1lH5SP437vzivswGZ39fLVdKT8BQbip/CQSsDzxdLOKG
nKMi+mbF97FFUY7k10Hb4uiS/Rs1jHv2bPcsYz6sHR/e3blIwYDbL7ql4izR
0alJdzq+FuqjgzNEibr1wM6uptGftuh7R9r49vsC0LAPqaEn5mf1tdfUOK/+
a+gdEedB6IUhNc7nbnpOjc/HpOd+EfEZbL7mUeOz9cmprUwHJcCirkoiYyIK
41e+ked0YCbx+JnSfUU8rmbRoyD+CEouc/rIE7ixuHlch1NXGk7P3Bz04YjA
HWvWkudx0M/zwGFFWw6epZw06B8JxucraSRPANQ5Ujib+3WQYeL+6zDWYog/
c8W4gsAVO9hNpT0mD4EQ2wj7lkdhGMo6RPIBwOnd1m9mwRthgX5mSq0tGnsv
0ZM8djB58jvmc/9heCRxZqmu5x7e0/xte40Yv/O9iv1OAy8ca1rat6UkElkU
P5J8eHA+83qzPb0U6A689sjZG4rFRaPkuRt0KinuL1jvBTLF2uxltdVwVZRh
B8m74Hm+sppbfQ6C9OYFL3U+wMsuQaT+A2TTNDjf2XgUn8+Zcc71xGLN7iCS
Twu8O568MewNgLXuL3Jf0jaAVoJVExsSdbHS1GhcdRLKfv9N/9czAy9985P4
ScTDHR1bVT4KeyJn8d6b1TGN8OXiy19bS4g69OQIa3aDP95Zs+1Z5J42uBx/
vjPnOgXy4ue2HIsRgbSkZ3vTP1shz7Vcch8VXnNZBDvz8+H+/f90VBJF/umo
bBu5WXWnTgTy+rOOil9Uwz0vV8h9UXj1rpArh1YB/D33M3pFqiNbYyaVz/9q
gidX1swTK1T1tKbZG2FrG6/3iQoKeidpxjs1+yMnR/X25x+egl344FZddwoe
So2k7g/oSXqWiOiXgtrTfdT9gU2Sjv/2ExgFtjc+LIP3t79Q9xMytPY3FvUL
w4Lu1+b9IbewYaTbmOwj+2KzdqOecCixDn5Sz0GkRueo5yDGSnM3jHTt8IsF
/fsln0q4otPxgcjjYKvqu+e//FtgaJGatMzdAoUG87QvHlDwZdwy7JQrx+j9
h9Quuz+FCQa35NmLFPT/NFvg/c0F3r0NNFXiaIXdQpFTRH2K0g+lYp6F3MAG
/VIfwYlakImC32w9/9enif/bp3mQYuxYJKwI23uVszTN0nCZhZ3sZwGu4dvH
L6xLwwPbIib+jBdBQ9vHcSK/Y/Bqo8MjD1v479mrjhN36yGmdPYrUeeiQ9b3
w++1/KF92zx1H4l4ldR9pOKjB+8GXF2WvbH2n77Nr7v/9G3uVKdEVDLHgHvD
Teo+T+zRE9R9Hu6/6btH865jp2qebWdjHdjfWFFa84wCDmXdSj3RzpjiEhQT
7lcF2/dfrJQeokDKie4F5nN8eHff/WDOqvs471JP9tGAqWRWFQf7YwywUizL
GcuFZwd4jIl6B7+WnfZsVE1GOzmfuyVVccAyM5ouQfoW5VgdJ+pHLF5LN0vU
j/CzMfcWUT9CnLSlTMFZN4i46OLouqkSLGjTIhLeUXBmoMSWaeoCJButdsvR
5qCDj+nqLwLniB6b+3Re4BosC0rpV8hXwI8FO883RJ69me+p2nRAHA56dLxV
T/SBa+PMpH44hD1cOjfbcwTYfdg9iDyCK3pSZB6BZ2YtEpzGh4GbVfUwkXew
M8qPzDtwzTCPqyVTHb5L0HJmWD3EA/ZffDmIerl3/wcBQ6YzEFmmcLDzQSbW
FgLJH4b2nbFB7F3S8PeG38Y32g+xy9uF5J1CwaUs1wiibmKp+3duPimoQj03
r3ve7boONJA/+uGe4O95cGx/AhtRZ8HfXw5CF/VkwfXJp0eunWGoY1hD6gxA
xDWVpTye47Dt2M5vM06RGKxF7ccHQd6aVO7LhhCXNczVWfAIPxxsXzdM5J3T
nx/NNbsCnFR6M7+LPgiT/1aTfdnwUJE9CM3cYNPuk11BLJWwf2Sn1G3iPT+Q
Vc/lqROCZzvZabIs0nCbcSzJd4VvYyuOIZNnIdJ5faDcdA4OuC5UqZH9tmUV
F3x+bsBZE/vL/KMJGOjxlW6ZyI9sTjepOq509o8fMbmUAAeLNVXH9eXDDbyk
7us5yyx7o30VoEC7g6r7miMxJ1PWeQLWTE//LVpvg7RLN999I54zw+bSF/Ic
x1DhK7Xe3z6uSa33x1/zJ+KWWAhPmqSem/urzVPPzSV0Y6SMmK/B0xSGv2K7
KsDYfvS7InH/F3pYIeQkBwFHjyeGxniDZDcP6b8ASg9Vh76jPCaKzYkTeBKD
al+QeBJyX74pvpS+FZjvSb0m8AnWCfwg8Qn8YHCgeWUlBNN3fRUJvIrW7lS8
CmfEBOKrK+VhA1PnIIEf8MSSP4kf4Py2rbr6x3fCJiNRz1bxFCw+KETyt0Fa
/EM1h/YV1OgqO5lnWwGawdOzN4n5sPNmWleiqxJI+vuYvbHQheGvz0nfB5ha
bXoxqOOI3lOlp8MNauFQOV8mUd+BQuucamKLG6Z9ihVV82qAbXYf4on6DhQP
bMpOk4qAX1sLDdtqo2H9nr2paqtEvE20v45EfSThPUzVAfBQPPf/1wGA/9UB
WNnEaBDuz4w7P38/snPsNM7EjVN1ljjHZrjp2FjRAG4ZRWk44ILhSbJ/B3o1
RFhlTofC8CZdar/q7aoqar/qyefOa3W2RgLobab2vT49Okjtey2YWH0+XUjc
98on3aM/nNBpBw3ZhwXGs87ui8shcGB/I1UPIdZjlqqHMPxmLSOptxDN9Pjk
5OwgMuoWhJN6C/3ZxsIDd+Qw4P3t3TrejigT+Yzsn4LqGv/mUPUDONUr4Hzr
hi9ydHaSfVhwN0fjKX2rJpb/2kLnNp+NfE75rgwEHh4tPPWLIecsZv448KBl
OhPRm4bsnwLLW3cDw3w0cMpL49aemIeY0xhL9kmBK9pF0Vedw87Cvl/RK0+A
1ktfLKmNAr8SKYrGc0roxySUt+CficM8yWT/I6zf5mhftMcYI7QOZPKlNUGi
oElrYw5R9/114Zip8gfrUjeuMK1sGKFX2LlmmYJ5X+34WhzvwiKn64eM2/mg
rX9P9tYCBTX/6J76uWSFH4u6VsGoA2T5hqx8jYj6fa5xgTzXyPG1mluYHYQa
mSI38lxjvbPs2u6tocD9UWYTg2QJtGS/L3EifWwNhBlkHfUwTMKEq9E3B1Vr
LJ3iiHXtpLhbq6juAiZY7L8U65OLcqp/7/QS8bkoS/B99CFTtJS/48nokYc0
/V85DpN+BweOlF6nZwPPvDKG5scZaNdaRfL54bvCelVVK3Vs0/KrsfoaiaWm
RSQfCaTTtxglcK+DI59kYyoq0zHUNpzsMwJe7zU+qrfl8GEKf24nWzQqzSDJ
G4SLyhadCdVJMHpuoYPGKwPGfr4+SuAfNOvZeZzI1+CpcZSar/leeFPz9VOV
tl/d7lP1/B+tTqnMpqKKtiXZNwQJTlWHf5cr4cto3jdeuXF4OsiO5DFCy9bh
GxlTW3DpzoSIQkgyrkTbkP1H4E17fcBtUh9XhMfe6jS44J3/tpL8Jfi2O3ZZ
tNwI1cu0/LtLE5D1qD/Jy4LO+IgR23334Pd5HqqOxDu2RKqOxJ2nHfZSARfx
aPZtpqVFN8xPXeZ6Q9xnVz/D+/+vqzMPpzJv43hhRGOiE8PkUpa8kSVZynK4
GTqiksiohimyN7ZpkKVIFNk6lvMmyrEd6zgRg8SNIWMXdTSao8UxSjilskSa
5znX+9f77/PHcz3X7/kt3+u678/n5y/jjPViVQetAzJwT6IF2X8FZj2ryk1+
aYCfwwWeiuinxgJPRUKg9RWwc8ScP01ZV2Kz8c/082T/GHBj5JOFG47B5GYh
3esrzSjq7mtNzEM0Ly+h+o47YEBqh/Na21VcPvkN2VcJ36pN1knt0YA/klIu
t+YVIks2iOSVYGyy6ZnsPjqYbdXjbKIzYaJO0iXlE9kPyY2Z/+ANDlZ+hwxd
u1GM6dNLzDfMPCfcamlAh/rnGQIPCXdvvcBDIl+oujHcyAq15ZouMz/F4+nW
N2RfJQyIUDaXK/4EOXYMtkp+O1LCS6aJ+Y/fqDMLJL0Mkd6nN3+25jreeqpL
9t9C9zq1Vze9Y0Fdx2CLSNEQwvN62j+TcyhJt2l9IZoL80dE1Fx8K2D0n7NR
WsS6SHy+PZPMOYXKFIEv+gpzr8AX/b98Av+fTyaKVjnPxG8A7zvTOwmedCid
fXk0bZWPBpk9onTOXlg2uqXjU12Ms52dVUXE+g04YfuFyJ8YrzrqTuRPGLUc
JPMn2rN3nBv9/gKYf5Y/cG7xMrQK3xzyIp5zmfZKSc+i4BFFejzNxh94j1Qu
tpCcY9ewmgdXAY2s//OkZSofDe0TSW4O6Ld/mG8S5ZkFNl42YSowkVFiSnJz
cHZ9gWW3kh2e7xyv+eLVCDttk+Tpo3wI7g/Scpfdhr45ZbYF5UWoZ9vPdSD+
o8lIq6dxIQ33lf5O2aXxO5zMs04yekHkzGrHOl1WJnJmfYZ510ZgqW14aS10
DtR9bP2J8xe/ZyssVon6QkZiFHn+olSdh6emoiFGbnOmSt0vxu/idUh+B5IZ
w2plQpaY+1HbMpR+EKQPsQT9jX27egOmNKNhns4yMD/1X9iuKTbNJM6RJepi
10paNK5zXRUPU+2E+8XCyjppfOBVqr9K4ejgka8WbgaPFSJX0pPkfcC/JiUJ
XiXiBa7T2vF1Q+C/+cik6socDCsWbvD2OAHHrSIzwzszUFjNl/SMgeauZo27
LCWMHgumYXMuJuevtHcS61GkvV3GIEkLzaM9aI+rs/GnH1NJ7hIaxBwE9YKq
kjPMFEY1NBUNCuoFQw98PKIiLHEka/B25T02KL2md5u/5cMThrOgjrDfZ0f9
BOlL4VgK6giMOj+hJq4uGDXofs19wcCOWgEnCD4V7ZGpBfNmTeKWVwammLi9
3Yzk7+CwwtT8dQkKTDpZd8ldvI07OCIkrweluuP99YGimNzm4nTvbgEKvf+Z
5Drh4dX3de+ERbA/yyvTz7UIIzyvkRwoCF3gh0g4aICy35rlu4Fs5FdzSM4O
lGa2XzoQsQ0WVQMP5LzOReWVNJLXA82D3YO6Fy5B0PTG/SZuhTDvfyL/0TIf
HR9QuGckqOidIHnVUDwPB/YpkRw69C2cseOr78dO7/hfDMPyMbfzwzoT4vsX
bSee3utZNOuKlg0ueZGNydlPSa4NNGfK5D+W7UaLmNIxF98cNOmd8pEinmtT
qta2W6zHXsaksOtqHkr4R5F8JdQ+uUA9qikDwTW9SYb387HCajVEhng/S0ry
uOdjKp7+q75ws2shsi/2nVchxiHjsKfAh1zdwWZoJtSARUKQwIeswpNXY7/d
jaJaAQx5z3w87KpH+hNgJjO4TGQgDoLEj91xV/gNRmpWtB3m+SikdFPgSY4u
Xjod0VEHti16Ak9y1O4fHprPxIJNRnVgFq8Ezm+1K2lc4OMfCvsjyHqcu9hj
wX1GfREtgvuMxt9nFTlkG2ADPdS/q6wKFibpmQeJ/Scqbm483zsWL+qLp28s
GoI233Svyck5WCoI0g9/cww3OlLWpyjUgIpO2Nqvb4j8s0IT7xCLg7YnDyjz
YzlwZkEqLYP0AChdlJZJVYGdFi7qcYM3kD3II7kw4NVMexvE7sT724av6Q5m
YWBMGsmBglUjr4KsX6s1Owg86ncfTgs86lQNicgrD4LRNez16X6xagjtCXHq
mOVDdfs04zeNBKBU0RZc2ES+yC2Mi13jY+jRl4FytbFArYyR3XwgAbo3GSuT
9/WwW6knempPYaWsYul5Uxb8WsssMif2gWJfff3ONXe8MTwj5zVQCm603Ngf
ifxgHO4u4jShju4jKqafZ0qh/Os8extiPD+Y1XBstfdgyPM0I/8bFWA8Z8CW
/cBHw78rtxSFfDS7dTUvpU0kF52jHpE8I7ht/WT+yztFHI5PHTwZlIdffFNI
nhFwYp+W9vJWbDlF0zEIyUEmi07yqhA0EpkeWyOFfkd6Z1n5WcjhSZNcKnjI
JW6xQWW8ujT6Mj71Bg51jZHcK+SGpNjnbAvDpAbanZ1f3YVAm1hT49d8aOmK
0afuugZCm1IV2ZAPrfuZjlXEueYGFl51bsK44VkSLa65FHpF3lLJe6I5316y
O0QLwHKp5L0Sda3QInXr7N+NfEhnS1cvR4fg+kMDlUvXOuE6y8pyQxIf/gUC
sXKE
    "]],
  Axes->True,
  AxesLabel->{None, None, None},
  BoxRatios->{1, 1, 1},
  DisplayFunction->Identity,
  FaceGridsStyle->Automatic,
  ImageSize->{700., Automatic},
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]]},
  PlotRange->{{-2, 2}, {-0.2, 0.2}, {-0.2, 0.2}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{-0.01554401538413741, -3.1375175167085394`, 1.2671788413372518`},
  ViewVertical->{0.026958704098395764`, -0.24629361108288983`, 
   0.9688202544399479}]], "Output",
 CellChangeTimes->{3.5494439887656403`*^9, 3.8266216679538097`*^9},
 CellLabel->"Out[1048]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"3c7a8842-5dbf-453f-9dc1-edc60c0f168d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Test", " ", "Bose"}], "-", 
    RowBox[{"Einstein", " ", "statistics"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Fugacity", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Exp", "[", "Energy", "]"}], "/", "Fugacity"}], "-", "1"}], 
       ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"Energy", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.54952534081839*^9, 3.549525404606902*^9}, {
  3.5495267042800055`*^9, 3.5495267229688377`*^9}},
 CellLabel->
  "In[1049]:=",ExpressionUUID->"990cbeb5-a0fe-4791-b762-d1908919eb4f"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVVGk8lHsbnhmSEcM0Q4UW4nTKiDpeHaTrf5zK3iJSKZWlhYpKCCcUXm+R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       "]]},
     Annotation[#, "Charting`Private`Tag$20383872#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 2}, {0., 5.50849329924282}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495253880240726`*^9, 3.5495254050437026`*^9}, 
   3.8266216688442583`*^9},
 CellLabel->
  "Out[1050]=",ExpressionUUID->"6bbf987d-bc65-422a-b0e9-969035f1c1b1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"test", " ", "Bose"}], "-", 
    RowBox[{"Einstein", " ", "density", " ", "distribution"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"GlobalChemicalPotential", "=", 
     RowBox[{
      RowBox[{"-", "0.01"}], "*", "kb", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeepestPotential", "=", 
     RowBox[{"Potential", "[", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"ZP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"LocalChemicalPotential", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], "=", 
     RowBox[{"GlobalChemicalPotential", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Potential", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", "DeepestPotential"}],
         ")"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}], "*", "kb"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DensityOfStatesPerVolume", "[", "Energy_", "]"}], ":=", 
     RowBox[{
      RowBox[{"Mass", "^", 
       RowBox[{"(", 
        RowBox[{"3", "/", "2"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"Sqrt", "[", "Energy", "]"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", "2", "]"}], "*", 
         RowBox[{"Pi", "^", "2"}], "*", 
         RowBox[{"hbar", "^", "3"}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BoseEinsteinDistribution", "[", 
      RowBox[{"Energy_", ",", "x_", ",", "y_", ",", "z_"}], "]"}], ":=", " ", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"Energy", "-", 
            RowBox[{"LocalChemicalPotential", "[", 
             RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"kb", "*", "Temperature"}], ")"}]}], "]"}], "-", "1"}], 
       ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"density", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"DensityOfStatesPerVolume", "[", "Energy", "]"}], "*", 
        RowBox[{"BoseEinsteinDistribution", "[", 
         RowBox[{"Energy", ",", "x", ",", "y", ",", "z"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"Energy", ",", "0", ",", 
         RowBox[{"10", "*", "Temperature", "*", "kb"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"peakdensity", "=", 
     RowBox[{"density", "[", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"ZP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<peak density = \>\"", ",", 
      RowBox[{"peakdensity", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", " ", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sidedensity", "=", 
     RowBox[{"density", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", " ", 
       RowBox[{
        RowBox[{"-", "0.2"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{
        RowBox[{"-", "0.02"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<side density = \>\"", ",", 
      RowBox[{"sidedensity", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", " ", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"BoseEinsteinDistribution", "[", 
      RowBox[{
       RowBox[{"Energy", "*", "kb"}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"ZP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"Energy", ",", "0", ",", 
       RowBox[{"2", "*", "Temperature"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"DensityOfStatesPerVolume", "[", 
      RowBox[{"Energy", "*", "kb"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"Energy", ",", "0", ",", 
       RowBox[{"2", "*", "Temperature"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"DensityOfStatesPerVolume", "[", 
       RowBox[{"Energy", "*", "kb"}], "]"}], "*", 
      RowBox[{"BoseEinsteinDistribution", "[", 
       RowBox[{
        RowBox[{"Energy", "*", "kb"}], ",", 
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"Energy", ",", "0", ",", 
       RowBox[{"2", "*", "Temperature"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.549524461677846*^9, 3.549524540972785*^9}, {
   3.5495245725160403`*^9, 3.5495246761938224`*^9}, {3.5495247215129023`*^9, 
   3.54952476601978*^9}, {3.5495248096998568`*^9, 3.5495249251556597`*^9}, {
   3.549525084182339*^9, 3.549525105101976*^9}, {3.549525137503233*^9, 
   3.549525137643633*^9}, {3.5495252097313595`*^9, 3.5495252194657764`*^9}, {
   3.549525251149432*^9, 3.5495252514458327`*^9}, {3.549525292224304*^9, 
   3.5495253270747657`*^9}, {3.549525409864111*^9, 3.549525495305461*^9}, {
   3.5495255838824167`*^9, 3.549525694923412*^9}, {3.5495257938431854`*^9, 
   3.549525827055644*^9}, {3.5495259148837976`*^9, 3.549526060182453*^9}, 
   3.5495260909769077`*^9, {3.549526124808172*^9, 3.5495261327173862`*^9}, {
   3.5495261696270514`*^9, 3.5495261779106655`*^9}, {3.5495263635197916`*^9, 
   3.5495263714778056`*^9}, {3.5495265388847*^9, 3.549526584046779*^9}, {
   3.549526724825241*^9, 3.5495267396608677`*^9}, {3.549526942711824*^9, 
   3.5495269805116906`*^9}},
 CellLabel->
  "In[1051]:=",ExpressionUUID->"ad7e4099-48d7-4f90-ab0e-be4c67de712f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"peak density = \"\>", "\[InvisibleSpace]", 
   "3.352878216208466`*^14", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["peak density = ", 3.352878216208466*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.549524476248271*^9, {3.5495245067619247`*^9, 3.549524541565586*^9}, {
   3.549524601376091*^9, 3.549524676708623*^9}, {3.5495247263645105`*^9, 
   3.5495247664877815`*^9}, {3.549524810667059*^9, 3.5495248304946938`*^9}, {
   3.5495248802743807`*^9, 3.5495249255924606`*^9}, {3.549525112745989*^9, 
   3.549525138236434*^9}, {3.5495252102617607`*^9, 3.5495252199181776`*^9}, 
   3.5495252518202333`*^9, {3.549525298760716*^9, 3.549525327371166*^9}, {
   3.54952544334177*^9, 3.549525495789062*^9}, 3.549525584475218*^9, 
   3.5495256955318127`*^9, {3.5495257957619886`*^9, 3.549525827788845*^9}, {
   3.5495259163034005`*^9, 3.549525924150214*^9}, {3.549525961044279*^9, 
   3.549526034036807*^9}, 3.5495260914917088`*^9, 3.549526133169787*^9, 
   3.549526179845069*^9, {3.5495263485749655`*^9, 3.549526373303009*^9}, {
   3.549526532176688*^9, 3.549526585169981*^9}, {3.5495269685142694`*^9, 
   3.549526980808091*^9}, 3.8266216696348815`*^9},
 CellLabel->
  "During evaluation of \
In[1051]:=",ExpressionUUID->"0b4c95d7-3b00-4b78-8cc6-892eb76ffd78"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"16086.021648294402`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1059,373,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266216696378784`*^9},
 CellLabel->
  "During evaluation of \
In[1051]:=",ExpressionUUID->"54f3dd60-8e24-4278-b3be-888dfdc363e0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"side density = \"\>", "\[InvisibleSpace]", 
   "1.084339585021027`*^9", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["side density = ", 1.084339585021027*^9, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.549524476248271*^9, {3.5495245067619247`*^9, 3.549524541565586*^9}, {
   3.549524601376091*^9, 3.549524676708623*^9}, {3.5495247263645105`*^9, 
   3.5495247664877815`*^9}, {3.549524810667059*^9, 3.5495248304946938`*^9}, {
   3.5495248802743807`*^9, 3.5495249255924606`*^9}, {3.549525112745989*^9, 
   3.549525138236434*^9}, {3.5495252102617607`*^9, 3.5495252199181776`*^9}, 
   3.5495252518202333`*^9, {3.549525298760716*^9, 3.549525327371166*^9}, {
   3.54952544334177*^9, 3.549525495789062*^9}, 3.549525584475218*^9, 
   3.5495256955318127`*^9, {3.5495257957619886`*^9, 3.549525827788845*^9}, {
   3.5495259163034005`*^9, 3.549525924150214*^9}, {3.549525961044279*^9, 
   3.549526034036807*^9}, 3.5495260914917088`*^9, 3.549526133169787*^9, 
   3.549526179845069*^9, {3.5495263485749655`*^9, 3.549526373303009*^9}, {
   3.549526532176688*^9, 3.549526585169981*^9}, {3.5495269685142694`*^9, 
   3.549526980808091*^9}, 3.826621669675712*^9},
 CellLabel->
  "During evaluation of \
In[1051]:=",ExpressionUUID->"0b282561-ea29-405c-bb17-1488be3238d9"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVz2c81o/bxnGlkBWXrCTjZ1MIETq/p8w/khUyyp4RMpLRhYikyMi6KklI
JCNkdJkpZSSKUBmFJBHKvLsfHK/Po/eDQ8jxnKnLdhoamvF/+/9G29QW4qrY
0b5eoxW6z1bIIxL0dIBjJ9DeuSkj5mOJ+W9/NxVycML1MmH3MhELhJRSCVeK
ABDLBdfsNsxxVrLyRTKHKGy75GIsvGiGKozsob5WUnDb2+bz5DYzjJnxPniC
Igt6oW8uG4iZoofL5DyX3yEYvNaoddXOBG/0p+jHcihBw/BpslG+MT7VPnZ/
qUoZmu94RGqvnMDhqvkNZytVOC348V5dgxFuF7tj+W5VHZYphimS2cdRIv34
E00KAYFfj3EKJhqiOG1EzKCABvCllm9eTjZAVbWTh9j9jkH6uK1szAN9dCim
vUbm0Ia3HLT8Mut6GDA+pFLjrANuMr4tCqp6GMdXPvmzShfkmCfKrkbrYmmC
PXHGSh9Inu0nPRR1sKlFeTa9yABEvycWm2Zp47s11syuVUPY1m/0VpdBG1e9
GhaOUk6Awxcd7fm/mkhn+qpbNdgYZv5yMqaHaSLbnNKDAQETeFYUwCq5UxNF
xFjMWP1MQf6TyWio2DE82HxB8iGvGcRu9H+83KiByqcntrSbzeDKO7crTDYa
qJ9e9yic4ySk+rnrB9xFND8kHs1bfxK66o1YB/QQ7bpunqpytoCsmgZnt2kC
fek86X5UWYJZdeCS9CPAi/f6h+NOW8FW0b3uUC7AaNCoEKE/BWwaVv+diD2K
6UE89rZW1mCnr+toFqiOd0mXD/+hsYF1/i/b1xbVsKj0J3NqkQ3k+2EuKVgN
67+213au2oLlelrH43hVHLcI5FCjnIGaw5sqKh9VMChkPuC7sD3kOOiuvw9W
wVBdMfsjwfbgnNMKwdwqGDOefLhfwAHe7dTwPHBGGTP4PMaZ/Rxh97LhtBzL
YaRM3+6ybnOE1AnPi4GNSniv+l1tIa8TyO+QKvzgp4TFZpik1ewE89X3ovNH
FbExgftoGIcLpExmOBFdCjj/ejPqi48LxD+UNGWIV0Bh1q8dOq9cQMHI7VCe
tgLGJlWas0e6wunBj5L0rYfQKM3k7IM5N3CY5iG39MkjeUClnEnfHWS5vUyM
s+WxnFvwj2++O3R3pNIoOcsjV9ZctJqtB6RIRNIP/JXDkdsJ2T0vPYEamvNT
S0EOWT/7f1ES9QLbG/lJ1jvkEIWsxbPJXnCuPs5s5pEs3s+TqHBRPgtH1NR/
y64dxLOFba9W73vDhvn0vrCSA7j5YSuMhL4Q6Cqznm0njbdCFgXavH0hL5L3
1gdeaZTb+605ONsXXOqWbS3eS6GjTRfDyLIvcDOzuC6clML2kZzUghI/6Hz5
MqbDXhLPRCQpW3/0g8XwbGEJMUn8s//yEPMuf0ioEL14dVYCpey9BP2d/cFg
VzvL0TAJTBw78kid7zyIHdhqK3kgjmLRB0781DsPOyuMYgPPi2Pjf0ILuUHn
gZLxu4lNQxznnRlU6N+eB1I119WSUTE0/zbQ0hsXAHTOHILrwmK4b/b8R9fl
QLA57ucMr0UwlVwJJKEg6P/ezt3zQASZOJdyGwyCYF15qulLpAiuHg1y35Mb
BJLhIqMXj4jghxsXlpoMgmGz5ya7Rul/mKoQvps/9wLUlo27KT0SRuaOBv+O
zgsw6ufDUZ0ojNG2m/3nly+Al+LUYvo5YfSPuZTzyiAElo5X3PJUFEbj95GS
F5ZDYFmh4IJisxAyh8Zq9hmEAl2wOPOuH4J4efeLBxFBobC8L8Kxuk8Q1/Lo
GaVyQ0Gt4Dup5JkgzryO6yEvh0Jw2q9Bj3hB7NifYHcwNwy6DPU7d0n98803
guOXw4E6/sLu74/9uHn5df8dYzLwVhZFbPrvw45UT+erLmQwIVm1yJ/Yhzfv
MywGXCSDTUm7XK30PhRt1WLTv0+GIjD++XySDw1pG/R/r5Dhhkbs9ut2fJgZ
WfJc704kWLxgpWrZ7EXHZAMjhcpI4LPzUlJT34syudPD/C8joe15ZWEg/16k
UkVXFxYiweuq156Kz7z4dYuiSNGJAgVT/dsqnryoGHG96NePKDBgYnnWGMeD
m4kyKsPbo6FpRCM/1ZsHOyiv2tu5o+GojJ7uPVMetGmgm8jWiIassK8Mjvw8
GLUesV8nLRoyOwtiHaq4sefiuZQs9ctg6Txd+2GOC72CjcM1E2JAl726bDSa
E2kmssYWc2NAKNA0qPksJ6YZT+rer4mBoubsnr6TnPhc8iJp59cYcFlQPRAu
wYkcw3kF7RgLJ4JIdsPde7AOV3r/txwLK3IzYQ5ie5CJ8baYsUMcXFtqCov9
ScK7QVMJNBfiYHnD7a/aCAmVxg/9KrseB+/qTmezd5LwTP2LOvb6OKjWzt7i
KyBhhc8v4z6ueDgZ88X6vj0Jbfq0Qi1ex0N2t6gHMciOxTnfu22VE0C5+eDk
k1E2lIu2TYs3TICn1llmgz1sWOnxxvqpQwK003YTnC1sWH/48eTuawnwXMZy
5GUBG3b1+K81f06AjRtdNkL+bDi/Y1VM8uo1KBY6HuzMyIaK3gwRS8OJUH6F
8bRFEivWmIVoCi8kQsPxkDrxEFZUV51hOEF/HWZulMbxOLKiNv3rlEL569AV
KxBoqciKFrk3imxir8OHB71vNIdYMKSfq79J9gZ0NawcvyfNgp9uk7h0NZLg
Fj3f3cUxJoxFIWeqYRKMzr2YvP2GCQ+OyZYfsUqC4fANLrcaJowQPW4kcy4J
5paUzY5fZ8L9j67EslOS4FfFgRVPNSa0rV1f/vgnCdyXCpeeZTHih76v733L
kqH3qp20/tldSA5cEp2pSwbLd075Mta7UIJ7R4DTi2TwyrzUKaq3C4Othdgs
RpPhCiXtvI3ILuT6YqOnxnwTIuKFHnePMKD5XE/NTvebwPtw4E+NOQP2MtRl
ZgmkQKll8PxVE3rERD2LUakUSC1u/YvH6LGUfYAkfDgFFrSVgxgU6PHa3l8J
RYYpsCruY9q5hx51ZcQjakJSgH+jyYt/kA4bTqQ4DvSlANWeSBpypsOidC9p
UlwqSDyEEzRxOzFSZF9D/HwazGbv0B1focWpyfoiprU08D5TrLA6S4tGBXbp
iTvTwanK1oxvjBb3St05l7w3HS7ZuS6GvqbFSllh4UytdDjM6idXlfvPq0pc
KcxIB49Lz1rWjv/zJoomL/AW7Oc1s7lUsh35IgwndyRnwJ2ykKmBmG045a3Z
4JGTAWbvfN3twrZhpZ1qWldBBph7Xoyb9d+GhkcltDMaM0Bv2faiiP02DFun
zZeezQCNJ8yTf1W34fDFOmdT3Uxo+XOWU36BBnOCpSbubGTCkRiBtlhXGtzv
xzCu6pkNHkInS71fbhJjFNL3kYBs2LpbfeRg3Sbx4NW+RfKlbGDUHHr899Em
cUBEnvZFajYw6zFJP0naJNTfn/rP7Hk2/Kjrp8+12iROHS128tqTA1sCdLMh
MxtE6i6jiezGHFhj4falcm4QjPdSJtdJtyEBXF+Zx60RNs3fNQ9Y3oVMJyun
u0N/CBdy36UjTbnwurDpfZTzMuE8ItzIxJEHfCL2l5S8fxPc9CpuapH34a2W
1JOItAXiYbzk55qpfDCpSsyTpv1FyBdH2awrF8CO9ksDJn4/Ce/MXA1KXiG4
C7g5UJdmCYqYhNSOlSJgtq7uFZ6cIaLIAeEdrsUgPzMtKzgxRegoUO4OdT+C
sdiKK9qC34itywfaywVL4fGo8/PSe5PE2bxoi6nEx3Ba/Vz5gNQE4Vp297ef
XxnkHTM2EPg+RsTW/chP53kCFJ+4xxc6vxA0JRTmmTdPwEpR3p225DOx5B0Z
IBhcDqLBk7UKPp8ILc6O5JiDFTDmp9XSFjVCbJ9eT08eq4Aqlj4buvaPhNo1
Fwr5aiWYvW9ouqA9RHRxyp+6jVWA4V7y0PyB+Ogjx3Vnpgqe1Ok+FPN/T1j9
5q/TSX4Kc4f+TpjAACFr78PJr1MNo7w+UR50/QQ5e8F3YK4aMir+R++y3EfI
NAxGNubXwGPP+7pBY28J09LfKfHGtbDd0dFR7FcvMdW5kbi2UguWpfwdj0i9
xIduj6M5Jc/A3ZKP6YdsD3Esb9ecgGUdJEgaDY33dhF0dszmb1nrIcvJiLJX
/Q2hqrmRK91SD58o/HtT2jqJqT9Cv9y8GqCxpMpnJfQV8Su1aOmtUCOceX9Q
OUvqJRFA47Im+LoRGp4qlElt6yDcMlinOc8/h99SOfZTs+2EdQJL+749VLCg
Edh7pLeNgPIDPHfdqWASqZ6ZOdBKzHxQCeL1pMLbwT5Wq7etxK0tzXc3vaig
GsASxd3VSswbWifF+FDhZbKefWZbK3HvWyyDVwAV5v4y/S6sbCXo+T//USJT
wXPPFdWVm61Ez5Wbg523qCCi6WdhZNxKhJVSlLUzqaBzTXVF2rCVkOwvTGvM
okIg+6drjHqtRJTwc5MnFCrEORWkvSJaCaWG7y/T86hwNriW00K2lcha0Hrm
8JgK5HLz1CzWVkKH15jnYxkVtLqHHK8wthKLhE2QeTkVdp7cEAqkayUME/0O
6VZRoVqMyc9ss4XYFL/9UKaOCor9K/p8cy3EQ6Mihgf1VJiIZb21e6aFsAys
dBVopEI5b3Hvjq8tRFnzK2FS07//1mfZF0ZaCLvpfnJCMxXqw5m5ZgZbCEa2
L6M7Wqkw5C3JMN7fQjw9PKse0UYFA4HIb8O9LYST3UrWSjsVuim9Fe/ftBD/
B8REkHc=
       "]]},
     Annotation[#, "Charting`Private`Tag$20383976#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495245163403416`*^9, 3.5495245415811863`*^9}, {
   3.549524601422891*^9, 3.5495246767398233`*^9}, {3.549524726411311*^9, 
   3.5495247664877815`*^9}, {3.549524810667059*^9, 3.5495248304946938`*^9}, {
   3.5495248802743807`*^9, 3.5495249255924606`*^9}, {3.549525112761589*^9, 
   3.549525138236434*^9}, {3.5495252102617607`*^9, 3.5495252199181776`*^9}, 
   3.5495252518202333`*^9, {3.549525298760716*^9, 3.549525327371166*^9}, {
   3.54952544334177*^9, 3.549525495789062*^9}, 3.549525584475218*^9, 
   3.5495256955318127`*^9, {3.5495257957619886`*^9, 3.549525827788845*^9}, {
   3.5495259163034005`*^9, 3.5495259241658144`*^9}, {3.549525961044279*^9, 
   3.549526034036807*^9}, 3.5495260914917088`*^9, 3.549526133169787*^9, 
   3.549526179860669*^9, {3.5495263485749655`*^9, 3.5495263733342085`*^9}, {
   3.549526532223488*^9, 3.549526585216781*^9}, {3.54952696859227*^9, 
   3.549526980870491*^9}, 3.8266216697356725`*^9},
 CellLabel->
  "Out[1061]=",ExpressionUUID->"ee3f61af-f10f-430c-a7ba-823c2d3957cc"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVznk81AkfwPFpSB4kmWTcZsJPiQ6PpfAlRL8vtSkhZ4ejZZWeHJXSDNGT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       "]]},
     Annotation[#, "Charting`Private`Tag$20384022#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495245163403416`*^9, 3.5495245415811863`*^9}, {
   3.549524601422891*^9, 3.5495246767398233`*^9}, {3.549524726411311*^9, 
   3.5495247664877815`*^9}, {3.549524810667059*^9, 3.5495248304946938`*^9}, {
   3.5495248802743807`*^9, 3.5495249255924606`*^9}, {3.549525112761589*^9, 
   3.549525138236434*^9}, {3.5495252102617607`*^9, 3.5495252199181776`*^9}, 
   3.5495252518202333`*^9, {3.549525298760716*^9, 3.549525327371166*^9}, {
   3.54952544334177*^9, 3.549525495789062*^9}, 3.549525584475218*^9, 
   3.5495256955318127`*^9, {3.5495257957619886`*^9, 3.549525827788845*^9}, {
   3.5495259163034005`*^9, 3.5495259241658144`*^9}, {3.549525961044279*^9, 
   3.549526034036807*^9}, 3.5495260914917088`*^9, 3.549526133169787*^9, 
   3.549526179860669*^9, {3.5495263485749655`*^9, 3.5495263733342085`*^9}, {
   3.549526532223488*^9, 3.549526585216781*^9}, {3.54952696859227*^9, 
   3.549526980870491*^9}, 3.8266216698281317`*^9},
 CellLabel->"Out[1062]=",ImageCache->GraphicsData["CompressedBitmap", "\<\
eJztWwuMXFUZvt25M7ttt9tilfKQstRS+6C21KJoNFiERaMEokIaNYS1MG6J
TbFAIIqGCWnAB0FUUIIjoiKpD5Q0nQqB8qpZ5ZGxaWRVqk1BmIZqKmItFsk4
3//f/55z7pz/zHZndpDEZPfu7Dnn+9//fx73zNnDl49cvG748rVrhgfP2jB8
6cjaNZcNDq3f0GjKTYmiKSNRFG0fjPC53viYPOqNn/paPNByeJ+L9KcvqpaL
UbHIv6VKjVrr9WpULlWiWr3eQw35xrMWVWt17q5V6XNM/+Wor1IqR9XGfzw+
tsiWokqtvpSae52hGU5Rh1gtpuapQVb4H7AeAk61FJfftkRYlAy1bcus4oRV
p+07g516Mf0pRPVq2dGpVilF5Wo9bzGrlNAEOcoWs2nNZmuQKorZzOeTPLIV
Okd+kYd8HFaup3PcFzrci6DeyJSOke9nZ60VLpY+eWmrVaJSkTnnFerQ28nY
IvX5PNPbPlmfR/o8GvS0z2qxnT7lalo62iTb35wjxaKL8uRIpeFn+hvwcwJN
S0fSN54caYN8qxzxKJfNkTa4L7F8L07qoO0SZ61gLnWUOsn35SkXZGCJwoFK
YUMK27y1mqFq5pd+5lKpjjdsComitqAn2IpmSE2CCK5dE22TunJcQJQ4YKlc
d8Wc57Fi3F0RelqFlKQSB+wsapuepFLRSSelsEcSK3ZBnCe6unQGJkBetHNy
ptGPz3P9bGKPZjMmhXXBKQX4Rf1u9HeaXcCPJycwe+GVrJCigdQSabQkpArZ
1VQSYeVcVGqYrLFmKycSYvIpV+d7KM2cKPUCUd9Wdm3SCJ7jPRTzAf2md1yC
1K92MpmEmrBBVYYBz54XyZrAoN5vWcMOEmTeUKBvVaBvHCLYyW1EaMRm2a03
Q4G+VYG+gAjne6xwuidV5PNQoG9VoC8gwkctmAlB3juKNXzVdyjQtyrQFxCF
niu5nzM/N+vAwUMYc9TfX3qZ+0/hflqL1dG1DI8BB7V8T+1FtF76y9E/R/0e
Tr626V0Y1w0e/0uy+NpmO64a3Lf/X+i+5u6H/vh/V71+XDXkGX5mG20JK6ss
3HjnvU9xN54rm/rvuuVn1VD/aKn8q1D//pEv3Rfqr19Q2oLyE+r/wI6nX2ju
526d689v2vSERnXrV+98rLbuhvs9/TH6r9r86C5wphKH5rc3DTl117P7MQR+
Uobg0+4NN22rXn3ro81D8jLkuh8/8HtQgudZoBXece8b2/1XjINwoXH4hXJg
6xlXsMeR9A2apA0aTs5aOMphVji4ZuPWb31vy86oaVDU684u9ToMj/FmNlke
HC+W5FBsGu9GcHJQAt3Ao+/QK68yZllLzLlPjO0FH5qvWmFyLh+jy9taYoSP
0SeASXYaD153x6/BZ+Hz+15izNKWGArOBh8T6DaGIMnBGCTBSEQQjzxJp86Y
GBojjcauvPlhWJk6l+iwZBN34SPVZ8EKQR21wvS6yiMQGLO4FcYv3iId1ueK
Z3wTwEzlNpRAtwwtbIWJUdKQ+shDiEqdb9Vh0xgGC8ASsEiq1QIdlkwniGhI
ePtt9+yImjAESSYojHBz4ESdOmNiCIIyLxFEnfN12AzjIagPLyGsqfMtOowX
lzGiGhBYj+ZCNM/TYbyFjOEcWA7xQMtZNJ+gw/icIpZcRZ6nsEEddgTDJIww
j6R+Op5hiSIt3hBlxtB+zz5cauOtxkyP3G/gNin3pmSI0OoLgpxkt//MoYPv
DwY8cs92C5gJcN5lG7M0naUXtMOunEAmfibuk/SNboIZSY9zLOw5Xs5Z8nrO
dDt4+kxy0zqB7RpjSpd4SOP42ERg/wloHLauLW2HTicZ1pfJHnRL2Ntndo5T
jmQ1JeyddD0mUdM95SuEw53r9OGdyvnkz57QNSzrk39OQP6jTVxlyk1SB2J/
eehPK8l4D6BKOWoskHNsJyWffZIfxcxlIe1Izn0RTyFTORHJLm51lLMScMt7
WBzt1mKU8HTCYMNFJyYsWNCKIW+VC3GFT4tjDAtMLpjO0i3BkS6L9BTmMFlw
tsWYWDHt4RdzGXW+iVkskABKDVWPPIc+PupvZuoQGhMqlCB7oZkrlnea45pF
UzhtXux9TvMeMoVxUc5jIoXDAcPiySzSj7CwBOXpJ48RUovEj4yYpXPj2T0e
eeDxPdALlkuXJzN1WPJmAUst+FNWQ9Q5oMN45ZKHSWQx5OoWePc2v1lLrFPg
FcZO17ELTAhCQ2iaijtNh/FaM4+Fl4gLl5itdp+OXWjElYkXljLL814dyyt3
Wo5BXNmvUmdBhy1pti7+mu1QnI2cpabAiPfTyM7pjHgrlofp4QKxi9nfTdGx
y4xdZM8u6crY4OsVDJOAw+qAXPGqDlthkkkWFYBDyeg/OmxlM7dUwUM67JRm
bmLS6N867J2GG+qL47eDOuxUehbEknAgflFj0HYg6+x3m2jG1kgSiPaz/9TZ
vIdhkjuSs2SLf+iw9xpbSLoCTucuL+qw0xiGNJEYToXcr8OSY3yUMRESyzEq
gX/TYfwCo2ALaZtwn448w6SAGBORsnp053PRCzoseRWBHZPtaqoKe3XYWcbV
kA0y2io+ryM/yEh4S0ISaJQkaP2XbJB8iMfbeonbwP0ZndPZRjUpCmmq7dFh
5zAM5VhSDZYBmWi3DjvXWASyidMx7yFW/qQjP2J8btsS2sINT+vIjxlbwn62
F2CvP+jI8w1S4sz23xgjnaV9i+uD3dnxrma5IaNEj1RetP3OljtwG6jrO96P
G7lh46zcO1vL3d197ydN1vnk3TE+ebu17w1Ii8mFX3VEwYtB3d/69mbSyFr5
Nzbkvq3RhUZNO/gl3Z+01Kw37WVbxP9kbIGTOwW+Hcyn/HmMNQ2q5ePZ+Mpe
++j0/lfkEnWV/e9FfrFRqjE//IbFni9x7N0CW0ccOITxHxEUDSPUZ6nsmE0w
f40yI20j7DmH8O5SRzgQMQtgwSZzFqY7cKFd0HaXVXZD7LuU5GN1CbPCJIfp
UWZW/MX/tGx+hFktkPRwNsaW2ZT0+AzjIDWWXbKcgVaYHWl9+FCkTonr2eTw
oyz07JK3TUd+lpGYrO3yg88I5vstJAEvCzv3Pp3TFcZhWCpkrUgqbtXhV/ot
BAGkVkZbdPjnWG5sC+QgQJIWbZt15NXMWDS2Aw2CkPd/ocO/aIIn61mQo0X1
3Tq8FJb7pzryWl3uNGo36fCNxt5wrKxCxd60yL5Lh1/PcAzD8GycUHr+MBtc
XzYhAhGztiIff1/neQPDYRd5QyZ7gpTn7Tr8RmMwVBQJUId7WYd/nT2FTYss
9oU72m7Tkd9kxmBgewoCIPmJ8bd1+C3cJp6i+w89IBDlHNVv1kncGladnP0N
Hf4dhqP82IZHzCDmKbW/psO/y22220UBkKNtoPGvFS93uA6XIIP4EJtOs76i
8/0Bt0lq2oZzRL9eJ/EjboOLxHBe0TfqJDaNQ4lrdfhPwkpgK0hKXKOT4PKT
E+/b9kedSQPoCzqJe1gJTBlIdwlh/MX/dOLweR2+2YQwTEYvAxMJnCy4SidR
MUEEO9BVk4wdqNZeoZO413WmbQdkNOxAVXNDNg55lswhTeAyXxSQAdfrvB80
KWTXSzEgneit0+EPhw0IqcgHl+gktruBBI2zJKgOfFonMer6wCYBY6ZuvEgn
8ZghAZdl3YiVA5EY1kk8acIZwwHzkriASfBK+zX9nqHvtOC3ejA6WnzC1uK1
+qKdbxvO5wJ0JwiOVxVYrSswSd9L80n7VGtpqRKfNz5zT+53tszpwZiJkmys
S8aR2HxOFz5G6Nr3iyZ6hrDLKJutDY6y51jKaocJ7X+Tpo0ThN2mQmUVkVJL
Bf/D2WCbrG+QTOQ84RmjRLbYy6xF5858aN6Jg4XnzNyQ4RiDoz3V8lXjtg8Z
9rocrWk1xgwNjrIqON3lONGzBn5LQrf1oIusCK1lSLqSOY05TvTIgV8A5WTF
QdeiffWZX1l5Z1p+Y5XDyiK77nES8l06iQOm7mKayxawNBXeYZEgCi+7OeQL
BnHNCp39K8bcGA0U0Nb2CcTJDoGrufzMQVAIbE8eogSlQuCOKz1zxhgwv1UX
KNwQfpAS4Ri48EnPgpudWMc3hpFIIIt9FrkmcNmSnsntUVlYIlLgZp92gSuR
9OQiS6tkuNqnnWy55rYgldyVFO3kfnePURAcSMFjW5CabRSEFhLHiWC2ghgy
pwW1Oa4Hrd1YqqMElH3ZhSgRAb7fU5CAzG6mAjdk6DnXZGS69wxcj6Fn85cR
Xr/9xpDjREVT/gsw80Rk\
\>"],ExpressionUUID->"3f3a4865-bc71-4c76-82c4-a32cffd6ecce"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVknc81I8fx2VHUoQGLjK6XPY46+24C/dOEhklpXLKjDKS8j3jRJeQkdHJ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       "]]},
     Annotation[#, "Charting`Private`Tag$20384068#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495245163403416`*^9, 3.5495245415811863`*^9}, {
   3.549524601422891*^9, 3.5495246767398233`*^9}, {3.549524726411311*^9, 
   3.5495247664877815`*^9}, {3.549524810667059*^9, 3.5495248304946938`*^9}, {
   3.5495248802743807`*^9, 3.5495249255924606`*^9}, {3.549525112761589*^9, 
   3.549525138236434*^9}, {3.5495252102617607`*^9, 3.5495252199181776`*^9}, 
   3.5495252518202333`*^9, {3.549525298760716*^9, 3.549525327371166*^9}, {
   3.54952544334177*^9, 3.549525495789062*^9}, 3.549525584475218*^9, 
   3.5495256955318127`*^9, {3.5495257957619886`*^9, 3.549525827788845*^9}, {
   3.5495259163034005`*^9, 3.5495259241658144`*^9}, {3.549525961044279*^9, 
   3.549526034036807*^9}, 3.5495260914917088`*^9, 3.549526133169787*^9, 
   3.549526179860669*^9, {3.5495263485749655`*^9, 3.5495263733342085`*^9}, {
   3.549526532223488*^9, 3.549526585216781*^9}, {3.54952696859227*^9, 
   3.549526980870491*^9}, 3.8266216699219503`*^9},
 CellLabel->"Out[1063]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"2cc0fff5-5f04-476e-ba4e-77b6ec4e83bf"]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{{3.54979523190675*^9, 3.5497953227323256`*^9}, {
  3.549795405802471*^9, 3.549795407627674*^9}, {3.549795599196011*^9, 
  3.549795650974502*^9}, {3.549796166237623*^9, 3.549796177703643*^9}, {
  3.549796228684533*^9, 3.549796264080995*^9}, {3.5497963095777054`*^9, 
  3.549796315037715*^9}, {3.549797246907968*^9, 3.549797266158402*^9}},
 CellLabel->
  "In[1064]:=",ExpressionUUID->"49d06daf-3fa5-4858-9b8c-6502d86dc98e"],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.5497958321670356`*^9},
 CellLabel->
  "In[1065]:=",ExpressionUUID->"7e506929-3869-4676-8b95-078b9564364f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"density", " ", "distribution"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"to", " ", "gain", " ", "speed"}], ",", " ", 
    RowBox[{
    "we", " ", "store", " ", "PolyLog", " ", "as", " ", "interpolating", " ", 
     RowBox[{"function", ".", " ", "This"}], " ", "calculation", " ", "has", 
     " ", "to", " ", "be", " ", "executed", " ", "only", " ", "if", " ", "T", 
     " ", "or", " ", "maximum", " ", "potential", " ", "depth", " ", 
     "changes"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"0.9", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeepestPotential", "=", 
     RowBox[{"-", 
      RowBox[{"Potential", "[", 
       RowBox[{
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeBroglieWavelength", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "Pi", "*", 
       RowBox[{
        RowBox[{"hbar", "^", "2"}], "/", 
        RowBox[{"(", 
         RowBox[{"Mass", "*", "kb", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"densityInDependenceOfPotential", "[", "U_", "]"}], ":=", " ", 
     RowBox[{
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "U"}], "/", 
          RowBox[{"(", 
           RowBox[{"kb", " ", "*", "Temperature"}], ")"}]}], "]"}]}], "]"}], 
      "/", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TableEntries", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"densityInDependenceOfPotentialInterpolated", "=", 
     RowBox[{"Interpolation", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"U", ",", 
          RowBox[{"densityInDependenceOfPotential", "[", 
           RowBox[{"U", "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "6"}]}], "*", "kb"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"U", ",", "0", ",", "DeepestPotential", ",", 
          RowBox[{"DeepestPotential", "/", "TableEntries"}]}], "}"}]}], "]"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"check", " ", "quality", " ", "of", " ", "approximation"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"densityInDependenceOfPotentialBoltzman", "[", "U_", "]"}], ":=",
       " ", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "U"}], "/", 
         RowBox[{"(", 
          RowBox[{"kb", " ", "*", "Temperature"}], ")"}]}], "]"}], "/", 
       RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"LogPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
         "densityInDependenceOfPotentialInterpolated", "[", "U", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"densityInDependenceOfPotential", "[", 
          RowBox[{"U", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", "kb"}], "]"}], ",", 
         RowBox[{"densityInDependenceOfPotentialBoltzman", "[", 
          RowBox[{"U", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", "kb"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"U", ",", "0", ",", "10"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AtomNumber", "=", "8000000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPot", "=", 
     RowBox[{"580", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}], "*", "kb"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeepestPotential", "=", 
     RowBox[{"Potential", "[", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"ZP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Boltzman", " ", "distribution"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"NormalizationConstant", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"8", "*", 
         RowBox[{
          RowBox[{"10", "^", "6"}], "/", "2.572320880363418`*^7"}]}], ")"}], 
       "*", 
       RowBox[{"80000000", "/", "1.0955538218974254`*^1"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"density", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", " ", 
      RowBox[{"NormalizationConstant", "*", "AtomNumber", "*", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Potential", "[", 
           RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}], "*", 
         RowBox[{"kb", "/", 
          RowBox[{"(", 
           RowBox[{"kb", " ", "*", "Temperature"}], ")"}]}]}], "]"}]}]}], ";",
      "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ReservoirDensity", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", " ", 
      RowBox[{"NormalizationConstant", "*", "AtomNumber", "*", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"ReservoirPotential", "[", 
           RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}], "*", 
         RowBox[{"kb", "/", 
          RowBox[{"(", 
           RowBox[{"kb", " ", "*", "Temperature"}], ")"}]}]}], "]"}]}]}], 
     ";"}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "semiclassical", " ", "Bose", " ", "distribution", " ", "of", " ", 
     "atoms", " ", "in", " ", "excited", " ", "states", " ", "in", " ", 
     "presence", " ", "of", " ", "BEC", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"for", " ", "T"}], "<", "Tc"}], ")"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"density", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", " ", 
      RowBox[{
       RowBox[{"PolyLog", "[", 
        RowBox[{
         RowBox[{"3", "/", "2"}], ",", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Potential", "[", 
               RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
              "DeepestPotential"}], ")"}]}], "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", 
           RowBox[{"kb", "/", 
            RowBox[{"(", 
             RowBox[{"kb", " ", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
        "]"}], "/", 
       RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ReservoirDensity", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", "  ", 
      RowBox[{
       RowBox[{"PolyLog", "[", 
        RowBox[{
         RowBox[{"3", "/", "2"}], ",", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"ReservoirPotential", "[", 
               RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
              "DeepestPotential"}], ")"}]}], "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", 
           RowBox[{"kb", "/", 
            RowBox[{"(", 
             RowBox[{"kb", " ", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
        "]"}], "/", 
       RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "semiclassical", " ", "Bose", " ", "distribution", " ", "of", " ", 
     "atoms", " ", "in", " ", "excited", " ", "states", " ", "in", " ", 
     "presence", " ", "of", " ", "BEC", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"for", " ", "T"}], "<", "Tc"}], ")"}], " ", "including", " ", 
     "BEC", " ", "mean", " ", "field"}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialWithBECMeanField", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Potential", "[", 
            RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
           "DeepestPotential"}], ")"}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}], "*", "kb"}], ")"}], "-", "ChemPot"}], "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialWithoutDimple", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"ReservoirPotential", "[", 
            RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
           "DeepestPotential"}], ")"}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}], "*", "kb"}], ")"}], "-", "ChemPot"}], "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"density", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", " ", 
     RowBox[{"densityInDependenceOfPotentialInterpolated", "[", 
      RowBox[{
       RowBox[{"PotentialWithBECMeanField", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "*", 
       RowBox[{
        RowBox[{"10", "^", "6"}], "/", "kb"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ReservoirDensity", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", "  ", 
     RowBox[{"densityInDependenceOfPotentialInterpolated", "[", 
      RowBox[{
       RowBox[{"PotentialWithoutDimple", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "*", 
       RowBox[{
        RowBox[{"10", "^", "6"}], "/", "kb"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{"Bose", "-", 
      RowBox[{"Einstein", " ", "distribution"}]}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"GlobalChemicalPotential", "=", 
      RowBox[{
       RowBox[{"-", "0.01"}], "*", "kb", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"DeepestPotential", "=", 
      RowBox[{"Potential", "[", 
       RowBox[{
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"LocalChemicalPotential", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], "=", 
      RowBox[{"GlobalChemicalPotential", "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Potential", "[", 
           RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
          "DeepestPotential"}], ")"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}], "*", "kb"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"DensityOfStatesPerVolume", "[", "Energy_", "]"}], ":=", 
      RowBox[{
       RowBox[{"Mass", "^", 
        RowBox[{"(", 
         RowBox[{"3", "/", "2"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"Sqrt", "[", "Energy", "]"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Sqrt", "[", "2", "]"}], "*", 
          RowBox[{"Pi", "^", "2"}], "*", 
          RowBox[{"hbar", "^", "3"}]}], ")"}]}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"BoseEinsteinDistribution", "[", 
       RowBox[{"Energy_", ",", "x_", ",", "y_", ",", "z_"}], "]"}], ":=", " ", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Energy", "-", 
             RowBox[{"LocalChemicalPotential", "[", 
              RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"kb", "*", "Temperature"}], ")"}]}], "]"}], "-", "1"}], 
        ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"density", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"DensityOfStatesPerVolume", "[", "Energy", "]"}], "*", 
         RowBox[{"BoseEinsteinDistribution", "[", 
          RowBox[{"Energy", ",", "x", ",", "y", ",", "z"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"Energy", ",", "0", ",", 
          RowBox[{"10", "*", "Temperature", "*", "kb"}]}], "}"}]}], "]"}]}], 
     ";"}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"ZP", ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EvapPotential", "=", 
     RowBox[{"Potential", "[", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"MP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialDepth", "=", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"DeepestPotential", "-", "EvapPotential"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"peakdensity", "=", 
     RowBox[{"density", "[", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"ZP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<peak density = \>\"", ",", 
      RowBox[{"peakdensity", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", " ", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Velocity", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "*", "kb", "*", 
       RowBox[{"Temperature", "/", "Mass"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Velocity = \>\"", ",", 
      RowBox[{"Velocity", "*", "1000"}], ",", "\"\< \[Micro]m/ms\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ScatteringRate", "=", 
     RowBox[{"ScatteringCrossSection", "*", "peakdensity", "*", 
      RowBox[{"Velocity", "/", 
       RowBox[{"Sqrt", "[", "8", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<ScatteringRate = \>\"", ",", "ScatteringRate", ",", 
      "\"\< s^-1\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<DeBroglieWavelength = \>\"", ",", 
      RowBox[{"DeBroglieWavelength", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PhaseSpaceDensity", "=", 
     RowBox[{"peakdensity", "*", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<PhaseSpace Density = \>\"", ",", "PhaseSpaceDensity"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"PotentialWithBECMeanField", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{
         RowBox[{"10", "^", "6"}], "/", "kb"}]}], ",", 
       RowBox[{
        RowBox[{"PotentialWithoutDimple", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{
         RowBox[{"10", "^", "6"}], "/", "kb"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"density", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"density", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"density", "[", 
       RowBox[{"0", ",", 
        RowBox[{"y", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"density", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"z", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "0.02"}], ",", "0.01"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"CurrentAtomNumber", "=", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"density", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", 
         RowBox[{
          RowBox[{"-", "2"}], "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", 
         RowBox[{"2", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"y", ",", " ", 
         RowBox[{
          RowBox[{"-", "0.2"}], "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", " ", 
         RowBox[{"0.2", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", 
         RowBox[{
          RowBox[{"-", "0.015"}], "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", " ", 
         RowBox[{"0.01", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<CurrentAtomNumber = \>\"", ",", "CurrentAtomNumber"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIx", "=", 
     RowBox[{"0.05", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIy", "=", 
     RowBox[{"0.05", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIz", "=", 
     RowBox[{"0.015", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DimpleAtomNumber", "=", 
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"density", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"-", "ROIx"}], ",", "ROIx"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"y", ",", " ", 
          RowBox[{"-", "ROIy"}], ",", " ", "ROIy"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", 
          RowBox[{"-", "ROIz"}], ",", " ", "ROIz"}], "}"}]}], "]"}], "-", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"ReservoirDensity", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"-", "ROIx"}], ",", "ROIx"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"y", ",", " ", 
          RowBox[{"-", "ROIy"}], ",", " ", "ROIy"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", 
          RowBox[{"-", "ROIz"}], ",", " ", "ROIz"}], "}"}]}], "]"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<DimpleAtomNumber = \>\"", ",", "DimpleAtomNumber"}], "]"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.549444238023897*^9, 3.5494442834814973`*^9}, {
   3.549444373359638*^9, 3.5494447073787427`*^9}, {3.5494448379252095`*^9, 
   3.549444863565676*^9}, {3.5494449049400425`*^9, 3.5494450473951907`*^9}, {
   3.5494451357392435`*^9, 3.5494451835759797`*^9}, {3.5494453226989374`*^9, 
   3.549445332040471*^9}, {3.5494453793941803`*^9, 3.549445434678342*^9}, 
   3.5494455784275637`*^9, {3.5494456338917365`*^9, 3.5494456403131037`*^9}, {
   3.549445750483405*^9, 3.5494458026613894`*^9}, {3.5494459301606817`*^9, 
   3.5494459626925426`*^9}, {3.549446064896388*^9, 3.549446136900507*^9}, {
   3.5494461672812443`*^9, 3.549446195841878*^9}, {3.5494462720852385`*^9, 
   3.5494462810657525`*^9}, {3.5494463265603547`*^9, 
   3.5494463897329683`*^9}, {3.5494464266000767`*^9, 
   3.5494464281001625`*^9}, {3.549447693129518*^9, 3.549447749954768*^9}, {
   3.549447810876253*^9, 3.5494478441401553`*^9}, {3.5494478781140985`*^9, 
   3.5494479071957617`*^9}, {3.5494481624153595`*^9, 3.549448168456705*^9}, {
   3.549523584472705*^9, 3.549523705918918*^9}, {3.549524174184941*^9, 
   3.549524216523415*^9}, {3.549524254025881*^9, 3.5495243338668213`*^9}, 
   3.549524374036892*^9, 3.5495261972546997`*^9, {3.5495264417871294`*^9, 
   3.549526444470334*^9}, {3.5495265980126185`*^9, 3.5495266047830305`*^9}, {
   3.549526674671153*^9, 3.5495266749051533`*^9}, {3.549526751720689*^9, 
   3.5495267727807255`*^9}, {3.549531373571802*^9, 3.5495313912622337`*^9}, {
   3.5495319444744053`*^9, 3.549531975050459*^9}, {3.549532722830989*^9, 
   3.5495327573226495`*^9}, {3.549532798912322*^9, 3.5495328176011553`*^9}, {
   3.549534363880087*^9, 3.5495344039097567`*^9}, {3.5495353881459546`*^9, 
   3.5495353995339746`*^9}, {3.549562656660942*^9, 3.549562803181323*^9}, {
   3.54956283443511*^9, 3.5495628367252417`*^9}, {3.549562938436059*^9, 
   3.5495629403301673`*^9}, {3.549563122919611*^9, 3.5495631820609937`*^9}, {
   3.5495632215022497`*^9, 3.549563259953449*^9}, {3.549563291498253*^9, 
   3.5495633442542706`*^9}, {3.549563710771234*^9, 3.549563711126254*^9}, {
   3.549563948980859*^9, 3.549564109635048*^9}, {3.5495641657362566`*^9, 
   3.549564172775659*^9}, {3.5495642704452457`*^9, 3.5495642735404224`*^9}, 
   3.5495643876419487`*^9, {3.5495644532637024`*^9, 3.5495644797832193`*^9}, {
   3.5495650534830327`*^9, 3.5495650830917263`*^9}, {3.5495651184827504`*^9, 
   3.549565135988752*^9}, {3.54956516900064*^9, 3.549565169366661*^9}, {
   3.5496017711531467`*^9, 3.5496017816051645`*^9}, {3.549601844379675*^9, 
   3.549601844894476*^9}, {3.5496024001230974`*^9, 3.549602400965499*^9}, {
   3.5496155107498727`*^9, 3.5496155193454876`*^9}, {3.549615551013543*^9, 
   3.5496156633493404`*^9}, {3.549615703987412*^9, 3.5496157525970974`*^9}, {
   3.5496158571854963`*^9, 3.549615857591097*^9}, {3.5496169977225304`*^9, 
   3.549616997987731*^9}, {3.549618054721837*^9, 3.549618058450244*^9}, {
   3.5496192879556413`*^9, 3.5496194113698893`*^9}, {3.549621352358396*^9, 
   3.549621356196003*^9}, {3.5497773198560266`*^9, 3.549777329621644*^9}, {
   3.549794769457322*^9, 3.5497947787393384`*^9}, {3.549794937688018*^9, 
   3.5497952206747303`*^9}, {3.5497956876813664`*^9, 3.549795704919397*^9}, {
   3.549796087399084*^9, 3.5497960964315*^9}, {3.54979619881048*^9, 
   3.5497961995904818`*^9}, {3.5497962876128674`*^9, 3.5497962884552684`*^9}, 
   3.549796324506932*^9, {3.5497964876832185`*^9, 3.549796490194823*^9}, {
   3.5497965475103235`*^9, 3.5497965637499523`*^9}, {3.5497966890961723`*^9, 
   3.549796689423773*^9}, {3.549797268436006*^9, 3.549797285533636*^9}, {
   3.5497975073682413`*^9, 3.549797509333845*^9}},
 CellLabel->
  "In[1066]:=",ExpressionUUID->"a4a468cf-04de-492a-b753-3843229f18a6"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"peak density = \"\>", "\[InvisibleSpace]", 
   "8.387506350595619`*^13", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["peak density = ", 8.387506350595619*^13, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.5498931703804765`*^9, 
   3.8266216709518647`*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"05d1df88-b52c-4ed4-b977-c4e009cddde2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Velocity = \"\>", "\[InvisibleSpace]", "26.6138627473281`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m/ms\"\>"}],
  SequenceForm["Velocity = ", 26.6138627473281, " \[Micro]m/ms"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.5498931703804765`*^9, 
   3.8266216709558625`*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"efa6a421-bc63-4de5-a78e-8ba0815eb363"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ScatteringRate = \"\>", "\[InvisibleSpace]", 
   "835.67249947672`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["ScatteringRate = ", 835.67249947672, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.5498931703804765`*^9, 
   3.826621670963437*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"f68c0fbd-a945-477a-a012-b8fd962fc100"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DeBroglieWavelength = \"\>", "\[InvisibleSpace]", 
   "0.19947814678760153`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["DeBroglieWavelength = ", 0.19947814678760153`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.5498931703804765`*^9, 
   3.826621670965653*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"7e4a152f-997d-4a7f-a745-690606773601"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"PhaseSpace Density = \"\>", "\[InvisibleSpace]", 
   "0.6657617446245613`"}],
  SequenceForm["PhaseSpace Density = ", 0.6657617446245613],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.5498931703804765`*^9, 
   3.8266216709686537`*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"91f1547e-cc65-4b6f-a65f-f93586f2f0aa"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJw1mXk01U/cx7nfy60U7VF+QipESNrIZ7KUtNgiVCj7TpR9TbJk37dru5ai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       "]]},
     Annotation[#, "Charting`Private`Tag$20384117#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJw113k0lN//AHB5hkGixRqVZbTYopBS3Vupj60iUQqNLUuyRCFi1Nh3hixD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       "]]},
     Annotation[#, "Charting`Private`Tag$20384117#2"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495644849835167`*^9, 3.549564494417056*^9}, 
   3.5496018463296785`*^9, 3.5496156694957514`*^9, {3.5496157214906425`*^9, 
   3.5496157615409174`*^9}, 3.5496158640651083`*^9, {3.549617087906289*^9, 
   3.549617108170725*^9}, 3.549618062677851*^9, 3.5496181049851255`*^9, 
   3.5496194127582912`*^9, 3.549621364448417*^9, 3.549777334130052*^9, 
   3.5497775171973734`*^9, 3.5497957137802124`*^9, 3.54979635761019*^9, 
   3.549796491614425*^9, 3.5497972952056527`*^9, 3.5497975151994553`*^9, 
   3.5498931710200777`*^9, 3.826621671750168*^9},
 CellLabel->
  "Out[1091]=",ExpressionUUID->"c2139a47-594b-4da5-a50b-2b1243e7457e"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"3982.087454915968`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1092,374,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.5497965128938627`*^9, 3.54979731640609*^9, 
  3.549797535869491*^9, 3.5498931936245174`*^9, 3.8266216725306816`*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"d86b1ece-5802-4c3b-ae0c-1137f35555b8"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"2920.028307267542`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1092,375,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.5497965128938627`*^9, 3.54979731640609*^9, 
  3.549797535869491*^9, 3.5498931936245174`*^9, 3.826621672586647*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"96a95fc5-a73a-43a5-b0fd-d41ab99112f9"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"2920.028307267542`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1092,376,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.5497965128938627`*^9, 3.54979731640609*^9, 
  3.549797535869491*^9, 3.5498931936245174`*^9, 3.8266216726496086`*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"256bc291-cfd5-4fb5-ab65-7ec1e6022c41"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"General\\\", \
\\\"::\\\", \\\"munfl\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,1092,377,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.5497965128938627`*^9, 3.54979731640609*^9, 
  3.549797535869491*^9, 3.5498931936245174`*^9, 3.826621672711476*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"70dc7471-0585-4d50-a658-4acf231e9dbc"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJw12Hc4V33cB3CrOzsNuhVCJatkROfH+X0/GqIyU3STqKjbSChR9spo2HvP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       "]]},
     Annotation[#, "Charting`Private`Tag$20384173#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJw113k0ldv/B3Chawip0FWcjCfTFRKd4bE3laQISboqQ0UZUjJmFhlC5qFk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       "]]},
     Annotation[#, "Charting`Private`Tag$20384173#2"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 25.029149420319612`},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{
     Charting`ScaledTicks[{Log, Exp}], 
     Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->FrontEndValueCache[{Automatic, 
     Charting`ScaledTicks[{Log, Exp}]}, {Automatic, {{25.328436022934504`, 
       FormBox[
        TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm], {0.01, 0.}, {
        AbsoluteThickness[0.1]}}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm], {0.01, 0.}, {
        AbsoluteThickness[0.1]}}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm], {0.01, 0.}, {
        AbsoluteThickness[0.1]}}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm], {0.01, 0.}, {
        AbsoluteThickness[0.1]}}, {23.025850929940457`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {23.7189981105004, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {24.124463218608568`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {24.412145291060348`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {24.635288842374557`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {24.81761039916851, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {24.97176107899577, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {25.10529247162029, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {25.223075507276675`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {26.021583203494448`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {26.42704831160261, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {26.714730384054395`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {26.937873935368604`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {27.12019549216256, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {27.274346171989816`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {27.40787756461434, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {27.525660600270722`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {28.324168296488494`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {28.729633404596658`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {29.017315477048438`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {29.240459028362647`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {29.4227805851566, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {29.576931264983862`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {29.710462657608385`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {29.82824569326477, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {30.626753389482538`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {31.032218497590705`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {31.319900570042485`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {31.543044121356694`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {31.72536567815065, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {31.879516357977906`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {32.01304775060243, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {32.13083078625881, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {32.92933848247659, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {33.33480359058475, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {33.62248566303653, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {33.84562921435074, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {34.027950771144695`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {34.182101450971956`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {34.315632843596475`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {34.433415879252856`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {34.538776394910684`, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {35.23192357547063, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {35.63738868357879, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {35.92507075603058, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}, {36.14821430734479, 
       FormBox[
        TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
        AbsoluteThickness[0.1]}}}}]]], "Output",
 CellChangeTimes->{{3.5495644849835167`*^9, 3.549564494417056*^9}, 
   3.5496018463296785`*^9, 3.5496156694957514`*^9, {3.5496157214906425`*^9, 
   3.5496157615409174`*^9}, 3.5496158640651083`*^9, {3.549617087906289*^9, 
   3.549617108170725*^9}, 3.549618062677851*^9, 3.5496181049851255`*^9, 
   3.5496194127582912`*^9, 3.549621364448417*^9, 3.549777334130052*^9, 
   3.5497775171973734`*^9, 3.5497957137802124`*^9, 3.54979635761019*^9, 
   3.549796491614425*^9, 3.5497972952056527`*^9, 3.5497975151994553`*^9, 
   3.5498931710200777`*^9, 3.8266216727768793`*^9},
 CellLabel->
  "Out[1092]=",ExpressionUUID->"d0ebe4b6-5bf9-4652-a089-ae9701465ce9"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJw1mWc0F37YxqUlipJkVEpkJCtJ88utRWRlJslKtiiUnS3rZ4/f8rNCdkLy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       "]]},
     Annotation[#, "Charting`Private`Tag$20384422#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495644849835167`*^9, 3.549564494417056*^9}, 
   3.5496018463296785`*^9, 3.5496156694957514`*^9, {3.5496157214906425`*^9, 
   3.5496157615409174`*^9}, 3.5496158640651083`*^9, {3.549617087906289*^9, 
   3.549617108170725*^9}, 3.549618062677851*^9, 3.5496181049851255`*^9, 
   3.5496194127582912`*^9, 3.549621364448417*^9, 3.549777334130052*^9, 
   3.5497775171973734`*^9, 3.5497957137802124`*^9, 3.54979635761019*^9, 
   3.549796491614425*^9, 3.5497972952056527`*^9, 3.5497975151994553`*^9, 
   3.5498931710200777`*^9, 3.826621673655126*^9},
 CellLabel->
  "Out[1093]=",ExpressionUUID->"415b3d55-755f-40f4-8b87-9122247a6674"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJw1m3c4F17UwP0im4xQRkVWkp0IXd8TFbIllRmZRWbIzkz2lj0re49w7RWy
kijZRKKSjOLtfZ73/es+n+fce55zzzn33Hv/OJx37bTuHSIiIjpMTET0vyNP
H31wUlIPvu5kHQmqi4TbsV/ux8b14PJnHA+S7BYJ4fotmhFRPdgxncHvTPQi
YevrQ7aAkB6s0qM2vfV+kdBJM1j80K0Hk7zRDNI0XyKYq4e/u3qrBwtfTb9j
Er5MeDFMeXrrWA/ejBwV/UK7SviYPEv2/WgP5nOO5JKUXiXQmdZ/XaXrwcf+
Hgj1mq4SXH9aVc+Q92AvVtLwnrpVgtLRHqX+7W5cfblJVNzqK2HlRtDDnPFu
vF+T43J6bI0g+IG4SSuxG8fnbn077rJBkAvpYPgd040b6s1MLaI3CGrSQRbP
I7pxnVP8++XiDYJ9EiX9fGA3/ivzUD1keYNQfYvezNm5G18q1nBVMfxOQBMn
KBO1/q0vsDovrPODoDUprfuJuhvfukuX43B/k2AauvfKl7wblw0m/qGN3CQ4
yTQe8JB0Y+p5MrRWsUmIfy7/0navCz+O/PzY/s8mYfLO1T8HX7pwsHh/T17k
L4LZR50srq4ufLblQ/GFzi3Co0923yx8u/ClmhZvbLVDGKgWENP17MIn8kY+
Z8fsEHgjF5wV3Lqw7GHpo0ONO4RRuPP3lH0X1rYGUnLGXYLYiyvUE8ZdmDRe
2W6reZfw1YFD4Lp8F5bv9cpQOfuHYEL+5p7IQSd+canatEHugFA7E/DyxF4n
Tqr03e22PyDQvZZfo/7diefWPN1F8g4ITQ+qnb5868SDRVaGFOREwD6S+SRr
qhMPnbPhZHMigrFU18yjTZ3YndbC9MqN/0BFnPfTtkcnVvalEDpziRgeOgtE
7rl2YiYytDdrQAzxNUKX9506MV1smPKIJzFMy1x4SfygE197zLuq10QMTgrX
nGkNOrGsIV3jISCBlBvWNNxynZjUXOkIn85h+PaoWE79bwc2Ctq3DskjA8b6
8g3NnQ5879hJsfF+MpD6U52t86sDm5dP51n/IgM/H0xxe60DLyh5O+orkgNL
yOA7s08dOPaabIrPMjnIJ/944N7YgWcf9B2RlKWEqAbJtFzPDmzoNas2zk4D
sYvcLZpuHdh/OeBYlSYNxNMxzv916sDxlGp4M5AGks3Wz+je78Ar70X903/Q
QBb1iyrSOx2Y7VN4UM0ALVTqH++3kOrAE6yhoKpKB2N/9vbO/GzHHv52wUaX
GWCcd+XE2Ld2vMhYbd9gxgATGuMEv5V2/JwQUHszkAGmciqDJmba8au0Q2Iq
vQywdP0BY+hgO84jvlIldoMRtlOmBL4WtWP2PJqRB4+OAqtcy61iy3Z8TJxi
nu47M9yNfGGTY9aO3YYsTtw6xgKv5iI8k43bceL13voFxAIyTw0zA/Xa8a+I
j+v9ESyg/35v2fBaOw6SW9VbEjsG6faSrkf42/H6nS32l4HHgTuvIP7hUhtm
KHbgWLFgh/s70S/M59rws9MWNWWJ7FB53b1e/3MbHpfS+9Xfww6KP69NXXvf
hlmolZNIz3GAufwiD2dXGx45KPcP/s0BLydOVQ3ltWHGRtUhzdSTIHQkfkTM
vA2jR2S0XImcoKNscWPYpA0X3G2vWq/lBLcAqff2Bm149zZTx+4HTmjfm5go
1WnDD0eVP/Syc8Gt5ZOzQpfb8PepW1eNcrnAv+XlhsCpNkxz5is/bj0NHxwb
aU5PtOKHpLXslaK8sF8cHtH6rhUfIibPZr7DC9wrRvR3h1oxP+khlk5/XrA1
PsSU2d2KK4hffqf5wAskqlfZT9a04icn6Ns1AvhAiHdIgC22FX+9VOJwao0f
/MfnrzKqteLSozx3SffPwiOPA6kupVYcvC9LLCIqCNanWAUeK7bi8somwWoz
QdCwVKeek23FDr59aRN9gsCxXTdYfrYVM2nVvY7LPAfVLBG3tChacY/f9Blz
A2FY1pW2iWpvweNfbF0To0RhcldbX7G5BSezHPmYXCYKA2m2qjuvWzB591zg
2JAoVC5mC5tUtGCDD+nn9xjEwNeFdlMkqwUvz1PXkySKAWv8nMegdwuuKbqq
/7BIHK6/Cws/ItOCdcVqTULIJSEgK9OW5kILpjp7kNF7ThKa7KrUqMRb8Af2
t/JK2pIgSvmJluxsC24dzjhBlC4JzEgwYp+1BUs+CegzlL4A0y96I9Z2m//l
M5n9eXcpcPYgi3pT34wr/xJJHxGWgWIlNvue6mY8pNf3p1FfBpaZhTW7yptx
AefCdvVTGbhdpkvf9qoZO1/y0wtZkgH5xdyo+uRmrOZsSduQIwuUGgrRL92b
cXS479/Gc5cg7bRvTNDFZvyB2aTqdZM8VI57zQlJNmP6b5Imhz/JQ2+Yh/iY
aDOWWuqNfrInD79/PxrhPvNP3/6j0RPSBNDos2VsZWnGJZGHySaqCUC6Usu7
8wVjQ72Fi8UNAIPP7HjnDDE+e2EtTW5TAf5sWXeK6mJswPO6rOW4IpwxMTf3
UcV4lfVjaABSBL/zBnkcshhf7u47PhCqCOenlHn1jmN8eOOkxQO+K5AszMvb
P9KEU4OjnsnaXIV7wx95aq41Yc/bzds/+ZThRERvdpJ8E46oXk/j1FaGMZVa
Tg+pJuxd3nYp2ksZrnXEcBD4m/D8nalPcmPKIFirzPSGrAn3RfdUdAerwGZq
LcnnzkacYER86GD3Ovhbxc6RKjbiznPp40pUGiDH62fyRbYRWx2cHrrPowFb
s3af30g04hM59EY1SAMs9VUmI7kb8eNHbTTtThpwXf3QCCtJI+ZItLVpmdYA
xvMPW4XaGrDwZ7VI92ZNyCK6nqlLaMBv1BdSTDO0YSu876+J9D/+c8UHsDao
cKjefiDagO0//z2kNqUNm9JqjP6cDbg/vbptlV0HrjhqBJT914BTn2QIX0vR
gZUFHSvq1tc48aqqVlX2DRB7YyDaCq9xraqT87exmxB4ayqs/+JrPCsecXVg
7yZMLhmujIu9xqJ+Z6ZmTumBP4lx9jrXa2z8RPpKro0ejMndZeIgfo2vNewm
ZxPfAvdS851HbfV45ZyjW4XcbWiLs2s5p1CP118G7w5O6sPwz7a/oTL12DOJ
R0qfygCmNY9dXBGrxxVTMZHnZAxgn6alPI+zHmsmW0xlPzcAqUCGnJMHddhs
YOrXkpEhFLpUBdLX1+F+L1Zyli0jiL+5p/JLuA7/YjzqUFpkAjlV6sHafHV4
WjiU/0yvCVQw5rSXnajDtmu2F3sXTWDw7XU5W5o6fD8z7UTgqbtAdS1NaGml
Fp8u6iz9EncXfKQI9B9ya/Ht17zWgcGmYHU8aKyBrRbPD4ueuB5+D0h6+zeK
GWsxq4aJ6XTRPUhzP0qVSVWLF7aiklP678HoZCYK2KvBYZK1TmE05iCf1vBC
dbIGZ62d79eJMIdjp3+4TyXXYIUygf2kZAvoFDQ4ScRag53pdIL+DlqByads
6R/0NTiNmLF97JcV/Alb0Z6nqMHr32R9PrJag9j6o+DunWr8mpyH3PaeNaSW
RX+P/FCNif6EKhX9sQYnye42zqRqzGL7gKRB/D6clhe3vHysGgcTBfgzdtiC
a7Pq3eAj1fijNk3KrZ+20Cdvqd9PWo0Pf2U6/4HTDlwIqRo3f1Xhcf6lxABv
O+gFMmmb4SocZPXfrzcnHoKD4iRFzLMq/KOLSMhs9iG0Kj8pmCWqwv4/c/iR
jwOwvEnN5duuxGO3lg1PP3eA+yq16ffXK7GgwNF13moHYL6+FrP1qRJb0GGr
Z18dwFr1pgfl60qc3OE6NXzbERg0zqqKOVdi7g+KXIZyTnD3xsg33y8VmCPI
ImaF1QW08n261qcrsK/yPu11aRe4vHMuw2C8Ag/Opk7233QB7tRgTemuCrwp
IZ4tFucCi/NylRs5Fdh/cM7Rj/4R2Di9cDMyrsBEh5ZnrtC5glOMJ4nc+3Jc
GKwaU8vrDoFDfKzb7WVY99gjN406LyB26RrcaSjDDFXSrJ6fvMCH1SJor7IM
S8mU1nb95w3upnmb+zllWMMr7Hu1sjc8+MX99nBAGb5wfN3q7ydv0DnO5c+o
WIYnvG0VmAJ8gMuE/ZtQRynea30X79ngC49nOP3fPC3Bs7ypc5U3/WHzz2Qj
8/kCrC4eueTW+BTiDPGGxpl8XCBXo/m2IRIiQ8WSuljysdb2VuTxvkh4WptL
uESaj63Q3m+ryUjwYXgWfXYuD5Of6PLg2I0E6049CdLUPJyccfbh0IUokBf6
8eg1XR7eddxJ8KuMgtW/3Ac82zl4V9Su72RlNCwKJOanLOZgpkvZ6GF7NEzf
pNJgfJeDS/nSq/tGo2Gs7HsGUXkOlpmllyj4FQ3N95pg0iYHC72IXqSQioH4
/puBkZ+zMfduWEkdjgFC6lOavc4sbCYdfNTucyw4PDjt2FaVhSvnDX6S/oiF
HLmG8dCcLHy2jL+qmSQOyKfWstn9svDVp8RxaQJxMHhC8+IluSzM+9TvK69r
HBhmsFj4VmTiVuICz3y2eIh8WNqnlJWJK5u8uf4TjYdWeSUxhqhMbH79WkLs
lXjgmXH/m2WbiUujhyofOsTDV86pmPYzmVjhaKbzhf54eJyd00yWkYH7LF1I
SaISoNBRjncwPAPrvZhuPVyQAFOXx0ITPTPwnXIKXsuOBIB5sptn7mRgIr17
Snf2EoCSx2ZNmTkDe66bS968nwiyv4i1GQ9n4Khelaq6kESYfCptX7OUjg2U
J0QS8xMh600K2YesdHx/4zQen08EEVVTCfbj6ZjXjvjMx3tJELsWe1C4lYaJ
fFxfRwUlwXZYZ6/caBr2O364cOFlEuCBMyZGEWl4Vmley2MjCdQ0NsKyDqdh
oYCbTlsByWCj7bnE/yMF31jKahB//xyILrkKUAyn4Lbm9ftqh1Iglt/xwZey
FDx3MyTxqlAKNP21/PnSPgW3+zHkfwtOAYYXOgcC359jr1uhn3qVUiE/Wh2o
hp7j6GfjljEeqSDrqRywWvocT67OL9iXpoK5ljxV4cPnmMWB9EokWxrU/znL
cm4jGa9v5HbJEqWD+hLvbZrBZPwjUNYjVTYd5oc4U9dKknHrE7Fnt9zTgTaf
5XSxXTIutaJwotpNBxNNYmHh9SRMr3nMtCkgA7Zk9u2PvE3CStOart9eZsBT
3p3K9eIkrPxhbf33QAZU7n27WGqbhDnIPZlK2TKBPG/iiui3RHyR4au3XXMm
pEa+C6EfSMQCtIVVp79mgtjjwb7vRYlYSyIpf/lYFuhrdGqVP0jEp39lZLU7
Z0HJbpmh+FoCZmo8zF0ulw0KC4WZjP0J+OjDjrn3Dtkw/jZ//mdhAr7jWPlT
52U2HMpNta68n4Atc392ebLmgK56iMv5r/H4Jr0rqqfNhVVp/zqmvnjMkO5r
2a2eCz7c3n9+FcTjfL5Vy+DoXHi14+RXbROPpf8IO2lx5MHfbOPwC6tx+NUf
Qnq8Uj5Eh98ZYnkTh0OWb3fXJuUDr5vu0e1XcVhlMSL7v6/5oKF2PbnWOg4f
sPZaqyS8gJztC3nSK7G4rDvK/jXlK+Dk8rO81xWLwzSLvYNdXkGaSp9AVE4s
Tt9l1Y5aeAVJacYly4axWGnL63lXfwEwd7+yPyobi99cMNITuVoIsd83xeWP
x+IeiUxvlfZCCFcIqU0YicFLTg/o2HuLgMp2xL2tNAavi4hTMWsXQ3ACh9x6
WAzWtRgqUJkuBr+VspYr12Iwvvusk4ikFB5FTvT+aojGj1XLJ4OulcFmHXcY
Z3I0Nh9umRPIKAOHOVt11UfROLP4olXCbhnclyQezRGNxjdqHA6J15bDFyPV
+EHaaDx0dSohga0CzEMS9P6sRuHiXyStIn4VYPzx7CftvChstGAY/uhWJXw6
7JLu/SQKi4dEPzTtrYTbws0mBcZRmDhNzJcIVcENP53FQ2xReNX5re+4eDUo
83uul0VE4tOXzdOYNWqhS7Or7NP9SMzXvnEqebYWFB7TO1EoR2Kb9NxOCvc6
QAO528YkkXiGOfqJdW09uK5/dj7eFoH1OUOXmoxegyM47T70jMAPuhaudFI3
gOVyCvGpH+FY+VT7xzeujXBXRjT4UWE4jkTlHy5JNYFBeAf1W/NwTEP7OVFt
vwm0JL4xeU2G4Ypbn4lz1ZtBxgfxf2x/hq38SPkvnWgFyZGRQnHvZ/ilF9vq
1ZRWEOG1FA2VfoaXSNRkB060AXdf5MWLxaHYgS3oN4VYO5w4yYOjLEPxKXXF
cM62djjuUHf5C1co3iqoN3G/1QG0x2avJyY8xdmmDAZv4zuB3MZlaF3zKbbs
vWQLl7qAuIlS9yr1U7wRDXvzq12wbSputOUTgidrPVd6bvfAbIm/vY51MObz
qD5nHdEHKKFgQflMMM48e/2NuUk/pHgN3yIsB2ESltgdIpkB0FU9BULmQbhE
8RiSJB6EComr1dw8QTgjRMPK02MQ6NhtBdjmA7FkJdlPjd1B6Fl5zUB+NxBn
l4cOeJEMA+/wbOD+qUD8MPO0hE7UMPjVUextfg7A/RcqDxWdHgHZ4JtzMwYB
uID9RyTz7VEo5flZ8fqWP961bWINZXkPNDSs/OXH/DHnY3sZron3YL0pn/Li
/RN8Rtq3zSZ3HLjbwv3jbjzB9JJXxSP1JsD3VdV26NEn+NvBRcUPhEmYivp4
32/EDx92XOOsk/wIicYCN+w0/TDZmOew6tUp+HVVs+cenR8erozdd7r3GbSE
XeX03/ri87/8CUeVp6GEOb1MK9wXH7Atnk5fmQbq/Q4eJVVfTJ5Y+sE5bgas
Fr4mIWpfXGzMXryhMgudfYy0km988N+2ZaLGI3PAVXnRT/CpDz58R23yYHYO
vJ+bbHEp+WCrgZLQgO55+OgXbH2c3Ad/NxBvpm5fAIdRw8aT4d54KqE/c35i
EQSzC3Opqb3xloGf9dbRZViw3w3bCfHCxs379rteXyBN/prLIpkXbi7j6AoU
XgW9I/GGIwGeOKdMsDLr0howTM1daSb2xIcJ6gM2aRvQVygqXOTrgfkSJs+8
99+AwMfeLMkHj/H5ovinxy+ugbxy/0Gg52NsFGJZNoRWYfcY27LjnjtelM6R
d8/9ApVLloPGbu54SWXBlF5rGWyrq2tVf7th04GSkXvCS8AfQJJ50dkNh27q
qLwQWYRZba0Qvp+uOLFJvGZEdQGec2XYH7V3xfWP/104vvOg833t1n/rj/B6
0C3Wtq45oG2WgW/3H2HVIYJ3F8ccdIeHCEyuuOClozal2r6z4GfwnqHb0gWf
omagfbUxA7KCPHuVi85YwefoaTPrGdjadZjLNHPG+lkvffTXpsE6kbbysbET
7uxkjTOimgZuC/0UyylHHKbDrvpJ6TNMnX/lf0PfEd8oPqf3IGQKNEcUbwjr
OWAdpYP+zTOfgDIrRo59zB5H6OUSXQ75CO0PZ3godOwxc9Md2rzvkyBF67k1
q/4Qjw0EuylPToDu2nrE6ww7vBLmNv3TYAJkmxbEyjJtsff6m9BbSx+AzHjI
NSX7/r94072apf4AX0W62KJzbHCTXie58YtxGP6vsSko1xqHTaY1qiiNQ1r2
CxLHfEtMFNqebZP8Hvyd0vItX1hgVi+XakHlf+dBMVbZ8KU59pC4fMFpfww0
mJ+uab+6hxc4YlsYa8ZAcsk7UqnADDv8zo6cdhwD9lpncVRoimPHM8IrJMbg
UIjNmETRXcwvdzTVcucd9AvcZD9VYozlC6p0f4e9A/PfSV5njY3webeSxHiD
dyCaFNDOfNcA12X+YMoWeQd/LtpTHjK7g39Kx6ocJnsH3R/1Ndbu3cJkvsWL
+dOjEOt1LX7c4iZWnYbUR42jYHRK4mOb1Q18kFw9fDd1FARaT3KV2GhjRyub
hFs+o7BlSmWZ/EATvw/xnFQ1H4UnVN/uUH1Ww+3vMg6Jq48Cq3rH0sysMk6+
IPrz78VRKI9OcaxdvIJ3mzcP554ZBaUxx4PwFcClup67J9lGoVk8nvnNRzls
1J5MbnlkFNbrFYRc58/jjzsUZY9IR0HGfzFUefws3uX90KFMNAoiPEEuSm9Z
cNh83r2pPyMg5OF5g4SbCOXaam+L/OMSjUOLeTunUQbdmXOwPwJnMrXu8P4S
RVO5XrsMxKOwdzznstuaNEqsH03LpRwF855dpsUf8uhyvE3236Oj8Dbg9NMj
6wpIm1dt+iTXKEjB9X2p1WsoJ8bHg0FsFDL3nRzuLl1HpjkCvz8qjELAJ7Wf
HfYaiF/rj3Lwv/pYJ2NaNGGnhcb4H7w/4TgK35IeWaw/0EFqy7KuheGjwLUd
yklyXxcpNjcEXioaBV3djMlj1npoqaJ8e25gFEIrK+POWd5GTIkLaUU/R2Hz
4SeKm2aGqFn+OPfOlXcQu7Q9c17UGC2l+77OdX4HxczESF7EBDnZaHP15f+L
ryJNirLwXWQWP/oz8NM7mHNi2dERMkWlF/qjfjKPwX42p67ROTN0k9bUXFRn
DI6NnK2wEryHHPUeGZjGjcF1UfkHXgIWaFBNslWW+z2YGyv3Bp+xRL7PpGKl
Hd6DT4QOXwy/FbpwCbGNtb+HyjXLmXxeG3RxpzOww3UcBtgdL5Xz3EcmHMQa
URPjsKzi+byB+wHaX9578Y3wATheRd0Y4rJDOdmK9bFcE7C7QfcRsz1ETozt
PRL5E7BIfYuGJe8hsqc+cpdSYhKG+TMv2YrYIynrIaq8nkloUvhi11Fvjzwv
Zm28tPwIr4xFM9kVHZDiktFkH/0niPdwG3Z864BmEO3XTx2f4EElxXmueUfk
f5R/IEXrM+gNapq72Tqh4AXBBz3M06DwNSlhcNsJQWHbT6pn0yBCPtvN98QZ
0YYxVX+lmAF2boFdLxoXNPuBRs4magbI5R3OjiW4oHnOibDXp2dh8069/jmu
R4hyrj1Ct3UWph8dCvcvfIRKOM7W0dvNQV+MMp6UdEXbU0mO8oLzUFsSvSHW
4ooaL5dGfPszDzlvJjifqrghB2q2fcmFBYhc4tKeeeeGviWezP28sggexDb+
Usbu6NqWSI8X8zJYnqyoilhxR8409RtLzl9AR2ZvcdHpMWKPmxuh5FoF+ZuX
j106eIxs9IbFX0mtwVnHUKW4EA8E5G2MKbUbwBwx4v6V0RMVfn1HpXBxAw4V
sBVeTvNEeclyTK7TX+Fbp+mnZH4vpHb5xXua+hWYmC2g/VHuhSYn3wknkH6B
zv2fSEnOG9Wcq0hRSVqCclZZ+4wub3RhOXdm/M4iqLPB0B6/DxJQuBU1TFgA
xTOLVny2PmiqQFrA8fI8XLzw9JB2hQ+6yMitYHlnDkQUhZ57bfsgqQuUrl8C
ZoFX+5/dcr6oNCxU+2zzP/+buPS98/NFXmpeY8TkM8Bgx3rvv25fFD6WeLLl
zjSQezb9FaTxQwqf5QqonT7DZiKpsH+CH0pnleWrO/0JVvJedZV89EP9lts+
towfYbpSzXiS8wk691REXpR+EvoG46PECp+ggr5EBiuxD9A6dVHA8PsTRH1e
TOeP9jjUfp1qDZH0R+J2k4t93u8hh5xvc7rZHxUXXFJw+fkOkpnfPKMmDUDO
hmqGXBffQSS3HY+USgBy/Oy0VhQ8Ch7yNboR7wJQpa7C7ySZEXBQu7NezxqI
loIdKYXSh8FS/yBo0SgQ3Y6U9iWlGAZt16t1ciuBiMHjvwvo2yBcC1zVtBIO
QmKWVGVUVoNwKTZiJdYpCCU3J0UsDb0FgdL3bF/3g9D2xCe3q9/64dCyhVcy
YwjaUzgrfCu8F+JN3Pj4dEKQ2IJpRN5YD5yZfDpYERuC2BR9b/Py9IDGQBFX
P9NTpFtj7tI90gXzV/GbW7pPEYp9OvBIvAsetQw6LcY/Rc9O6l9xTOyEtMqf
nQcsocjrUOHpAPsOEBM6/PCZXijirZyJlF1oh4585uPHk0JR59DNN74G7fA1
WdpGjPUZsiv+PUZzpw2kfb2P3GMPQ7RepDK/Alqgbzey9rt+GLKxzNcbO94C
xk5ZJl6pYYhSpSLpZFkzBFp0VCScCEd+m4cK54cxsM6M6XMbhSNxJukbAUcx
FN1ePlyWHo709cNM6PWbYFSVSq/3VASKLz575cSff/+FLvb/bppEoBvy1Cpy
Og2wJy/0ai4zAtmR94w+KXsN9P+S3Ys+ElEvsZ99714PUmEqgwnRkchIrOkM
h0ItHFIe5Z4qj0S7X4p4fjTXQB+pgRv3SCTSPrA7VUWoASMfW64yxihkQ9U2
6qtWDYGOUU69sVEot9RteiqqEjREWHvoqqLQqx6JojaBSji+lsVx810U0mnb
4C7srIBC88rOOaZo9Jaq3IWHrAJGbr0/9jc+Ghlv83Sdf1EGKczGDy7XRCMm
mw9pRbplYD6y3BLyPhrR5d2McyUrg93ru9bMx2KQWabVtUa7Ujglz9EonBSD
gn5760qUF8PKn1x6l7oYdIqNQtRTpBgq64TMGz7EoKMMuiXG5UVwVVz+iBJr
LNLYLBcJbC4EW15Tk7vPY1E8rd9fM+IC0MhJkTRoikWGAqGniGNegSjXGJXe
TCyS0hJ2WeV5BZscStWqfHFI7X3EL8EbL8GNSZhKuiIOdbjbf8gfy4fbMZbT
4mNxaBmJDrR75oMsfVaV0E4cklvS3rXgy4d9aiZjbhSP2CMj/b755oE/yV7l
kTfxqOBNLMusZi6Y+0k8pfwWj4g40El6qly4SmRrdJg+ATmJE/WKdeYA5Z9p
ij3dBGTEL1l2BHIg4men4eJsAlJTu8iZqJYND+2JJGYOJyJy/cDsZqZs0FqX
pvjIn4i6roR9sZnKgqOrhRVDtonojX2IIptTFiTPRpM37iYiHSxolFeSCR7G
fZ9qOJJQI5c4R4FvJhhMHa4ol09CO3r/SXzSyYRTE64GLwKT0J3eov2c/QzI
HTIsj2FIRjpxgqdHDTMgUD0xKPx8MroUuOqtJZ0Blv1D+iF6yag09IFnw9EM
EOhRIPNOS0bocKSDbUo6lDYL6FsLPEdxIkfucsSnQfQlM9F7qs8R10r1jKFe
Gjg2pJIaP3yO/vus3UHPngaStXRlN6qfo+JIoaX0/FRoKNk6TIAU9MusjEhu
IAXSzolMytxLQbzzbeGLySngXWBVKhmcghjOW+6WWaYA5H+8LTiQgrYeczE9
I0uBrrTWEpbbqf/8kTdmrfkcLo6VUtp5pKJfjE+zSPmeQzFN+r3OtFQkUf6l
3vNvMsR6PGZznktFOWcFReYLk8H4tkTQ8P00BENVbctHk2Ekimv2TEQa8q3t
EKncSIIrPXRyvmX/5JeZuAX7k+Cc1NoP4a009ABVXaEJToJdpjzDMO905Ph7
YITmcBLYqsbWzWemI5efg51VC4kw4+93VLY9HfFTFzIudCbCvJvwPWeSDIRC
HQJ7niZC7zIVG7dSBiKv+5l/6VgixHe2B/oO/5Mvd0aOXUkAjVkZiaK5DFSq
hYMVhRKAYr98ZnwzAynWtWNS5gTwOJ8pK8KSibyJXEqcF+Phbo7nj6k7mSiB
QvpI69N4EPaTNJRdyEQv15RURD7HQbfci/O/f2chEaYACamCWLCqvMi3R5aN
7BQGbt1JjgXKs/3HDliy0aVWGduEkFi4fuzHHqlUNpp7/139pmUsDP6QaWV2
zUZ9jNmVM7yx8D7/rZrkdjbSm0pUicqPgUX63xbO2zmIyjmBbKwiGkgWFZN/
buehxZy+EIqlSJAs2zvqo1GAOHj4FM5GPwV5yeB4DsMSxCvzlK8x1h84OizV
D9mWIPZfbe67Xv6wq61EvuRZgijzn35RtPKHSntK99LUEjTLfU2U7JI/8Bc9
M7j8qQQlz+lzSiw/AfLoa9ESQqXILDkxThY9gQ1y1Vu3i0rRyDGOYwLbvtC8
dWMpt6AMBSggHnVBb3Cy/WGqWFmG6r4YnSI57A1nFsOn5xvKkG7ZAfHHT14Q
/a7rw+mBMuRd8cNjM8ILzCql+zI3ylD3cN9m1y9PIHPgKEs9X440b0xf2+ry
ALW1efc4XI7+G5bYVA10h0P3fH9LdJejxS8iNHqm7lDzkcNpdLAcbQd8M/GX
d4dTfboPGGfLkfa9gNTLe27w/VW3URRJBSJxUtK44+AGsZaFCmFKFYj7MxQu
mrvC5JwjbcBIBXqSkjDMZuUCJBQniiInK1B+xmiH+XUXEBTqVkmZq0BT2coX
B4RdwMOVPaTiZwUaGEXuP7acgZ2mg3iWsRJZsdzZDw90Bn1J5p1LOpVI56Ee
A02BE0wF185tj1ai36xptM3kjkBafNeP5FMlgn2BU37rDiA0Qs1Jt1CJrj7R
JDEacwAvDhNDvl+V6NrLiMNWOQ5wspziww2mKtR02USlgeAAxpO3B8pvVKH3
91lNtXztYfbc39r7Y1Xo8eoF137Gh6DxZOQRz+cqdFB5nHrxtx00jb+UnFqq
Qg+FrR7bdNtB8hPdSvWdKpSXq5bPbW0HWh9KSsTYq1FodIibSqkttPrfzds2
qUanaoPLFK4+gOzJrhj/tWq0e6yxrCjNGhhE07TktqpR2/Dn0jVna/AJdKLf
2q9GIrxnbO+qWoO+KGeEBV0NMqjPsv/yxwqOBrk/VRavQed9t8IsDa3AX+yc
L51bDfIKG/tw6KwlmIVE26aQ1CJTdQUZsy/34MozF/UW6lq0V61uLNBzD/gj
bossHq1F5Yr8Xsdf3oPVWK4fwjy16DLDLwoHq3vgkFHu3KZYixp1xFTJv5qB
T82wx0pgLUIldukvtk3h+QJDqBRFHSJmtFkpF7oLHstbNgb0dah+1C5UnfEu
GK5OXPc7Xoc+ZLc+pts2Aa7vWbR9Z+oQXZxjzX6LCbz4IxZtpFyH9oi7ngff
NIFqRu2kwNA6lD2vhsRCjGGYEJM/SlOPKJy/kLVSGcIxx/mXg0z1aGWF1M56
ygAMc84X9nHUI1m5alKNMgNYIR0vbT9Xj4INK9uGbhoAcR97faVqPRJU81R6
ka8PErp5fbFh9cjg8GivpdYdSLCu+65D8xo9cNWgcxvWg6nnlJsaTK+REqP/
EZVCPeDuv7N1neM18jWk1NQK1INS4f1dhXOvUe3JwayDi3rQvQkk51Vfo+Mr
HosDeTdh16uPmSnsNRJrOKJDFawL+jGfZd5RN6CkmudVRnY6sLypb+jF1IAO
99YnVVzXASfdCR++Ew0oc7gwQE5AB54df9fhJtyAVkVm9X4saENDeq/6Ca0G
9Di3RHzcSBs4CqtMLRIa0JtWltc3DbRgqj00dIezEZnELa4pe2qANS9FcZZA
IypLVcydMNaAraDAQRXxRpTOZ/A7QUEDaFV8mdIUGtEdxQj7ZGoNQEMu6WDR
iHId9mvs5NQh45NJRWhhI3JKi+mQjVcFk60LkxwXmlCbSNH4aoAyGB9uOymO
mhDbUvXK89v/+Kia2bWrTegV/aJnuPA/FjNbc7jZhHZU8tqkJ5TA2DbyoOtR
ExLSMthLE1MCw8Xl0w61TWiK/fGe7vpVuD2WdL9TGqO/8JiFL14Rbi9wl00S
MNJkLL3v7fCPN0t+bShhdH5gs/CIuiLcYuj0YruN0amKgtIxckXQU/sR+dAd
o+HLLrJbXgqg26lcxfoao+zfJGeknC//e4//9bpwohm9bt2zx0EE6HO/VZbI
1YyelJxsY7AkgC1r1dwObzMaCRNcTrlGgMpb9681CDejNJXnN3QoCSA/PkFP
IDSjWVJm/SuR8qD7riZH2awZnSx6yzmpgsD/rX2vwatmZEwf+obnqwzw2fX/
aSpuRjXyr5ygTgZ6ac8In6poRppnL3TVBsoAndp0zOzrZtQVOMdayiUDz/vU
DCz6m9EQB1llneFFKO85u/Fwoxldc6fva1iUgs9tC0z+ki3I7jZh7I2YJFTu
/h4fvNiCvhaVuw1QSsJTUcoUDtSCNH6V6rHMnQeJdCGumqstiJn0+x+32PMQ
7P5IaEWvBckO2Rq67EqAiCjFVY3HLah5L7vgy7A4+KYJurI3tyDhkxsRfeWi
//Z3ScaqvQV9IeUfaY0WBUFqzf2q7ha0WMPG+MNBFMbcnP3Vh1rQ8+Am8l1x
URC40RTpN/tvvme/dW6tCAxTabxcJmlFBIYrvaKJwnDazXGiUqkVbSgM+1KJ
CUJ54LPiGtVWFLn+y1XxkCDIx+b61Wu2ohcSo1Fvh8+CYcl7geZbrYjy+32e
YaezkLwg8/iNVSui8o5c92sQAAYtEvbZkFbktGspw3v7DBCdjTM40tuKin5+
pRV7wwsRUsWiDAOtqOrJ5RT/HF44caXrMNNwK/rwxCLimBcvyJrsFLFOtCLh
x+/+IxbjhUcJBvs8K63IQuJRyFgKD3wj5k2XpWxDP1SifnB4ccOnj9XTVspt
6Lvpxo/H97kg/NCiQptaG+rvZPiaoMwF8vxML9m12xDx6s37P/i5IMfR0f7t
nTbUqH0WTBY54T6lyKHzD9rQb7YQPlYzTti78PI0UWQbmj1aZpFsfQqOxzw3
j3/XhpzO1/NQAQf01vb2rn9oQ0xiPnyq1BzgMbUjpDTVhqqYd8Z/jLHD9Bm9
33uLbSi35NFD8wfs8KL5aLDJdhuyL89Yn0hjgwvfwl4KsrWjnzoBLcaMrHBD
yedrq3E7Ypmx8NG7xALNitUmw2btaC9UISeRmQUE4evYjGU7WvrzappjnRlI
ZPRaiOzbUUQdW/evDGYoFxSJv+TbjqIo3QMHyJiBjm4a1We2I/UA9wE8cxT6
xlBM2Ww7ImvN685vYwCpEWfylsV2VJC6zlmRzQA5bws8B1fakUo9K+fWEwZ4
3M1iuf6jHTkm8MdwKjKAQP267DniDqQt7D9F3EsPwanpiy9Od6DQEJ+tnE90
cNnsQDrDrAO1PJBom9Kmhenfq+i5ZQfKCvIK9+OkBa/QccX4+x0owYnL2GOd
BurLyzSfOXWg4Iuk/XbPaEDsPzMrV/8OxMwY/U2xlxq40roTNXI60OrySrz4
DSogGo/6TTTfgcoiPz6+l0MOaTZef/eWOhB/2ex802NykD2wJv692oG6a16W
GmiTgyuvwpG1nx3oQd/fWCticthw2uL9QNyJyh/1VReZk8Fn+ju6Zac70T1d
NpYn0qTQpMJdZWLaiUrDVprNaUjA+zevSoVFJ5I8fuVz3xdikM8+M0NyvxN1
XW/scOokhtZdIZoXTp1IQa9xL8iHGDpeSt/7FtCJ5u+nvyv+fQj6yNSZHr/o
RKqF5ecSvv8HE21uzrFrnYhOQkekg44Intt5UC1+70S89yncqL8cEPTZvDMv
bHUiWRH32K3SA8KUg3//xH4n2hCZ7DsgHBBmOCN4OOm6EEPtpMKQ5T5h2Tvn
XZFYF7oktUPb3/2HsCXz9nzXoy5EEmC5pNW/Q7BvGv848LgLtVeR33DM3iF8
lZ99MubdhWxHw40m3XYIM4q/hhaCulAqK9EdH74dQp86my1JYhd6v5BmShe4
Tcgytcgj1Haht/lXXD+r/yaohh4wN2x3oTbmdO3jjL8I3TQUTW1/utD64WeW
yt83CRDJcO8NUTcqLdX8U/l2kyAVx1MxQf6P1d0Zz4dtErjSVdR3jnUjvqnV
02OUm4Tt8oQgSelutG/WrneV7ichZ0J4u9StG61TF3OaEb4TrO/aJYt4dSOv
gADlea7vBJGVYtlSv260+u7l91SS74SGnXO+JaHd6CbTk4PX3RuE0WOClMWp
3SgmxogiQXuDQHKTn72gpRud+hpuM7b4jWA2cko+l6IH8QT+SYgqWyUI3DGe
5abtQZYPC3iNfFcJG7Pp/jkMPajj+42eQM1VgsePEz3ZbD0o4Yhr9MyPFUIs
PYdW1rkeVPdc72659AqhXf24WbpmD5KaGGkXer9MePpej/Skbg+yUvjpola4
TNAwSnyRdrsHzUc2rTT6LhM+2rKspZr2IMJf+YKQc8uEzTAmlxTnHrTIprHV
FrxEqGe6cYzdvQc9PsFDpWm8RPBJja1/7tWDVvcsBM9ILRGoixgPkoN60ESg
m3bt8iJhWEI7k/VZD3o3OSdl27JISGyIvpwc+c8e2/W1+8mLBEOF4YXjcT3o
h+vuXIXjIuH/+gfQ//cP/A8aT+lI
       "]]},
     Annotation[#, "Charting`Private`Tag$20384474#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495644849835167`*^9, 3.549564494417056*^9}, 
   3.5496018463296785`*^9, 3.5496156694957514`*^9, {3.5496157214906425`*^9, 
   3.5496157615409174`*^9}, 3.5496158640651083`*^9, {3.549617087906289*^9, 
   3.549617108170725*^9}, 3.549618062677851*^9, 3.5496181049851255`*^9, 
   3.5496194127582912`*^9, 3.549621364448417*^9, 3.549777334130052*^9, 
   3.5497775171973734`*^9, 3.5497957137802124`*^9, 3.54979635761019*^9, 
   3.549796491614425*^9, 3.5497972952056527`*^9, 3.5497975151994553`*^9, 
   3.5498931710200777`*^9, 3.8266216745085955`*^9},
 CellLabel->"Out[1094]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"16d16eec-6676-4c5f-9eb2-4e9cadf64838"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVl2VUFkwThmkpkQYBERWRUAlpY2EIASmlu7u7u7tVDJCQBhVBUZGVMEBA
5KEUkO6QUvFV5OP7tec6szEzO3t27hPWHjfsSIiIiPxIiYj+P5LYC1yeCs7F
ZNGtfMOW5LBeFfAuIDAXb+flh3s5kMPX72+16PxzsRf9IgezOznUB1lbX/TK
xf00dAreIeRgnXY3Ic8hF9d4/ZXPuUkO7Q2H+1V1c7GCjEWDRy85xJJu2def
y8UVHrOl/YoU4Kkit6EilIuPh3Lvx6tTgGlaetAE/8F+FX/eKepSgDibUCot
78F8T5UPYzYUMCdo+8SeIxcXbow9joihAOUbQ384DuXiw89vKt7poIBDRS8z
YyZz8LmbWfvumodAsfSPwPx4DlZQnjM9Y3gIossvtauM5uCEMWnPVatDsFfb
8uPwUA7ebZT9ec/vEGy/bDO+/fGAE0Am//4hmBjo4q19loO/TATcpd04BM8p
R5uGUnNw9GdfXt1CStih4bohk5yDmT42MbVXUYLYEbOVuwk5ePRC64jcM0qo
ZZk4ZhWdg1t5bwg79VBCycmZ6JWAHJxNw33K4y8lZFxaUSeyycFxcq4CVmZU
4OD5Z1JAJgcfW76f5CpEDY6pLkNNkjl45DWNxa4UNThXjH68Kp6DI86Y2OQo
UoPr5KtndsI5uCWZCH6ZUYOndmhq0emD8+O8XQOzqCFYZE/qKGMO3szU1vX6
Qw1pG//SKVey8ZHSJ7e7RmkgndYj9tZiNq7kis21XqaBTP6JIL75bCx5mUqD
9jcNZFtiW8WpbPzz80XNPFZauNkXIRs5nI3zfeNpI2/QwoPHRPO/2rPxlsbw
UncPLTz1JLm8cC8be648WlvvPwx/RaX9ou9k48ijH67emjkMyttutcduZ+P7
H8+W6ewchhG/L8d0c7JxphTLECUrHfwLfvzvTVI27qVeG3UwpgO1OPM3d/yz
sfa/xf4jC3Qwnf9SQVM7G5e6Fl+2o6SHsyYbIUsa2fhYveEJZkZ68OPia4i9
lo3NLlV39XLSA2VhFu8r5Wz86GZBrYMwPZwvdSTnv5yN40VfuwsY0ENQHet7
YsFsPMWr+ee/Cnqgb/dWayTNxiZ5K2Xq+gxQDXezuYizcfrR12+TrBlAua39
a8y/LLwnGa887M4Aoa3MLjd+Z+Fnr1Z6ShIYYAE/S/m+noWpnouVk79kgJbm
/7oFvmZhbjbLFJKTjOD6LFqr4HEWlufmfHRnnxEOSVbfIq/Lwu/0Ll1mpWOC
4kbChGt1Ft7xSE1+yMUEIw28nhfLsvCRkPOj+zJMoPD0XebI3SwsrqxSUebH
BByPqfsZE7Jw1bSU0cgGE3RWZusmmGVhCdGrC/W/mIEflnc5TLJwQMUPaDnE
AvFf5e/XGWZhy085vt/YWECRZnNuUCcLj9yzGzCTZoEWV60AXrUsfIF4Y9Yk
mAXqhWnvtEpmYUqux/95krDCvca4iT9HsnDTidKGhVNs8J/GeEzG4Sws2PJ0
oFuSDYzmxflP0WThns/PiD+qsgEr26ynGkUW7mfK4mTyZIPMQCDJ/5uJk3qu
Bwy9ZoO4i/u8kkuZeNm45M81c3Zwbw109mzLxLTUX14xNBwFbvZ27j6ciRd+
5hopdx+FXvfDBOHXmTgyPyShYPYonOcqvvj9eSbWC96KfMnCAev+H2ndazPx
sAZNcHkQB7if5X7kcjsTz5iPVKeocIL7rfZte/dM/Cfeu12Z7Bhwrx+ueOdy
MP9P67bjiWPQq2hoyueUiakDbpI+v3IMzm+tdszZZGIem7KV4aBjsK7OetPW
KBOvfquXktg6Bu4kTtLWipn4B2mcWvEKN7i70YWZcRzsv3/C8G0UD9g7cft2
smXiOUsfKfocHjC3O+8iwZKJdyqotfxKeUDLTNPoMH0m3ryqMJr+ngdENNIl
XpNnYtGYFgeyIydgzohrTGY6A/dsv08+WXIC1kc4W5oyMnCLQM9IwtRJ+NZ3
sSYzOQPHn5qbDvh5Ej59MLnjGJeBj72/EpJIcwoeN931Zw/JwNErcJFW8hR4
3+YUDrTPwMEfhfRKU0/BTwPOB1KXM3AAk7LxNTle2B/iiH62nI6/LutVi7Sf
Bn+ifP6FuXTc8eJi9dbX07AuwPaJbSodW5xy/ze8dRq+hTJxBQ2n4+K7j1IP
n+KDlpO0zy52pGN9duYJwTg+CHffW3pzPx3fVmt1tdU+A3vkk9c/aqdjo6cx
W3fJBMBX2Hz3z7V0HPFut1vhhACsGo4VnL2ajs0qZJXYrgjAWPXIStrldJx4
pUgWAgWg+frnOG3BdFzOVx3yeF0AQu+3vRgkTcdE3WlhYrOC8Ef84YnJZ2k4
x0/FjHbnLLCOUi5WPEnD1qxvCp8ePQciUa51XjVpWOi8a9gddA7sey5cJC1O
w5ZWFFv8qeeg365Nly8tDTspXGTX5z8PFTcnElxt0rDWR4cSCzdh0N09ur57
JA0T3XGKWGUVBY+CsIZW6jSMyelEpM+LQrLiVHAyeRp+R7x6oUZJFHBmxSGu
P6n4vfWuO52fKAgKSJ1A86mY75ulbsegKBAZ6+rGNadiGuUdwcuFYlD7Kv0l
g1MqHkhNCGvVFQftHG2ZC7apODblenq3hzhsOTM26VqkYpLSs6ZkKeIgyXGz
8ZZeKg7OWvD70yoOLYH3Hx+DVPzfwuwLejEJ6JOoKRPgTMVPxmIDTnJKwtaj
zmz5nhS8L3/rlxmTNOQmpDDYfEjB7e/jd6rFpUHSQiMztj0Fb5suSIvpS0MI
3ee09y9SsIS0gfRSvjSQuY0kapSl4DW5mkZaXhlgEVwIN4o4sA92eiQpyIJ0
KZmLl2gK9rgVIxhffwlc3l33qD6bgtsUclcWvl6CgsUCn7kzKdiSqHktjfQy
kJ6TCTXiTsFOa331FXqXobfRLU2eJgW/0ySgM3uXweb90COGuWR8+Ajz+Csj
BOnLFTtPbifjzh8ubcl88tBK+3N3JScZM7I7Nccgedg5r7B3OiMZe82vviw3
lAcjn3HyO3HJuPi4OLl3ijzw/mVgi/ZOxoMJ2h/Yt+Xh5eEQmRvqybjPIub5
bhfAnIhG+NZ+Ep6pjzvtU6gILz9FFHf8l4QLf3P6cLQqQqZ7/bubP5KwOt2j
buIZRbhUw3bk4koStl5dfZR9Rgmyz0wXxgwdrJfbmvn4VAmucAe0Mtcm4TSt
r3vMX5SB+XXl3Hx5EpbLFePZ+6cMSyZjVC+Kk/DGD+Mj509fhdx8+Rtmt5Mw
IQoeuXpfhWVm2pmHMUmYXsq7wY1eBW7RFJFJGSdhEfUvZ6lMVMG1isBPpZeE
Kcp6XN7HqQKoUmiMaiXhX8psQSOPVWE93iUvQikJy+eGNf44pAaKJJJ8H0SS
sKmJ5ZDwSzXY2O26anQoCQs/fLIkJ6wOqvM7ySENiXiGUZTAYaUFZc/iHMoe
JeJE5RN4J0cLSBJYFT9XJWJT22GWs++1oPmM9B5fUSJuerS0bsymDSJOIR79
aYn4COMvltNR2sC+Sqwr4JCISx/R3aYzvw4Lm3THho8m4qf0JYx7SAcU2wp/
E7Mk4pxbBgpEljrwIFtk6Cx9ImayfM+IInXA+MKNjGiKRPyqXd7Rq1UHen3z
iM9vJ+CpV9U/G5V14dkvzvnY7gQcN0qPBM30IG6P/5FYRAK2qjRZ0X5tALFq
hdU/ghJwo5Lra76lA77FUtHkm4BfCHkJ67MYQqwoSdEV5wS8dbh+o8P9gO1G
s9X0EjDVGxrTX6eNILonzd9aKAEzhT75bFlmDNEcZD6n+RLw9RdbeudHDtgh
2GORJwFTGw2pWlObQBSxg6M7awL+LvBkjcjTBCIl5IyDiRMw52JSo6icKYTf
37qcPRyPTx32+Sn0wwzClx1l9frjceavvo6P58whXGpCkr0nHp+O+lA3aW8O
YZ8/Che0xeP9//61un01h1DyhyeqauPxQCImE31vASFuBuRtMfE4h+Mh+ckx
Swi83Ny9KRyPb1m2JgsR2QDl4GvNHsF4nBDmtCnIawO3XXFfxel4/KRgmttX
xQZe3G0bsOCMx7ReJZfns2zgv98fxnoo4nH9xf1NY35bCHs2uFo5HoevJdu/
Z7G1AzrNYfe4kTis+7ahfC/VDgrmRjYsCXGY/UfgE5lndtDCPLbD1hmHDy+4
UT+hsgcin+m/cQ1x+PevusrHDfYQLfyd1jolDk+akxvf4nQExvcb6Zfj4zAM
Ps1jV3OEEvMt+qNRcfgMj1n/70BH6Ej7wdznH4ctV45FTAw7AvnqH64r1gfn
adwAzTtOkFhBeY5DJg7/+2xA5SvmAmknTmr0z8filCkVD+Zn7lC6HJVAMR2L
j3TSWgivu0Pz06lW2fFYvBufOP6MzwNWlYokSwixuDPRfpwu3wPUnHl4fN/E
Ype5TZ0weU+gfMq9zXInFic4vLYHSS/gCQ0/p5YXi0tMl88s6nmBtNI3h/DM
WOxkew599PMCh+H7Y/PxsZgch+tde+YF7/5wvXvuE4vvmP8XKSfrDbGKnPlG
GrG45jvhp6umD9w7HEJIU4nF43NheSe9faBh6OvhNoVY/PfvcMSxmz4w43gn
WlA2FrNSpxjPffMBSDvq+ocvFq8Ekch0+/gC0RAbuk8Ui5OEiGu9q/0gxIF5
bvJpDJa3HBG5pB8IkrVGqLYuBr94/a07JyEQNrYK8oMqY/CCW4aTzotAsA8X
0GQsjMHWRkNMdNxBoJ135blCcgzOMbpyK2k1CHjbHZPKLGPwd32Be9YFIfCN
sm7G2yQGj72d3C0dCoF8ze3LSD8GexKZzpodCQW6r2Fbw9disDrJeXWp6FDY
3cg2oZKKwW1ymLnULQx6uF+fcz0cg4vVLw6omkZAoi1JojRlDC4ADn73exEA
VVenyUhjcG5wUMrR8Qhokui/eX83Gp+MZPhFJhIJxeoL+70z0diUbgCkn0WC
fzBDv+jLaKz8Pq1XqC8Kjg/Z+f+yj8bratxpGVdiwVKDKonLOhqPbQmwe9nF
QnFHzV15s2i82+fwoSA1Fviebr9J0YnG0sYiS5OjsXA+M4qGRy4ab33d96YP
j4MravcfqByNxhyvONOLP8dDZKvcUzfmaLzdFZCTthcPbdKzb7OPRGMNzx6n
XoEEUD4jtDJGHo3PWLHz6MYkgCbZCwmvrShMYsu1HiWbCOYtA135H6Pw4wLJ
7b8vkuCBROB4y7sofOuSbXXuShJM13BuzLRG4aEwKsq0Y8lgf9ea5XxTFH59
dCOzODoZ3AM3LNpKD+wcnlf9rqdAmBjtj+WwKFxzrnHUkiQN7pUpHL8kEoWr
/TXuOJtkQtSd7uu/BaOwwo8kkbKwTLBP14t9djoKn/I6dVvgQSYI+zssiXBG
YQ9yLh7q+UxoU0p5epoiCjvm16qDXxYszfZfPTIWiSl2qlyZi7Ohd8QkuHso
Esvc+97J1JkN9d2zNUmfI3H4Ss9t241sCG34yUD2PhKP6eUf30M5QB/LMbb7
JBLbKg8e4prJAclT1p7TCZHYZMyYq1wmDzjZVooLoyPxHbTCe9g+D4hofAdN
wyKxpPpX70/ZedC5FSc77B2J/Y9KtLqs5YFpWyVZt9mBP0I599nKb0KM1ebt
xguRmEWTPG727G0oRMQxDDgCt8p5Gk4k3IXkZoHt5oYIrNDVSCH/5i74ytyw
cayKwFfb7/sx/74LahdKFHBeBN4VSqJmdr0HO3xKZG6uETh4Xskg3eA+qNEl
xX04GoHF0kKYpZQKQSLlyQ+fIxGYj79umjuuEHgov9odJ4/A//QoJ+LfFsIP
YiFl/41wPPihP2/t1AN48KObgvd9OA7aDzxhWPkAfo7RJ0b4huOVHNrCH2+K
YMpIZlfQORxzPdWn5Zsrgu4hK8chi3DsFNaeX0BVDEV99SrnroXjHyPJss46
xaDeoUs1eiIcdz4VawxePrBX306W/BSG1+7GfvnLVwrqwTxpawJhuE4yaeze
eBkoG5O7q/GE4fmrlKiXshyQ7LJmOWsYXt6TmNUULwex/57SW5GG4UpxE1a5
1HJgD76aOzAWih1Zuuw3UQXMBLnffZURimn9cCft80oIDmquTPoRgkkk7ofI
LdaAr1FR8vxKCNbg37by564FN5l4F4XpEPxE0TqZTq8WLH9rndvrDcGtKs7a
ju21oBw089izIgR7zQabD5TWAWMQdZOBSQiO01Ygzb38GCoDDd+dbg3GMVJ+
JTaX62HxOuVC/bNgvPCL7pGwdT3wCzUdkqsJxqeXdUAhoR7KxtlUjW8FYz8W
eVaF/noohuGP6W7BuOWnhHCDy1O4R6v/+dfRYNy3lGwyWNMAo3PkW7FHgrHQ
CVZ546EG4MCNjIzkwfgBQ5unMFEj3PZi0T27EYQ3l7LIe3QbIW9oYMjyXRAm
HWC5PUf8DNIf6Ix1egfh5e1bPcyuz6EniHRP3zEI37pi1zJ/5znQ6jw9NmsW
hIkPUQwydj2HFHImi38qQVjp1BhnqEATJDr3T4kdD8K8MufbH642QZT49YW7
HwPxn/D8J99jX4LvB80tN95ATLJU1BJK0gJtZK9iajgCcV9Psde+TAvQy59h
WaEPxN/pqELmvFqg5sW+lONeAK5k2tP+Nt0Cs1WPw6yHArBU19vPNzsx6KQx
UhkkBuDiMH1qm8E3IHZj6Ljcqj8+PHVkrGOyDSLT4Un4tD82c+N08Sdth96u
Ong94o/rrr9WsudrB2eFBDvZt/7YaGr0PYlbOxSJS1eLF/hjbeoLMxf32oGe
7Y6kgLY/tudc8eQQfAvfR800GBv8cOyQtojgi/dgXju5FFXlh7u/GfS0z7yH
3nCb+M0HfrhEO6O4ku4D1Jxwwn1pflg+QsXc1O4DODr4imY4+OFHHYbkHqyd
MLmVzELL6Yc9++HZUEIX9FE1jZNH++J7uk8fxNT0ABqVDfYL9MUTQjOK61M9
UFfzmnXO3RcbZJoNvmLrhVStdq0OE1/cNl4bExPbCyp5va3REr54PuJo/rj1
J3jDM/dwf9EHO7Qr8XzI74MnUozuv7V8cKINvxjfzX6wJ7FUy1fywavGCTYL
L/uBo6eWT+aiDz5SXpL3a6IfYq1VJwL5fPDwSx4dSiEC6KdFau/+9cZxKkIn
Kd4S4O/0utivSm9cl6zKpEc1CE9qLx25VeiNr3xjJAu9MAj2gckrknneWPfv
TDGJ+SB8OsxX6h/pjWUO6TCJNwxCsbQZy099b9zZBgPX7IZAJf3jrx1SbyzN
9eha+ugw7BkeHcj97YWdRHfr9GlHoP6Uw2Px7174v23lqpuXR4DzBYmT71cv
vMpR/yumaATWZ2S+bj/2wpbHvSOveXyBXJmK5i0zL/zXLMXfhXcUVMl+3s7W
8cJh/TR3S8xG4V+vgp+YqhemvH9KIODWKDjYTpzzFvfCK4G5a39ox0A2g7Vw
k9oLl2VQTxL2x2BiNjZq47knFvmZb/jx0AQUM2b0ytd54vReGpbGqxNgL5fP
mVPqiRVWLiwZJU7A2t3aRoksTzyS8Tpqi3wS/twYWgp29sSCJLcJcumTwNZ6
5gb5MU98/ueRoHMNU/B1XbRQn8kTD9c8OXd6dAoKuC6tllN54rpwOYkKkmlQ
23hAm7fqgQs6nKfNdabB3nzL93ihBxb7QUGg/jsNBbJ5SuJkHngh7MfcFY9Z
OH2zcmJowx3XMT+nNi6ahZrN10FB4+44Ik/I0X5gFl5WzNe2PHPHTzQtvV0u
z8EQqzSrqpM7TtOkYqnjmgczb/XHK3ruuCzlWm+ewTzM9liqpYM7tmo09hzI
mYet2KRwAqc7pokmxD+iXwC67a/zZr1uWJL5nnwx9yLkaX6PJHrlhhu43uqx
OiwCVxUpZ0m5G97ab3MrerIIglZntRYj3XCgBbu2geYSPGmWW0p2c8NvVLTo
DhctgTS7Xsw5YzfMveZ9IeDnEih/CnvufcEN9/H9q0uoWYYewezrLDxuuLBw
u0qEbgV048tWntO6YXEDeXTCZwWsL386vjfnio8/n7hzQ3sVlm7PvCjsd8U+
s7kZRz+ugufOLx3ArliXYJ2hI74GP7Vo12erXXElEe35mcdrEFbNk5hwICo2
yRUl7bXWIfN3V1FyjCseJeWjbBT+DsVX/V6lubtismSP2lbBDWjIOz6YaeSK
qyzf2i8sbMC7mc71HEVXvENWoFc2tAkjor6Ut4Rd8en6v4RSjy1YieA+eYfD
FQ/Z0PQS2W7Cv54PF++Tu+JaNUfXe+kbQM/lo/dgwwWPm05LUnz6Diedj3mU
jLrg8NDmyvc96yDR9D6x7J0LxkZ10yeo10GFwru48okLrm4J2973XQNjXa7m
mnsuOLbBdSN7fxVci98NPkpwwdRBPZlnk1YhfMPze723C9Y6+Tp14MgqlKS+
PflCxQVHKLwpKZZcgWdfPS41X3DBla9mPlb1L8MHfg59zO2Ch38rcvv5LMNq
h3vS2x1nHMlooU7fvgT/GI+WfJhwxn2VAspWnkvAYNXe/LHLGReM/lrY41kC
yT22jc8PnLHZ882u0JRFULnWRjWY4ozDX7hQlSkugkm+66kRf2fcKikof4Fo
8UBftup/U3fGb8Oo7CjDF6DTzfn18q4Tjh//xyOSOQ9jr5iH12acsOLZwyGf
DedhnQpvbPQ6YZ5MBu3Zk/PAWMbE+6vUCX/xCDx77tUcmH5rTia97oTn5zd5
dP+bBfezDqUUl5zw9iwx/Vj3LEQFM7RQnXHCDyd00i0ezEIZq/3mkT1H/PBN
TZeC2ix81zxiyFXpiH/r9W14VcwAyf0XXsdzHbFFv//3/6JmgHnFJuVkhCPm
/Um8g0xnQDqhqYVfzxGPpz4RXmCcgWhsdVqC2BFz3f6px5w4DSwiDVsaRg44
fYuHpiNtCpwrUk4+VXTAC5KoXMFrClp4bG6wizgc9CN//xPXmwJHBsb6aQoH
/DqnS9GKewpebnl4BTTY4zwwC8ptnATzRqGNB0fsscib2Y6l5QmoP0fKQ/HH
Dj/PuWc+9noCDpV91XKZt8P1ay8Y3bIm4PHNpEcSr+2wsaLBLWPZCSAJXHDv
crbDeasLmC3nG5TJlqxtv7XFM+ezFT6YjcN/9cHHjJ7Y4r+NRk81ZMZBS+iG
Rss9W2xaUeGuwjIOu5zEtYk+tvhCxgn6vN4xUNszdz12whZv/L133Uh5DNYx
x4pyqA0OjQ+/wqA6CiC9xVHjYIPdMzxbWIVG4dbjTjUGHRv8huuFWsDhUZAr
CqwaFbDBRHcvyCkSvkJ29JCT57A1HhLsYViy/gpSStmL+WLWmFa0jsoy6wtU
xUz/tjpujdeezfCJBH8BrjYxGkFaa7zwXfkdsvkCRIhw7uWcFS6hNN/jkPwC
H6SZfb7etsK3x/24ar+NgOHZm3sc+5ZYw7dGvEJ2BLqc5+lmViyxS55z0vEz
I3CpUpKnesQSp/xpoulmGgEevmG4WG+JiSe8bdrWhmHpOHuiiZ0lfn29T5Kl
dPig3xY/LX3LAqPPlN+mjw7DSMnA1Q+eFrit4Q6/B9UwNPP4ORuqWeD/rOy7
+X8PQSzHs0eBe+YH/c1535NfhoCFTlr2hY05frNcM3Pq7hBI/rioJStihnWE
Vq2ozgwBh/eYVxeVGVbz3He8dHQI/q2H5hrPmOJ18y9tN2mG4P3i6y/BN03x
8wZaizcbg2A4hmxf/TXBZlUGmd+aByGoXSHoUqcxbq88x0RuOgi+p+nvphUa
462OE6s5WoPgnjDW/M3PGGdmPWy8pjAIttf8iKJOGmPdt6Ej4kKDoE0oS3gb
YoQzn4k+n/07APwzVDc1zxtihjaupZDyATilNPS8kMwQ90gfH/S/PwDc5cVf
Nr4aYJlFfXQzZwCYXS4ey0kwwEyho3XykQNAtO1aOjypj+n65koVTQZgmKSv
3jJHDwfTFIR/ZBuAftt7A0+c9HD8mvjNnSMD0P3O8SeJnB5mshNduEI5AG3J
xLIPV3Uxf35urORvAtQxXmhdUtLFttvylLVjBKj03Z+W5dLFw2dI5EYHCVA6
9JEsdUsHX7L/YSfwiQB37tiqnC/Uwel3O+d52wgQf/LmJ+/dGzgyo/JNbiUB
omKtN9t7b2ANLg/flhIChM6fZ2J5eAO/aLpGdKiAAN5V7/WfX7+BNxsZeHey
CWAu9nv8T9V1/J103OJiOAGMct/uq0ddx1OlLDmGQQTQ/Zl1osDgOpa4zP4i
x5cAai8F7eTIruPiK0mBNi4EkADT1VgzbfzvfbWAvTEBXEQ4Pt+V1Masyf5f
6vUJUMQ90lh/RBvPP6EiPapDAI6f5f/exGjhKLnf0aLqB/73n/qwLqGFw+eN
n8+oEGCrrjCLa1ET54vXnHmkRICPDrd4A9U1cdiH5pgsRABpRab1h/80cERK
gm7FpYP88GQ8JzzWwAZdBkIjMgfxfolXE2bRwJPfol5GixNgsZGE2ey9Oqbs
6TXZEz2IJzt8PDlIHWu6UAxmChPg7DV/z/nxa7im24GP5KB/vH1mS4Y58xqu
CzZdmeAnABmZOynANew81mc1xEeAsWa7m/fL1PCxrkNw+BQBVPKnLD4aqmGh
FYt7GicI0OBnJvCbWg0bKlgnlR0nQOp5vWZdD1VM8+MlcTEXAXapP8dFn1DF
IkccohQ5CWC7oK71mKCCwcYxdP8oAfraP7B/i1PBkgSm9X52Alx6oDhNI62C
Zdkk+lvYCFAR+qZaZvkqtsymO93OSgBmo0t+Dveu4vyzRjMTLISD/6jpSp7m
VfxUVJGa5YDXGMQp24muYnkpv1vWzAQwXn/0eaNeGfNQUCZ9YCLAuy6hu9x2
yjg/OX1c+YDFystt1dmUMXUXfe44IwEKYk6dD+5Uwp/GaWtSD5jasvBXeYgS
ztz2P617wP6XOFsHzynhyzoviMQPeJr9VjLppCKudGm4cvaANX8w6opmK2Li
6ZbJSwf88nP6MQtFRRxS9XDR7oD56qgXUn8qYLtTNYblB5ydHP/4ZYUCLpFK
vUB84M8/e5LgRWMFfC/OP9TngJ0VwhVYDyvgU+mMUv8OeOj4f7SKGHDsXLhD
0UF88NdvyMsL8G3X64xmB/HXjWwWFp4CnJlx65LoQb44Gt2cegblcWXi0Mqx
g3zGZy2J/UmQxwpVNHynDvK95Wb3l19WHivX1WzKHdyHudrUW/1VObxDVaEX
wEGALj6zjNgCOaylamf07uD+JEm/GNZry+FO97dk548RgDuwaJjTGeGHwrq+
V3kI8FMk3zmg9wpm6C9X+31QH71LmXv9Ylfwc+2l1faD+okwiTyV/OcSFqXo
aSk5QwBD5sBncxaXsFOPF9kLAQKI9HioyndcxPbl1LBwUJ+TVyw8dlNlsdLh
6KF0kQN/VN88td2RwTsDuRl/xAjwVPfEbp+JDDaNWg2MlDiIz3kmslJQGn+9
7sRIkCWAp5/iW5ZsKXzIpenbg8sH7z3yIVX0b0m8WFTElCB38B5uOmQbf5DA
Awbvdu4pE4C16MPQO2EJvH3ux5tuVQLsVwtwXrgljtO45sVZNAjQ37pSQmN/
ATe+KdffOHjfgWsejc2kopisZSj3szUBrHf7fvO7iOBjvTkFH+wJcJPCNlTw
oTC+S3t5ccT5oL7FFtNG4RymJW/OVPIhQGLSxuPL4fw4+El+5fU4AiBPknXS
5WNYyaDeQK2OAHN34/cbEjjxLb3UsMmnBEh5T81gf/ooJt0uDch6QYBhbibx
D5bM2GJdy0DxQP99u3N1h/0ROWbcrzDZHCeA4JYWW8gyEY706ku2miXAavZj
35fXdluYO9wz15YJ4PrmKint3ECLgcDVGqNdArRX+W0P+hGhe9n4TDzzAATq
uPX5yJKjcPaIQ184B+DsX9tahn0qtPfPc0nl1MBBfVQ95etgQLFah65Hig2A
WGC+m7UGJzKVrtO6cWMAog43b6wKn0HmvG0LVbcGYLf3jjttCD8q/CY8WlM0
AO6ZQatC7wSQw+5xk4HqATBlklp0Nj2LLhQ/Fcl7MwB3ab94+HaIIJohYtr5
lQHwZ9R12NqQQIdbzxw5pDYIYj4KfNE3JdHV09Y6cfqDsEYQm2O4JIUInGns
520O/sc8BhvRBGnUKPsnhyhsEK6zfzL3PHYRLYbvJj2tHwTWI6eFfvHKoUnb
xIwqviE4UPrUOOCAI34r70sMQb8H83J8lxwShc9UcUpDkNZHWsnqKY/OTp28
d/pAH5NlT/NJvgIko/S840PZEGwyPzjpd10JXRCU8zksPgyab9lILpcqoW2r
7e3HysNQ45cxRfZLCXn5dCumGw2D41D4g9x7yigo4NzabsQwfLtlxt2wcBUd
arabf/BpGLo5ODm2w9TQRZ+fIWPBI9BQ/8hH+KMa4jq2/34lYwTuqin2uLBf
Q2VXJN9IPRwB52C3yNn6ayi7uSsnsW8EKL/i+cEFdRR4+TjFScEvoJhv+7Tp
uhbqe2A/tbT0Bc6K/qb9UaCFzl943nuC9CswdabZi65qoS5nSVzC9RW8Qkdp
9RS0kdjva8JJ2l9BrobsTc+4Nnpq+fnw71df4RuNAR9mvIGyyhPmHIpHod/g
hI6ZzA0kLAeU7W9G4V3JSsQfixtI/xfxv+CJUai9GPlFqvYGqlVW4z7EPQah
LpWpj6/qoGvyfHeaCseA4+OfraJQXZRFe+ryj2fjQMf27rhciS4qMSILGRsd
BxKbTPVvnbroyV2pzYvE32DpP94yDjY9lHuL65ibxjdoEtQ0ynmih4QrnrwY
WvkG+skPcOy8PvL8fnIl+sQkXNi8smZFb4BK8sjkL8lOAr3hOAeSNUAGentv
9XQmoes0h//vNAMUNDke+zR+Eq605px1lzBEBjWs/iZbk8DJL2Z8zcIQmbBr
9ZrQTcFuel8Cf5Ih8rGdIvosOAX1podnpscMkd7JF9an7aaAbzc+3yDWCD0Z
+t39ZWIKSC1OvxevM0JW9feivu1PweTb9h2GESPUUHX6hB/PNNzJIdLuFjJG
9xl2FuxtpoFOOJhCnmCM2GrUlFc2puGHnZuP4ElTFK2bzVEmPAv93TRFh9RN
EadnKp+NySzUXajqnfUzRTX3LKm4E2fBkXhBoLDTFAVsGyU8m52FsXuWk0xe
Zsj9X7RMe/UcvCDdP7x5xwzFOD4tfjk5Bzed71/s7TBDnxeW0Um2edCW/noz
kd0ciet3fktPnIcOgo7GHjZHXn0NocaRC1AkuxX8dckcCQbxxKm3L0B4UWbF
cyYLRNWUPJpPuQjSHj2k3g4WSP/r0Y/TdxaBZchFVCvLAoUTBaueXlyErUvU
FmdfWaAX0Xcca6SXQD/ulJnPIUuUdWw513Z2CTqatratuCxRotXDa2fkluHC
amuytqglqqbzH1l8sAz0OpZN50wsURHd3Q0h7xUIjxfW4vK0RKoebEecZ1dg
7cW/Oeo4S5TygZJ/2WIVTNd6Qn/nW6L1ZOaGjalV6OK5z7RYZ4nO8F0K6tJf
A8707Q8+bZYIVmyEkybWwPWPavj+oCWyS3WOZc1ah9eODy6kLFkiNVIDspig
70A39HORdc8Sva6SGszS2QALBY2CYnor9PdGtJAq8yY8flyic57XCi1UpJ00
oNgCYu7/KF9KWaGGL1d1I2ELbqRotyhds0Ill28GWipsQslumc9ncyt0L/C8
533/Ddix2+M387ZC7y+dqfpQ9R2UCDrfFuMO9g/wZwt/sg435apyfPOtUPyz
K0f4t9dgoZZIlajWChnOdh9Xt1oDaU6DfylvrNCxLgVK/rVV+PKD1KlkwQpV
8AYOSeysgKCNMbfwHysUGbtYdSNqBYL7HhNe0lmjBkWmHwksK8BVbXalX8Ia
hQU8CkpXWwY39oZtM1VrdF3E315+dQla4qgrl0ytkcs1ktKerCWwtHzORBxr
jUTFXC76zi/Ck57Dnam3rNFg8sxFz7xFILloG85ebY0IFg8HfyovQikLw5Jw
vzViQ3tSQk8WYLHLucWcxwbllmdsHSqYBxnpVp/lCzaovi2a747ZPCQ/ZBPw
v2qDmnvP/VfHPQ9nIzty0txtkOWneQaJh3PgKcHt1Nxsg8bapLt8W2ehtdiX
W6XPBonMrOgbpcwCI/1HAmHGBpnvez1W1Z+FhuWAKyvUtmjqztxHju8z8Kvw
MxOHkS0y0HW65yE0AyqH+Tsfutoi4uBHJhl/p+F2cHi4aKQtGvMOsfXunQZZ
PaEllXJbNMkd2GrpOw3h1HEtAT9s0V3j36laH6aAwk/aaTDLDvmcUVaTSJ0E
liYryv1SOyT0/GdUi8Mk8P5JLudvskNJbwPSmxUmQT5qfC7kmx3a/F1Yz/zf
BISmRVufFLJHTD/IP2gufYOth90mHh32SOhi8JuVlTEgXvrx3+1he3SpSaXQ
4NEY0J89fqdt2R55fnxc4OgzBufqvUZYGBxQ1E7Bfde9UXBsYdVrNnNA+2bJ
5jXso/BtyFKT6pcDWll+sPTR6QusHU1eE6N2RCfu0K7LH+jxv6ZPU02POaKf
VIZIgvQLHJ0h//hIwRH5Htd1TCkYAd3vVVf1Mx3RXEr10Y6vw9B16IdciYAT
MmjandlxGILn0kkXLps6IzkpPu3SjwSQTeLSofByRq8Dz3HHFhGg5csj709x
zkif2YOhI4AAHcFDT6weOaPMWdk2i9MH/VbzKZF4EheU+900az62H9bkWs5+
qnBBqm79VFd1P4Nn1nX1269d0H9a3oPlwp9hZ2rWxarfBQUEi/ga0nyG/6Jp
qrf/uCBr4vm7D9v7gPKtoQC7lisyujB7Y0SqD06pbp+2+uGK7ubFtU2Y9EJZ
frySILUbyv6hbPWVsxcEl4/abXO7oe6a+8dNx3pAJEWuNE7FDW2IikZ/N++B
Kz1pJ6vuuiGzi7/PiDl3g9F1/uPb8u7IzsKonPV2F2QYmbHHpXsgiQ0mvSeq
72FnJkB/pcgDzb0d4M7nfA/G7tm51xs90Ogpm6KRtXfAF/OennvMA/3MnWI3
zXkHFkO3Y0eZPZFat2C21fRb+LlPEuZr7YnKf4rMETI64LTOsFvZnieq+9j8
i4W3DQxvz6YaHfJC95bFFJr3WyF5fLOalsELoYvxfOWjrbDhQLvszeuFIlhS
m1VyW6E5VN4eXfNC/I8LxWopW0G3rNp85LYX+s9W4OXxPxiif0doUYt7o9bm
cLpzAs3godR2Pu2KNwIZUnvalVdgmkVGR6/qjbgqC4Ncal+BlEBSN4u5NxLl
rhovvfAKVg2zVU8keiOql61NS0ovQb+pVEF6zBu5V1oQr0Q2gQLZwslX897o
Pgy16ao1gYi2AMmVTW9UfN0yUpi5CWgWa98oUPignBXPaPHK5/CG7fllLREf
dETsFaXdyDMQDOiUso/1QUeDZ/sq1BqBrZ2GbSndB0nLytNhjkYgO6L50yXf
B6l35N+QWWmAibL+Bq86H7Sfp7mjn9YAuUOjomEjPsg85frrE0NP4Z/EulDu
WV80F/7MTieoHj7vMPK0DfgiT9ubAmbEj6Gg+soO04QvuqmhGRL38hE4Wzt/
sFvyRfeCPg4seD8Ckr5WT6p/vminnqnAba4OxKo9W7XP+KFhTyFz88+1kGPV
az0R5IfYf9iOTrVXgyX7f5KisX5IKv/N3L3Yajj76TRNTLoful579/e4UjV0
XAp7ylfih9hcj19Y76yCHbazZO7dfuju31lWoZFK0OtNeviX2x+Z8r/Jvkxb
ASfjGoM0BfzRzUyqzpmBcli/OKXx4II/MnQcfUxUUA7xldI/FVT80Yju8sYd
0XJ4FrugnOLlj2geSGtJm5cB20WlxaMd/miecfyybncpfCknEpJyCkCiAmp1
6j+L4OYfj/Rh7wC0Lfa+/VdvEehqTWwGhAYgvVy12O3yIuj9+bqpKSMAvarO
rvhqXAQdSiHKss8C0FWJE1cNOh5A3cwPq8ukgQgVRF9hvVYIrlJ2b8dpAxFZ
xd/yXfJCEEgZ4A9nDUSb6mqBzq0FUCr29HuLQCAqJ+RQ7soUQH6UZ5icdiAa
36mqvy96H2KPr9xWuB+IrIM8F87L3gXwMf47UxaI7ra7SqXu3YH9d50WsY8D
UZ09yXvH1jsQ7F7B97Y9EI3evNZ3V+0OeLy2a1BeDkTiyUryn6zzwdhk8pOq
VBCq+LR4raDyFojcGqTQ/hyEwl16zdqSc6FiM0jwzWgQ6j85qWpvmAs86tya
IvNBaObXWZ0Ivlw4QuyQR/8nCI3yLQzSduTAuvPuqc+8wSjlpkxRMFkOVF/h
lL8RGIyEA9bDPuVnwcl8bNsWHYwe3LjWqOOeBXe2bRLF0oKR21E6qSsKWZBc
UfOJsTgYFTUFPoD1THBkvGJO+BiMTD+/59lUyQS+ecsQ3eMh6MvL7nY9nnQo
kCMv7BAIQQPh+cfNB9OA5W5lm7h4CPIWde9iT0kDMu0tKhbVEPTuX+l0wW4q
zLyIuT3oHYLq0l0H2kdT4EFaWaP+uxBkIB41cqY1CTglVr8buoWi9eK1Nw//
xUHs2YFitoBQVJy3BxNdcbB6qllvKDIUfVlc4E2/FQctjKmvdHJDEcXcb34V
sTiw3hBK0HwViqy8hiwY3WKhqtqFW5EqDO3+MaUQ/hUNTCU6n0mYwhBLi2az
Rlc0hN65GNvKFYYkGKTYCPejQTOJZvmKSBjKdFTSoFOOhk376kYZgzDEJPJj
9/zdKJA+uaIu/DAMOSVGN1kaRELRUcL+Wl0YajWqG48TiQRqhlf1NU1hSNit
s4CMOhLG9pPZBbvD0JtjLv1soREQMS44y7sdhroXSpWNdMPh3W3nEA75cHRZ
PUPhDG8o6B5ZriQfD0cig3xMOlKBcM/r1fWc+XBU9eVVmPO/AJglpP7m2QhH
003GyWTvAsDntrDqJdII5CSRS9+sHwDZJ/wWvQUi0E4OGS9HuD98vkB0ZtIv
AhEel5OUzvgC+83PvW4REWjNosPatt4XLHeL/f8kRqDnH4kzbkb5wkaz0jvW
exFoopHJTP2EL9Arp9hptEWg//wDe6btfODMWZobZoci0dGTJspLJN6gNr59
mpc2EiXaK7/VHfEC9/Sx38v0kYj46nO5U3Ve8GyjtiiQIxLF0m+9mjP2AuVG
7c2cc5GoI22WYqnJE+yv3Mzs0jmwN/yXYUXrAaXaJz5JPYhEFf2D6NkbZzgd
xxtj/zASMb7vpBsJcYayF2ek8qoi0SlRd6NKKWeoOHm+cKvh4Py/OxU6T5yg
ZkfWo7YzErV7D7+/XeMIjbd1j5zajkS64t9dw1vtQbLHoP36biS6v9ScOBhv
D03EJgGRe5FI7VL91zZ1e3jpbDUxfigKfZ8fUTP+agctl9wf3eaKQn8f9ero
/rWFd5MJWnTKUUhAVCUDGdvAVZYU0svXotB1YmPuG/w28EE1/bmLdhSaum/B
NPfTGrrqc493Gkeh7Z+bZxLyrKE3tuh7jEcUGjPuCMsfsYJh/lcZv28frCcv
MVn1tYRFz/VPsytRyGg6f+bwnglM++R8fLkRhf7dKntT/sIExvyl32f+iEJf
zvNGz/qbwKfQ6JZL+1FIOdeqTG7bGJ4lstbmMkajWxl//hhtG0HMgyvJijLR
aOGBzPKnI4YQWjITx3ElGl0l1tlaGjQA/7LEqA2IRmeUaS9n3jMA55r+wHvq
0eiGtqt5qJABaDfZO+xYRKOQDfHFOi194O5LVyyNj0a25NlqDo91gZ1wQS44
JRo9ekj0ri5cFxiGRi5qZ0Yj2cDGNXcNXSAbO3nhb340KmvLf6W7qgMrC89O
6NZGIyddfcVbwjrQtP/tH+lANArbj1889PE66AgLv7A5EYOW803eC9zXBF9y
lkedfDEoV19G1v6aJuSO/lcqfDYGxQxTZEX+pwFDCe8y/0jGoB1y3iwlEw0w
njRzzFGPQZoGw219fOpgmZXK1h4Qg47lrd3/N6MKUQ7ehwXCYg70KD06XKgK
xZcNSTOiY9D3IDraYWNVmF069d04LQZ53r+BcgdUwAFevdsqjkFnJG+9C++7
Cu7bS34ne2MQctn57L2oBBmdn1wSCTHI1Tdc5XqdEjwubLRaH4lBG528ST2+
SrB1LUrj5UwMYud/9uw2qRL4lbKfvvE7Bh1qiJ28xq8IoXpXB6J4Y5E0dUJw
RyrAfaFzXQsCsahu4PorbALQQsz0RkM4FlV6RW8gIYD92m/VR2Vjke1XhozO
j/IQTeEf80QrFhmf4x7/yigPJWMmQWx6sSjR7/jU0JwcdNTLe4QZxyJe28YV
9RdyQGFx2ETVLhYxd+dPFlnJwRmJbe1HzrHovyC1i+GScqBC80WZxTMWsdps
B3+ikQPHqZZLIX6xKIOqrJW/HUHS81KxqeBY9HmTyPqWB4L/AaSXEM4=
       "]]},
     Annotation[#, "Charting`Private`Tag$20384520#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5495644849835167`*^9, 3.549564494417056*^9}, 
   3.5496018463296785`*^9, 3.5496156694957514`*^9, {3.5496157214906425`*^9, 
   3.5496157615409174`*^9}, 3.5496158640651083`*^9, {3.549617087906289*^9, 
   3.549617108170725*^9}, 3.549618062677851*^9, 3.5496181049851255`*^9, 
   3.5496194127582912`*^9, 3.549621364448417*^9, 3.549777334130052*^9, 
   3.5497775171973734`*^9, 3.5497957137802124`*^9, 3.54979635761019*^9, 
   3.549796491614425*^9, 3.5497972952056527`*^9, 3.5497975151994553`*^9, 
   3.5498931710200777`*^9, 3.8266216753080406`*^9},
 CellLabel->"Out[1095]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"16c22d58-0fc0-48eb-81b7-2de825dd02c4"],

Cell[BoxData[
 TemplateBox[{
  "NIntegrate","slwcon",
   "\"Numerical integration converging too slowly; suspect one of the \
following: singularity, value of the integration is 0, highly oscillatory \
integrand, or WorkingPrecision too small.\"",2,1096,378,29134194936382683519,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.5497965128938627`*^9, 3.54979731640609*^9, 
  3.549797535869491*^9, 3.5498931936245174`*^9, 3.8266216858654733`*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"21954635-3a2f-4513-ba31-9b1a432a4058"],

Cell[BoxData[
 TemplateBox[{
  "NIntegrate","eincr",
   "\"The global error of the strategy GlobalAdaptive has increased more than \
\\!\\(\\*RowBox[{\\\"2000\\\"}]\\) times. The global error is expected to \
decrease monotonically after a number of integrand evaluations. Suspect one \
of the following: the working precision is insufficient for the specified \
precision goal; the integrand is highly oscillatory or it is not a \
(piecewise) smooth function; or the true value of the integral is 0. \
Increasing the value of the GlobalAdaptive option MaxErrorIncreases might \
lead to a convergent numerical integration. NIntegrate obtained \
\\!\\(\\*RowBox[{\\\"4.380124780601273`*^6\\\"}]\\) and \
\\!\\(\\*RowBox[{\\\"95.42787720803662`\\\"}]\\) for the integral and error \
estimates.\"",2,1096,379,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.5497965128938627`*^9, 3.54979731640609*^9, 
  3.549797535869491*^9, 3.5498931936245174`*^9, 3.826621705801073*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"1936a81f-a767-4c19-bbbd-baec08015c42"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CurrentAtomNumber = \"\>", "\[InvisibleSpace]", 
   "4.380124780601273`*^6"}],
  SequenceForm["CurrentAtomNumber = ", 4.380124780601273*^6],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.5498931703804765`*^9, 
   3.826621705836051*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"46fae8dd-ec6c-4f0c-a9d0-63268cd93f87"],

Cell[BoxData[
 TemplateBox[{
  "NIntegrate","slwcon",
   "\"Numerical integration converging too slowly; suspect one of the \
following: singularity, value of the integration is 0, highly oscillatory \
integrand, or WorkingPrecision too small.\"",2,1101,380,29134194936382683519,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.5497965128938627`*^9, 3.54979731640609*^9, 
  3.549797535869491*^9, 3.5498931936245174`*^9, 3.826621716360504*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"231d5a2e-409c-4ef6-afcf-cda33010a0e5"],

Cell[BoxData[
 TemplateBox[{
  "NIntegrate","eincr",
   "\"The global error of the strategy GlobalAdaptive has increased more than \
\\!\\(\\*RowBox[{\\\"2000\\\"}]\\) times. The global error is expected to \
decrease monotonically after a number of integrand evaluations. Suspect one \
of the following: the working precision is insufficient for the specified \
precision goal; the integrand is highly oscillatory or it is not a \
(piecewise) smooth function; or the true value of the integral is 0. \
Increasing the value of the GlobalAdaptive option MaxErrorIncreases might \
lead to a convergent numerical integration. NIntegrate obtained \
\\!\\(\\*RowBox[{\\\"965526.4448533405`\\\"}]\\) and \
\\!\\(\\*RowBox[{\\\"76.43955676061708`\\\"}]\\) for the integral and error \
estimates.\"",2,1101,381,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.5497965128938627`*^9, 3.54979731640609*^9, 
  3.549797535869491*^9, 3.5498931936245174`*^9, 3.826621733328949*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"8518a8b3-95de-49bc-ada8-18804914c451"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DimpleAtomNumber = \"\>", "\[InvisibleSpace]", 
   "532739.5384782514`"}],
  SequenceForm["DimpleAtomNumber = ", 532739.5384782514],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5495643921482067`*^9, 3.549564494046035*^9, 3.549601845955278*^9, 
   3.549615669090151*^9, {3.5496157213970423`*^9, 3.5496157612239122`*^9}, 
   3.5496158637531075`*^9, {3.549617087375888*^9, 3.549617107858724*^9}, 
   3.5496180621474504`*^9, 3.549618104641925*^9, 3.549619412321491*^9, 
   3.5496213640272164`*^9, 3.54977733302245*^9, 3.549777516214572*^9, 
   3.549795713374612*^9, 3.549796357157789*^9, 3.5497964912244244`*^9, 
   3.549797294784452*^9, 3.5497975147938547`*^9, 3.5498931703804765`*^9, 
   3.8266217474631577`*^9},
 CellLabel->
  "During evaluation of \
In[1066]:=",ExpressionUUID->"a1584387-9294-48bf-b49c-6dd25eb5c7c1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Can", " ", "mean"}], "-", 
    RowBox[{
    "field", " ", "pressure", " ", "explain", " ", "dependence", " ", "of", 
     " ", "BEC", " ", "size", " ", "on", " ", "reservoir", " ", 
     RowBox[{"density", "?"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kB", "=", 
     RowBox[{"1.3806503", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "23"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"0.052917721086", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hbar", "=", 
     RowBox[{"1.05457148", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"2", "*", "Pi", "*", "hbar"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"massunit", "=", 
     RowBox[{"1.66053886", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", "=", 
     RowBox[{"88", "*", "massunit"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Omega", "=", 
     RowBox[{"2", "*", "Pi", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"630", "*", "245", "*", "245"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "3"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"124", "a0"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g", "=", 
     RowBox[{"4", "*", "Pi", "*", 
      RowBox[{"hbar", "^", "2"}], "*", 
      RowBox[{"a", "/", "m"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPot", "=", 
     RowBox[{"600", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}], "*", "kB"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"900", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Upot", "=", 
     RowBox[{"3", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}], "*", "kB"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"waist", "=", 
     RowBox[{"22.5", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rCutOff", "=", 
     RowBox[{"22.5", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"N0", "[", "ChemPot_", "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"8", "*", 
        RowBox[{"Pi", "/", "15"}]}], ")"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "*", 
         RowBox[{"ChemPot", "/", 
          RowBox[{"(", 
           RowBox[{"m", "*", 
            RowBox[{"Omega", "^", "2"}]}], ")"}]}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"3", "/", "2"}], ")"}]}], "*", 
      RowBox[{"ChemPot", "/", "g"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "semiclassical", " ", "Bose", " ", "distribution", " ", "of", " ", 
     "atoms", " ", "in", " ", "excited", " ", "states", " ", "in", " ", 
     "presence", " ", "of", " ", "BEC", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"for", " ", "T"}], "<", "Tc"}], ")"}], " ", "including", " ", 
     "BEC", " ", "mean", " ", "field"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeBroglieWavelength", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "Pi", "*", 
       RowBox[{
        RowBox[{"hbar", "^", "2"}], "/", 
        RowBox[{"(", 
         RowBox[{"m", "*", "kB", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HarmonicPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"0.5", "*", "m", "*", 
      RowBox[{"Omega", "^", "2"}], "*", 
      RowBox[{"r", "^", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GaussPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"Upot", "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "2"}], 
          RowBox[{
           RowBox[{"r", "^", "2"}], "/", 
           RowBox[{"waist", "^", "2"}]}]}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Potential", "[", "r_", "]"}], ":=", 
     RowBox[{"GaussPotential", "[", "r", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialWithBECMeanField", "[", 
      RowBox[{"r_", ",", "ChemPot_"}], "]"}], ":=", 
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{"Potential", "[", "r", "]"}], "-", "ChemPot"}], "]"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"density", "[", 
      RowBox[{"r_", ",", "ChemPot_"}], "]"}], ":=", " ", 
     RowBox[{
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"PotentialWithBECMeanField", "[", 
            RowBox[{"r", ",", "ChemPot"}], "]"}]}], "/", 
          RowBox[{"(", 
           RowBox[{"kB", " ", "*", "Temperature"}], ")"}]}], "]"}]}], "]"}], 
      "/", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"densityBEC", "[", 
      RowBox[{"r_", ",", "ChemPot_"}], "]"}], ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"ChemPot", "<", 
        RowBox[{"Potential", "[", "r", "]"}]}], ",", "0", ",", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"ChemPot", "-", 
          RowBox[{"Potential", "[", "r", "]"}]}], ")"}], "/", "g"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Ntherm", "[", "ChemPot_", "]"}], ":=", 
     RowBox[{"Abs", "[", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"4", "*", "Pi", "*", 
         RowBox[{"r", "^", "2"}], "*", 
         RowBox[{"density", "[", 
          RowBox[{"r", ",", "ChemPot"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", "0", ",", "rCutOff"}], "}"}]}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NBEC", "[", "ChemPot_", "]"}], ":=", 
     RowBox[{"Abs", "[", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"4", "*", "Pi", "*", 
         RowBox[{"r", "^", "2"}], "*", 
         RowBox[{"densityBEC", "[", 
          RowBox[{"r", ",", "ChemPot"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", "0", ",", "rCutOff"}], "}"}]}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aho", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"hbar", "/", 
       RowBox[{"(", 
        RowBox[{"m", "*", "Omega"}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"rTF", "[", "ChemPot_", "]"}], "=", 
     RowBox[{
      RowBox[{"15", "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "5"}], ")"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"N0", "[", "ChemPot", "]"}], "*", 
         RowBox[{"a", "/", "aho"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "5"}], ")"}]}], "*", "aho"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"iMax", "=", "2"}], ";", "\[IndentingNewLine]", 
     RowBox[{"ResultTable", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", "iMax", "}"}], ",", 
        RowBox[{"{", "2", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ResultTable2", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", "iMax", "}"}], ",", 
        RowBox[{"{", "2", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"MinChemPot", "=", 
      RowBox[{"00", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "9"}]}], "*", "kB"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"MaxChemPot", "=", 
      RowBox[{"600", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "9"}]}], "*", "kB"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", 
       RowBox[{"i", "\[LessEqual]", "iMax"}], ",", 
       RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ChemPot", "=", 
         RowBox[{"MinChemPot", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"MaxChemPot", "-", "MinChemPot"}], ")"}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"i", "-", "1"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"iMax", "-", "1"}], ")"}]}]}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ResultTable", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], "=", 
         RowBox[{
          RowBox[{"density", "[", 
           RowBox[{"rCutOff", ",", "ChemPot"}], "]"}], "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "6"}]}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ResultTable", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}], "=", 
         RowBox[{"NBEC", "[", "ChemPot", "]"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ResultTable2", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}], "=", 
         RowBox[{
          RowBox[{"ResultTable", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"density", "[", 
             RowBox[{"rCutOff", ",", "ChemPot"}], "]"}], "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "6"}]}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ResultTable2", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], "=", 
         RowBox[{
          RowBox[{"10", "^", "6"}], "*", 
          RowBox[{"ChemPot", "/", "kB"}]}]}], ";"}]}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ListPlot", "[", "ResultTable", "]"}], "\[IndentingNewLine]", 
      RowBox[{"ListPlot", "[", "ResultTable2", "]"}]}]}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialWithBECMeanField2ndOrderhelp", "[", "r_", "]"}], ":=", 
     RowBox[{
      RowBox[{"PotentialWithBECMeanField", "[", 
       RowBox[{"r", ",", "ChemPot"}], "]"}], "+", 
      RowBox[{"2", "*", "g", "*", 
       RowBox[{"density", "[", 
        RowBox[{"r", ",", "ChemPot"}], "]"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"ZeroPosition", "=", 
      RowBox[{
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
              "PotentialWithBECMeanField2ndOrderhelp", "[", "hr", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"hr", ",", "1"}], "}"}]}], "]"}], "/.", 
            RowBox[{"hr", "->", 
             RowBox[{"(", "r", ")"}]}]}], ")"}], "==", "0"}], ",", 
         RowBox[{"{", 
          RowBox[{"r", ",", 
           RowBox[{"1", "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "6"}]}]}]}], "}"}]}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"RZ", "=", 
      RowBox[{"r", "/.", "ZeroPosition"}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"RZ", "=", 
     RowBox[{"7.2", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialWithBECMeanField2ndOrder", "[", "r_", "]"}], ":=", 
     RowBox[{
      RowBox[{"PotentialWithBECMeanField2ndOrderhelp", "[", "r", "]"}], "-", 
      RowBox[{"PotentialWithBECMeanField2ndOrderhelp", "[", "RZ", "]"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"density2ndOrder", "[", "r_", "]"}], ":=", " ", 
     RowBox[{
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"PotentialWithBECMeanField2ndOrder", "[", "r", "]"}]}], 
          "/", 
          RowBox[{"(", 
           RowBox[{"kB", " ", "*", "Temperature"}], ")"}]}], "]"}]}], "]"}], 
      "/", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PlotRadius", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Potential", "[", 
         RowBox[{"r", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "6"}]}]}], "]"}], "*", 
        RowBox[{
         RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", 
       RowBox[{
        RowBox[{"PotentialWithBECMeanField", "[", 
         RowBox[{
          RowBox[{"r", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}]}], ",", "ChemPot"}], "]"}], "*", 
        RowBox[{
         RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", 
       RowBox[{
        RowBox[{"PotentialWithBECMeanField2ndOrder", "[", 
         RowBox[{"r", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "6"}]}]}], "]"}], "*", 
        RowBox[{
         RowBox[{"10", "^", "6"}], "/", "kB"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "PlotRadius"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialWithBECMeanField2ndOrder", "[", 
     RowBox[{"3", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], "]"}], "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"density", "[", 
         RowBox[{
          RowBox[{"r", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}]}], ",", "ChemPot"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"densityBEC", "[", 
         RowBox[{
          RowBox[{"r", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}]}], ",", "ChemPot"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"density2ndOrder", "[", 
         RowBox[{"r", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "6"}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "PlotRadius"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<N0 = \>\"", ",", 
      RowBox[{"N0", "[", "ChemPot", "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ntherm = \>\"", ",", 
      RowBox[{"Ntherm", "[", "ChemPot", "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<NBEC = \>\"", ",", 
      RowBox[{"NBEC", "[", "ChemPot", "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Ntherm2ndOrder", "=", 
     RowBox[{"Abs", "[", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"4", "*", "Pi", "*", 
         RowBox[{"r", "^", "2"}], "*", 
         RowBox[{"density2ndOrder", "[", "r", "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"r", ",", "0", ",", "rCutOff"}], "}"}]}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ntherm2ndOrder = \>\"", ",", "Ntherm2ndOrder"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<n2ndOrder(rCutOff) = \>\"", ",", 
      RowBox[{
       RowBox[{"density2ndOrder", "[", "rCutOff", "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<n(rCutOff) = \>\"", ",", 
      RowBox[{
       RowBox[{"density", "[", 
        RowBox[{"rCutOff", ",", "ChemPot"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<npeakBEC = \>\"", ",", 
      RowBox[{
       RowBox[{"densityBEC", "[", 
        RowBox[{"0", ",", "ChemPot"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Depletion", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"densityBEC", "[", 
         RowBox[{"0", ",", "ChemPot"}], "]"}], "*", 
        RowBox[{"a", "^", "3"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<depletion = \>\"", ",", "Depletion"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<rTF = \>\"", ",", 
      RowBox[{
       RowBox[{"rTF", "[", "ChemPot", "]"}], "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.549628617409438*^9, 3.549628650637497*^9}, {
   3.5496286876407623`*^9, 3.5496288062477703`*^9}, {3.549629067407829*^9, 
   3.5496292028004665`*^9}, {3.5496292390237303`*^9, 
   3.5496294028396177`*^9}, {3.549629435802476*^9, 3.549629503319394*^9}, {
   3.549629537155854*^9, 3.5496298159127436`*^9}, {3.549629855490013*^9, 
   3.5496301962736115`*^9}, {3.5496302320444746`*^9, 3.54963024070249*^9}, {
   3.549630289546176*^9, 3.5496303611815014`*^9}, {3.5496304083247843`*^9, 
   3.549630441318842*^9}, {3.549630479476509*^9, 3.549630685381271*^9}, {
   3.5496307345369573`*^9, 3.5496307502773848`*^9}, {3.5496308199471073`*^9, 
   3.549630827965521*^9}, 3.5496325109951077`*^9, {3.5496326258123093`*^9, 
   3.549632685903615*^9}, {3.549632747242923*^9, 3.5496327476017237`*^9}, {
   3.5496327874285936`*^9, 3.549632843307892*^9}, {3.549632896394785*^9, 
   3.5496329093740077`*^9}, {3.5496329959541597`*^9, 
   3.5496329992145653`*^9}, {3.549633404175677*^9, 3.5496334963094387`*^9}, {
   3.5496335272598925`*^9, 3.5496335743095756`*^9}, {3.549633670608545*^9, 
   3.549633670717745*^9}, 3.5496337849111614`*^9, {3.5496366171196456`*^9, 
   3.5496369587144456`*^9}, {3.5496370094369497`*^9, 3.5496370241477757`*^9}, 
   3.549637065331848*^9, {3.549637199211283*^9, 3.5496372005528855`*^9}, {
   3.5496372353721466`*^9, 3.5496372483825693`*^9}, 3.5496372808306265`*^9, {
   3.5496373492211466`*^9, 3.54963737382239*^9}, 3.549637474224166*^9, {
   3.54964297588087*^9, 3.5496430462681932`*^9}, {3.549643100509488*^9, 
   3.5496431181843195`*^9}, {3.5496437859444923`*^9, 3.549643822869757*^9}, {
   3.5496445267322083`*^9, 3.5496446071971498`*^9}, {3.549644712762535*^9, 
   3.5496449265199256`*^9}, {3.549644979170018*^9, 3.549645007796068*^9}, {
   3.549645274431737*^9, 3.5496454318672132`*^9}, {3.5496454982141294`*^9, 
   3.5496455008661346`*^9}, {3.5496479513452587`*^9, 3.549647985337718*^9}, 
   3.5496480322626004`*^9, {3.5496480832746897`*^9, 3.5496481929584827`*^9}, {
   3.5496482443605733`*^9, 3.549648399315645*^9}, {3.5496484517629375`*^9, 
   3.549648472666974*^9}, {3.549648520122257*^9, 3.5496485332934957`*^9}, {
   3.5496485911539974`*^9, 3.5496485992348113`*^9}, {3.549648674894944*^9, 
   3.5496488006935654`*^9}, {3.5496488541090593`*^9, 3.549648881112706*^9}, {
   3.549649160337597*^9, 3.549649170884431*^9}, {3.5496496260776305`*^9, 
   3.549649651926876*^9}},
 CellLabel->
  "In[1103]:=",ExpressionUUID->"9f4a748b-6fd2-4568-a7d4-ec9803d10479"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwd0wk0lekbAPDvo8X+t/wTZbn6bCGlhRju82KkJKMwNdWUa3BJSWKyby0Y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       "]]},
     Annotation[#, "Charting`Private`Tag$20385881#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV0wk01FscB3BrXrYsPZGZsYwlS+iVVyp+V54nXmlBeioyyVJStvRQSYuU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       "]]},
     Annotation[#, "Charting`Private`Tag$20385881#2"]& ], 
    TagBox[
     {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV1nk4Fl8bB3BLO8lSCs/MQ4+y5EeWCtF9WyspFUoqW4okRUQoZUlZCtki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       "]]},
     Annotation[#, "Charting`Private`Tag$20385881#3"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5496487351578503`*^9, 3.549648802176568*^9}, 
   3.5496488828755093`*^9, 3.549649172132433*^9, {3.549649627824834*^9, 
   3.5496496531124783`*^9}, 3.826621748414568*^9},
 CellLabel->
  "Out[1135]=",ExpressionUUID->"9e5401a8-b891-427e-bc1c-83554359bf16"],

Cell[BoxData["0.31338913738327845`"], "Output",
 CellChangeTimes->{{3.5496487351578503`*^9, 3.549648802176568*^9}, 
   3.5496488828755093`*^9, 3.549649172132433*^9, {3.549649627824834*^9, 
   3.5496496531124783`*^9}, 3.82662174842356*^9},
 CellLabel->
  "Out[1136]=",ExpressionUUID->"6ca976e8-6826-48ab-b1ee-c3e8787bc615"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJxF13k0Vd3/B3BDgwxFSuJOXEVIgyZKe/tIIamHVCRTZYgUUaYkUwmFZCqR
aCAiNMiczIQr5NKjzNfFvS4yVH7nWeu71u/8c9ZrnbXPnt6ffdaRs71kfF6A
j49PlZ+P7797kp/tsm3nwvY35u/v/OXFgEoGzfAkzREZUpaIzRJerCoJpNG8
kEDVscz/vDL6bY5wZwCqeKuQN0c4qSyCupQWip4J+CssEFadOHd30f4emq+w
XfxNuGfl47+/O6LREelGnUXCCs9W7JpfeIAslUu5/N4McNbyuPiLmoB2K2ms
WEo4r603bUrnERLR23tHiPC8k2E31z4ZmVV/dhclnMLfHfpL9wlqYnXWiBM+
0Bi1YaYjFZ356x6ylvBw/KHyKcc0tNk0MUuGcPi5Pxa8hXT0TF9/P40wY8Eh
hkN9iQ4n6D5SJXy1mrJ1IjcDuTTed1QnLHO/rX5M5xWS/+diiiZhW2UsOGr/
Gn3QqzQwICyw4P1lyjcHXfoCJcaE23pNyVO6uciq3ujhacKer0Q+THa8QSrx
EtEuhA2iB5dNpuShdwW1mZ6ESZ7lx7mO+Yj9Q2JLIOEynWuciYUCpHPU1C2B
8HLmT8Ux6ge01a1ktI5wZ1mxB3v4A8quEjXuJJzxLP7TaG4hWvWeKzdI2MjN
yIqlU4TkIfCvgA8DYlcUxg7ZlyKm1o8MbcL51wzcrkiXoeVRfJbGhB+xdq/n
+Zahiu8l3mcJuzSvtp/ULUc28mRuCOHVj2oEuB0VKHk0oKWV8MLKty8v7/uE
vt8sahkk3H/z6TFOyickj5P3LhB+a+/3eMKxEu3+et5wgy8DzNV3aI4vfEan
T9Ns/Qg/qUt2HaXWosqrGVYHrjNgKr5A+d/wWtTqw9tnQ/igfX1f61wtylsM
jfUjzBb8ZVrIqEP8S1+WFBLeo2WkGXqrATFLeT/3+DGg+fVvAcWJLyiwQsDP
8AYxXrTCUkytGT1+airnSnjvxhjNW+eakUAsTTuW8N2plzzvlmZ0PU955gfh
HVFfz9tmtqCPina7bvgz4EadqsE2KwaaKD+yuuUmA17kvtuY+YCBLikn+/0h
3BoPghsaGGhUP8leOYDIr/2pImmNNtS1J/t1MOE6wSA1PsmvCHfdkYZABkhp
MVd/qWpHmcGRx1qDGJD9OpTprNaF0mXHrh67zQDWala4gU0XMgjRDLhNWPGq
wX6lmC4kmJ8zX0Y4ZZ/Ik765LiRyVFFdPZQB0bXhduafmahmMruCdIfIa989
7iGLHhQw1WC1JJwBySL1gRK6vcjBZWnuhkgG7NfysfC37EUHCz44OhHudlHZ
OXGtF50/uiEyl7B0a9hgQ0YvWmOxayOKYkBUvKH+bfEfKOJZwzWraAYEbmha
ucj8gexPGBTkxzDAHrUksN360KFcldLcBAbwpc4UMsP6UFhaSYxgIgPil5C6
69L60BWec5sp4ZpaO8rL9j70dd326AXCSsd/p57X7EdvtP8sN3xE1KeD4qvv
/ANIICr9B18yAy5EXy9pjhxEt8i7rxWmEfU1nfpv6ctBBHZPHq5PZ0DiyRq+
1xWDiK9uWNmLcB1JUidiahCJrtx0R+MZA1Sev6jWPzWEtp5RMix9TuTnI6O5
gjqM7jrz93/PIPI9sKkvP3sErcBp911yGdBr+U2ovHYE9TtpmvUTNum8rdbY
P4I25cYlmb8h8lY/5DUgw0IP6xpT9fIYIJibLi51i4VUzuxKUS4g5usrt/+a
1SiKXAy/tOwDA8ol1ydoiI+hlaG05+RyBgjLBSn+u4eD9E4VMxpaifXYF7XF
T5eD3tyVTzzFYEDIqce7ycYcpHL0n5Z+wgKR7w+dduKgYyfUo/+2EefdX7Z9
RxIHRbyWt9rdwYDRbtMXXwS4qG3yvloJkwEN8Yqbyhq4SD0gk00bIPItXq/8
xJqHGn8c1teaY8CH3eQCIxceGjJxeMMj3G95Cf324SFbN42nGfNEfWRJHj8Z
x0MmD3aTZH4T+6FvcV2siYdaDU9eXPzLAJ3AsS9ee6dQAB87oW9JG8xOr/Iw
lppGFTU7I1ZLtIEt83ipYMMMaluqEr5SpQ1cPwfZXlKcR2Fz95W8zrVB7mVR
E2n9P6g8v2iw/0kbPPFxYm09yYcbzd+ddRxrg4Dk3/9MsfnxjgheT9q+r8DH
6MVF3oK4WXGuuS/6K2x0t/M8rrwUF7s0jt+b/wr903EnRIqXYfPYLaQj59vB
YODC9WhXISz1KyEztr8djPojVSgUYbxxw8nDK106gPXJ1r8mSwTbjF/V0Jjv
ADWJdrKOlRj+LJRSa5jSCcJo2qabtxKPXPEIuav/DQ6Nmf+SNxXHgd+WXu6S
6ILOinP85qoSWLgptWjHSBcU3K60pE1L4F+qSMivkgl2Sz16m5pWY1qeaahb
TTecdfMpEE2UxOmXa+WtWntgi71Kk6HNGjw9RtPwmfgOX1arinhorMW+ZpIX
mXK98DE74KGqoBSu6DHdtrOlF3z4lY819EjhgiyfVUZpP0C421vPJX8d5smk
+L8P/wkDz+Rikn2l8X2D9QtR/n0Qo7R+yQfT9fh0ybHvvln9EJloV21Dk8F3
Gt6LsrkDcO1qwBVfugz2ll7uoPdrACyNH1PjNsrgyAhh6Re/B0BVuP1ag6oM
VuqihbguH4RaL12l3Roy2Kz6m8hm8iAImCmEihrL4EcXhM8a6A+Cx7qfBu8C
ZfAhdpuWVtogmMecaRIdksF+bS57yXZDQMoTlnViyWCHJT5Of52H4N+Wd/a1
YzKY1cGTGLgyBOdWreYPmZLB7y8ED1TcHAKXO1Xqi/yy+Kn1j6flSUMQ4L8l
gUuSxSJFKm8Z7UPw0pn/XLuxLKY+Ls6IOjIMzmHZOTtOyOJhHePSHabDoJZx
+k+0mSyOCcWJ3y2G4c1QQexRa1l8xq7260HnYSiyvVBbc1EWl9WnN10IG4bm
Uwy1j7dlcW4xL0O0fhhmD6TPJZfI4nX+Fl20YyPg+zE5sLJcFoeaUHkKp0aA
b3ui2Egl0d9CVfJW6xFYTr0nt71eFmed2suzvDwCUnOe+pUdsjj4bb/O+qgR
UM8yTBjmyOLk1AUTybYRcFk7tWcbnYTVH1cNpVizYDJsvMJ0IwnXP0g9UejI
Ag+BEUPvTSS8Jo5X1+PGAt+JHutPW0g4vjJLUSeYBWG11bdN95FwBhGUOxks
eHH9YaeXKQmv3NdYTP/Fgr4B8Ky4RbRveOl+OmEUILkpVTmMhM0/6uox0kYh
5ZR5Y/RdEua+P1x0OmcULOtd5c8+IGEZloNDcvUodOWkNAg+JeGZXOsjszOj
0Orzl6ZbQsJuPh+HlMzYsG3nncNZ5SQs5H1Iu+Y8GyLH115d+5mEHccWXX3d
2GBks7l+oJ6EFcpC0xTC2fCm4b+LhD197JY+useGuoMWHiHfSHjXpxTm9TI2
VEgU1lZPkXC0M3X/i81jIFevO7VlloRz0+1ny/aOgX9QCyV+gZivlMLAlP4Y
7P81fMVBgIy39i07k2M3BoXd6ygrxMk4JMCnL+jJGLx57uFmoELGLRO6OzeT
x0HChj/pjRoZby8VfY82j8NlmYhqme3E89Gf7de0xkEtIo00uoeMTRxvOVpY
jkOGG6Mq7CAZs+bdL0ikjoPVm9DdQXpkrJKf3OvzahxStbbJNtqQcRZt3pW+
fQIqjIQDF86RcexeJ6cGnQn4adXH2uRAxqnp2yaemU4APeBBYYgLGQ84hB2Z
8ZqAtKo5M+xDxg6eFaHKnyegsqO13MWPjPPWfLof1jkB/cOZm5JuknGgpOMr
FfYEKIhYzs3dIuMN3bmt0sIcSD9aEZ8XQ8aupGXbG9Q5UGX9kO9nHBkLzGS6
Ju7nwKCru4P4QzKWH+QrjtbnwMaYjXsuPiFjtfJiXyFrDjzrvNOxMZuMu1ZZ
n9C+R7QfOYtMc8k4HzRXxD8k2s/vex6YT8a7pL99UX7BAUXyxNXeQjKu2GUR
LFHBgRc2JlKJ1WTsl2TtdWyOAzVuqn41dWR8fYRymbecC8OBSwdnGsn4lskm
/xkpLig9e1dg0kbGv5qypzV2cUHvXSQ5oIOMj68cOxJ2kAsONY7BOV1k3NSz
TMjqJBdesmRNxX6QcbnYgSWl3lyoW5gq2ttPxqVT85qOEVxgiTYpXBgi42+F
ma2tKVxQ3uI/VTVG7B/n1EHdOi4YYDOLaQ4ZGwd7Tof3cuHCP9sr6VNkbOMt
1rV2lgsZV/rv+8+T8ee7n4J+qkxCXVDxQvYfMlaVSrHq1psE1oPYsz18FCz8
YP6fJw6TIPz8Ur3IEgqO0F9NUgifBJX3euqayym4uvbtUpGCSTCslXvoIEzB
Ha76r4sHJ8G5a14gToyCo5TnhA6q8KBzq+iVoVUUbHVAbIP+0f+33//c9T/f
+J/DRxkXPotTcJlqnna1BQ9e/X7VypOk4MyrRslGAjxoEAvRlF9HwTNeXTkq
dZPAplilHpOh4IKQ63vbkyZBdOse4RtkClZb55wq7TkJqtoSblk0CtZKPDXz
7gQxXmPWNyadgjUzKub89xDjPftJW1iRgo23jde+I01CVrCHhP1mCna9GGqR
wuICe9+ZgOCtFHw3QNFhUxsXVKcO8J6qU/DxDeNNTSXEetqu+dqrQYwn1Sar
L5YLL1BevPlBCm7TLbrz9CiRh5nEFV76FKwbv85UC3FBMTvAO86Q6G9ESujY
Fi48IxlbtBlT8NVeUesicS6kzXGoRlbE+jv0ZI92cKA/pzPS2ZaCK3y/yPjV
cYDuUMYfdp6Cg0Pmek8UcyC1/V5ftRMFH/T6FNbwlAPJeWrPtT0pOKV6t+3l
KxxIvOistjOKgnN4ccOhshzoUjiebBJDwbfqWku1JDiwvnuvuFscsX/iOnJr
lnMg3kBkMjuJgt20OWmHBifggWJGgVIGBQ8nb5c7mzABkT+G9pE+UfDHvjeH
Q1cQ9V733cOzjYKFgo3CdXLG4Zbp2cOC0xTcZN3sMypEnBdHuy3Oz1LwaeQT
Xjo7BkX6pi7VCxSsc9fc/e3wGExqHYoKE6DiTWWTzStqx8Bio0qHpDgVe1Bv
mqmHjcH2X5O2CipUHLdGuExo7RjIaIoXvThMxe5Bl5S0o9nwPT7AW9eGiqe+
eK413cuGueiFsOfnqDiJNSjvqsaGNRHuSSscqFh2S1BNihwb9G/alTW6UDH+
OVygIcSGfEeDZSd8qfhtN3IxaB+FO5qro+3iiPeFWsm/9hiFnd1PXt5qpOK/
ex6tESpjgbiaw+zrZiq+fbvicE8BC9g31A51Mqj439kvtcWZLEijf+xX6qJi
bW1++ZQ4FqxxaqPWDVKxqoyS5NAlFsz7Ch5exkfDZ952idjJs+CbyK5yvfU0
fMNtR7bf3RGI3/Qwq/EwDZckrTzX5TcMU7yD6YFHaFjRUvXlhqvDcLRk8pHG
URretnWfv+fFYVhmYhCebkzDumKZz3cQ33sP37kL181ouFV6Zv9SzWEw/nJS
abM9Db81/gMLM0Mg6rHmaXgADX/eJjfc6zEEN8oi4g9/oGEjcwezXcGDcETW
NL1OQQ5P39R7eKSvH7Rdqk9LhMrh7jusl+n3+iCZZKvQMC2HAy8H3tuk/xMU
Pj2PNTotjx+K5u6v2v0DIjdXKLeWyGPPqoF24QO9YMdb0lKrTMdtsXuk5dK/
g23uJC30Hh17pLN8g5b3gHOAyW+DKDpO5F6zjOPrAQ+T/A7R+3RclH4249Vc
N9ye9rgbGUvH1e1tPt9HuyFbY24hLomO1ea7v1s2d8Nc+WL7s0w6pnx/ca0l
oRsiW0UjKqvpOH6JapW7WjckPr3oEFJL9Dd827pVsRueujfp6NXTccyDmL3b
5brhrVTkfH0THUvVNGfPSnZDt7mkA+MrHT+7+dk+ZY4Jin3rdX720bHKcXcp
4j8TtuZ7U9IG6JjRylRmljBBM5g5d36IjmnUFmfL90wwVEzKGWHR8dnkcnen
TCa4OdEoXC4d/wjwdk+OYoLvvptzb3h0POK34uu2MCYEi/1sc5+m4+s35syq
gpgQ//pp2OwsHR+S9GqYvsaEVP8l9oXzdCxwuvZdpCsTMv85D76/6Zgt9rti
sxMT8uWryPv/0nHBJI/dcI4JJbyNc4uLdLylKmaHiyUT/g/e4Cjb
        "]]},
      Annotation[#, "Charting`Private`Tag$20385933#1"]& ], 
     TagBox[
      {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Hk81dkbB/BrqyzJ/ZqJ4lrmZwsjTQtKPWe+p8byk0ySNoySK5VKlsJI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        "]], LineBox[CompressedData["
1:eJxTTMoPSmViYGDQA2IQbRigFqctLOfAAAVneNuslMQR/Ddy8YsCpBB8HUfB
orUKCP7a1lLBdF0k9TaxTa0GSOq/uHxebIzgr0oSufrAEsFfYb95RpQbgr/k
5wd5v3gEf1Zujp7pRARf1GxNacUVBL89NNmb+SuC35kZdnaFtzycb3pn4cr2
swj+DM3Za896K8D59Qd6Z3jvRPB9pUOXnlJRhPMd845HC3Yi+PNlklTOfEXw
VQ4vn+YXrQTnT9A9pHVpH4Kf9pnl4kktZTg/aeMnhc5+BD+nKfiP10QEvzR4
y3WeyQh+x9fSvgnTEPx1lj9/T5+L4P88+P/astUI/oRLPL1HjiP4sxbnZrSd
RPAXl5xz9jiN4G8Tm/Dr9DkE/06UcMblqwi++mNJ50ePEXyDLVVyS54i+Fat
t3+mPkfwfdTnbnj5CsEvylaQ+/gRwa+xafy56TOC38r76ErJVwR/xvrF3T9+
IPiLGljSd/1C8FcHpjrV/EHwtygdk7X7h+Dv+6z28/9/BB8ASlqjug==
        "]]},
      Annotation[#, "Charting`Private`Tag$20385933#2"]& ], 
     TagBox[
      {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Hk01ssfB3BLqy17ep6vPUs8F126pTDTIJHSJWuyJQoRsmu5KFuLJEvJ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        "]], LineBox[CompressedData["
1:eJwVlH881Hccx2WZdblh15Q7n89CO/2QodqI6t27Hi2GpDyKNNI8unQlGaUa
daLH1KiGE8rChHI8+qUNrTodKVd064d+x9Dl7r4/9BMz++P1eP37ej7/eDlG
x4XEmJuZmfmP5v9WqX4RKZcSOBFXk7yqhMdxrpEs70fAvf/DKrWCR9k/eklE
IIF3lsH1ikgem48nLWkKJuDrNbKzYQmP0tXm8a4rCRy5nnin3YPHdNuswpxV
BBj18NYRymN3q71mKJxAWgf7KEXIY8k8D0nbOgIl7zskpn4OrwYJ0gZ/IFCo
WR6U9ITDF5Fd+mkyAruO7ncIus2hsyL3z4wtBKI6e6wrz3FYpnkfBrsI7N4q
utuewuHvy67mn80hUGUvzskVcaiJKjR7oSSgDXNrM1hw2BP/o8ymkIBbYuzA
zHcsSnOkXptPELALrwhd84jF8vuZ96QqAmMu3NtKS1msWLfCrqCZQOnqzLYs
FxZbtrmmtLQS8BgRf/rWjsW+NIueN20EDnoZhqw+ZnFqed35FToCi17tLpR2
Mbi07hBR3COQuS8wRdzOoKxlY3ptJ4Gnn42Iiy4xWKmXhAqfE+CfxQok+Qy2
Dg40+HQTGL5S3T2UxqDeSjsltpdA928pB2bHMTj9qz0DGgOBLmHjmYBFDPpD
WMRrhsC0x06WAzMYjF3u2eQ8QOBhhtpil4jBqoTuX/d8IKCzspyU3WDC1n2N
g6phAkNdF67d2mtCfW7e+sdmFOpeHnCyQBMKTsbdGD+Wgrf1xn+TBo044+LS
WXMtKXg1h6pcThkx4LpjoUxA4Rvxa63e34jyzg/mSiGFo8eykg62GPDgqzux
12wotBd8UvSR3ICnh0538CIKkq/7pk21M+JNYcZcp4kUrt6c/rONwoj9NLIk
WExh7+cu8vz7RrRy9xKkEgrnvAt6PZxN6LrQdlv1ZAoiP+3MvhgTBoToHzx0
pvCUOxHeV2JC+Xr1QoELBVWKYvr+hyasTk+03TCTAqob2xMcGez3XatId6cw
pFXoXnox6DqwmC+dRWEe7+C7btmon+gJfz/zppBcGVDWkcxgxYKz+eFLKBQr
NYaJzQz2vSkYl+xHIaRGPXHGAwZdVIqdygAKrsYwk07PYLlDSIQuhIJc6tcr
FLJY9p75IiiSwvEoz03aQBa7a+8fkkdTaFTV86vXsugsuzzmQAyFCNvvpFVy
FkvuZnc1b6Kwf2VtRU0mi8Vn3U4u3EGBjbziWdbEYsFmuducwxTMU51Gajw5
7JyysnhFDoW3k3Oc7YFD+0c+NtuUFBqGK2fvCOQw3388pzo2ymPuU/6ljMNc
l6rzU6tG91izk88c41D35LD022oKa6L9X84/xeGEvGRlTC2F5fWOnP4ih0fG
+iWXXKCQmJDqfUPHYUe9u/7yHxQG+No2SReHtgmT1jxtoBDVlHdbw3J46Hmv
r4Oawl9zsqWVNjzezr9VPVczyiM6XrTYkUfr4Doadp3CfHFqj2QWj0GWxdnb
b1KI8wv1eTL6F1mXMszybo363G4fIfieR23ilvhzHRSq45/bFf3E44ZeQ+4m
HYV9gf6OulIe/wOWpTde
        "]], LineBox[CompressedData["
1:eJwVkmtUjHkcgGNaR1vOatk6if5v82/LrdhlLG3p54dKF5c6tOpo6WKyUrua
WBmbqVDCjmsp5TIzpVrXHUQkm9XKulWriwrvSAxTM++7o5nKtPbDc54Pz9fH
NSY5LH64lZWV/0f+99s8o+FuMAGfxF7nrBM8zr3+m705hEB00NEp4mwev7v8
JY1aSoC/maySJfCYcr545o1wApJy2dn6MB73lTv6kwgC+/1Up1qAx9NKeYQs
ksAzZVvDsK94rC22WadZRaC7eJj3HiGPnfkZaQvXEOh48iFpzBc8mg8M5JbG
Ebj9jcuiyJE8jt0rKbJJIGATlyWZPcjhItnamvtJBHyz17Ut6+JQvS5oxAop
gZRvh04uqeLwYWytY2U6Ac1m9+6YCxxqV/lMGpdJYIPsvJ+qlEMS5hXSmUPA
OjT0eMkhDnd7f35gbR6Bp7DgsP+PHKpm5ir+KiCwNGux32YxhzVe1pcmFxNw
u/FBciuaQ6PwfXOPkgBjMpiPhXK42rZtwuaLBDyqn/csncqhqP1k2a77BNqq
YxtM7ww42ivBdO4RgXmeBZUNXQZ8l+4V0NJIYOFoZ5/KTgMqadXLiW0EMrT3
tMpHBhy7vonUvyIQENi86YPagP1SQfAIKwbqtqfZp6UbsNV21q1AJwZ8dNOq
MscZMH9S4Zn7wQyYfzbpVsfq8V/eX5UZyoAgvjhg9yo9Lqnmjs1ZwkDK8rf2
VyP0OCI8aI8qjIHcOeJa9xA9pkrNP2xbyUBrMDdjnkiPYQ8jJnqKGcia/bxJ
PFKPdqljFXsyGPAYtTAiLq4X02v25gdfZaBeEmSpoT2o7ag5ZL7GQERhVGv0
uB5cMcDLS68zsODFJy4C+x6cOisyR1DDwBWHx1XRFh22VLinVd352Ms+Fa1p
1eHXeTejpjQxkBjg2LhbrsNXGwwutr0MTP/zSfgMgQ5DnZer6t1coU941HG6
6S3OS6qLss9xheejXuQOE2nx+PgYt7+NrhBpjBH4Zr5Gt9rSI4ujhOAaP7vv
oWM3yj3/mNxQLYRZNhun5jV24Vre+vHdyRTabkrKmAMv8eMjTM6vFNSx5dnH
ftFgYkb4YNB+Cj/5evRbtmgwNVzdbHeQgtbzjSA2VYPZxtR98iMUkrKL2qcl
avDsHPNAXhEF5+4TOe0rNWi+NfSkpILCisRCW5lIg/IGu7236yg03dheotex
WKDYkLDzLoWVV2KSs96wqJA8mB94j8LBncJLTl0sXnaQ9997QKFTOVwd2M5i
e+SYhMZ/KMSd7kiorGfRQ+M0n9VQsDSPt3SUsjhdneai7KLgYCwR5ShY9N7x
1BzfTaFPsK1DdJzFEI+i82+0FBLPWm09eITFjesZF4OBwqPXopbvd7Ao9ZGZ
L/IU9m/SSh1kLO4YxTZJjBS8f9fkPpCymH9OkWsyUVDMP9OFEhZPbbcWX+un
MHBYMG0omcWKZfEoHaTw2YXyZ9fXs6gW3pkw10JBhN3vt4pZrObdzUNDFC5s
saT4xLL4H+qdIs0=
        "]]},
      Annotation[#, 
       "Charting`Private`Tag$20385933#3"]& ], {}}, {{}, {}, {}, {}, {}}}, {}, \
{}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5496487351578503`*^9, 3.549648802176568*^9}, 
   3.5496488828755093`*^9, 3.549649172132433*^9, {3.549649627824834*^9, 
   3.5496496531124783`*^9}, 3.826621749940616*^9},
 CellLabel->"Out[1137]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"5aa09a9c-eb54-4e66-9302-09e2d507d713"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"N0 = \"\>", "\[InvisibleSpace]", "284654.49218857946`"}],
  SequenceForm["N0 = ", 284654.49218857946`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.5496496556240826`*^9}, 3.826621749947612*^9},
 CellLabel->
  "During evaluation of \
In[1103]:=",ExpressionUUID->"8d76f10b-3221-4fec-b273-c531375feb9b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ntherm = \"\>", "\[InvisibleSpace]", "2.149856170160219`*^6"}],
  SequenceForm["Ntherm = ", 2.149856170160219*^6],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.5496496556240826`*^9}, 3.8266217507331233`*^9},
 CellLabel->
  "During evaluation of \
In[1103]:=",ExpressionUUID->"1edc97f8-11fd-4c6d-b557-bc4a847d466c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"NBEC = \"\>", "\[InvisibleSpace]", "894207.9557624568`"}],
  SequenceForm["NBEC = ", 894207.9557624568],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.5496496556240826`*^9}, 3.8266217507411194`*^9},
 CellLabel->
  "During evaluation of \
In[1103]:=",ExpressionUUID->"dc8dcc23-43ed-416e-a52f-7b1e62d4b777"]
}, Open  ]],

Cell[BoxData[
 TemplateBox[{
  "NIntegrate","ncvb",
   "\"NIntegrate failed to converge to prescribed accuracy after \
\\!\\(\\*RowBox[{\\\"9\\\"}]\\) recursive bisections in \
\\!\\(\\*RowBox[{\\\"r\\\"}]\\) near \\!\\(\\*RowBox[{\\\"{\\\", \\\"r\\\", \
\\\"}\\\"}]\\) = \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"7.71216958964173060640409326001870615741040637658443301916122436523`15.\
954589770191005*^-6\\\", \\\"}\\\"}]\\). NIntegrate obtained \
\\!\\(\\*RowBox[{\\\"2.8715835905194883`*^6\\\", \\\"-\\\", \
RowBox[{\\\"1600.169979196675`\\\", \\\" \\\", \\\"\[ImaginaryI]\\\"}]}]\\) \
and \\!\\(\\*RowBox[{\\\"8.400654657767042`\\\"}]\\) for the integral and \
error estimates.\"",2,1141,382,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.5496488879299183`*^9, 3.549649177186842*^9, {3.5496496306172385`*^9, 
   3.5496496582760873`*^9}, 3.8266217522501817`*^9},
 CellLabel->
  "During evaluation of \
In[1103]:=",ExpressionUUID->"be30cfce-c1d1-41f3-a1ee-15100dd902e2"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ntherm2ndOrder = \"\>", "\[InvisibleSpace]", 
   "2.871584036361248`*^6"}],
  SequenceForm["Ntherm2ndOrder = ", 2.871584036361248*^6],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.5496496556240826`*^9}, 3.826621752302148*^9},
 CellLabel->
  "During evaluation of \
In[1103]:=",ExpressionUUID->"df2c401e-0d8f-44fd-bca2-3a092189ae26"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"n2ndOrder(rCutOff) = \"\>", "\[InvisibleSpace]", 
   "2.0350492071985652`*^13", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["n2ndOrder(rCutOff) = ", 2.0350492071985652`*^13, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.5496496556240826`*^9}, 3.8266217523161383`*^9},
 CellLabel->
  "During evaluation of \
In[1103]:=",ExpressionUUID->"72ac039f-4f4e-43de-bb5c-c14a6fbcad98"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"n(rCutOff) = \"\>", "\[InvisibleSpace]", 
   "1.5043691681371658`*^13", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["n(rCutOff) = ", 1.5043691681371658`*^13, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.5496496556240826`*^9}, 3.826621752333129*^9},
 CellLabel->
  "During evaluation of \
In[1103]:=",ExpressionUUID->"c90394b7-4d7d-4691-8354-98fa262a3a6a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"npeakBEC = \"\>", "\[InvisibleSpace]", 
   "1.3200243161421045`*^15", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["npeakBEC = ", 1.3200243161421045`*^15, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.5496496556240826`*^9}, 3.8266217523471203`*^9},
 CellLabel->
  "During evaluation of \
In[1103]:=",ExpressionUUID->"85760354-f48a-4248-a78e-ea306c40d982"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"depletion = \"\>", "\[InvisibleSpace]", 
   "0.019311908400786216`"}],
  SequenceForm["depletion = ", 0.019311908400786216`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.5496496556240826`*^9}, 3.8266217523501167`*^9},
 CellLabel->
  "During evaluation of \
In[1103]:=",ExpressionUUID->"e83d7c71-5fbe-40ba-af00-3e8cc0133b25"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"rTF = \"\>", "\[InvisibleSpace]", "5.048889160372766`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["rTF = ", 5.048889160372766, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5496487359066515`*^9, 3.5496488039081707`*^9}, 
   3.549648884622713*^9, 3.5496491738952365`*^9, {3.5496496289324355`*^9, 
   3.5496496556240826`*^9}, 3.8266217523631105`*^9},
 CellLabel->
  "During evaluation of \
In[1103]:=",ExpressionUUID->"26c83a89-4418-4214-a5a1-e890d97549bb"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Can", " ", "mean"}], "-", 
    RowBox[{
    "field", " ", "pressure", " ", "explain", " ", "dependence", " ", "of", 
     " ", "BEC", " ", "size", " ", "on", " ", "reservoir", " ", 
     RowBox[{"density", "?"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "here", " ", "we", " ", "use", " ", "tables", " ", "to", " ", "represent", 
    " ", "the", " ", "density", " ", "distributions"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kB", "=", 
     RowBox[{"1.3806503", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "23"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"0.052917721086", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hbar", "=", 
     RowBox[{"1.05457148", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"2", "*", "Pi", "*", "hbar"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"massunit", "=", 
     RowBox[{"1.66053886", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", "=", 
     RowBox[{"88", "*", "massunit"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Omega", "=", 
     RowBox[{"2", "*", "Pi", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"630", "*", "245", "*", "245"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "3"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"124", "a0"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g", "=", 
     RowBox[{"4", "*", "Pi", "*", 
      RowBox[{"hbar", "^", "2"}], "*", 
      RowBox[{"a", "/", "m"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPot", "=", 
     RowBox[{"600", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}], "*", "kB"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"1000", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UpotDimple", "=", "3"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dimplewaist", "=", 
     RowBox[{"20", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UpotReservoir", "=", "5"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"reservoirwaist", "=", 
     RowBox[{"200", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rCutOff", "=", 
     RowBox[{"2", "*", "reservoirwaist"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "semiclassical", " ", "Bose", " ", "distribution", " ", "of", " ", 
     "atoms", " ", "in", " ", "excited", " ", "states", " ", "in", " ", 
     "presence", " ", "of", " ", "BEC", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"for", " ", "T"}], "<", "Tc"}], ")"}], " ", "including", " ", 
     "BEC", " ", "mean", " ", "field"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HarmonicPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"0.5", "*", "m", "*", 
      RowBox[{"Omega", "^", "2"}], "*", 
      RowBox[{"r", "^", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DimpleGaussPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"UpotDimple", "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "2"}], 
          RowBox[{
           RowBox[{"r", "^", "2"}], "/", 
           RowBox[{"dimplewaist", "^", "2"}]}]}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ReservoirGaussPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"UpotReservoir", "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "2"}], 
          RowBox[{
           RowBox[{"r", "^", "2"}], "/", 
           RowBox[{"reservoirwaist", "^", "2"}]}]}], "]"}]}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Potential", "[", "r_", "]"}], ":=", 
     RowBox[{
      RowBox[{"DimpleGaussPotential", "[", "r", "]"}], "+", 
      RowBox[{"ReservoirGaussPotential", "[", "r", "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rTableEntries", "=", "5000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Potential", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"i", "-", "1"}], ")"}], "*", 
         RowBox[{"rCutOff", "/", "rTableEntries"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
    "potential", " ", "has", " ", "to", " ", "be", " ", "0", " ", "at", " ", 
     "lowest", " ", 
     RowBox[{"point", "!"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialWiththermalmeanfieldTable", "=", "PotentialTable"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MinChemPot", "=", "0.35"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxChemPot", "=", "0.46"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MinT", "=", 
     RowBox[{"900", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxT", "=", 
     RowBox[{"1000", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NrChemPot", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NthemalTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DensityEdgeTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPotTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TemperatureTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECvsEdgeDensityTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECvsNtotTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECvsChemPot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TvsNtot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"NrChemPot", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"ChemPotNr", "=", "1"}], ",", 
     RowBox[{"ChemPotNr", "<=", "NrChemPot"}], ",", 
     RowBox[{"ChemPotNr", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ChemPot", "=", 
       RowBox[{"MinChemPot", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"MaxChemPot", "-", "MinChemPot"}], ")"}], "*", 
         RowBox[{"ChemPotNr", "/", "NrChemPot"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ChemPotTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "ChemPot"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Temperature", "=", 
       RowBox[{"MinT", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"MaxT", "-", "MinT"}], ")"}], "*", 
         RowBox[{"ChemPotNr", "/", "NrChemPot"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TemperatureTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "Temperature"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"to", " ", "gain", " ", "speed"}], ",", " ", 
        RowBox[{
        "we", " ", "store", " ", "PolyLog", " ", "as", " ", "interpolating", 
         " ", 
         RowBox[{"function", ".", " ", "This"}], " ", "calculation", " ", 
         "has", " ", "to", " ", "be", " ", "executed", " ", "only", " ", "if",
          " ", "T", " ", "or", " ", "maximum", " ", "potential", " ", "depth",
          " ", "changes"}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"DeepestPotential", "=", 
       RowBox[{"1.1", "*", 
        RowBox[{"(", 
         RowBox[{"UpotDimple", "+", "UpotReservoir"}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"DeBroglieWavelength", "=", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"2", "*", "Pi", "*", 
         RowBox[{
          RowBox[{"hbar", "^", "2"}], "/", 
          RowBox[{"(", 
           RowBox[{"m", "*", "kB", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"densityInDependenceOfPotential", "[", "U_", "]"}], ":=", " ", 
       RowBox[{
        RowBox[{"PolyLog", "[", 
         RowBox[{
          RowBox[{"3", "/", "2"}], ",", 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", "U"}], "/", 
            RowBox[{"(", 
             RowBox[{"kB", " ", "*", "Temperature"}], ")"}]}], "]"}]}], "]"}],
         "/", 
        RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"UTableEntries", "=", "1000"}], ";", "\[IndentingNewLine]", 
      RowBox[{"densityInDependenceOfPotentialInterpolated", "=", 
       RowBox[{"Interpolation", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"U", ",", 
            RowBox[{"densityInDependenceOfPotential", "[", 
             RowBox[{"U", "*", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}], "*", "kB"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"U", ",", "0", ",", "DeepestPotential", ",", 
            RowBox[{"DeepestPotential", "/", "UTableEntries"}]}], "}"}]}], 
         "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"check", " ", "quality", " ", "of", " ", "approximation"}], 
       " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"densityInDependenceOfPotentialBoltzman", "[", "U_", "]"}], ":=",
          " ", 
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", "U"}], "/", 
            RowBox[{"(", 
             RowBox[{"kB", "*", "Temperature"}], ")"}]}], "]"}], "/", 
          RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"LogPlot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "densityInDependenceOfPotentialInterpolated", "[", "U", "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"densityInDependenceOfPotential", "[", 
             RowBox[{"U", "*", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}], "*", "kB"}], "]"}], ",", 
            RowBox[{"densityInDependenceOfPotentialBoltzman", "[", 
             RowBox[{"U", "*", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}], "*", "kB"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"U", ",", "0", ",", "DeepestPotential"}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ";"}], "*)"}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"BECdensityTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"thermaldensityTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"PotentialWiththermalmeanfieldTable", "=", "PotentialTable"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"BECdensity", "[", "k_", "]"}], ":=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"PotentialWiththermalmeanfieldTable", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "-", "ChemPot"}], ")"}], "<", 
          "0"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"ChemPot", "-", 
            RowBox[{"PotentialWiththermalmeanfieldTable", "[", 
             RowBox[{"[", "k", "]"}], "]"}]}], ")"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"-", "6"}]}], "*", "kB"}], ")"}], "/", "g"}]}], ",", 
         "0"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"cycle", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"cycle", "=", "1"}], ",", 
          RowBox[{"cycle", "\[LessEqual]", "5"}], ",", 
          RowBox[{"cycle", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BECdensityTable", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"BECdensity", "[", "k", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"PotentialWithBECmeanfieldTable", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialTable", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"2", "*", "g", "*", 
                RowBox[{"BECdensityTable", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "*", 
                RowBox[{
                 RowBox[{"10", "^", "6"}], "/", "kB"}]}], "-", "ChemPot"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           RowBox[{"(*", " ", 
            RowBox[{
            "potential", " ", "has", " ", "to", " ", "be", " ", "0", " ", 
             "at", " ", "lowest", " ", 
             RowBox[{"point", "!"}]}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"PotentialMinimum", "=", 
            RowBox[{"Min", "[", "PotentialWithBECmeanfieldTable", "]"}]}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"PotentialWithBECmeanfieldTable", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialWithBECmeanfieldTable", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "-", "PotentialMinimum"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"thermaldensityTable", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"densityInDependenceOfPotentialInterpolated", "[", 
               RowBox[{"PotentialWithBECmeanfieldTable", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "  ", "]"}], " ", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"PotentialWiththermalmeanfieldTable", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialTable", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"2", "*", "g", "*", 
                RowBox[{"thermaldensityTable", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "*", 
                RowBox[{
                 RowBox[{"10", "^", "6"}], "/", "kB"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           RowBox[{"(*", " ", 
            RowBox[{
            "potential", " ", "has", " ", "to", " ", "be", " ", "0", " ", 
             "at", " ", "lowest", " ", 
             RowBox[{"point", "!"}]}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"PotentialMinimum", "=", 
            RowBox[{"Min", "[", "PotentialWiththermalmeanfieldTable", "]"}]}],
            ";", "\[IndentingNewLine]", 
           RowBox[{"PotentialWiththermalmeanfieldTable", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PotentialWiththermalmeanfieldTable", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "-", "PotentialMinimum"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], 
           ";"}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"{", 
          RowBox[{
          "PotentialWiththermalmeanfieldTable", ",", 
           "PotentialWithBECmeanfieldTable"}], "}"}], "]"}], 
        "\[IndentingNewLine]", 
        RowBox[{"ListLogPlot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"BECdensityTable", ",", "thermaldensityTable"}], "}"}], 
          ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "Nthermal"}], "=", 
       "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"NBEC", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "<=", 
          RowBox[{"rTableEntries", "+", "1"}]}], ",", 
         RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"r", "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"i", "-", "1"}], ")"}], "*", 
            RowBox[{"rCutOff", "/", "rTableEntries"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Nthermal", "=", 
           RowBox[{"Nthermal", "+", 
            RowBox[{"4", "*", "Pi", "*", 
             RowBox[{"r", "^", "2"}], "*", 
             RowBox[{"thermaldensityTable", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"NBEC", "=", 
           RowBox[{"NBEC", "+", 
            RowBox[{"4", "*", "Pi", "*", 
             RowBox[{"r", "^", "2"}], "*", 
             RowBox[{"BECdensityTable", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}]}]}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
       RowBox[{"Nthermal", "=", 
        RowBox[{"Nthermal", "*", 
         RowBox[{"rCutOff", "/", 
          RowBox[{"(", 
           RowBox[{"rTableEntries", "-", "1"}], ")"}]}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"NBEC", "=", 
       RowBox[{"NBEC", "*", 
        RowBox[{"rCutOff", "/", 
         RowBox[{"(", 
          RowBox[{"rTableEntries", "-", "1"}], ")"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "NBEC"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NthemalTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "Nthermal"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"DensityEdgeTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", 
       RowBox[{
        RowBox[{"thermaldensityTable", "[", 
         RowBox[{"[", 
          RowBox[{"rTableEntries", "+", "1"}], " ", "]"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECvsEdgeDensityTable", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", 
       RowBox[{"DensityEdgeTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECvsEdgeDensityTable", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", 
       RowBox[{"NBECTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECvsNtotTable", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", 
       RowBox[{
        RowBox[{"NthemalTable", "[", 
         RowBox[{"[", "ChemPotNr", "]"}], "]"}], "+", 
        RowBox[{"NBECTable", "[", 
         RowBox[{"[", "ChemPotNr", "]"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECvsNtotTable", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", 
       RowBox[{"NBECTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECvsChemPot", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", "ChemPot"}], ";",
       "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NBECvsChemPot", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", 
       RowBox[{"NBECTable", "[", 
        RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TvsNtot", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", 
       RowBox[{"NBECvsNtotTable", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TvsNtot", "[", 
        RowBox[{"[", 
         RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", "Temperature"}], 
      ";"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"Print", "[", 
       RowBox[{"\"\<ChemPot = \>\"", ",", 
        RowBox[{"N", "[", "ChemPot", "]"}], ",", "\"\< \[Micro]K\>\""}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<Nthermal = \>\"", ",", "Nthermal"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<NBEC = \>\"", ",", "NBEC"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<n_thermal_edge = \>\"", ",", 
        RowBox[{
         RowBox[{"thermaldensityTable", "[", 
          RowBox[{"[", 
           RowBox[{"rTableEntries", "+", "1"}], " ", "]"}], "]"}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
     "*)"}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"{", 
     RowBox[{
     "PotentialWiththermalmeanfieldTable", ",", 
      "PotentialWithBECmeanfieldTable"}], "}"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"BECdensityTable", ",", "thermaldensityTable"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", "NBECTable", "]"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", "NthemalTable", "]"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", "DensityEdgeTable", "]"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"NBECvsEdgeDensityTable", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Max", "[", "DensityEdgeTable", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], "]"}],
    "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"NBECvsNtotTable", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{
           RowBox[{"Max", "[", "NthemalTable", "]"}], "+", 
           RowBox[{"Max", "[", "NBECTable", "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], "]"}],
    "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"NBECvsChemPot", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Max", "[", "ChemPotTable", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], "]"}],
    "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"TvsNtot", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{
           RowBox[{"Max", "[", "NthemalTable", "]"}], "+", 
           RowBox[{"Max", "[", "NBECTable", "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Max", "[", "TemperatureTable", "]"}]}], "}"}]}], "}"}]}]}],
     "]"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.549628617409438*^9, 3.549628650637497*^9}, {
   3.5496286876407623`*^9, 3.5496288062477703`*^9}, {3.549629067407829*^9, 
   3.5496292028004665`*^9}, {3.5496292390237303`*^9, 
   3.5496294028396177`*^9}, {3.549629435802476*^9, 3.549629503319394*^9}, {
   3.549629537155854*^9, 3.5496298159127436`*^9}, {3.549629855490013*^9, 
   3.5496301962736115`*^9}, {3.5496302320444746`*^9, 3.54963024070249*^9}, {
   3.549630289546176*^9, 3.5496303611815014`*^9}, {3.5496304083247843`*^9, 
   3.549630441318842*^9}, {3.549630479476509*^9, 3.549630685381271*^9}, {
   3.5496307345369573`*^9, 3.5496307502773848`*^9}, {3.5496308199471073`*^9, 
   3.549630827965521*^9}, 3.5496325109951077`*^9, {3.5496326258123093`*^9, 
   3.549632685903615*^9}, {3.549632747242923*^9, 3.5496327476017237`*^9}, {
   3.5496327874285936`*^9, 3.549632843307892*^9}, {3.549632896394785*^9, 
   3.5496329093740077`*^9}, {3.5496329959541597`*^9, 
   3.5496329992145653`*^9}, {3.549633404175677*^9, 3.5496334963094387`*^9}, {
   3.5496335272598925`*^9, 3.5496335743095756`*^9}, {3.549633670608545*^9, 
   3.549633670717745*^9}, 3.5496337849111614`*^9, {3.5496366171196456`*^9, 
   3.5496369587144456`*^9}, {3.5496370094369497`*^9, 3.5496370241477757`*^9}, 
   3.549637065331848*^9, {3.549637199211283*^9, 3.5496372005528855`*^9}, {
   3.5496372353721466`*^9, 3.5496372483825693`*^9}, 3.5496372808306265`*^9, {
   3.5496373492211466`*^9, 3.54963737382239*^9}, 3.549637474224166*^9, {
   3.54964297588087*^9, 3.5496430462681932`*^9}, {3.549643100509488*^9, 
   3.5496431181843195`*^9}, {3.5496437859444923`*^9, 3.549643822869757*^9}, {
   3.5496445267322083`*^9, 3.5496446071971498`*^9}, {3.549644712762535*^9, 
   3.5496449265199256`*^9}, {3.549644979170018*^9, 3.549645007796068*^9}, {
   3.549645274431737*^9, 3.5496454318672132`*^9}, {3.5496454982141294`*^9, 
   3.5496455008661346`*^9}, {3.5496479513452587`*^9, 3.549647985337718*^9}, 
   3.5496480322626004`*^9, {3.5496480832746897`*^9, 3.5496481929584827`*^9}, {
   3.5496482443605733`*^9, 3.549648399315645*^9}, {3.5496484517629375`*^9, 
   3.549648472666974*^9}, {3.549648520122257*^9, 3.5496485332934957`*^9}, {
   3.5496485911539974`*^9, 3.5496485992348113`*^9}, {3.549648674894944*^9, 
   3.5496488006935654`*^9}, {3.5496488541090593`*^9, 3.549648881112706*^9}, {
   3.549649160337597*^9, 3.549649170884431*^9}, {3.5496496260776305`*^9, 
   3.549649651926876*^9}, {3.549807388128911*^9, 3.5498074260993776`*^9}, {
   3.549807457096632*^9, 3.549807680629425*^9}, {3.549807736477523*^9, 
   3.5498078486439357`*^9}, {3.5498081328144655`*^9, 
   3.5498082404256706`*^9}, {3.5498083672850933`*^9, 3.549808521491364*^9}, {
   3.549808554251422*^9, 3.549808885003418*^9}, {3.549808963582972*^9, 
   3.5498094727054663`*^9}, 3.549809507836728*^9, {3.5498095988185186`*^9, 
   3.5498096363833847`*^9}, {3.5498096777546577`*^9, 
   3.5498097765964313`*^9}, {3.549809816953702*^9, 3.5498099472795467`*^9}, {
   3.549809982083208*^9, 3.5498100842477875`*^9}, {3.5498101150734415`*^9, 
   3.549810507694931*^9}, {3.549811078408765*^9, 3.54981160933436*^9}, {
   3.5498117410765915`*^9, 3.5498117438533964`*^9}, {3.549811873489624*^9, 
   3.5498118844876432`*^9}, {3.5498119333469296`*^9, 3.549812154040517*^9}, {
   3.5498121906381807`*^9, 3.5498122243538437`*^9}, {3.5498122602183065`*^9, 
   3.549812359403281*^9}, {3.5498123955173445`*^9, 3.54981241282659*^9}, 
   3.549812456337866*^9, {3.5498124991435413`*^9, 3.5498124992683415`*^9}, {
   3.549812539188812*^9, 3.549812582682904*^9}, {3.5498126921631117`*^9, 
   3.549812737215991*^9}, {3.5498128485998335`*^9, 3.549812855885046*^9}, {
   3.5498128990503216`*^9, 3.5498129198607583`*^9}, {3.549812983040869*^9, 
   3.5498131190253553`*^9}, {3.549813162006246*^9, 3.5498132152959394`*^9}, {
   3.5498132532976065`*^9, 3.549813262657623*^9}, {3.549813294202094*^9, 
   3.5498133509705935`*^9}, {3.5498134106718984`*^9, 3.549813454336375*^9}, {
   3.5498134910744395`*^9, 3.549813686152998*^9}, {3.549813747243921*^9, 
   3.5498137479303217`*^9}, {3.549813820283249*^9, 3.54981383252927*^9}, {
   3.549813906630616*^9, 3.549813907410618*^9}, {3.549813967390323*^9, 
   3.5498139683263245`*^9}, {3.5498140213976183`*^9, 3.549814027310028*^9}, {
   3.5498140882475505`*^9, 3.54981410509558*^9}, {3.549814666599428*^9, 
   3.549814700794688*^9}, {3.549815065249421*^9, 3.5498150655770216`*^9}, {
   3.54987307738916*^9, 3.5498730776543603`*^9}, {3.5498734018711605`*^9, 
   3.549873408953573*^9}, {3.5498738119361277`*^9, 3.5498738160077353`*^9}, {
   3.5498743968917866`*^9, 3.549874578446121*^9}, {3.5498746824515038`*^9, 
   3.5498746827479043`*^9}, {3.54987480974896*^9, 3.5498750006781263`*^9}, {
   3.5498750451706204`*^9, 3.5498750494608436`*^9}, {3.5498751429050074`*^9, 
   3.54987514416861*^9}, {3.5498929116251755`*^9, 3.549892963713667*^9}, {
   3.5498931260451984`*^9, 3.549893130288406*^9}, {3.549893218568961*^9, 
   3.5498932213613663`*^9}, {3.5498933093135357`*^9, 3.5498933645220327`*^9}, 
   3.549894895379431*^9, {3.5498949262335005`*^9, 3.5498949312879095`*^9}, {
   3.549894964500368*^9, 3.5498951132956448`*^9}, {3.5498954520964713`*^9, 
   3.5498954758865128`*^9}, {3.549895545259835*^9, 3.549895643945608*^9}, {
   3.549895725939352*^9, 3.549895779338246*^9}, {3.5498958096022987`*^9, 
   3.5498958651383963`*^9}, {3.5498958960576506`*^9, 3.549895956446357*^9}, {
   3.54989600931485*^9, 3.5498960326212907`*^9}, {3.549896128190089*^9, 
   3.5498961490005255`*^9}},
 CellLabel->
  "In[1149]:=",ExpressionUUID->"83e8df4b-79a4-43ff-a2b7-d3e0145bf5e8"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"708.685952`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1186,383,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826621753290533*^9},
 CellLabel->
  "During evaluation of \
In[1149]:=",ExpressionUUID->"897d9e55-9bad-4f15-b65f-9a450c778e7d"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"708.987168`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1186,384,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266217533285103`*^9},
 CellLabel->
  "During evaluation of \
In[1149]:=",ExpressionUUID->"8512cbf3-51b8-482e-99e6-9af1a38b5be3"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"709.288448`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,1186,385,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826621753363488*^9},
 CellLabel->
  "During evaluation of \
In[1149]:=",ExpressionUUID->"6ef3e0db-8bae-4356-993d-afc9c1e86391"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"General\\\", \
\\\"::\\\", \\\"munfl\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,1186,386,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826621753398466*^9},
 CellLabel->
  "During evaluation of \
In[1149]:=",ExpressionUUID->"f182db43-6aab-4e42-9767-106a7925b718"],

Cell[BoxData[
 TemplateBox[{
  "Set","write",
   "\"Tag \\!\\(\\*RowBox[{\\\"Times\\\"}]\\) in \
\\!\\(\\*RowBox[{\\\"Nthermal\\\", \\\" \\\", \\\"Null\\\", \\\" \\\", \
GraphicsBox[List[List[List[], List[List[List[], List[Hue[Skeleton[3]], \
Directive[Skeleton[3]], PointBox[Skeleton[1]]], List[Hue[Skeleton[3]], \
Directive[Skeleton[3]], PointBox[Skeleton[1]]], List[]]], List[], List[], \
List[], List[]]], List[Rule[DisplayFunction, Identity], Rule[GridLines, \
List[None, None]], Rule[DisplayFunction, Identity], Rule[DisplayFunction, \
Identity], Rule[DisplayFunction, Identity], Rule[PlotRangePadding, \
List[List[Scaled[0.02`], Scaled[0.02`]], List[Scaled[0.02`], \
Scaled[0.05`]]]], Rule[AxesOrigin, List[0, 37.05940218732288`]], \
Rule[PlotRange, List[List[0, 5001.`], List[37.23502890520252`, \
48.123885413740076`]]], Rule[PlotRangeClipping, True], Rule[ImagePadding, \
All], Rule[DisplayFunction, Identity], Rule[AspectRatio, \
NCache[Power[GoldenRatio, -1], 0.6180339887498948`]], Rule[Axes, List[True, \
True]], Rule[AxesLabel, List[None, None]], Rule[AxesOrigin, List[0, \
37.05940218732288`]], RuleDelayed[DisplayFunction, Identity], Rule[Frame, \
List[List[False, False], List[False, False]]], Rule[FrameLabel, \
List[List[None, None], List[None, None]]], Rule[FrameTicks, \
List[List[Charting`ScaledTicks[List[Skeleton[2]]], \
Charting`ScaledFrameTicks[List[Skeleton[2]]]], List[Automatic, Automatic]]], \
Rule[GridLines, List[None, None]], Rule[GridLinesStyle, \
Directive[GrayLevel[0.5`, 0.4`]]], Rule[Method, \
List[Rule[\\\"CoordinatesToolOptions\\\", List[Rule[Skeleton[2]], \
Rule[Skeleton[2]]]]]], Rule[PlotRange, List[List[0, 5001.`], \
List[37.23502890520252`, 48.123885413740076`]]], Rule[PlotRangeClipping, \
True], Rule[PlotRangePadding, List[List[Scaled[0.02`], Scaled[0.02`]], \
List[Scaled[0.02`], Scaled[0.05`]]]], Rule[Ticks, List[Automatic, \
Charting`ScaledTicks[List[Log, Exp]]]]]], \\\" \\\", GraphicsBox[List[List[], \
List[List[List[], List[Hue[0.67`, 0.6`, 0.6`], \
Directive[PointSize[Skeleton[1]], RGBColor[Skeleton[3]], \
AbsoluteThickness[Skeleton[1]]], PointBox[List[Skeleton[5001]]]], \
List[Hue[0.9060679774997897`, 0.6`, 0.6`], Directive[PointSize[Skeleton[1]], \
RGBColor[Skeleton[3]], AbsoluteThickness[Skeleton[1]]], \
PointBox[List[Skeleton[5001]]]], List[]]], List[], List[], List[], List[]], \
List[Rule[DisplayFunction, Identity], Rule[PlotRangePadding, \
List[List[Scaled[0.02`], Scaled[0.02`]], List[Scaled[0.02`], \
Scaled[0.05`]]]], Rule[AxesOrigin, List[0.`, 0]], Rule[PlotRange, \
List[List[0.`, 5001.`], List[0, 7.905212396942038`]]], \
Rule[PlotRangeClipping, True], Rule[ImagePadding, All], Rule[DisplayFunction, \
Identity], Rule[AspectRatio, NCache[Power[GoldenRatio, -1], \
0.6180339887498948`]], Rule[Axes, List[True, True]], Rule[AxesLabel, \
List[None, None]], Rule[AxesOrigin, List[0.`, 0]], \
RuleDelayed[DisplayFunction, Identity], Rule[Frame, List[List[False, False], \
List[False, False]]], Rule[FrameLabel, List[List[None, None], List[None, \
None]]], Rule[FrameTicks, List[List[Automatic, Automatic], List[Automatic, \
Automatic]]], Rule[GridLines, List[None, None]], Rule[GridLinesStyle, \
Directive[GrayLevel[0.5`, 0.4`]]], Rule[Method, \
List[Rule[\\\"CoordinatesToolOptions\\\", List[Rule[Skeleton[2]], \
Rule[Skeleton[2]]]]]], Rule[PlotRange, List[List[0.`, 5001.`], List[0, \
7.905212396942038`]]], Rule[PlotRangeClipping, True], Rule[PlotRangePadding, \
List[List[Scaled[0.02`], Scaled[0.02`]], List[Scaled[0.02`], \
Scaled[0.05`]]]], Rule[Ticks, List[Automatic, Automatic]]]]}]\\) is \
Protected.\"",2,1186,387,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826621756431961*^9},
 CellLabel->
  "During evaluation of \
In[1149]:=",ExpressionUUID->"394659da-a747-472c-aa7f-33e09c0b8f70"],

Cell[BoxData[
 TemplateBox[{
  "$RecursionLimit","reclim2",
   "\"Recursion depth of \\!\\(\\*RowBox[{\\\"1024\\\"}]\\) exceeded during \
evaluation of \\!\\(\\*RowBox[{RowBox[{\\\"0.`\\\", \
\\\"\[VeryThinSpace]\\\"}], \\\"+\\\", \\\"Nthermal\\\"}]\\).\"",2,1186,388,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826621756634833*^9},
 CellLabel->
  "During evaluation of \
In[1149]:=",ExpressionUUID->"f249c095-cb30-4c4c-9b30-4ab9b7eb09f8"],

Cell[BoxData[
 TemplateBox[{
  "$RecursionLimit","reclim2",
   "\"Recursion depth of \\!\\(\\*RowBox[{\\\"1024\\\"}]\\) exceeded during \
evaluation of \\!\\(\\*RowBox[{RowBox[{\\\"0.`\\\", \
\\\"\[VeryThinSpace]\\\"}], \\\"+\\\", \\\"Nthermal\\\"}]\\).\"",2,1186,389,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.82662175667181*^9},
 CellLabel->
  "During evaluation of \
In[1149]:=",ExpressionUUID->"7235d09a-4b68-4e99-9209-e876fadd06a1"],

Cell[BoxData[
 TemplateBox[{
  "$RecursionLimit","reclim2",
   "\"Recursion depth of \\!\\(\\*RowBox[{\\\"1024\\\"}]\\) exceeded during \
evaluation of \\!\\(\\*RowBox[{RowBox[{\\\"0.`\\\", \
\\\"\[VeryThinSpace]\\\"}], \\\"+\\\", \\\"Nthermal\\\"}]\\).\"",2,1186,390,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266217567077866`*^9},
 CellLabel->
  "During evaluation of \
In[1149]:=",ExpressionUUID->"bff98c54-0f77-4c5d-9a66-893deff00b1f"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"$RecursionLimit\\\", \\\
\"::\\\", \\\"reclim2\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,1186,391,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266217567437644`*^9},
 CellLabel->
  "During evaluation of \
In[1149]:=",ExpressionUUID->"cfdd630e-21b3-40e1-8c37-45dc348211ff"],

Cell[BoxData[
 TemplateBox[{
  "Set","write",
   "\"Tag \\!\\(\\*RowBox[{\\\"Hold\\\"}]\\) in \
\\!\\(\\*RowBox[{\\\"Hold\\\", \\\"[\\\", RowBox[{RowBox[{\\\"For\\\", \
\\\"[\\\", RowBox[{RowBox[{\\\"cycle\\\", \\\"=\\\", \\\"1\\\"}], \\\",\\\", \
RowBox[{\\\"cycle\\\", \\\"\[LessEqual]\\\", \\\"5\\\"}], \\\",\\\", RowBox[{\
\\\"cycle\\\", \\\"++\\\"}], \\\",\\\", RowBox[{RowBox[{\\\"BECdensityTable\\\
\", \\\"=\\\", RowBox[{\\\"Table\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"BECdensity\\\", \\\"[\\\", \\\"k\\\", \\\"]\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"k\\\", \\\",\\\", \\\"1\\\", \
\\\",\\\", RowBox[{\\\"Plus\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \
\\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\"}\\\"}]}], \
\\\"]\\\"}]}], \\\";\\\", RowBox[{\\\"PotentialWithBECmeanfieldTable\\\", \
\\\"=\\\", RowBox[{\\\"Table\\\", \\\"[\\\", RowBox[{RowBox[{RowBox[{\\\"Part\
\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \\\"\
\[RightSkeleton]\\\"}], \\\"]\\\"}], \\\"+\\\", RowBox[{\\\"Times\\\", \
\\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"4\\\", \\\"\[RightSkeleton]\\\
\"}], \\\"]\\\"}], \\\"+\\\", RowBox[{\\\"Times\\\", \\\"[\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\
\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"k\\\", \\\",\\\", \\\"1\\\", \
\\\",\\\", RowBox[{\\\"Plus\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \
\\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\"}\\\"}]}], \
\\\"]\\\"}]}], \\\";\\\", RowBox[{\\\"PotentialMinimum\\\", \\\"=\\\", \
RowBox[{\\\"Min\\\", \\\"[\\\", \\\"PotentialWithBECmeanfieldTable\\\", \\\"]\
\\\"}]}], \\\";\\\", RowBox[{\\\"PotentialWithBECmeanfieldTable\\\", \
\\\"=\\\", RowBox[{\\\"Table\\\", \\\"[\\\", RowBox[{RowBox[{RowBox[{\\\"Part\
\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \\\"\
\[RightSkeleton]\\\"}], \\\"]\\\"}], \\\"+\\\", RowBox[{\\\"Times\\\", \
\\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\
\"}], \\\"]\\\"}]}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"k\\\", \\\",\\\
\", \\\"1\\\", \\\",\\\", RowBox[{\\\"Plus\\\", \\\"[\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\
\"}\\\"}]}], \\\"]\\\"}]}], \\\";\\\", RowBox[{\\\"thermaldensityTable\\\", \
\\\"=\\\", RowBox[{\\\"Table\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"densityInDependenceOfPotentialInterpolated\\\", \
\\\"[\\\", RowBox[{\\\"Part\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \
\\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}], \\\"]\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"k\\\", \\\",\\\", \\\"1\\\", \\\",\\\", \
RowBox[{\\\"Plus\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \
\\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\"}\\\"}]}], \\\"]\\\"}]}], \
\\\";\\\", RowBox[{\\\"PotentialWiththermalmeanfieldTable\\\", \\\"=\\\", \
RowBox[{\\\"Table\\\", \\\"[\\\", RowBox[{RowBox[{RowBox[{\\\"Part\\\", \\\"[\
\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\"}], \
\\\"]\\\"}], \\\"+\\\", RowBox[{\\\"Times\\\", \\\"[\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"4\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\
\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"k\\\", \\\",\\\", \\\"1\\\", \
\\\",\\\", RowBox[{\\\"Plus\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \
\\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\"}\\\"}]}], \
\\\"]\\\"}]}], \\\";\\\", RowBox[{\\\"PotentialMinimum\\\", \\\"=\\\", \
RowBox[{\\\"Min\\\", \\\"[\\\", \\\"PotentialWiththermalmeanfieldTable\\\", \
\\\"]\\\"}]}], \\\";\\\", RowBox[{\\\"PotentialWiththermalmeanfieldTable\\\", \
\\\"=\\\", RowBox[{\\\"Table\\\", \\\"[\\\", RowBox[{RowBox[{RowBox[{\\\"Part\
\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \\\"\
\[RightSkeleton]\\\"}], \\\"]\\\"}], \\\"+\\\", RowBox[{\\\"Times\\\", \
\\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\
\"}], \\\"]\\\"}]}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"k\\\", \\\",\\\
\", \\\"1\\\", \\\",\\\", RowBox[{\\\"Plus\\\", \\\"[\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\
\"}\\\"}]}], \\\"]\\\"}]}], \\\";\\\"}]}], \\\"]\\\"}], \\\" \\\", RowBox[{\\\
\"ListPlot\\\", \\\"[\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"PotentialWiththermalmeanfieldTable\\\", \\\",\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"30\\\", \\\"\[RightSkeleton]\\\"}]}], \\\"}\\\"}], \
\\\"]\\\"}], \\\" \\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"1\\\", \\\"\
\[RightSkeleton]\\\"}], \\\" \\\", \\\"Nthermal\\\"}], \\\"]\\\"}]\\) is \
Protected.\"",2,1186,392,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266217612294436`*^9},
 CellLabel->
  "During evaluation of \
In[1149]:=",ExpressionUUID->"142a4381-9536-48e4-9d70-a92e728918a1"],

Cell[BoxData[
 TemplateBox[{
  "Set","write",
   "\"Tag \\!\\(\\*RowBox[{\\\"Hold\\\"}]\\) in \
\\!\\(\\*RowBox[{\\\"Hold\\\", \\\"[\\\", RowBox[{RowBox[{\\\"For\\\", \
\\\"[\\\", RowBox[{RowBox[{\\\"cycle\\\", \\\"=\\\", \\\"1\\\"}], \\\",\\\", \
RowBox[{\\\"cycle\\\", \\\"\[LessEqual]\\\", \\\"5\\\"}], \\\",\\\", RowBox[{\
\\\"cycle\\\", \\\"++\\\"}], \\\",\\\", RowBox[{RowBox[{\\\"BECdensityTable\\\
\", \\\"=\\\", RowBox[{\\\"Table\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"BECdensity\\\", \\\"[\\\", \\\"k\\\", \\\"]\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"k\\\", \\\",\\\", \\\"1\\\", \
\\\",\\\", RowBox[{\\\"Plus\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \
\\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\"}\\\"}]}], \
\\\"]\\\"}]}], \\\";\\\", RowBox[{\\\"PotentialWithBECmeanfieldTable\\\", \
\\\"=\\\", RowBox[{\\\"Table\\\", \\\"[\\\", RowBox[{RowBox[{RowBox[{\\\"Part\
\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \\\"\
\[RightSkeleton]\\\"}], \\\"]\\\"}], \\\"+\\\", RowBox[{\\\"Times\\\", \
\\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"4\\\", \\\"\[RightSkeleton]\\\
\"}], \\\"]\\\"}], \\\"+\\\", RowBox[{\\\"Times\\\", \\\"[\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\
\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"k\\\", \\\",\\\", \\\"1\\\", \
\\\",\\\", RowBox[{\\\"Plus\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \
\\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\"}\\\"}]}], \
\\\"]\\\"}]}], \\\";\\\", RowBox[{\\\"PotentialMinimum\\\", \\\"=\\\", \
RowBox[{\\\"Min\\\", \\\"[\\\", \\\"PotentialWithBECmeanfieldTable\\\", \\\"]\
\\\"}]}], \\\";\\\", RowBox[{\\\"PotentialWithBECmeanfieldTable\\\", \
\\\"=\\\", RowBox[{\\\"Table\\\", \\\"[\\\", RowBox[{RowBox[{RowBox[{\\\"Part\
\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \\\"\
\[RightSkeleton]\\\"}], \\\"]\\\"}], \\\"+\\\", RowBox[{\\\"Times\\\", \
\\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\
\"}], \\\"]\\\"}]}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"k\\\", \\\",\\\
\", \\\"1\\\", \\\",\\\", RowBox[{\\\"Plus\\\", \\\"[\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\
\"}\\\"}]}], \\\"]\\\"}]}], \\\";\\\", RowBox[{\\\"thermaldensityTable\\\", \
\\\"=\\\", RowBox[{\\\"Table\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"densityInDependenceOfPotentialInterpolated\\\", \
\\\"[\\\", RowBox[{\\\"Part\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \
\\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}], \\\"]\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"k\\\", \\\",\\\", \\\"1\\\", \\\",\\\", \
RowBox[{\\\"Plus\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \
\\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\"}\\\"}]}], \\\"]\\\"}]}], \
\\\";\\\", RowBox[{\\\"PotentialWiththermalmeanfieldTable\\\", \\\"=\\\", \
RowBox[{\\\"Table\\\", \\\"[\\\", RowBox[{RowBox[{RowBox[{\\\"Part\\\", \\\"[\
\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\"}], \
\\\"]\\\"}], \\\"+\\\", RowBox[{\\\"Times\\\", \\\"[\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"4\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\
\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"k\\\", \\\",\\\", \\\"1\\\", \
\\\",\\\", RowBox[{\\\"Plus\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \
\\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\"}\\\"}]}], \
\\\"]\\\"}]}], \\\";\\\", RowBox[{\\\"PotentialMinimum\\\", \\\"=\\\", \
RowBox[{\\\"Min\\\", \\\"[\\\", \\\"PotentialWiththermalmeanfieldTable\\\", \
\\\"]\\\"}]}], \\\";\\\", RowBox[{\\\"PotentialWiththermalmeanfieldTable\\\", \
\\\"=\\\", RowBox[{\\\"Table\\\", \\\"[\\\", RowBox[{RowBox[{RowBox[{\\\"Part\
\\\", \\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \\\"\
\[RightSkeleton]\\\"}], \\\"]\\\"}], \\\"+\\\", RowBox[{\\\"Times\\\", \
\\\"[\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\
\"}], \\\"]\\\"}]}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"k\\\", \\\",\\\
\", \\\"1\\\", \\\",\\\", RowBox[{\\\"Plus\\\", \\\"[\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\
\"}\\\"}]}], \\\"]\\\"}]}], \\\";\\\"}]}], \\\"]\\\"}], \\\" \\\", RowBox[{\\\
\"ListPlot\\\", \\\"[\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"PotentialWiththermalmeanfieldTable\\\", \\\",\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"30\\\", \\\"\[RightSkeleton]\\\"}]}], \\\"}\\\"}], \
\\\"]\\\"}], \\\" \\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"1\\\", \\\"\
\[RightSkeleton]\\\"}], \\\" \\\", \\\"Nthermal\\\"}], \\\"]\\\"}]\\) is \
Protected.\"",2,1186,393,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266217657562957`*^9},
 CellLabel->
  "During evaluation of \
In[1149]:=",ExpressionUUID->"4bef55ab-d9d4-42b5-a4ca-4d7f3d3499d9"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Set\\\", \\\"::\\\", \\\
\"write\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,1186,394,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826621765791274*^9},
 CellLabel->
  "During evaluation of \
In[1149]:=",ExpressionUUID->"2666d839-3882-4d17-9ceb-2935e600be9a"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      NCache[
       Rational[1, 360], 0.002777777777777778]], AbsoluteThickness[1.6], 
     PointBox[CompressedData["
1:eJxU12lcTf0bLvAQQgghhBBCKVMhwxUpwqOIMkQqDVIaNddunmvXHtq7QsiQ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      "]]}, 
    {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
      NCache[
       Rational[1, 360], 0.002777777777777778]], AbsoluteThickness[1.6], 
     PointBox[CompressedData["
1:eJxU13lYTevfBvBCyhChiAwhhFDGzHdEmaOR0DypNM/Tbp5rt9tjhahIQuYQ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      "]]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 5001.}, {0, 7.902498912888685}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751910615077`*^9, 
   3.82662179817572*^9},
 CellLabel->
  "Out[1187]=",ExpressionUUID->"0efde6c1-eb16-4047-a7a0-535d55de461d"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.003666666666666667], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxdzXFY1X999/EzIyMjOxkZGdnJkZGRnYyMjOybP37Gz8hORkZGdjIyMrKT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      "]]}, 
    {RGBColor[0.880722, 0.611041, 0.142051], PointSize[0.003666666666666667], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJw013lYjO/bBvAQIkvJEkIIIYQQhVMlCSmiFAqVkPZSaZn2vaZZmokke8hX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      "]]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 5001.}, {0, 1.0120186423756135`*^21}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751910615077`*^9, 
   3.8266217989821715`*^9},
 CellLabel->
  "Out[1188]=",ExpressionUUID->"48335770-fdc3-472f-8756-c044621af73f"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{1., 94084.9444309849}, {2., 102263.1159611618}, {3., 
      111321.25203895224`}, {4., 120090.3543202894}, {5., 
      129287.18827377798`}, {6., 139223.657164975}, {7., 
      149480.75329471385`}, {8., 160573.0405963574}, {9., 
      172069.27727734623`}, {10., 183639.20268193854`}, {11., 
      0.}}]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 11.}, {0, 183639.20268193854`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751910615077`*^9, 
   3.8266217990401406`*^9},
 CellLabel->
  "Out[1189]=",ExpressionUUID->"229c3ba2-5e75-4cba-9c96-0c00c956b375"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{1., 0.}, {2., 0.}, {3., 0.}, {4., 0.}, {5., 0.}, {6., 0.}, {
      7., 0.}, {8., 0.}, {9., 0.}, {10., 0.}, {11., 
      0.}}]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 11.}, {-1., 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751910615077`*^9, 
   3.82662179914108*^9},
 CellLabel->
  "Out[1190]=",ExpressionUUID->"ab24a730-ac19-423a-9c2c-c20a00583041"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{1., 2.6294248347820858`*^10}, {2., 2.9616015581073048`*^10}, {
      3., 3.3176804300233696`*^10}, {4., 3.695929555242393*^10}, {5., 
      4.135824585055753*^10}, {6., 4.6187262666118256`*^10}, {7., 
      5.147895646021302*^10}, {8., 5.726764289819307*^10}, {9., 
      6.2960821244293*^10}, {10., 6.97823474828488*^10}, {11., 
      0.}}]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 11.}, {0, 6.97823474828488*^10}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751910615077`*^9, 
   3.8266217992170296`*^9},
 CellLabel->
  "Out[1191]=",ExpressionUUID->"26170282-6838-4199-b8dd-847ee0be06a4"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{2.6294248347820858`*^10, 94084.9444309849}, {
      2.9616015581073048`*^10, 102263.1159611618}, {3.3176804300233696`*^10, 
      111321.25203895224`}, {3.695929555242393*^10, 120090.3543202894}, {
      4.135824585055753*^10, 129287.18827377798`}, {4.6187262666118256`*^10, 
      139223.657164975}, {5.147895646021302*^10, 149480.75329471385`}, {
      5.726764289819307*^10, 160573.0405963574}, {6.2960821244293*^10, 
      172069.27727734623`}, {6.97823474828488*^10, 183639.20268193854`}, {0., 
      0.}}]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 6.97823474828488*^10}, {0, 183639.20268193854`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751910615077`*^9, 
   3.826621799298979*^9},
 CellLabel->
  "Out[1192]=",ExpressionUUID->"2768f652-6813-45b0-9e80-4fd34d2b01a1"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{94084.9444309849, 94084.9444309849}, {102263.1159611618, 
      102263.1159611618}, {111321.25203895224`, 111321.25203895224`}, {
      120090.3543202894, 120090.3543202894}, {129287.18827377798`, 
      129287.18827377798`}, {139223.657164975, 139223.657164975}, {
      149480.75329471385`, 149480.75329471385`}, {160573.0405963574, 
      160573.0405963574}, {172069.27727734623`, 172069.27727734623`}, {
      183639.20268193854`, 183639.20268193854`}, {0., 
      0.}}]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 183639.20268193854`}, {0, 183639.20268193854`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751910615077`*^9, 
   3.826621799378929*^9},
 CellLabel->"Out[1193]=",ImageCache->GraphicsData["CompressedBitmap", "\<\
eJztWs9rE0EUnpikVBGtrQfFQwPS1B8nbf1VFT3UWlBPelQxFJcUWpTaowVz
8CDtXRSi/gGtt0awPYjXFoIICrbgoWBAWyoUqajtuvNmN9ndvpnZTTaZbQk0
u9uZ9828+b6ZN7Ozcy01nL47mBru70slLg+l7qf7+x4keu4NGUnRCCGRNCHk
U4LQZ914NC+68af30wtN8fechFuM5LMa0TT6y5BcQe/ZkKyRTK6wDbeO4skc
a07yKUimRRVILpMleeM/fyXEgnCj05MbVWfjKJOnDW4NRM9niZbJkQIVu/Tc
DdmtkGQ4BP/RXyGXIdm8zoMxO16ez+eTUFqTg7Ayymc8NAflVodFHOJVUboD
NSXqiFNSWnVJszzJauBlr+mZJSnHrCgzluc3nSehz3IsCQNyqwMZiXEF7CC6
QZcBs6Jr9qGoubyg5hyYc7i68vymi3T0UY5dxwDcYjoexAOEIqa8jcWipjQp
Y5iYsV/L5oU9LMje12nFRep9Lh+yMXoMEtq43qlkzqWxcAq1ogzMvYTN4Ptr
MiucgNL2mKNBc4wIv2UFPIceh+IacddKdNWSLVNT4ap1h2OdZmZBTnWXraWe
p3TZ6najtnSY61aoAHndSOAoMLnETFrF4xVMu52mnAgAxOq6Uc8FeolsBCFT
g8nCcvrJWwpa7Xv85tC3Hyu7GL80yUToZDeShtl5TaukvK3iS9yTskykaOOf
v2sU3fRr9Q9a61ZhJUy+uBTiDNMYgryOpN3waHeG1cqJH/Hq1HYYyYLr+U2U
D9mh82qz59dZrbMWlvw6q678Brh53a8NZP2NzUB2l1j+Tr87tQG/0WGzst3L
7XBrlG2vBbyJAF7Fip343EbGfGwTBbx5JWOs6KW/jY5qMCj1Etvk4C7gatzz
2JD1/K5akzGrOozVg3+d1S2VX2c1tKy9ZGmn5xeWn76a/Nj7Ye47ec43fwHX
+L6fK7/125lJ63fx89dF8kwKu/M+v2CHPXr97osHGN3ugX05A2Lty4lgZpso
jDoGu0SCNtkpYjNGJYcRAtlNlc1QDMb5tOZnoi4Hw3mWzfQ8n/0uhcrB8NLB
53hxnJ2Ve+pnaVkOhpeOsTuBjN0x1gTBpznlfLtaMS4IKaO21uiBfCqrdo8f
F0S6UXeMKffLUdVizLgg4I7yI+gEEnDHvAVcFfnTyLgZsZmD9ZSgWz7klz0l
0F8OQ4kXwKYR4kfKJ0Z1/iwizCDffEYg0YBbzxmBMAPSOlBhBLBZRBhBS1QT
P48Qf4tvPicg/qYUhkpghwFqTkC8oI55hHhBS1QTX2n+EiLcVb75okC4K1IY
KpwdBqhFgXCCOpYQ4QQtUU18pfnriHCO5afyk8jY+mBN0H+67N43EOzVRNEB
XGydtibo0l18HVScQy1tk/8TDC2H0+E6dInxv44Md7P/h/RYoez91vyIIjk0
V9Mzht5eydUfHtu0G/ItSBRvt2FKW3jNgsiZlNTSLIhVHrFoyJBhW5Ax2i7B
qFakOhuwSUTnvZKS2gSKt3jDoop7xKKKy7BJRHFZO8OkWHBb6jCdRqjgEap4
RGLODo5F7WITjxi7yF4xdnEtDIn8B/KooyY=\
\>"],ExpressionUUID->"0b9c2909-4e83-447c-b90b-8780dbe76018"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{0.361, 94084.9444309849}, {0.372, 102263.1159611618}, {0.383, 
      111321.25203895224`}, {0.394, 120090.3543202894}, {0.405, 
      129287.18827377798`}, {0.416, 139223.657164975}, {0.427, 
      149480.75329471385`}, {0.438, 160573.0405963574}, {0.449, 
      172069.27727734623`}, {0.46, 183639.20268193854`}, {0., 
      0.}}]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.46}, {0, 183639.20268193854`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751910615077`*^9, 
   3.826621799442889*^9},
 CellLabel->
  "Out[1194]=",ExpressionUUID->"f8ec5d72-81d2-4dac-92f3-74c02bb3e45b"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{94084.9444309849, 9.1*^-7}, {102263.1159611618, 9.2*^-7}, {
      111321.25203895224`, 9.3*^-7}, {120090.3543202894, 9.4*^-7}, {
      129287.18827377798`, 9.5*^-7}, {139223.657164975, 9.6*^-7}, {
      149480.75329471385`, 9.7*^-7}, {160573.0405963574, 9.8*^-7}, {
      172069.27727734623`, 9.9*^-7}, {183639.20268193854`, 1.*^-6}, {0., 
      0.}}]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->NCache[{{0, 183639.20268193854`}, {0, 
      Rational[1, 1000000]}}, {{0, 183639.20268193854`}, {0, 1.*^-6}}],
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5498104814556847`*^9, 3.5498105092549334`*^9}, {
   3.549811080187168*^9, 3.5498110952879944`*^9}, {3.5498115332780104`*^9, 
   3.5498115503038564`*^9}, 3.549811610410762*^9, 3.5498117445865974`*^9, 
   3.549811885298845*^9, 3.54981216157533*^9, 3.549812209719015*^9, 
   3.5498123103723946`*^9, 3.5498123621488857`*^9, 3.5498124159777956`*^9, {
   3.549812501140345*^9, 3.5498125290175943`*^9}, 3.549812648357235*^9, 
   3.549812766512842*^9, 3.5498128314415874`*^9, {3.549812873825077*^9, 
   3.549812921420761*^9}, 3.5498129884540787`*^9, {3.549813018470747*^9, 
   3.549813057221431*^9}, {3.5498130914478908`*^9, 3.549813120819359*^9}, {
   3.5498131747670684`*^9, 3.549813203767519*^9}, 3.549813263297224*^9, 
   3.5498132949040947`*^9, {3.54981332641615*^9, 3.549813351828595*^9}, 
   3.5498134550071764`*^9, {3.5498135119940767`*^9, 3.549813557234371*^9}, 
   3.5498135919132323`*^9, {3.549813633440505*^9, 3.5498136874322*^9}, 
   3.5498137491003237`*^9, 3.5498138345272894`*^9, 3.549813914898631*^9, 
   3.5498139725695324`*^9, 3.5498140292132316`*^9, 3.5498147032906923`*^9, 
   3.549815066700224*^9, 3.549873079136363*^9, 3.5498734131967807`*^9, 
   3.5498738210933437`*^9, 3.549875089521714*^9, 3.5498751910615077`*^9, 
   3.826621799497856*^9},
 CellLabel->
  "Out[1195]=",ExpressionUUID->"1ca2dd0d-8e6f-4422-a1d9-4fc6e9061b28"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"NBECvsNtotTable900nK", ",", "NBECvsNtotTable1000nK"}], "}"}], 
    ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          RowBox[{"Max", "[", "NthemalTable", "]"}], "+", 
          RowBox[{"Max", "[", "NBECTable", "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.5498730638471203`*^9, 3.5498730668423257`*^9}, {
  3.54987335917667*^9, 3.549873389531539*^9}, {3.549873713325924*^9, 
  3.5498737897204733`*^9}, {3.549874221890464*^9, 3.549874222998066*^9}, {
  3.549875019976576*^9, 3.549875025561386*^9}},
 CellLabel->
  "In[1196]:=",ExpressionUUID->"c4d90a80-9143-41b6-ad91-1cb82874e0e7"],

Cell[BoxData[
 GraphicsBox[{{}, {}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  ImageSize->{552., Automatic},
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {0, 1}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.549873718083932*^9, 3.5498737449471793`*^9}, 
   3.5498737926064787`*^9, 3.54987422549407*^9, 3.8266217996517596`*^9},
 CellLabel->
  "Out[1196]=",ExpressionUUID->"d4e892c1-6ba4-4ebc-9518-d248243004e4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
   "PotentialWiththermalmeanfieldTable", ",", 
    "PotentialWithBECmeanfieldTable"}], "}"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"BECdensityTable", ",", "thermaldensityTable"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "300"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"10", "^", "21"}]}], "}"}]}], "}"}]}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"NBECvsNtotTable", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"Max", "[", "NthemalTable", "]"}], "+", 
         RowBox[{"Max", "[", "NBECTable", "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"TvsNtot", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"Max", "[", "NthemalTable", "]"}], "+", 
         RowBox[{"Max", "[", "NBECTable", "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"Max", "[", "TemperatureTable", "]"}]}], "}"}]}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.5498754076017523`*^9, 3.5498754127849617`*^9}, {
  3.549877581541589*^9, 3.549877607344034*^9}},
 CellLabel->
  "In[1197]:=",ExpressionUUID->"019fd428-faa8-4978-8107-829613ea6d75"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      NCache[
       Rational[1, 360], 0.002777777777777778]], AbsoluteThickness[1.6], 
     PointBox[CompressedData["
1:eJxU12lcTf0bLvAQQgghhBBCKVMhwxUpwqOIMkQqDVIaNddunmvXHtq7QsiQ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      "]]}, 
    {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
      NCache[
       Rational[1, 360], 0.002777777777777778]], AbsoluteThickness[1.6], 
     PointBox[CompressedData["
1:eJxU13lYTevfBvBCyhChiAwhhFDGzHdEmaOR0DypNM/Tbp5rt9tjhahIQuYQ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      "]]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 5001.}, {0, 7.902498912888685}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.54987757644038*^9, 3.5498776077184353`*^9}, 
   3.8266218004278092`*^9},
 CellLabel->
  "Out[1197]=",ExpressionUUID->"b5b6eb66-3b08-4079-a129-2d9d37b32e0b"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      NCache[
       Rational[1, 360], 0.002777777777777778]], AbsoluteThickness[1.6], 
     PointBox[CompressedData["
1:eJxdzXFY1X999/EzIyMjOxkZGdnJkZGRnYyMjOybP37Gz8hORkZGdjIyMrKT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      "]]}, 
    {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
      NCache[
       Rational[1, 360], 0.002777777777777778]], AbsoluteThickness[1.6], 
     PointBox[CompressedData["
1:eJw013lYjO/bBvAQIkvJEkIIIYQQhVMlCSmiFAqVkPZSaZn2vaZZmokke8hX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      "]]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->
   NCache[{{0, 300}, {0, 1000000000000000000000}}, {{0, 300}, {0, 1.*^21}}],
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.54987757644038*^9, 3.5498776077184353`*^9}, 
   3.8266218011860657`*^9},
 CellLabel->
  "Out[1198]=",ExpressionUUID->"f6a928a3-0ce1-442e-a3b0-42456129b9c9"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{94084.9444309849, 94084.9444309849}, {102263.1159611618, 
      102263.1159611618}, {111321.25203895224`, 111321.25203895224`}, {
      120090.3543202894, 120090.3543202894}, {129287.18827377798`, 
      129287.18827377798`}, {139223.657164975, 139223.657164975}, {
      149480.75329471385`, 149480.75329471385`}, {160573.0405963574, 
      160573.0405963574}, {172069.27727734623`, 172069.27727734623`}, {
      183639.20268193854`, 183639.20268193854`}, {0., 
      0.}}]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 183639.20268193854`}, {0, 183639.20268193854`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.54987757644038*^9, 3.5498776077184353`*^9}, 
   3.826621801244031*^9},
 CellLabel->
  "Out[1199]=",ExpressionUUID->"0b614afd-a420-4dc6-a5a3-5ff32ae3ecc5"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{94084.9444309849, 9.1*^-7}, {102263.1159611618, 9.2*^-7}, {
      111321.25203895224`, 9.3*^-7}, {120090.3543202894, 9.4*^-7}, {
      129287.18827377798`, 9.5*^-7}, {139223.657164975, 9.6*^-7}, {
      149480.75329471385`, 9.7*^-7}, {160573.0405963574, 9.8*^-7}, {
      172069.27727734623`, 9.9*^-7}, {183639.20268193854`, 1.*^-6}, {0., 
      0.}}]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->NCache[{{0, 183639.20268193854`}, {0, 
      Rational[1, 1000000]}}, {{0, 183639.20268193854`}, {0, 1.*^-6}}],
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.54987757644038*^9, 3.5498776077184353`*^9}, 
   3.826621802044601*^9},
 CellLabel->
  "Out[1200]=",ExpressionUUID->"1afa2218-c607-4ff4-acdb-25198ce39d81"]
}, Open  ]],

Cell[BoxData[" "], "Input",
 CellChangeTimes->{3.5498776499285574`*^9},
 CellLabel->
  "In[1201]:=",ExpressionUUID->"70fd69d4-9e64-492e-9401-307587e08ccd"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ListPlot", "[", "NBECTable", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", "ChemPotTable", "]"}], "\[IndentingNewLine]", 
 RowBox[{"NBECTable", "[", 
  RowBox[{"[", "35", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ChemPotTable", "[", 
  RowBox[{"[", "35", "]"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.549874607867773*^9, 3.5498746588642626`*^9}, {
  3.5498747032619405`*^9, 3.549874711656971*^9}, {3.5498747939617324`*^9, 
  3.5498748312772136`*^9}},
 CellLabel->
  "In[1202]:=",ExpressionUUID->"a3298dd4-c938-4dbd-a757-eb8a388b114e"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{1., 94084.9444309849}, {2., 102263.1159611618}, {3., 
      111321.25203895224`}, {4., 120090.3543202894}, {5., 
      129287.18827377798`}, {6., 139223.657164975}, {7., 
      149480.75329471385`}, {8., 160573.0405963574}, {9., 
      172069.27727734623`}, {10., 183639.20268193854`}, {11., 
      0.}}]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 11.}, {0, 183639.20268193854`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.549874349857704*^9, 3.5498746137489834`*^9, {3.549874644278237*^9, 
   3.5498746592074633`*^9}, {3.549874705321144*^9, 3.5498747121093717`*^9}, {
   3.549874796566937*^9, 3.549874831651614*^9}, 3.8266218028580976`*^9},
 CellLabel->
  "Out[1202]=",ExpressionUUID->"70bbf0df-b601-46b3-ab56-b0911afa190e"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{1., 0.361}, {2., 0.372}, {3., 0.383}, {4., 0.394}, {5., 
      0.405}, {6., 0.416}, {7., 0.427}, {8., 0.438}, {9., 0.449}, {10., 
      0.46}, {11., 0.}}]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 11.}, {0, 0.46}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.549874349857704*^9, 3.5498746137489834`*^9, {3.549874644278237*^9, 
   3.5498746592074633`*^9}, {3.549874705321144*^9, 3.5498747121093717`*^9}, {
   3.549874796566937*^9, 3.549874831651614*^9}, 3.826621803629821*^9},
 CellLabel->
  "Out[1203]=",ExpressionUUID->"85c78a4b-f567-4147-8525-c4c53d36c1e9"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"35\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{\\\"94084.9444309849`\\\", \\\",\\\", \\\"102263.1159611618`\\\", \
\\\",\\\", \\\"111321.25203895224`\\\", \\\",\\\", \
\\\"120090.3543202894`\\\", \\\",\\\", \\\"129287.18827377798`\\\", \
\\\",\\\", \\\"139223.657164975`\\\", \\\",\\\", \\\"149480.75329471385`\\\", \
\\\",\\\", \\\"160573.0405963574`\\\", \\\",\\\", \
\\\"172069.27727734623`\\\", \\\",\\\", \\\"183639.20268193854`\\\", \
\\\",\\\", \\\"0\\\"}], \\\"}\\\"}]\\) does not exist.\"",2,1204,395,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826621803636818*^9},
 CellLabel->
  "During evaluation of \
In[1202]:=",ExpressionUUID->"d5820cb5-b9ee-4a52-8568-7fc236ecdaa1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
   "94084.9444309849`", ",", "102263.1159611618`", ",", "111321.25203895224`",
     ",", "120090.3543202894`", ",", "129287.18827377798`", ",", 
    "139223.657164975`", ",", "149480.75329471385`", ",", 
    "160573.0405963574`", ",", "172069.27727734623`", ",", 
    "183639.20268193854`", ",", "0"}], "}"}], "\[LeftDoubleBracket]", "35", 
  "\[RightDoubleBracket]"}]], "Output",
 CellChangeTimes->{
  3.549874349857704*^9, 3.5498746137489834`*^9, {3.549874644278237*^9, 
   3.5498746592074633`*^9}, {3.549874705321144*^9, 3.5498747121093717`*^9}, {
   3.549874796566937*^9, 3.549874831651614*^9}, 3.826621803672795*^9},
 CellLabel->
  "Out[1204]=",ExpressionUUID->"8c0406b8-8628-41fe-983e-edaac774aba2"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"35\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{\\\"0.361`\\\", \\\",\\\", \\\"0.372`\\\", \\\",\\\", \\\"0.383`\\\", \
\\\",\\\", \\\"0.394`\\\", \\\",\\\", \\\"0.405`\\\", \\\",\\\", \\\"0.416`\\\
\", \\\",\\\", \\\"0.427`\\\", \\\",\\\", \\\"0.438`\\\", \\\",\\\", \
\\\"0.449`\\\", \\\",\\\", \\\"0.46`\\\", \\\",\\\", \\\"0\\\"}], \\\"}\\\"}]\
\\) does not exist.\"",2,1205,396,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.82662180367879*^9},
 CellLabel->
  "During evaluation of \
In[1202]:=",ExpressionUUID->"cfdef55b-680e-4083-8815-4c05efc0bc0a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
   "0.361`", ",", "0.372`", ",", "0.383`", ",", "0.394`", ",", "0.405`", ",", 
    "0.416`", ",", "0.427`", ",", "0.438`", ",", "0.449`", ",", "0.46`", ",", 
    "0"}], "}"}], "\[LeftDoubleBracket]", "35", 
  "\[RightDoubleBracket]"}]], "Output",
 CellChangeTimes->{
  3.549874349857704*^9, 3.5498746137489834`*^9, {3.549874644278237*^9, 
   3.5498746592074633`*^9}, {3.549874705321144*^9, 3.5498747121093717`*^9}, {
   3.549874796566937*^9, 3.549874831651614*^9}, 3.8266218037137704`*^9},
 CellLabel->
  "Out[1205]=",ExpressionUUID->"2a643548-9eb1-483f-baa8-08019c22eca8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"self", "-", 
     RowBox[{"consistent", " ", "mean"}], "-", "field"}], ",", " ", 
    RowBox[{"T", " ", "dependence", " ", "and", " ", "real", " ", 
     RowBox[{"potential", "!"}]}]}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "here", " ", "we", " ", "use", " ", "tables", " ", "to", " ", "represent", 
    " ", "the", " ", "density", " ", "distributions"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kB", "=", 
     RowBox[{"1.3806503", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "23"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"0.052917721086", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hbar", "=", 
     RowBox[{"1.05457148", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"2", "*", "Pi", "*", "hbar"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"massunit", "=", 
     RowBox[{"1.66053886", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", "=", 
     RowBox[{"84", "*", "massunit"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Omega", "=", 
     RowBox[{"2", "*", "Pi", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"630", "*", "245", "*", "245"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "3"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"122.7", "a0"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gcouple", "=", 
     RowBox[{"4", "*", "Pi", "*", 
      RowBox[{"hbar", "^", "2"}], "*", 
      RowBox[{"a", "/", "m"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPot", "=", 
     RowBox[{"600", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}], "*", "kB"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"1000", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UTotal", "=", 
     RowBox[{
      RowBox[{"-", "1.1"}], "*", 
      RowBox[{"Potential", "[", 
       RowBox[{
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"0", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", 
        RowBox[{"ZP", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UpotDimple", "=", "3"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dimplewaist", "=", 
     RowBox[{"20", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UpotReservoir", "=", "5"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"reservoirwaist", "=", 
     RowBox[{"200", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rCutOff", "=", 
     RowBox[{"2", "*", "reservoirwaist"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "semiclassical", " ", "Bose", " ", "distribution", " ", "of", " ", 
     "atoms", " ", "in", " ", "excited", " ", "states", " ", "in", " ", 
     "presence", " ", "of", " ", "BEC", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"for", " ", "T"}], "<", "Tc"}], ")"}], " ", "including", " ", 
     "BEC", " ", "mean", " ", "field"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HarmonicPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"0.5", "*", "m", "*", 
      RowBox[{"Omega", "^", "2"}], "*", 
      RowBox[{"r", "^", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DimpleGaussPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"UpotDimple", "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "2"}], 
          RowBox[{
           RowBox[{"r", "^", "2"}], "/", 
           RowBox[{"dimplewaist", "^", "2"}]}]}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ReservoirGaussPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"UpotReservoir", "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "2"}], 
          RowBox[{
           RowBox[{"r", "^", "2"}], "/", 
           RowBox[{"reservoirwaist", "^", "2"}]}]}], "]"}]}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Potential", "[", "r_", "]"}], ":=", 
     RowBox[{
      RowBox[{"DimpleGaussPotential", "[", "r", "]"}], "+", 
      RowBox[{"ReservoirGaussPotential", "[", "r", "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"LinearPotential", "[", "r_", "]"}], ":=", 
     RowBox[{"UTotal", "*", 
      RowBox[{"r", "/", "rCutOff"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Potential", "[", "r_", "]"}], ":=", 
     RowBox[{"LinearPotential", "[", "r", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rTableEntries", "=", "5000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Potential", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"i", "-", "1"}], ")"}], "*", 
         RowBox[{"rCutOff", "/", "rTableEntries"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
    "potential", " ", "has", " ", "to", " ", "be", " ", "0", " ", "at", " ", 
     "lowest", " ", 
     RowBox[{"point", "!"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialWiththermalmeanfieldTable", "=", "PotentialTable"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Parameters", " ", "for", " ", "S42", " ", "of", " ", "19.3", ".2012"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MinChemPot", "=", "0.478167"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxChemPot", "=", "0.478167"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MinT", "=", 
     RowBox[{"944", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxT", "=", 
     RowBox[{"944", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NrChemPot", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"MinChemPot", "=", "0.437"}], ";", 
     RowBox[{"(*", " ", 
      RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"MaxChemPot", "=", "0.335"}], ";", 
     RowBox[{"(*", " ", 
      RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"MinT", "=", 
      RowBox[{"915.5", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "9"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"MaxT", "=", 
      RowBox[{"841", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "9"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"NrChemPot", "=", "11"}], ";"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"MinChemPot", "=", "0.413"}], ";", 
     RowBox[{"(*", " ", 
      RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"MaxChemPot", "=", "0.5054"}], ";", 
     RowBox[{"(*", " ", 
      RowBox[{"in", " ", "\[Micro]K"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"MinT", "=", 
      RowBox[{"857", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "9"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"MaxT", "=", 
      RowBox[{"929.6", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "9"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"NrChemPot", "=", "11"}], ";"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NthemalTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NtotTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NDimpleTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DensityEdgeTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPotTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TemperatureTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECvsEdgeDensityTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECvsNtotTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBECvsChemPot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TvsNtot", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "NrChemPot"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPotNr", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"ChemPotNr", "=", "1"}], ",", 
      RowBox[{"ChemPotNr", "\[LessEqual]", "NrChemPot"}], ",", 
      RowBox[{"ChemPotNr", "++"}], ","}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPot", "=", 
     RowBox[{"N", "[", 
      RowBox[{"MinChemPot", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"MaxChemPot", "-", "MinChemPot"}], ")"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"ChemPotNr", "-", "1"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"NrChemPot", "-", "1"}], ")"}]}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ChemPotTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "ChemPot"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"N", "[", 
      RowBox[{"MinT", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"MaxT", "-", "MinT"}], ")"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"ChemPotNr", "-", "1"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"NrChemPot", "-", "1"}], ")"}]}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TemperatureTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "Temperature"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"to", " ", "gain", " ", "speed"}], ",", " ", 
     RowBox[{
     "we", " ", "store", " ", "PolyLog", " ", "as", " ", "interpolating", " ", 
      RowBox[{"function", ".", " ", "This"}], " ", "calculation", " ", "has", 
      " ", "to", " ", "be", " ", "executed", " ", "only", " ", "if", " ", "T",
       " ", "or", " ", "maximum", " ", "potential", " ", "depth", " ", 
      "changes"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeepestPotential", "=", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{"UpotDimple", "+", "UpotReservoir"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeBroglieWavelength", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "Pi", "*", 
       RowBox[{
        RowBox[{"hbar", "^", "2"}], "/", 
        RowBox[{"(", 
         RowBox[{"m", "*", "kB", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"densityInDependenceOfPotential", "[", "U_", "]"}], ":=", " ", 
     RowBox[{
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "U"}], "/", 
          RowBox[{"(", 
           RowBox[{"kB", " ", "*", "Temperature"}], ")"}]}], "]"}]}], "]"}], 
      "/", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UTableEntries", "=", "5000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"densityInDependenceOfPotentialInterpolated", "=", 
     RowBox[{"Interpolation", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"U", ",", 
          RowBox[{"densityInDependenceOfPotential", "[", 
           RowBox[{"U", "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "6"}]}], "*", "kB"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"U", ",", "0", ",", "DeepestPotential", ",", 
          RowBox[{"DeepestPotential", "/", "UTableEntries"}]}], "}"}]}], 
       "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"check", " ", "quality", " ", "of", " ", "approximation"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"densityInDependenceOfPotentialBoltzman", "[", "U_", "]"}], ":=",
       " ", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "U"}], "/", 
         RowBox[{"(", 
          RowBox[{"kB", "*", "Temperature"}], ")"}]}], "]"}], "/", 
       RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"LogPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
         "densityInDependenceOfPotentialInterpolated", "[", "U", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"densityInDependenceOfPotential", "[", 
          RowBox[{"U", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", "kB"}], "]"}], ",", 
         RowBox[{"densityInDependenceOfPotentialBoltzman", "[", 
          RowBox[{"U", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", "kB"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"U", ",", "0", ",", "DeepestPotential"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"self", "-", 
      RowBox[{"consistent", " ", "mean"}], "-", 
      RowBox[{"field", ":", "\[IndentingNewLine]", 
       RowBox[{"two", " ", 
        RowBox[{"components", ":", " ", 
         RowBox[{"BEC", " ", "and", " ", "thermal", " ", 
          RowBox[{"gas", ".", " ", "BEC"}], " ", "atoms", " ", "are", " ", 
          RowBox[{"correlated", ".", " ", "Their"}], " ", "g2", " ", "is", 
          " ", "2", "x", " ", "lower", " ", "than", " ", "the", " ", "g2", 
          " ", "of", " ", "thermal", " ", "atoms"}]}]}]}]}], ",", " ", 
     RowBox[{
     "or", " ", "between", " ", "thermal", " ", "and", " ", "BEC", " ", 
      RowBox[{"atoms", ".", " ", "\[IndentingNewLine]", "BEC"}], " ", 
      RowBox[{"experiences", ":", " ", 
       RowBox[{
        RowBox[{"external", " ", "potential"}], " ", "+", " ", 
        RowBox[{"g", "*", "nBEC"}], " ", "+", " ", 
        RowBox[{
        "2", "*", "g", "*", "nThermal", "\[IndentingNewLine]", "thermal", " ",
          "experiences"}]}], ":", " ", 
       RowBox[{
        RowBox[{"external", " ", "potential"}], " ", "+", " ", 
        RowBox[{"2", "*", "g", "*", "nBEC"}], " ", "+", " ", 
        RowBox[{"2", "*", "g", "*", 
         RowBox[{"nThermal", ".", "\[IndentingNewLine]", "The"}], " ", 
         "interaction", " ", "of", " ", "the", " ", "BEC", " ", "with", " ", 
         "itself", " ", "is", " ", "taken", " ", "into", " ", "account", " ", 
         "already", " ", "by", " ", "the", " ", "Thomas"}], "-", 
        RowBox[{"Fermi", " ", 
         RowBox[{"approximation", ".", " ", "So"}], " ", "we", " ", "can", 
         " ", "drop", " ", "the", " ", "term", " ", "g", "*", "nBEC", " ", 
         "in", " ", "the", " ", "calculation", " ", "of", " ", "the", " ", 
         "potential", " ", "taht", " ", "the", " ", "BEC", " ", 
         RowBox[{"experiences", "."}]}]}]}]}]}], " ", "\[IndentingNewLine]", 
    "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BECdensityTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"thermaldensityTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"thermaldensityTableHelp", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PotentialWiththermalmeanfieldTable", "=", "PotentialTable"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BECdensity", "[", "k_", "]"}], ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"PotentialWiththermalmeanfieldTable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "-", "ChemPot"}], ")"}], "<", 
        "0"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"ChemPot", "-", 
          RowBox[{"PotentialWiththermalmeanfieldTable", "[", 
           RowBox[{"[", "k", "]"}], "]"}]}], ")"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"-", "6"}]}], "*", "kB"}], ")"}], "/", "gcouple"}]}], ",",
        "0"}], "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "These", " ", "numbers", " ", "need", " ", "to", " ", "be", " ", "tuned", 
     " ", "a", " ", "bit", " ", "to", " ", "obtain", " ", "the", " ", 
     "correct", " ", "distributions", " ", "and", " ", "no", " ", "numerical",
      " ", "instability"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MinThermCycle", "=", "20"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "it", " ", "is", " ", "very", " ", "importnat", " ", "to", " ", "first", 
      " ", "take", " ", "the", " ", "thermal", " ", "mean"}], "-", 
     RowBox[{
     "field", " ", "on", " ", "the", " ", "BEC", " ", "into", " ", 
      "account"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxThermCycle", "=", "45"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"only", " ", "then", " ", "the", " ", "thermal", " ", "mean"}], 
     "-", 
     RowBox[{
     "field", " ", "is", " ", "slowly", " ", "turned", " ", "on", " ", "to", 
      " ", "act", " ", "on", " ", "the", " ", "thermal", " ", "atoms"}]}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxCycle", "=", "46"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LastPotentialMinium", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"cycle", "=", "1"}], ",", 
     RowBox[{"cycle", "\[LessEqual]", "MaxCycle"}], ",", 
     RowBox[{"cycle", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ThermalWeight", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"ramp", " ", "on", " ", "thermal", " ", "mean"}], "-", 
         RowBox[{
         "field", " ", "interaction", " ", "with", " ", "thermal", " ", 
          "atoms", " ", "slowly"}]}], ",", " ", 
        RowBox[{
        "so", " ", "that", " ", "system", " ", "has", " ", "time", " ", "to", 
         " ", "adapt", " ", "and", " ", "does", " ", "not", " ", "produce", 
         " ", "too", " ", "many", " ", "numerical", " ", "artefacts"}]}], " ",
        "*)"}], "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"cycle", ">", "MinThermCycle"}], ",", 
        RowBox[{"ThermalWeight", "=", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"cycle", "-", "MinThermCycle"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"MaxThermCycle", "-", "MinThermCycle"}], ")"}]}], ")"}]}],
         ",", 
        RowBox[{"ThermalWeight", "=", "0"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"ThermalWeight", ">", "1"}], ",", 
        RowBox[{"ThermalWeight", "=", "1"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"BECdensityTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"BECdensity", "[", "k", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"PotentialWithBECmeanfieldTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"PotentialTable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "+", 
          RowBox[{"2", "*", "gcouple", "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"BECdensityTable", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "+", 
             RowBox[{"ThermalWeight", "*", 
              RowBox[{"thermaldensityTable", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}]}], ")"}], "*", 
           RowBox[{
            RowBox[{"10", "^", "6"}], "/", "kB"}]}], "-", "ChemPot"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"cycle", "\[Equal]", "1"}], ",", 
        RowBox[{"LastPotentialMinium", "=", 
         RowBox[{"Min", "[", "PotentialWithBECmeanfieldTable", "]"}]}]}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"PotentialMinimum", "=", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Min", "[", "PotentialWithBECmeanfieldTable", "]"}], "+", 
          "LastPotentialMinium"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"LastPotentialMinium", "=", "PotentialMinimum"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"PotentialWithBECmeanfieldTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"PotentialWithBECmeanfieldTable", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "<", "PotentialMinimum"}], ",", 
           "0", ",", 
           RowBox[{
            RowBox[{"PotentialWithBECmeanfieldTable", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "-", "PotentialMinimum"}]}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"thermaldensityTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"densityInDependenceOfPotentialInterpolated", "[", 
          RowBox[{"PotentialWithBECmeanfieldTable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "  ", "]"}], " ", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"PotentialWiththermalmeanfieldTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"PotentialTable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "+", 
          RowBox[{"2", "*", "gcouple", "*", 
           RowBox[{"thermaldensityTable", "[", 
            RowBox[{"[", "k", "]"}], "]"}], "*", 
           RowBox[{
            RowBox[{"10", "^", "6"}], "/", "kB"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
      RowBox[{"(*", " ", 
       RowBox[{
       "potential", " ", "has", " ", "to", " ", "be", " ", "0", " ", "at", 
        " ", "lowest", " ", 
        RowBox[{"point", "!"}]}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"PotentialMinimum", "=", 
       RowBox[{"Min", "[", "PotentialWiththermalmeanfieldTable", "]"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"PotentialWiththermalmeanfieldTable", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"PotentialWiththermalmeanfieldTable", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "-", "PotentialMinimum"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}]}], 
    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"{", 
     RowBox[{
     "PotentialWiththermalmeanfieldTable", ",", 
      "PotentialWithBECmeanfieldTable"}], "}"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"BECdensityTable", ",", "thermaldensityTable"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "START", "  ", "convert", " ", "from", " ", "general", " ", "linear", " ",
      "potential", " ", "to", " ", "actual", " ", "potential", " ", "used", 
     " ", "in", " ", "the", " ", "experiment"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BECDensityVsPotentialTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ThermalDensityVsPotentialTable", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"rTableEntries", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"i", "=", "1"}], ",", 
     RowBox[{"i", "<=", 
      RowBox[{"rTableEntries", "+", "1"}]}], ",", 
     RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"r", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"i", "-", "1"}], ")"}], "*", 
        RowBox[{"rCutOff", "/", "rTableEntries"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"BECDensityVsPotentialTable", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "1"}], "]"}], "]"}], "=", 
       RowBox[{"Potential", "[", "r", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"BECDensityVsPotentialTable", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "2"}], "]"}], "]"}], "=", 
       RowBox[{"BECdensityTable", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ThermalDensityVsPotentialTable", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "1"}], "]"}], "]"}], "=", 
       RowBox[{"Potential", "[", "r", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ThermalDensityVsPotentialTable", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "2"}], "]"}], "]"}], "=", 
       RowBox[{"thermaldensityTable", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", 
    "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BECDensityVsPotentialInterpolated", "=", 
     RowBox[{"Interpolation", "[", "BECDensityVsPotentialTable", "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ThermalDensityVsPotentialInterpolated", "=", 
     RowBox[{"Interpolation", "[", "ThermalDensityVsPotentialTable", "]"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"BECDensityVsPotentialInterpolated", "[", "r", "]"}], ",", 
       RowBox[{"ThermalDensityVsPotentialInterpolated", "[", "r", "]"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "10"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeepestPotential", "=", 
     RowBox[{"TotalPotential", "[", 
      RowBox[{
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", 
       RowBox[{"ZP", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialLowestZero", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"TotalPotential", "[", 
       RowBox[{"x", ",", "y", ",", 
        RowBox[{"z", "+", 
         RowBox[{"ZP", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}]}]}], "]"}], "-", "DeepestPotential"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"ReservoirPotential", "[", 
       RowBox[{"x", ",", "y", ",", 
        RowBox[{"z", "+", 
         RowBox[{"ZP", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}]}]}], "]"}], "-", "DeepestPotential"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ThermalDensity", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"ThermalDensityVsPotentialInterpolated", "[", 
      RowBox[{"PotentialLowestZero", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BECDensity", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"BECDensityVsPotentialInterpolated", "[", 
      RowBox[{"PotentialLowestZero", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ReservoirThermalDensity", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"ThermalDensityVsPotentialInterpolated", "[", 
      RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIxAll", "=", 
     RowBox[{"2", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIyAll", "=", 
     RowBox[{"0.2", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIzAll", "=", 
     RowBox[{"0.02", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIxDimple", "=", 
     RowBox[{"0.05", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIyDimple", "=", 
     RowBox[{"0.05", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIzDimple", "=", 
     RowBox[{"0.02", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIxBEC", "=", 
     RowBox[{"0.015", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIyBEC", "=", 
     RowBox[{"0.015", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIzBEC", "=", 
     RowBox[{"0.005", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIx", "=", "ROIxBEC"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIy", "=", "ROIyBEC"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ROIz", "=", "ROIzBEC"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"-", "ROIx"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIx", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "ROIy"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIy", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{"0", ",", "0", ",", 
          RowBox[{"z", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{"0", ",", "0", ",", 
          RowBox[{"z", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{"0", ",", "0", ",", 
          RowBox[{"z", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{
        RowBox[{"-", "ROIz"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIz", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{"ROIxDimple", ",", "0", ",", 
          RowBox[{"z", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{"ROIxDimple", ",", "0", ",", 
          RowBox[{"z", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{"ROIxDimple", ",", "0", ",", 
          RowBox[{"z", "*", 
           RowBox[{"10", " ", "^", 
            RowBox[{"-", "3"}]}]}]}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{
        RowBox[{"-", "ROIz"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIz", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PotentialLowestZero", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], ",", 
       RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"-", "ROIx"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIx", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PotentialLowestZero", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
       RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "ROIy"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIy", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PotentialLowestZero", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"z", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}]}], "]"}], ",", 
       RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"z", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{
        RowBox[{"-", "ROIz"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIz", "*", 
        RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<T = \>\"", ",", 
      RowBox[{"N", "[", "Temperature", "]"}], ",", "\"\< \[Micro]K\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<ChemPot = \>\"", ",", "ChemPot", ",", "\"\< \[Micro]K\>\""}], "]"}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n0", "=", 
     RowBox[{"ChemPot", "*", "kB", "*", 
      RowBox[{
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}], "/", "gcouple"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<n0 = \>\"", ",", 
      RowBox[{
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}], "*", "n0"}], ",", "\"\< cm^-3\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nc", "=", 
     RowBox[{"2.612", "/", 
      RowBox[{"(", 
       RowBox[{"DeBroglieWavelength", "^", "3"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<nc = \>\"", ",", 
      RowBox[{
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}], "*", "nc"}], ",", "\"\< cm^-3\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<peak BEC density  = \>\"", ",", 
      RowBox[{
       RowBox[{"BECDensity", "[", 
        RowBox[{"0", ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<central thermal density  = \>\"", ",", 
      RowBox[{
       RowBox[{"ThermalDensity", "[", 
        RowBox[{"0", ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<peak reservoir density  = \>\"", ",", 
      RowBox[{
       RowBox[{"ReservoirThermalDensity", "[", 
        RowBox[{"0", ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nDimpleEdge", "=", 
     RowBox[{"ReservoirThermalDensity", "[", 
      RowBox[{"ROIxDimple", ",", "0", ",", "0"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<dimple edge reservoir density  = \>\"", ",", 
      RowBox[{"nDimpleEdge", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"elastic", " ", "collision", " ", "rates"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vThermal", "=", 
     RowBox[{"4", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"kB", "*", 
        RowBox[{"Temperature", "/", 
         RowBox[{"(", 
          RowBox[{"Pi", "*", "Mass"}], ")"}]}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<vThermal = \>\"", ",", "vThermal", ",", "\"\< mm/ms\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kThermal", "=", 
     RowBox[{"vThermal", "*", 
      RowBox[{"Mass", "/", "hbar"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaPseudoPotential", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{
       RowBox[{"a", "^", "2"}], "/", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"kThermal", "^", "2"}], 
          RowBox[{"a", "^", "2"}]}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaZeroT", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{"a", "^", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<SigmaThermal/Sigma0T = \>\"", ",", 
      RowBox[{"SigmaPseudoPotential", "/", "SigmaZeroT"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GammaEl", "[", "n_", "]"}], ":=", 
     RowBox[{"n", "*", "SigmaPseudoPotential", "*", 
      RowBox[{"vThermal", "/", 
       RowBox[{"Sqrt", "[", "8", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Gamma el thermal (nc) = \>\"", ",", 
      RowBox[{"GammaEl", "[", "nc", "]"}], ",", "\"\< s^-1\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Gamma el thermal (nDimpleEdge) = \>\"", ",", 
      RowBox[{"GammaEl", "[", "nDimpleEdge", "]"}], ",", "\"\< s^-1\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ReservoirAtomNumber", "=", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"ReservoirThermalDensity", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", 
         RowBox[{"-", "ROIxAll"}], ",", "ROIxAll"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"y", ",", " ", 
         RowBox[{"-", "ROIyAll"}], ",", " ", "ROIyAll"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", 
         RowBox[{"-", "ROIzAll"}], ",", " ", "ROIzAll"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<ReservoirAtomNumber = \>\"", ",", "ReservoirAtomNumber"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DimpleThermalAtomNumber", "=", 
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"-", "ROIxDimple"}], ",", "ROIxDimple"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"y", ",", " ", 
          RowBox[{"-", "ROIyDimple"}], ",", " ", "ROIyDimple"}], "}"}], ",", 
        " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", 
          RowBox[{"-", "ROIzDimple"}], ",", " ", "ROIzDimple"}], "}"}]}], 
       "]"}], "-", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"-", "ROIxDimple"}], ",", "ROIxDimple"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"y", ",", " ", 
          RowBox[{"-", "ROIyDimple"}], ",", " ", "ROIyDimple"}], "}"}], ",", 
        " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", 
          RowBox[{"-", "ROIzDimple"}], ",", " ", "ROIzDimple"}], "}"}]}], 
       "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<DimpleThermalAtomNumber  = \>\"", ",", "DimpleThermalAtomNumber"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BECAtomNumber", "=", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"BECDensity", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", 
         RowBox[{"-", "ROIxBEC"}], ",", "ROIxBEC"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"y", ",", " ", 
         RowBox[{"-", "ROIyBEC"}], ",", " ", "ROIyBEC"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", 
         RowBox[{"-", "ROIzBEC"}], ",", " ", "ROIzBEC"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<BECAtomNumber = \>\"", ",", "BECAtomNumber"}], "]"}], ";"}],
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DimpleAtomNumber", "=", 
     RowBox[{"DimpleThermalAtomNumber", "+", "BECAtomNumber"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ThermalAtomNumber", "=", 
     RowBox[{"ReservoirAtomNumber", "+", "DimpleAtomNumber"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TotalAtomNumber", "=", 
     RowBox[{"ThermalAtomNumber", "+", "BECAtomNumber"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<DimpleAtomNumber = \>\"", ",", "DimpleAtomNumber"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<ThermalAtomNumber = \>\"", ",", "ThermalAtomNumber"}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<TotalAtomNumber = \>\"", ",", "TotalAtomNumber"}], "]"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"SumSteps", "=", "5"}], ";", "\[IndentingNewLine]", 
     RowBox[{"BECAtomNumberSum", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"2", "*", "ROIxBEC"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"2", "*", "ROIyBEC"}], ")"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", "*", "ROIzBEC"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", "*", "SumSteps"}], "+", "1"}], ")"}], "^", "3"}], 
           ")"}]}]}], ")"}], 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"BECDensity", "[", 
          RowBox[{
           RowBox[{"xi", "*", 
            RowBox[{"ROIxBEC", "/", "SumSteps"}]}], ",", 
           RowBox[{"yi", "*", 
            RowBox[{"ROIyBEC", "/", "SumSteps"}]}], ",", 
           RowBox[{"zi", "*", 
            RowBox[{"ROIzBEC", "/", "SumSteps"}]}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"xi", ",", 
           RowBox[{"-", "SumSteps"}], ",", "SumSteps"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"yi", ",", 
           RowBox[{"-", "SumSteps"}], ",", "SumSteps"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"zi", ",", 
           RowBox[{"-", "SumSteps"}], ",", "SumSteps"}], "}"}]}], "]"}]}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"\"\<BECAtomNumberSum = \>\"", ",", "BECAtomNumberSum"}], "]"}],
      ";"}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "STOP", " ", "convert", " ", "from", " ", "general", " ", "linear", " ", 
     "potential", " ", "to", " ", "actual", " ", "potential", " ", "used", 
     " ", "in", " ", "the", " ", "experiment"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NBECTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "BECAtomNumber"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NthemalTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "ThermalAtomNumber"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NDimpleTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "DimpleAtomNumber"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NtotTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "TotalAtomNumber"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DensityEdgeTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}], "=", "nDimpleEdge"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NBECvsNtotTable", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", 
     RowBox[{"NtotTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NBECvsNtotTable", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", 
     RowBox[{"NBECTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NBECvsChemPot", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", "ChemPot"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NBECvsChemPot", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", 
     RowBox[{"NBECTable", "[", 
      RowBox[{"[", "ChemPotNr", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TvsNtot", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}], "=", 
     RowBox[{"NBECvsNtotTable", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "1"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TvsNtot", "[", 
      RowBox[{"[", 
       RowBox[{"ChemPotNr", ",", "2"}], "]"}], "]"}], "=", "Temperature"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{" ", "]"}], "*)"}], " ", "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ListPlot", "[", 
      RowBox[{"{", 
       RowBox[{
       "PotentialWiththermalmeanfieldTable", ",", 
        "PotentialWithBECmeanfieldTable"}], "}"}], "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"BECdensityTable", ",", "thermaldensityTable"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", "NBECTable", "]"}], "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", "NthemalTable", "]"}], "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", "NDimpleTable", "]"}], "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", "NtotTable", "]"}], "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", "DensityEdgeTable", "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"NBECvsEdgeDensityTable", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "DensityEdgeTable", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], 
      "]"}], "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"NBECvsChemPot", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "ChemPotTable", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], 
      "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"NBECvsNtotTable", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "NtotTable", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "NBECTable", "]"}]}], "}"}]}], "}"}]}]}], 
      "]"}], "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"TvsNtot", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "NtotTable", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Max", "[", "TemperatureTable", "]"}]}], "}"}]}], 
         "}"}]}]}], "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "NBECTable", "\[IndentingNewLine]", "NthemalTable", 
     "\[IndentingNewLine]", "NDimpleTable", "\[IndentingNewLine]", 
     "NtotTable", "\[IndentingNewLine]", "ChemPotTable", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "TemperatureTable"}], 
    "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5498960888593893`*^9, 3.5498961163046527`*^9}, {
   3.5498961815265827`*^9, 3.5498961891081963`*^9}, 3.5498963868238096`*^9, {
   3.5498965556947527`*^9, 3.549896558736758*^9}, {3.549896593431219*^9, 
   3.5498965937432203`*^9}, {3.5498966294204826`*^9, 3.549896691262207*^9}, {
   3.5498967360966854`*^9, 3.5498969000217733`*^9}, {3.5498969307538276`*^9, 
   3.549896930941028*^9}, {3.5498971239840627`*^9, 3.5498971439632053`*^9}, {
   3.5498971859456067`*^9, 3.549897195005125*^9}, {3.5498972332363114`*^9, 
   3.549897287134394*^9}, {3.549897322362409*^9, 3.5498973263186355`*^9}, {
   3.549897379267664*^9, 3.5498974052051477`*^9}, {3.5505019486306524`*^9, 
   3.550501955775465*^9}, {3.550502011826363*^9, 3.550502070716467*^9}, {
   3.550502133990178*^9, 3.5505021366109824`*^9}, {3.550502234516754*^9, 
   3.55050224314357*^9}, {3.55050289700415*^9, 3.550502934912216*^9}, {
   3.5505031133931303`*^9, 3.550503121848345*^9}, {3.550503314274683*^9, 
   3.550503314555483*^9}, {3.5505034454151287`*^9, 3.550503446678731*^9}, {
   3.550503716859244*^9, 3.5505037255796595`*^9}, {3.5505037586673174`*^9, 
   3.550503761116522*^9}, {3.550503826431267*^9, 3.550503846040501*^9}, {
   3.550503900687397*^9, 3.5505039020601997`*^9}, {3.5505040722564983`*^9, 
   3.5505041931889105`*^9}, {3.550504228444973*^9, 3.5505042398485928`*^9}, {
   3.5505043381755657`*^9, 3.550504339626368*^9}, {3.550504375600031*^9, 
   3.550504377815235*^9}, {3.5505044464553556`*^9, 3.550504517653881*^9}, {
   3.550504572768778*^9, 3.5505046816101685`*^9}, {3.5505049474376354`*^9, 
   3.5505049502456408`*^9}, 3.5505049850653486`*^9, {3.550505112698373*^9, 
   3.550505117783982*^9}, {3.5505052139071503`*^9, 3.5505052493192124`*^9}, {
   3.5505054888420334`*^9, 3.55050549263284*^9}, {3.5505056364026923`*^9, 
   3.5505056376506944`*^9}, {3.5505057418588777`*^9, 
   3.5505058375806456`*^9}, {3.5505058931479435`*^9, 
   3.5505058955815477`*^9}, {3.5505059272652035`*^9, 3.550505932054412*^9}, {
   3.5505064175272646`*^9, 3.5505064939985986`*^9}, {3.550506847276819*^9, 
   3.5505068603184423`*^9}, {3.5505071879314213`*^9, 
   3.5505073587793417`*^9}, {3.5505074098382316`*^9, 3.550507415204641*^9}, {
   3.550507546666072*^9, 3.5505075528280826`*^9}, {3.5505079341059523`*^9, 
   3.5505079500335803`*^9}, {3.550508078430435*^9, 3.5505080995996723`*^9}, {
   3.5505083348587046`*^9, 3.550508352708726*^9}, {3.5505083854856005`*^9, 
   3.550508476177788*^9}, {3.5505085150750127`*^9, 3.5505085160990715`*^9}, {
   3.550508665526618*^9, 3.5505086656256237`*^9}, {3.550508696281377*^9, 
   3.550508797590172*^9}, {3.550508866399107*^9, 3.5505088989059663`*^9}, {
   3.550509501504433*^9, 3.5505095340062923`*^9}, {3.550509590401518*^9, 
   3.5505096160449843`*^9}, {3.550510262525961*^9, 3.550510285256261*^9}, {
   3.550510489757958*^9, 3.5505105542906494`*^9}, {3.55051113248872*^9, 
   3.550511158202191*^9}, {3.550511239920865*^9, 3.5505112404488955`*^9}, {
   3.550511274315832*^9, 3.5505112766749673`*^9}, {3.5505113586636567`*^9, 
   3.55051136660011*^9}, {3.5505116809450903`*^9, 3.5505117145550127`*^9}, {
   3.5505123905046744`*^9, 3.550512395300949*^9}, {3.5505127142971945`*^9, 
   3.5505127165223217`*^9}, {3.5505130048878155`*^9, 3.550513006929932*^9}, {
   3.550514061973277*^9, 3.5505140630573387`*^9}, {3.5505143414572625`*^9, 
   3.5505143460865273`*^9}, {3.550553043807481*^9, 3.5505530542750998`*^9}, {
   3.5505531170808096`*^9, 3.5505532375130215`*^9}, {3.550553291738716*^9, 
   3.5505533264487777`*^9}, {3.550553369489253*^9, 3.5505534277865553`*^9}, {
   3.5505534666462235`*^9, 3.5505534722466335`*^9}, {3.5505537853011837`*^9, 
   3.550553904127592*^9}, {3.5505539832327337`*^9, 3.550553985572738*^9}, {
   3.5505540437920403`*^9, 3.5505541314953947`*^9}, {3.5505543026803174`*^9, 
   3.550554358481615*^9}, {3.550554774466791*^9, 3.5505547745603914`*^9}, {
   3.5505548155144625`*^9, 3.5505548156080627`*^9}, {3.550554853036928*^9, 
   3.5505548571381364`*^9}, {3.5505548927025986`*^9, 3.550554894855403*^9}, {
   3.550554931936668*^9, 3.550554955289909*^9}, {3.550555036383651*^9, 
   3.550555036492851*^9}, {3.550555090287758*^9, 3.550555090381358*^9}, {
   3.550555196531545*^9, 3.550555233893611*^9}, {3.550555340970598*^9, 
   3.5505553519842176`*^9}, {3.550555392344288*^9, 3.550555398880699*^9}, {
   3.550555489344658*^9, 3.5505555210127134`*^9}, {3.5505555721802025`*^9, 
   3.5505555749258075`*^9}, {3.5505556516779423`*^9, 3.550555789544984*^9}, {
   3.55055587439594*^9, 3.55055589177437*^9}, {3.5505560053509693`*^9, 
   3.550556009422576*^9}, {3.5505560567800584`*^9, 3.5505560609764657`*^9}, {
   3.550556428685712*^9, 3.5505564315093164`*^9}, {3.550556721426626*^9, 
   3.550556727619837*^9}, {3.550557206924488*^9, 3.5505572996822515`*^9}, {
   3.5505573326919093`*^9, 3.550557364141565*^9}, {3.5505573949204187`*^9, 
   3.5505573959656205`*^9}, {3.5505575587279067`*^9, 
   3.5505575714887295`*^9}, {3.5505577868783073`*^9, 3.55055778818871*^9}, 
   3.5505580558577805`*^9, {3.550558650855227*^9, 3.5505587290425644`*^9}, {
   3.550558833703148*^9, 3.5505588513779793`*^9}, {3.5505598989680195`*^9, 
   3.550559901058423*^9}, {3.55056270514915*^9, 3.55056271107716*^9}, {
   3.550564147213271*^9, 3.550564218419344*^9}, {3.550564629081832*^9, 
   3.55056467712458*^9}, {3.5505656989107847`*^9, 3.5505657041835938`*^9}, {
   3.5505657441436644`*^9, 3.5505657474508705`*^9}, {3.5505659212017765`*^9, 
   3.5505659247273827`*^9}, {3.55056597453927*^9, 3.5505661227551303`*^9}, {
   3.5505661986492634`*^9, 3.550566216324095*^9}, {3.550566278349804*^9, 
   3.5505663683151617`*^9}, {3.550566422712457*^9, 3.550566430996072*^9}, {
   3.5505664679369364`*^9, 3.550566482850563*^9}, {3.5505665977135644`*^9, 
   3.5505666370890336`*^9}, {3.550566682923914*^9, 3.5505667847452927`*^9}, {
   3.550566987097248*^9, 3.550566987393649*^9}, {3.550567127591095*^9, 
   3.5505671362803106`*^9}, {3.5505672772265577`*^9, 3.550567314105023*^9}, {
   3.5505799735902767`*^9, 3.550580045646804*^9}, {3.550660175854348*^9, 
   3.550660226077221*^9}, {3.550660492423455*^9, 3.5506605076563263`*^9}, {
   3.550660838313239*^9, 3.550660845998678*^9}, {3.5506617725566745`*^9, 
   3.550661803812462*^9}, {3.5506620167446413`*^9, 3.5506620171916666`*^9}, {
   3.5506620622062416`*^9, 3.5506620630032873`*^9}, {3.5506623329377265`*^9, 
   3.550662397533421*^9}, {3.5506627805743294`*^9, 3.550662781924407*^9}, {
   3.5506628337213697`*^9, 3.5506628346314216`*^9}, {3.5506630956923532`*^9, 
   3.5506631141994123`*^9}, {3.5506633285576725`*^9, 3.550663330644792*^9}, {
   3.5506635268020115`*^9, 3.5506635524864807`*^9}, 3.5514517178576007`*^9, {
   3.55145175170966*^9, 3.551451903461127*^9}, {3.5514528121073246`*^9, 
   3.551452818550136*^9}, {3.551453530405987*^9, 3.5514535307335873`*^9}, {
   3.5514541840003347`*^9, 3.5514541847959366`*^9}, {3.551454339548208*^9, 
   3.5514543402814093`*^9}, {3.5514546309686317`*^9, 3.551454649672702*^9}, {
   3.551454900239033*^9, 3.5514549021471424`*^9}, {3.551455176162815*^9, 
   3.551455178567953*^9}, {3.551455572269471*^9, 3.551455601502143*^9}, {
   3.551455873331691*^9, 3.5514558753028035`*^9}, {3.5514561884467144`*^9, 
   3.5514561930239763`*^9}, {3.551456662987857*^9, 3.551456703444171*^9}, {
   3.5515894776229067`*^9, 3.5515895024893503`*^9}, {3.5515921709784384`*^9, 
   3.551592178357251*^9}, {3.5515922255941343`*^9, 3.551592238526557*^9}, {
   3.5515945321037507`*^9, 3.5515945389365625`*^9}, {3.5515947328789043`*^9, 
   3.5515947334717054`*^9}, {3.551620730904975*^9, 3.5516207994670954`*^9}, {
   3.551620989273629*^9, 3.5516209997568474`*^9}, {3.551621290919359*^9, 
   3.551621303118581*^9}, {3.551624045000798*^9, 3.5516240503204074`*^9}},
 CellLabel->
  "In[1206]:=",ExpressionUUID->"44cd0237-bfba-42ba-8f1f-7bae38788d41"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"InterpolatingFunction", "::", "dmval"}], "MessageName"], ":", 
  " ", "\<\"Input value \[NoBreak]\\!\\({16.003245008779064`}\\)\[NoBreak] \
lies outside the range of data in the interpolating function. Extrapolation \
will be used. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/InterpolatingFunction\\\", ButtonNote -> \
\\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 
  3.551624052520011*^9},ExpressionUUID->"6d91b2e1-4e0e-43d1-af07-\
52e96dc0a28c"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"InterpolatingFunction", "::", "dmval"}], "MessageName"], ":", 
  " ", "\<\"Input value \[NoBreak]\\!\\({16.006556133146262`}\\)\[NoBreak] \
lies outside the range of data in the interpolating function. Extrapolation \
will be used. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/InterpolatingFunction\\\", ButtonNote -> \
\\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 
  3.551624052520011*^9},ExpressionUUID->"affb1d3f-a04d-4858-af50-\
70ac43db6a85"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"InterpolatingFunction", "::", "dmval"}], "MessageName"], ":", 
  " ", "\<\"Input value \[NoBreak]\\!\\({16.009867257513456`}\\)\[NoBreak] \
lies outside the range of data in the interpolating function. Extrapolation \
will be used. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/InterpolatingFunction\\\", ButtonNote -> \
\\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 
  3.551624052520011*^9},ExpressionUUID->"4e27742b-0a03-4fcb-9a86-\
cd0460c32a70"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], ":", 
  " ", "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(InterpolatingFunction :: dmval\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 
  3.551624052535611*^9},ExpressionUUID->"4640aeb7-7361-4848-8eae-\
48ebb9243e08"],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxU2HlYjP33B/CkCKWUJVtCiEIIofQuWyiiIgrTgqJ90960T/s0zTQzFUIl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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], PointBox[CompressedData["
1:eJw02nlYTdsbB/DMmRIZQjjmEEIphC9C5krIfFBJiuZ5OM1znepMiaQMIQqV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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 
   3.551624056264018*^9},ExpressionUUID->"2081c8a0-42ac-4611-b000-\
c3c94f37fc46"],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxdzXFYlXmd//+TkZGRscYaGdnJyMjITkYOOeTcGTmMQ84ZhzEycs4YGRnZ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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], PointBox[CompressedData["
1:eJw02HlcTO37B/CxlzWEEEIeISRRWT8oipA9CUkbhUoblaZ9r2maaWYIIYSQ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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 
   3.5516240562796183`*^9},ExpressionUUID->"3f145165-f1c1-410d-bc2a-\
36f9fa7e77b7"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwBUQOu/CFib1JlAgAAADQAAAACAAAAnX5iBjFkiz6bxJHwOi9IQMTTIExX
IGk/Qd/8r0MuSED/xr6DICB5P0T54DpKLUhAncCNHwUgiT+cICyIUCtIQGw9
dW33H5k/joVowkAnSEDT+2iU8B+pPxnNzIykHkhAdsceMO+xqj+bCrA+hB1I
QBqT1MvtQ6w/RNMy5GAcSEBiKkAD62evP0Z+XsMQGkhAeKwLufLXsj9iAGO/
SBVIQAfb4iftH7k/fSp0oAYLSEDYwL117Oi5P2MxUsGrCUhAqqaYw+uxuj8V
n/FfTAhIQE5yTl/qQ7w/DsXIlH8FSECWCbqW52e/P0T+mP6p/0dAtHdKcnMY
wD8kL6Q3J/5HQJzqNxnzfMA//N7pwZ78R0Bu0BJn8kXBP/H9WRB8+UdAEpzI
AvHXwj9RM6r46fJHQPsOtqlwPMM/EMmsLDTxR0DkgaNQ8KDDPyvR7vl270dA
tmd+nu9pxD8hMrpH5etHQFozNDru+8U/ygo4FVzkR0BDpiHhbWDGPyWWUY5i
4kdALBkPiO3Exj/0ROD0XuBHQP7+6dXsjcc/eQwwxDfcR0Chyp9x6x/JP8jW
Jipb00dA9Ji1Kt+MyT9m1BvSz9BHQEZny+PS+ck/QK3NQzPOR0DsA/dVutPK
Pw+fNGzCyEdAP9IMD65Ayz9M+GPY68VHQJKgIsihrcs/LDeWcv/CR0A4PU46
iYfMP0x0VTrfvEdAiwtk83z0zD+CzVwDqLlHQN7ZeaxwYc0/GYg7JFS2R0CE
dqUeWDvOP47KGDhNr0dA10S710uozj9fQZrPlKtHQCoT0ZA/Fc8/UN4g67Sn
R0DQr/wCJ+/PPwGJW0Vvn0dAEj8JXg0u0D/UAmhCAJtHQDsmlDqHZNA/jbbz
9VaWR0BkDR8XAZvQP3TXlXZskUdAjvSp83rR0D80u6N9OIxHQLjbNND0B9E/
PcIQArGGR0Dhwr+sbj7RP6b+Z6vJgEdANJHVZWKr0T+pUVNfmXNHQF54YELc
4dE/vqtH7iJsR0CHX+seVhjSP1JuOQftY0dAsEZ2+89O0j8pNU5Ix1pHQNot
AdhJhdI/oxaFwhxWR0ADFYy0w7vSP4WbWzLuC0dAblDtzuXh0j/ehzwsTetE
QC34jKw=
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwV0nk81XkXB3DSisoSKbqWK7eQsbVYvx+/y/1aiiKmoZKbLNMmYYQWws0T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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 36.346300351417405`},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{36.841361487904734`, 
       FormBox[
        TemplateBox[{"10", "16"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {39.14394658089878, 
       FormBox[
        TemplateBox[{"10", "17"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {41.44653167389282, 
       FormBox[
        TemplateBox[{"10", "18"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {43.74911676688687, 
       FormBox[
        TemplateBox[{"10", "19"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {46.051701859880914`, 
       FormBox[
        TemplateBox[{"10", "20"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {48.35428695287496, 
       FormBox[
        TemplateBox[{"10", "21"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {37.534508668464674`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {37.93997377657284, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.22765584902462, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.45079940033883, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.63312095713279, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.78727163696004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.92080302958457, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {39.03858606524095, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {39.837093761458725`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.242558869566885`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.530240942018665`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.753384493332874`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.93570605012683, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.08985672995409, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.22338812257861, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.341171158235, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.13967885445277, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.545143962560935`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.832826035012715`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.055969586326924`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.238291143120875`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.392441822948136`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.525973215572655`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.64375625122904, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {44.44226394744681, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {44.84772905555498, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.13541112800676, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.35855467932097, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.540876236114926`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.69502691594218, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.828558308566706`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.946341344223086`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {46.74484904044086, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.15031414854902, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.4379962210008, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.66113977231501, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.84346132910897, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.99761200893623, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {48.13114340156075, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {48.248926437217136`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{36.841361487904734`, 
       FormBox["\"\"", TraditionalForm]}, {39.14394658089878, 
       FormBox["\"\"", TraditionalForm]}, {41.44653167389282, 
       FormBox["\"\"", TraditionalForm]}, {43.74911676688687, 
       FormBox["\"\"", TraditionalForm]}, {46.051701859880914`, 
       FormBox["\"\"", TraditionalForm]}, {48.35428695287496, 
       FormBox["\"\"", TraditionalForm]}, {37.534508668464674`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {37.93997377657284, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.22765584902462, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.45079940033883, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.63312095713279, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.78727163696004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {38.92080302958457, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {39.03858606524095, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {39.837093761458725`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.242558869566885`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.530240942018665`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.753384493332874`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {40.93570605012683, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.08985672995409, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.22338812257861, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {41.341171158235, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.13967885445277, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.545143962560935`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {42.832826035012715`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.055969586326924`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.238291143120875`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.392441822948136`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.525973215572655`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {43.64375625122904, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {44.44226394744681, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {44.84772905555498, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.13541112800676, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.35855467932097, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.540876236114926`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.69502691594218, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.828558308566706`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {45.946341344223086`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {46.74484904044086, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.15031414854902, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.4379962210008, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.66113977231501, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.84346132910897, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {47.99761200893623, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {48.13114340156075, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {48.248926437217136`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{0, 10}, {36.346300351417405`, 48.36898619763925}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{36.841361487904734`, 
      FormBox[
       TemplateBox[{"10", "16"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {39.14394658089878, 
      FormBox[
       TemplateBox[{"10", "17"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {41.44653167389282, 
      FormBox[
       TemplateBox[{"10", "18"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {43.74911676688687, 
      FormBox[
       TemplateBox[{"10", "19"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {46.051701859880914`, 
      FormBox[
       TemplateBox[{"10", "20"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {48.35428695287496, 
      FormBox[
       TemplateBox[{"10", "21"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {37.534508668464674`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {37.93997377657284, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.22765584902462, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.45079940033883, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.63312095713279, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.78727163696004, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {38.92080302958457, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {39.03858606524095, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {39.837093761458725`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {40.242558869566885`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {40.530240942018665`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {40.753384493332874`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {40.93570605012683, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {41.08985672995409, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {41.22338812257861, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {41.341171158235, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {42.13967885445277, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {42.545143962560935`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {42.832826035012715`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.055969586326924`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.238291143120875`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.392441822948136`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.525973215572655`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {43.64375625122904, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {44.44226394744681, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {44.84772905555498, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.13541112800676, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.35855467932097, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.540876236114926`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.69502691594218, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.828558308566706`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {45.946341344223086`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {46.74484904044086, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.15031414854902, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.4379962210008, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.66113977231501, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.84346132910897, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {47.99761200893623, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {48.13114340156075, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {48.248926437217136`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 
   3.5516240565448184`*^9},ExpressionUUID->"649ad319-e142-43b9-a295-\
219a3ccd3b19"],

Cell[BoxData[
 GraphicsBox[{{}, {}, {}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hc4lW/8B3AjX6SkkobskhGJouN4zv1p26MSlayGvkZKWWV9kezsvWci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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0Vtv/B3CRjEmFrkIPSqYkRMfj3L0rhKJUokvkdkvXcHNlSMZMmTNT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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-1, 25.475813539968073`},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{25.328436022934504`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {26.937873935368604`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.240459028362647`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {31.543044121356694`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {33.84562921435074, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-1, 1}, {25.475813539968073`, 33.303688097468175`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{25.328436022934504`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {26.937873935368604`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.240459028362647`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {31.543044121356694`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {33.84562921435074, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 
   3.551624056966019*^9},ExpressionUUID->"2dc2e96e-3de8-407d-97bf-\
6ff18cb0c9e2"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV13k0lU8YB3CKorKkSNl+IjtZCgnzvJHsW8iaNWW97r2vrcWepCQp2UoK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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Xc81d//AHAKJZLdpKhsysioOEdGCBnZ2bubee81SvZKuUJUVpSVnVT2
QfoQqZRUKgoVQqIlle/L4/H7/XUfz8f7fd/3vM94jccVcfEzc1/FxMSUyczE
tPLZ1X560LSeQcyob77mGSOcf2TTZPgtBsH9X51XH0U45HndUnkVg7TeMHjv
CZaYnNnBVsQgfUxN6+VNEE7kdqI0pjKI214doU5ThA0ctZl2UhiENu3LP3MM
4Yd/OKW+CTHIjio1YwM7hJ+o5J3JjEkmDYpqWvJeCKcMbhceUzpPpneL/Pcl
FmHxF7KD9n+SSJdB6rrKfIRHT3N9XXxwlrS4avqWNCNsrm/MmncmkdzVn3r1
6DXCuSFb5P0PJ5BEAz6Sugh+omNp8DOOSNR7HUbrMW57qDWsUxlLRMSaW+8I
Ydws9eiMX2gMkXcsvW4qi7HvzbuCBdLRpGHJetUZDYwXr8h2MX2LJBN2e7YQ
Y4yNjKbrVsdFkN8FKT6fHTDmrz/wSGA2jFx8qUN/6I9x8sfrgrExp8jHGKkd
X6MwDvToMV31IZj07U31oWZgnJbRZ9EwFEwkYumq98C3Op/Y+D8JJktj7rv5
MjH+JvrCebgpmBzgYjpxCxw8MhbQmBZMjnfblH+/hHGY9d/UQBxMBP94V0Vl
YZxgsPfpaHYQyQ54ndd6FePSUMXBK6lBRFzJ3Yk/H+PuUuUhk4Qgwq9y9+QJ
8Lo16qOtgUHkw37voI0FGJ+/pz+fpR9E+AJvf6Jdg/EddOU1/0knAskJN3AR
xrUUD8F1M3SS+4F9Lhv8LMt7S/sonWTuWLz+E8y/6Ce65xGdyA9rUWqKMb50
O0yBo4hORt/eLJYoxThHLtPsnhmd/MrT4FApx/hhm0WXtD58/6hC30XwkpnA
wYuITkyC92gvgKU+DNT82UcnSs1MqWYVGNsGX9ztLkMnXPlZI7XgJPZjWX2i
dEIJ2unFX4lxQzbfBuXNdMJe22oRC56QfRaTt4FOXOy0dTdWYbypLe0XGxud
fF1dtxAL1jMz8/H7QyNaKXLjVeDgcZ7RF/M0Emrk/P5kNcbFQf2WeJJGHkRO
39kBHlyb2ls6QiMXTKVGmOH5rNkmmGeQRj5JuMsqwfsryXLfDn1IIy1aHjJ2
VzB2I48lRztoZN+ta499zmOcbpqSZ9BAI42/tQbWxmDcMWbMd6uaRm53zMV1
R2I8T+dK3FpMIzl/jaY+gEXWPvoTk0MjC2uFTbmjMTbJSg6YTqORjpMTERaw
nyJljD4eO0sjHEqV56/C/dWtnHYtETTC67tPeDYCY66xc9qMkzQyh9N4LoXD
fNESp/q304i/S/VSUyjGjWx6jvsFaaRW4LiXDHjy8pqBa5w04qg1x341BOan
Jb6FukglBl9e5iQFY8zGFndB4BmVtC9wBofQMY66FKVsE08l14UVbuYHYFwj
qVneHkYlxjvyP0iD3zUx7ZCiUomaH6tFPZwHjXcR7EuOVCKuVdI24IfxH4nw
NzlqVFIYcHB2iy/GIY2not9NB5JfS4WMwRMYz+iwqoSOBpJEFB7vDXbpT/nM
8zKQjHVeof/1xthwovCY1r1AEnmUX0QCLCL4WKz4SiD5bV20NdET456Anb0U
3UByJaW5ytcN422SD/l+Xg0gUbU6X1vgvKbWWXanZASQd5onP3qC2fD7MIlz
AST776AbL3jO8scHm6AAsvXa/e9e9hjfj91R32wYQHLi1yhvOw7x4R3tePSi
PynVedZ8xQbiySWhovXm/kSyL/Hgp2MYa8e79Vjp+xNNjxq5QnA3rfxLAfIn
vW6sVGfwE1O1/coy/iT57d/ZN+YYj3BYPHZg9SdyGtsLXphh/Hd504Kjnx/5
3c1v+9oE41NPfmQXqvqSvyov+DYZYRxdGftRdbcvKcuS2zhsCOubxCvfx+NL
0tuu2BaCs7Tl/vs+5UP8f81flQc31LvP6eb6kHZxoc1Hj2D8K39Ae5LZh0R4
Kfhl6GNMD6idke2lkJD3odhIF+O1moN3Re9QyJeTUZaC4Bzu31EbCyjEwm9t
+YgO7N9qTUHmYAqp75HkooK5Zp9oDIhSSJR6560cbYg/J76knDp1gizv4ldZ
OoTxG1cZhS5JbxKneF5qDGHsp2jyp4nfmwj22IffAq9aTfuvZtmLGNvMroFw
jyWvNdlmPfciJ2wcmnaDg94ZxPhEeZHLnvdzKRCPue29B/heeRInFeudzOoY
a1kWBzklehARdOGT6X447yY/Le9SPYgGzjaXBM/q66lwOXoQ9rj3M0zgy+pT
P5v2eZCJhNSKGjW4vksudOOYO+ndkGvMC85auH36kbo7abFTXzusAvvhwv3I
gwuuJDNpLDRzH8b/JQk6pw+7klTV9X5UcHasp+bUA1fSHFrEMAHrhrCvupzv
SlhudBlyrFx3NIpZMHIlpdXCHdFKcF3ueVxZqQsJ3G8YFqoI89s7nrTJwZnY
PdHIiJPHOOVcleFTA2eyG3+v8AZHHwnhOq/iTMzjtD4Zgb16OdKWuZ3JXd2A
e4JgpV6FKx/vORGWdeGbyvZi3NsTWVIn6USMZgUlX+yBfJKullgwZU+6LV3O
GshhPMTXxyHQaU88aVJDCuC2dKeUxFx7cs5v/shW8Pn0hEw/E3viGm2ZNg35
cGf680L1O8fJmhNaNy6AzdIC2l9F2ZEwvcwfwzJw/i/c+M2z2Yb0SVT3pktj
XPHd64zuF2uSwqUbEw6+YSvBdPq+Namr0XTyBl/bVcI6HmBNNv9QT0LgjPpC
7js9ViTCWjp3Rgr2+7urYrZhluS7OO2OCThIx/EGw8yS1Nk3EHUwtUxY5p6E
JTG42TMjBT5Jy5WXeW5BPH/J1bOCHddmH/wna0HOdW1gbZGE87g30+zaiDkx
mVsdogDGGRbPB2+bE4aKeI8IWP03vzXHeXNy/2cG5gErd6bb01TNiYGCatac
BOxH61Qv3VQzUmvUtVwD5oo8Hz51yJT0XhVlqIJrr7JauBsaEZ/18+dcxDEW
jfZ8Z/PPkJgN9UpYgVPdHlCMawxJ/39540fA/pLJ0Sr8hoTly/aGfWC5W/w1
7G8MCHkm8nwduOy/nRxVFD3iUzHyvFEM4y034jKvCemRauEYp5vgs+c+iVx6
fJjw8n1gLwV7mZSrRioeJsKlL+ozwGJDCh5mSzqk4MT2hEDwtRnN9h9JWuTK
3bxReTDvk+uGnw9qET/7VispcFQt68uR2UPkOZPvZ1GwU/CD2W6zQ+SZNNWX
HyzMbLote4smcZ5/MvprN8aMsdqSlIeYjAjIGM6D/97nV4wNx0RDjmXgM7he
4Gb6UCci0kmiaASsKNk2G35MnfB4vI3uAvPOxrB61R8kxnYfRtrBc7WHt5lu
O0hyftrYNYOrDj7W3zm+n5j2RFXeBEuZDBd2UVXJp/Ks1lwwu8C1ppoXKqTC
ZZDrCnjilfvTKwdUCKtQwJmL4GLXmWXKamWyJq3l9jmwaPAfW+50RTIcmpR2
euX3GZI71/1WID+4BSeCwauKLD+vdlYgco1dtjTw2NOa0z/l5Ell1+VLPuBn
k2+1vmbsJZOsd5xPgBOYBTcNLu4hwuu+63mC9ex7VFsyZElvxICvM1ji3K4H
Na4yxFKQWumwMt6GcJtCeWnyr3kP+3FwD7/iqXN9EiTp8/JGK3D5oeR1Edni
RHSMp/cY+Lz/p6xAbzGCezSyzcBGD7ObbFh3kYyKj2nGYLnf348YPRMlTc5O
jYZgLgmTN7hAhOw7Nf/PADxrUXZSyW8H2XQix0kfnLeG/ffRU8KkvMp+5DDY
0bVli4rgNkJ5tO+0LngHCTggXLuZcNrsUtIBj24RO85qvJFQP0ms0wZfDxoK
m57kJ/Vbtf4eArs9ZeQ+i+Ml2wsC1694t5xWa6MIN9kmc3e/Jvgh35cWrdMc
xPgUdxwGH+21Wua5xUYizMKnEbg/ug2/m2ImRbFMASsuoZmx2Ov8bn09mcm7
4oqxnQmLdXOt3m6a/RrgNoPn4tZpb1pbRpYrVnx8/sEVisM9DR+Tp0UrZuQ9
fuf865OGal1904oPOWX6XDz/XYOJ99bsijW+dk793LasMRDarrHy/G3ti7cq
LVnQBMt4+Yqz2FMDR4TZUcbzLcor491kJiHP82k98tzo8XbFR/pGgguseBD7
8v2ClfdLCpC2amziQ5Y9+2NW3r9bIFj52XZBZN7WGaUFXtPYITAdswkpyLvl
rsyfrgPXd5aJLcgiaPPgyvzGrbIdEDIUQkbz49Ir69FZXHRLuWY7esXdlacH
LggWVlM6KIraeftfH1l5f/3OUuy7E5UvLRYZgd9tPbHJKH8X0k87kHwULNx2
+6c7izgyVuO4Zb7yvml2noHKEkj8StZXC7C9G/OLcC9JVKCjY2QNzllrdOfS
Q2nkfvaLnT24eWh+d+E/GeTSOMflBH5dcTmjZq8cCqBwj7iAkyUCG90M9qL7
n6oGvVbW92HLlTNVCujzuZidQeBIkfcDEccUEdcz8w2nwPuCWLijfyuiQU6q
UPjK/tt+JD5edx9yDS3MjwcHBL4MTBlWQXJMzFor51esa6kyNVYVpRoEaeaB
h7Zun0yXUkOnRfRcroO177s7Xg7aj+5osHNUgQU3LRwp4FJHWZX7FzvBvScF
E67XqaMoet+63pXxtKt1FNlqoO7mPo1+8OSJSNWyYoSidHZwDYOHh+PTbLZr
IuVSM4NFcI08f4TLXS2UUaVzQBni3bo3RTmu67RRQ/MkTQPsFq/S6GavjVwY
4v264M2vbb97rNZBXBFnvlqBo2MLKJSjuqj61Vz/afCxF3LWtE96SGr3RoEe
cFVUG52+Xx+xVy2FDoDXypilByXrI/WWOuYRcEsk/VGIogEqVbsd+m0lfks1
a5+JOIIqirw4RSAfLIbpy8dvNEYqIxfbIsHDXL+6l9yM0V+ZgrDz4I78YqeA
WmOkvnTI6jI4qXP1heNGR5HCBmuvGvB6NsfgK5omqKpA8/d7cK7R5kG/YFO0
vWXtewPIXxcy5wqk8kzRJ+nYRGtw9EiXzwdo3C2+DBt7gD0CgljteM3Q+DNd
1WiwXMYzJd1KM6R0LyC8Cdz6Jjl925g5aj4880YR8mfNbnfHF+zH0PT3tzQt
8DXfg9Jpe48hIT42GXNwPNPnjjXhx9DZRv5fgWDjXXrz85ss0JaFF2vqwCOU
VaYPjC0RhT+e4yDkc6alIK6gRmvUmTP0zBXqhdcOoq/9xq0Rw/gUSyj4Tkdf
iTeXDWrgfWzLAPsk7dK0d7FB/us7QhrAQ5ufUrXX2aJKzt+neKBeqVOVfcVr
a4fqB4KudYO9gsauVy/ao2Yb86fmUP9oDTH8b+x0QBkdSk98wMIa+9WvGzmg
wjCr7wng56ypg5kFDohyMft2M/hQhgZ7uL4jurCWbJCAeotryFCl2NAJXZX/
rsIG9djEr5IcWo4zMsO2fe+gXrsY+eTkhpvOqPOMi+YyGK1dPFh23xn18Ji+
FVLAOHOjwduRWWcUtUs62Q6srTwtdETTBRV4LD16Cc6n7r0q8tEFiX9/NT0E
9aPVbH3Boz1uSGCfrvQ/qDdXBb0P8NZ2Q4mP99wXUYb995f9EIuNGwrb/uSs
Dphlvd2oWrQbevL1cnoyuFb6r2jRgBvafNOtYjvUu1zemoWnQ90R1TqLw1AV
6t2xB8US9zxQGU++9X9QPx8rCs1wGvRA7pvONk+DRz0kYy9PeqDxQg59vgMY
/5tMdF7L7YlYFszeOIGV5w5vmzjuiS6PeHz5Cy76cz+15IcnkrY1HkdQv8cK
dISJSXmjsKFPq8ah3ud9EUBxUPdGbp6JzRugXMu/LGKbaeKNnPZbX4ev4+at
USpswd7Iep/MYjp4QQTPf7jnjc4Y3ezR1YR+Ua7Vs8j+BKKP0OVuQ/+hebjR
bFcqBYnsaHC7A/2KtuBA+1IRBYVz1tlOg3U/zOx91khBwR8bkkWh3zGMEdkQ
PU5BLYIHK1LAliSxd0TlJLoY7zpw8jDGJ1SstLOHT6LNw20iitA/pYl/28cr
44uq+Wei56HfuvhjfdEk9kVlYhEv90K/dum+OH+7hS/S/Bke4gfOcbWb94vw
RQUpolkz4OKrHVV9T31RqEANdcYY+vONqeJnQ/2QwB2ONX+g//u6+hJnpKs/
snhbfd7GAuJRoqf5fh9/FG4Tk5ULHuRUzfoW5I9aZSr+vgc3CbwS907yRwHN
h7oolpBvxLdqmd30R6wdmeExVhC/jlwN3bXsj/bYvjLshP5VM63kY3dWADq9
p2dNOvS/dYIhsjGFAWiVQmX9GFgsW4+mXhWAbAd1xpUcMeYonGSubQ9ALO0V
N1+Cn9+WFsqeCEDUPXtsxJwx9n5Vbe6jHIhsL/BkvXaF+ndHfRvP00DUMfmB
QaBfH90Q+CfrdSBa2JjKJwr9vdKytOquD4HIt+SBWxx48O3VauVfgSgnQfmM
MQXydXZCnp0wFYWvduL6fBL6SwGrsKITVLT3uVmdmT/Gv1l46uVoVHR5tWJS
J/jIt56Fu2eoiGLGzFAJgHroqQal5wIV8ed+MBAJhHr0gpjtlztU1EoXr2Oh
Qfxa90NFbTUNGTW+cxMMgf7ydzW1g5OGZJnCXuaDnSe9q48I0tD7rfHesqFw
frrfijlI0tDcyLKs0SmMDeLuC8QcpaF45uCysjBYX1qEKacNDdm0Xdiifwbj
GVe15AwXcJTr1SnwhUOVLKV0GmKjyn5UicD4vbwnlo+gofzEjO3jYAURkbDG
RPApOa2LkXA+uF/f1UqjoZ3rIl7qRcF8L19ceJhNQ3T5oyqromF9vhjvsSyi
Id5EmuMi3B8yvJYyUkVD5szX6HfBD/o6ir3qaehCDt9YLdy/pSVs9Gs7Dd2z
3HtR7hz0TxXKwqd7aSgzh29y7WXIR9lzNizPaejBwL9LqwohHpwry0gepiHh
Uc6p7AroD0659QtO0BDpDatfqoL44S28Pv8rDTFLpVCCqjFebfNST3KJhnL1
as53wfVjemmxtSx0FPYqNiIFXKxi2HaAi46Gc3x3S4F/ibH96dxIRxduPs3I
rsRYX7BNxViEjmRL3rXvBGexnqK+kKKjCuGpix3w+9PfFKudlOhIu7K/yAX8
a0q0vEGDjpryXt5ZKof1ec9TwqtPR7WtpfcywFv7vuR12tPRoxmuL71lsF5F
5QyJBBhPasIxdAP2k8VO37lXdDSVIJalW4yx6x1e2ciIIDQaVb6mIh/yR/DX
sqs9wYhjycsdZ0L9oZIZHK10CnlPfAuSjcX4Y2GYqcXTMLTgsiGcAfuN5ajB
n16tCLQ+/p79DSeM/awb5iIGIlGcyVlxTzjPRU6zkzwi0Yh/9s5mdoh3q9dc
6qVbxSA1AW4OLsgfZbHvbvWXxKKzuGTVXyGM9zhYqXHOx6FtwwZlUesh/z3X
LNkkloDuKf7a/OgPwv27+rYK0RLRGtbq17ffIDzL8zBkofwsWvYe9vQjCE/Y
/gosfZuEzoTnqwReR1jm9H2qheR5VFIV5wePxZfU2OwHHJJRd3qdqyEF4foN
02b73ZJR3oab3i9OIPzyQ79evncy0mlqinIBb0nLVTpJS0YMA66JEG+Ec6eU
OFmSktEhYylGsSfC17NdmxRvJyOLXbrarG4IV/9t25zOwUCSaY+CnxxH+Mmz
4g2L3AwkVErptgfP3TjP6igI10NKpD/bIaxgaf1VSoSB5HM5pdjAt6u+dHco
MxCzIdsadRuEmxyFQ+adGWjhaYhOlQXCb/ax+Fp7MhDPeraOg+A/HFOurScZ
qMohyLT3GMIa9bePJgUzULsGz40Jc4TbuY3ERZMZSMup8MAuM4RHPyoIJaYx
UDqdHL1livCqlk18s5cYSGViOOgQWNt7/F/DNQY6YHrgn5MJwu6o59v2UgZS
8o10mDuKcLxAzVRcJQMpmg31R4CLP2e8+1zLQK9mDa03gP/v/xT0//+n/A8z
1khS
     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hc81dH/B3BZKYUK2buMkBUSjpVN2Ssr25W9Mkp2cq/wpV3IiL5JUonq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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-0.015000000000000001`, 23.167453469480925`},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{23.025850929940457`, 
       FormBox[
        TemplateBox[{"10", "10"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {25.328436022934504`, 
       FormBox[
        TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {34.538776394910684`, 
       FormBox[
        TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {23.7189981105004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.124463218608568`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.412145291060348`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.635288842374557`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.81761039916851, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.97176107899577, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.10529247162029, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.223075507276675`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{23.025850929940457`, 
       FormBox["\"\"", TraditionalForm]}, {25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {34.538776394910684`, 
       FormBox["\"\"", TraditionalForm]}, {23.7189981105004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.124463218608568`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.412145291060348`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.635288842374557`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.81761039916851, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.97176107899577, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.10529247162029, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.223075507276675`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-0.015000000000000001`, 0.015000000000000001`}, {
   23.167453469480925`, 34.553475983420746`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{23.025850929940457`, 
      FormBox[
       TemplateBox[{"10", "10"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {25.328436022934504`, 
      FormBox[
       TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {34.538776394910684`, 
      FormBox[
       TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {23.7189981105004, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.124463218608568`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.412145291060348`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.635288842374557`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.81761039916851, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.97176107899577, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {25.10529247162029, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {25.223075507276675`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.937873935368604`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.240459028362647`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.543044121356694`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.84562921435074, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.027950771144695`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.182101450971956`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.315632843596475`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.433415879252856`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 
   3.5516240577616205`*^9},ExpressionUUID->"23939150-7fdf-433e-a83e-\
ec4f6fa06d6c"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV13c8l98XAHAyIhGFVCLZI5GZL+55hOyMKLL35jMijY8tUTKyV0RTkYgf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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Xc019//AHBCJSNKkqSMjIyK7HGvmb2z95bNy4ysjMTbikgJGamMtkg3
omElhVIhWjQUGkafvk/n/H5/OY9zX8f7rtdzvN8C7sEWXmvo6OgK6enoVv8+
bD8ybN5MI1KVvZ+X1RAuN+SZPnqNRkpkk7Z5qSMcPXR9+VIDjfh6XjrUDxab
/rprbTWNrJE9tFiOEM7gcPVvyaORnH+Xv+pqIGzgok0n5E8jwtTr9EJthHtX
WPcs7KCR6yEOgWqGCA8olMUXpWSTCjYPs1u2COcM7+SfOpBFBj6qO9ZFIiw6
IjXstJJJMgwrd0cXIDx5hP3H4uPjZK7m1ZfQJoQt9U2YyuIzyBJfMH/5AMJn
o3n3hxxMJ2rmx98ZzIIHdKwNfqcS7SgNlfz1GN/r1RrTqT9GPLk48iK3YXxn
T398cEwKKYzkCQgRxzjoyi3uColkcv5uWdyyMsaLJVIP6RYSyc8og6kcQ4yN
jb9cZ0hNIL7nxT8zOWLM1azSv+VbHMkaWuCRDsI4+8N57mMpsWSvuUdWZgLG
Yd7d5mveRxGP3Sw8cgUY5xf2Hbo9GkX6BdQUUsHXOgfsQgaiyLrrnNQQeEFw
xG2sNYooazIZRJ7EOGp8KrQlP4ok+Oqn3i7EOM72b14YjiIcfRsv6hZjnG6w
b3CyNJLkNxeGJZ3F+EKM7HBJXiRhcN0wOAx+dEF+1Cw9kshX3QiQLMN4wzq1
ybthkWQdI+fhF+Cs+/pzp/UjyY7iz+6y5TA/VY9Nlr8jyFSWcNLvSozPSBdZ
3LeIINOsSp69FzDuvXfooYQ+jDd7OIjWYbxssUX1JIog59p2zSaD7aNO7vaS
hHFFmwnVixjz3Mv/s3ZtBGmunnt26xLGehYWgcErFOm7trKw9TKs7x3n5Mgc
RbqfiKxEg2sin1rjaYr4zHiLvAIPr8/ruTBOkctBHrXq9RgzlZphzmGK1Mo1
cTwCH5DiuBHTS5FlMY0Ppg0Ye5In4pMdFJETDmM8Dy4wzykzuE2RuQpFN75G
jDumTDZfa6SI4/YjDBHguQj2jO01FIle7Ck2g+cF1vevpJyhiEnuNPoN6zE7
nR36JZ8ijWsaDRjPYZwoafzB6jhFHuSwhUnmY9x4l9WhLYEiQ4ElLu6pGI+Z
9T7ZHUkRFB+X45SEMfvUCW1aAEUsckvuViVirB5hePuXO0XwXoM3ZTAeuI5F
2sWOItPBHWWnwWdKuisfmlKkTkPWbgKe75XI3LpPlyIVzZOje8ArbfpZxaoU
8cjIqI+B+yVhxkxPLwvW7w/uPYpxJpUx83QnRY6f+qwUH49xy1o9F2Vuisx8
r6kcjcN4unjd80pWiri0+SqpgPXa0trCF8OJehy9JNMRjNeuTc3d8iycrIwI
MzRHY5x0KkneLi2cXA0Y40umMG4S17jUHhdOYhvc1BjAE610u/aEh5MWnZZ3
qeGwvokE5mWXcNLx90llThjMV+zo6zNK4URg19GoayEYR7fEJk98CSMimtyi
BwIx/qrDpBAzGUZ0FoIXSADG7k9zPnO+CCNdHLveGYGNPlVZad0PI2sTN204
7A/nw/1EpKYkjHwvK2xp8sO4O1Sox183jFj/fZxz2BtjPvHezb/PhRLbfyt+
oa4Y5123fpRTGEpGqfqAreC1+G2c2IlQ0lcZu+6uC8bfrX+9t4sMJSXcVcus
4K5ju5rvGIUStybriitOEA8mKMfkxRAiJyIlweUA8ePUjmo2yxDi2Nw+KWON
sXaaZ7eNfggJ/Fxo9/UQvG/UpdkKFEJOjjwWuwAeMFdSlpcMIV/7H/byg8dZ
Dj1xZgohs9FRXBxWGP/9xzPvEhxMmirtlugtMI4d+FVapRhELNV2ZvKbYJxc
f+yD4u4gEtJzpX7SGM43c9P+Ps4gcpeRb0st+LS29IOfM4GktoVWvw98u9nr
u+7ZQNJwafq3rhHGf8qfa0/TB5IH733zEwwwjgi9+lWqx59QCT57+Q9ivF5j
+JbgTX9ySvtR3XtduH8cS0lbK/xJRuUFr3pwR6MGN32UP/mpZFGuBmb/NqD+
XNCfjEdmbXXTgXhzeDYnNvYwiX9u2n5NC+PXHpIyD8X9yPUvOmPwOuBgWbOV
Vi4/Ui3F+wmWi9cwUA+a/vmSwvl+cWGweGWr/ekhXxLI9tfyPsI4csIgJTDJ
l9DVvlVlBHM4+T3f/NKHuG++sDdXDWMt65pI1wxvklHbKfME4jOP2W/rW+He
5Mqfw0XV4G/6egrsLt7kfcsH8ThwsdrM71Y5b/Jv451x8dVxYemYrVNeJMfo
RXK6Euzf/I0j/WpeRCdXKN1QEe5Dblei6rwHUXpZce6nHMYPMrndCsY8SNaf
my1PwaXHfDRmHnuQ9FNZ9A1g3WjmNcXlHiQ1gWWTz+q4i3HKvLEHqTcLUHl1
AMalh1IvXnAnpnR5JT2ysL897zJ5nN3IgYzSsZ79GOecaDAaNHAjI3sfmzSC
kw2j2bMU3Mhb9/TJfLBvD0v+Pw43UsRJUfbgAz0yJR/uu5LiJTf8eR/GPd2J
tdfFXcncnSz/zeCFAqWMihknwsLYVx8vjfHo5j6WLZ1O5LCfAOUFvlfgmpNx
1ok85TNzNAZnFaQXBZs5EQtV1vwdYKGCoSq1m47kE1dPHpHC2CI/tP1lkgNp
T7jyghnclFu3xLnNjsgECajeksD48k/feN1ZW/Jh87uYCnCdvRjdkS5b8uXj
wpsT4ErhWqZ3obZE5+AQjxu4sLmK42a3DSlcdrVlA8dOnBOxj7Mm4v9qfgbs
gfPXcamjWVgTo73uBXbg8Iv8kvfFrInDf4+sdcEB1Nn9kkOHSGU2ZbIL7LK+
VPU/qUNERVCXbhjyt/a+IovKcUsS6rHPWw+MCw8NDd+wJHu0k+0VwGpLXLYs
WZZk39df4SJg+c4CJ0rRkgRlinMzgcVt83x18yyISNJr7k4xuO+JWUdnNM1J
jpwEgz746jmmQ15GxsTIaMg2SBRjwWSfCbv/jMg0b9hNd3Ce52N/kyYjsrLY
LGsDDhHPTlbgMiKNo7LZGCx9jauJ+bUBmWr0a+UCX3wgxNLgr0eO5zjR3xfB
mLcutahyhx75c+CWzW3w8RMfBU49OUji1eP6GsG+ZpcUE2UPEmVe1a1nwSKj
Mt4WyzrktL+cUAy48qtG+69MLbKVGPAqgDcNnDf6rKpFFk6Mee0FJ11lejH+
TZNYdV0eEAW7Rj3+9shCkxh3f2XYBuanN+cr5dUg3r23J1Z2Y0ybulqb04vJ
rO2L3b/Af7u4ZI8dxaRpx47MWXDzlisFo52IFG7maJoEy4rf+3bUSo2o5jqF
doM3fUth8m1WJbEBwY2d4O9XD/KZ86mSLzJFrATcoPpEX+idMhlr5BW+Dt5j
Nlb1MFyRbFXueXgOzLylsrVpRIG0fjL97zT400uvwRIVBcK7/pVlEbjG4+s/
fwZ5Mrv3P4dssGDUij1HgSyJrTeeiFv9fJq40IYlGaJbfE8gBrym2vozg5sM
efByMTECPDXYdOS39H7ica6lOAj8bPqN1o/CfeTpK2TuD06n5+YZXtxLUsfT
RH3Bek7dim2FUkR4u7WUO1jshPDjJg9JssPhtaPL6nxvH7Wr2i9BQsJ2XXQE
d3PJxp7oEyOaVWNnbcCXNLM3JJSKEiZuG+1D4KyQj6fD/ETIWbbM9ZZg497S
VjsmYaJUxzdjApZe+mlo/EyQoPnYdcZgdjGz17hCgPBszNM0BH87dDHgQPAu
YuTrXKoPLlvHvGQay092U5OcemAXjzZeBW4+cusKX40ueBcJVeG/uo28qmO1
1QFP8oo4MplsJRKzV0S1wecjR+O+THMRen7WLVpgz0Ha2Wepm0jUa95dmuDd
0lp3WwQ4iOfoGz0NcO/m2TatIyzE9qlVDgab9tj847y2lpQfS5hH4KfJ9/DE
DD3RaXeKWHUtZcHopLN0d43zLNeqL08JpS9e/37XWOXAoDr4nsGQqG3+67tW
WpL1q3ace1zi73xffdFvpHrVtLInE25/PqoPX5a7s2pN16LAk1k/1TU2H/y+
avUfnTO/+f6pqzSwaK7+f772xWv11owopTjlyqpPM+eFjfMzo/xfDeqr8+Wx
ENvP+ZENFf7Knl61Yd94VIUNJwoa2HV1dX2ZoRI2La2bUUeXT/Hq+h9tiZJ/
tpMbzQh4nFndn3UtHVu+pPAgOuXNd1f3T9eZ/SfjJ140EhD9d3V/U9fYP99h
tAMxChXYHwR31lRfk2/aicb7PYZWz6ciil/pgKogekQvLmy0un79zgs4SAg5
lfH/WT3vie2HeYzLhVGTQ++0KZj/3o3fXoyiyPGJhYjV6nrzHXzC5MVQzbRk
qDXYyZN+5KivOMr/0v7SFnxmvfHNU70SKH5iJ6Mz+M7o3O6q/ySRwrGZLlfw
q8vFhU37pBFPZHi1BzhbLKzF02AfquHubPNbPd/etpL4BhmkphhvGQVOFHj7
PMFKFsmq9lodActFMnIkL8mi3WMiMQmr92+nYVqarhyij2eSyACHhr0IyxlT
QNfaimVLwSIPl+vzjikio4+UcTl4dPvO6YI9Smhqh39mNVi7y8ulOFIZMf+q
D2wCc/PMG1awq6Eik+6XD8E9Adzp56+roYMx11j7V+fTrtRRba+OeusfuT8H
Tx9OVLxYg5CjTlL0W/DYWFq+3U4NNP2SMvgLbtrPleB+SwvpJU1lqkC82/C6
+ozHBm2k8OLlDy2wZ5pCi6eTNrooJxFnBN72yv6nN4MO4nj+ZckJnHyswt/f
VBddumJakQy2GpG2pT7qoZFrH04OghuS7kVEKOujqjpD2Tfg9ZIWBZHZ+kiG
xeDnR3BbYkR/tKwB6vgg/O7vavzec0c7PsEQxcY8C5SAfLAYp78/basJ+qpi
IpcNHmP/82jZ0wRJqhfLlIA7ymtcQ6+aIFk1UdNqcGYnQ66jsSlilhf50AZm
W+sSVaJhhvxlxLO+g88abxsOjjJHvFzRdxwgf+UWfa/YU2aOWkMNmvzAyeMP
A993mqNJzab7UWDv0Egmh00WSP6Dof5JsHThswO69RaIkd55oB9893V2Ad+U
JVIf/DGoD/myabeXywizFZIg5zvswJVBqhL5+6wQa5/uoB84je5zx7qjVijl
e4x5JthEWG9ujucQ6jI2GOgFj/uvMX9sYo2CWdKGbCCf0y1Hske22KJYq2f7
06A+eOUs+Cr4nS0iZ2pelYJvdvTV+rHboVIt3stXwIGZwhpO7nboVPHG9jfg
0W2D4dob7JHK6eA7CpIYX1eUernJ3gHZycQxzIN9I6fONy46oSPirFLpUO9o
jdJC6oSckV8e8/0KML+6stp5Y2fEzmGSdAc8xJQ3XFThjCYfzETOgTUL1ZmP
6rugun0Seq57IR6PGinUGLkiIUHTPC2ovz79qT1DnXFDN3GgirgMxicTBwI2
XnFDZTcZfPTAaP2i6sUuN6SQeq7VB1y01eDN+Dc3tLQfTdSAteW/7DDUcEf2
OT7bRKFeLA/fd07ggzta0+TgvBfqSZtvzRX9ez3RCeX5ERd5yGeRb0P9tD3R
AE43OwZu+MusyWjniR54if28AGZkc5hUSvZE9yWY7s+Br0r8Fax+7onaSs2o
DAWYv59G1ZEYL7Tbl03vDtS/D6Ye14jd90bV9otndFXgflfHFLoOe6N1eiUr
geBJb/FjxdPeKH9RI60Q/N90htt6Dh90vUaW5z1Y/vtBvk+OPmj7a6ycpopx
9UpXXu0vHxQVI1s0APX7sS0dcSJ7/NClJ3F30qA82zQS6u+s5ofW0vlVXwOX
FwvYF5n5oZsJdm0T4DvbkxTWRvmhjfTrj6hoYDwvgOfe3/dDnVfGZObB7tJ3
faqdDqPn01Pt/tB/aBxssRDO80f/ruR+ToZ+RZv7eftytT/6SNioFrDu+6/7
nrX4oyihGNU5sFGKwMbkd/6oT+YizR36IWuS0TOuEIDEB+9o6uphfFjBRrt0
LAAJfE7R5IX+KV90QW6TZBDaoyfb8Rv6rZO/2KqncRCaXaPMpwj92qkuUa72
Q0Fo48dNXdHgMx4Oc8EJQYixcJlpGVxzrqOhbzAIdZbzWTOYQX++NU/0eEww
2r389qEQ9H8/GE6xJnqEIIsllYg66C89M3wslQND0MfxTo7v4GFWxdMLkSHo
lLPBegUbjFu3vBT1ywxBg8b97A/AqaLbtSyuhKDe5azCT7YQvwzPxQj/C0HM
icwxGPpXjfzaD49Oh6I3Fgnp2tAPX+eOlkqpCkX+1Tdni8EipXqUWkMoEn7g
M/4VzFI1TX+1PRSx6HC5lLjB+3BDYkfpp1DEwJzA+9sdY7+XjZaB8mHI7eKf
80+8oP7d1XyPczAMqflwr2WB/n1yY9jK6VdhqK8zdCwcfOCfhKLw+zBkfPZH
1Rvw8JtzjfJ/wtA7dj/e64GQr0vTyxz4w9GzhmuWgcHQX26xias+HI7qUpuH
toZjvMTI2SxNhaPd3O07C8CGC93zt+LD0b0+1/cbKaiHBtX9u3PDUesDKVb2
CKhHc0XsZ2+GI/vbV/L5oyB+bfiloMRAITXy8lbFEegvlxrDO1gplJm5rKEW
h7HbtF+jITeFVrgUu16BGR+9EXEWp1DkMz9twaNwP26dcv8oQyGZg1413eDa
GvOyEFUKbdm+53lkAvTbhSyjizoUsmZqeC+SiLFBateWFFMKPfH5qfAKfIZK
MGe1oxDzUhM+mYTxVw+l7EJ3CsUW7xCoB6tbzj/iD6CQv+ySUB08n6tZz3gh
gkJ6n03DtWH87X4fvD+BQumOhrdvHMNYRkAgriWDQl/lQl/Y5MH7xfHqllY+
hQbTjdWkyuC8/p2c7y2lkAe/oz2qg/OdNdlrXU0hzZGkFMEGjKPH1vuPN1BI
cNKjNLAR48d9HTW+zRR6Tq9ksRfM2xY3+aOdQt82sAnUwvMBl+X5j/RQ6Mvh
w8kO4LbS73aMQxSqrupKf1EP8eTExcLsMQr9fZyvZAB2jfV8yv2JQq5uuQIf
L0P88eNnK/9BoUdKku6pYAa7F3riyxQ6ZdTXLbz6/Z+C0T0V9ghUxfpWwfsS
xl8WZBtdD0SgNlPuf99g/n9mBC/dVo9AkZ/S+U+AGd9y1m7Sj0B35wMMxMDb
+2bLOqHUZODc6Od5Afa/+hJNLD0C9b89Oj9ZA/fpkFDQ95cR6LLh79zF8xh7
3NwklZgQiTZcf1wZCPs1GvXj4rnuKGTKtmZ8zUmoPxSKopIPxKKRYZG1fbD/
H6rizA8NxqFfcjlv54Lg800NVnq0EhDhLNfvccI42Pb294TniWgn4+UxBPGh
2vXbNKdAMvqT3B+bCfGRYd2pngibFLRBYueMPOSri8cmrj2tPYbSqsbz7m7D
eK+zjRLrXCpK+BblM7we8t+QRi2PSDoKKeTwPTeH8FPhvu07qAzEJjHvT3uK
8DfO3uj5S8dRmm4ZsriG8Cf7P2EX3mQi3tiD8TZFCEse6Qo/JJ6FnJT3Ot+M
QviU0lqn587Z6GKQ3cKCA8LNG79YKHtmo8Mvmj7Hgl+8f6pX7peNGPu4FujA
vPlnDwRQ2Wiwj0uRzR7hszMHWBkzsxGLbVS2iC3C50s9WmVvZKMJWn+ooxXC
jX/vbStgoSFh6VQ8ZITwwLOajYscNKScr+vuBP5el8Xkwk1DootVhe8NEZax
tv2xR4CGWEUM9v8yQPhGw+yjDnkaGrdsVOXRR7jVhT96zo2Gcutral10EH4t
xxhk60ND+QOq7z9pI7zCMuNxN4CGWqyuHwgDqzffMM2MoiGWeFvmVC2E2zmM
RQWzaejC3enjlzQQnvwgsyMjn4akBOls5MBr2ng2fztFQ61C2+QJRljb791/
tytpaHeFx55nCGEv1L2w8wIN5emdRU7gtC1NM6n1NMT+Y9r7ozrCNZ8LJz5f
pSGPZuPyUPD//X6C/v/3k/8BHeQ/wA==
     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hc81d8fB3AjZZTsaCgjkb0p17ki2XtW155R9siekXGFiCRJXFESKV/r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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-0.015000000000000001`, 24.35810221089304},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{25.328436022934504`, 
       FormBox[
        TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {34.538776394910684`, 
       FormBox[
        TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {34.538776394910684`, 
       FormBox["\"\"", TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-0.015000000000000001`, 0.015000000000000001`}, {
   24.35810221089304, 34.553475980082375`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{25.328436022934504`, 
      FormBox[
       TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {34.538776394910684`, 
      FormBox[
       TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.937873935368604`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.240459028362647`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.543044121356694`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.84562921435074, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.027950771144695`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.182101450971956`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.315632843596475`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.433415879252856`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 
   3.551624058526022*^9},ExpressionUUID->"c20f1c0f-57ec-4960-9b94-\
5f489f31a311"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwd13c81d8bAHCkrIyojLJHyZ7Z53xsiuxr34tUskmISCJ8rSSrFColUiIr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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Xc4lt8bAHBZkcgooyI72SJZvefYK3uvdxAlM16yR0ol0dAeRkVmiDLK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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Hk0ldv7AHBTIRkiosxTxiIqcV57m44o0zFFbqZI18yRDCkREhHllkZ0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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-0.005, 26.01642292957129},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{25.328436022934504`, 
       FormBox[
        TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {34.538776394910684`, 
       FormBox[
        TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {34.538776394910684`, 
       FormBox["\"\"", TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-0.005, 0.005}, {26.01642292957129, 34.553476027026534`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{25.328436022934504`, 
      FormBox[
       TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {34.538776394910684`, 
      FormBox[
       TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.937873935368604`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.240459028362647`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.543044121356694`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.84562921435074, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.027950771144695`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.182101450971956`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.315632843596475`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.433415879252856`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 
   3.551624059321623*^9},ExpressionUUID->"f92688af-7c6f-46db-86d7-\
bccc6be03168"],

Cell[BoxData[
 GraphicsBox[{{}, {}, {}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Hk81Nv/B3BLSvaU7Eu2RK61Ep+Pc6yTsWVskWRPC1lGIZGukISLSlGW
XJIopCw1xxIXUSiUNVtl16SUtu+Z3+P31zyej5nPZ86c8znv9+vMNq+TNF8O
Nja2jexsbKzXuP7iveORdDSW6HWtXIqAW0bqlktO09Fg6PE1TWkCFk52FYfQ
6UijKMCuCvvZ8meRdYF0JGNrN/RYhoBcvJCp7ElHH5RJ9wY5AsaDN3dPUOhI
8OSk9EtFAibc4Zb6tpmOkKBD4OROAiZFHv0tUBaK4qP8b78nCHh4CjHmu0KQ
LFCpmncnYFCqzFTGr2DUGMvQ6zhLQONf7pZ2WsGoZYMuuT2bgJOauuUM+yB0
RZQez6wlYIylwvzsxpOoh7o5u7CPgH0NG0JrLAKQc5/X3CkmAe/X3z9b+c9x
NCcs9W8MPwn/6PnTwOpRtHbxUnSSEgkXjKgyO/X9UU7d5QSKIQntuoiHpTf8
UPrM6thmBxLuHWV2OXP6orUzLZ2a/iRkRPaOelt4I2qEWk9qFAnrrjfVcpR5
orxSrpeqKSQsTqwR5Rw+jHarPykpyyXhu48hzS6Bbqh1PiKDuE/C9TY2nP0G
LiizcGUVPiHhkY4oLeFnjmh7VSGtuo2EJ7jja2QfOyLolh3zDjvEPBWo33VE
HfHMDN52EkY15VvvS3NEfi71IZ7YaXWtR6PdHJGbRTw3Xwcez12hgtkVB+R8
OirD7TkJBS4VCjcrOaCMA9MSc10krLbs/ByaQEOvD6T987SXhGL9KZEnImgo
eZAvdxo70sOO3fc4De31kU/lf0VCw7B+ASdbGmo6ISR6CLv11rsdeqI0FMrb
0LKG/ebTyuGfRXZoJfpejmYfCdeuSXfGte5HyexT8vEDeLxtI/vUeG3QiKq0
0pshEmaJ5MrkLlmjH6o3tb5hV3t5rAi/tkZmU7bbxIZJuPhzInctxxqJVZrf
dcb20Pr4tf0va7SUQPXqwza9wSz0p1mhU3k6R5+PkJDvxAb2outUVN73uzV/
jIQqtW394tFUxHXu5m4Gttn6pHuXvajotq3+xUHs6Dy+A2FqVJTH7T8g/I6E
y6833Td9aoHWeo+Insd+TUodmny3DxVG3VA8OE7CHEGtWjkVCtIY4Dm6OoHX
0yejPkCAgn6MeScLTJJQse7L07oVc1SQa39VCfueT12TQ6M5Yp5lHrLHrq81
6Ux0NUdmgXxPyrAHvZ3GlpPNEONqSeWhKRKK15zhavxkgh5sD469O01CN/7R
DQJvTNBYo3sYAzvPC/IcZJggLmOGbS+2Cj+X4JckE/Tr4ovH37H1vFLEdiia
oO4wEUfKexIe4MtX+8fJGFnJWjSPYF/1aLXzrIdoSq7Hb/UDCTNtsu3jciEK
C+tO2fiRhOlEkGPx3xA9PnczSxL7spiEy4IlRCNZ2XYAmzt/qIFZAxDnR06X
C9hT51RH5X+QiCJ49AnvDJ4Pt9fj/s0k4tEuZZPCHtKLni6/RKKg0SLlndi9
yz3z+lIk4p1vEbXCbvCI+EEjCXS37lxKEvZN2Cb2d4w+okcOdbLP4udDKkSq
naKPbsoo7RTCzvwmKScopI+y5EUCZLCTH5zcnp23F124PZmhjx0pJ7q7qlEP
Ve2SCAvGdmLzs5/k3IOobotxb7EFGjhTTBJ10Hbdk73pc3h+7i3NGjjooI4b
7RU52AVZQxRdOR205pJ2qgh7T3AVu1KNNvp8/vCDWmwPee+w9R+1kKbSwtQo
dlVck1s7RRM52/HbKc6T8HdQeW3jZk1U9b09fuc8az/qquNqibQnpvN1sWuP
T+U5Lv2FvC30Ek2x+V6YJIrZqqP/wrREvLEr0jmcbwmookeCbRrZ2ObHB4VS
i3agvEDJ+nzsQZPKjhjDHaiwsVHtDva6L56GnoEqiN963dOH2E7OjUqKL5RR
ta9Vbif2nMb1sS1+ymhPp7xjL/Y57uDrXL+VUI+1+fIAdkmtHP8HdSUk1RLc
P4H9U/LcSsllBZRaaO61yhr/inP5DSUF9Ox3sPFPbKUuDf9LT+VRyoupDewL
JLSJHhs6sbANhfPeMubBzn9n2KxhLYcevLQ8LYl9PER9DXbIIp6i3FhZ7EyF
kQD5NRm05dyuYAXsDxcIx2kXaXT9iiKbGnYy9YfCcXEJdKr717Ae9mlG8lsv
a3G0bB/GTmB7acukusaKoXwhXT6ArSdhtGYxsxU9fR732hRbIaX3vpH0VrT+
mkg6BVuAw8d3r50Ict41t4uKPTUT361Suxmtv+ylaYv98pBYvNyCMKKKcybY
Ydf1lBiIbRNGDjLvm+2x02o7izZcFEJtMHjZGfur65Oa3xGCSHCP2DsX7C7j
MYXFcX70zvlP9UHsSGGltc4KHqT86tKWw9j71yi+T8Q3onA+zZse2MoTx7pL
YzegrX8J83lh/2y/bJA9w4X2l2h5emP3VjwoSrJbh/YsX87xwb5z/dWmyFoO
lB2mzPDFjo79GnV0GzviKVtr8WO936vdXSH8hzHIw/PwCLZjQXhR2sQPhsQ6
h0R/bPYQRtTJym+MHIE3xkexy4zW2duc/8Jg5l2ZZNllE3WHOo3JCNBOPnYM
m7dJ9o+o6SJDzqB+gGUfz9LSvskPjAkdebXj2E/Y9hzI+HucYXy1wYdlFXhh
Y4F5P+Pa8JU4lh/80mvR52tmrMTmJ/3f5zd7yeu/KjFU45g8xXLKhmP9A19e
Gg6+dbFgeWuLdHpQ/bDh/nguDpZ1TP7OWXs6ZVh0YTqP9f2Dt1eXCJk5w2qn
70osG3E8ygdo2VAkAv7DGv8V7aDnHkufDWUC6iZYv3fGS/VLrOyq4WyVnwTL
RMaUzG3bNUOHl6Z6rPlJa76171nML8NvRg4Ea/6YETtrmc5sQDs1U5k1v1Lp
G204l9mBjAHXKms9zO++n9icyAmyOv4tY61XUFPzaUU5LmDSHEb1xH7GPJtv
tp8bHOEp2O2OvchzcLfTx41g/MivC27YYgp6z/3O8YJ0q/h6V+wT9syVhAcC
YKhH5q0T9vPqD6ZWikIgJkG90QH7nZFTqsOyEAhcPJJKw+Zx1VH0TRQG8Rzu
o9bYsu/zAwMcNoPmDrHDlti6IUK1YXJbQGDkr5Z92O5JC9bxNSIg+YWxuQl2
RV3x6eKPYkB/R4XQHuxv52Jb/7SIg1+u1RE62IaUgyIHbksAeVvrZxrYHa8E
qrjdpQCnx+7f27En5sMWj76SBSOJo+tEWfv3bbGM5wE5sEUtJFIY+/GTLeb8
/8mB1oArPfzYv84vZvoWbgPxA4mK67AvChZobz2sALIviRxawvXjHlPAtalL
AYREiI3NYHf3nYkNJBTBa5Vi4ynsrTmO3a3iSqBy2bf8DXaBysbA06+VgZu7
m1gDdp1RUMkbC1VQOte+6yL2iOJId1yNKpj0sO+OxWbjpn7T3K4GXhR4WkWy
6ucLBcrFdTuBzgrPzDHsV64DU3uROtg6fOEhFfvrXtk06xuaABW1ZazDTizt
u327RxN80go2/4Hru7h08uPv3FpgW37W4Cdsgu376L+ntcD3Pq9iVv0/39qr
/ttBGxidHep9hC1gH/+8XFAXRJqKBXti2z1cu0Az0QU3XDR+OmFnipyEX0/p
gps5FSesWPd/41xNjuqCzs6vv3ZjKx7akdt5bxe4NH12nAdb/0hnyKzFHiDJ
R7tXhvuX7xlhCeU4fbAj/LXtGO6Xd4bjX7c/1geJ3z8n9GDPkj9SAub0geVf
Ef82YwexTXFW0wzAEf2HacXYkReqF0y2EcClcmZ7IHZa6oFGTwYJDD0NXL7i
fj5qZ/vQJgqCbUvzrUycD1pntqZTsyCQ5HAweIddFjt60vwhBNK54Wld2FEV
AWqG8xAMuK0NF2NLbEouUHczAprHxn67Yjt1t6XxEcZA2V3Drx7njxc2xgEd
P0xA60WpZh+cVx6932jZKmoKJI4StjbYN6N7VJp0TMFVHskne7BPlHtM1R43
BUo8Ino82DwCMQdLhkzBd8s/NWU4L5l31Vsk1psBlcyO0UWcp5DlLmXzMxTA
ZHjVu+B8ZlPaYICuUgBIkxoC2KM8VnZ6lRQQ/ql+WGmCVX+9olRnKCDD5t6F
Tzjf6e9L6xVw3geQkGtgAvZD07noAW0LYPd9W3YZzoN3yPwB/1kqiPZx8Zkc
JeE/GvwXL7nYgMomatvKIN5f8avBaqE2gOfa9O0+bI/RcdfnyTbg70Bv30fY
mpcf7eRtsAF95RtvnMbunj3cnaRsC96b8XZ8e0tCoaJK0aTPtiD0AGH29Q0J
KQI77Z+17geKYpTSkX4StsT1jDd50EC82LitO87nUj6X+4sDaUCs5HD4Lmy6
icXz5CgaeDxmeZ4PW56j8aFTFg3IyAXp1/Xg/hHzIGH2JQ2ImP002IK9OzJV
XRjYg1sabXFNL0lYdNI6wlPaAaTPJWlz4/NBgmu7ENugI0jjZOzU+w/nUbW8
UlExF+B4JMRHvJ6Eqp+WDPvN3ACtIlMirwzX+9z5ydc1h4HI9BYT8ibuB4o+
a07hnuBAYTj//mQSTgfcuTS52xvEXoOJOuEkvK07TBsZ8AEf6hPudnjj9Qmz
uno3yA+cKhoLp9iQ8IxaxoToTn+gQ//2lboL1wP3dh9m+1FwYdB5PlSKhGrr
+5dOJB0HMVkWwrN/CKilIrtaZxwA6DcqKi0nCNjwn7PuqZFAoHuNT9i8hYBv
A3Se+lsHgRiJpM/2hQS89kj7h5V0MHiuK8q3N46AGcT+VYmZYBDZeTI83htf
//PNql5rCAizSy+oNSRg5RmXjMuZoSDaQP+KhiQBpauZ48pZoUD3E7dDigQB
ExcvaTZkhwJJr7yf8+L4POvJ6GIWhAK0osd7V4yAfBQF7gMVoaCrNkpGYSsB
/YQXouRf4Pst3ZfbtImAkiXn/B5voIM7Ue/Lh9fj8/OEePV+XjowS7Qq18Nm
SlZxzgrQQVnE6rVMLgK2pUznSW2lA/s7aqpW6wh4ik4dilWkg4jaSGodOwG7
wZb9VkZ04BC0LTr9pwE0iCi7NW1KB255pQoLPwxgUaX5QvQ+Oth1vLaKgn1W
KSKpwpYOUvNOZvz8bgBVeUefbXWng5a2h3a+qwbwiunpzQ886SBZr8MSfTWA
bNFCXha+dPDixXlNceyBZeM/Z07QwVXThdrOFQNorDpsLRJEB484it2Vscu9
w3LKQ+lgvGbzYsxnAyh+U2COcpoOvh3c4/+WaQD///8H8GRYpEsb+3/xBsu5

     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Hk4lN/7B/BBdoYU2Xeyli3EPHOOfcm+RotdiyVlSiESSche0ibpo2RX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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-0.005, 27.94593659819689},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{27.631021115928547`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"1.0\"", 1, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"1.0\"", 1, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.240459028362647`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"5.0\"", 5, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {31.543044121356694`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"5.0\"", 5, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {28.324168296488494`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"2.0\"", 2, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {30.626753389482538`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"2.0\"", 2, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {28.729633404596658`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"3.0\"", 3, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {31.032218497590705`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"3.0\"", 3, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {28.03648622403671, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"1.5\"", 1.5, AutoDelete -> True], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {30.339071317030758`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"1.5\"", 1.5, AutoDelete -> True], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.576931264983862`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"7.0\"", 7, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {31.879516357977906`, 
       FormBox[
        TemplateBox[{
          TagBox[
           InterpretationBox["\"7.0\"", 7, Editable -> False], 
           NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {27.726331295732873`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.813342672722502`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.89338538039604, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.967493352549763`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.101024745174282`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.16164936699072, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.218807780830666`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.272875002100943`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.02891638872692, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.11592776571655, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.195970473390084`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.270078445543806`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.40360983816833, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.464234459984763`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.521392873824713`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.57546009509499, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm]}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm]}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm]}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm]}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm]}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm]}, {28.03648622403671, 
       FormBox["\"\"", TraditionalForm]}, {30.339071317030758`, 
       FormBox["\"\"", TraditionalForm]}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm]}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm]}, {27.726331295732873`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.813342672722502`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.89338538039604, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.967493352549763`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.101024745174282`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.16164936699072, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.218807780830666`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.272875002100943`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.02891638872692, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.11592776571655, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.195970473390084`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.270078445543806`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.40360983816833, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.464234459984763`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.521392873824713`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.57546009509499, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-0.005, 0.005}, {27.94593659819689, 29.927422203474592`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{27.631021115928547`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"1.0\"", 1, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"1.0\"", 1, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.240459028362647`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"5.0\"", 5, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {31.543044121356694`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"5.0\"", 5, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {28.324168296488494`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"2.0\"", 2, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {30.626753389482538`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"2.0\"", 2, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {28.729633404596658`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"3.0\"", 3, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {31.032218497590705`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"3.0\"", 3, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {28.03648622403671, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"1.5\"", 1.5, AutoDelete -> True], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {30.339071317030758`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"1.5\"", 1.5, AutoDelete -> True], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.576931264983862`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"7.0\"", 7, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {31.879516357977906`, 
      FormBox[
       TemplateBox[{
         TagBox[
          InterpretationBox["\"7.0\"", 7, Editable -> False], 
          NumberForm[#, {2, 1}, NumberPadding -> {"", "0"}]& ], 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {27.726331295732873`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.813342672722502`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.89338538039604, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.967493352549763`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.101024745174282`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.16164936699072, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.218807780830666`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.272875002100943`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.02891638872692, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.11592776571655, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.195970473390084`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.270078445543806`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.40360983816833, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.464234459984763`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.521392873824713`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.57546009509499, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 
   3.551624059774024*^9},ExpressionUUID->"dfc8f9db-1301-4850-882d-\
71be7c3b2e46"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k01N8bB/CPLVtZCiE7yZ5QFM0zsmSPyS57tihr9mWsSUwhWlBkp7Jk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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hs0VN/7B3A0aqTkbpRrSRSaIiS1R4aEkbtJLiNDNOSSEJJQSYwQKSqE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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 
   3.5516240600704246`*^9},ExpressionUUID->"394aebfd-fd1d-4f7e-ab21-\
3ae47cb1c1c7"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k41N37B/BTeKI8QpKQvUKSLVs1t61sWRMijOypLGGEGGsSkyVLWbLv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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hk4Vdv/B3Bx1BZXRMg1c4UkU4bC2jJknjKcZJ7rKPNQqYQkl5MpkZQp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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 
   3.551624060351225*^9},ExpressionUUID->"27252e3e-353d-4818-8eb9-\
fe6004b4d40f"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Hk4lF0bAPBHWoRkKUtJ1l5L3myVde6xb5Ela5I9QlkGkTSiyW5CJals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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Hk81Nv/B/Cx5YMxmMmafYZrq5Bqsp0jImuMJUp2fZU1pgWTKCGhqbR3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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.549896526571286*^9, 3.549896596176824*^9, {3.549896673228575*^9, 
   3.549896692557009*^9}, 3.549896750417511*^9, {3.5498968529564905`*^9, 
   3.549896871380123*^9}, {3.549896905965384*^9, 3.549896933468232*^9}, 
   3.5498977480797586`*^9, 3.550502141306591*^9, 3.550502245608374*^9, 
   3.55050307947867*^9, 3.550503479048788*^9, 3.5505035375681286`*^9, 
   3.550503726453261*^9, 3.5505038523429117`*^9, 3.5505039030586014`*^9, 
   3.5505042408625946`*^9, 3.5505043410771704`*^9, 3.550504639037694*^9, 
   3.5505046881933804`*^9, 3.550504952086444*^9, 3.5505049861573505`*^9, 
   3.550505118548383*^9, 3.5505052502240143`*^9, 3.550505512086074*^9, 
   3.5505056417379017`*^9, {3.5505057549785004`*^9, 3.5505057806717453`*^9}, {
   3.550505875239112*^9, 3.5505058967047496`*^9}, 3.5505060267777777`*^9, 
   3.550506347919942*^9, 3.5505064226284733`*^9, {3.550506459522538*^9, 
   3.550506495527401*^9}, 3.550506861316844*^9, 3.5505071009300685`*^9, 
   3.550507360198944*^9, 3.550507554762486*^9, 3.550507953340786*^9, 
   3.5505080066079087`*^9, 3.550508100676074*^9, 3.5505083535967765`*^9, {
   3.5505084869604044`*^9, 3.5505085166301017`*^9}, 3.5505086066222486`*^9, 
   3.5505086662096567`*^9, 3.55050876697042*^9, 3.550508803055484*^9, 
   3.5505089444705725`*^9, 3.550509632692937*^9, 3.5505102903985553`*^9, {
   3.550510536193614*^9, 3.5505105557687335`*^9}, 3.5505111599622917`*^9, 
   3.5505112418519754`*^9, 3.5505112791441083`*^9, 3.550511371595396*^9, 
   3.550511721255396*^9, 3.5505124005342484`*^9, 3.5505127209065723`*^9, 
   3.5505130109011593`*^9, 3.550514067920617*^9, 3.5505143576191874`*^9, 
   3.550553533672742*^9, 3.550553917340016*^9, 3.550554166463457*^9, 
   3.5505542098747544`*^9, 3.5505544233933296`*^9, 3.5505547777895966`*^9, 
   3.5505548172772655`*^9, 3.5505549648059254`*^9, 3.550555038754855*^9, 
   3.5505550941565647`*^9, 3.5505552458120317`*^9, 3.5505553543866215`*^9, 
   3.5505554105651197`*^9, 3.550555529249528*^9, 3.550555792415389*^9, 
   3.550555899371584*^9, 3.5505560140245843`*^9, 3.550556088260914*^9, 
   3.550556441306134*^9, 3.5505567335322475`*^9, 3.550557574889535*^9, 
   3.550558859318393*^9, 3.5505627170051703`*^9, 3.5505654765947943`*^9, 
   3.550565728294037*^9, 3.550565927956588*^9, 3.550566657228669*^9, 
   3.550567230239276*^9, 3.5505698602383432`*^9, 3.550660234044677*^9, 
   3.5506605108025064`*^9, 3.5506608511849747`*^9, 3.5506618079306974`*^9, 
   3.5506620654574275`*^9, 3.5506624098701267`*^9, 3.550662837078562*^9, 
   3.550663118046632*^9, 3.550663336102104*^9, 3.5506657117869854`*^9, 
   3.551452833260962*^9, 3.551453172868959*^9, 3.5514535359283967`*^9, 
   3.551453775544818*^9, 3.5514541897723455`*^9, 3.551454344789817*^9, 
   3.5514546550640097`*^9, 3.5514549106426287`*^9, 3.551455195691932*^9, 
   3.5514556072534723`*^9, 3.551455881634166*^9, 3.551456200563408*^9, 
   3.551458877268506*^9, 3.551591747966095*^9, 3.551594416913149*^9, 
   3.55159464512875*^9, 3.551596726023806*^9, 3.5516208118691177`*^9, 
   3.551621014966874*^9, 3.5516213135861993`*^9, 
   3.5516240606632257`*^9},ExpressionUUID->"4e8416c3-9248-4001-89d3-\
e337f1173986"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"T = \"\>", "\[InvisibleSpace]", "9.44`*^-7", 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["T = ", 9.44*^-7, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606788254`*^9},ExpressionUUID->"94adb509-eeab-4ffc-b072-\
1e349226a5bd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ChemPot = \"\>", "\[InvisibleSpace]", "0.478167`", 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["ChemPot = ", 0.478167, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606788254`*^9},ExpressionUUID->"c2faa036-3f78-44fe-98b5-\
59a85070ffa5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"n0 = \"\>", "\[InvisibleSpace]", "1.0148083172360424`*^15", 
   "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["n0 = ", 1.0148083172360424`*^15, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606788254`*^9},ExpressionUUID->"6e02dcc5-354a-49c3-934e-\
01eda890c857"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"nc = \"\>", "\[InvisibleSpace]", "3.46618171633791`*^14", 
   "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["nc = ", 3.46618171633791*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606788254`*^9},ExpressionUUID->"5c43f44c-e646-457f-897f-\
a666f3057433"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"peak BEC density  = \"\>", "\[InvisibleSpace]", 
   "1.0148083172360421`*^15", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["peak BEC density  = ", 1.0148083172360421`*^15, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606944256`*^9},ExpressionUUID->"c83e063e-9160-4c71-b7d7-\
c5cb01babb40"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"central thermal density  = \"\>", "\[InvisibleSpace]", 
   "1.0563113114279634`*^14", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm[
  "central thermal density  = ", 1.0563113114279634`*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606944256`*^9},ExpressionUUID->"4bd1a6c9-cf51-4bcb-976b-\
24ad36b633e0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"peak reservoir density  = \"\>", "\[InvisibleSpace]", 
   "1.0314050360136693`*^13", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm[
  "peak reservoir density  = ", 1.0314050360136693`*^13, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606944256`*^9},ExpressionUUID->"1e9b8e58-57d0-4ee1-8695-\
363a0f6bf3ee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"dimple edge reservoir density  = \"\>", "\[InvisibleSpace]", 
   "9.936820397761332`*^12", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm[
  "dimple edge reservoir density  = ", 9.936820397761332*^12, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516240606944256`*^9},ExpressionUUID->"fda221cf-68df-4944-bf81-\
707202c18c70"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"vThermal = \"\>", "\[InvisibleSpace]", "0.021752792610074043`",
    "\[InvisibleSpace]", "\<\" mm/ms\"\>"}],
  SequenceForm["vThermal = ", 0.021752792610074043`, " mm/ms"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624060710026*^9},ExpressionUUID->"8fcba8d3-1bfd-46c8-8ba8-\
c3c77c939f90"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"SigmaThermal/Sigma0T = \"\>", "\[InvisibleSpace]", 
   "0.9659046496834105`"}],
  SequenceForm["SigmaThermal/Sigma0T = ", 0.9659046496834105],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624060710026*^9},ExpressionUUID->"47b2f2db-45b8-4971-98fc-\
2b571e88e265"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Gamma el thermal (nc) = \"\>", "\[InvisibleSpace]", 
   "2728.2669408859556`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Gamma el thermal (nc) = ", 2728.2669408859556`, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624060710026*^9},ExpressionUUID->"91bee9f3-aec0-4fd4-8fba-\
f55052f8177f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Gamma el thermal (nDimpleEdge) = \"\>", "\[InvisibleSpace]", 
   "78.21372567095544`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm[
  "Gamma el thermal (nDimpleEdge) = ", 78.21372567095544, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624060710026*^9},ExpressionUUID->"4f8c71fc-6f69-43c9-8955-\
ee3a42fd718b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ReservoirAtomNumber = \"\>", "\[InvisibleSpace]", 
   "5.034665014804452`*^6"}],
  SequenceForm["ReservoirAtomNumber = ", 5.034665014804452*^6],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624073424048*^9},ExpressionUUID->"582d920a-1e04-413c-bf9f-\
94c1ed4e4c60"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], ":", 
  " ", "\<\"Numerical integration converging too slowly; suspect one of the \
following: singularity, value of the integration is 0, highly oscillatory \
integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/NIntegrate\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 
  3.551624077277255*^9},ExpressionUUID->"0172d5cd-1ea2-4daf-80ef-\
83ecb5593575"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], ":", 
  " ", "\<\"The global error of the strategy GlobalAdaptive has increased \
more than \[NoBreak]\\!\\(2000\\)\[NoBreak] times. The global error is \
expected to decrease monotonically after a number of integrand evaluations. \
Suspect one of the following: the working precision is insufficient for the \
specified precision goal; the integrand is highly oscillatory or it is not a \
(piecewise) smooth function; or the true value of the integral is 0. \
Increasing the value of the GlobalAdaptive option MaxErrorIncreases might \
lead to a convergent numerical integration. NIntegrate obtained \[NoBreak]\\!\
\\(1.0715395123111268`*^6\\)\[NoBreak] and \
\[NoBreak]\\!\\(39.174020819983966`\\)\[NoBreak] for the integral and error \
estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\
\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/NIntegrate\\\", \
ButtonNote -> \\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 
  3.551624127557143*^9},ExpressionUUID->"418686ce-734a-4aeb-beed-\
6da1ae5acf9a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DimpleThermalAtomNumber  = \"\>", "\[InvisibleSpace]", 
   "543153.8392942831`"}],
  SequenceForm["DimpleThermalAtomNumber  = ", 543153.8392942831],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516241293511467`*^9},ExpressionUUID->"53067e06-8b81-4759-8be8-\
9d555821637c"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], ":", 
  " ", "\<\"Numerical integration converging too slowly; suspect one of the \
following: singularity, value of the integration is 0, highly oscillatory \
integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/NIntegrate\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 
  3.551624134046755*^9},ExpressionUUID->"5467102b-ab09-4dc7-a887-\
3e433aeb13e2"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], ":", 
  " ", "\<\"The global error of the strategy GlobalAdaptive has increased \
more than \[NoBreak]\\!\\(2000\\)\[NoBreak] times. The global error is \
expected to decrease monotonically after a number of integrand evaluations. \
Suspect one of the following: the working precision is insufficient for the \
specified precision goal; the integrand is highly oscillatory or it is not a \
(piecewise) smooth function; or the true value of the integral is 0. \
Increasing the value of the GlobalAdaptive option MaxErrorIncreases might \
lead to a convergent numerical integration. NIntegrate obtained \[NoBreak]\\!\
\\(110551.53093945498`\\)\[NoBreak] and \[NoBreak]\\!\\(206.2793840798464`\\)\
\[NoBreak] for the integral and error estimates. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/NIntegrate\\\", ButtonNote -> \
\\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5515948302250752`*^9, 3.5516208084371114`*^9, 
  3.551621011675268*^9, 3.5516213101853933`*^9, 
  3.5516241647330084`*^9},ExpressionUUID->"aa8b52c1-e6bd-4c0a-b4d1-\
3efdeb4c057a"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BECAtomNumber = \"\>", "\[InvisibleSpace]", 
   "110551.53093945498`"}],
  SequenceForm["BECAtomNumber = ", 110551.53093945498`],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.5516241647486086`*^9},ExpressionUUID->"797264c7-fe0c-4bca-90ec-\
22987267ee9b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DimpleAtomNumber = \"\>", "\[InvisibleSpace]", 
   "653705.3702337381`"}],
  SequenceForm["DimpleAtomNumber = ", 653705.3702337381],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624164764209*^9},ExpressionUUID->"c695ccdc-4631-49be-84f3-\
d8254ebd3fa3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ThermalAtomNumber = \"\>", "\[InvisibleSpace]", 
   "5.68837038503819`*^6"}],
  SequenceForm["ThermalAtomNumber = ", 5.68837038503819*^6],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624164764209*^9},ExpressionUUID->"2dccd2f3-0235-4034-9b68-\
efca67bb3ec1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"TotalAtomNumber = \"\>", "\[InvisibleSpace]", 
   "5.798921915977645`*^6"}],
  SequenceForm["TotalAtomNumber = ", 5.798921915977645*^6],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.550554175921073*^9, 3.5505542100619545`*^9, 3.5505544235649295`*^9, 
   3.550554777945597*^9, 3.550554817464466*^9, 3.550554964993126*^9, {
   3.550555082142544*^9, 3.550555094343765*^9}, 3.5505552459992323`*^9, 
   3.550555354573822*^9, 3.55055541073672*^9, 3.550555529436728*^9, 
   3.5505557926025896`*^9, 3.550555899543184*^9, 3.5505560141961846`*^9, 
   3.550556088432514*^9, 3.5505564414933343`*^9, 3.550556733703848*^9, 
   3.5505575784307413`*^9, 3.5505588628751993`*^9, 3.5505627206555767`*^9, 
   3.5505654802608004`*^9, 3.5505657319288435`*^9, 3.5505659314665947`*^9, 
   3.550566559509097*^9, 3.5505668678154387`*^9, 3.550567453397668*^9, 
   3.5506602379018974`*^9, 3.550660514326708*^9, 3.5506608548301835`*^9, 
   3.5506618114829006`*^9, 3.550662069073634*^9, 3.550662413463332*^9, 
   3.5506628408217754`*^9, 3.550663121672839*^9, 3.5506633396743083`*^9, 
   3.5506637033201075`*^9, 3.5514528378629704`*^9, 3.551453177252567*^9, 
   3.551453540312004*^9, 3.5514537800376253`*^9, 3.5514541942963533`*^9, 
   3.551454349313825*^9, 3.5514546595672674`*^9, 3.5514549152418914`*^9, 
   3.5514552002811947`*^9, 3.551455611960741*^9, 3.5514558862264285`*^9, 
   3.5514562051616707`*^9, 3.55145678630091*^9, 3.5515896129219437`*^9, 
   3.5515923493803515`*^9, 3.5515946418215437`*^9, 3.5515948134862456`*^9, 
   3.5516208165335255`*^9, 3.551621019306682*^9, 3.5516213179542065`*^9, 
   3.551624164764209*^9},ExpressionUUID->"a32fec67-36e4-4b8b-93eb-\
871085523ce9"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ROIx", "=", 
   RowBox[{"1", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PotentialLowestZero", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], ",", 
      RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{
       RowBox[{"-", "ROIx"}], "*", 
       RowBox[{"10", "^", "3"}]}], ",", 
      RowBox[{"ROIx", "*", 
       RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LogPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"BECDensity", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", 
      RowBox[{
       RowBox[{"ThermalDensity", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", 
      RowBox[{
       RowBox[{"ReservoirThermalDensity", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{
       RowBox[{"-", "ROIx"}], "*", 
       RowBox[{"10", "^", "3"}]}], ",", 
      RowBox[{"ROIx", "*", 
       RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ROIx", "=", 
   RowBox[{"0.02", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PotentialLowestZero", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], ",", 
      RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"10", " ", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{
       RowBox[{"-", "ROIx"}], "*", 
       RowBox[{"10", "^", "3"}]}], ",", 
      RowBox[{"ROIx", "*", 
       RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"BECDensity", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", 
      RowBox[{
       RowBox[{"ThermalDensity", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", 
      RowBox[{
       RowBox[{"ReservoirThermalDensity", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{"10", " ", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0", ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{
       RowBox[{"-", "ROIx"}], "*", 
       RowBox[{"10", "^", "3"}]}], ",", 
      RowBox[{"ROIx", "*", 
       RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5516241766202297`*^9, 3.5516242545147667`*^9}, {
  3.5516242864464226`*^9, 
  3.5516243410465183`*^9}},ExpressionUUID->"0aef439b-1af3-47df-913a-\
3fd573b3466f"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mGk41W/Qx4/1/I6drDkJSUhCIkr30KbsKlSSopTlT9YUkmRp4YTsW3Yp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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0VfsXAHBTOfcSl4y5GUpE8pBnKPpuKmlQeIpeShoow0syFrpJMtyk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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.5516242249179144`*^9, 3.5516242553087673`*^9, {3.5516242899408283`*^9, 
   3.5516243417329197`*^9}},ExpressionUUID->"098e75a6-9bb6-4a52-a6bb-\
2dc340ad534b"],

Cell[BoxData[
 GraphicsBox[{{}, {}, {}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hc4lW/8B3AjX6SkkobskhGJouN4zv1p26MSlayGvkZKWWV9kezsvWci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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0Vtv/B3CRjEmFrkIPSqYkRMfj3L0rhKJUokvkdkvXcHNlSMZMmTNT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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-1, 25.475813539968073`},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{25.328436022934504`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {26.937873935368604`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.240459028362647`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {31.543044121356694`, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"1", 
          
          TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {33.84562921435074, 
       FormBox[
        TemplateBox[{"5", 
          
          TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
           SuperscriptBox]}, "Row", 
         DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
         InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )],
         TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm]}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-1, 1}, {25.475813539968073`, 33.303688097468175`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{25.328436022934504`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {26.937873935368604`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.240459028362647`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {31.543044121356694`, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"1", 
         TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {33.84562921435074, 
      FormBox[
       TemplateBox[{"5", 
         TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
          SuperscriptBox]}, "Row", 
        DisplayFunction -> (RowBox[{#, "\[Times]", #2}]& ), 
        InterpretationFunction -> (RowBox[{"Row", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{#, ",", #2}], "}"}], ",", "\"\[Times]\""}], "]"}]& )], 
       TraditionalForm]}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{
  3.5516242249179144`*^9, 3.5516242553087673`*^9, {3.5516242899408283`*^9, 
   3.55162434220092*^9}},ExpressionUUID->"c49fafe2-9f89-4848-ac0e-\
efc9bf22423e"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k4Vdv7APDtHBURImNIoWtImW4Zz7sNEZHMkswyZDgUInFEQoaTcyql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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hk01N//B/AJZYqGjxQKkVEjRKU+lNwR2XeypRqMqGxNVLZBJMtgytRH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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.5516242249179144`*^9, 3.5516242553087673`*^9, {3.5516242899408283`*^9, 
   3.5516243424505205`*^9}},ExpressionUUID->"8cf2352a-3243-4560-b5b8-\
d1d38add43e6"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxF2Hk0Vs//AHD7g+f2CJGyJEuRVFpky3AnayhLdrLvuweRJWuSJPRJu6UI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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mnk01d/3/4VCSUqhqExllhKZj7Yhc8gsMkbm4RozJEPm8XqnUklShlRC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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hk4lN3/B3BFDyJZKpR9KZFHkZLtMDSWkJ0GGWOXZRpJluxJ9mUqpc0o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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.5516242249179144`*^9, 3.5516242553087673`*^9, {3.5516242899408283`*^9, 
   3.5516243432461224`*^9}},ExpressionUUID->"02b1926e-37ff-487a-bd77-\
d3004a9d0e9a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ROIy", "=", 
   RowBox[{"0.2", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PotentialLowestZero", "[", 
      RowBox[{"0", ",", 
       RowBox[{"y", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
     RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
      RowBox[{"0", ",", 
       RowBox[{"y", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{
      RowBox[{"-", "ROIy"}], "*", 
      RowBox[{"10", "^", "3"}]}], ",", 
     RowBox[{"ROIy", "*", 
      RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"LogPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"BECDensity", "[", 
       RowBox[{"0", ",", 
        RowBox[{"y", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], ",", 
     RowBox[{
      RowBox[{"ThermalDensity", "[", 
       RowBox[{"0", ",", 
        RowBox[{"y", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}], ",", 
     RowBox[{
      RowBox[{"ReservoirThermalDensity", "[", 
       RowBox[{"0", ",", 
        RowBox[{"y", "*", 
         RowBox[{"10", "^", 
          RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{
      RowBox[{"-", "ROIy"}], "*", 
      RowBox[{"10", "^", "3"}]}], ",", 
     RowBox[{"ROIy", "*", 
      RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ROIy", "=", 
   RowBox[{"0.02", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PotentialLowestZero", "[", 
      RowBox[{"0", ",", 
       RowBox[{"y", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
     RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
      RowBox[{"0", ",", 
       RowBox[{"y", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{
      RowBox[{"-", "ROIy"}], "*", 
      RowBox[{"10", "^", "3"}]}], ",", 
     RowBox[{"ROIy", "*", 
      RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"BECDensity", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", 
      RowBox[{
       RowBox[{"ThermalDensity", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", 
      RowBox[{
       RowBox[{"ReservoirThermalDensity", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{
       RowBox[{"-", "ROIy"}], "*", 
       RowBox[{"10", "^", "3"}]}], ",", 
      RowBox[{"ROIy", "*", 
       RowBox[{"10", "^", "3"}]}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ROIy", "=", 
   RowBox[{"0.5", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TableEntries", "=", "500"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotentialTableY", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y", "*", "1000"}], ",", 
       RowBox[{"PotentialLowestZero", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
       RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "ROIy"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIy", "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIy", "*", 
        RowBox[{
         RowBox[{"10", "^", "3"}], "/", "TableEntries"}]}]}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{
    "\"\<Q:\\\\SrBEC\\\\papers\\\\OpticalBEC\\\\Math\\\\\
PotentialAndDensitiesWideRange.csv\>\"", ",", "PotentialTableY"}], "]"}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ROIy", "=", 
   RowBox[{"0.05", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TableEntries", "=", "500"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotentialTableY", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y", "*", "1000"}], ",", 
       RowBox[{"PotentialLowestZero", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
       RowBox[{"PotentialLowestZeroOnlyReservoir", "[", 
        RowBox[{"0", ",", 
         RowBox[{"y", "*", 
          RowBox[{"10", "^", 
           RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], ",", 
       RowBox[{
        RowBox[{"BECDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ThermalDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], ",", 
       RowBox[{
        RowBox[{"ReservoirThermalDensity", "[", 
         RowBox[{"0", ",", 
          RowBox[{"y", "*", 
           RowBox[{"10", "^", 
            RowBox[{"-", "3"}]}]}], ",", "0"}], "]"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "ROIy"}], "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIy", "*", 
        RowBox[{"10", "^", "3"}]}], ",", 
       RowBox[{"ROIy", "*", 
        RowBox[{
         RowBox[{"10", "^", "3"}], "/", "TableEntries"}]}]}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<Q:\\\\SrBEC\\\\papers\\\\OpticalBEC\\\\Math\\\\\
PotentialAndDensitiesNarrowRange.csv\>\"", ",", "PotentialTableY"}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.551624425645467*^9, 3.5516245020544014`*^9}, {
  3.551624618430606*^9, 3.5516246271822205`*^9}, {3.5516256755488033`*^9, 
  3.551625720492482*^9}, {3.5516257516457367`*^9, 3.5516257868081985`*^9}, {
  3.551626005649383*^9, 3.551626056224672*^9}, {3.551626197953921*^9, 
  3.551626226845172*^9}, {3.5516262733020535`*^9, 3.5516263305541534`*^9}, {
  3.5516265422059255`*^9, 3.5516265461215324`*^9}, {3.5516267506794915`*^9, 
  3.5516267621299114`*^9}},ExpressionUUID->"657fec5f-07a4-4d3a-a633-\
58ce7b57617c"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mHk01G3Yx38xmBlElKVUw4wsZY+Uct1pJYmeFCWG7MryUFGWSdYsoclO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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0lV3UAHBJPPciJcOVW4Z7zREylersSslQIWRK5nkqKiIhZCyEzJkp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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5516244721647487`*^9, 3.5516245027096024`*^9}, {
   3.5516246200686083`*^9, 3.551624627899822*^9}, 3.5516257877130003`*^9, 
   3.551626058455476*^9, 3.551626100279149*^9, 3.551626141634822*^9, {
   3.55162620297713*^9, 3.551626227593973*^9}, 3.5516263320829563`*^9, 
   3.551626763112713*^9},ExpressionUUID->"3beecd2e-3ba3-4d20-9c7f-\
b2ad495f18a7"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVlHs01HkUwK101ntVJxJWjFfkFULhe78aNrIhDDbLNMwDwzAzFZVpT8Zh
OZqitSkrUlg9yTmEfFOp1GkJqRU5I4+iSR5perG//eOeez7/3HPv595zzViC
3WxVFRWVUCr+z5r1kyinUkwu6U+Pft7oBUmndBsPMcVkRdatMCEfwIIbU8Z7
KSKekRxxzDGAl2510ogYEale0xBqWw1wSk3J9x0UkmupZCmvGSC0zy/CMUpI
9BZip7LvA2ieK/Y2HkgnM4n9Uut+gLtpckuN8HTy2P+Lz6oRAAly1F18kkaU
+uLxC68BPHSzFkeD0whbvtfCdhaAoZiRtVYIyCz3SkadEsCrfXxzfWUqGSm2
Zu1fBjCXvXhafS6FRM4XGdSuxPA980lGWRWfuMbJTMO1MLx1um9UdD6ZxGZy
X+TrYej97mZ77oUkMvghvzh6LYbyqlo1UQ2PuEdc63ltgkEqLq/h1XKJoYlA
p8UMQ5LfycDYvznkY08Dy88SQ4h+viKsjk1aC3+OOm6DYcvkkeMBFxOIKMDm
2lk7DMbN+1zQpXhS0bQq74ADBtXfkwdcL7PIyPZ0sZEzhse2kcYbrjLJLovF
2j43DJyPpRI7ZhwJLtU2ULhjcC7NuavP+pVUuY8vDXli+Lo1XVM1YQ9xvy9B
F7ZheDAUE6JgR5MsQfmRn7wxnJTsKHnOjSRkONy10wdD3AbXoTuJEUT4NLXa
FDDY3jY1v5ocRga61D9GYgyL8Vq80ymhZM3KBJrAF0O21rs9WiO7yO0zpuqc
7RjWB3dOykcDCX/f23hvOoaGojJR84Q/KYnu/vcDxQEDouVjU75k9pnKvMwP
wy2XEv1HQ94kc1S8Qdsfw0wL3SFjzI34exq2JVG8TTpREPjcjixPPdS4RLGT
Ze7+gG4D8sVK16OHYofDWRFqFiqoyauA+YziqyGqE9WfaMjKLSyvg+KNlbv3
WH1wRjMMxdljFH8xPL89U+GJdJ/bZ/tQzOn6vHZiDpD5XL+yh+qnO4eW/8MM
HbUeXKj3o9jDN2jJY3oHeoAMA8qo/iuXxELWZBAi0s24n5o3Z3jXfGd6CDoX
7aCmoHzc2BZ/eVCwGwk6/eXjlK93pQe4MynhSFIwp9lO+TRXFpip8RmoxiX5
pBhhYDAqXqxLikJOb5pT1Sn/BY2Nf9jzfkGy2k3sDC/Kz+quYF9ODPr23sHw
zlYMC2nDGpEJsajHh/5twoPa36RS7ubMRAKyOnh0C4Yr+isQOO1FnuVY77or
tW8/nbJARxZidox8Y2zG8Eps8CncIR79yFjOeeSIYanKjBFnn4DGCnVbdewx
rOuzu564iU3ViKKvt8UQ5AwpElsuWu4T7D1Ko3wxAx/mbeShxNw2Tr8pht9k
4dbFNolI5jIbO2yE4XR7rPQv6yRUMVjoW2KAoVHBk9dYJaOgeeXNxdUY/jEW
+TRY8pFeh/bQgg6G1zuzzrRZpKDEnfVFUnXq3g/lKu/RUhH99j3an6oYTOpO
RDwxF6ASm06v9V8BPr/XGyJGacg/67xu2ALAhHa0jkF1GnKdOzNdMQ3Qa1Pp
k+qUjhpMDtp0ywHa6W8EnS3pCIx644oHAOqYzpXGfkL0poPteaQLoORwZq+o
W4jWRMyMv7oBcPRUx4pH0SI02+ZJO0H9p5RGDTfzMRGaapw4bVYIENUTyslM
FaMmef9TSQpAi+hE01i5GAkvbulj873hPxDPTaI=
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mHk4VV3YxhWKBhUJRWXKTJRj3Hs9REVCipB0jJlnosyJJPN8jAehJBkq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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0Vd3fAPCSeopU5ivqyTxFhGs87V1RkTJ1RSGzax6uDBlCZhG6xi6J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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{-0.2, 22.412025536398257`},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Part[#, 1], 
      Exp[
       Part[#, 2]]}& )},
  FrameTicks->{{{{23.025850929940457`, 
       FormBox[
        TemplateBox[{"10", "10"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {25.328436022934504`, 
       FormBox[
        TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {27.631021115928547`, 
       FormBox[
        TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {29.933606208922594`, 
       FormBox[
        TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {32.23619130191664, 
       FormBox[
        TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {34.538776394910684`, 
       FormBox[
        TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> 
         SuperscriptBox], TraditionalForm]}, {23.7189981105004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.124463218608568`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.412145291060348`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.635288842374557`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.81761039916851, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.97176107899577, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.10529247162029, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.223075507276675`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}, {{23.025850929940457`, 
       FormBox["\"\"", TraditionalForm]}, {25.328436022934504`, 
       FormBox["\"\"", TraditionalForm]}, {27.631021115928547`, 
       FormBox["\"\"", TraditionalForm]}, {29.933606208922594`, 
       FormBox["\"\"", TraditionalForm]}, {32.23619130191664, 
       FormBox["\"\"", TraditionalForm]}, {34.538776394910684`, 
       FormBox["\"\"", TraditionalForm]}, {23.7189981105004, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.124463218608568`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.412145291060348`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.635288842374557`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.81761039916851, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {24.97176107899577, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.10529247162029, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {25.223075507276675`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.021583203494448`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.42704831160261, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.714730384054395`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {26.937873935368604`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.12019549216256, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.274346171989816`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.40787756461434, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {27.525660600270722`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.324168296488494`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {28.729633404596658`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.017315477048438`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.240459028362647`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.4227805851566, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.576931264983862`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.710462657608385`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {29.82824569326477, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {30.626753389482538`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.032218497590705`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.319900570042485`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.543044121356694`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.72536567815065, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {31.879516357977906`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.01304775060243, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.13083078625881, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {32.92933848247659, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.33480359058475, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.62248566303653, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {33.84562921435074, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.027950771144695`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.182101450971956`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.315632843596475`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}, {34.433415879252856`, 
       FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
        Thickness[0.001]}}}}, {Automatic, Automatic}},
  GridLines->{None, None},
  Method->{},
  PlotRange->{{-0.2, 0.2}, {22.412025536398257`, 34.55344778822603}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, {{23.025850929940457`, 
      FormBox[
       TemplateBox[{"10", "10"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {25.328436022934504`, 
      FormBox[
       TemplateBox[{"10", "11"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {27.631021115928547`, 
      FormBox[
       TemplateBox[{"10", "12"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {29.933606208922594`, 
      FormBox[
       TemplateBox[{"10", "13"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {32.23619130191664, 
      FormBox[
       TemplateBox[{"10", "14"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {34.538776394910684`, 
      FormBox[
       TemplateBox[{"10", "15"}, "Superscript", SyntaxForm -> SuperscriptBox],
        TraditionalForm]}, {23.7189981105004, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.124463218608568`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.412145291060348`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.635288842374557`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.81761039916851, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {24.97176107899577, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {25.10529247162029, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {25.223075507276675`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.021583203494448`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.42704831160261, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.714730384054395`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {26.937873935368604`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.12019549216256, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.274346171989816`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.40787756461434, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {27.525660600270722`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.324168296488494`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {28.729633404596658`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.017315477048438`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.240459028362647`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.4227805851566, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.576931264983862`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.710462657608385`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {29.82824569326477, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {30.626753389482538`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.032218497590705`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.319900570042485`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.543044121356694`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.72536567815065, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {31.879516357977906`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.01304775060243, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.13083078625881, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {32.92933848247659, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.33480359058475, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.62248566303653, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {33.84562921435074, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.027950771144695`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.182101450971956`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.315632843596475`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}, {34.433415879252856`, 
      FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
       Thickness[0.001]}}}}]], "Output",
 CellChangeTimes->{{3.5516244721647487`*^9, 3.5516245027096024`*^9}, {
   3.5516246200686083`*^9, 3.551624627899822*^9}, 3.5516257877130003`*^9, 
   3.551626058455476*^9, 3.551626100279149*^9, 3.551626141634822*^9, {
   3.55162620297713*^9, 3.551626227593973*^9}, 3.5516263320829563`*^9, 
   3.5516267637523146`*^9},ExpressionUUID->"17cbfe03-bf5f-4095-8a14-\
a7b392d4a018"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw113k0lO/7B/BbU0lJUkKJsSZSkcqW6yG7yJI1ym4qW4gsMSJbdlNRki0S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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hk4Vdv/B/ATYksOFxVlKkMqbkh1qsPaIjJ2DCGRY1YZTuIqDlGSDBHn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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5516244721647487`*^9, 3.5516245027096024`*^9}, {
   3.5516246200686083`*^9, 3.551624627899822*^9}, 3.5516257877130003`*^9, 
   3.551626058455476*^9, 3.551626100279149*^9, 3.551626141634822*^9, {
   3.55162620297713*^9, 3.551626227593973*^9}, 3.5516263320829563`*^9, 
   3.551626763986315*^9},ExpressionUUID->"f6ef8c18-301f-4471-9c42-\
eda36a79781e"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxF2Hk0Vd/bAPBrvLgnIYWSRGRMg0Rkc7Z5njJFmZPxxpUMEZVkSiilFCpF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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw1mnc819/7/2WLJBJKkhEZDcob4egysrOyyUzZ44XIJnt7lbaoFEp2Vo6V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     "]]}, 
   {Hue[0.14213595499957954`, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hk8VV+0AHBRUekmlaEoY5FEyA/J5pjJLFOUWcnUzZAhQ0rm8TaTe0+F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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5516244721647487`*^9, 3.5516245027096024`*^9}, {
   3.5516246200686083`*^9, 3.551624627899822*^9}, 3.5516257877130003`*^9, 
   3.551626058455476*^9, 3.551626100279149*^9, 3.551626141634822*^9, {
   3.55162620297713*^9, 3.551626227593973*^9}, 3.5516263320829563`*^9, 
   3.551626764750716*^9},ExpressionUUID->"9ad6f923-3fcd-46d6-b19d-\
c2d3608eb0e8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"DensityProfile", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{"density", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"z", ",", " ", 
       RowBox[{
        RowBox[{"-", "0.02"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}], ",", " ", 
       RowBox[{"0.02", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"DensityProfile", "[", 
    RowBox[{"x", ",", "y"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", " ", 
     RowBox[{
      RowBox[{"-", "2"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", 
     RowBox[{"2", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"y", ",", " ", 
     RowBox[{
      RowBox[{"-", "0.2"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", " ", 
     RowBox[{"0.2", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.549527011680545*^9, 3.5495271167779303`*^9}, {
  3.549531152424814*^9, 
  3.5495311573076224`*^9}},ExpressionUUID->"fb0d79a9-f63c-4956-af42-\
397b9e72d329"],

Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJx1XXdUVMnTHdaMWYyYc1bMeRoeoBhQBAWzqAgiiBlzzjljDmtOq2JOO8+c
s2L257qmXXNadTF9HqZuzde1A//s8Z7amnq3q6urqvv1K9y5Z2DXXywWy480
FkuKn/8d+nXzJv/OoWZoYoPNf1YvY05v6uW74DcPIyJhv0vdnO0Yb/3vyBI7
wiob1+Pzbr4bEcJ4d2+PajUrVjV8pw8NHrYvkPHTwS9KnnlXzeiWpKcJ4wsS
TnfJfKWGUT9J3mB8+7NviSvG1TYaJOGVGT9U/dlvP/Iow2L/Owi8xrlcHgVm
GIa3XV4BP0zyPnb9jG8h/eF2exifT/bY5QOVtD/B/ryMR9Pz2vW0U5If4lNJ
PsFzoE9nF4+BJcznZ++PTfCsxTwD9y1zN9D7ZF3mGfjbbOWGD4j0ZJ6Bu1a5
WyDbWYN5Br69Wsr3HoXqM8/A797p02JmuibMM/C0zzv1Plo9iHkGvn7F9o9n
g1ozz1IePAO/TfrBM/B4sgc8sx6yHzwD/0DPC54lP+BZ8gme7b9TxPRMuNN2
w1Jv5hm4R2KGhruqN2CegW95tPyq27HGzDPwz5dnpPgnTXPmGXiT1EenjooJ
Zp6BV8nxqOaN66HMM/AXi23r+h2LYp6BL5lv/dG9Wz/mGfhLkgfPwCuRfvAM
vDHZA56BfyT7wTPwbfS84Bl4ReIHPEs+wXP0tvIh8/7Jb1bxT30xKqQp8ww8
7l7X5b7xgcwz8G1FRr+7HRfCPAM/mrrz91lhHZln4MPL7r9aZV4E8wy8S4rR
Po2a9GeegY/f+GfkvwXGMc/AB2077zai3izmGfgEkgfPwDuSfvAMfAjZA56B
Hyb7wTPwPfS84Bn4POIHPEs+wXNAkp/nNFv/uWn9oonBzDPwOWkqloy93455
Bt586ZjlCbW7MM/AK6ij+6pci2KegRfa+Oz9m5sDmGfg/t17uTabN4l5Bh6T
WKxhzltLmWfgqW71DHDbuZF5Bt6T5MEz8IakHzwDL0j2gGfg5ch+8Mz80POC
Z+CziB/wLPkEz5FJ/Gc0l7de3znmfQfmGfjV5YWPVBgRxjwDb5F2xIldS6KZ
Z+Cuj99e3OcbyzwDt6WbFvIqcBzzDDy9y7f9zdQi5hm4/4v13550iGeegUdZ
hz2YH3+IeQbehOTBM/A0pB88A/+d7AHPwFOT/eAZeBg9L3gGfpn4Ac+ST/Ac
loR/s3k2yPa6ToouzDPwHLuqr/3djGSegV8rrx5Xnd6HeQZ+IbjFjSrthjPP
wIM8zie6+s1gnoFX/f5LxajUa5hn4KNnDP06tLiNeQbucbjHzI4zLzPPwMeQ
PHgGXpn0g2fggWQPeAZ+luwHz8Dv0fOCZ+DZiR/wLPkEz/bHeFQn4O6uCx5R
Ycwz8Jl5Kmcrcj+KeQZ+/f73YUMC+jHPwC836ZE21bORzDPwchO2XqvwYBbz
DLzhnvzxZU6sZ56BFzvVpkspryPMM/De86o3btzY3Rs8S3nwDNyP9INn4GXJ
HvAs7QfPwP+g5wXPwKcSP+BZ8gmeB9r5tyrhz8CzCX8GfkX4M/Azwp+BNxP+
DNxD+DPwwcKfgRcR/gx8qPBn4OWFPwNvKvwZ+Anhz8BvC38GnkX4s+QTPPe1
xxO1SMRn4BdFfAYeIOIz8JQiPgPfK+Izy4v4DNxHxGfgXUR8Bl5fxGfgv4j4
DHy3iM8sL+Iz8HYiPgM/L+Kz5BM8t7SvjypE5BvAJ4t8A3hjkW8ALy7yDeB5
RL4B3CryDeDtRb4B/M1NPd8A3kHkG8DrinwDeHaRbwAvKvIN4C1EvgF8ksg3
JJ/guZc931MVRf4MfJbIn4FvEPkz8D0ifwbeT+TPwFuJ/Bn4QJE/A48W+TPw
WJE/Aw8W+TPwPiJ/Br5D5M/A40X+LPkBz5JP8Gx/7iKqrqgHgZcR9SDwlaIe
BP5e1IPAvUU9CLysqAeB3xH1IPDpoh4Efk/Ug8BLiXpQ2gOegb8T9SDwLaIe
BF5a1IOST/Dcwl6PqyeivwG8nuhvAH8u+hvAU4j+BvBNor8B/LLobwD/8kzv
bwBfIPobwL8+0/sbwC+K/gbw9aK/AdxF9DeAvxH9DeC1RH9D8in6dSqZfp1K
pl+nkunXqWT6dSqZfp1Kpl+nkunXqWT6dSqZfp1Kpl+nkunXqWT6dSqZfp1K
pl/HfN5I0tPANJJ+J5vp8/XXRJd8E43uSXrqMh5XNi5z7adLSU+A2TRpvFKb
afr4p2lVYTTrAb6qfO0NRa7OZT3Au/3IsqfYi81GpkJNXH7L0tJskxTHXtr+
LLghXYfvA1k/8IwFN1ZamHIC6wc+uUeWq/WeLmb9wI8HDaz/ctpOoyH1cYBP
/bvq65M5zhleNJ8lbuetLuNHSI+d5waMT6LfJTuVtBP2j7bj1gzCfuDSfuBH
hP3AJwr7JQ77gZvCfuAThP3Szgz2cWH8LxoX6G9lH0fVgcYR+oEvo3GHfuC/
kJ9Aj30+ZVNjyK+gB3h18kOPiMmbo3p0MFsXTAieFFLKLPYqwXXosmocH4C3
SP2i3c3oqswb8LmLpkQOndaYeQM+h/CKdv2MF9X1K6kf44t5USDySatqPQZw
PAGeLUviuzH1R7Kfw//73Cu65MQCR70JfOisO4dclw5mPcDTny6SNd3cyRyX
gOds7domV/Vf+XmB7y657UzuO0cY5zr6VM++VYudYh4gv4fkgUM+J8ljvCAf
TuMOHPIfon9/8ORLPI8j5FeSPwCH/JDnYWtTflrAfiLjCXDIl0tTOnCP6zj2
T8jHEp/AMR+fkd8u834enMFs7Xjeol1G11gQxTjkfyuWuvruhr3YHyDvvXju
3kNuYYxz/Dk2+tB33wj2T44nAuf5Tjj8FvIbJv79h3umMNhjSnuwrgHfu7LT
h3x3+rI89EMefgX5WynK3BvZ3+GHkP+D+IG/QT6T35zpIQ1nsZ+jD1B33r1a
u/ZNYD+E/P0620bXO76O4xvk39+eUsb78xJeNyFfs1/Nr5m7Hua4B/ktv+xq
X2jkLvZb4K+eRZZbMO08+yfwd4RjPYX+u2QP/BPyG0k/1lmO2/S88E/Ivyb7
sf5C/ibxCf+U/MAPgcd9Wp021/JB7G9yvBBnpD/A36T/wK8QVz3JP+FXkJd+
Bfnt5P/wE8jfFn4C+WiaX/ATyGcUfiLjPPwE8neEn8j1Av4APJTiDPwB+DaK
V8ivoL8W+RX8BPLxJA8/gfwNzU+aMA7/x7izPPGDvAv4YZqPGEfJP34X9mSl
uI3fBW6hOA//AY71Av6G9TEXrTscf+zrlBLrF+NNxfoIfIJYHyXOcU/oB458
cmTU9923x1Zie7AvDBy/C3ztoIDifbt48e8CX0O40M96wA/WhUnfd/vG1BzA
8wv40Nmlh56fF8N6gA8Lnp3N4hLOdmKepk7TKdW8PRE8X4CnO9enbN1VvXhe
AJ8h5rWUx+9K/fhd9P1gD34X+ECyH78LfAQ9L+Yd8FK0PmJ+AY+ldRbzC/gb
Wq8xLsAzijwBeCbCMS/YPylvgT/DP10p/xH+oJLxB5WMPyj4A8dJ4c/gh/cp
BD8yfwA/7A+CH5nPYB2RvGG9AN5f5DNyXOC3wCeQnXZ+mpr1k/B7Nt+5jz5U
WTGVnsuX8RntdruW3rTSuJn0uzUY356hcw3rmQP0u54K+CU1+01Y6W2Mt0sa
r4/WdPniulRY/xv5W0PG7390/+p5fa4Rejz7qMfTmjO+7VBQ69orRhtv/tpx
3aduMONbB7g0PTq+v/HOjpt+dty2hfAyIY/K5ngcxHj3hbW7lJ4/BPoZjyf9
4AH4xnMnN/a+O9lYYbeT8T/ITvADvHb+4ovyGr8aw+3Py3gWel7wBtzar9HS
kYH7WB68XRG8QT6T4E3aYx9fX+Z/BY2XPQ40VXJ88bxxdtzaQIw78GmkBzzI
8YL9kL9A9gOHfBqy/5qdBwX5w8J/gF8kPZCHHh/iDc8L+eVkJ3DI16dxAQ/y
eYFDfjWNeym7/zAeTf4D3pAvJfSb3/vsuymOPiTx7H5R3T0/dj3zCfkxgdly
fyy4kvkB7rq1Ti7XxlvZT4Bfm+vabF3CfpZHPD8zsmqNmOBtjv6k+F3wCT2p
ST/4gZ5vllo3l9x2+Annt5vb1sl7Zyr/LvKKlKQH4wL8f2QnflfK43eBzyIe
8LvAwWd2j3ejUizsaN6dOt2leoPS5rX0bxeneVkZuEoGZ/771dwxf/wfXY39
g8eM6jenFeN7wjoMe1SzD8cH4J9mBFUtn2kY4/CTj4Rj3CU/GF/gL4nPsKS4
XY797caQ4hnyVjvJ/MhxxLyGPe9CjrUt0iGOcegBjjgJ+bVPvCKP7R3DOORX
EY74CXxUywGdr8+KZT4lb8Ah34dwxAFpD/wfeB7yQ/gn8FyEY70GnnlS5Wnr
98/idRb4vIft8+0NCuPxvWcfd3VR+IPE0aflevzj4bklA6OMJsuK3Ljq1Z7H
fUeKP4NzT4nkPirke5Y4b3gveGf4Uz8F8lVftkt1qL5jP1fWlRh3xOdXaVSz
vKmOG/UoL4GeGqQH8wg44iHqVswL6Ed8AD9Yf2E/5KsJ+yEP+6PtdnJ8/lPY
CfnqJI98HvNuo2q4eEZMZa5HwAPqEfgbeNhO6zLNRyXnI/rG0POUxquRfbxY
/iCNF8aX+4RifGF/PMkjT4Ce4eT/wPG7JWz96t8qG8t9D+hH3wPxBPplPIGe
ztEHax0ZPpTzjWTmKcvHxsYbjf3HsD0Yl83EG+adjA/AuX8y4FimLifnsX4Z
B5CXQo9H/Iftl6Y4+saQr0g49CNeheyvlTZmVhznsdDTycvF/8n2JYxDTwfC
4W+cH1I8BA4/eUR+CBx6zpM88nbo6Z73Wqv15c8zDvluhGM+Qv4u6UGeDzya
5IFDD3CsX7CzEeUVmL/gp8PEL4X+zn/QsT9I+jNRfEM8l+OFdVDmn8jzoacj
8QkcdrYhHPFf5rfApb8hz4H+77TeAYeeXpT/oL5Ixn+U9B/oAf6D9PP+JukR
cZ5/N/qXMdFnczrWI9h/tO3LhONzunLcwDx9THEA64Vcv4BzXqfr5/l+mPRj
XkO+m6gjZJ0CHHr6Ec/IH2SeifkF+fTkD8grIF+d/A3+DPwZzRf4ldSDcZf2
YFyAh1O8QtwGXpbiIeK2jHsYF/RJnpmb0n3KVYn5xLxo2XV/jsjErsboDEHl
Vj9rw/M345xxS4vWjmEc+oEjHgIfSnEb9kB/zNGtGzYE9uH1AvJYL2AP6nrY
CT9E/rCe1jUhz8+FdRb7MscXXGo14rY/r5tYH+c8vO7++HF91i/XTaxTsD/n
1rLxbzfyuSxTzgusO/J54Z/At0VNz2hah3GeADyQ4hKfc0C+N2XL99TpjrBf
QT53gnf+MSNOGoOT7PFQBZLkz9sGjPl++vxvx9jf5LoAfwO+5q9/8ta458g/
8bujaRyBcz58dO2Hljtj4Q8qGT9R0k+AQ8/+50Ue5+0cw/4p/RD9ZOjJpOef
pvQHzg+p/2PSuCO/gvxkGnfg8Let64sVHFfTkPOF/ZDPt4j1AvFE8on1EfFw
7fbM35+2PcE45NPTOGL9gvxsUX/JehbxAXgExQfgzDP5G/qN4HPLCZ9yrxY5
9ptkPg+/RZxBvoQ4KetBxEPgo8h++C3wjcQD+JfzUYyLiXFB/JH+g/gD/Bj5
J+IM8Hw0fxEHpD8Al/6A+Qh++tN8xLyz2eedFfMO/Uy5Pwhc9pkRx+R6in5v
MvuSpuxjI/5AT8pdW/a979Wb+89yfwe47CfDTyBvFfubkB9C9tv9thrHn+NV
95bY99lk/rEOpirscbzinG6Mwx9GF0kctKtcJMcHyO9qO/3CoBQ9eD7KfADj
gt8dWfuXFJmqHOF8A/b/1aZOyisdI1h/o6T/7xe1od2AU0eOduf4D/kq6brX
WBzdiX8X8mvPPN3XaFkX7vdifYmL+l/f6Zl92R7gJT7Fdpp/uwH7P/y8iS1z
97odfTiPbRz5etP1BcXMRtPS982QMoxxvM+14nnPtWt+BLMee91T0gycsyK+
UGAA24P5cnNiYu7IwXU578XvFjgSefiXPAbL43erGhF9IvO3YfuBu49ZMORQ
3lD+3QvX1wePmVjc9N987vq4sLasB3YW6lSlaniDAP5dyC9PiDs+ZFSwcWtf
zIs0mx3v9w1elm9h/+C67Lew/0mvsW/jDlZhHPJfSvybNeUlZSyusyDng8Et
WH78xcfRfRtWYxzyLiUXFRn4xIvrJshXynnnePSf1RmHfIeqbyb+2t+HfteP
5Ue3H/a1a0JNxiGfYue0PTtD/NAvYvnd3/au27uxDuOQj3JP83naSpzD9GD5
d++mbFzyiyfjkP/dJcPosEQ+p2eR73uSPPNfPmrN9y+lWnD/CnjGi9EdKjRp
CvvZT0boz8XyFu25AljeQ+eN5dsRb8S/SmZcHPppXJAfQv6pPu4s/4PGnfyH
5f9sucL193KVGYf8IPIr+Bve15udEH52ztH67FfAM5f54nFwRSP2H+A1D17c
MWhHM/YT4EWjS/vVORDE/gD8xvvVnSuvbcPjDvzh7kVzrbO78PgCD4mJu2IJ
78HjC3wxnXfF+AJvSfIYX+D3ST/GEfhVzZ4AxguR/RgX4NXoecG/5Ac8A59F
fIJnfr9vfOT6OZ6BzDPw7lkPLO3fPph5Bl4366vWPQa0Y56B957fP9K2ip+L
8YP3duUauDuGeQZ+6UZgt50TBzPPwFseXugy+Mx45hn4QDq/DZ6BB5E8eAZ+
mvSDZ+A7NHsCGO9B9oNn+bzgGXgM8QOege8iPsEz3td7sbLDnkXZWQ/jr+Mm
fs2UtjPzDHxo5+c9ty3qxjwDv1csvNu4B32YZ+DphhV9cyr9KOYZ+JDwKtW9
MzFvjG8vlanM0K4rmGfgKen9R/AMfBvJg2fgsaQfPLMezZ4Axm+R/eBZPi94
Bv6B+AHPwP8mPsEz3tfr+zbNpRH/68I8A6+6JSJVi3ndmWfgeywVa3z068s8
Ay/6/cjyx7VHMs/A+7wf3Gn9qJnMM/Dpwe/DKk1YyTwDDy0QlLNXxx3MM/Du
9H4NeAbejuTBM/AJpB88A4/W7AlgvCDZD56B76LnBc/ArcQPeAbei/gEz8hj
ey7198p0iceL8UlfNlye9qIX8wx8QYsCGzu6DOLnBZ6wbvKXvCGH+XmBp39h
HZRvxGZ+XuBrgovf9VkZx/agXmjxaMuDdMe7s37gS5o2O9Tyj2Msj3y4h7Cf
9/GF/cDnCvuBXxL2A08l7Ae+QtiP95h6Cr8F7iH8Fvh24bfACwi/Bd5D+C3w
CcJvgQcLvwXeWfgt8JbCb4GPFn4LvJvwW+Duwm+Bxwu/BV5D+C3waOG3eI/p
kYjDwJ+JOAy8n4jDwG+IOAzcRcRh4L1FHAa+XsRh4K9v6nEY+FoRh4H3EHEY
+NehehwGfkXEYfm84JntEXEY+J8iDuM9pu0irwDeReQVwCuLvAJ4pMgrgP8m
8grgh0VeAby+yCuAR4m8AriXyCuA7xd5BfC1Iq8A3lXkFcAribwCeDeRV/B7
ZCKvwHtMU0WeDDylyJOBlxd5MvB8Ik8Gfk7kycBviTwZuK/Ik4FPE3kycB+R
JwNPEHky8JMiTwbuLvJk4BVFngw8g8iTgU8ReTLeY+oj6l9+H0rUucATS+j1
LPAQUbey/A69PgXeTtShwLeKehP4fHovDDxLefAMvDXpB8/AP+7Q60rgLUT9
KJ8XPLMeUQ8CjxF1H/p4D6lOFH0GhT6D6Cco1K2ib6DQNxD9AYX+gOgDKL0P
4MF9xbdave/J+HaSF3W6GqHp53pcoR4XdTfbL+prhfoa/GT/YgtO/aaEaV18
e2TWb7WZnwTqLx1u82fq0Br1mJ/53Qa67Lhf0szZetz+KZkV84N+11SPYSnO
TvVkftyvV9rc8WIps2rx269q/+PF/KAfNbn8pZzDp3kzP7CnghqVtc+x5swP
7Nm3qlTYjKl+zA/smVnv3Yly5w3mB/Yk5D98Kc9OK/MDe2KPzf10IzU/L/fH
itVb/LV2y+rMT2rfW5uCKhU1N4TU+vz8oS/zc/JLNZcyG4qa53q5NfwU5cf8
TNo+O9hSuJg52/+Y24jejZkf9NOuFay0xPVaM+bH3jctbsaHLtntMYXnkYm+
Wc/QyX0vdW3F83TmtFSbW1tKmMP+vTa6UMq2zFsqsrP+zVmL2lyLZN5gZ5Pd
ud5NedyeeYOdpXpcTHO3fhDzBjsvvcg6LGPuJswb7Fw/b82RPqV4XeD+3rEm
j96cyGfwfISdTRcNUMdzWJnP1/mfuhiPC5g17lcf9Wluc0deOmXF5lfXCpqN
a6W4nzi/BfM5JMmuQmY+tenjsqutmM96O9K5FLtdyFSuh8vMzxDKfH6PDA9O
bF7YHN+vQ8VDX8KZz0OFjm66dLqwWede/e4Z/+jFfI6+UdBlnVcRc0jdRnO2
H+v3nz7MMrG+wP5466IXKw6PYZ77kP2pglv7nejdl3mG/YUebshzOWNX5hn2
Txg/+/ikv9swz7BfbStTb8qwIOYZ9gfc7r4lvmxT5hn2zyp2Ls85dz/m+WrS
fMll9ptSq+D3Um2Z55CkeZHb3NZ7xnO/I6HM8+0k/89j/ugxu9Pfl9hOs31S
3HA3r5Ud0zfH9p7M8x8RLiEzSuQ1g4d9H7R4+mDm2d4nzmeOsXp/L/H3eOb5
L6Pf5r9S5TePev3vUdGEGcxzFPU3Bot8CfZXyjq48yrfJcxzMNnfOrHJyn0D
JjLPsH9+VNE+lR/FMs+wv8Uu24kdOyOZZ9hf4FuzA8NSdWKeYf+rtr+ZLn+3
Yp6fkv0Vlk339CgXxDz3TBr3zOb30t3mXglx1Fl1ksY3i1m55PE8A7Ly75q2
pHHMaq69e7/ikvG9mZ9zSfMoh3nunG3b8Yg1zE8z6kukFv0T/G7QucTAxv9z
nEPG73b6Mb7D4eKLmR/87lv/lYuuPB/P/HjRPtvsBq86tcw8gPk5nhQ33Mxf
N04aHlYwmvnxS4oP2c1P+cv+9XwK10HqLNl/tdKyCv8Ubs/81Eyyx2L+WuFC
d1sLR13sad9PMW92rBlUqryjLvZN0p/SPPfl9bNf0w3g54Uem9kma0LKQ/y8
ivSc/Z7ufYN/1zvyOtLj7efboe2EOWxPStonWplpctX8uxx1PfD+tH/H/cwk
/0m0vtl7+oV/4Ui2H/tQnhtWTvsnisdRQf7KOtuTF+mPsJ4eSX6VQW3qYFNB
YY5zAuFJ8q7KJWfv1bHu0cxDpyQ/T6uCOuaKTJGyP+uPIT3pjset2tdvN/MA
Pa/MBo2epFrjyB9IT7T3vdN7/GazPVfs46XO0XjBnmb28VUvaHxhz1m7P6h5
5A+ID360XzqD/Afx4bjd39Rzzd88TS+7f6q25J/w/6F2f1aNyJ/h//2T6Q/A
/t00X8BDU7K/mUfEmTet5jEPsD/ySuyiglnGOfyc7FxO8xF+bpCdVWn+ws9h
5yea7+DzpT0+qDIUH8Cn/X2RfOoBxRPw+cQef1QOij/gs4s9XqkmFK843trj
m5qpxTdPs709HqomFA/B5y17/FT5KX6Cz2Cqr1+JPgDsX0DxGXzC/miK5+AT
9tfT4n+Agv2/03rB8Zbs/4fWF/AM+7EegefbZH8krV/geax9vVOTab0Dz0ft
66PyovURPLt0T1pPVQ1aT8Gzsq+/aiitv+DZfo6+kMqtrdee5kD7+q6+trSv
7+D5gz0fUCsoHwDPvZPpA4wj+ztTvgGeYX8pyk/AM+zvq+UzAQr2V6X8BzzD
/kyUL4Fn2O9H+RV4/ofsr0T5GHiebc/flA/lb+D5sj3fU/sp3wPPme35oVpG
+SF49rfnk+ok5ZPgeao9/1SFtPzT0zxjz1fVsEVb4t9n7sA8p7XntyriXaUr
RR5E/qcPMFXkaXPI/g5anuypYH9ryqvBM+z/VcvDAxTsP0x5O3iG/eMpzwfP
sP8k1QXgGfb/SnUEeF6edP6itJpSPa5j8SqO/W6cSylA9Qh4zmevX1QPql/A
M847XaB6BzwvtNdHaopWH3ma9nNnJdWOKLdq0c/8mDfYU+rAoi8FprE8n5MZ
TvUaeIM95bT6LoDfvxtH9SB4gz1pqH4Eb7DnINWbsP8Y5SGDKW4DP0T5zCrz
btbfIyfwcyE/CaP4D7wu5UWBcQ0f+7gtYT1B9vXR7E/rI/CGlD/Up/wBelrb
11nzK62zwA3KQy5THoLxsudX72zr7/befbQR9/fM6oTX3j4vwuywgHH7uZ0n
tiOdu+faVmShQz+d53Gn97O4z0Dn0K7Te1iYF51oX6Mi3WuH8apLv1tF/G4v
++9a8bvA7ede3llrkTx+dxudgxLvwZnBlBdlJTv1dfybtbCwpwv97gH6Xe7P
E/4m5Psy39RDGPcje8An/LMhnc85LvLAAPs4KqWPo/Kk9d3Q/YHicFYVR36F
eWo/J1XaxDxFXALuoc0XD+6rzH9Yu8iR282ZB5xPWEv9NMQH6JlG+oFDT22t
P+PH94fUdtk7cGWJ8exvIeTPrSlvBM73YJxpvuZGnljWA7zDl8yF77yZzePI
59Y2T0tbIOs6fq5Qe/5pumv5pwfVOxbT1PJzD96nu0n7WeAhgvYBo0ReF0b6
s5J+Xf6brQL5D/Aw4ecY33Y0T9+LfDiY+OlJ853PpTjnTTWiOHCS6hHgVWke
bSI/BN6Y5u9b8lvEtzZkT0bK8znPpLhxh+og4L40332pvuBzL8TPb1RHAAf/
y6jOAt7cXo/Y3lL9An9uRfh7UdfgHOn2h1XmRWbjfRyzDc3HV9pz+fE+6YYz
nRfePLaQxx16+rgV+zbkj6PsV5C/QO/TWbS/R3Wi6b5T8Al8TXye9M9jHHy2
pjjjrfNj2vN2i1om6k2c37su6s1mFB8wvrwuEG5Q3ADenuqpXuQ/eK4mpB91
KPAuVJd91NYLD9OX7Dwg5kt3qu+y6POLz0n2Ij7B2BCKq4U0//dQ4GE/6dfz
Usc9nOAT+nfTuGMe4TxkdYoDmEfAW1Lc4L498XZUzJd2xFtLml8Yrxz2+KZq
UHwDDzkJn0rxU8RbVZ7irdyniBP7FNA/g/RgXkB/JfpdEYeVjMPon4vzZnx+
D/sLos9vos8PHhCv4mjfn/tOhE+jcwL4XeD6uQI/Pj+AcwtcpxCekc4JgDfg
V0UcHijWZdiJ8e2prxd8b0MZWnd4XSB+cI4RdsL+TcJO4G5kJ35XnovgdZzW
/Up63qK6Ub+l9Ft1eeWTOMd5J4pviWcHXjsbwXrMtoRXInl9vftoyyHyq3KU
X92gPIf3s0hPedID/T3JnvJC/1DKl66KfKkzxbEM9Lu8n0t6PpL9kEdczUbv
awPn+9kIBw+VaT0SeZTZnPpdJ7yHFlgZ7MDf0jn244TDn6Mo/qf+XGFsDv9j
zEMd0n9QzxtVWdLfM0+po5U3OfCzpF/g5gKcnycc8wvPG1Rme8f8zfg8hulL
v9vs2+V/lsd0Z3+GfDS9Vwv7gU+Z9elzvazHGMc6eJ36ddxvpPU9m+3AmhzV
HPG2StLfnTrhtE5x/CH9kfrv8rjMoN+FPPDKQj6cxv2qbo8ZSP6fWdgTnvT3
7D/2DCX9FUk/5yFkJ+I84gzwpjrPCn6Cfilw+FUA8Y9xwXM1F+O1msb3V12P
2YP8yp/0YL2Gnv/kIWRn8RPbC8+0Oeqpz1vtdg4QfgX5gD7PegXccNQ7eH9n
y7nOLcZOdMjj/Y7NhIN/K/HwrfChPYUPsP+Y1YmHNDQveLyc+5VpJb/KQuMI
/H/Ezxehv4OYd/BPb/rdtGI+4nkb6c/L72et05+X32dZQzjiz3Pi86QeHyiv
TrT9S3EJ+BSy/xTJ8/4UxjFDhwkxynHerCX581o9fzbDyP8/ibgNPU3pucBD
E9IDPvFckPcjedgJvBj5D+xE3JN+jrxXxhn5XiFwrPu16Hy+lD9C8nhe5Ler
KL/Fc/F76Cm6p8q63DHuNcU+BZ4XelZSHs7xULwHB7+C/CI6xwh++P164gd2
Jscb9ATSOUnBg5I8wJ6DznlT8r0G+OdqwQPiCXgAflPgiDNdqG7aKvZfUCem
FnUZ8vmboi4Lo3w+jZBH3jJZ5G/I8xeJugx5/gZRx0FPd8r3OA+keZEuaseu
2NKO/QjMo/fp/9286V0k81BA+Ankkdd93dg8/vxU3h9Hf8+M3bZlYMXSXqwH
futSaOiqgJOOPiH6FQnRowsV+OiQx/mK/W2OPv47X/3/9D02UX4OHPvsi6h/
K+XXi3x+AZ33+DNTu87Rqgnbj3l3tNbXdKlG8ns36iKdT8jcKuBC7qwtWA/O
Oazx7T/oao5OjOPcwvrGuVav9g9hHOcfjFvfw1NcaM/3WqA/U/JYgP/bwfjd
UMbH3f6z9vX0NfmeCuCzS/ctOtCq+H5F4Dn6jBh295IXv2cKvGWTP840vuXD
97cAT99xbuu9Ho34HhLg7X6sthw41ZzvdQGejuRx7wHwFqQf97YBdyN7cH8I
8AVkP96zkzyAn1N0/uS5Z/FOb1x8mR/g0bdG7mr9Py/mB3i9N4Yt+qUf8wN8
58lMGXdamzI/wGPOvmvwNC6I+QHuO+TR/X5H2zE/wAMqf3lesXYEvy8M3Jb3
9vepD3sxb8AN0gPegPeg3wVvwOPJTvAGXNFzgbdk+FGSH/A5lM6TdM0TOCpj
ugDmE3j10OsPjzRvxHwCnxagZmR4H8R8Av9QOajQDZc2zCfwti/2bvn8tjPz
CTxH6qHHPw7oxXwC75Dt4qppi0cwn8Att5b81Sd0Er9XCDyU5MEz8GykHzwD
b0X2gGfg78h+8Ax8Fj0veE6GNyV50++Ndzdn92n0sP2pEOYZ+ICxufxK3Q4U
98m7m2u2HMvtnbqjuE/e3fQtPLid9WhXcZ+8u/ni/sOY45d7i/vk3c0vu1rl
3J9/tLhP3t28WjL9iIZV54r75N3NJa3K9ojc8Ku4T97dvEby+n3y7uZn0q/f
J+9uPid79Pvk3U1vsl+/T97djKfn1e+Tdzdn6rwpyZseH9zMxk3T9x+/K1TE
Bzcz64zumTZuay3ig5vZ83HhLZPMcBEf3MwV+9Lc7J+ht4gPbubSI71L/xI6
XMQHN3OBS+eF4ddnifjgZsYq92op264V8cHNXPKn57sB93Yyz1Jejxtu5jzS
r8cNN3Nx73xtTj8eLuLGTzvJfj1uuJmD6Xn1uOFmNtJ5U5I33Z9dzSKPSwwJ
vNhV+LOrGbXjaGjudqHCn13NEveGn1x5MEb4s6vpeSDcr3PvgcKfXc1Of4fs
HPJ+gvBnV3P+rYk1zJbLhD+7mjkT2g+bOnOn8GdXs/PFFvGd/I8Lf3bI6/7s
at5SZpf4ysuEP7uaHd3aj6x2aYLwZ1ez/6gzzVs1Hij82dWsQc+r+7OrWUjn
TUnedJ4TbZPG3Srcqhi/V24ir8F3snSeE20Zzqb5O+ZBH8Fzoi2Vd/aApz+G
C54TbUWOxbu0yThT8JxoW+r/6mjB3WsEz4m2/WsGHVjT1BQ8J9oqDCj4evKx
+4LnxJ/VlF1e5znRtpj06zwn2gqTPTrPibYUZL/Oc6ItBz2vznOibaLOG+OL
ck3c9N63i/DbRCtw4ecqGT9Xyfi5KuXcz9VA8hPh56oT+ZXwc/WA/FD4uUrG
z1Uyfq5yk7zwT1WN7BTxUyUTP5Wb8/ipejmPnyqZ+KlWULwS8VMtch4/1QDn
8VMlEz/VIOfxUyE+izipljuPkyqZOKmSiZPMj1j31Szn674a7HzdV6udr/vK
x/m6r145X/dVovN1XyWz7quFztd9lhfrvkpm3VfJrPvKcL7uq2TWfZXMus+8
iTxWJZPHqhrO81g1xXkeq945z2NVa+d5rHJznseq1s7zWJV402keq4Kd57Eq
mTxWJZPHqtfO81g123keK3lTkjdRf6lk6i/Vw3n9pWo5r7/UDuf1l4p2Xn8p
w3n9pRo7r7/Ufqq/9PhQVPmTvKjLlNV5Xcb2iLpMJVOXKW/ndZn623ldxryJ
PoAqTvWvqPfVdOf1vsrmvN5XQc7rfZXWeb2vgqneB5/AZ6cv9KjU/mDmE3iI
8/6ASu28P6CaO+8PqKzO+wNqvvP+gCqs90kYH0t9koZxF+PWf3P0SQI8l44q
mUoZe/p4eDVsFsT4/W1BHVbt9DL8k+4R8me8W78iA0IO+Bhlk+6t8mZ8X/7C
niNSNTKy2u8pYvzrkozpc69ubnSkcxjAL0bVGD+xV7DRMeleLy/ub5wy/e9m
btzIGJV0j1AjxtdMC3o0NqWvcWXDqaj4oo7+iaVRvcuXXnkZnc9HHM5yJZjx
FJvPdHoWq4wPb1Ln6jWyLeORv5V47bWzjuHtGrQ7IhfzYw5q0b6EalWT7+NC
f2CL+WeY/1p/oxLdxwU8z9kePbzLBRlZ6D4u4CPW7n7vl7qdcYfunQO+uUjO
MW/mhBvBdK4IeFiWcbEHR/UyltA9csArryhU1a1FC+KnOePtTuU+8sWtGd8X
B9znc0z41XENibc2jHc81OJ61zG+hhvdswS8ZlfPniWbGUbOJLwZ9xmmBv5o
YXvVyfgnSX99xjvnSFMox7UYY3WSnbUYd8+TuqBlxjBjGL3XAbzSl8GnGpac
aLz8IzQuz+cA7gPMDT9xtXHadsbwlJYXA9e2ZLyHz9O9PoVbGplLLfe62aIN
4+3X+NeZ8TDAWNHYOr9Gio6MZ71wql3JTY2N23TPKurfQv90+LF48Agjhr4j
AHzp70V6ZI+bZQRSP5TxMX9tvPxluZGevgsAvG1Am2YzYjvRuLRmvMi8m1NL
1WljVNC+i+FufryfttibJS2MR/QeHerEZ7umhOWvGG+U6Vgj2rN0a64fff83
PMOAnV2MA6OvH15+oz3jLccPrfd+bXsjkuIe6ppp9F3gm9p3ky2Wq/Qd4QYU
94BfoO8OR1HcA16SvlPckOIecC/6rrE/xT3gBf7/d5NHFjoIvBnth9ajuAe8
DMl7UdzjfjPp70JxD3glsseguAc8gey/qn032WJ5SM8bRnEP+AziZwjFPf5d
qgcbUdxDXTPhea9aOb71NvZR3AOeY2CDpVv+HWo0o7gHvN/wM4HWbNOM8hT3
gG/JODfMu9gqIyfFPeDjRn7JtNA8YEykuAc87auaGy1bLxntKe4BLzmtyekm
IRuMERT3gE8+eahu0XqzjUsU94Bn+ji8SJmnI41OFPeAnwpckWeoaz/jHcU9
4BETO+9f3CnKMCjuAb+5+sxvKTKGUTwHD66qxgPX6p49+xtVKO4Bv1OvR8VV
h8YY2SjuAfefn7dyrUnzjfsU94C/iarU+t9rW41uFPeAp9+RM7jVicPGIop7
wCdttyQsHDrD6EBxD/i0sPqvqzYfZrymuAc8YVu8ObNvb2MkxT3gxzsZRXak
72Zk0+6ZdFXpwj58OHCik5Gb4h7qlEqhPeof9BpgfKS4B9y1RNuT3b9OMNZR
3AN+52vC1agRS4wpFPeAn1swNmDfnt+MFxT3gB+s/nhQTIb+xjCKe8ALbll3
P8u+aCMTxT3gY1puybnwUBeOe8CD16Q8cLRfexn31L7g6kuWzo41eulxT7Wf
XLp2sTYTjJZ63FPdWg7a0mjKfBn3lHep0QsvXewi454qNrV6z4Fz2hnl9bin
cuRqnSYuVbBRMwm3cp4f+MOn0dixfYzHFA+Bfw5P9+516lEcD4EvOuadMDl3
EMdDrjuOxU/avbepMYju80R++NVvzddL3yKMhnTPIfCCu7quKzLLh9ZHHkfz
5Px51paDJ7KdwF//9j06x4qFxmJ9fM0m9//NH/9wqdGZ7h1FP2os+WF5fV6Y
j2heZNDnhdmG5sVVfV6YKaPt86KYHh9suSk+pKL9UYmnpnsggS+kOBOpy3Oc
oTyE/f8tzUfKWxhvQnZWpntQgd+m56J1n/2wNvHzwc4z43uIZ8qvTJlfNSY7
gZ+nPFDkq7yv98Y+j3hcdtM8yqrPX7PjoHWq2MQBxnu6pxQ8n6H4MID8B/il
pWMbTp18wKiuxyUzM8Ul/btIibaeWToFLix02ihB5/OkfAzd3wj8CunXv6OU
aOtNei7q42L+Qv6g3zOZaFtb4sXgbiu2G676eJmtaLxw/znkv52d8TbbjoVG
OX0c2T876XHVHE3+bOc/gPUU9U93puKkcbj3leUvEZ9j9HhrHqJ4+1Ffd2yF
3TeHbOgXxfMU8pPzt/19QMMwI4cen83UFJ9FH5L7k6Tf0acl/ddFXnSd8oT3
ury1NMn7inzpMuUbxAPj+J6g/l1Fi0V+VxF4Ucp/9O8qWiy/Of2uosXy0ul3
FS2Wt4Tr30+0WDaQHv07iRaL/E5iMs/FuPPvJFos+E5iNu3eb1flSuNC9QXj
J2jcRV/dmpr60m/0+agukv+IfrsV/faOerxV08k/RR/eij78YDqfCXm8N9RB
n+/qD5qPog9v/Z368K30ec35iejPWxc678+z/aI/b/3FeX/eiv686MNzv13s
v6gFtL8j9l9UR9oPymWPh448geKhjx6H1UCKw+IcBfcH8uh1ujpH8TmVHrfV
WcJ99Dqa9WfQ8opE2x/jd1R/tsHxfUDglT2L1KyWo6f4zmCi7UfvTDYVKL8P
aLE4/z6gxeL8+4A/6wKn3wd0yOvfB3To17+Xl2h16WO3B78LHPbjdzmvpudF
PGE/obh6Q8vfEq2I2921/C3Rivgv1iNrDK0jYn2xYp0S+3GqHu0nin1StYj2
bYX9ttvO7ed1Qdhv++7cfts6sl+sa/xcYv2yfiU9Yj1i3oRfWeFXg0Xc9qb4
dk3E7e8UJ8NEfN5NcTVaxNtVhFez5438u7H1jqX7EbHNOKjdI5RoLU7n0ilv
YfzvLraEgQljjJGU/wPPU+fu6QUdY41wex3HvP1OdRz1SRjPS/K79brVVojq
1mv2OpHxNFQnUj3C+Duyp6Fe59rGUp1L8YTxh5EDh8/9GWcm2OtTxodTfVpS
r4ttB6kuRj0F/MXskJdLf19qdLXXv4znpPo3nV5H256Menju+4EDXH8Bn/Fm
jFll3S6K544+RhD6DHp9bctO+kvr42gbTeM4Tq+7+bkaiD6GJ+m/ItbfRPKr
SNHfKEH9jcFi/YV/jtL55Hrf1O6/cvhVR5037htk0+sC623ibT7l7cBXE2/U
v2V8J43XS8rngWecYx+vpnY/Ybwv+UkWWneAvyI/2Wv3T8d6R/65QLtHK9H6
g84h1xfj2JB41r/3Z7HI7/0B9yN5/bt+Fovz7/pZLPhu3RBxfgD9ospi3UlJ
68ISse6kp3VE/y6eQ7/+Xbyf+R7Zg/OT8rmGCz+pQX5SSaxTsCdC9AlnUh+s
grA/LcnTP7mP14X6eHVFXvoP5Z8n6L1xzIvU3UIerJt7gvRkrQt59AOrijz2
X9ITKuLqdoqr4hyF9YDzcxTWanSOYqD2PtTPdZbO/z+lPgPw9xF2OxNE//AP
9A/1vpntGMXboXp8thWieHtD6LlHepaIvAL+EC76k1NpXMqLcUwrxhH243zL
NVHX3KLfzSLynCmU54hzL1ace/EW9Q76q8PFugl/66yvR9ajxM9ofT2yuhE/
XUWfuTLFPf27aRYLvo8TLPztCfnJBX0cbRbyt6bCr56RfHE9jtmOUhz7oMcx
2xdad/TvlFks8jtlwMuS/Q30uCfXR8axPl7T+7Ry/WUc6299Ua+hb79Tj5+2
whQ/h4r+Ns47+eh9XdtV6uuifwg8dvNk8/GUrvJckHU8+Rv1hx3zi/Sstuth
vC/pWaTd65hoxXsrl/U8xJqZeHij5yGcF2XV8w1eR17r+YP1O43jfT0uWT/T
fNe/t2Wx4DtHXUWcnEPzcYWI52lo/uK9A+D4zhT9E/u/5jza/9W/Y2Wx4DtW
eA9C6tG/V2WxOP9e1c/1iPxT/y6VxYLvUvUSeBbC9e9SOead/l0qiwXfUcok
+gCzKZ7o36X6uU7Rd39WiLgH3vTvT1kszr8/5RiXbiJulKN5p3/vyWGn/l2n
n/GWnlf/HtPP3yU+9e8ZOezRv2dksTj/npHFgu8Z5dD7IdynInnGp1BfS9SP
NgvVjz76/JLz1JTzdKzebzEPU79F1KFcR9fX97lsPd7GNpv7o7dRwd5vZ7yA
+aDOy/a9jAPa/aWuCu/piDqd69wmeh9PjaPnFfW7Fc/bUOwPYj/xgojD3cjP
b2vvgyda09L7ONgX4PWozoPnuRpFGNlo3wR49k9t16w618NYpcc9ax/i01vY
U4zsEedRVfthFbqMfP2f86jKJW/HqqX7hhoZKd9GHNhbb1yXlOmby3MgZplm
NUd1DWtOfe9svP9eq8Oxmr27x3D9zu+PhKU6ExXfguqLko7zCSptuYfrgygP
qcF6RhYYtG1uZJg8z2OOnLFplvubrlx3Q8/czT7Pv27x53gF+cK0b0L+wPgp
umepHcUZ4Auzd53m+SgC/TfG/egeVJt9vPg8wGvaxylPfgh8Hu37LKF1BHgu
ul/rHPHA7ztE2PePUMcBD6b9pr1UjwMvQPeMVdLmo7uZjfatVmjzyN3MRftc
mbV+iLupaF9suNYPcTdP0j1sNbQ+jLvZi/bXQrW+h7sZQftxV7W+h7tpo/27
wVrfw90MpHvqyJ95vyOA9gHJ/xkfRPuGoyhP4/PqtM/oR/fNAb9N+5Xz9f0d
82/a33yl7++YOWk/NLPebzSr0/7pQqrvgON+yzvafQ4/13e6F6Ufvf8F/C7l
8/56XFUTKM4c1O6XdlUWilct9f0X9ZD6vQO199dc1RfqD5vkn+iDNadzF4iT
wOvROY2l5J/AcU/jcfJP4O/ovAf8E/gH2mfcTf4JvC/duyX8U+E8ifBPlZfO
nwj/VC3ovIrwT9WU/Kea7p9qCZ176aj7p1pJ52Su6P6pitK5GuGf6gz5P/wT
+7aZ6XwO/BN4WzrPA/8EHkHnf5AfAp9O54XQDwGej+a1Qf4MvCKdO4ojfwae
m84pwZ+B41wT+hjAJ9E5KPQrgCMu5aR8APvONeg81Thar4G3p/NXHyjf4HOV
dF4L+8vA29L5rtVUNwH3oPNgo6gfAnwc3eNXRF9fVCidKzunrxdqE51DS0d9
EuCD6dxaWeqTAM9F59xKUH4FfCudi9tL+QPwC7RefKJ9N+wLhNO5O/Q5gf+7
yX5OL4HqBeA/GtrP9U2k/hjw1XQOMJz6YMBPFz3q831QIyOlvi6rT3T+sBjV
icB30XlF1HfAw+h8I+ov4HfoPKSvPb9iPJjOT8I/Efd60LxeSeOI/G0AnW8Z
qe9bmS8pLpXSz+GYis7hDNfjmPmc5Ffo52fMfqS/JI2X1LNXz/fMTBQ/KW/k
OnEOnY+6oedjfJ/VTT2e2z4Q3lDXY51GepboPPA5nzK6naoW2Qn94LkO3SM0
nvo/fP6W7h0aReuIxK/r97ypWqRnmV632t5S3bpX77vaqlLftTydG5F9415i
H2Ed9bV26/sCrKeWrof3ETKIfs5cqr9uij7zE+ozj9LXTdslWje7ib7TJKpz
b4t9kGekx0vsX5elfHic3meznSX9rqJOXEx2LtH7ujbcL7FPX69N8V4/nw+5
d6hHhu1j+DsCjN9aX3J33XyO73HwOd6+c55GDeF7MhlfcyZyxsUsDfjeHuCL
lpb6tus034/K+XDFGlsP3h3O96ky/qPRudCDFbz53gZ+Hzy83ijjhSf3B4Bv
LZO91rQ6DvuRD5882WfZlbtN2H7gqb4XarziSnO2H/i/e6/lX3AhhO0HHnR/
/dnC+fk9esYPpLya8+AdvreK8/AdPocvfT7Qkp+L37Ou1DrFrz/X38Vanvbz
d+/b9nn/6bhnFfjyasvy5jjTgO83AO6fb8TDC9N9+LmQb08uH5MY+s7xvQDg
C5btfFfXrTs/F/DRt5v8HbqT799m/MfyZZENBo3i+woYp/dE8FzA52/7a2Jq
lw78XMCj690fsj17CD8XcD81sPa6ffxdHsZdx23KvsfD8f0I5OH3Knq2Dc8y
lO0Hvjp3s4FvV08W93S5m2eG/zK5bIn54v4Nd3MRvU+kf0/E3ZztszLbgUmd
xfdE3M2nv164smtFO3FPmrv5V8bBfUd/Cxb+4GYuXRUTnrPdRv5d4IvovTB9
fN3MFlNcX5bcGybG92f+v/zt6BvZQwUPiVYP/R4wR/9Nu0+mFeMRgWu3epXr
Lb7/4qoKzuvXqkWvfmJ/2VVlrTnx6rKqo8TvuqoTpSK+pol3fCcL+BHC9f1i
V5WZ9Oh2/vd3kYc/tk7t8iBFrJiPbup4aN2i1WaPFfPRTT2v3L7RL+5xkn/1
9tm82v9cXSf55/fy9PnoptK1OtGuYaNYMR/d1PS4GuHd7sfI8VI575dIf3Rq
Vzle6mPeor/nDpDj5a5c9z2YGdG5v/RbVbGQV6nXB8ZKv1W1djw5k851nvRb
fg9O+K0aVcLTdXOTMOm3KnLpt6P3zrWXfqvi8zZ9sSkkRMYB9Sw4pO/GhN4y
DqgTw5beLV19pIwD/L6YmNfK6/2L30M7Bcl5rcpm+j7232XNZPxUq+sF9LMs
iRDjVVTtpfekRNxTKYf4jp102ofvvUE8TEP4ftE/Oa3fU83xrRzZA3ngVrJ/
seiH5Na+z+LB8eoM8YP9ROB/EZ+YL8DzU92k36/obm6ncdmvrdfuZkcaR33+
upsYd33+/ox7VA/CTuC1ya9gJ/Dy5If6vHY302h+6+iHNKN6Vuffzfyk+X8r
xjPSfNHXZTdzKs0vEQfM9DQfRRww+1E+j+cC/ormO54L+FOKD/q67GYe0eIJ
xwHzD4o/Ig6YS/Xvg3AelVJ8zwJ4Eedx1czuPK6ap7T46ahHPun3b3O98EZ+
/4LwZOKwmc15HDYLkZ163HA109Nz3RL1xTtxvy7HYW2d4nFXzWldE+Oulmjf
1+BxVHG0bop5oZ7TOivmhXpI67KYF2oOreNiXqhg8lsxL9RhyhPEvFDzKa8Q
80Kd1/IQRx/mCM07EWdUei2f4Tij6lP+I+KMiqF8SeR1ahHlVyKvUyW07zhw
XFKfKH8TcUnFUr4n4pKaquWHnNepMZRPirxOuVE8FHFYIS8VcVgtpjxW5Ocq
kfJekZ8rH8qTRX6u9ml5taMPM1P/ngKvFzspP9fjQ1HVhPJ5kberN1r+z3m7
slC9IPJ2dYzqC5G3q3Ni3UH9W1t8hw74OlG/AE9H9Y6ovxTqI1F/qUpaPcX1
l8ruPS3nsBONef0FPk+/f5jr9Lka7sn4TOd1nFqu1X1cx6kuVCeKOk4lUF0p
6jh1n+pQcT+8uD+Z80Dz9umCl8elkXl+oq0InVcR8VO9FXEV8ecS6RHrhYrW
1x2Oz0Nq9e4yNeNegSfaxL2mHFf7k7xup6sZSvdj6Hmaqxnk4pWvawaZJyRa
32r3mftxHwD3IuryriqY9Ij1S2H9EuuO+izu8QY+WH9e5jPW+XOpjvRcwDGO
s2i/XtQvfN+mqF9s3ah+uSX6YPhelX7PpMWySr9HnXkLIz2invrPPcnA3cZ2
j1nj9pvwn0RrOsL1dSHRWlbczww9n/X7jdn+9M712Mo5t8eaWbfH8Z6p03vm
LZZ2dB5MH69E2zVxXyv0AxfzyFqa5pF+H6bFgvsw9XvyLRZ5Tz7wRfr3xB18
0v6y4I3vRxX2/8dO3lclv9K/b26xOP++ucWyWNwLChz38It5ZDqfR4m2+q02
Hz9UobfMo1Q6PY9ivPd5nyxD83WV65TpGjhxRvln4bIOMg9SHSTWL7MB7fOK
+GyG7mv0oEN0Y+P/AHpejh4=
   "], {{
     {EdgeForm[None], GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJw1mwf8V9P/xz+fzz33HkJmQv2Ulr1FA6VJVLJHSgMh0rBatmjZKxLJikoo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         "]], Polygon3DBox[CompressedData["
1:eJwtm3fgV9Mbx+8655IRyY8Qslf2loSGhIZVCg3JrCij0qAyUmSLBhmFlBkZ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         "]], Polygon3DBox[CompressedData["
1:eJwt13egV2MfAPBf93fvLVpKiybtHZoUIeVtGUlEJJWQklEh8ibZK0Xa+zZ0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         "]], 
        Polygon3DBox[{{1726, 819, 647, 646, 1168, 1718}, {1481, 997, 691, 692,
          998, 1482}, {1754, 882, 721, 720, 1034, 
         1522}}]}]}, {}, {}, {}, {}}, {
     {GrayLevel[0], Line3DBox[CompressedData["
1:eJwl0s1LlFEUB+AzmpmmaamTljlEIULZohhXtihopZAZuFBw0cJ0kCmCUInW
tQ8M/wDbxyi4FHXjSvrQNMuPP0BculH0ubh45zm/M++59877zu1Xb/qLmYiY
djWURaR61ccpZy5E1HOWOZb4gEt8zB/s5R6HuFkR0Wq22TqHegW9LnVe70Se
kk/5mVXu/crr/MZ2zjPPFR6zx1yH+V/yVY7IjeURv+UmrjPLjbQO/7CZm2zh
Fu/Y77W5e+b/yh/kJ+pRvRvu2da7yX9s5X/e4g7buMsc99IeZp+bu29+X77G
MbnPWX/KT7nMR5zjXc6ms1acP9/SxYgBM5/UR3rPzC64JuUp3x2pH7qO7TOm
d8BB7rCHa+zmIjv5nW3pfVir3FzW2nVyNV/KH3kl/WbWpj1Ywwle5ntW84t1
htVV6bmp+82+ky/J3Xwhv2WlXKSjxjhtGwUaiVF6TDHCsvQeNPsy5/+pM4qW
QLo=
       "]]}, {
      Line3DBox[{1177, 1472, 800, 1176, 1836, 1361, 1178, 1837, 1362, 1179, 
       1838, 1363, 1180, 1839, 1364, 1181, 1840, 1365, 1182, 985, 1366, 1673, 
       2036, 1473, 1719, 1720, 806, 1717, 1716, 1723, 2047, 1367, 1183, 1841, 
       1368, 1184, 1842, 1369, 1185, 1843, 1370, 1186, 1844, 1371, 1187, 988, 
       1372, 1474}], 
      Line3DBox[{1189, 1724, 1908, 1188, 1725, 1909, 1190, 1845, 1373, 1191, 
       1846, 1374, 1192, 1847, 1375, 1193, 1848, 1376, 1194, 1849, 1377, 1195,
        2045, 1718, 1726, 2044, 1722, 1721, 1727, 2046, 1196, 1850, 1378, 
       1197, 1851, 1379, 1198, 1852, 1380, 1199, 1853, 1381, 1200, 1854, 1382,
        1201}], 
      Line3DBox[{1203, 1728, 1910, 1202, 1729, 1911, 1204, 1730, 1912, 1205, 
       1855, 1383, 1206, 1856, 1384, 1207, 1857, 1385, 1208, 1858, 1386, 1209,
        1859, 1731, 1913, 1210, 1732, 1914, 1211, 1733, 1915, 1212, 1860, 
       1387, 1213, 1861, 1388, 1214, 1862, 1389, 1215, 1863, 1390, 1216}], 
      Line3DBox[{1218, 1734, 1916, 1217, 1735, 1917, 1219, 1736, 1918, 1220, 
       1737, 1919, 1221, 1864, 1391, 1222, 1865, 1392, 1223, 1866, 1393, 1224,
        1867, 1738, 1920, 1225, 1739, 1921, 1226, 1740, 1922, 1227, 1741, 
       1923, 1228, 1868, 1394, 1229, 1869, 1395, 1230, 1870, 1396, 1231}], 
      Line3DBox[{1233, 1742, 1924, 1232, 1743, 1925, 1234, 1744, 1926, 1235, 
       1475, 1927, 1476, 1236, 1802, 1928, 1456, 1237, 1993, 1457, 1458, 1238,
        1871, 1397, 1239, 1872, 1745, 1929, 1240, 1746, 1930, 1241, 1747, 
       1931, 1242, 1748, 1932, 1243, 1749, 1933, 1244, 1873, 1398, 1245, 1874,
        1399, 1246}], 
      Line3DBox[{1248, 1694, 1695, 2040, 1247, 1699, 1934, 1835, 1249, 1477, 
       1935, 1805, 1250, 1459, 1936, 1460, 1251, 1803, 1937, 1461, 1252, 1804,
        1938, 1462, 1253, 1998, 1478, 1479, 1254, 2001, 1481, 1482, 2000, 
       1255, 1484, 1939, 1806, 1256, 1486, 1940, 1807, 1257, 1488, 1941, 1489,
        1258, 1808, 1942, 1491, 1259, 1809, 1943, 1492, 1260, 2002, 1494, 
       1495, 1261}], Line3DBox[CompressedData["
1:eJwV0ckunmEYBuBX6ucclEg1iJWF4QBo1Tz8wUZiDomKRjf1m2dS8zwfARvn
YiVmqmFRNti6urhy38/zfO/q+9T6I9oTF0IY4Ck+hG8JIUxRzAeq+c1LYgh9
kRCq9Gn2mCGeEuaIuZ/Spu/TToQ0by+Z1/vdz+jQt+nk3JwkSxnQt2QX33ny
LoML+4/mMgb1AplNIQ/uqVzZJ5sXGNIvybR/Zseum2u7qByWNfLRrVbWcWPX
IxdZ4tVtxO5YP+SIXuq5tU+R5YzqX2QOX8nlzu6z9ycsm8fMP2UeReRzb1ch
VxjX//BL3+XNuyz+2q2a15jQG2QjszSRwDobTLo3y3Tv/nGgt5BIJZv//61v
YvIdbStAhw==
       "]], Line3DBox[CompressedData["
1:eJwVz8kuw1EYhvGvYti3tSuhpqoh9FJq19TGnjYxRLgRSwS3gDsQIk0kEhIk
JHQhEbMaFn7/xZP3+573nOSc/rlaeSEVERX8tUesdUasow03XREZ/PLnHREp
7tqexg9Xtc8iUOSusGr+1i3LFZy5tyQX0eJLsulcHxq6ur2GL92UfOCn5anu
EJ/8IPeIGf6EO8Cx/UO3bz7CvK7BFfDOT9gn0Y1e7g7j5jddUY4hix7+FqPm
V92ILCCDYQzhJXmDvHcul/zfPIA8nnW7yZ/5PbmDS+954rPcBja5bWzhQvcP
KE8y0Q==
       "]], Line3DBox[CompressedData["
1:eJwNyskuQ3EYxuFPYqoaVqZNOVdhnm5BCWXXRFIbbsBMjEXdhUgMa7chYWEj
YSFSkqphJfEsnrzf/3dOkl+eXKqJiHn+aiNW6yPWaOSeu4aIvH2si0jZJ+9d
94K7wCJNfOrrds+3Nzbcm6TZYl8r0+fuJ+v/ZrvNgf7BgPtVT2hxH2oztuyd
s3O0cqTP2nf91t3m3uGBqlbRBt1DdJDhWS/qVYa9R+jkRe+xx/oXo+4xuujl
RPtm3D3BlP+7bcKp/kO7Ns25dk1JW7EV7dJeccENZ7798g+F4TED
       "]], 
      Line3DBox[{1279, 1512, 1752, 2005, 1278, 1513, 1753, 2006, 1280, 1515, 
       1878, 1426, 1281, 1517, 1879, 1427, 1282, 1814, 1880, 1428, 1283, 2007,
        1519, 1429, 1284, 2008, 1520, 1430, 1285, 2010, 1522, 1754, 2009, 
       1286, 1467, 1755, 1995, 1528, 1468, 1881, 1431, 1529, 1469, 1882, 1432,
        1552, 1815, 1883, 1433, 1287, 2042, 1703, 1434, 1714, 2043, 1705, 
       1435, 1715}], 
      Line3DBox[{1289, 1756, 1945, 1288, 1757, 1946, 1290, 1758, 1947, 1291, 
       1884, 1436, 1292, 1885, 1437, 1293, 1886, 1438, 1294, 1887, 1439, 1295,
        1888, 1759, 1948, 1296, 1470, 1760, 1996, 1297, 1471, 1761, 1997, 
       1553, 1530, 1889, 1440, 1298, 1890, 1441, 1299, 1891, 1442, 1300, 1892,
        1443, 1301}], 
      Line3DBox[{1303, 1762, 1949, 1302, 1763, 1950, 1304, 1764, 1951, 1305, 
       1765, 1952, 1306, 1893, 1444, 1307, 1894, 1445, 1308, 1895, 1446, 1309,
        1896, 1766, 1953, 1310, 1767, 1954, 1311, 1768, 1955, 1312, 1769, 
       1956, 1313, 1897, 1447, 1314, 1898, 1448, 1315, 1899, 1449, 1316}], 
      Line3DBox[{1318, 1770, 1957, 1317, 1771, 1958, 1319, 1772, 1959, 1320, 
       1773, 1960, 1321, 1774, 1961, 1322, 1900, 1450, 1323, 1901, 1451, 1324,
        1902, 1775, 1962, 1325, 1776, 1963, 1326, 1777, 1964, 1327, 1778, 
       1965, 1328, 1779, 1966, 1329, 1903, 1452, 1330, 1904, 1453, 1331}], 
      Line3DBox[{1333, 1780, 1967, 1332, 1781, 1968, 1334, 1782, 1969, 1335, 
       1783, 1970, 1336, 1784, 1971, 1337, 1785, 1972, 1338, 1905, 1454, 1339,
        1906, 1786, 1973, 1340, 1787, 1974, 1341, 1788, 1975, 1342, 1789, 
       1976, 1343, 1790, 1977, 1344, 1791, 1978, 1345, 1907, 1455, 1346}], 
      Line3DBox[{1360, 1535, 1992, 1819, 1359, 1991, 1801, 1358, 1990, 1800, 
       1357, 1989, 1799, 1356, 1988, 1798, 1355, 1987, 1797, 1354, 1818, 1986,
        1534, 2011, 1353, 1533, 1985, 1817, 1352, 1984, 1796, 1351, 1983, 
       1795, 1350, 1982, 1794, 1349, 1981, 1793, 1348, 1980, 1792, 1347, 1816,
        1979, 1531, 1532}]}, {
      Line3DBox[{614, 801, 1836, 615, 1909, 813, 640, 1911, 827, 655, 1917, 
       842, 670, 1925, 857, 685, 1934, 1152, 869, 700, 2041, 585, 1014, 422, 
       1675, 537, 468, 1105, 877, 2016, 708, 1023, 2006, 880, 714, 1946, 886, 
       729, 1950, 900, 744, 1958, 915, 759, 1968, 930, 774, 1980, 945, 789}], 
      Line3DBox[{616, 802, 1837, 617, 814, 1845, 641, 1912, 828, 656, 1918, 
       843, 671, 1926, 858, 686, 1935, 990, 991, 870, 701, 2021, 1065, 964, 
       1106, 1076, 1077, 2015, 1136, 1078, 1015, 1143, 1125, 2034, 1126, 709, 
       1024, 881, 1878, 715, 1947, 887, 730, 1951, 901, 745, 1959, 916, 760, 
       1969, 931, 775, 1981, 946, 790}], 
      Line3DBox[{618, 803, 1838, 619, 815, 1846, 642, 829, 1855, 657, 1919, 
       844, 672, 1927, 260, 687, 1936, 228, 363, 1555, 232, 476, 1501, 291, 
       477, 240, 1547, 351, 314, 1879, 716, 888, 1884, 731, 1952, 902, 746, 
       1960, 917, 761, 1970, 932, 776, 1982, 947, 791}], 
      Line3DBox[{620, 804, 1839, 621, 816, 1847, 643, 830, 1856, 658, 845, 
       1864, 673, 1928, 956, 989, 957, 688, 1937, 960, 992, 961, 1060, 2017, 
       1066, 965, 1108, 966, 1109, 1107, 2031, 1016, 1083, 1110, 971, 1127, 
       972, 1875, 1070, 1053, 1025, 1026, 1880, 717, 889, 1885, 732, 903, 
       1893, 747, 1961, 918, 762, 1971, 933, 777, 1983, 948, 792}], 
      Line3DBox[{622, 805, 1840, 623, 817, 1848, 644, 831, 1857, 659, 846, 
       1865, 674, 958, 1993, 959, 689, 1938, 962, 993, 963, 1061, 2018, 1067, 
       967, 1074, 968, 1068, 2025, 1018, 1071, 973, 1075, 974, 1072, 2024, 
       1054, 1027, 2007, 1028, 718, 890, 1886, 733, 904, 1894, 748, 919, 1900,
        763, 1972, 934, 778, 1984, 949, 793}], 
      Line3DBox[{624, 984, 985, 625, 818, 1849, 645, 832, 1858, 660, 847, 
       1866, 675, 859, 1871, 690, 994, 1998, 995, 996, 1999, 1113, 1114, 1017,
        1112, 1111, 2032, 1141, 1115, 1116, 1092, 1095, 2028, 1094, 1055, 
       1029, 2008, 1030, 719, 891, 1887, 734, 905, 1895, 749, 920, 1901, 764, 
       935, 1905, 779, 1985, 1041, 1042, 1059}], 
      Line3DBox[{626, 1134, 1135, 1133, 2036, 986, 1169, 1167, 2045, 1168, 
       646, 833, 1859, 661, 848, 1867, 676, 860, 1872, 691, 997, 2001, 999, 
       1000, 969, 1994, 1086, 1091, 2026, 1090, 1019, 1096, 1097, 1093, 2029, 
       975, 1056, 1032, 2010, 1034, 720, 892, 1888, 735, 906, 1896, 750, 921, 
       1902, 765, 936, 1906, 780, 1043, 2011, 1140, 1146, 1145, 1147}], 
      Line3DBox[{629, 808, 1841, 630, 821, 1850, 649, 1915, 836, 664, 1922, 
       851, 679, 1931, 863, 694, 1940, 1002, 873, 704, 2023, 1069, 970, 1118, 
       1080, 1119, 1081, 2004, 1139, 1082, 1120, 976, 1129, 1063, 2020, 1064, 
       712, 980, 1037, 884, 1881, 723, 982, 1058, 1997, 895, 738, 1955, 909, 
       753, 1964, 924, 768, 1975, 939, 783, 1988, 952, 796}], 
      Line3DBox[{631, 809, 1842, 632, 822, 1851, 650, 837, 1860, 665, 1923, 
       852, 680, 1932, 864, 695, 1941, 274, 275, 1490, 239, 500, 1510, 303, 
       501, 247, 1560, 368, 251, 1882, 724, 329, 1889, 739, 1956, 910, 754, 
       1965, 925, 769, 1976, 940, 784, 1989, 953, 797}], 
      Line3DBox[{633, 810, 1843, 634, 823, 1852, 651, 838, 1861, 666, 853, 
       1868, 681, 1933, 865, 696, 1942, 1003, 1004, 1050, 2012, 1122, 1005, 
       1142, 1006, 1121, 2039, 1020, 1123, 977, 1130, 978, 1876, 1073, 1062, 
       1038, 1057, 1039, 1883, 725, 896, 1890, 740, 911, 1897, 755, 1966, 926,
        770, 1977, 941, 785, 1990, 954, 798}], 
      Line3DBox[{635, 811, 1844, 636, 824, 1853, 652, 839, 1862, 667, 854, 
       1869, 682, 866, 1873, 697, 1943, 1007, 1008, 1051, 2013, 1009, 1098, 
       460, 1672, 527, 521, 1035, 1021, 1877, 1155, 1153, 2042, 1154, 726, 
       897, 1891, 741, 912, 1898, 756, 927, 1903, 771, 1978, 942, 786, 1991, 
       955, 799}], 
      Line3DBox[{637, 987, 988, 638, 825, 1854, 653, 840, 1863, 668, 855, 
       1870, 683, 867, 1874, 698, 1010, 2002, 1011, 1052, 2014, 1012, 1099, 
       1101, 1100, 2030, 1144, 1131, 1132, 1124, 1160, 2033, 1159, 1158, 1156,
        1162, 2043, 1157, 727, 898, 1892, 742, 913, 1899, 757, 928, 1904, 772,
        943, 1907, 787, 1992, 1045, 1046, 1047}], 
      Line3DBox[{788, 944, 1040, 1979, 773, 929, 1967, 758, 914, 1957, 743, 
       899, 1949, 728, 885, 1945, 713, 879, 2005, 1022, 707, 876, 2003, 1102, 
       1104, 1103, 705, 2037, 874, 1085, 1084, 1013, 1944, 699, 868, 2040, 
       1151, 684, 856, 1924, 669, 841, 1916, 654, 826, 1910, 639, 812, 1908, 
       613, 800, 983, 1048}], 
      Line3DBox[{794, 950, 1044, 1986, 781, 937, 1973, 766, 922, 1962, 751, 
       907, 1953, 736, 893, 1948, 721, 882, 2009, 1033, 710, 878, 2035, 1128, 
       1031, 1079, 1148, 1150, 1149, 706, 2038, 875, 1161, 1138, 1137, 1117, 
       1087, 1089, 1088, 2027, 702, 871, 2000, 998, 692, 861, 1929, 677, 849, 
       1920, 662, 834, 1913, 647, 819, 2044, 1173, 1175, 1174, 627, 806, 1170,
        1164, 1166, 1165, 1049}], 
      Line3DBox[{795, 951, 1987, 782, 938, 1974, 767, 923, 1963, 752, 908, 
       1954, 737, 894, 1996, 981, 722, 883, 1995, 1036, 979, 711, 2019, 374, 
       416, 397, 428, 1612, 373, 411, 387, 2022, 703, 872, 1001, 1939, 693, 
       862, 1930, 678, 850, 1921, 663, 835, 1914, 648, 820, 2046, 1172, 628, 
       2047, 807, 1163, 1171}]}, {}, {}}},
   VertexNormals->CompressedData["
1:eJxUW3c819/3NyspGhJp2imUUeTm2hFZlVmIlJCVUUjJqKQyklU22XtT195l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    "]],
  Axes->True,
  BoxRatios->{1, 1, 0.4},
  Method->{"RotationControl" -> "Globe"},
  PlotRange->{All, All, All},
  PlotRangePadding->{Automatic, Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.5495269313706045`*^9, 3.549527104469508*^9, 
  3.5495291573691926`*^9, 3.549532709851766*^9, 
  3.5495327868535013`*^9},ExpressionUUID->"299720ef-faa9-4e01-86d0-\
56e8ccee86a7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"simple", " ", "analytical", " ", "model"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kB", "=", 
     RowBox[{"1.3806503", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "23"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"0.052917721086", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hbar", "=", 
     RowBox[{"1.05457148", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "34"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"2", "*", "Pi", "*", "hbar"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"massunit", "=", 
     RowBox[{"1.66053886", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "27"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", "=", 
     RowBox[{"84", "*", "massunit"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"122.7", "a0"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gcouple", "=", 
     RowBox[{"4", "*", "Pi", "*", 
      RowBox[{"hbar", "^", "2"}], "*", 
      RowBox[{"a", "/", "m"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NBEC", "=", 
     RowBox[{"111", "*", 
      RowBox[{"10", "^", "3"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Temperature", "=", 
     RowBox[{"944", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fx", "=", "244"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fy", "=", "247"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fz", "=", "624"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UDimple", "=", 
     RowBox[{"3", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}], "*", "kB"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fxres", "=", "8.4"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fyres", "=", "37"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fzres", "=", "622"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fbar", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"fx", " ", "fy", " ", "fz"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "3"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"omegabar", "=", 
     RowBox[{"2", "Pi", " ", "fbar"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"abar", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"hbar", "/", 
       RowBox[{"(", 
        RowBox[{"m", " ", "omegabar"}], ")"}]}], " ", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"aHO", "[", "f_", "]"}], ":=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"hbar", "/", 
       RowBox[{"(", 
        RowBox[{"m", " ", "2", " ", "Pi", " ", "f"}], ")"}]}], " ", "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aHObar", "=", 
     RowBox[{"aHO", "[", "fbar", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aHOx", "=", 
     RowBox[{"aHO", "[", "fx", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aHOy", "=", 
     RowBox[{"aHO", "[", "fy", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aHOz", "=", 
     RowBox[{"aHO", "[", "fz", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fbarres", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"fxres", " ", "fyres", " ", "fzres"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "3"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"omegabarres", "=", 
     RowBox[{"2", "Pi", " ", "fbarres"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ChemPot", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"15", "^", 
         RowBox[{"(", 
          RowBox[{"2", "/", "5"}], ")"}]}], "/", "2"}], ")"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"NBEC", " ", 
         RowBox[{"a", "/", "abar"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"2", "/", "5"}], ")"}]}], "hbar", " ", "omegabar"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DeBroglieWavelength", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "Pi", "*", 
       RowBox[{
        RowBox[{"hbar", "^", "2"}], "/", 
        RowBox[{"(", 
         RowBox[{"m", "*", "kB", "*", "Temperature"}], ")"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DensityThermal", "[", "U_", "]"}], ":=", " ", 
     RowBox[{
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"ChemPot", "-", "U"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"kB", " ", "*", "Temperature"}], ")"}]}], "]"}]}], "]"}], 
      "/", 
      RowBox[{"DeBroglieWavelength", "^", "3"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nc", "=", 
     RowBox[{"DensityThermal", "[", "ChemPot", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nThermalCenter", "=", 
     RowBox[{"DensityThermal", "[", 
      RowBox[{"2", "ChemPot"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nThermalEdge", "=", 
     RowBox[{"DensityThermal", "[", "UDimple", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n0BEC", "=", " ", 
     RowBox[{"ChemPot", "/", "gcouple"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NReservoir", "=", 
     RowBox[{"nThermalEdge", "*", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", " ", "Pi", " ", "kB", " ", 
          RowBox[{"Temperature", "/", "m"}]}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"3", "/", "2"}], ")"}]}], "/", 
       RowBox[{"omegabarres", "^", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rDimple", "=", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{"UDimple", "/", "m"}], "]"}], "/", "omegabar"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NDimpleApprox", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "/", "3"}], ")"}], "Pi", " ", 
      RowBox[{"rDimple", "^", "3"}], " ", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"nc", "/", "2"}], "-", "nThermalEdge"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DimpleDensityIncrease", "=", 
     RowBox[{"nc", "/", "nThermalEdge"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BoltzmanFactor", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"UDimple", "/", 
       RowBox[{"(", 
        RowBox[{"kB", " ", "Temperature"}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BoltzmanFactorWithChemPot", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"UDimple", "-", "ChemPot"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"kB", " ", "Temperature"}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TFRadius", "[", "f_", "]"}], ":=", 
     RowBox[{"aHObar", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"15", "*", "NBEC", "*", 
         RowBox[{"a", "/", "aHObar"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "5"}], ")"}]}], "*", 
      RowBox[{"fbar", "/", "f"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<N BEC = \>\"", ",", "NBEC"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<T = \>\"", ",", 
      RowBox[{"N", "[", 
       RowBox[{"Temperature", "*", 
        RowBox[{"10", "^", "9"}]}], "]"}], ",", "\"\< nK\>\""}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<ChemPot = \>\"", ",", 
      RowBox[{
       RowBox[{"10", "^", "9"}], "*", 
       RowBox[{"ChemPot", "/", "kB"}]}], ",", "\"\< nK\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<nc = \>\"", ",", 
      RowBox[{
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}], "*", "nc"}], ",", "\"\< cm^-3\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<peak BEC density  = \>\"", ",", 
      RowBox[{"n0BEC", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<na^3  = \>\"", ",", 
      RowBox[{"n0BEC", "*", 
       RowBox[{"a", "^", "3"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<aHOx/a  = \>\"", ",", 
      RowBox[{"aHOx", "/", "a"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<aHOy/a  = \>\"", ",", 
      RowBox[{"aHOy", "/", "a"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<aHOz/a  = \>\"", ",", 
      RowBox[{"aHOz", "/", "a"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<central thermal density  = \>\"", ",", 
      RowBox[{"nThermalCenter", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<peak reservoir density  = \>\"", ",", 
      RowBox[{"nThermalEdge", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}], ",", "\"\< cm^-3\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<DimpleDensityIncrease = \>\"", ",", "DimpleDensityIncrease"}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<BoltzmanFactor = \>\"", ",", "BoltzmanFactor"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<BoltzmanFactor with Chem Pot= \>\"", ",", 
      "BoltzmanFactorWithChemPot"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<R_TF,x = \>\"", ",", 
      RowBox[{
       RowBox[{"TFRadius", "[", "fx", "]"}], "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<R_TF,y = \>\"", ",", 
      RowBox[{
       RowBox[{"TFRadius", "[", "fy", "]"}], "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<R_TF,z = \>\"", ",", 
      RowBox[{
       RowBox[{"TFRadius", "[", "fz", "]"}], "*", 
       RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"elastic", " ", "collision", " ", "rates"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vThermal", "=", 
     RowBox[{"4", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"kB", "*", 
        RowBox[{"Temperature", "/", 
         RowBox[{"(", 
          RowBox[{"Pi", "*", "m"}], ")"}]}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<vThermal = \>\"", ",", "vThermal", ",", "\"\< mm/ms\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kThermal", "=", 
     RowBox[{"vThermal", "*", 
      RowBox[{"m", "/", "hbar"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaPseudoPotential", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{
       RowBox[{"a", "^", "2"}], "/", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"kThermal", "^", "2"}], 
          RowBox[{"a", "^", "2"}]}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SigmaZeroT", "=", 
     RowBox[{"8", "*", "Pi", "*", 
      RowBox[{"a", "^", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<SigmaThermal/Sigma0T = \>\"", ",", 
      RowBox[{"SigmaPseudoPotential", "/", "SigmaZeroT"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GammaEl", "[", "n_", "]"}], ":=", 
     RowBox[{"n", "*", "SigmaPseudoPotential", "*", 
      RowBox[{"vThermal", "/", 
       RowBox[{"Sqrt", "[", "8", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Gamma el thermal (nc) = \>\"", ",", 
      RowBox[{"GammaEl", "[", "nc", "]"}], ",", "\"\< s^-1\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Gamma el thermal (nThermalEdge) = \>\"", ",", 
      RowBox[{"GammaEl", "[", "nThermalEdge", "]"}], ",", "\"\< s^-1\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Gamma el thermal (nThermalEdge) average z = \>\"", ",", 
      RowBox[{
       RowBox[{"GammaEl", "[", "nThermalEdge", "]"}], "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], ",", "\"\< s^-1\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<N reservoir = \>\"", ",", "NReservoir"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<N dimple approx = \>\"", ",", "NDimpleApprox"}], "]"}], 
    ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5516235009936423`*^9, 3.551623529198492*^9}, {
  3.551700112161812*^9, 
  3.5517001220990295`*^9}},ExpressionUUID->"cf2b95de-ed08-4658-84c3-\
12154556a6ae"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"N BEC = \"\>", "\[InvisibleSpace]", "111000"}],
  SequenceForm["N BEC = ", 111000],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.5517001229726315`*^9},ExpressionUUID->"4a3aaf23-c357-487f-ab07-\
92507dbc7085"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"T = \"\>", "\[InvisibleSpace]", "944.`", 
   "\[InvisibleSpace]", "\<\" nK\"\>"}],
  SequenceForm["T = ", 944., " nK"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.5517001229726315`*^9},ExpressionUUID->"eeaf9d4b-a953-4eb3-8ee5-\
1f43fc6a9937"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ChemPot = \"\>", "\[InvisibleSpace]", "405.2482605418172`", 
   "\[InvisibleSpace]", "\<\" nK\"\>"}],
  SequenceForm["ChemPot = ", 405.2482605418172, " nK"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.5517001229726315`*^9},ExpressionUUID->"1540a589-e9f4-434d-9f3b-\
e2aa15b652eb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"nc = \"\>", "\[InvisibleSpace]", "3.4666798123374856`*^14", 
   "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["nc = ", 3.4666798123374856`*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9},ExpressionUUID->"123d1382-ad92-4c5d-9e70-\
320ffd78cf1a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"peak BEC density  = \"\>", "\[InvisibleSpace]", 
   "8.600537162607934`*^14", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["peak BEC density  = ", 8.600537162607934*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9},ExpressionUUID->"bf9ef5ba-c954-473c-a55f-\
ac4c72a3373b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"na^3  = \"\>", "\[InvisibleSpace]", "0.00023543046679999312`"}],
  SequenceForm["na^3  = ", 0.00023543046679999312`],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9},ExpressionUUID->"e96ae3c7-9272-4d40-ae8f-\
13af4d91e91c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"aHOx/a  = \"\>", "\[InvisibleSpace]", "108.15417858622612`"}],
  SequenceForm["aHOx/a  = ", 108.15417858622612`],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9},ExpressionUUID->"11055f13-5749-4ecf-b703-\
27c169d1b0ea"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"aHOy/a  = \"\>", "\[InvisibleSpace]", "107.49536527701032`"}],
  SequenceForm["aHOy/a  = ", 107.49536527701032`],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9},ExpressionUUID->"2d8bd580-7c90-4ec6-a229-\
4da9d52becce"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"aHOz/a  = \"\>", "\[InvisibleSpace]", "67.63101753336501`"}],
  SequenceForm["aHOz/a  = ", 67.63101753336501],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9},ExpressionUUID->"31bb377a-9825-4198-a354-\
20e927776977"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"central thermal density  = \"\>", "\[InvisibleSpace]", 
   "1.1914712709965848`*^14", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm[
  "central thermal density  = ", 1.1914712709965848`*^14, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9},ExpressionUUID->"81d4ad31-31de-4b90-b81f-\
2857ca73972a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"peak reservoir density  = \"\>", "\[InvisibleSpace]", 
   "8.693832212622256`*^12", "\[InvisibleSpace]", "\<\" cm^-3\"\>"}],
  SequenceForm["peak reservoir density  = ", 8.693832212622256*^12, " cm^-3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9},ExpressionUUID->"33e10cde-5d9d-402b-8120-\
609991fe8418"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DimpleDensityIncrease = \"\>", "\[InvisibleSpace]", 
   "39.87516353610253`"}],
  SequenceForm["DimpleDensityIncrease = ", 39.87516353610253],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9},ExpressionUUID->"ee8163e2-8d75-444e-a131-\
efb4519eb8a9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BoltzmanFactor = \"\>", "\[InvisibleSpace]", 
   "23.99789460468037`"}],
  SequenceForm["BoltzmanFactor = ", 23.99789460468037],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700122988231*^9},ExpressionUUID->"2338e2a9-76a6-443d-86e1-\
58a1bb8b1f23"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BoltzmanFactor with Chem Pot= \"\>", "\[InvisibleSpace]", 
   "15.62196114682053`"}],
  SequenceForm["BoltzmanFactor with Chem Pot= ", 15.62196114682053],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9},ExpressionUUID->"87256543-03a1-47e9-93f2-\
bbbee4df5277"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"R_TF,x = \"\>", "\[InvisibleSpace]", "5.842296096258373`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["R_TF,x = ", 5.842296096258373, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9},ExpressionUUID->"72889608-6a26-4626-bc94-\
52031525e639"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"R_TF,y = \"\>", "\[InvisibleSpace]", "5.7713370343605`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["R_TF,y = ", 5.7713370343605, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9},ExpressionUUID->"7fc33296-c986-4114-a3dc-\
786a324e6cd4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"R_TF,z = \"\>", "\[InvisibleSpace]", "2.284487576101031`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["R_TF,z = ", 2.284487576101031, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9},ExpressionUUID->"dc51125d-0df0-40e0-8623-\
1cbc262b9970"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"vThermal = \"\>", "\[InvisibleSpace]", "0.0218146742984098`", 
   "\[InvisibleSpace]", "\<\" mm/ms\"\>"}],
  SequenceForm["vThermal = ", 0.0218146742984098, " mm/ms"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9},ExpressionUUID->"f359325f-f63a-4b61-9f6f-\
9453ac653b3e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"SigmaThermal/Sigma0T = \"\>", "\[InvisibleSpace]", 
   "0.9660912620020092`"}],
  SequenceForm["SigmaThermal/Sigma0T = ", 0.9660912620020092],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9},ExpressionUUID->"31dfbce5-976a-4979-95a8-\
74b637ca0508"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Gamma el thermal (nc) = \"\>", "\[InvisibleSpace]", 
   "2736.9500794515666`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm["Gamma el thermal (nc) = ", 2736.9500794515666`, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9},ExpressionUUID->"3b133ced-2ff3-4e8f-98db-\
bad8276c241d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Gamma el thermal (nThermalEdge) = \"\>", "\[InvisibleSpace]", 
   "68.63796500730491`", "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm[
  "Gamma el thermal (nThermalEdge) = ", 68.63796500730491, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9},ExpressionUUID->"44f44a23-bd2d-4305-8798-\
30c9cf819a70"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Gamma el thermal (nThermalEdge) average z = \"\>", 
   "\[InvisibleSpace]", "48.53437050351026`", 
   "\[InvisibleSpace]", "\<\" s^-1\"\>"}],
  SequenceForm[
  "Gamma el thermal (nThermalEdge) average z = ", 48.53437050351026, " s^-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9},ExpressionUUID->"4e4ceef3-5d5d-4747-bb25-\
2f4970320c0c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"N reservoir = \"\>", "\[InvisibleSpace]", 
   "2.5790578958664704`*^6"}],
  SequenceForm["N reservoir = ", 2.5790578958664704`*^6],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9},ExpressionUUID->"c4d7b373-6b42-47f7-907a-\
22aeb7578ed1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"N dimple approx = \"\>", "\[InvisibleSpace]", 
   "378293.02643719246`"}],
  SequenceForm["N dimple approx = ", 378293.02643719246`],
  Editable->False]], "Print",
 CellChangeTimes->{3.5516230068451743`*^9, 3.5516235355945034`*^9, 
  3.551700123003831*^9},ExpressionUUID->"d57f8453-e561-41ef-95fc-\
1106d954c61f"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1437, 966},
WindowMargins->{{0, Automatic}, {-20, Automatic}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
FrontEndVersion->"11.3 for Microsoft Windows (64-bit) (March 6, 2018)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 16203, 450, 1378, "Input",ExpressionUUID->"73bad098-fcb5-4751-8842-66fe4da9de66"],
Cell[16773, 474, 2921, 46, 21, "Message",ExpressionUUID->"6d7b29ee-0de2-4db2-9a85-0bfb88addbc1"],
Cell[19697, 522, 159, 3, 32, "Output",ExpressionUUID->"9da7c906-2ec9-449d-9a4c-4bd5a50b3277"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19893, 530, 49524, 1271, 2746, "Input",ExpressionUUID->"edb18d9a-851b-4afe-afcc-58e912ba6d66"],
Cell[CellGroupData[{
Cell[69442, 1805, 4993, 72, 22, "Print",ExpressionUUID->"8618a093-4df0-4500-9214-c01012b98e45"],
Cell[74438, 1879, 5018, 72, 22, "Print",ExpressionUUID->"42f1e633-e1a1-40a0-bb81-5424271df507"],
Cell[79459, 1953, 4954, 72, 22, "Print",ExpressionUUID->"657a100e-4268-443d-864f-5a286e32dd43"],
Cell[84416, 2027, 4965, 72, 22, "Print",ExpressionUUID->"cb7d2757-1721-45c2-8050-977121b632b2"],
Cell[89384, 2101, 4998, 73, 22, "Print",ExpressionUUID->"c66531fd-2d2e-4f5e-860f-0d4a9e692870"],
Cell[94385, 2176, 4996, 73, 22, "Print",ExpressionUUID->"4a47df99-8ac1-4ab6-bbad-09b373e1642a"],
Cell[99384, 2251, 5004, 73, 22, "Print",ExpressionUUID->"85b0105c-46b0-483c-b3a0-477c62ad270d"],
Cell[104391, 2326, 4988, 73, 22, "Print",ExpressionUUID->"5922a55c-7fbd-454d-8775-67dd6f0edbe3"],
Cell[109382, 2401, 5050, 73, 22, "Print",ExpressionUUID->"15cf4650-1171-4dcd-a5b7-a5dc42a0301e"],
Cell[114435, 2476, 5052, 73, 22, "Print",ExpressionUUID->"84a24857-0af0-4781-9706-1674a874fcf6"],
Cell[119490, 2551, 5049, 73, 22, "Print",ExpressionUUID->"001d4a3c-53c8-4620-b70b-7b537181abd8"],
Cell[124542, 2626, 5051, 73, 22, "Print",ExpressionUUID->"18656378-f638-4078-a948-0ff586c5a5d2"],
Cell[129596, 2701, 5055, 73, 22, "Print",ExpressionUUID->"8079b22d-7ccf-4db1-8f19-c3769b0859a0"],
Cell[134654, 2776, 5053, 73, 22, "Print",ExpressionUUID->"3cbfa6af-7037-4698-a981-e4982ab0e398"],
Cell[139710, 2851, 5079, 74, 22, "Print",ExpressionUUID->"1bdc9b39-785f-42bd-a971-c3a55df8a1df"],
Cell[144792, 2927, 5022, 73, 22, "Print",ExpressionUUID->"d25e27b7-5608-43b3-9a13-d6d088f8e8b6"],
Cell[149817, 3002, 5025, 73, 22, "Print",ExpressionUUID->"f6e327a6-fc68-472f-8f58-1a94667fc525"],
Cell[154845, 3077, 5022, 73, 22, "Print",ExpressionUUID->"1db80d18-e038-4d85-814d-6e3382fe5370"],
Cell[159870, 3152, 5064, 74, 22, "Print",ExpressionUUID->"b40d11cc-de9f-4d5e-b3c1-bf856b998b95"]
}, Open  ]],
Cell[164949, 3229, 641, 13, 39, "Message",ExpressionUUID->"41d46515-ffc8-4ada-9c0d-ac3d2ec4539a"],
Cell[165593, 3244, 532, 12, 23, "Message",ExpressionUUID->"5175f2f3-28a4-4c66-9854-7f3719c234c2"],
Cell[CellGroupData[{
Cell[166150, 3260, 5075, 75, 22, "Print",ExpressionUUID->"27f500f7-86cd-4ad3-bb71-d1446c207876"],
Cell[171228, 3337, 5077, 75, 22, "Print",ExpressionUUID->"7940c30f-af88-43ed-9a7a-eb1e37da3217"],
Cell[176308, 3414, 5077, 75, 22, "Print",ExpressionUUID->"05095042-ccf2-46e6-a0ae-2dd415ed20a8"],
Cell[181388, 3491, 5291, 80, 24, "Print",ExpressionUUID->"8539bc33-8e3d-445c-b1fe-e3a4ac6ab060"],
Cell[186682, 3573, 5135, 77, 22, "Print",ExpressionUUID->"e51ff171-baa9-4112-ac01-889da9a7e889"]
}, Open  ]],
Cell[191832, 3653, 530, 12, 23, "Message",ExpressionUUID->"5d55d4d9-b0a4-4d2e-9104-ad49db3fb40d"],
Cell[CellGroupData[{
Cell[192387, 3669, 5117, 76, 22, "Print",ExpressionUUID->"a80f3dc4-025c-4df1-a503-e5cb8a8f0ae5"],
Cell[197507, 3747, 5070, 73, 22, "Print",ExpressionUUID->"79e4f07d-e5e3-4e64-bf9c-af675c0eba60"],
Cell[202580, 3822, 5158, 77, 22, "Print",ExpressionUUID->"a18ce87d-996f-4a4f-a169-68d0669b87c6"],
Cell[207741, 3901, 5101, 75, 22, "Print",ExpressionUUID->"79837d8a-8f9e-4b69-9b6e-6cf22845c0fe"],
Cell[212845, 3978, 5075, 74, 22, "Print",ExpressionUUID->"38fdb990-e56d-42e1-965e-dc6ce3a8eb6a"],
Cell[217923, 4054, 5036, 73, 22, "Print",ExpressionUUID->"0bc2891c-bf1f-4069-8c6c-ea46bbae4c1f"],
Cell[222962, 4129, 5039, 73, 22, "Print",ExpressionUUID->"20c6de43-3360-4e42-bda9-f36d5bdfc84a"],
Cell[228004, 4204, 5036, 73, 22, "Print",ExpressionUUID->"f080b341-502a-4378-8923-4114312dbee4"],
Cell[233043, 4279, 5088, 75, 22, "Print",ExpressionUUID->"c9e3b328-d5eb-417a-ad44-7277b432e3e7"],
Cell[238134, 4356, 5075, 74, 22, "Print",ExpressionUUID->"51ca4e12-5c0a-4dd1-ad1c-550b46fc8a6e"],
Cell[243212, 4432, 5034, 73, 22, "Print",ExpressionUUID->"fea0fb79-1b5b-4289-9bba-1f54942729e1"],
Cell[248249, 4507, 5032, 73, 22, "Print",ExpressionUUID->"b11d21fc-256a-4657-b49e-69758d3e90f9"],
Cell[253284, 4582, 5038, 73, 22, "Print",ExpressionUUID->"6da84b2f-3c31-4c8d-bba1-b5a511ecf791"],
Cell[258325, 4657, 5093, 75, 22, "Print",ExpressionUUID->"8d771e1d-3e7e-4c49-85e1-28ea156025d2"],
Cell[263421, 4734, 5076, 74, 22, "Print",ExpressionUUID->"6cedc6a3-b559-437d-bf0a-2472f1a1cbda"],
Cell[268500, 4810, 5036, 73, 22, "Print",ExpressionUUID->"dfabe0f1-f379-45e6-9b32-e46b1c525aa3"],
Cell[273539, 4885, 5036, 73, 22, "Print",ExpressionUUID->"2d740c18-8ae0-4aa7-8599-e19307f73ca9"],
Cell[278578, 4960, 5039, 73, 22, "Print",ExpressionUUID->"8258aae3-9642-4310-ba2a-0e3393d41c56"],
Cell[283620, 5035, 5034, 73, 22, "Print",ExpressionUUID->"d5ea557a-4ac7-4360-8c30-293a24c749d4"],
Cell[288657, 5110, 5020, 73, 22, "Print",ExpressionUUID->"f6121084-a824-42bf-90e1-69f4df0b4030"],
Cell[293680, 5185, 5022, 73, 22, "Print",ExpressionUUID->"33a39fae-dca6-42db-a5c7-b5a62d696945"],
Cell[298705, 5260, 5030, 73, 22, "Print",ExpressionUUID->"4bfd2ba7-e0aa-4d29-8f54-6e1f18a5ee65"],
Cell[303738, 5335, 5028, 73, 22, "Print",ExpressionUUID->"716109e9-2312-4be3-ac86-e5f28878109f"],
Cell[308769, 5410, 5030, 73, 22, "Print",ExpressionUUID->"2b2d4450-eb99-415c-9d85-beaec6dfbbb2"],
Cell[313802, 5485, 5026, 73, 24, "Print",ExpressionUUID->"ee995a35-ce45-47f2-b2b8-e068afed9caf"]
}, Open  ]],
Cell[318843, 5561, 765, 12, 32, "Output",ExpressionUUID->"d5917138-dce3-4245-9175-bc035ca3aeca"],
Cell[319611, 5575, 5036, 73, 22, "Print",ExpressionUUID->"1456f101-6fd0-4e6d-a805-4ee9282a2efb"],
Cell[324650, 5650, 777, 12, 32, "Output",ExpressionUUID->"9ad2ba23-4c9f-4b4b-b4e5-5e63e3c43435"],
Cell[CellGroupData[{
Cell[325452, 5666, 5032, 73, 22, "Print",ExpressionUUID->"3eddce7b-2fed-4b39-919a-97895212cde8"],
Cell[330487, 5741, 5059, 73, 22, "Print",ExpressionUUID->"be013e84-a1d1-4af8-9bda-76decbf7469d"],
Cell[335549, 5816, 4996, 73, 22, "Print",ExpressionUUID->"ccbb488c-5900-439b-88b4-d38f1540d67a"],
Cell[340548, 5891, 5006, 73, 22, "Print",ExpressionUUID->"49c7f807-884a-4a88-8f35-0144cfefe150"],
Cell[345557, 5966, 4844, 73, 41, "Print",ExpressionUUID->"8b16c538-ca96-494e-b0ad-2a83ec122048"],
Cell[350404, 6041, 4725, 69, 22, "Print",ExpressionUUID->"60d5cddd-e676-4203-b6e8-27ef90319311"],
Cell[355132, 6112, 4717, 68, 22, "Print",ExpressionUUID->"91d195ba-52df-4ccf-9962-d3e106a3be2e"],
Cell[359852, 6182, 4665, 67, 22, "Print",ExpressionUUID->"bda6eb34-ed3a-42e0-948a-4ce21befb4c2"],
Cell[364520, 6251, 4667, 67, 22, "Print",ExpressionUUID->"cab39029-b04f-42fa-8f07-b750eab7979b"],
Cell[369190, 6320, 4670, 67, 22, "Print",ExpressionUUID->"ca4f2594-7ec9-4cda-b8a0-ad2f9b99bb26"],
Cell[373863, 6389, 4669, 67, 24, "Print",ExpressionUUID->"2e50f0cb-c2b4-4045-93a1-9372b6fd8641"]
}, Open  ]],
Cell[378547, 6459, 4448, 62, 32, "Output",ExpressionUUID->"e77b6abb-60a4-41de-8eab-8773b8ecccb2"],
Cell[382998, 6523, 4675, 67, 22, "Print",ExpressionUUID->"b615d8f0-3e4c-4d01-916d-22a11b5b5512"],
Cell[387676, 6592, 4460, 62, 32, "Output",ExpressionUUID->"791a7ddc-5c5d-4130-b71a-70c538e00431"],
Cell[CellGroupData[{
Cell[392161, 6658, 4673, 67, 22, "Print",ExpressionUUID->"2e72702f-f5ba-4a11-a627-2aedcf26c064"],
Cell[396837, 6727, 4698, 67, 22, "Print",ExpressionUUID->"dfabf340-5a6c-4fde-895d-1b98aec52a6f"],
Cell[401538, 6796, 4634, 67, 22, "Print",ExpressionUUID->"e2530319-7489-4295-90e8-1db89a07eae1"],
Cell[406175, 6865, 4648, 67, 22, "Print",ExpressionUUID->"86a179c6-9d27-4d51-982a-60c87b1a8580"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[410872, 6938, 9512, 252, 447, "Input",ExpressionUUID->"33d361b5-11c7-4c4f-b69b-67d27b003c98"],
Cell[420387, 7192, 487, 11, 23, "Message",ExpressionUUID->"8928286d-e7e3-427c-8f2b-4759fe4ea6ce"],
Cell[420877, 7205, 485, 11, 23, "Message",ExpressionUUID->"935096b1-ff5b-4ffe-a23d-968f1e45c586"],
Cell[421365, 7218, 487, 11, 23, "Message",ExpressionUUID->"79ef16cd-4c93-423b-8a5f-b375f055423f"],
Cell[421855, 7231, 453, 10, 21, "Message",ExpressionUUID->"c956822a-20be-404d-95b1-b183c5229416"],
Cell[422311, 7243, 15443, 262, 245, 5717, 112, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"0248e2a7-e96b-4b75-8da6-fb3455aa26d7"],
Cell[437757, 7507, 13913, 237, 243, "Output",ExpressionUUID->"20fc9e06-31ae-471d-84ec-1935fcbafa4d"],
Cell[451673, 7746, 12140, 208, 243, "Output",ExpressionUUID->"8a3e77dd-34d3-4609-8c9f-a2a47315a32e"],
Cell[463816, 7956, 11433, 197, 236, "Output",ExpressionUUID->"4101e3f2-4566-4acf-bfb1-38ad1f61aeaf"],
Cell[475252, 8155, 14689, 250, 237, "Output",ExpressionUUID->"48217eb5-3aeb-4d20-ad93-74cf1f79c684"],
Cell[489944, 8407, 4621, 67, 32, "Output",ExpressionUUID->"569e61a5-859c-413f-88b3-d9b5fcbcb77d"],
Cell[494568, 8476, 4620, 67, 32, "Output",ExpressionUUID->"8240d2fa-0822-4b64-8953-d1d26bde5d6a"],
Cell[499191, 8545, 4598, 66, 32, "Output",ExpressionUUID->"9dd5e353-8d1a-4b65-8cf4-30fd03dd5665"],
Cell[503792, 8613, 2599, 39, 22, "Print",ExpressionUUID->"dc0d50e8-2ec5-4c85-a17c-cb7157defa34"],
Cell[506394, 8654, 4585, 66, 32, "Output",ExpressionUUID->"d8c20967-5fb9-426d-ba5d-d7a1e2e97304"]
}, Open  ]],
Cell[CellGroupData[{
Cell[511016, 8725, 1600, 46, 48, "Input",ExpressionUUID->"f1670959-5fca-454b-b963-e2b8278692f8"],
Cell[512619, 8773, 487, 11, 23, "Message",ExpressionUUID->"e85f6496-b6d4-4981-ae68-e25a0aec0adf"],
Cell[513109, 8786, 485, 11, 23, "Message",ExpressionUUID->"27f3cb0f-fdde-4e16-aa90-6f71ef934d7d"],
Cell[513597, 8799, 487, 11, 23, "Message",ExpressionUUID->"43f23dec-e6c9-4d97-8c80-afdd0b82624f"],
Cell[514087, 8812, 453, 10, 21, "Message",ExpressionUUID->"f676eac8-05f9-4892-88e3-1b5b144004cf"],
Cell[514543, 8824, 654279, 10739, 751, 610406, 10020, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"3c7a8842-5dbf-453f-9dc1-edc60c0f168d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1168859, 19568, 787, 23, 67, "Input",ExpressionUUID->"990cbeb5-a0fe-4791-b762-d1908919eb4f"],
Cell[1169649, 19593, 4370, 90, 244, "Output",ExpressionUUID->"6bbf987d-bc65-422a-b0e9-969035f1c1b1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1174056, 19688, 7135, 190, 295, "Input",ExpressionUUID->"ad7e4099-48d7-4f90-ab0e-be4c67de712f"],
Cell[1181194, 19880, 1335, 22, 24, "Print",ExpressionUUID->"0b4c95d7-3b00-4b78-8cc6-892eb76ffd78"],
Cell[1182532, 19904, 487, 11, 23, "Message",ExpressionUUID->"54f3dd60-8e24-4278-b3be-888dfdc363e0"],
Cell[1183022, 19917, 1331, 22, 24, "Print",ExpressionUUID->"0b282561-ea29-405c-bb17-1488be3238d9"],
Cell[1184356, 19941, 7226, 135, 231, "Output",ExpressionUUID->"ee3f61af-f10f-430c-a7ba-823c2d3957cc"],
Cell[1191585, 20078, 9174, 166, 213, 3739, 79, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"3f3a4865-bc71-4c76-82c4-a32cffd6ecce"],
Cell[1200762, 20246, 10984, 196, 218, 5090, 102, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"2cc0fff5-5f04-476e-ba4e-77b6ec4e83bf"]
}, Open  ]],
Cell[1211761, 20445, 486, 7, 48, "Input",ExpressionUUID->"49d06daf-3fa5-4858-9b8c-6502d86dc98e"],
Cell[1212250, 20454, 173, 3, 48, "Input",ExpressionUUID->"7e506929-3869-4676-8b95-078b9564364f"],
Cell[CellGroupData[{
Cell[1212448, 20461, 26615, 682, 1587, "Input",ExpressionUUID->"a4a468cf-04de-492a-b753-3843229f18a6"],
Cell[CellGroupData[{
Cell[1239088, 21147, 925, 17, 24, "Print",ExpressionUUID->"05d1df88-b52c-4ed4-b977-c4e009cddde2"],
Cell[1240016, 21166, 921, 17, 22, "Print",ExpressionUUID->"efa6a421-bc63-4de5-a78e-8ba0815eb363"],
Cell[1240940, 21185, 913, 17, 22, "Print",ExpressionUUID->"f68c0fbd-a945-477a-a012-b8fd962fc100"],
Cell[1241856, 21204, 942, 17, 22, "Print",ExpressionUUID->"7e4a152f-997d-4a7f-a745-690606773601"],
Cell[1242801, 21223, 882, 17, 22, "Print",ExpressionUUID->"91f1547e-cc65-4b6f-a65f-f93586f2f0aa"]
}, Open  ]],
Cell[1243698, 21243, 15726, 277, 244, "Output",ExpressionUUID->"c2139a47-594b-4da5-a50b-2b1243e7457e"],
Cell[1259427, 21522, 580, 12, 23, "Message",ExpressionUUID->"d86b1ece-5802-4c3b-ae0c-1137f35555b8"],
Cell[1260010, 21536, 578, 12, 23, "Message",ExpressionUUID->"96a95fc5-a73a-43a5-b0fd-d41ab99112f9"],
Cell[1260591, 21550, 580, 12, 23, "Message",ExpressionUUID->"256bc291-cfd5-4fb5-ab65-7ec1e6022c41"],
Cell[1261174, 21564, 545, 11, 21, "Message",ExpressionUUID->"70dc7471-0585-4d50-a658-4acf231e9dbc"],
Cell[1261722, 21577, 20293, 383, 243, "Output",ExpressionUUID->"d0ebe4b6-5bf9-4652-a089-ae9701465ce9"],
Cell[1282018, 21962, 12638, 225, 243, "Output",ExpressionUUID->"415b3d55-755f-40f4-8b87-9122247a6674"],
Cell[1294659, 22189, 23494, 402, 243, 17623, 307, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"16d16eec-6676-4c5f-9eb2-4e9cadf64838"],
Cell[1318156, 22593, 27666, 470, 236, 19908, 344, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"16c22d58-0fc0-48eb-81b7-2de825dd02c4"],
Cell[1345825, 23065, 578, 12, 21, "Message",ExpressionUUID->"21954635-3a2f-4513-ba31-9b1a432a4058"],
Cell[1346406, 23079, 1120, 19, 57, "Message",ExpressionUUID->"1936a81f-a767-4c19-bbbd-baec08015c42"],
Cell[1347529, 23100, 882, 17, 24, "Print",ExpressionUUID->"46fae8dd-ec6c-4f0c-a9d0-63268cd93f87"],
Cell[1348414, 23119, 576, 12, 21, "Message",ExpressionUUID->"231d5a2e-409c-4ef6-afcf-cda33010a0e5"],
Cell[1348993, 23133, 1117, 19, 57, "Message",ExpressionUUID->"8518a8b3-95de-49bc-ada8-18804914c451"],
Cell[1350113, 23154, 876, 17, 22, "Print",ExpressionUUID->"a1584387-9294-48bf-b49c-6dd25eb5c7c1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1351026, 23176, 20951, 552, 1720, "Input",ExpressionUUID->"9f4a748b-6fd2-4568-a7d4-ec9803d10479"],
Cell[1371980, 23730, 17741, 314, 238, "Output",ExpressionUUID->"9e5401a8-b891-427e-bc1c-83554359bf16"],
Cell[1389724, 24046, 322, 5, 32, "Output",ExpressionUUID->"6ca976e8-6826-48ab-b1ee-c3e8787bc615"],
Cell[1390049, 24053, 26459, 459, 219, 18651, 331, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"5aa09a9c-eb54-4e66-9302-09e2d507d713"],
Cell[CellGroupData[{
Cell[1416533, 24516, 485, 10, 22, "Print",ExpressionUUID->"8d76f10b-3221-4fec-b273-c531375feb9b"],
Cell[1417021, 24528, 498, 10, 24, "Print",ExpressionUUID->"1edc97f8-11fd-4c6d-b557-bc4a847d466c"],
Cell[1417522, 24540, 488, 10, 22, "Print",ExpressionUUID->"dc8dcc23-43ed-416e-a52f-7b1e62d4b777"]
}, Open  ]],
Cell[1418025, 24553, 1014, 19, 30, "Message",ExpressionUUID->"be30cfce-c1d1-41f3-a1ee-15100dd902e2"],
Cell[CellGroupData[{
Cell[1419064, 24576, 516, 11, 24, "Print",ExpressionUUID->"df2c401e-0d8f-44fd-bca2-3a092189ae26"],
Cell[1419583, 24589, 580, 11, 24, "Print",ExpressionUUID->"72ac039f-4f4e-43de-bb5c-c14a6fbcad98"],
Cell[1420166, 24602, 562, 11, 24, "Print",ExpressionUUID->"c90394b7-4d7d-4691-8354-98fa262a3a6a"],
Cell[1420731, 24615, 560, 11, 24, "Print",ExpressionUUID->"85760354-f48a-4248-a78e-ea306c40d982"],
Cell[1421294, 24628, 509, 11, 22, "Print",ExpressionUUID->"e83d7c71-5fbe-40ba-af00-3e8cc0133b25"],
Cell[1421806, 24641, 547, 11, 22, "Print",ExpressionUUID->"26c83a89-4418-4214-a5a1-e890d97549bb"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1422402, 24658, 33450, 797, 2366, "Input",ExpressionUUID->"83e8df4b-79a4-43ff-a2b7-d3e0145bf5e8"],
Cell[1455855, 25457, 477, 11, 23, "Message",ExpressionUUID->"897d9e55-9bad-4f15-b65f-9a450c778e7d"],
Cell[1456335, 25470, 479, 11, 23, "Message",ExpressionUUID->"8512cbf3-51b8-482e-99e6-9af1a38b5be3"],
Cell[1456817, 25483, 477, 11, 23, "Message",ExpressionUUID->"6ef3e0db-8bae-4356-993d-afc9c1e86391"],
Cell[1457297, 25496, 451, 10, 21, "Message",ExpressionUUID->"f182db43-6aab-4e42-9767-106a7925b718"],
Cell[1457751, 25508, 3819, 60, 75, "Message",ExpressionUUID->"394659da-a747-472c-aa7f-33e09c0b8f70"],
Cell[1461573, 25570, 492, 11, 21, "Message",ExpressionUUID->"f249c095-cb30-4c4c-9b30-4ab9b7eb09f8"],
Cell[1462068, 25583, 491, 11, 21, "Message",ExpressionUUID->"7235d09a-4b68-4e99-9209-e876fadd06a1"],
Cell[1462562, 25596, 494, 11, 21, "Message",ExpressionUUID->"bff98c54-0f77-4c5d-9a66-893deff00b1f"],
Cell[1463059, 25609, 463, 10, 21, "Message",ExpressionUUID->"cfdd630e-21b3-40e1-8c37-45dc348211ff"],
Cell[1463525, 25621, 4881, 70, 77, "Message",ExpressionUUID->"142a4381-9536-48e4-9d70-a92e728918a1"],
Cell[1468409, 25693, 4881, 70, 77, "Message",ExpressionUUID->"4bef55ab-d9d4-42b5-a4ca-4d7f3d3499d9"],
Cell[1473293, 25765, 447, 10, 21, "Message",ExpressionUUID->"2666d839-3882-4d17-9ceb-2935e600be9a"],
Cell[1473743, 25777, 127391, 2104, 248, "Output",ExpressionUUID->"0efde6c1-eb16-4047-a7a0-535d55de461d"],
Cell[1601137, 27883, 78516, 1300, 228, "Output",ExpressionUUID->"48335770-fdc3-472f-8756-c044621af73f"],
Cell[1679656, 29185, 2796, 58, 231, "Output",ExpressionUUID->"229c3ba2-5e75-4cba-9c96-0c00c956b375"],
Cell[1682455, 29245, 2599, 55, 230, "Output",ExpressionUUID->"ab24a730-ac19-423a-9c2c-c20a00583041"],
Cell[1685057, 29302, 2834, 58, 231, "Output",ExpressionUUID->"26170282-6838-4199-b8dd-847ee0be06a4"],
Cell[1687894, 29362, 2948, 56, 233, "Output",ExpressionUUID->"2768f652-6813-45b0-9e80-4fd34d2b01a1"],
Cell[1690845, 29420, 4586, 83, 231, 1546, 36, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"0b9c2909-4e83-447c-b90b-8780dbe76018"],
Cell[1695434, 29505, 2752, 54, 231, "Output",ExpressionUUID->"f8ec5d72-81d2-4dac-92f3-74c02bb3e45b"],
Cell[1698189, 29561, 2844, 55, 236, "Output",ExpressionUUID->"1ca2dd0d-8e6f-4422-a1d9-4fc6e9061b28"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1701070, 29621, 943, 24, 48, "Input",ExpressionUUID->"c4d90a80-9143-41b6-ad91-1cb82874e0e7"],
Cell[1702016, 29647, 1157, 31, 365, "Output",ExpressionUUID->"d4e892c1-6ba4-4ebc-9518-d248243004e4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1703210, 29683, 1788, 51, 124, "Input",ExpressionUUID->"019fd428-faa8-4978-8107-829613ea6d75"],
Cell[1705001, 29736, 126207, 2088, 248, "Output",ExpressionUUID->"b5b6eb66-3b08-4079-a129-2d9d37b32e0b"],
Cell[1831211, 31826, 77377, 1285, 232, "Output",ExpressionUUID->"f6a928a3-0ce1-442e-a3b0-42456129b9c9"],
Cell[1908591, 33113, 1723, 40, 231, "Output",ExpressionUUID->"0b614afd-a420-4dc6-a5a3-5ff32ae3ecc5"],
Cell[1910317, 33155, 1657, 39, 236, "Output",ExpressionUUID->"1afa2218-c607-4ff4-acdb-25198ce39d81"]
}, Open  ]],
Cell[1911989, 33197, 155, 3, 28, "Input",ExpressionUUID->"70fd69d4-9e64-492e-9401-307587e08ccd"],
Cell[CellGroupData[{
Cell[1912169, 33204, 600, 11, 105, "Input",ExpressionUUID->"a3298dd4-c938-4dbd-a757-eb8a388b114e"],
Cell[1912772, 33217, 1757, 44, 231, "Output",ExpressionUUID->"70bbf0df-b601-46b3-ab56-b0911afa190e"],
Cell[1914532, 33263, 1590, 41, 245, "Output",ExpressionUUID->"85c78a4b-f567-4147-8525-c4c53d36c1e9"],
Cell[1916125, 33306, 819, 16, 23, "Message",ExpressionUUID->"d5820cb5-b9ee-4a52-8568-7fc236ecdaa1"],
Cell[1916947, 33324, 757, 15, 32, "Output",ExpressionUUID->"8c0406b8-8628-41fe-983e-edaac774aba2"],
Cell[1917707, 33341, 686, 13, 23, "Message",ExpressionUUID->"cfdef55b-680e-4083-8815-4c05efc0bc0a"],
Cell[1918396, 33356, 625, 13, 32, "Output",ExpressionUUID->"2a643548-9eb1-483f-baa8-08019c22eca8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1919058, 33374, 67536, 1707, 5102, "Input",ExpressionUUID->"44cd0237-bfba-42ba-8f1f-7bae38788d41"],
Cell[1986597, 35083, 711, 13, 23, "Message",ExpressionUUID->"6d91b2e1-4e0e-43d1-af07-52e96dc0a28c"],
Cell[1987311, 35098, 711, 13, 23, "Message",ExpressionUUID->"affb1d3f-a04d-4858-af50-70ac43db6a85"],
Cell[1988025, 35113, 711, 13, 23, "Message",ExpressionUUID->"4e27742b-0a03-4fcb-9a86-cd0460c32a70"],
Cell[1988739, 35128, 689, 13, 21, "Message",ExpressionUUID->"4640aeb7-7361-4848-8eae-48ebb9243e08"],
Cell[1989431, 35143, 133103, 2181, 242, "Output",ExpressionUUID->"2081c8a0-42ac-4611-b000-c3c94f37fc46"],
Cell[2122537, 37326, 81349, 1332, 226, "Output",ExpressionUUID->"3f145165-f1c1-410d-bc2a-36f9fa7e77b7"],
Cell[2203889, 38660, 22677, 415, 243, "Output",ExpressionUUID->"649ad319-e142-43b9-a295-219a3ccd3b19"],
Cell[2226569, 39077, 29780, 563, 233, "Output",ExpressionUUID->"2dc2e96e-3de8-407d-97bf-6ff18cb0c9e2"],
Cell[2256352, 39642, 38834, 681, 239, "Output",ExpressionUUID->"23939150-7fdf-433e-a83e-ec4f6fa06d6c"],
Cell[2295189, 40325, 36084, 628, 239, "Output",ExpressionUUID->"c20f1c0f-57ec-4960-9b94-5f489f31a311"],
Cell[2331276, 40955, 37870, 657, 242, "Output",ExpressionUUID->"f92688af-7c6f-46db-86d7-bccc6be03168"],
Cell[2369149, 41614, 36507, 712, 229, "Output",ExpressionUUID->"dfc8f9db-1301-4850-882d-71be7c3b2e46"],
Cell[2405659, 42328, 13718, 224, 240, "Output",ExpressionUUID->"394aebfd-fd1d-4f7e-ab21-3ae47cb1c1c7"],
Cell[2419380, 42554, 14004, 228, 240, "Output",ExpressionUUID->"27252e3e-353d-4818-8eb9-fe6004b4d40f"],
Cell[2433387, 42784, 14474, 236, 254, "Output",ExpressionUUID->"4e8416c3-9248-4001-89d3-e337f1173986"],
Cell[CellGroupData[{
Cell[2447886, 43024, 1720, 27, 24, "Print",ExpressionUUID->"94adb509-eeab-4ffc-b072-1e349226a5bd"],
Cell[2449609, 43053, 1732, 27, 22, "Print",ExpressionUUID->"c2faa036-3f78-44fe-98b5-59a85070ffa5"],
Cell[2451344, 43082, 1743, 27, 24, "Print",ExpressionUUID->"6e02dcc5-354a-49c3-934e-01eda890c857"],
Cell[2453090, 43111, 1738, 27, 24, "Print",ExpressionUUID->"5c43f44c-e646-457f-897f-a666f3057433"],
Cell[2454831, 43140, 1773, 27, 24, "Print",ExpressionUUID->"c83e063e-9160-4c71-b7d7-c5cb01babb40"],
Cell[2456607, 43169, 1790, 28, 24, "Print",ExpressionUUID->"4bd1a6c9-cf51-4bcb-976b-24ad36b633e0"],
Cell[2458400, 43199, 1788, 28, 24, "Print",ExpressionUUID->"1e9b8e58-57d0-4ee1-8695-363a0f6bf3ee"],
Cell[2460191, 43229, 1799, 28, 24, "Print",ExpressionUUID->"fda221cf-68df-4944-bf81-707202c18c70"],
Cell[2461993, 43259, 1749, 27, 22, "Print",ExpressionUUID->"8fcba8d3-1bfd-46c8-8ba8-c3c77c939f90"],
Cell[2463745, 43288, 1719, 27, 22, "Print",ExpressionUUID->"47b2f2db-45b8-4971-98fc-2b571e88e265"],
Cell[2465467, 43317, 1769, 27, 22, "Print",ExpressionUUID->"91bee9f3-aec0-4fd4-8fba-f55052f8177f"],
Cell[2467239, 43346, 1787, 28, 22, "Print",ExpressionUUID->"4f8c71fc-6f69-43c9-8955-ee3a42fd718b"],
Cell[2469029, 43376, 1721, 27, 24, "Print",ExpressionUUID->"582d920a-1e04-413c-bf9f-94c1ed4e4c60"]
}, Open  ]],
Cell[2470765, 43406, 707, 13, 21, "Message",ExpressionUUID->"0172d5cd-1ea2-4daf-80ef-83ecb5593575"],
Cell[2471475, 43421, 1251, 20, 57, "Message",ExpressionUUID->"418686ce-734a-4aeb-beed-6da1ae5acf9a"],
Cell[2472729, 43443, 1727, 27, 22, "Print",ExpressionUUID->"53067e06-8b81-4759-8be8-9d555821637c"],
Cell[2474459, 43472, 707, 13, 21, "Message",ExpressionUUID->"5467102b-ab09-4dc7-a887-3e433aeb13e2"],
Cell[2475169, 43487, 1249, 20, 57, "Message",ExpressionUUID->"aa8b52c1-e6bd-4c0a-b4d1-3efdeb4c057a"],
Cell[CellGroupData[{
Cell[2476443, 43511, 1708, 27, 22, "Print",ExpressionUUID->"797264c7-fe0c-4bca-90ec-22987267ee9b"],
Cell[2478154, 43540, 1709, 27, 22, "Print",ExpressionUUID->"c695ccdc-4631-49be-84f3-d8254ebd3fa3"],
Cell[2479866, 43569, 1715, 27, 24, "Print",ExpressionUUID->"2dccd2f3-0235-4034-9b68-efca67bb3ec1"],
Cell[2481584, 43598, 1713, 27, 24, "Print",ExpressionUUID->"a32fec67-36e4-4b8b-93eb-871085523ce9"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2483346, 43631, 4523, 138, 219, "Input",ExpressionUUID->"0aef439b-1af3-47df-913a-3fd573b3466f"],
Cell[2487872, 43771, 11258, 192, 247, "Output",ExpressionUUID->"098e75a6-9bb6-4a52-a6bb-2dc340ad534b"],
Cell[2499133, 43965, 26806, 522, 233, "Output",ExpressionUUID->"c49fafe2-9f89-4848-ac0e-efc9bf22423e"],
Cell[2525942, 44489, 10867, 185, 243, "Output",ExpressionUUID->"8cf2352a-3243-4560-b5b8-d1d38add43e6"],
Cell[2536812, 44676, 24875, 415, 242, "Output",ExpressionUUID->"02b1926e-37ff-487a-bd77-d3004a9d0e9a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2561724, 45096, 9052, 267, 371, "Input",ExpressionUUID->"657fec5f-07a4-4d3a-a633-58ce7b57617c"],
Cell[2570779, 45365, 12248, 206, 247, "Output",ExpressionUUID->"3beecd2e-3ba3-4d20-9c7f-b2ad495f18a7"],
Cell[2583030, 45573, 29798, 538, 242, "Output",ExpressionUUID->"17cbfe03-bf5f-4095-8a14-a7b392d4a018"],
Cell[2612831, 46113, 11301, 191, 243, "Output",ExpressionUUID->"f6ef8c18-301f-4471-9c42-eda36a79781e"],
Cell[2624135, 46306, 25118, 418, 243, "Output",ExpressionUUID->"9ad6f923-3fcd-46d6-b19d-c2d3608eb0e8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2649290, 46729, 1462, 46, 67, "Input",ExpressionUUID->"fb0d79a9-f63c-4956-af42-397b9e72d329"],
Cell[2650755, 46777, 117038, 1910, 263, "Output",ExpressionUUID->"299720ef-faa9-4e01-86d0-56e8ccee86a7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2767830, 48692, 14240, 403, 1682, "Input",ExpressionUUID->"cf2b95de-ed08-4658-84c3-12154556a6ae"],
Cell[CellGroupData[{
Cell[2782095, 49099, 314, 7, 22, "Print",ExpressionUUID->"4a3aaf23-c357-487f-ab07-92507dbc7085"],
Cell[2782412, 49108, 350, 8, 22, "Print",ExpressionUUID->"eeaf9d4b-a953-4eb3-8ee5-1f43fc6a9937"],
Cell[2782765, 49118, 388, 8, 22, "Print",ExpressionUUID->"1540a589-e9f4-434d-9f3b-e2aa15b652eb"],
Cell[2783156, 49128, 393, 8, 24, "Print",ExpressionUUID->"123d1382-ad92-4c5d-9e70-320ffd78cf1a"],
Cell[2783552, 49138, 420, 8, 24, "Print",ExpressionUUID->"bf9ef5ba-c954-473c-a55f-ac4c72a3373b"],
Cell[2783975, 49148, 346, 7, 22, "Print",ExpressionUUID->"e96ae3c7-9272-4d40-ae8f-13af4d91e91c"],
Cell[2784324, 49157, 342, 7, 22, "Print",ExpressionUUID->"11055f13-5749-4ecf-b703-27c169d1b0ea"],
Cell[2784669, 49166, 342, 7, 22, "Print",ExpressionUUID->"2d8bd580-7c90-4ec6-a229-4da9d52becce"],
Cell[2785014, 49175, 339, 7, 22, "Print",ExpressionUUID->"31bb377a-9825-4198-a354-20e927776977"],
Cell[2785356, 49184, 440, 9, 24, "Print",ExpressionUUID->"81d4ad31-31de-4b90-b81f-2857ca73972a"],
Cell[2785799, 49195, 432, 8, 24, "Print",ExpressionUUID->"33e10cde-5d9d-402b-8120-609991fe8418"],
Cell[2786234, 49205, 371, 8, 22, "Print",ExpressionUUID->"ee8163e2-8d75-444e-a131-efb4519eb8a9"],
Cell[2786608, 49215, 357, 8, 22, "Print",ExpressionUUID->"2338e2a9-76a6-443d-86e1-58a1bb8b1f23"],
Cell[2786968, 49225, 383, 8, 22, "Print",ExpressionUUID->"87256543-03a1-47e9-93f2-bbbee4df5277"],
Cell[2787354, 49235, 398, 8, 22, "Print",ExpressionUUID->"72889608-6a26-4626-bc94-52031525e639"],
Cell[2787755, 49245, 394, 8, 22, "Print",ExpressionUUID->"7fc33296-c986-4114-a3dc-786a324e6cd4"],
Cell[2788152, 49255, 398, 8, 22, "Print",ExpressionUUID->"dc51125d-0df0-40e0-8623-1cbc262b9970"],
Cell[2788553, 49265, 396, 8, 22, "Print",ExpressionUUID->"f359325f-f63a-4b61-9f6f-9453ac653b3e"],
Cell[2788952, 49275, 371, 8, 22, "Print",ExpressionUUID->"31dfbce5-976a-4979-95a8-74b637ca0508"],
Cell[2789326, 49285, 421, 8, 22, "Print",ExpressionUUID->"3b133ced-2ff3-4e8f-98db-bad8276c241d"],
Cell[2789750, 49295, 441, 9, 22, "Print",ExpressionUUID->"44f44a23-bd2d-4305-8798-30c9cf819a70"],
Cell[2790194, 49306, 465, 10, 22, "Print",ExpressionUUID->"4e4ceef3-5d5d-4747-bb25-2f4970320c0c"],
Cell[2790662, 49318, 360, 8, 24, "Print",ExpressionUUID->"c4d7b373-6b42-47f7-907a-22aeb7578ed1"],
Cell[2791025, 49328, 362, 8, 22, "Print",ExpressionUUID->"d57f8453-e561-41ef-95fc-1106d954c61f"]
}, Open  ]]
}, Open  ]]
}
]
*)

