(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    341387,       6186]
NotebookOptionsPosition[    338358,       6086]
NotebookOutlinePosition[    338724,       6102]
CellTagsIndexPosition[    338681,       6099]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SetDirectory", "[", "\"\<C:\\\\SrBEC\\\\Mathematica\>\"", "]"}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "change", " ", "folder", " ", "location", " ", "to", " ", "find", " ", 
    "the", " ", "right", " ", "packages"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ComputerArithmetic`"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "SetDirectory", "[", 
     "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
   " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LaunchKernels", "[", "4", "]"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "put", " ", "your", " ", "favorite", " ", "number", " ", "of", " ", 
    "kernels"}], " ", "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7286202174860296`*^9, 3.728620217703042*^9}, {
   3.728711424316966*^9, 3.728711424667986*^9}, {3.7318186909359274`*^9, 
   3.7318186914469566`*^9}, {3.7362219622568893`*^9, 3.736221963848092*^9}, {
   3.750685517644865*^9, 3.7506855815085177`*^9}, {3.751015397460146*^9, 
   3.751015405152586*^9}, {3.751686861017559*^9, 3.7516868614915867`*^9}, {
   3.7789356108208427`*^9, 3.778935614772069*^9}, {3.7809130088505454`*^9, 
   3.780913009292571*^9}, 3.7915557935610447`*^9, {3.795004814206807*^9, 
   3.7950048152708683`*^9}, {3.800438737167503*^9, 3.800438741826769*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]3P1IPGTab", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"76", ",", "190", ",", "227"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"190", ",", "114", ",", "190"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"227", ",", "190", ",", "76"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "\[Alpha]3P1IPGTab", "]"}]}], "Input",
 CellChangeTimes->{{3.7949916242983875`*^9, 3.7949916324518538`*^9}, {
  3.7949917014117985`*^9, 3.7949917186337833`*^9}, {3.794992266210103*^9, 
  3.7949922663611116`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"76", "190", "227"},
     {"190", "114", "190"},
     {"227", "190", "76"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.7949916331828957`*^9, 3.794991712094409*^9, 
  3.794992266951145*^9}]
}, Open  ]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Polarisability at \[Lambda] = \"\>", "\[InvisibleSpace]", 
   "1070.0000000000002`", "\[InvisibleSpace]", "\<\" nm: \"\>", 
   "\[InvisibleSpace]", 
   TagBox[
    TagBox[GridBox[{
       {
        StyleBox["\[Null]",
         ShowStringCharacters->False], 
        TagBox["\<\"mG\"\>",
         HoldForm], 
        TagBox[
         StyleBox["\<\"\[Null]\"\>",
          ShowStringCharacters->False],
         StyleForm[#, ShowStringCharacters -> False]& ], 
        TagBox[
         StyleBox["\<\"\[Null]\"\>",
          ShowStringCharacters->False],
         StyleForm[#, ShowStringCharacters -> False]& ]},
       {
        TagBox["\<\"\\!\\(\\*SuperscriptBox[\\(\[Sigma]\\), \\(-\\)]\\)\"\>",
         HoldForm], "76.13020612399345`", "189.54863819001014`", 
        "227.06173742557797`"},
       {
        TagBox["\<\"\[Pi]\"\>",
         HoldForm], "189.54863819001014`", "113.64330535956125`", 
        "189.54863819001014`"},
       {
        TagBox["\<\"\\!\\(\\*SuperscriptBox[\\(\[Sigma]\\), \\(+\\)]\\)\"\>",
         HoldForm], "227.06173742557797`", "189.54863819001014`", 
        "76.13020612399345`"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxDividers->{
       "Columns" -> {False, True, {False}, False}, "ColumnsIndexed" -> {}, 
        "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[2.0999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
    Function[BoxForm`e$, 
     TableForm[
     BoxForm`e$, 
      TableHeadings -> {{
        "\!\(\*SuperscriptBox[\(\[Sigma]\), \(-\)]\)", "\[Pi]", 
         "\!\(\*SuperscriptBox[\(\[Sigma]\), \(+\)]\)"}, {"mG"}}]]], 
   "\[InvisibleSpace]", "\<\" atomic unit\"\>"}],
  SequenceForm["Polarisability at \[Lambda] = ", 1070.0000000000002`, " nm: ", 
   TableForm[{{76.13020612399345, 189.54863819001014`, 227.06173742557797`}, {
    189.54863819001014`, 113.64330535956125`, 189.54863819001014`}, {
    227.06173742557797`, 189.54863819001014`, 76.13020612399345}}, 
    TableHeadings -> {{
      "\!\(\*SuperscriptBox[\(\[Sigma]\), \(-\)]\)", "\[Pi]", 
       "\!\(\*SuperscriptBox[\(\[Sigma]\), \(+\)]\)"}, {"mG"}}], 
   " atomic unit"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7223605702948856`*^9, 3.7223606601650095`*^9, 3.722360803942258*^9, 
   3.722363884038416*^9, 3.728059793197576*^9, 3.7385584120832872`*^9, 
   3.7385800450062733`*^9, 3.739525298765008*^9, 3.7395259111110325`*^9, 
   3.739525964949112*^9, 3.739526222495843*^9, 3.739526346978963*^9, 
   3.73952716305964*^9, 3.7395274859951105`*^9, 3.7395275368400187`*^9, 
   3.762606972718157*^9, 3.762607140501753*^9, 3.762607895081913*^9, 
   3.769850159467898*^9, 3.7698502183422656`*^9, {3.7844614557190924`*^9, 
   3.7844614806335173`*^9}, 3.794991431113338*^9}],

Cell[CellGroupData[{

Cell["Potential landscape", "Section",
 CellChangeTimes->{{3.720181220017393*^9, 3.7201812301199703`*^9}, {
  3.7812432431539845`*^9, 3.7812432476842437`*^9}, {3.790852550797225*^9, 
  3.7908525633169413`*^9}}],

Cell[CellGroupData[{

Cell["Polarization projection", "Subsubsection",
 CellChangeTimes->{{3.78472774766945*^9, 3.784727752293062*^9}, 
   3.784818115542671*^9},
 ExpressionUUID -> "a554e5f6-e751-4801-a640-66c03871f646"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "Folling", " ", "the", " ", "aproch", " ", "of", " ", "Jooks", " ", 
    "lecture", " ", "notes", " ", "Ch11", " ", "and", " ", "12", " ", "\\\\", 
    RowBox[{
     RowBox[{"public", ".", "uva", ".", "nl"}], "\\", "fnwi"}]}], "-", 
   RowBox[{
    RowBox[{
    "public", "\\", "qgases", "\\", "groups", "\\", "strontium", "\\", 
     "RodrigoGonzalezEscudero", "\\", "Bibliography", "\\", "Lecture"}], " ", 
    "Notes"}]}], " ", "*)"}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.784816505715234*^9, 3.7848165084811697`*^9}},
 ExpressionUUID -> "2b7f1ea6-f698-4c2b-a3dd-2ffa39938ac4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Coordinate", " ", "system", " ", "used", " ", "Follows"}], " ", 
   "*)"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Assume", " ", "quantization", " ", "axis", " ", "on", " ", "Z"}], 
   " ", "*)"}]}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.7848158997291517`*^9, 3.7848159219015875`*^9}, {
  3.7848160063547964`*^9, 3.784816007667451*^9}},
 ExpressionUUID -> "d6550d01-3937-4090-8a90-461a75dd3d1d"],

Cell[BoxData[
 RowBox[{
  GraphicsBox[
   TagBox[RasterBox[CompressedData["
1:eJzsnQdAFMf+xwVE00xMLyZ5Ly/+U15emtGoMU2Nxphijd1YsCRq7L2LJfYe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     "], {{0, 377}, {954, 0}}, {0, 255},
     ColorFunction->RGBColor],
    BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
    Selectable->False],
   DefaultBaseStyle->"ImageGraphics",
   ImageSize->{795.0909090909079, Automatic},
   ImageSizeRaw->{954, 377},
   PlotRange->{{0, 954}, {0, 377}}], ";"}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{3.784816518432972*^9},
 ExpressionUUID -> "6d2adfa1-a756-4458-a5c3-46d0e54c05ca"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Polarization", " ", "of", " ", "light", " ", "decomposition", " ", "For", 
    " ", "example", " ", "Right", " ", "circular", " ", "would", " ", "be", 
    " ", 
    FractionBox[
     RowBox[{"-", "1"}], 
     RowBox[{"\[Sqrt]", "2"}]], 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["\[Epsilon]", "\[Alpha]"], "+", " ", 
      RowBox[{"I", "*", 
       SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], ")"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kvector", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Alpha]"], "=", "  ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", "\[Phi]", "]"}], ",", 
       RowBox[{"-", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", "0"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Beta]"], "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"-", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "Spherical", " ", "basis", " ", "for", " ", "the", " ", "unit", " ", 
      "vectors"}], ",", " ", 
     RowBox[{
     "assuming", " ", "quantization", " ", "axis", " ", "on", " ", "Z", " ", 
      "direction"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox["U", "+"], "=", 
     RowBox[{
      RowBox[{"-", " ", 
       FractionBox["1", 
        RowBox[{"\[Sqrt]", "2"}]]}], "*", 
      RowBox[{"{", 
       RowBox[{"1", ",", "I", ",", "0"}], "}"}]}]}], ";", 
    RowBox[{
     SubscriptBox["U", "-"], "=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"\[Sqrt]", "2"}]], "*", 
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"-", "I"}], ",", "0"}], "}"}]}]}], ";", 
    RowBox[{
     SubscriptBox["U", "0"], "=", " ", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LightPolarizationCR", "=", " ", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SubscriptBox["\[Epsilon]", "\[Alpha]"], "+", 
        RowBox[{"I", "*", 
         SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], 
       RowBox[{"\[Sqrt]", "2"}]]}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"Circular", " ", "right"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"LightPolarizationCL", "=", " ", 
     FractionBox[
      RowBox[{
       SubscriptBox["\[Epsilon]", "\[Alpha]"], "-", 
       RowBox[{"I", "*", 
        SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], 
      RowBox[{"\[Sqrt]", "2"}]]}], ";", 
    RowBox[{"(*", 
     RowBox[{"Circular", " ", "Left"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"LightPolarizationL", "=", " ", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SubscriptBox["\[Epsilon]", "\[Alpha]"], "-", 
        SubscriptBox["\[Epsilon]", "\[Beta]"]}], 
       RowBox[{"\[Sqrt]", "2"}]]}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"Lineal", " ", "45", " ", "degree"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"LightPolarizationY", "=", " ", 
     RowBox[{"-", 
      SubscriptBox["\[Epsilon]", "\[Alpha]"]}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"Y", " ", "axis"}], " ", "*)"}], ";", 
    RowBox[{"LightPolarizationX", "=", " ", 
     RowBox[{"-", 
      SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"X", " ", "axis"}], " ", "*)"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GeneralPolarization", "[", 
      RowBox[{"a_", ",", "phase_"}], "]"}], " ", "=", 
     RowBox[{"(", " ", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", 
           SuperscriptBox["a", "2"]}], ")"}], "0.5"], "*", 
        SubscriptBox["\[Epsilon]", "\[Alpha]"]}], "+", 
       RowBox[{"a", "*", 
        RowBox[{"Exp", "[", 
         RowBox[{"I", "*", "phase"}], "]"}], "*", 
        SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], ")"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.795005671685852*^9, 3.7950057011645384`*^9}},
 ExpressionUUID -> "52ba7409-2956-48c5-8c17-134a563bf3f3"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.7848164674039974`*^9, {3.795005601295826*^9, 3.795005615241624*^9}, 
   3.7950056856946535`*^9},
 ExpressionUUID -> "0da5afc8-b531-461a-92e8-d6a73fd3a51b"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7848159299008303`*^9, 3.78481594825035*^9}, {
   3.784816031868598*^9, 3.784816046316866*^9}, 3.7848160937753463`*^9, {
   3.7848166493067656`*^9, 3.7848166504787607`*^9}, {3.784817740378978*^9, 
   3.784817745862239*^9}, {3.784817834713769*^9, 3.7848178429021044`*^9}, {
   3.7848181198080144`*^9, 3.7848182288236556`*^9}, {3.7848184028695555`*^9, 
   3.784818524275648*^9}, {3.784818586338791*^9, 3.784818588010807*^9}, {
   3.7848186180728583`*^9, 3.784818623573578*^9}, 3.784818770979525*^9, {
   3.784818892964371*^9, 3.784818897275199*^9}, 3.784818948338293*^9, {
   3.784819018667098*^9, 3.7848190196203213`*^9}, {3.785428906588383*^9, 
   3.785428915245962*^9}, {3.785430738415001*^9, 3.785430763131051*^9}, {
   3.795005625704222*^9, 3.7950056348037424`*^9}, 3.7950056985703897`*^9},
 ExpressionUUID -> "beed8983-d886-4957-ab71-49654160857b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LightPolarization", " ", "=", " ", 
  RowBox[{"GeneralPolarization", "[", 
   RowBox[{"a", ",", "phase"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7848179106970787`*^9, 3.784817912650411*^9}, {
   3.784818037574832*^9, 3.7848180481828127`*^9}, {3.784819136532775*^9, 
   3.7848191411196146`*^9}, 3.7950063640674543`*^9},
 ExpressionUUID -> "bad61c3a-7ef3-4566-8431-0f18b728c4bb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"a", " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"\[ImaginaryI]", " ", "phase"}]], " ", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
     RowBox[{"Cos", "[", "\[Phi]", "]"}]}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SuperscriptBox["a", "2"]}], ")"}], "0.5`"], " ", 
     RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["a", "2"]}], ")"}], "0.5`"]}], " ", 
     RowBox[{"Cos", "[", "\[Phi]", "]"}]}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"\[ImaginaryI]", " ", "phase"}]], " ", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
     RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"-", "a"}], " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[ImaginaryI]", " ", "phase"}]], " ", 
    RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.795006364558482*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PolarizationVector", "[", 
   RowBox[{"\[Theta]_", ",", "\[Phi]_"}], "]"}], "=", 
  "LightPolarization"}]], "Input",
 CellChangeTimes->{{3.784817251401162*^9, 3.784817282104353*^9}, {
   3.7848173184281635`*^9, 3.784817321962313*^9}, {3.78481785304284*^9, 
   3.784817869978965*^9}, {3.78481790699188*^9, 3.7848179074623604`*^9}, 
   3.795006373612*^9},
 ExpressionUUID -> "19c8fc38-4e40-4ce3-8d8b-d21f4a61d076"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"a", " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"\[ImaginaryI]", " ", "phase"}]], " ", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
     RowBox[{"Cos", "[", "\[Phi]", "]"}]}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SuperscriptBox["a", "2"]}], ")"}], "0.5`"], " ", 
     RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["a", "2"]}], ")"}], "0.5`"]}], " ", 
     RowBox[{"Cos", "[", "\[Phi]", "]"}]}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"\[ImaginaryI]", " ", "phase"}]], " ", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
     RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"-", "a"}], " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[ImaginaryI]", " ", "phase"}]], " ", 
    RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7950063742050343`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PolarizationVector", "[", 
  RowBox[{"0", ",", "0"}], "]"}]], "Input",
 ExpressionUUID -> "5033a2e5-4b78-48cb-800a-1650fe3af3c1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[ImaginaryI]", " ", "phase"}]]}], ",", 
   RowBox[{"-", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SuperscriptBox["a", "2"]}], ")"}], "0.5`"]}], ",", "0"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.7848179976972313`*^9, 3.784818011552805*^9}, {
   3.784818042432169*^9, 3.784818075948242*^9}, 3.7848182010112824`*^9, 
   3.784818233990662*^9, 3.7848182753231516`*^9, 3.7848183339169397`*^9, 
   3.7848189404599605`*^9, 3.784819144142726*^9, 3.78481969062119*^9, 
   3.7848198761351523`*^9, 3.7848202934398804`*^9, 3.7848203611245317`*^9, 
   3.7848207333031473`*^9, 3.7848827851937*^9, 3.784882878682486*^9, 
   3.784883358162689*^9, 3.7848834879920006`*^9, 3.7848838016625867`*^9, 
   3.7848839121208906`*^9, 3.7848842124971595`*^9, 3.7854205467891827`*^9, 
   3.785421397429139*^9, 3.785421459320011*^9, 3.7854215642787266`*^9, 
   3.7854216771765904`*^9, 3.785424698020303*^9, 3.7854247945024443`*^9, 
   3.785425060252961*^9, 3.785427212055222*^9, 3.785427593127719*^9, 
   3.7854280636023345`*^9, 3.7854282138308287`*^9, 3.785428326139835*^9, {
   3.785428918818928*^9, 3.785428928334943*^9}, 3.785430940806692*^9, 
   3.785435037461911*^9, 3.785438240303132*^9, 3.7854386237706394`*^9, 
   3.785483919704794*^9, 3.7854840920237827`*^9, 3.7854936771875415`*^9, 
   3.7854961872918653`*^9, 3.7854962296905055`*^9, 3.7950063813334417`*^9},
 ExpressionUUID -> "c8bd0707-5065-487e-85de-1f88a7a4fc24"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"PolarizationProjection", " ", "[", 
    RowBox[{"\[Theta]_", ",", "\[Phi]_"}], "]"}], "=", 
   RowBox[{"Simplify", "[", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"LightPolarization", ".", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["U", "+"], "]"}]}], " ", ",", 
      RowBox[{"LightPolarization", ".", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["U", "0"], "]"}]}], ",", 
      RowBox[{"LightPolarization", ".", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["U", "-"], "]"}]}]}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.784816099244659*^9, 3.784816153962783*^9}, {
  3.78481672318756*^9, 3.7848167434482684`*^9}, {3.784817396394323*^9, 
  3.784817402541819*^9}, {3.795006403205693*^9, 3.795006403556713*^9}},
 ExpressionUUID -> "59ea4b51-4e5a-4856-a5d5-8e373bf793d4"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Polarization", "=", 
   RowBox[{"PolarizationProjection", " ", "[", 
    RowBox[{"theta1", ",", "Phi1"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Phi1", "=", "0"}], ";", 
  RowBox[{"theta1", "=", 
   RowBox[{"60", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";", 
  RowBox[{"(*", 
   RowBox[{
   "Angles", " ", "between", " ", "light", " ", "and", " ", "quantization", 
    " ", "axis"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.7848161416198215`*^9, 3.7848161449191275`*^9}, {
   3.784817410151932*^9, 3.784817424605509*^9}, {3.784817465260491*^9, 
   3.784817482323118*^9}, {3.784817532932291*^9, 3.784817553448569*^9}, {
   3.7848175961195498`*^9, 3.784817674870284*^9}, {3.784817723948765*^9, 
   3.7848177240893946`*^9}, 3.784818331385378*^9, {3.784819164276722*^9, 
   3.784819171760281*^9}, {3.7848827715591135`*^9, 3.7848827775707164`*^9}, 
   3.7848834842326045`*^9, {3.7848836416585016`*^9, 3.784883679494173*^9}, {
   3.784883730532161*^9, 3.7848837327954855`*^9}, 3.7848837935113726`*^9, {
   3.7854208482515545`*^9, 3.7854209025356336`*^9}, {3.7854246643240643`*^9, 
   3.785424673770199*^9}, {3.795005788856554*^9, 3.795005789193573*^9}, {
   3.795006265307805*^9, 3.7950062656958275`*^9}, 3.795006393459135*^9},
 ExpressionUUID -> "8d3312d8-e4d8-4925-8a88-cbb5d5105b80"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", 
           SuperscriptBox["a", "2"]}], ")"}], "0.5`"], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"\[ImaginaryI]", " ", "phase"}]]}]}], ")"}]}], 
     SqrtBox["2"]]}], ",", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "2"]}], " ", 
    SqrtBox["3"], " ", "a", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[ImaginaryI]", " ", "phase"}]]}], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", 
           SuperscriptBox["a", "2"]}], ")"}], "0.5`"], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"\[ImaginaryI]", " ", "phase"}]]}]}], ")"}]}], 
     SqrtBox["2"]]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7950063939391627`*^9, 3.7950064055538273`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["DT parameters", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 3.6822405592526093`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipIPG", " ", "=", " ", 
    RowBox[{"1070", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipTransparency", " ", "=", " ", 
    RowBox[{"688.", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Polar688Sr", " ", "=", " \[InvisibleSpace]", "343."}], 
   ";"}], "\[InvisibleSpace] ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mAssSr", " ", "=", "  ", 
    RowBox[{"mSr84", "/", "au"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "au"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Bfield", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0.4", ",", "0.75"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"from", " ", 
    RowBox[{"onenote", ":", "  ", 
     RowBox[{"190508", "-", " ", "SSBEC", " ", "-", " ", 
      RowBox[{
      "SSBEC", " ", "reservoir", " ", "local", " ", "B", " ", "field", " ", 
       "map"}]}]}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BfieldNormed", " ", "=", 
   RowBox[{"Bfield", "/", 
    RowBox[{"Norm", "[", "Bfield", "]"}]}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]3P1IPGTab", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"76", ",", "190", ",", "227"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"190", ",", "114", ",", "190"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"227", ",", "190", ",", "76"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]PolarIPG3P1Sr", " ", "=", " ", 
   RowBox[{"\[Alpha]3P1IPGTab", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Spatial", " ", "coordinates", " ", "where", " ", "we", " ", "want", " ", 
    "to", " ", "look", " ", "at", " ", "properties"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xOffset", " ", "=", " ", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yOffset", " ", "=", 
    RowBox[{"0.", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zOffset", " ", "=", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"powDimpleFun", "[", "Att_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"0.0383", "*", 
       RowBox[{"Att", "^", "3"}]}], "+", 
      RowBox[{"3.0901", 
       RowBox[{"Att", "^", "2"}]}], "+", 
      RowBox[{"82.973", "Att"}], "+", "747.63"}], ")"}], "/", "1000."}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"powSheetFun", "[", "Att_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.000736"}], "*", 
        RowBox[{"Att", "^", "5"}]}], "-", 
       RowBox[{"0.068407", "*", 
        RowBox[{"Att", "^", "4"}]}], "-", 
       RowBox[{"2.264870", "*", 
        RowBox[{"Att", "^", "3"}]}], "-", 
       RowBox[{"29.112936", "*", 
        RowBox[{"Att", "^", "2"}]}], "-", 
       RowBox[{"37.638786", "*", "Att"}], "+", "1419.847969"}], ")"}], "/", 
     "1000."}]}], ";"}], "\[IndentingNewLine]", "\n", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"PowerTab", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"powSheetFun", "[", 
       RowBox[{"-", "9.7"}], "]"}], "*", "0.95"}], ",", 
     RowBox[{"powDimpleFun", "[", 
      RowBox[{"-", "12"}], "]"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
     RowBox[{"0", "*", "10.4"}]}], "}"}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "W", " ", 
     RowBox[{"for", " ", "@", "DT"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "9.7"}], ",", 
       RowBox[{"-", "3.9"}], ",", 
       RowBox[{"-", "12"}]}], ")"}]}], "  ", "=", 
    RowBox[{">", " ", 
     RowBox[{"SSBEC", " ", "main", " ", "data", " ", "set", " ", "  ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0.575", "*", "0.95"}], ",", 
        RowBox[{"0.145", "*", "0.95"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
        RowBox[{"0", "*", "10.4"}]}], "}"}]}]}]}], " ", "*)"}], " ", 
  "\[IndentingNewLine]", 
  RowBox[{"MsquaredTab", " ", "=", 
   RowBox[{"{", 
    RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"WaistXTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"15.7", ",", "27.", ",", "23.", ",", "92."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"old", " ", "value", " ", "for", " ", "sheet", " ", "14.5"}], ",",
     " ", 
    RowBox[{"not", " ", "15.7"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"WaistYTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"110.", ",", "27.", ",", "23.", ",", "92."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Theta]Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Phi]Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"X0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Y0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Z0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Lambda]Tab", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
     "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Alpha]Tab", " ", "=", 
   RowBox[{"{", 
    RowBox[{
    "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
     "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"atomic", " ", "unit"}], " ", "*)"}], "\n", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"{", 
     RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
      RowBox[{"transparency", " ", "vert"}], ",", " ", 
      RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"powSheetFun", "[", 
         RowBox[{"-", "9.1"}], "]"}], "*", "0.95"}], ",", 
       RowBox[{"powDimpleFun", "[", 
        RowBox[{"-", "11.5"}], "]"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
       RowBox[{"0", "*", "10.4"}]}], "}"}]}], ";", "   ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "W", " ", 
      RowBox[{"for", " ", "@", "DT"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "9.1"}], ",", 
        RowBox[{"-", "4"}], ",", 
        RowBox[{"-", "11.5"}]}], ")"}]}], "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"15.7", ",", "27.", ",", "23", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "23", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";", 
    " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"atomic", " ", "unit"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"{", 
     RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
      RowBox[{"transparency", " ", "vert"}], ",", " ", 
      RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"powSheetFun", "[", 
         RowBox[{"-", "9.7"}], "]"}], "*", "0.95"}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"powDimpleFun", "[", 
         RowBox[{"-", "12"}], "]"}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"(", 
         RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
       RowBox[{"0", "*", "10.4"}]}], "}"}]}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"in", " ", "W", " ", 
       RowBox[{"for", " ", "@", "DT"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "9.7"}], ",", 
         RowBox[{"-", "3.9"}], ",", 
         RowBox[{"-", "12"}]}], ")"}]}], "  ", "=", 
      RowBox[{">", " ", 
       RowBox[{"SSBEC", " ", "main", " ", "data", " ", "set", " ", "  ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0.575", "*", "0.95"}], ",", 
          RowBox[{"0.145", "*", "0.95"}], ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
          RowBox[{"0", "*", "10.4"}]}], "}"}]}]}]}], " ", "*)"}], " ", 
    "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"14.5", ",", "27.", ",", "23.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "23.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";", 
    " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"atomic", " ", "unit"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Alpha]Tab3P1", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPG3P1Sr", ",", "\[Alpha]PolarIPG3P1Sr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPG3P1Sr"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Power: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.719734073769492*^9, 3.7197341228395596`*^9}, {3.7197341865133104`*^9, 
   3.7197342789691334`*^9}, {3.7197343148477635`*^9, 3.719734336700366*^9}, {
   3.7197343764349933`*^9, 3.7197344120350423`*^9}, {3.7197344514142857`*^9, 
   3.71973448305433*^9}, {3.7197361695534525`*^9, 3.71973652993395*^9}, {
   3.7197367287202907`*^9, 3.719736825700424*^9}, {3.719736863871477*^9, 
   3.7197368791314983`*^9}, {3.7197369247040195`*^9, 
   3.7197370245241575`*^9}, {3.719737184228448*^9, 3.7197371935384607`*^9}, {
   3.7197372908300533`*^9, 3.719737365114664*^9}, {3.719737398126776*^9, 
   3.7197374618533916`*^9}, {3.719737517591997*^9, 3.7197375178019977`*^9}, {
   3.719737585322091*^9, 3.7197376399442005`*^9}, {3.7197376841172633`*^9, 
   3.7197376898272715`*^9}, {3.7197377431993933`*^9, 3.719737889667735*^9}, {
   3.719737927819822*^9, 3.7197379435098433`*^9}, {3.7197380047919617`*^9, 
   3.7197380477640553`*^9}, {3.719738224646333*^9, 3.719738225226334*^9}, {
   3.719739819974985*^9, 3.7197398206549854`*^9}, {3.719739887487097*^9, 
   3.7197398877670975`*^9}, {3.7197400449833655`*^9, 3.719740045333366*^9}, {
   3.719740312335746*^9, 3.719740312475746*^9}, {3.7197403835278645`*^9, 
   3.7197403850878663`*^9}, {3.719821996481608*^9, 3.719822001997924*^9}, {
   3.7198220621013613`*^9, 3.7198220657915726`*^9}, {3.719822105493843*^9, 
   3.719822109667082*^9}, {3.719822161757061*^9, 3.719822166407327*^9}, {
   3.719822208055709*^9, 3.7198222117679214`*^9}, {3.7198237503968167`*^9, 
   3.7198237509768176`*^9}, {3.7198237831788635`*^9, 
   3.7198237898588724`*^9}, {3.7198239502711134`*^9, 
   3.7198239509111147`*^9}, {3.7198241242633643`*^9, 3.719824153265425*^9}, {
   3.719824211517519*^9, 3.719824252869594*^9}, {3.7198242873516583`*^9, 
   3.7198243196737204`*^9}, {3.719837823583614*^9, 3.7198378987177553`*^9}, {
   3.7198379468598375`*^9, 3.719837947929839*^9}, {3.719837995351921*^9, 
   3.719837996601923*^9}, {3.7198380967420607`*^9, 3.7198380970420613`*^9}, {
   3.7198382877323246`*^9, 3.719838289962328*^9}, {3.7198384641025677`*^9, 
   3.7198384643025684`*^9}, {3.719838531044673*^9, 3.719838531554674*^9}, {
   3.719838619129826*^9, 3.719838619309826*^9}, 3.719838684291926*^9, 
   3.7198387330140142`*^9, {3.7198387736260843`*^9, 3.719838774556086*^9}, {
   3.7198388554882135`*^9, 3.7198388563582144`*^9}, {3.719838902520297*^9, 
   3.7198389032202983`*^9}, {3.719838986942433*^9, 3.719838987212433*^9}, {
   3.7198391303526306`*^9, 3.719839131262632*^9}, {3.719840417788425*^9, 
   3.71984049419853*^9}, {3.7198406187707143`*^9, 3.719840619910716*^9}, {
   3.719905054109453*^9, 3.7199050737994804`*^9}, {3.7199060923484554`*^9, 
   3.719906100058466*^9}, {3.7199061624505644`*^9, 3.719906163720566*^9}, {
   3.719906196412629*^9, 3.719906197752631*^9}, {3.7199063525548563`*^9, 
   3.7199063530148563`*^9}, {3.7199064525380077`*^9, 3.719906462448022*^9}, {
   3.719922144132188*^9, 3.7199221493821955`*^9}, {3.7199221815242577`*^9, 
   3.7199222077563066`*^9}, {3.7199222404183645`*^9, 
   3.7199222409083652`*^9}, {3.7199223100624876`*^9, 3.719922310582488*^9}, {
   3.719922357614565*^9, 3.7199223578045654`*^9}, {3.71992239366663*^9, 
   3.71992239405663*^9}, {3.7199224355186987`*^9, 3.7199224358386993`*^9}, {
   3.719922469890757*^9, 3.7199224707307587`*^9}, {3.719922530632856*^9, 
   3.7199225322328587`*^9}, {3.7201606252342777`*^9, 3.720160628840484*^9}, {
   3.7201730442847676`*^9, 3.7201730451358166`*^9}, {3.720173190240116*^9, 
   3.7201731993096347`*^9}, {3.720173247575395*^9, 3.7201732477894077`*^9}, 
   3.720173285526566*^9, {3.720173320860587*^9, 3.7201733234547353`*^9}, {
   3.720173364994111*^9, 3.7201733672892427`*^9}, {3.7201734215763474`*^9, 
   3.720173427280674*^9}, {3.720173470132125*^9, 3.720173472943286*^9}, {
   3.720173566256623*^9, 3.72017356655764*^9}, {3.720173683311318*^9, 
   3.720173684201369*^9}, 3.7201741942425413`*^9, {3.7201742531269093`*^9, 
   3.720174253699942*^9}, {3.7201742940902524`*^9, 3.72017431712457*^9}, {
   3.7201758083938656`*^9, 3.7201758099729557`*^9}, {3.720180328271388*^9, 
   3.720180328585406*^9}, {3.7201806002729454`*^9, 3.7201806007049704`*^9}, 
   3.72018140949223*^9, {3.720181724486247*^9, 3.720181724597253*^9}, 
   3.7201818653313026`*^9, {3.7201821144325504`*^9, 3.7201821148715754`*^9}, {
   3.7201822608799267`*^9, 3.7201822611589427`*^9}, 3.720182378003626*^9, {
   3.72018247808335*^9, 3.720182478925398*^9}, {3.720182547301309*^9, 
   3.720182547962347*^9}, 3.720182654228425*^9, {3.7201828061421137`*^9, 
   3.720182807422187*^9}, {3.720183360003793*^9, 3.7201833604458184`*^9}, {
   3.720183414743924*^9, 3.7201834150529413`*^9}, {3.7201848613202066`*^9, 
   3.7201849357254624`*^9}, {3.72018496715226*^9, 3.720184976040768*^9}, {
   3.72018500649151*^9, 3.7201850570264006`*^9}, {3.7201850970656905`*^9, 
   3.7201850989948006`*^9}, {3.7201851572601333`*^9, 3.720185159441258*^9}, {
   3.7201852260940704`*^9, 3.720185226629101*^9}, {3.7201852616201024`*^9, 
   3.7201852635282116`*^9}, {3.720185341325661*^9, 3.7201853751045933`*^9}, {
   3.7201854524520173`*^9, 3.720185456458246*^9}, {3.720185852238884*^9, 
   3.720185854181995*^9}, {3.720185884528731*^9, 3.720185890064047*^9}, {
   3.720185981268264*^9, 3.720185981762292*^9}, {3.720186411158852*^9, 
   3.7201864115118723`*^9}, {3.7201865075153637`*^9, 3.720186526702461*^9}, {
   3.7201866649373674`*^9, 3.720186735660413*^9}, {3.720186917196796*^9, 
   3.720186919614934*^9}, {3.720186951679768*^9, 3.7201870534245872`*^9}, {
   3.720187088828613*^9, 3.720187102890417*^9}, {3.720187190237413*^9, 
   3.7201872672848196`*^9}, {3.7201873194828053`*^9, 
   3.7201873362667656`*^9}, {3.7201873976742773`*^9, 
   3.7201874140382137`*^9}, {3.720187462436982*^9, 3.7201874646341076`*^9}, {
   3.720187511310777*^9, 3.7201875163470654`*^9}, {3.7201876386170588`*^9, 
   3.7201876576211457`*^9}, {3.7201876933631897`*^9, 
   3.7201876984614816`*^9}, {3.720187743972085*^9, 3.72018774475513*^9}, {
   3.7201879895351305`*^9, 3.720187997171567*^9}, {3.720188283798961*^9, 
   3.72018833972616*^9}, {3.7201886960805426`*^9, 3.720188729831473*^9}, {
   3.7201900034323187`*^9, 3.7201900099566917`*^9}, {3.72024544489887*^9, 
   3.7202454753026094`*^9}, {3.7202455655027685`*^9, 
   3.7202455680619144`*^9}, {3.7202456150726037`*^9, 
   3.7202456155406303`*^9}, {3.720245658944113*^9, 3.72024566379139*^9}, {
   3.7202456939011126`*^9, 3.720245694157127*^9}, {3.720245886740142*^9, 
   3.720245888816261*^9}, {3.720245952024876*^9, 3.7202459609863887`*^9}, {
   3.7202462358368483`*^9, 3.7202462416468563`*^9}, {3.7202462956109676`*^9, 
   3.720246298710972*^9}, {3.720246406543135*^9, 3.72024641008314*^9}, 
   3.720246643135479*^9, {3.7202467104675894`*^9, 3.7202467408176312`*^9}, {
   3.720246788287697*^9, 3.720246788477697*^9}, {3.720246831309776*^9, 
   3.720246881871866*^9}, {3.720249855124486*^9, 3.7202498722445097`*^9}, {
   3.7202499266066027`*^9, 3.7202499267666025`*^9}, {3.720249979878691*^9, 
   3.720249980178692*^9}, {3.720250039650789*^9, 3.720250039980789*^9}, {
   3.72025009069287*^9, 3.7202500933228736`*^9}, {3.7202502108570633`*^9, 
   3.720250224367082*^9}, {3.7202502749691715`*^9, 3.720250308879218*^9}, {
   3.720250408659356*^9, 3.7202504090493565`*^9}, {3.7202504392093983`*^9, 
   3.7202504583794246`*^9}, {3.7202505265815353`*^9, 
   3.7202505320615425`*^9}, {3.7202505913636446`*^9, 3.720250605963665*^9}, {
   3.7202507560158863`*^9, 3.7202507662659006`*^9}, {3.7202508056259546`*^9, 
   3.7202508370759983`*^9}, {3.7202508860580816`*^9, 
   3.7202508870980835`*^9}, {3.7202690803201017`*^9, 3.720269087170111*^9}, {
   3.720270034685447*^9, 3.72027003670545*^9}, {3.7202700716575155`*^9, 
   3.7202700782675247`*^9}, {3.7202701196195974`*^9, 
   3.7202701223796005`*^9}, {3.7202740675530834`*^9, 
   3.7202740680330844`*^9}, {3.720276648361673*^9, 3.7202766586116867`*^9}, {
   3.720276812983918*^9, 3.7202768167539234`*^9}, {3.7202815621345186`*^9, 
   3.720281562774519*^9}, {3.720281662286667*^9, 3.7202816626866674`*^9}, {
   3.720281710328745*^9, 3.7202817154587517`*^9}, {3.7207791762553525`*^9, 
   3.7207791862653666`*^9}, 3.720781067202996*^9, 3.7207810990060587`*^9, 
   3.7207811677301674`*^9, {3.721128157070932*^9, 3.721128195819148*^9}, {
   3.721128248279149*^9, 3.721128254961531*^9}, {3.7211282913126106`*^9, 
   3.721128292862699*^9}, {3.721128779887555*^9, 3.721128780029563*^9}, {
   3.721129757507472*^9, 3.721129790841378*^9}, {3.721130293308118*^9, 
   3.7211302953942375`*^9}, {3.7211303824512167`*^9, 3.721130382846239*^9}, 
   3.721130449387045*^9, 3.7211305112905855`*^9, {3.721130582994687*^9, 
   3.7211305889670286`*^9}, {3.721137585980235*^9, 3.721137590984521*^9}, {
   3.72138433762089*^9, 3.721384365044459*^9}, {3.72138446857238*^9, 
   3.7213844734666605`*^9}, 3.7214566882425437`*^9, {3.7214567641198835`*^9, 
   3.7214567645769095`*^9}, 3.721485717648896*^9, {3.72148596923489*^9, 
   3.721485999667631*^9}, 3.7214864469942164`*^9, 3.721487139612832*^9, 
   3.721487360555469*^9, {3.721487403498925*^9, 3.7214874269062643`*^9}, {
   3.721489159766378*^9, 3.72148923830087*^9}, 3.7214894079405727`*^9, {
   3.721494619480902*^9, 3.72149464495243*^9}, {3.7215764359042506`*^9, 
   3.721576456089405*^9}, {3.721576514209729*^9, 3.721576524058293*^9}, {
   3.721576862167631*^9, 3.7215769379309645`*^9}, {3.7215806227807436`*^9, 
   3.721580628194953*^9}, {3.7215808491452017`*^9, 3.7215808561464157`*^9}, {
   3.7215809279677477`*^9, 3.721580930493353*^9}, {3.7215809780816402`*^9, 
   3.7215810901650476`*^9}, {3.7215816241029406`*^9, 3.721581625445543*^9}, {
   3.721631047917037*^9, 3.721631064414336*^9}, {3.721657873684622*^9, 
   3.721657916823089*^9}, {3.7216581071889777`*^9, 3.72165814551717*^9}, {
   3.721658524074822*^9, 3.721658528098052*^9}, 3.7216590210792494`*^9, 
   3.7216590699200425`*^9, 3.721659117742778*^9, {3.7216592020466*^9, 
   3.7216592225097704`*^9}, {3.7219800238946486`*^9, 
   3.7219800510762978`*^9}, {3.7219805320391736`*^9, 3.721980532475974*^9}, {
   3.722000753355342*^9, 3.72200077254644*^9}, 3.722001753475546*^9, 
   3.7220018561694193`*^9, {3.722246973820743*^9, 3.7222469815401845`*^9}, {
   3.7222477334541917`*^9, 3.7222477573175564`*^9}, {3.7222478475507174`*^9, 
   3.7222479338386526`*^9}, {3.723977446428788*^9, 3.723977457911445*^9}, {
   3.7239775282574687`*^9, 3.723977529945565*^9}, {3.7239823429118514`*^9, 
   3.7239823697343855`*^9}, {3.7239824061024656`*^9, 
   3.7239824066194954`*^9}, {3.7240284629445157`*^9, 
   3.7240284862198467`*^9}, {3.7240286235977044`*^9, 
   3.7240286241137342`*^9}, {3.7240286666411667`*^9, 
   3.7240286672362003`*^9}, {3.7240299837334995`*^9, 3.724029984492543*^9}, {
   3.726386193186821*^9, 3.7263863463070326`*^9}, {3.726386529961662*^9, 
   3.726386530841663*^9}, {3.726386581551733*^9, 3.7263865818817334`*^9}, {
   3.7362229404596663`*^9, 3.736222942892805*^9}, {3.7362284669972506`*^9, 
   3.736228494780899*^9}, {3.736228554950204*^9, 3.7362285588970103`*^9}, {
   3.7506827706227446`*^9, 3.7506828001024303`*^9}, {3.7507447978931875`*^9, 
   3.7507448747175817`*^9}, {3.7507451323263164`*^9, 
   3.7507451429239225`*^9}, {3.7507455231936727`*^9, 
   3.7507456299067764`*^9}, {3.7507456759024067`*^9, 3.7507457396580534`*^9}, 
   3.7507628821605487`*^9, {3.7507632576910276`*^9, 3.7507632583510656`*^9}, {
   3.7507633942118363`*^9, 3.7507634361172333`*^9}, {3.777712543623285*^9, 
   3.777712557211062*^9}, {3.7777125914280195`*^9, 3.7777126283381305`*^9}, {
   3.777712677832961*^9, 3.7777126796810665`*^9}, {3.77771281977908*^9, 
   3.7777128289496045`*^9}, {3.777712864315627*^9, 3.777712865965722*^9}, 
   3.7777131752134094`*^9, {3.7777132612973337`*^9, 3.7777132768242216`*^9}, {
   3.7777134400495577`*^9, 3.7777134448428316`*^9}, {3.7777141973898745`*^9, 
   3.7777141974798803`*^9}, {3.7777185879289994`*^9, 
   3.7777186027008443`*^9}, {3.7777186332625923`*^9, 3.777718638518893*^9}, {
   3.777718674985979*^9, 3.7777186920239534`*^9}, {3.777719203975235*^9, 
   3.7777192075854416`*^9}, {3.7777192786515064`*^9, 3.777719281768685*^9}, {
   3.7777195254266214`*^9, 3.7777195524281654`*^9}, {3.7777196056112075`*^9, 
   3.7777196058992243`*^9}, {3.777719651440829*^9, 3.777719674504148*^9}, {
   3.778932899483763*^9, 3.778932902496936*^9}, {3.7789329481355457`*^9, 
   3.7789329515467415`*^9}, {3.7794201280365896`*^9, 
   3.7794201356610255`*^9}, {3.779420263037311*^9, 3.7794202652324367`*^9}, {
   3.779796993954721*^9, 3.7797970140891576`*^9}, {3.7797977145519924`*^9, 
   3.7797977813567095`*^9}, {3.7797978329308004`*^9, 
   3.7797978332896013`*^9}, {3.779797873801273*^9, 3.779797873958273*^9}, {
   3.7797979041251264`*^9, 3.779797904437127*^9}, {3.7803217969585505`*^9, 
   3.7803218211595883`*^9}, {3.7803223793974104`*^9, 
   3.7803223798174114`*^9}, {3.7803811986908293`*^9, 3.780381233274808*^9}, {
   3.780381274329156*^9, 3.7803812755342245`*^9}, {3.7809122528493047`*^9, 
   3.7809122536983533`*^9}, {3.78091233232485*^9, 3.780912336256075*^9}, {
   3.780912847662326*^9, 3.7809130042772837`*^9}, {3.78091858581553*^9, 
   3.7809186104509387`*^9}, {3.780918703730274*^9, 3.7809187063284225`*^9}, {
   3.780918756026265*^9, 3.780918756330282*^9}, {3.780918822149047*^9, 
   3.7809188236551332`*^9}, {3.780982186543598*^9, 3.780982190995853*^9}, {
   3.780983047042816*^9, 3.7809830514170666`*^9}, {3.780983778188635*^9, 
   3.780983778833672*^9}, {3.785418378402396*^9, 3.78541841220533*^9}, {
   3.785418987387228*^9, 3.7854189882902794`*^9}, {3.7854191202708282`*^9, 
   3.7854191206898527`*^9}, {3.7854191761170225`*^9, 3.785419176401039*^9}, {
   3.785419418823905*^9, 3.7854194202359858`*^9}, {3.7854200534372025`*^9, 
   3.7854200575994406`*^9}, {3.785420209750143*^9, 3.785420212734314*^9}, {
   3.7854893914688864`*^9, 3.785489392262932*^9}, {3.7855669704574156`*^9, 
   3.7855669707514324`*^9}, {3.7855670127978373`*^9, 
   3.7855670131188555`*^9}, {3.785646044958697*^9, 3.7856460536451936`*^9}, {
   3.786089149985133*^9, 3.7860891533713264`*^9}, {3.7860892534500513`*^9, 
   3.78608925378407*^9}, {3.7860894252318764`*^9, 3.786089425586897*^9}, {
   3.7860894770158386`*^9, 3.78608950046618*^9}, {3.7860898389955425`*^9, 
   3.7860898397795873`*^9}, {3.7860898713603935`*^9, 
   3.7860898843021336`*^9}, {3.7906831868889465`*^9, 
   3.7906832057400255`*^9}, {3.790683261038188*^9, 3.790683276717085*^9}, {
   3.7906836140073767`*^9, 3.79068362227485*^9}, {3.790684595510515*^9, 
   3.7906846144826*^9}, {3.790685040982995*^9, 3.790685042245067*^9}, {
   3.790685085263528*^9, 3.7906850854215364`*^9}, {3.790687216244413*^9, 
   3.7906872166754375`*^9}, {3.790774328169011*^9, 3.7907743414947734`*^9}, {
   3.790777976213803*^9, 3.790777981502105*^9}, {3.7907781110085125`*^9, 
   3.7907781149687395`*^9}, {3.7907781758802233`*^9, 
   3.7907782606150694`*^9}, {3.7907783267238507`*^9, 
   3.7907783428567734`*^9}, {3.790778374318573*^9, 3.7907784039022655`*^9}, {
   3.7907784593344355`*^9, 3.790778460441499*^9}, {3.790778525998249*^9, 
   3.7907785261232557`*^9}, {3.790778610106059*^9, 3.790778611931164*^9}, {
   3.790781636534161*^9, 3.7907816381392527`*^9}, {3.7907834754343405`*^9, 
   3.790783483683812*^9}, {3.790783566592554*^9, 3.7907835667235613`*^9}, {
   3.7907835975463247`*^9, 3.7907835977573366`*^9}, {3.7907836700344706`*^9, 
   3.79078367036749*^9}, {3.7907837860561066`*^9, 3.7907838845437403`*^9}, {
   3.790783914873475*^9, 3.790783915700522*^9}, {3.790784039391597*^9, 
   3.790784039605609*^9}, 3.790784076630727*^9, {3.790784206366147*^9, 
   3.7907842073162017`*^9}, {3.790784272829949*^9, 3.790784273008959*^9}, {
   3.790784354303609*^9, 3.790784356404729*^9}, {3.790784520473113*^9, 
   3.7907845216861825`*^9}, {3.790784839774376*^9, 3.79078484124146*^9}, {
   3.790784965359559*^9, 3.7907849656605763`*^9}, {3.790785181084898*^9, 
   3.7907851812709084`*^9}, {3.7907854122781215`*^9, 
   3.7907854214796476`*^9}, {3.7907854756707473`*^9, 
   3.7907854762017775`*^9}, {3.790785527557715*^9, 3.790785529512827*^9}, {
   3.7907855886272078`*^9, 3.790785595153581*^9}, {3.7907856288145065`*^9, 
   3.7907856955383224`*^9}, {3.7907861851593275`*^9, 3.790786235609213*^9}, 
   3.7907865567945843`*^9, {3.7907866674599133`*^9, 3.790786693876425*^9}, {
   3.7908523250843153`*^9, 3.790852336968995*^9}, {3.7908524840214057`*^9, 
   3.790852485459488*^9}, {3.7908529560104017`*^9, 3.7908530841587315`*^9}, {
   3.790854273072734*^9, 3.790854288026589*^9}, {3.790854324969702*^9, 
   3.7908543412506332`*^9}, {3.7908545306444654`*^9, 3.790854630276164*^9}, {
   3.7908564653151226`*^9, 3.7908564682352896`*^9}, {3.7908568106308737`*^9, 
   3.7908568334481783`*^9}, {3.790856865084988*^9, 3.7908568664170647`*^9}, {
   3.790856914273802*^9, 3.7908569326678534`*^9}, {3.790856978983503*^9, 
   3.790856979210516*^9}, {3.790857217728158*^9, 3.790857217854165*^9}, {
   3.790857298809796*^9, 3.7908573245922704`*^9}, {3.790857365126589*^9, 
   3.7908573661006446`*^9}, 3.7908574090291*^9, {3.7908574440441027`*^9, 
   3.790857523243633*^9}, {3.790857554983448*^9, 3.7908575574565897`*^9}, {
   3.7908575974088745`*^9, 3.7908576271435757`*^9}, {3.7908576713101015`*^9, 
   3.790857671424108*^9}, {3.7908585669733305`*^9, 3.7908585701195107`*^9}, {
   3.790858744133464*^9, 3.7908587445504875`*^9}, {3.7908588025378036`*^9, 
   3.790858821081865*^9}, {3.790858896516179*^9, 3.7908591593322115`*^9}, {
   3.7908591899829645`*^9, 3.7908591932511516`*^9}, {3.79085961649736*^9, 
   3.7908596179834447`*^9}, {3.790861670407837*^9, 3.7908616726739664`*^9}, {
   3.7908626240233803`*^9, 3.790862628930661*^9}, {3.7908626606144733`*^9, 
   3.790862662075557*^9}, {3.791608883817178*^9, 3.7916089114447575`*^9}, {
   3.791608974636372*^9, 3.791608980916731*^9}, {3.7916092266227846`*^9, 
   3.791609420483873*^9}, {3.791609452482703*^9, 3.7916095064987926`*^9}, {
   3.791609546372073*^9, 3.7916097520958405`*^9}, {3.7916098325804434`*^9, 
   3.791609839650848*^9}, {3.7916099345972786`*^9, 3.791610032198861*^9}, {
   3.7921343518390646`*^9, 3.792134357576393*^9}, {3.794817040853264*^9, 
   3.79481706456962*^9}, {3.7948172059597073`*^9, 3.794817227388933*^9}, {
   3.794817477473237*^9, 3.794817495126247*^9}, {3.7948185188558006`*^9, 
   3.794818545713337*^9}, {3.79482662314734*^9, 3.794826633199915*^9}, {
   3.7949915332671804`*^9, 3.794991618112034*^9}, 3.794992242123725*^9, {
   3.794992340835371*^9, 3.794992414614591*^9}, {3.795004859031371*^9, 
   3.795004869648978*^9}, {3.7950051389193797`*^9, 3.795005180907781*^9}, {
   3.795005249365697*^9, 3.7950053402368946`*^9}, {3.800438954382927*^9, 
   3.8004389999935355`*^9}, {3.800691773352851*^9, 3.8006918343163376`*^9}, {
   3.801381369468474*^9, 3.8013813745827665`*^9}, {3.8013816820963554`*^9, 
   3.8013816856885605`*^9}, {3.801381725272825*^9, 3.80138174826714*^9}, {
   3.8013817854892693`*^9, 3.8013817880464153`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.`", ",", "0.4705882352941177`", ",", "0.8823529411764706`"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7950048710130568`*^9, {3.7950052926671734`*^9, 3.7950053330864854`*^9}, 
   3.8004387058187094`*^9, 3.8004387482821383`*^9, {3.8004389563910418`*^9, 
   3.8004390005095654`*^9}, {3.8006917462212987`*^9, 3.8006917847225013`*^9}, 
   3.800691837726533*^9, 3.801381342266918*^9, 3.801381378099968*^9, 
   3.801381686340598*^9, {3.801381727315942*^9, 3.8013817492891984`*^9}, 
   3.8013817886824512`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"190", ",", "114", ",", "190"}], "}"}]], "Output",
 CellChangeTimes->{
  3.7950048710130568`*^9, {3.7950052926671734`*^9, 3.7950053330864854`*^9}, 
   3.8004387058187094`*^9, 3.8004387482821383`*^9, {3.8004389563910418`*^9, 
   3.8004390005095654`*^9}, {3.8006917462212987`*^9, 3.8006917847225013`*^9}, 
   3.800691837726533*^9, 3.801381342266918*^9, 3.801381378099968*^9, 
   3.801381686340598*^9, {3.801381727315942*^9, 3.8013817492891984`*^9}, 
   3.801381788686452*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5418745985135789`", ",", "0.13074600000000008`", ",", "0.00994784`", 
     ",", "0.`"}], "}"}], "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Power: ", {0.5418745985135789, 0.13074600000000008`, 0.00994784, 0.}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7916099387095137`*^9, 3.7916099616888285`*^9}, 
   3.79161001486187*^9, 3.7921342855112705`*^9, 3.7921343582194295`*^9, {
   3.794817034607907*^9, 3.794817051428869*^9}, 3.7948172280049686`*^9, 
   3.7948173848759413`*^9, {3.794817477989267*^9, 3.7948174959882965`*^9}, {
   3.794818522411004*^9, 3.794818548023469*^9}, 3.795004871023057*^9, {
   3.795005292690175*^9, 3.7950053331024866`*^9}, 3.8004387058327103`*^9, 
   3.800438748298139*^9, {3.800438956399042*^9, 3.8004390005185657`*^9}, {
   3.8006917462373*^9, 3.8006917847285013`*^9}, 3.8006918377425337`*^9, 
   3.8013813423419223`*^9, 3.8013813781149683`*^9, 3.8013816863465986`*^9, {
   3.801381727322942*^9, 3.8013817492981987`*^9}, 3.801381788689452*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Display DT potential", "Item",
 CellChangeTimes->{{3.750746832403555*^9, 3.750746845568308*^9}, {
  3.7507472053488865`*^9, 3.7507472064959517`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITab", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTab", ",", "WaistXTab", ",", "WaistYTab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTab", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITab", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighXTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistXTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighYTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistYTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTab", ",", "WaistXTab", ",", "WaistYTab", ",", "ZRayleighXTab", 
       ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", "\[Phi]Tab", ",", 
       "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", " ", 
     RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
    RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
     RowBox[{
     "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTab", ",", "mAssSr"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gSaggSrNum", " ", "=", " ", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"gSaggSrNum", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
       ",", 
       RowBox[{"{", "1", "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]X", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{
               RowBox[{"xx", "+", "xOffset"}], ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], 
              "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"xx", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"xx", "->", 
            RowBox[{"(", "X", ")"}]}]}], ")"}], "/.", 
         RowBox[{"X", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Y", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"yy", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"yy", "->", 
            RowBox[{"(", "Y", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Y", "\[Rule]", "gSaggSrNum"}]}], ")"}], " ", "/", 
       "mAssSr"}], "]"}], "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]Z", "=", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"Abs", "[", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"XYZDipPotFun", "[", 
               RowBox[{"xOffset", ",", 
                RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", 
                RowBox[{"zz", "+", "zOffset"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"zz", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"zz", "->", 
             RowBox[{"(", "Z", ")"}]}]}], ")"}], "/.", 
          RowBox[{"Z", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], 
       "]"}], "]"}], "*", " ", 
     RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDepth", "=", 
   RowBox[{"XYZDipPotFun", "[", 
    RowBox[{"xOffset", ",", 
     RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TrapEdgeByGrav", "=", " ", 
   RowBox[{"FindMaximum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", 
         RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0."}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "\[LessEqual]", " ", "yy", 
        "\[LessEqual]", 
        RowBox[{"400.", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"55.", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", " ", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDipTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"TrapEdgeByGrav", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PosTrapEdgeByGrav", " ", "=", " ", 
    RowBox[{"yy", "/.", 
     RowBox[{"TrapEdgeByGrav", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"xx", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
      ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
    RowBox[{"10", "^", "6."}]}], ",", 
   RowBox[{"{", 
    RowBox[{"xx", ",", 
     RowBox[{"-", "700."}], ",", "700."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in X axis\>\""}], 
   ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{"xOffset", ",", 
      RowBox[{
       RowBox[{"yy", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", "zOffset"}], 
     "]"}], "*", "ctePlanckOverkB", " ", "*", 
    RowBox[{"10", "^", "6."}]}], ",", 
   RowBox[{"{", 
    RowBox[{"yy", ",", 
     RowBox[{"-", "300."}], ",", "300."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Y axis\>\""}], 
   ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{"xOffset", ",", "yOffset", ",", 
       RowBox[{
        RowBox[{"zz", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", 
    RowBox[{"{", 
     RowBox[{"zz", ",", 
      RowBox[{"-", "1600"}], ",", "1600"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
    RowBox[{
    "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Z axis\>\""}], 
    ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
      "}"}]}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Beam powers: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rayleigh length axis 1: \>\"", " ", ",", 
   RowBox[{"ZRayleighXTab", "*", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Rayleigh length axis 2: \>\"", " ", ",", 
    RowBox[{"ZRayleighYTab", "*", 
     RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]X", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]Y", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
     RowBox[{
      RowBox[{"\[Omega]Z", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Grav sagging: \>\"", " ", ",", 
   RowBox[{"gSaggSrNum", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Absolute potential depth: \>\"", " ", ",", 
   RowBox[{"PotDepth", "*", "ctePlanck", "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Edge of the trap between tranport DT and sheet DT: \>\"", ",", 
     RowBox[{"PosTrapEdgeByGrav", "*", 
      RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Trap depth: \>\"", " ", ",", 
   RowBox[{"UdipTab", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Effective trap depth: \>\"", ",", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"PotDipTrapEdgeByGrav", " ", "-", "PotDepth"}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.7197386048911114`*^9, 3.719738605608152*^9}, {3.719738648634557*^9, 
   3.719738676855596*^9}, {3.719739932359174*^9, 3.7197399377291813`*^9}, {
   3.7197399752412496`*^9, 3.7197399870912657`*^9}, 3.7198221739167566`*^9, {
   3.719823712196764*^9, 3.7198237279767857`*^9}, {3.7198385766077533`*^9, 
   3.7198385783877554`*^9}, {3.7199057240019007`*^9, 3.719905739391922*^9}, {
   3.7199058264440594`*^9, 3.71990583412407*^9}, {3.7199058651741133`*^9, 
   3.7199058719441223`*^9}, {3.719905913506194*^9, 3.7199059152661963`*^9}, 
   3.7199222698204207`*^9, {3.720173300657431*^9, 3.720173337943564*^9}, {
   3.720173722037533*^9, 3.720173742179685*^9}, {3.7201743683204985`*^9, 
   3.72017437254574*^9}, {3.720174482765044*^9, 3.7201744958137903`*^9}, {
   3.7201745402443314`*^9, 3.720174541739417*^9}, {3.7201746186378155`*^9, 
   3.720174668615674*^9}, {3.7201747081059327`*^9, 3.720174725602934*^9}, {
   3.7201747596758823`*^9, 3.720174780074049*^9}, {3.720174854079282*^9, 
   3.7201749148787594`*^9}, {3.720174949256726*^9, 3.7201749757732425`*^9}, {
   3.7201754634941387`*^9, 3.7201754807061234`*^9}, 3.720175598122839*^9, {
   3.7201855281053443`*^9, 3.7201855286313744`*^9}, {3.7201855692646985`*^9, 
   3.7201855724428806`*^9}, {3.720185621443683*^9, 3.7201856630040603`*^9}, {
   3.720185735696218*^9, 3.720185739544438*^9}, {3.720185912814348*^9, 
   3.7201859139234123`*^9}, {3.7202455310867996`*^9, 
   3.7202455323388715`*^9}, {3.7202457217307043`*^9, 
   3.7202458625817604`*^9}, {3.720245916877866*^9, 3.7202459196840262`*^9}, {
   3.7202459868828697`*^9, 3.720245988715975*^9}, {3.7202460767705545`*^9, 
   3.7202460773205557`*^9}, {3.720246107360617*^9, 3.7202461096106205`*^9}, {
   3.720246142012685*^9, 3.720246147742693*^9}, {3.7202461996647835`*^9, 
   3.720246201824786*^9}, {3.72024626607891*^9, 3.7202462667389107`*^9}, {
   3.7202469651740007`*^9, 3.7202470153380957`*^9}, {3.7202470697001905`*^9, 
   3.7202470764601994`*^9}, {3.720250120114921*^9, 3.7202501308849363`*^9}, {
   3.7202505029515023`*^9, 3.7202505060615067`*^9}, {3.7202691420522037`*^9, 
   3.7202691515622168`*^9}, {3.7207799442924137`*^9, 
   3.7207799554324293`*^9}, {3.7207810440109515`*^9, 
   3.7207810454109535`*^9}, {3.7264045192662487`*^9, 
   3.7264045476483073`*^9}, {3.7501623752658863`*^9, 3.750162380690197*^9}, {
   3.7501624362433743`*^9, 3.75016243913054*^9}, {3.7501629648146067`*^9, 
   3.7501629806835146`*^9}, {3.750163037752779*^9, 3.750163041703005*^9}, {
   3.75016322152929*^9, 3.7501632660988393`*^9}, {3.7507472360466423`*^9, 
   3.7507472934519253`*^9}, {3.78124152793388*^9, 3.7812415464759398`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJwUV3c8198XFtkSoozsWSSkssqVjJCsjJC998fnY++MEg3ZLVTfkCJJ1vt9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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in X axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.801381795399836*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJwtWHk0FO73ppQ1+74UM2MbZmOM3bzGVnYS6dNYItmyTKKiUEpS1mhT2alk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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in Y axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.8013817956138477`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJw1l3k01lsfxREeYyEJKdPvMYTbo+SW8Zgyi1CmzEOZQq6KuCEzFZInRV0p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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, -18.},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in Z axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.8013817958218603`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beam powers: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5418745985135789`", ",", "0.13074600000000008`", ",", "0.00994784`", 
     ",", "0.`"}], "}"}], "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Beam powers: ", {0.5418745985135789, 0.13074600000000008`, 0.00994784, 0.},
    " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 1: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.45231961050429204`", ",", "2.140393499501831`", ",", 
     "2.415555979286338`", ",", "20.369572713332317`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 1: ", {0.45231961050429204`, 2.140393499501831, 
   2.415555979286338, 20.369572713332317`}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.8013817958268604`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 2: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "22.204013497918506`", ",", "2.140393499501831`", ",", 
     "2.415555979286338`", ",", "20.369572713332317`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 2: ", {22.204013497918506`, 2.140393499501831, 
   2.415555979286338, 20.369572713332317`}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.8013817958298607`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]X for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "330.144445148454`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : ", 
   330.144445148454, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.8013817958318605`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Y for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "651.710844057879`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : ", 
   651.710844057879, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.801381795833861*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Z for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "316.89678696031154`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : ", 
   316.89678696031154`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.8013817958358607`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Grav sagging: \"\>", "\[InvisibleSpace]", 
   "0.5816479364227012`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Grav sagging: ", 0.5816479364227012, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.801381795838861*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Absolute potential depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "17.476791021000675`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Absolute potential depth: ", -17.476791021000675`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.8013817958408613`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Edge of the trap between tranport DT and sheet DT: \"\>", 
   "\[InvisibleSpace]", "21.03926975228803`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Edge of the trap between tranport DT and sheet DT: ", 21.03926975228803, 
   " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.801381795842861*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Trap depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "10.514332758478316`", ",", "6.010023148769077`", ",", 
     "0.9236908554379949`", ",", "0.`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Trap depth: ", {10.514332758478316`, 6.010023148769077, 0.9236908554379949,
    0.}, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.8013817958458614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap depth: \"\>", "\[InvisibleSpace]", 
   "8.171697902982345`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Effective trap depth: ", 8.171697902982345, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.8013817958478613`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Calibrations results", "Section",
 CellChangeTimes->{{3.790785816008213*^9, 3.790785823887664*^9}}],

Cell["\<\
Calibration of transport guide waist is provided by beam profile measurements \
from 170822 in onenote labbook (2017) 
=> 92 \[Micro]m M^2 = 1.22

Calibration of sheet DT is given by beam profile measurements of 171216 in \
onenote (2017).
=> 14.5 \[Micro]m vert / 110 \[Micro]m hor, M^2 = 1.6
Calibration of sheet DT from average Thomas Fermi radius of the SSBEC giving \
650Hz trap freq
=> 15.7 \[Micro]m vert (rest is the same) \
\>", "Text",
 CellChangeTimes->{{3.790684622550062*^9, 3.790684667470631*^9}, {
  3.7906848431336784`*^9, 3.7906848697592015`*^9}, {3.7907612223443193`*^9, 
  3.790761334490734*^9}, {3.790774505976181*^9, 3.7907745117915134`*^9}, {
  3.8013819184988766`*^9, 3.8013819896749477`*^9}}],

Cell[CellGroupData[{

Cell["\<\
180224 (2018)
Runme1802250002, vertical trapping freq of sheet DT (fit at 2\[Pi] 980 Hz)\
\>", "Text",
 CellChangeTimes->{{3.790783943276099*^9, 3.790784024028718*^9}, {
  3.790784100698103*^9, 3.790784103561267*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{"0.900", ",", "0.150", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"0.0159", "+", "0.0065"}], ")"}], "*", "0"}], ",", 
       RowBox[{"0", "*", "11."}]}], "}"}]}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"14.", ",", "27.", ",", "28.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "28.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7907839782490997`*^9, 3.790783978554117*^9}, {
  3.7907840638709965`*^9, 3.790784090702532*^9}, {3.7907841932753983`*^9, 
  3.7907842023099155`*^9}, {3.7907852059063177`*^9, 3.7907852061213303`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
180224 (2018) runme1802250005 and Runme180504003, vertical dimple frequency \
(+300 Hz) gives about 27 \[Micro]m \
\>", "Text",
 CellChangeTimes->{{3.7907841468737445`*^9, 3.7907841560162673`*^9}, {
  3.790784644155187*^9, 3.7907846947370806`*^9}, {3.7907849837086086`*^9, 
  3.790784987652834*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{"0.900", ",", "0.150", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"0.0159", "+", "0.0065"}], ")"}], "*", "0"}], ",", 
       RowBox[{"0", "*", "11."}]}], "}"}]}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"14.", ",", "27.", ",", "28.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "28.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7907848673809547`*^9, 3.7907848696480846`*^9}, {
  3.790785197299825*^9, 3.7907851975028367`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
180130 (2018) S15+19 horizontal transparency beam, 80.97 Hz with vertical \
dimple but no horizontal transp, 89.4 Hz with both, which gives 41.5 \
\[Micro]m. Also, included angle of 53deg between sheet and hor transp beam\
\>", "Text",
 CellChangeTimes->{{3.790859226646062*^9, 3.7908593730974383`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transparency", " ", "hor"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"PowerTab", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"0.120", "*", "0.95"}], ",", 
      RowBox[{"0.011", "*", "0.9366"}], ",", 
      RowBox[{"0", "*", 
       RowBox[{"(", 
        RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
      "0.0136", ",", 
      RowBox[{"0", "*", "11."}]}], "}"}]}], ";", "  ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"MsquaredTab", " ", "=", 
    RowBox[{"{", 
     RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], 
   ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"WaistXTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"14.5", ",", "27.", ",", "23", ",", "41.5", ",", "92."}], "}"}],
      "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
   RowBox[{"WaistYTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"110.", ",", "27.", ",", "23", ",", "41.5", ",", "92."}], "}"}],
      "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Theta]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"90.", ",", "0.", ",", "0.", ",", "90.", ",", "0."}], "}"}], 
     "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Phi]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "90.", ",", "90.", ",", "53.", ",", "0."}], "}"}], 
     "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"X0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], 
     "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Y0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Z0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Lambda]Tab", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
     "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
      "\[Lambda]DipTransparency", ",", "\[Lambda]DipTransparency", ",", 
      "\[Lambda]DipIPG"}], "}"}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Alpha]Tab", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
      "\[Alpha]Polar688Sr", ",", "\[Alpha]Polar688Sr", ",", 
      "\[Alpha]PolarIPGSr"}], "}"}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"atomic", " ", "unit"}], " ", "*)"}]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
190415 (2019) S13/15/18 vertical transparency beam, 95 Hz gives 23 \[Micro]m, \
consistent with direct beam measurements\
\>", "Text",
 CellChangeTimes->{{3.7907857229818926`*^9, 3.7907857867375393`*^9}, {
  3.7907858346752815`*^9, 3.790785844048817*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{"0.480", ",", 
       RowBox[{"0.150", "*", "0"}], ",", 
       RowBox[{"0.00646", "*", "0.9"}], ",", 
       RowBox[{"0", "*", "11."}]}], "}"}]}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"14.", ",", "27.", ",", "23", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "23", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], 
    ";"}]}]}]], "Input"]
}, Closed]]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1162, 572},
WindowMargins->{{Automatic, 92}, {40, Automatic}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1938, 43, 252, "Input"],
Cell[CellGroupData[{
Cell[2521, 67, 616, 15, 52, "Input"],
Cell[3140, 84, 724, 20, 57, "Output"]
}, Open  ]],
Cell[3879, 107, 3197, 71, 67, "Print"],
Cell[CellGroupData[{
Cell[7101, 182, 210, 3, 70, "Section"],
Cell[CellGroupData[{
Cell[7336, 189, 198, 3, 39, "Subsubsection"],
Cell[7537, 194, 652, 15, 52, "Input",
 Evaluatable->False],
Cell[8192, 211, 459, 11, 31, "Input",
 Evaluatable->False],
Cell[8654, 224, 94138, 1549, 331, "Input",
 Evaluatable->False],
Cell[102795, 1775, 4845, 140, 368, "Input"],
Cell[107643, 1917, 206, 4, 31, "Input"],
Cell[107852, 1923, 900, 12, 31, "Input"],
Cell[CellGroupData[{
Cell[108777, 1939, 404, 7, 31, "Input"],
Cell[109184, 1948, 1143, 33, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[110364, 1986, 447, 9, 31, "Input"],
Cell[110814, 1997, 1145, 33, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[111996, 2035, 153, 3, 31, "Input"],
Cell[112152, 2040, 1548, 28, 35, "Output"]
}, Open  ]],
Cell[113715, 2071, 874, 20, 52, "Input"],
Cell[CellGroupData[{
Cell[114614, 2095, 1364, 26, 92, "Input"],
Cell[115981, 2123, 1253, 37, 59, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[117283, 2166, 99, 1, 29, "Item"],
Cell[CellGroupData[{
Cell[117407, 2171, 55593, 1001, 1412, "Input"],
Cell[173003, 3174, 549, 10, 31, "Output"],
Cell[173555, 3186, 512, 9, 31, "Output"],
Cell[174070, 3197, 1119, 19, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[175238, 3222, 155, 2, 29, "Item"],
Cell[CellGroupData[{
Cell[175418, 3228, 33158, 624, 972, "Input"],
Cell[208579, 3854, 33314, 546, 228, "Output"],
Cell[241896, 4402, 11523, 189, 224, "Output"],
Cell[253422, 4593, 11017, 180, 234, "Output"],
Cell[264442, 4775, 5183, 76, 23, "Print"],
Cell[269628, 4853, 5259, 77, 23, "Print"],
Cell[274890, 4932, 5257, 77, 23, "Print"],
Cell[280150, 5011, 5151, 74, 23, "Print"],
Cell[285304, 5087, 5149, 74, 23, "Print"],
Cell[290456, 5163, 5156, 74, 23, "Print"],
Cell[295615, 5239, 5048, 71, 23, "Print"],
Cell[300666, 5312, 5098, 73, 23, "Print"],
Cell[305767, 5387, 5131, 74, 23, "Print"],
Cell[310901, 5463, 5216, 77, 23, "Print"],
Cell[316120, 5542, 5064, 71, 23, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[321245, 5620, 105, 1, 70, "Section"],
Cell[321353, 5623, 726, 15, 144, "Text"],
Cell[CellGroupData[{
Cell[322104, 5642, 227, 5, 49, "Text"],
Cell[322334, 5649, 3796, 98, 252, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[326167, 5752, 309, 6, 27, "Text"],
Cell[326479, 5760, 3695, 97, 252, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[330211, 5862, 313, 5, 46, "Text"],
Cell[330527, 5869, 3959, 107, 272, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[334523, 5981, 265, 5, 27, "Text"],
Cell[334791, 5988, 3539, 94, 252, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
