(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   1492972,      27571]
NotebookOptionsPosition[   1484796,      27337]
NotebookOutlinePosition[   1485161,      27353]
CellTagsIndexPosition[   1485118,      27350]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
   "SetDirectory", "[", "\"\<C:\\\\SrBEC\\\\Mathematica\\\\\>\"", "]"}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "ce", " ", "folder", " ", "location", " ", "to", " ", "find", " ", "the", 
    " ", "right", " ", "packages"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ComputerArithmetic`"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "SetDirectory", "[", 
     "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
   " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LaunchKernels", "[", "4", "]"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "put", " ", "your", " ", "favorite", " ", "number", " ", "of", " ", 
    "kernels"}], " ", "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7286202174860296`*^9, 3.728620217703042*^9}, {
   3.728711424316966*^9, 3.728711424667986*^9}, {3.7318186909359274`*^9, 
   3.7318186914469566`*^9}, {3.7362219622568893`*^9, 3.736221963848092*^9}, {
   3.750685517644865*^9, 3.7506855815085177`*^9}, {3.751015397460146*^9, 
   3.751015405152586*^9}, {3.751686861017559*^9, 3.7516868614915867`*^9}, {
   3.7789356108208427`*^9, 3.778935614772069*^9}, {3.7809130088505454`*^9, 
   3.780913009292571*^9}, 3.7915556905681534`*^9, {3.79155578368948*^9, 
   3.7915557853995776`*^9}}],

Cell[CellGroupData[{

Cell["SSBEC experiment", "Section",
 CellChangeTimes->{{3.721657938130308*^9, 3.721657962491701*^9}, {
  3.781243177526231*^9, 3.7812431817364717`*^9}, {3.7954415066110077`*^9, 
  3.7954415107962465`*^9}, {3.7954416628979464`*^9, 3.7954416726935067`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TempDimple", " ", "=", " ", "1.09"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TempRes", " ", "=", " ", "0.83"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NatDimple", " ", "=", " ", 
   RowBox[{"6.93", "*", 
    RowBox[{"10", "^", "5"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NatReservoir", " ", "=", " ", 
   RowBox[{"8.27", "*", 
    RowBox[{"10", "^", "5"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NatCrossOver", " ", "=", " ", 
   RowBox[{"4.26", "*", 
    RowBox[{"10", "^", "5"}]}]}], ";"}]}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.7909233286254854`*^9, 3.790923423971939*^9}, {
  3.792155747674836*^9, 3.7921557510150275`*^9}, {3.795431721049305*^9, 
  3.795431721519332*^9}}],

Cell[CellGroupData[{

Cell["Input parameters", "Subsection",
 CellChangeTimes->{{3.720181220017393*^9, 3.7201812301199703`*^9}, {
  3.7812432431539845`*^9, 3.7812432476842437`*^9}}],

Cell[CellGroupData[{

Cell["DT parameters", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 3.6822405592526093`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipIPG", " ", "=", " ", 
    RowBox[{"1070.", " ", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipTransparency", " ", "=", " ", 
    RowBox[{"688.", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Polar688Sr", " ", "=", " \[InvisibleSpace]", "343."}], 
   ";"}], "\[InvisibleSpace] ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Spatial", " ", "coordinates", " ", "where", " ", "we", " ", "want", " ", 
    "to", " ", "look", " ", "at", " ", "properties"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xOffset", " ", "=", " ", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yOffset", " ", "=", 
    RowBox[{"0.", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zOffset", " ", "=", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"powDimpleFun", "[", "Att_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"0.0383", "*", 
       RowBox[{"Att", "^", "3"}]}], "+", 
      RowBox[{"3.0901", 
       RowBox[{"Att", "^", "2"}]}], "+", 
      RowBox[{"82.973", "Att"}], "+", "747.63"}], ")"}], "/", "1000."}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"powSheetFun", "[", "Att_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.000736"}], "*", 
        RowBox[{"Att", "^", "5"}]}], "-", 
       RowBox[{"0.068407", "*", 
        RowBox[{"Att", "^", "4"}]}], "-", 
       RowBox[{"2.264870", "*", 
        RowBox[{"Att", "^", "3"}]}], "-", 
       RowBox[{"29.112936", "*", 
        RowBox[{"Att", "^", "2"}]}], "-", 
       RowBox[{"37.638786", "*", "Att"}], "+", "1419.847969"}], ")"}], "/", 
     "1000."}]}], ";"}], "\n", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}]}], "}"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTab", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"powSheetFun", "[", 
        RowBox[{"-", "9.7"}], "]"}], "*", "0.95"}], ",", 
      RowBox[{"powDimpleFun", "[", 
       RowBox[{"-", "12"}], "]"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}]}], "}"}]}], 
   ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "W", " ", 
     RowBox[{"for", " ", "@", "DT"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "9.7"}], ",", 
       RowBox[{"-", "3.9"}], ",", 
       RowBox[{"-", "12"}]}], ")"}]}], "  ", "=", 
    RowBox[{">", " ", 
     RowBox[{"SSBEC", " ", "main", " ", "data", " ", "set", " ", "  ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0.575", "*", "0.95"}], ",", 
        RowBox[{"0.145", "*", "0.95"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
        RowBox[{"0", "*", "10.4"}]}], "}"}]}]}]}], " ", "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MsquaredTab", " ", "=", 
    RowBox[{"{", 
     RowBox[{"1.6", ",", "1.", ",", "1."}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WaistXTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"15.5", ",", "27.", ",", "23."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"WaistYTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"110.", ",", "27.", ",", "23"}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Theta]Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"90.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Phi]Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "90.", ",", "90."}], "}"}], "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"X0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Y0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Z0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Lambda]Tab", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
     "\[Lambda]DipTransparency"}], "}"}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Alpha]Tab", " ", "=", 
   RowBox[{"{", 
    RowBox[{
    "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
     "\[Alpha]Polar688Sr"}], "}"}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"atomic", " ", "unit"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Power: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.719734073769492*^9, 3.7197341228395596`*^9}, {3.7197341865133104`*^9, 
   3.7197342789691334`*^9}, {3.7197343148477635`*^9, 3.719734336700366*^9}, {
   3.7197343764349933`*^9, 3.7197344120350423`*^9}, {3.7197344514142857`*^9, 
   3.71973448305433*^9}, {3.7197361695534525`*^9, 3.71973652993395*^9}, {
   3.7197367287202907`*^9, 3.719736825700424*^9}, {3.719736863871477*^9, 
   3.7197368791314983`*^9}, {3.7197369247040195`*^9, 
   3.7197370245241575`*^9}, {3.719737184228448*^9, 3.7197371935384607`*^9}, {
   3.7197372908300533`*^9, 3.719737365114664*^9}, {3.719737398126776*^9, 
   3.7197374618533916`*^9}, {3.719737517591997*^9, 3.7197375178019977`*^9}, {
   3.719737585322091*^9, 3.7197376399442005`*^9}, {3.7197376841172633`*^9, 
   3.7197376898272715`*^9}, {3.7197377431993933`*^9, 3.719737889667735*^9}, {
   3.719737927819822*^9, 3.7197379435098433`*^9}, {3.7197380047919617`*^9, 
   3.7197380477640553`*^9}, {3.719738224646333*^9, 3.719738225226334*^9}, {
   3.719739819974985*^9, 3.7197398206549854`*^9}, {3.719739887487097*^9, 
   3.7197398877670975`*^9}, {3.7197400449833655`*^9, 3.719740045333366*^9}, {
   3.719740312335746*^9, 3.719740312475746*^9}, {3.7197403835278645`*^9, 
   3.7197403850878663`*^9}, {3.719821996481608*^9, 3.719822001997924*^9}, {
   3.7198220621013613`*^9, 3.7198220657915726`*^9}, {3.719822105493843*^9, 
   3.719822109667082*^9}, {3.719822161757061*^9, 3.719822166407327*^9}, {
   3.719822208055709*^9, 3.7198222117679214`*^9}, {3.7198237503968167`*^9, 
   3.7198237509768176`*^9}, {3.7198237831788635`*^9, 
   3.7198237898588724`*^9}, {3.7198239502711134`*^9, 
   3.7198239509111147`*^9}, {3.7198241242633643`*^9, 3.719824153265425*^9}, {
   3.719824211517519*^9, 3.719824252869594*^9}, {3.7198242873516583`*^9, 
   3.7198243196737204`*^9}, {3.719837823583614*^9, 3.7198378987177553`*^9}, {
   3.7198379468598375`*^9, 3.719837947929839*^9}, {3.719837995351921*^9, 
   3.719837996601923*^9}, {3.7198380967420607`*^9, 3.7198380970420613`*^9}, {
   3.7198382877323246`*^9, 3.719838289962328*^9}, {3.7198384641025677`*^9, 
   3.7198384643025684`*^9}, {3.719838531044673*^9, 3.719838531554674*^9}, {
   3.719838619129826*^9, 3.719838619309826*^9}, 3.719838684291926*^9, 
   3.7198387330140142`*^9, {3.7198387736260843`*^9, 3.719838774556086*^9}, {
   3.7198388554882135`*^9, 3.7198388563582144`*^9}, {3.719838902520297*^9, 
   3.7198389032202983`*^9}, {3.719838986942433*^9, 3.719838987212433*^9}, {
   3.7198391303526306`*^9, 3.719839131262632*^9}, {3.719840417788425*^9, 
   3.71984049419853*^9}, {3.7198406187707143`*^9, 3.719840619910716*^9}, {
   3.719905054109453*^9, 3.7199050737994804`*^9}, {3.7199060923484554`*^9, 
   3.719906100058466*^9}, {3.7199061624505644`*^9, 3.719906163720566*^9}, {
   3.719906196412629*^9, 3.719906197752631*^9}, {3.7199063525548563`*^9, 
   3.7199063530148563`*^9}, {3.7199064525380077`*^9, 3.719906462448022*^9}, {
   3.719922144132188*^9, 3.7199221493821955`*^9}, {3.7199221815242577`*^9, 
   3.7199222077563066`*^9}, {3.7199222404183645`*^9, 
   3.7199222409083652`*^9}, {3.7199223100624876`*^9, 3.719922310582488*^9}, {
   3.719922357614565*^9, 3.7199223578045654`*^9}, {3.71992239366663*^9, 
   3.71992239405663*^9}, {3.7199224355186987`*^9, 3.7199224358386993`*^9}, {
   3.719922469890757*^9, 3.7199224707307587`*^9}, {3.719922530632856*^9, 
   3.7199225322328587`*^9}, {3.7201606252342777`*^9, 3.720160628840484*^9}, {
   3.7201730442847676`*^9, 3.7201730451358166`*^9}, {3.720173190240116*^9, 
   3.7201731993096347`*^9}, {3.720173247575395*^9, 3.7201732477894077`*^9}, 
   3.720173285526566*^9, {3.720173320860587*^9, 3.7201733234547353`*^9}, {
   3.720173364994111*^9, 3.7201733672892427`*^9}, {3.7201734215763474`*^9, 
   3.720173427280674*^9}, {3.720173470132125*^9, 3.720173472943286*^9}, {
   3.720173566256623*^9, 3.72017356655764*^9}, {3.720173683311318*^9, 
   3.720173684201369*^9}, 3.7201741942425413`*^9, {3.7201742531269093`*^9, 
   3.720174253699942*^9}, {3.7201742940902524`*^9, 3.72017431712457*^9}, {
   3.7201758083938656`*^9, 3.7201758099729557`*^9}, {3.720180328271388*^9, 
   3.720180328585406*^9}, {3.7201806002729454`*^9, 3.7201806007049704`*^9}, 
   3.72018140949223*^9, {3.720181724486247*^9, 3.720181724597253*^9}, 
   3.7201818653313026`*^9, {3.7201821144325504`*^9, 3.7201821148715754`*^9}, {
   3.7201822608799267`*^9, 3.7201822611589427`*^9}, 3.720182378003626*^9, {
   3.72018247808335*^9, 3.720182478925398*^9}, {3.720182547301309*^9, 
   3.720182547962347*^9}, 3.720182654228425*^9, {3.7201828061421137`*^9, 
   3.720182807422187*^9}, {3.720183360003793*^9, 3.7201833604458184`*^9}, {
   3.720183414743924*^9, 3.7201834150529413`*^9}, {3.7201848613202066`*^9, 
   3.7201849357254624`*^9}, {3.72018496715226*^9, 3.720184976040768*^9}, {
   3.72018500649151*^9, 3.7201850570264006`*^9}, {3.7201850970656905`*^9, 
   3.7201850989948006`*^9}, {3.7201851572601333`*^9, 3.720185159441258*^9}, {
   3.7201852260940704`*^9, 3.720185226629101*^9}, {3.7201852616201024`*^9, 
   3.7201852635282116`*^9}, {3.720185341325661*^9, 3.7201853751045933`*^9}, {
   3.7201854524520173`*^9, 3.720185456458246*^9}, {3.720185852238884*^9, 
   3.720185854181995*^9}, {3.720185884528731*^9, 3.720185890064047*^9}, {
   3.720185981268264*^9, 3.720185981762292*^9}, {3.720186411158852*^9, 
   3.7201864115118723`*^9}, {3.7201865075153637`*^9, 3.720186526702461*^9}, {
   3.7201866649373674`*^9, 3.720186735660413*^9}, {3.720186917196796*^9, 
   3.720186919614934*^9}, {3.720186951679768*^9, 3.7201870534245872`*^9}, {
   3.720187088828613*^9, 3.720187102890417*^9}, {3.720187190237413*^9, 
   3.7201872672848196`*^9}, {3.7201873194828053`*^9, 
   3.7201873362667656`*^9}, {3.7201873976742773`*^9, 
   3.7201874140382137`*^9}, {3.720187462436982*^9, 3.7201874646341076`*^9}, {
   3.720187511310777*^9, 3.7201875163470654`*^9}, {3.7201876386170588`*^9, 
   3.7201876576211457`*^9}, {3.7201876933631897`*^9, 
   3.7201876984614816`*^9}, {3.720187743972085*^9, 3.72018774475513*^9}, {
   3.7201879895351305`*^9, 3.720187997171567*^9}, {3.720188283798961*^9, 
   3.72018833972616*^9}, {3.7201886960805426`*^9, 3.720188729831473*^9}, {
   3.7201900034323187`*^9, 3.7201900099566917`*^9}, {3.72024544489887*^9, 
   3.7202454753026094`*^9}, {3.7202455655027685`*^9, 
   3.7202455680619144`*^9}, {3.7202456150726037`*^9, 
   3.7202456155406303`*^9}, {3.720245658944113*^9, 3.72024566379139*^9}, {
   3.7202456939011126`*^9, 3.720245694157127*^9}, {3.720245886740142*^9, 
   3.720245888816261*^9}, {3.720245952024876*^9, 3.7202459609863887`*^9}, {
   3.7202462358368483`*^9, 3.7202462416468563`*^9}, {3.7202462956109676`*^9, 
   3.720246298710972*^9}, {3.720246406543135*^9, 3.72024641008314*^9}, 
   3.720246643135479*^9, {3.7202467104675894`*^9, 3.7202467408176312`*^9}, {
   3.720246788287697*^9, 3.720246788477697*^9}, {3.720246831309776*^9, 
   3.720246881871866*^9}, {3.720249855124486*^9, 3.7202498722445097`*^9}, {
   3.7202499266066027`*^9, 3.7202499267666025`*^9}, {3.720249979878691*^9, 
   3.720249980178692*^9}, {3.720250039650789*^9, 3.720250039980789*^9}, {
   3.72025009069287*^9, 3.7202500933228736`*^9}, {3.7202502108570633`*^9, 
   3.720250224367082*^9}, {3.7202502749691715`*^9, 3.720250308879218*^9}, {
   3.720250408659356*^9, 3.7202504090493565`*^9}, {3.7202504392093983`*^9, 
   3.7202504583794246`*^9}, {3.7202505265815353`*^9, 
   3.7202505320615425`*^9}, {3.7202505913636446`*^9, 3.720250605963665*^9}, {
   3.7202507560158863`*^9, 3.7202507662659006`*^9}, {3.7202508056259546`*^9, 
   3.7202508370759983`*^9}, {3.7202508860580816`*^9, 
   3.7202508870980835`*^9}, {3.7202690803201017`*^9, 3.720269087170111*^9}, {
   3.720270034685447*^9, 3.72027003670545*^9}, {3.7202700716575155`*^9, 
   3.7202700782675247`*^9}, {3.7202701196195974`*^9, 
   3.7202701223796005`*^9}, {3.7202740675530834`*^9, 
   3.7202740680330844`*^9}, {3.720276648361673*^9, 3.7202766586116867`*^9}, {
   3.720276812983918*^9, 3.7202768167539234`*^9}, {3.7202815621345186`*^9, 
   3.720281562774519*^9}, {3.720281662286667*^9, 3.7202816626866674`*^9}, {
   3.720281710328745*^9, 3.7202817154587517`*^9}, {3.7207791762553525`*^9, 
   3.7207791862653666`*^9}, 3.720781067202996*^9, 3.7207810990060587`*^9, 
   3.7207811677301674`*^9, {3.721128157070932*^9, 3.721128195819148*^9}, {
   3.721128248279149*^9, 3.721128254961531*^9}, {3.7211282913126106`*^9, 
   3.721128292862699*^9}, {3.721128779887555*^9, 3.721128780029563*^9}, {
   3.721129757507472*^9, 3.721129790841378*^9}, {3.721130293308118*^9, 
   3.7211302953942375`*^9}, {3.7211303824512167`*^9, 3.721130382846239*^9}, 
   3.721130449387045*^9, 3.7211305112905855`*^9, {3.721130582994687*^9, 
   3.7211305889670286`*^9}, {3.721137585980235*^9, 3.721137590984521*^9}, {
   3.72138433762089*^9, 3.721384365044459*^9}, {3.72138446857238*^9, 
   3.7213844734666605`*^9}, 3.7214566882425437`*^9, {3.7214567641198835`*^9, 
   3.7214567645769095`*^9}, 3.721485717648896*^9, {3.72148596923489*^9, 
   3.721485999667631*^9}, 3.7214864469942164`*^9, 3.721487139612832*^9, 
   3.721487360555469*^9, {3.721487403498925*^9, 3.7214874269062643`*^9}, {
   3.721489159766378*^9, 3.72148923830087*^9}, 3.7214894079405727`*^9, {
   3.721494619480902*^9, 3.72149464495243*^9}, {3.7215764359042506`*^9, 
   3.721576456089405*^9}, {3.721576514209729*^9, 3.721576524058293*^9}, {
   3.721576862167631*^9, 3.7215769379309645`*^9}, {3.7215806227807436`*^9, 
   3.721580628194953*^9}, {3.7215808491452017`*^9, 3.7215808561464157`*^9}, {
   3.7215809279677477`*^9, 3.721580930493353*^9}, {3.7215809780816402`*^9, 
   3.7215810901650476`*^9}, {3.7215816241029406`*^9, 3.721581625445543*^9}, {
   3.721631047917037*^9, 3.721631064414336*^9}, {3.721657873684622*^9, 
   3.721657916823089*^9}, {3.7216581071889777`*^9, 3.72165814551717*^9}, {
   3.721658524074822*^9, 3.721658528098052*^9}, 3.7216590210792494`*^9, 
   3.7216590699200425`*^9, 3.721659117742778*^9, {3.7216592020466*^9, 
   3.7216592225097704`*^9}, {3.7219800238946486`*^9, 
   3.7219800510762978`*^9}, {3.7219805320391736`*^9, 3.721980532475974*^9}, {
   3.722000753355342*^9, 3.72200077254644*^9}, 3.722001753475546*^9, 
   3.7220018561694193`*^9, {3.722246973820743*^9, 3.7222469815401845`*^9}, {
   3.7222477334541917`*^9, 3.7222477573175564`*^9}, {3.7222478475507174`*^9, 
   3.7222479338386526`*^9}, {3.723977446428788*^9, 3.723977457911445*^9}, {
   3.7239775282574687`*^9, 3.723977529945565*^9}, {3.7239823429118514`*^9, 
   3.7239823697343855`*^9}, {3.7239824061024656`*^9, 
   3.7239824066194954`*^9}, {3.7240284629445157`*^9, 
   3.7240284862198467`*^9}, {3.7240286235977044`*^9, 
   3.7240286241137342`*^9}, {3.7240286666411667`*^9, 
   3.7240286672362003`*^9}, {3.7240299837334995`*^9, 3.724029984492543*^9}, {
   3.726386193186821*^9, 3.7263863463070326`*^9}, {3.726386529961662*^9, 
   3.726386530841663*^9}, {3.726386581551733*^9, 3.7263865818817334`*^9}, {
   3.7362229404596663`*^9, 3.736222942892805*^9}, {3.7362284669972506`*^9, 
   3.736228494780899*^9}, {3.736228554950204*^9, 3.7362285588970103`*^9}, {
   3.7506827706227446`*^9, 3.7506828001024303`*^9}, {3.7507447978931875`*^9, 
   3.7507448747175817`*^9}, {3.7507451323263164`*^9, 
   3.7507451429239225`*^9}, {3.7507455231936727`*^9, 
   3.7507456299067764`*^9}, {3.7507456759024067`*^9, 3.7507457396580534`*^9}, 
   3.7507628821605487`*^9, {3.7507632576910276`*^9, 3.7507632583510656`*^9}, {
   3.7507633942118363`*^9, 3.7507634361172333`*^9}, {3.777712543623285*^9, 
   3.777712557211062*^9}, {3.7777125914280195`*^9, 3.7777126283381305`*^9}, {
   3.777712677832961*^9, 3.7777126796810665`*^9}, {3.77771281977908*^9, 
   3.7777128289496045`*^9}, {3.777712864315627*^9, 3.777712865965722*^9}, 
   3.7777131752134094`*^9, {3.7777132612973337`*^9, 3.7777132768242216`*^9}, {
   3.7777134400495577`*^9, 3.7777134448428316`*^9}, {3.7777141973898745`*^9, 
   3.7777141974798803`*^9}, {3.7777185879289994`*^9, 
   3.7777186027008443`*^9}, {3.7777186332625923`*^9, 3.777718638518893*^9}, {
   3.777718674985979*^9, 3.7777186920239534`*^9}, {3.777719203975235*^9, 
   3.7777192075854416`*^9}, {3.7777192786515064`*^9, 3.777719281768685*^9}, {
   3.7777195254266214`*^9, 3.7777195524281654`*^9}, {3.7777196056112075`*^9, 
   3.7777196058992243`*^9}, {3.777719651440829*^9, 3.777719674504148*^9}, {
   3.778932899483763*^9, 3.778932902496936*^9}, {3.7789329481355457`*^9, 
   3.7789329515467415`*^9}, {3.7794201280365896`*^9, 
   3.7794201356610255`*^9}, {3.779420263037311*^9, 3.7794202652324367`*^9}, {
   3.779796993954721*^9, 3.7797970140891576`*^9}, {3.7797977145519924`*^9, 
   3.7797977813567095`*^9}, {3.7797978329308004`*^9, 
   3.7797978332896013`*^9}, {3.779797873801273*^9, 3.779797873958273*^9}, {
   3.7797979041251264`*^9, 3.779797904437127*^9}, {3.7803217969585505`*^9, 
   3.7803218211595883`*^9}, {3.7803223793974104`*^9, 
   3.7803223798174114`*^9}, {3.7803811986908293`*^9, 3.780381233274808*^9}, {
   3.780381274329156*^9, 3.7803812755342245`*^9}, {3.7809122528493047`*^9, 
   3.7809122536983533`*^9}, {3.78091233232485*^9, 3.780912336256075*^9}, {
   3.780912847662326*^9, 3.7809130042772837`*^9}, {3.78091858581553*^9, 
   3.7809186104509387`*^9}, {3.780918703730274*^9, 3.7809187063284225`*^9}, {
   3.780918756026265*^9, 3.780918756330282*^9}, {3.780918822149047*^9, 
   3.7809188236551332`*^9}, {3.780982186543598*^9, 3.780982190995853*^9}, {
   3.780983047042816*^9, 3.7809830514170666`*^9}, {3.780983778188635*^9, 
   3.780983778833672*^9}, {3.785418378402396*^9, 3.78541841220533*^9}, {
   3.785418987387228*^9, 3.7854189882902794`*^9}, {3.7854191202708282`*^9, 
   3.7854191206898527`*^9}, {3.7854191761170225`*^9, 3.785419176401039*^9}, {
   3.785419418823905*^9, 3.7854194202359858`*^9}, {3.7854200534372025`*^9, 
   3.7854200575994406`*^9}, {3.785420209750143*^9, 3.785420212734314*^9}, {
   3.7854893914688864`*^9, 3.785489392262932*^9}, {3.7855669704574156`*^9, 
   3.7855669707514324`*^9}, {3.7855670127978373`*^9, 
   3.7855670131188555`*^9}, {3.785646044958697*^9, 3.7856460536451936`*^9}, {
   3.786089149985133*^9, 3.7860891533713264`*^9}, {3.7860892534500513`*^9, 
   3.78608925378407*^9}, {3.7860894252318764`*^9, 3.786089425586897*^9}, {
   3.7860894770158386`*^9, 3.78608950046618*^9}, {3.7860898389955425`*^9, 
   3.7860898397795873`*^9}, {3.7860898713603935`*^9, 
   3.7860898843021336`*^9}, {3.7908625915585237`*^9, 3.790862597680874*^9}, {
   3.7908627226360207`*^9, 3.790862753581791*^9}, {3.7908643591366234`*^9, 
   3.790864378975758*^9}, 3.791008101463951*^9, {3.7910332402752*^9, 
   3.791033269529873*^9}, {3.7910334071937466`*^9, 3.7910334124380465`*^9}, {
   3.791033465013054*^9, 3.79103347700974*^9}, {3.7910335168020163`*^9, 
   3.791033516958025*^9}, {3.7910335612045555`*^9, 3.791033561340564*^9}, {
   3.791033628834424*^9, 3.791033632466632*^9}, {3.7910339311517153`*^9, 
   3.791034005270955*^9}, {3.791034068542574*^9, 3.7910341150422335`*^9}, {
   3.7910341653891134`*^9, 3.791034251471037*^9}, {3.791034287598103*^9, 
   3.791034313183566*^9}, {3.791034346899495*^9, 3.791034349140623*^9}, {
   3.791034412426243*^9, 3.791034551300186*^9}, {3.791034868979356*^9, 
   3.791035031131631*^9}, {3.7918933086937923`*^9, 3.791893373211482*^9}, {
   3.7923289322508793`*^9, 3.79232893243589*^9}, {3.792328963606673*^9, 
   3.792328978119503*^9}, {3.793095207275588*^9, 3.793095209441712*^9}, {
   3.793103316991437*^9, 3.793103319168562*^9}, {3.7935097859496603`*^9, 
   3.793509792222019*^9}, {3.794826490288741*^9, 3.794826490658762*^9}, {
   3.794826523562644*^9, 3.7948266168669806`*^9}, {3.7948268805930653`*^9, 
   3.794826895752932*^9}, {3.7954411868907204`*^9, 3.795441187423751*^9}, {
   3.8019844838068433`*^9, 3.801984484072859*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5418745985135789`", ",", "0.13074600000000008`", ",", "0.00994784`"}], 
    "}"}], "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Power: ", {0.5418745985135789, 0.13074600000000008`, 0.00994784}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7948265748355765`*^9, 3.7948266959135017`*^9, 
  3.7948268969760017`*^9, 3.7954253929433584`*^9, 3.7954275330537653`*^9, 
  3.7954289346779337`*^9, 3.7954291783738728`*^9, 3.795429477153962*^9, 
  3.7954302689922523`*^9, 3.795431852859844*^9, 3.7954369284501514`*^9, 
  3.7954411900269003`*^9, 3.7954412280000715`*^9, 3.7954445111138554`*^9, 
  3.795497689228059*^9, 3.795499741724455*^9, 3.795504416337827*^9, 
  3.796470630903078*^9, 3.798280592527731*^9, 3.801984485898963*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Atomic cloud parameters", "Item",
 CellChangeTimes->{{3.670601207082728*^9, 3.670601214202738*^9}, {
  3.682245787232095*^9, 3.6822458075121226`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"mAssSr", " ", "=", "  ", 
    RowBox[{"mSr84", "/", "au"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "au"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aScat", " ", "=", " ", 
    RowBox[{"a1S0iso84", " ", "/", "aB"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TempCloud", " ", "=", 
    RowBox[{"1.10", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "K"}], ",", " ", 
    RowBox[{"fixed", " ", "by", " ", "the", " ", 
     RowBox[{"experiment", "'"}], "s", " ", "cooling", " ", "capability"}]}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NatBECTest", " ", "=", 
   RowBox[{"1.16", "*", 
    RowBox[{"10", "^", "4."}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "desired", " ", "number", " ", "of", " ", "atoms", " ", "in", " ", "the", 
    " ", "BEC"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"TempReservoir", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.83", "*", "0.83", "*", "3."}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"1.", "/", "3."}], ")"}]}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NatReservoirTest", " ", "=", 
   RowBox[{"8.3", "*", 
    RowBox[{"10", "^", "5."}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "desired", " ", "number", " ", "of", " ", "atoms", " ", "in", " ", "the", 
    " ", "BEC"}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"calculation", " ", "boundaries", " ", 
     RowBox[{"(", 
      RowBox[{"for", " ", 
       RowBox[{"BEC", " ", "/", " ", "thermal"}], " ", 
       RowBox[{"cloud", " ", "/", " ", "transparency"}], " ", "region"}], 
      ")"}]}], ",", " ", 
    RowBox[{
    "usually", " ", "no", " ", "need", " ", "to", " ", "change", " ", 
     "them"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"xMaxBEC", "=", " ", 
   RowBox[{"10.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxBEC", "=", 
   RowBox[{"6.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxBEC", " ", "=", " ", 
   RowBox[{"15.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"xMaxTh", " ", "=", " ", 
   RowBox[{"200.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxTh", " ", "=", " ", 
   RowBox[{"15.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxTh", " ", "=", " ", 
   RowBox[{"1500.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Average isotropic temperature: \>\"", ",", 
    RowBox[{"TempCloud", "*", 
     RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.6705060134472785`*^9, 3.6705063316287174`*^9}, {
   3.6705063744487767`*^9, 3.6705064550088882`*^9}, {3.6705064915209384`*^9, 
   3.6705066804911995`*^9}, {3.6705067293012667`*^9, 
   3.6705067436812863`*^9}, {3.6705067859413447`*^9, 
   3.6705069103915167`*^9}, {3.670506994671633*^9, 3.670507004841647*^9}, {
   3.6705070450017023`*^9, 3.6705070570017185`*^9}, {3.670507155592855*^9, 
   3.6705072480429826`*^9}, {3.6705073453731165`*^9, 
   3.6705074762032976`*^9}, {3.6705075128933477`*^9, 
   3.6705075464433947`*^9}, {3.6705076435935287`*^9, 3.670507732093651*^9}, {
   3.6705077943837366`*^9, 3.67050780425375*^9}, {3.670507841103801*^9, 
   3.67050785488382*^9}, {3.6705078886138663`*^9, 3.670508298995433*^9}, {
   3.670508350655504*^9, 3.6705083639855223`*^9}, {3.6705084949957037`*^9, 
   3.6705085146357307`*^9}, {3.670508578955819*^9, 3.67050857974582*^9}, {
   3.6705086805159597`*^9, 3.670508683825964*^9}, {3.6705087410160427`*^9, 
   3.6705087421260443`*^9}, {3.670573259870878*^9, 3.670573260580879*^9}, {
   3.670573799502623*^9, 3.6705738439226847`*^9}, 3.670573964732851*^9, {
   3.670574161783123*^9, 3.670574173363139*^9}, {3.6705807735689363`*^9, 
   3.670580876689079*^9}, {3.670582695557665*^9, 3.6705827393377256`*^9}, {
   3.6705829178889723`*^9, 3.6705830030990896`*^9}, {3.670583037049136*^9, 
   3.6705830517691565`*^9}, {3.6705832267993984`*^9, 3.670583231519405*^9}, {
   3.670583317249523*^9, 3.670583320369528*^9}, {3.6705834934607663`*^9, 
   3.6705835058607836`*^9}, {3.670583790251176*^9, 3.6705838326412344`*^9}, {
   3.670590191043731*^9, 3.6705902075337543`*^9}, {3.670598515862998*^9, 
   3.6705985291030164`*^9}, {3.6705986458441772`*^9, 3.670598648004181*^9}, {
   3.670599387396201*^9, 3.670599390976206*^9}, 3.6706000391371145`*^9, {
   3.6706001227672305`*^9, 3.670600123187231*^9}, {3.6706008937622957`*^9, 
   3.670600894082296*^9}, {3.6706011683326745`*^9, 3.670601184712697*^9}, {
   3.6706014644630833`*^9, 3.67060149128312*^9}, {3.6706016133252897`*^9, 
   3.6706017087674227`*^9}, {3.67060178660853*^9, 3.670601786898531*^9}, {
   3.670602023529857*^9, 3.6706020296098657`*^9}, {3.681796547646595*^9, 
   3.68179656731472*^9}, {3.681797131609996*^9, 3.6817971388794117`*^9}, {
   3.6817972567821555`*^9, 3.681797331213413*^9}, {3.681797368280533*^9, 
   3.6817974673552*^9}, {3.6817975085815573`*^9, 3.6817976178398066`*^9}, {
   3.681797659052164*^9, 3.681797812867962*^9}, {3.6817978757445583`*^9, 
   3.6817978793017616`*^9}, {3.681807018798511*^9, 3.681807042754881*^9}, {
   3.681807083724224*^9, 3.681807111816831*^9}, {3.681807143248629*^9, 
   3.681807150640052*^9}, {3.681807344880162*^9, 3.6818074633809395`*^9}, {
   3.681807508964547*^9, 3.681807615773656*^9}, {3.681807715169341*^9, 
   3.6818077306652274`*^9}, {3.681807852271183*^9, 3.6818079106415215`*^9}, 
   3.68180801814267*^9, {3.681808274467331*^9, 3.681808274658342*^9}, 
   3.681808307765236*^9, {3.6818084611120067`*^9, 3.6818084717686157`*^9}, {
   3.681808582119928*^9, 3.681808583852027*^9}, {3.6818105383788195`*^9, 
   3.681810538846846*^9}, {3.681810620697528*^9, 3.6818106219806013`*^9}, {
   3.6818106952397914`*^9, 3.6818107028912287`*^9}, {3.6818107968846054`*^9, 
   3.681810797284628*^9}, {3.6818109962380075`*^9, 3.681811026996767*^9}, 
   3.6818119686246247`*^9, {3.6818129889259825`*^9, 3.681812990653082*^9}, 
   3.681816711875923*^9, 3.6818177996871424`*^9, 3.68181794738059*^9, {
   3.6818179854647684`*^9, 3.6818179867998447`*^9}, {3.681820529102256*^9, 
   3.681820547859329*^9}, {3.681820580440192*^9, 3.6818206410246572`*^9}, {
   3.681820690053462*^9, 3.681820721388254*^9}, {3.681821022415472*^9, 
   3.681821043671688*^9}, {3.6818211259833956`*^9, 3.681821150269785*^9}, {
   3.6818212009416833`*^9, 3.6818212011406946`*^9}, {3.681824335980997*^9, 
   3.6818243369340515`*^9}, 3.6818244684665747`*^9, {3.6818245149492335`*^9, 
   3.6818245506302743`*^9}, {3.681825864488423*^9, 3.681825899984453*^9}, {
   3.6818259826361804`*^9, 3.6818259908306494`*^9}, {3.6818260275877514`*^9, 
   3.6818260287698193`*^9}, 3.6818280916898117`*^9, {3.6818288250697584`*^9, 
   3.681828827328888*^9}, 3.6818290074781914`*^9, {3.681829062977366*^9, 
   3.681829070411791*^9}, {3.6818293416073027`*^9, 3.6818293627585125`*^9}, {
   3.681829454208743*^9, 3.681829477492075*^9}, {3.681829613048828*^9, 
   3.6818296146449194`*^9}, {3.6822462620947514`*^9, 
   3.6822464538750157`*^9}, {3.682246591646206*^9, 3.682246591816206*^9}, {
   3.6822474960034723`*^9, 3.682247513623496*^9}, {3.682247582903592*^9, 
   3.6822475928536053`*^9}, {3.6822478770090003`*^9, 
   3.6822478820490074`*^9}, {3.685010030523532*^9, 3.68501009621929*^9}, {
   3.685014872111455*^9, 3.6850148730475087`*^9}, {3.6850164266803713`*^9, 
   3.6850164585361934`*^9}, {3.6855557250394945`*^9, 
   3.6855557549752064`*^9}, {3.6855558013118567`*^9, 
   3.6855558437682853`*^9}, {3.6855558870157585`*^9, 3.685555890903981*^9}, {
   3.6855559436719995`*^9, 3.6855559714955907`*^9}, {3.685556075104517*^9, 
   3.685556089167321*^9}, 3.6855561455435457`*^9, {3.6855561905291185`*^9, 
   3.6855561932312737`*^9}, {3.6855562510345793`*^9, 3.6855562640403233`*^9}, 
   3.6855563550725303`*^9, 3.6855568176889906`*^9, {3.68573287729165*^9, 
   3.6857329090194645`*^9}, {3.68573300300384*^9, 3.685733003683879*^9}, {
   3.6857331369315*^9, 3.6857331382275743`*^9}, {3.685733202180232*^9, 
   3.6857332028912725`*^9}, {3.6857332388833313`*^9, 
   3.6857332399873943`*^9}, {3.685733317099805*^9, 3.6857333178278465`*^9}, 
   3.685733413940344*^9, 3.6857334529315743`*^9, {3.6857334881165867`*^9, 
   3.6857334889876366`*^9}, {3.6859578096957517`*^9, 
   3.6859578106257524`*^9}, {3.704200696130089*^9, 3.704200698570092*^9}, {
   3.7042007723602085`*^9, 3.7042007731602097`*^9}, {3.7042008289802866`*^9, 
   3.704200917850409*^9}, {3.7042009501024733`*^9, 3.704200952212476*^9}, {
   3.7201755125559444`*^9, 3.7201755140330296`*^9}, {3.720175564314905*^9, 
   3.720175591389454*^9}, {3.720175642783393*^9, 3.720175643107412*^9}, {
   3.7201757938260326`*^9, 3.7201757941750526`*^9}, {3.7201758461130233`*^9, 
   3.7201758476561112`*^9}, 3.7201766222334146`*^9, {3.7201767201350145`*^9, 
   3.7201767212770796`*^9}, {3.720177128742385*^9, 3.7201771292504144`*^9}, {
   3.7201789623262606`*^9, 3.720178972006814*^9}, {3.7201798346011515`*^9, 
   3.7201798424526005`*^9}, {3.720179890473347*^9, 3.7201798925454655`*^9}, {
   3.720180344477315*^9, 3.7201803454193687`*^9}, {3.7201807028648133`*^9, 
   3.7201807046289144`*^9}, {3.7201808673092194`*^9, 
   3.7201808683202767`*^9}, {3.720180988405145*^9, 3.720180990220249*^9}, {
   3.720181185125397*^9, 3.7201811866854863`*^9}, {3.7201813275725446`*^9, 
   3.72018132784156*^9}, 3.720181932156125*^9, 3.7201822640471077`*^9, 
   3.7201824745211463`*^9, 3.720182804792037*^9, {3.7201849637070627`*^9, 
   3.720184964101085*^9}, 3.7201854708680706`*^9, {3.7211286601607075`*^9, 
   3.7211286604147215`*^9}, {3.7211337024261084`*^9, 3.721133702750127*^9}, 
   3.721137579847884*^9, {3.721379286480474*^9, 3.721379286750474*^9}, {
   3.7213793450515547`*^9, 3.7213793483415594`*^9}, {3.721384481819138*^9, 
   3.7213844833462253`*^9}, {3.721384538867401*^9, 3.721384543786682*^9}, {
   3.7213845760175257`*^9, 3.721384585865089*^9}, {3.7213846220261574`*^9, 
   3.72138462381726*^9}, {3.7213846760572476`*^9, 3.7213846769292974`*^9}, {
   3.721384743289093*^9, 3.7213847474403305`*^9}, {3.721386762107337*^9, 
   3.7213867790573063`*^9}, {3.72138700168904*^9, 3.721387008903453*^9}, {
   3.7214670579431496`*^9, 3.721467062934435*^9}, 3.7214856658705573`*^9, {
   3.7214859763872995`*^9, 3.7214859797394905`*^9}, {3.7214870769562483`*^9, 
   3.721487104522825*^9}, 3.72148734204241*^9, 3.721487449937581*^9, 
   3.7214874986563683`*^9, {3.7214875905926266`*^9, 3.7214876246735754`*^9}, {
   3.7214881181398*^9, 3.721488132531624*^9}, {3.721489100463986*^9, 
   3.7214891046052227`*^9}, 3.7214892551088314`*^9, {3.721546352188744*^9, 
   3.721546391259979*^9}, {3.721549009718418*^9, 3.7215490214418497`*^9}, 
   3.72154922985345*^9, {3.7215553600231857`*^9, 3.7215553627373924`*^9}, {
   3.7215769527418118`*^9, 3.7215769661575794`*^9}, {3.721580537983374*^9, 
   3.7215805407933793`*^9}, {3.7215808785478573`*^9, 
   3.7215808863286715`*^9}, {3.7215812264577065`*^9, 3.721581231604518*^9}, {
   3.7215813172904806`*^9, 3.7215813380225205`*^9}, {3.721581508508638*^9, 
   3.721581518970657*^9}, {3.72158155203812*^9, 3.7215816084078684`*^9}, {
   3.7215822265764112`*^9, 3.721582230456633*^9}, {3.7215822899530363`*^9, 
   3.721582290104045*^9}, {3.7215836899177103`*^9, 3.721583690925768*^9}, 
   3.721583758743647*^9, {3.721631034405193*^9, 3.7216310405299*^9}, {
   3.7216310828974514`*^9, 3.721631084731888*^9}, {3.7216331859399176`*^9, 
   3.7216332418981185`*^9}, {3.7216332736829367`*^9, 3.721633275859061*^9}, {
   3.721635244477659*^9, 3.721635245516719*^9}, {3.721635280830739*^9, 
   3.7216353314116316`*^9}, 3.7216517987929225`*^9, {3.7216518854088764`*^9, 
   3.7216519380468874`*^9}, {3.72165202639194*^9, 3.721652083278194*^9}, 
   3.7216521260156384`*^9, {3.721652165086873*^9, 3.721652165324887*^9}, {
   3.721652271309949*^9, 3.72165231976472*^9}, {3.7216523524375887`*^9, 
   3.721652352644601*^9}, {3.721652450397192*^9, 3.7216524715083995`*^9}, {
   3.721652526492544*^9, 3.721652526643553*^9}, {3.7216526905949306`*^9, 
   3.7216526910579567`*^9}, {3.721652734842461*^9, 3.721652735377492*^9}, {
   3.7216528234585295`*^9, 3.721652823953558*^9}, {3.721653283814861*^9, 
   3.721653299117736*^9}, 3.7216563206897955`*^9, 3.7216565295607424`*^9, 
   3.7216569405092473`*^9, 3.7216571111480074`*^9, {3.7216571666191797`*^9, 
   3.721657166819192*^9}, {3.721657205099381*^9, 3.721657205193386*^9}, 
   3.7216573151136737`*^9, {3.721657346210452*^9, 3.721657346537471*^9}, {
   3.7216573824745264`*^9, 3.7216574126732535`*^9}, {3.7216576267284966`*^9, 
   3.721657626871505*^9}, {3.7216577004157114`*^9, 3.721657700543719*^9}, {
   3.7216578682783127`*^9, 3.721657889128505*^9}, {3.721658089094943*^9, 
   3.72165809289316*^9}, {3.721658147548286*^9, 3.7216581487663555`*^9}, {
   3.721658215380166*^9, 3.721658215508173*^9}, {3.721658451442668*^9, 
   3.721658451601677*^9}, 3.72165897860782*^9, {3.72165927758292*^9, 
   3.721659277836935*^9}, 3.7216593316530128`*^9, {3.7216594299236336`*^9, 
   3.7216594309306912`*^9}, {3.721980609164713*^9, 3.7219806092895136`*^9}, {
   3.722246964118188*^9, 3.7222469701875353`*^9}, {3.7222477665180826`*^9, 
   3.722247823397336*^9}, {3.723977469195091*^9, 3.7239774715152235`*^9}, {
   3.7362219875757337`*^9, 3.7362219881841345`*^9}, {3.7362227302756443`*^9, 
   3.7362227385191154`*^9}, {3.7362228181366696`*^9, 
   3.7362228190637226`*^9}, {3.7362229577176533`*^9, 3.736222958744712*^9}, {
   3.7362233838090243`*^9, 3.7362233860701537`*^9}, {3.736223480280542*^9, 
   3.736223483286714*^9}, {3.736223571402754*^9, 3.736223573907897*^9}, {
   3.7362286277711306`*^9, 3.736228628051931*^9}, {3.736228710966076*^9, 
   3.7362287112936764`*^9}, {3.7362287882330103`*^9, 
   3.7362287901362133`*^9}, {3.736228880928372*^9, 3.736228881411973*^9}, {
   3.7362289494124913`*^9, 3.7362289497400923`*^9}, {3.7505744803556046`*^9, 
   3.750574481625677*^9}, 3.7506842107861166`*^9, {3.750684435752984*^9, 
   3.750684583890457*^9}, {3.750685657582869*^9, 3.750685658692932*^9}, {
   3.750744098612191*^9, 3.7507441000542736`*^9}, {3.750744678207342*^9, 
   3.750744678620366*^9}, {3.750745941986626*^9, 3.750745943039686*^9}, {
   3.750746072278078*^9, 3.750746080119527*^9}, {3.7507473729654737`*^9, 
   3.750747373221488*^9}, {3.7507474836758056`*^9, 3.750747483979823*^9}, 
   3.750747542542173*^9, {3.750763647554327*^9, 3.750763647868345*^9}, {
   3.7507637976109095`*^9, 3.7507637978539233`*^9}, {3.7507638368471537`*^9, 
   3.7507638371731725`*^9}, {3.777712793496577*^9, 3.777712813543723*^9}, {
   3.7777129614681845`*^9, 3.77771296297227*^9}, {3.7777190084080496`*^9, 
   3.7777190112712135`*^9}, {3.777719664767591*^9, 3.777719667911771*^9}, {
   3.7794199911047573`*^9, 3.7794199931868763`*^9}, {3.7794201524639864`*^9, 
   3.7794201530400195`*^9}, {3.779420285664605*^9, 3.779420290418877*^9}, {
   3.7794203625030003`*^9, 3.7794203642511*^9}, {3.7794208537851*^9, 
   3.779420855848218*^9}, {3.779420905853078*^9, 3.7794209075171733`*^9}, {
   3.7794209448713093`*^9, 3.7794209462703896`*^9}, {3.77942098543963*^9, 
   3.7794209871107254`*^9}, {3.7794210351364727`*^9, 3.779421039165703*^9}, {
   3.7794210773208857`*^9, 3.7794210786979637`*^9}, {3.779421118062216*^9, 
   3.7794211214174075`*^9}, {3.779796217440748*^9, 3.779796217783949*^9}, {
   3.779796314101319*^9, 3.779796314382119*^9}, 3.780322288186262*^9, {
   3.780912279709841*^9, 3.7809122991109505`*^9}, {3.780914113152708*^9, 
   3.780914197167513*^9}, {3.780918136254816*^9, 3.780918138362937*^9}, {
   3.7809193806919937`*^9, 3.780919383293143*^9}, {3.780981635049055*^9, 
   3.7809816353760734`*^9}, {3.7809817882778187`*^9, 3.7809817885978374`*^9}, 
   3.7809821493904734`*^9, 3.7809830367752285`*^9, {3.7812414019986763`*^9, 
   3.7812415012333527`*^9}, {3.7812415781587524`*^9, 
   3.7812415789187956`*^9}, {3.785419520688731*^9, 3.7854195236829023`*^9}, {
   3.7867940660349407`*^9, 3.78679406671598*^9}, {3.786794105322188*^9, 
   3.7867941108785057`*^9}, {3.7867941415152583`*^9, 
   3.7867941892859907`*^9}, {3.79086283154325*^9, 3.790862864465133*^9}, {
   3.790862966757984*^9, 3.7908629691381197`*^9}, {3.790863040770217*^9, 
   3.790863041782275*^9}, {3.7908632750036144`*^9, 3.7908632936416807`*^9}, {
   3.790863365000762*^9, 3.7908633652207747`*^9}, {3.790864386607195*^9, 
   3.790864389741374*^9}, {3.791008143917379*^9, 3.7910081506727657`*^9}, {
   3.791008221645825*^9, 3.7910082235299325`*^9}, {3.791008276179944*^9, 
   3.791008306281666*^9}, {3.791008336321384*^9, 3.791008361010796*^9}, {
   3.791010008514028*^9, 3.7910100086750374`*^9}, {3.7910113648276043`*^9, 
   3.791011367407752*^9}, {3.7910114010846786`*^9, 3.7910114017347155`*^9}, {
   3.7910114342605762`*^9, 3.7910114362366886`*^9}, {3.791011731169558*^9, 
   3.7910117445053205`*^9}, {3.7910119120109015`*^9, 3.791011924827635*^9}, {
   3.7910119763975844`*^9, 3.7910119813998704`*^9}, {3.791012885840602*^9, 
   3.7910129405307293`*^9}, {3.7910129708454638`*^9, 
   3.7910129712834883`*^9}, {3.791014211517426*^9, 3.7910142119144487`*^9}, {
   3.791014855938285*^9, 3.791014856154297*^9}, {3.7910151481549983`*^9, 
   3.791015148289006*^9}, {3.7910152609784517`*^9, 3.7910152617824974`*^9}, {
   3.7910153557698736`*^9, 3.7910153563459063`*^9}, {3.791015689732975*^9, 
   3.791015690412014*^9}, {3.7910158355513153`*^9, 3.791015835833331*^9}, {
   3.7910338350972214`*^9, 3.791033835611251*^9}, {3.7910346822426753`*^9, 
   3.791034683240732*^9}, {3.791035100947624*^9, 3.791035101293644*^9}, {
   3.7910360580833693`*^9, 3.7910360583303833`*^9}, {3.792155644952961*^9, 
   3.7921556463520412`*^9}, {3.792322036145445*^9, 3.7923220364414616`*^9}, {
   3.792322367244383*^9, 3.7923223685514574`*^9}, {3.7923223990132*^9, 
   3.7923224078307037`*^9}, {3.792326560205206*^9, 3.7923265719558783`*^9}, {
   3.7923279900119867`*^9, 3.7923280171315374`*^9}, {3.7930952510430913`*^9, 
   3.79309525871453*^9}, {3.7948267160886555`*^9, 3.7948267203308983`*^9}, {
   3.7948267553499017`*^9, 3.7948267973403034`*^9}, {3.79482711495747*^9, 
   3.7948271250010443`*^9}, {3.795431698886038*^9, 3.795431703136281*^9}, {
   3.795433028270074*^9, 3.795433028576092*^9}, {3.795433085908371*^9, 
   3.795433104094411*^9}, {3.7954346183150196`*^9, 3.795434634702957*^9}, {
   3.795436470271945*^9, 3.795436470772974*^9}, {3.795441204974755*^9, 
   3.7954412074248953`*^9}, {3.7954415660464067`*^9, 
   3.7954415949320593`*^9}, {3.795497703356867*^9, 3.795497723027992*^9}, {
   3.7954984244271097`*^9, 3.795498425425167*^9}, {3.7954998218930397`*^9, 
   3.795499847551508*^9}, {3.7954998964143023`*^9, 3.7954999105051084`*^9}, {
   3.795501155447315*^9, 3.795501183787936*^9}, {3.80198449336639*^9, 
   3.8019844968735905`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Average isotropic temperature: \"\>", "\[InvisibleSpace]", 
   "1.1`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Average isotropic temperature: ", 1.1, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.792328017712571*^9, 3.7923289344100027`*^9, 3.792328979520583*^9, 
   3.793095212332877*^9, 3.7930952596105814`*^9, 3.793102909761145*^9, 
   3.7931033216627045`*^9, 3.793509798053353*^9, 3.794826812916194*^9, 
   3.794827125209056*^9, 3.795425395372497*^9, 3.7954275357269187`*^9, 
   3.7954289357109933`*^9, 3.7954291784408765`*^9, 3.795429477229966*^9, 
   3.795430270950364*^9, 3.7954318710448847`*^9, 3.7954331160220933`*^9, 
   3.7954346360270324`*^9, 3.7954369294542093`*^9, {3.7954411964872694`*^9, 
   3.795441229796174*^9}, 3.7954445114138727`*^9, {3.7954976994746447`*^9, 
   3.7954977051819715`*^9}, 3.7954984272452707`*^9, 3.7954997438405757`*^9, 
   3.7955001481767025`*^9, 3.795501184474975*^9, 3.7955044206910763`*^9, 
   3.7964706380764885`*^9, 3.798280597619022*^9, {3.8019844907302394`*^9, 
   3.8019845034269657`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Display DT potential", "Item",
 CellChangeTimes->{{3.750746832403555*^9, 3.750746845568308*^9}, {
  3.7507472053488865`*^9, 3.7507472064959517`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITab", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTab", ",", "WaistXTab", ",", "WaistYTab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTab", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITab", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighXTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistXTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighYTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistYTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTab", ",", "WaistXTab", ",", "WaistYTab", ",", "ZRayleighXTab", 
       ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", "\[Phi]Tab", ",", 
       "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerTabSheetOnly", " ", "=", " ", "PowerTab"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTabSheetOnly", "[", 
    RowBox[{"[", "2", "]"}], "]"}], " ", "=", " ", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTabSheetOnly", "[", 
    RowBox[{"[", "3", "]"}], "]"}], " ", "=", " ", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ITabSheetOnly", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTabSheetOnly", ",", "WaistXTab", ",", "WaistYTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTabSheetOnly", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITabSheetOnly", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTabSheetOnly", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTabSheetOnly", ",", "WaistXTab", ",", "WaistYTab", ",", 
       "ZRayleighXTab", ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", 
       "\[Phi]Tab", ",", "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"XYZDipPotFun", "[", " ", 
    RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
   RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
    RowBox[{
    "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTab", ",", "mAssSr"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotSheetOnlyFun", "[", " ", 
     RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
    RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
     RowBox[{
     "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTabSheetOnly", ",", 
      "mAssSr"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{"gSaggSrNum", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
      ",", 
      RowBox[{"{", "1", "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNumSheetOnly", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotSheetOnlyFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gSaggSrNumSheetOnly", " ", "=", " ", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"gSaggSrNumSheetOnly", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
       ",", 
       RowBox[{"{", "1", "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]X", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{
               RowBox[{"xx", "+", "xOffset"}], ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], 
              "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"xx", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"xx", "->", 
            RowBox[{"(", "X", ")"}]}]}], ")"}], "/.", 
         RowBox[{"X", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Y", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"yy", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"yy", "->", 
            RowBox[{"(", "Y", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Y", "\[Rule]", "gSaggSrNum"}]}], ")"}], " ", "/", 
       "mAssSr"}], "]"}], "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Z", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", 
               RowBox[{"zz", "+", "zOffset"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"zz", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"zz", "->", 
            RowBox[{"(", "Z", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Z", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]IsoDT", " ", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]X", "*", "\[Omega]Y", "*", "\[Omega]Z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aHODTiso", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"1.", "/", " ", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "\[Omega]IsoDT"}], ")"}]}], "*", 
      "hbarreOverAu"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDepth", "=", 
   RowBox[{"XYZDipPotFun", "[", 
    RowBox[{"xOffset", ",", 
     RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TrapEdgeByGrav", "=", " ", 
   RowBox[{"FindMaximum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", 
         RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0."}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "\[LessEqual]", " ", "yy", 
        "\[LessEqual]", 
        RowBox[{"400.", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"55.", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", " ", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDipTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"TrapEdgeByGrav", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PosTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"yy", "/.", 
    RowBox[{"TrapEdgeByGrav", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PotDepthSheetOnly", "=", 
    RowBox[{"XYZDipPotSheetOnlyFun", "[", 
     RowBox[{"xOffset", ",", 
      RowBox[{"gSaggSrNumSheetOnly", "+", "yOffset"}], ",", "zOffset"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLot1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"xx", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
        ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"xx", ",", 
       RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in X axis\>\""}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLot2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotFun", "[", 
       RowBox[{"xOffset", ",", 
        RowBox[{
         RowBox[{"yy", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", 
        "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Y axis\>\""}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PLot3", " ", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", "yOffset", ",", 
         RowBox[{
          RowBox[{"zz", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
       "ctePlanckOverkB", "*", 
       RowBox[{"10", "^", "6."}]}], ",", 
      RowBox[{"{", 
       RowBox[{"zz", ",", 
        RowBox[{"-", "1000"}], ",", "1000"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Z axis\>\""}],
       ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLotSheetOnly1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotSheetOnlyFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"xx", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
        ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"xx", ",", 
       RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Trapping potential (sheet only) on 1S0 in X axis\>\""}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLotSheetOnly2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotSheetOnlyFun", "[", 
       RowBox[{"xOffset", ",", 
        RowBox[{
         RowBox[{"yy", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", 
        "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Trapping potential (sheet only) on 1S0 in Y axis\>\""}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PLotSheetOnly3", " ", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"XYZDipPotSheetOnlyFun", "[", 
        RowBox[{"xOffset", ",", "yOffset", ",", 
         RowBox[{
          RowBox[{"zz", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
       "ctePlanckOverkB", "*", 
       RowBox[{"10", "^", "6."}]}], ",", 
      RowBox[{"{", 
       RowBox[{"zz", ",", 
        RowBox[{"-", "1000"}], ",", "1000"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "PlotLabel", "\[Rule]", 
       "\"\<Trapping potential (sheet only) on 1S0 in Z axis\>\""}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"PLot1", ",", "PLot2", ",", "PLot3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "PLotSheetOnly1", ",", "PLotSheetOnly2", ",", "PLotSheetOnly3"}], 
      "}"}]}], "}"}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Beam powers: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rayleigh length axis 1: \>\"", " ", ",", 
   RowBox[{"ZRayleighXTab", "*", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Rayleigh length axis 2: \>\"", " ", ",", 
    RowBox[{"ZRayleighYTab", "*", 
     RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]X", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]Y", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
     RowBox[{
      RowBox[{"\[Omega]Z", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Grav sagging: \>\"", " ", ",", 
   RowBox[{"gSaggSrNum", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Absolute potential depth: \>\"", " ", ",", 
   RowBox[{"PotDepth", "*", "ctePlanck", "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Edge of the trap between tranport DT and sheet DT: \>\"", ",", 
     RowBox[{"PosTrapEdgeByGrav", "*", 
      RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Trap depth: \>\"", " ", ",", 
   RowBox[{"UdipTab", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Effective trap depth: \>\"", ",", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"PotDipTrapEdgeByGrav", " ", "-", "PotDepth"}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.7197386048911114`*^9, 3.719738605608152*^9}, {3.719738648634557*^9, 
   3.719738676855596*^9}, {3.719739932359174*^9, 3.7197399377291813`*^9}, {
   3.7197399752412496`*^9, 3.7197399870912657`*^9}, 3.7198221739167566`*^9, {
   3.719823712196764*^9, 3.7198237279767857`*^9}, {3.7198385766077533`*^9, 
   3.7198385783877554`*^9}, {3.7199057240019007`*^9, 3.719905739391922*^9}, {
   3.7199058264440594`*^9, 3.71990583412407*^9}, {3.7199058651741133`*^9, 
   3.7199058719441223`*^9}, {3.719905913506194*^9, 3.7199059152661963`*^9}, 
   3.7199222698204207`*^9, {3.720173300657431*^9, 3.720173337943564*^9}, {
   3.720173722037533*^9, 3.720173742179685*^9}, {3.7201743683204985`*^9, 
   3.72017437254574*^9}, {3.720174482765044*^9, 3.7201744958137903`*^9}, {
   3.7201745402443314`*^9, 3.720174541739417*^9}, {3.7201746186378155`*^9, 
   3.720174668615674*^9}, {3.7201747081059327`*^9, 3.720174725602934*^9}, {
   3.7201747596758823`*^9, 3.720174780074049*^9}, {3.720174854079282*^9, 
   3.7201749148787594`*^9}, {3.720174949256726*^9, 3.7201749757732425`*^9}, {
   3.7201754634941387`*^9, 3.7201754807061234`*^9}, 3.720175598122839*^9, {
   3.7201855281053443`*^9, 3.7201855286313744`*^9}, {3.7201855692646985`*^9, 
   3.7201855724428806`*^9}, {3.720185621443683*^9, 3.7201856630040603`*^9}, {
   3.720185735696218*^9, 3.720185739544438*^9}, {3.720185912814348*^9, 
   3.7201859139234123`*^9}, {3.7202455310867996`*^9, 
   3.7202455323388715`*^9}, {3.7202457217307043`*^9, 
   3.7202458625817604`*^9}, {3.720245916877866*^9, 3.7202459196840262`*^9}, {
   3.7202459868828697`*^9, 3.720245988715975*^9}, {3.7202460767705545`*^9, 
   3.7202460773205557`*^9}, {3.720246107360617*^9, 3.7202461096106205`*^9}, {
   3.720246142012685*^9, 3.720246147742693*^9}, {3.7202461996647835`*^9, 
   3.720246201824786*^9}, {3.72024626607891*^9, 3.7202462667389107`*^9}, {
   3.7202469651740007`*^9, 3.7202470153380957`*^9}, {3.7202470697001905`*^9, 
   3.7202470764601994`*^9}, {3.720250120114921*^9, 3.7202501308849363`*^9}, {
   3.7202505029515023`*^9, 3.7202505060615067`*^9}, {3.7202691420522037`*^9, 
   3.7202691515622168`*^9}, {3.7207799442924137`*^9, 
   3.7207799554324293`*^9}, {3.7207810440109515`*^9, 
   3.7207810454109535`*^9}, {3.7264045192662487`*^9, 
   3.7264045476483073`*^9}, {3.7501623752658863`*^9, 3.750162380690197*^9}, {
   3.7501624362433743`*^9, 3.75016243913054*^9}, {3.7501629648146067`*^9, 
   3.7501629806835146`*^9}, {3.750163037752779*^9, 3.750163041703005*^9}, {
   3.75016322152929*^9, 3.7501632660988393`*^9}, {3.7507472360466423`*^9, 
   3.7507472934519253`*^9}, {3.78124152793388*^9, 3.7812415464759398`*^9}, {
   3.791015401259475*^9, 3.7910154143292227`*^9}, {3.79101548858247*^9, 
   3.7910154900205517`*^9}, {3.79101569611034*^9, 3.7910156977184315`*^9}, {
   3.7910332153287725`*^9, 3.791033219580016*^9}, {3.791034332516672*^9, 
   3.791034378844322*^9}, {3.791893429624709*^9, 3.791893433540933*^9}, {
   3.795439274688349*^9, 3.7954393124695096`*^9}, {3.7954393427302403`*^9, 
   3.7954393429762545`*^9}, {3.7954990848268824`*^9, 
   3.7954996059426885`*^9}, {3.7955006837293344`*^9, 3.7955007212054777`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJwUV3c4lt8btzNKRhkNm0REWUk5RiopIyRk7/kuXhklCcmOaKBkJUUlRd7n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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in X axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -118.66252583997979`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJwtmHk0Vf/3xkmmJPOQjPdeLpnO4brG3LdSJBVFbipRNBBShg+SIXMZQogk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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in Y axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -118.66252583997979`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJw1mGk41G+4gBElIWPft/n9Zuxm7Gteu+wJIfztpaQQyRqyjWVIUalIKVq0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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, -18.},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in Z axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -118.66252583997979`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}]}, {InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJwUl3k8V08Xx+1ZIkvZfmUnEZE1KUOSUCEkyb6v380SKokskSVFCiUkCZVI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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in X axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -355.98757751993935`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJwtmHc41e//xznn2HuPzDOQPY5j5n2r7JTtJCEphVSkEMlo2MInoxAhKZGG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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in Y axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -355.98757751993935`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJw113k0VmsXAHBjJMoxz9N7TihlzNT78kiZQ+5LCB8ypGsIkQhJZt6XBnQp
0mBoICUR2ehSxrrGlEyFkiKSKX3nrvV9f5x11m+dP/baz7Of/Zwt7xlk583G
wsIyRT7/vh/WXPn825AJBwX3+3zegUF/9NJ90b1MCN3bM75rFwarRn+Eqmoz
Yc1gZDpYFQPUxrvupsKEXh2xC2uaGHQNxfI9E2PCfHKNqzANg+k1b7Uz8ww4
o2H829MGAykDjfDlIgZ8e5nxl+9JDBKb2ljnORkgfXzLoCxgUP7cxv3Ug3RI
WDoXdtRfALh4mR0ZoWmQEHhX5IuoIMwrY+Wje1NBybcKfW0TBHWjqcEXn5LB
/4lppt5fQlB49RS/0f0kwI8eS/pxTBi8F44wrR0TIddvTSLHUQTqZOPP53In
gJBCRFcTXRT2ZXklhXTHg8koa882WzGQWb/yeizqHMT6xHXyhoqD8t0U5TGD
OIi22XP72SUJ+Fuj7qcU91lwoVXNrzdKQqB3gsS7gGi4Q1vgYZGShopvmzyu
LUdCwujG4mqQDBT4q2mnWUcAPcJ0knteFiqyR37OVYSBpY9o//pTOZCzZO8L
R6Eg/io9IyhMHqjfu5Bi3glYGVMNnKQpgL+pTOa3A/7w9mF9+8EFBahhfn36
ccYHBhX6gmPKKLB/g9VlrN8HPtSdntx+jwJd/sLr7xp9oDamYL2znALj5lRq
b44PqF0M4xCrogAvR2pdk7EPeIe7Gec1UMAtgqgvyPOG0HmeBJdeCrB5uDxz
svSCwTc+erXrFLDSaIPOMg94UUdt9TTDQflAjYdGjgfM1SbqRVngsMmxhC0n
3gOmLvqsZ1nh0BiduN/dxQMe3M/xr7XFQfvlvhff+TzgTV1x85IjDnLuT7tF
g90hd7tXlaQfDlOSTvXNgW4wTM3i40nGochI53e6qRvMacoIfErBwcVX2MhB
zg2q40d2taTh8Kry9fPp165ADeG8GcnEodbcooNvjyso6Bo6d2TjwDi19+3h
tSNQQav0x26R8XukV2aSnMASU7YXARwkIyYnfF2doKDR6PlAIw4s0uVdExpO
IIWdrMpuxqHdB918O+wIsd1sInytOLivetq0azpCsaVJzttOHFLlS26VjTiA
8J2dw7+GcAhqOZG5vcoBki2EY7Lf4UD/Uy+qKNUBDqXFxam8x0G2qs32rz0O
cF3HosR2DIdHZrNrKWn2EPR9DZ2ewuF9kIadnw4dgiwWWC0WcGgWWqN+5KVD
i7jNl+pFHEpqmhU9xv+AQ4uzkpQlHELZ7X85ZvwB832/jeeXceDOOVViNmEH
9JIjSf4bOGg8q9tQZB4CIY4TR4e5CeATZzh0dh6ELMclm6uSBOCLGap+MQdB
V/tO+jUpAvS7M7g5VQ+Cqk0N9ao0AT4JGbXUTCuw1A77fkGWAJhPl7lrZwnF
J7mz/0MhIKQtbTJ1wAwsgiR7zuwgIPlWWsP2ZDPoC8Vb6DsJuHY2LbdJ1wz6
y7mkdqgQ0K6dZrF6xRQiDud96dhFxr+Ret/PxQTco8y4FtQI6I9KCTcbM4Y0
hUg30Cbgi0OKzYcsY/jVayIUqEMAm0aK0tl9xnA6cLesuC4BqtPJQ9U39oHA
yj51Xz0yPj3ZQNHHCM4e7lef2EvGV00WbRYxgsSu2qgoKgGPeJLn3FoRMAXn
hDAaAWOQVJSthCA/sFBDy4CAk85b+Xj7aaB4gXuzMyKgkH9rg7EODYKbrJ++
I93ZwhcclUuFK4tD1S5GBGzX5Ov77LwXaopPZ9D3ETC4hffqyxFdOMV+PI+y
nwCOpi02rEa6YFjmlZlJWj1iC6tekQ7M9ri2r5JO/cDjXeKlDY3lnljrAQJo
9Zt3JX3ShFdSm14bmBJQ+X6HxPBBTVAZEtW/RFqJxYpLs1IDXqjNs0yRFjBm
jL2PVIeGhbTb580ISPIq79IaUYMf1lfPd5NeT3j1NNVYDcwpIg2i5gR0ZREq
AWK7IYq2YVpI+kmv7ybxMRUIG+q9PEr6hmjZ6PPSnVBcOGYgY0FAxNXdl6X2
KgNfafr1LNKeoyeCXrArwZ4Xpc6tpA9SHpqf7NgOIh2rAaukFUp1NtpdcTj1
wKHI0ZIA3i+nB09tp0Dv1uWmeNI/d9dVUr7Jw1fzVepd0uPBG+nd1XJwjUuN
/x/SuX5xXUssstAyEUj9QTrgG2e89QUp6AxmNgpbEbAvLFXnNkUChGkBBZqk
xda2fvn1SBTCXk72WZOePXux0N5EGPIvDnv5km7aJGZ/b0AAAjFtq2jSOen5
mzn9+MGzciAtk/Qgvu9MzeIWaBm5S7lOOl7N8uMxUS7Y/KtIsJz0LirdWkyf
DeZ9y47Uki5n1gYya1Yb2iIerzWR5ijuQF835hoyz9UvvCDtvhJpqYUNNwj0
PDHuIJ1vd3qwsLLZcK3y5sy/3iBWsz57TBvOep+daSNdtvY5PHvmh2HwDmvj
FtIOHwZv6tz+bcimL7jwjPRZn6N+/hUc6OuLgdVHpPudnVnqMzYjq03FziWk
VWwO5fD9uRW1SjIFrpBulMdFVW9i6Oyu6wpJpL/kFXgOCAih107zqSGkRUQk
78fGiSChmmzLI6SNMrNXFOfEkIPrHS8j0v48AgdeuUkidjurfvzf9TqfkRnR
KY3y864UcpL2iOUI5JeRQ4Y6j5snyP1JX4mteZKugFrUl4VySRc9po3wPqcg
ec8Q40DS1aFrHB5rOApN9G43+ne/Z8NtNx9XREkfz06PkvWyXKYV7npdCQ0U
CcfcJc137Hveg0Fl9ObwekAYad3xgCknUxX0VLnG9TdZn9YFO/nux+xCEt6C
bkD6qMsnDbbHu9H1ntaaGNKmf2oY2l9QQymjvucXyPoP+Xgv9ReLJtrGdiCo
njwvdq3jK+9KNZH8ps2YJ2n1UlG/OjsttDGSeYWd9Jx/nGnUzT3omdmoO82E
gKBFOseKqS4S4eAdSCPPq3V/SujgnC56wXCvFyW9+8mz8eoreqjX/yWj0JiA
r1FKjeEz+mh4i9WPErIf+LOvRy8yaEhkn/TEJbJ/WH1Um+3RMUBrLKxa3KR3
tnq7PBw1QPzINCzCkICwv32l9cQR2n3rS7sN2Y+0Ul6v/TxuhLIT+EbekP3s
If+tJ2Fb96OkpW66C9kfi+IMT3z03I8at0nwFuwh4ML3N4r21fsRh7BZ43st
Mv/erTla7gdQ9xdNZXtNAjRyI8IWHpig/EH6Fhmy31bIWmkE25ujsvuLHPLK
ZL/LnPw0WmqOWt83iGgpEZDJGnfddoP8vumGzn5Fcj0mqvjVii1QwI7IO0cI
Mv9i2W9fly3Rq5iyaF95Au7tXrjjn2+NeqlynxbEyPXeKuuuO2ONlhpPJs+I
ErA0ayHEoW+DbLO5ykZFCDC4V3Qmb8AGef0Kj2gWImBKuHS7d4otWor+7Pkn
PwGnLjn+vPj8ECqjmp0+wEXWY1Z17rw+HU0ujEbtJO/H43GdIYc96WgWVTf3
zeNADZ6wqk+hI77gS4+j53AYtd3GmjJIR5JKPDdaZnFQ4vf1kwu3R1smh59R
p3F4whDRt3nggPx7dpo9Je/rwbSwt3cVnVC1uZkq73McYtcLed3tnNC28Y4l
yyYctgd00ASjndCFHif9FPL/IcyaUnj6Hyd0+1Ivbb0OBwHstZdJtDNS+/Dg
xPMqHKyyVb6O/HMEcfg4/mfkNg5QOMEiGOOGjhV5J1gn4dA7pHSR+tkD/WXj
38Y0wuGZt7OXxm8PFFW597GFIQ6lc2l7lIQ8kUOgArDTcIjZ9G1A0MATbVlS
1zmhS+ajUSU1k+WJjvnQ5zVUcTiTYnT7it5RtBJ9g+EhhQOh61yzlOyFOhpo
RqE/KBB+OW2kQtEXdSz/pkwVUcBlL+ePDzz+qPdr/vnUNQX4EZ2zNHbnBKoo
+9XxW1cB3vfoHFYnQhEn7hSXES0PN8/YtXNdCEOl/Jc4Zf+Wg3qNvyseakag
y8UYmyGLHES4NUcalkSiZdub1fH5MpCUI/648FA0SmpKnJ7eIQ26Jmt9Y52x
iMfvB5vihCSM37jD0ScThw5wrz/geCgBdnc4ByjB59CTHnuRS2fE4WLArbzx
u/GIQ0tH7aW/GMRoz4vxsiegyQI+f0EnURhQWpVdsUtEu6UlQsJdRIC130zc
IT0JtQo7GazHCkNfinG79Ggyese0UHUtFILI5fgge+lURBNfYREeFgRGZtxV
W3oa4lqx63ZVFgRL1Z3nH99KR7zr19NSQwTgTbKEa/poBnL0bAuI+QeD/ATb
nTyTGahdf+3hy24M3M8lriTNZKCK7NAq4U4MJqO+X45fykDqiTqfylsxWAxs
64rkZaCejhXe2ToM+O0jkZ8uA/GISfGlFmNgIj9EMclkIBX6ovrBaAx4ZPi/
N19moPtDIt7lkRh0SpiAUR4D/VxlWgpEYEAXqnSh3WYgvCBDfSgEAw+u1Mta
dQzUazPnHHIMgzOzelyUaQbKVvSbbf6DnMc+B/UVzjIQ1HLqqR/CgH3q1g2Z
BQZq2SqvVWCNQeoohiQ2GOjY0qhOtDkGuT2fIjAhJpI7+jHQyBADl1eypkxx
JjrJOaD6iIqBbKe9MJ8sEx3IOnpNUR+D2y2ND7h3MJEq5hrPvwcDv+afsYmq
TFTLb7eSoIGBCuyy5tjDRDn83yXXyflwru6o1Dl9JpqzZJ0JIefH/82X6P/z
5X8Bo0Hhpw==
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, -11.},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in Z axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -355.98757751993935`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}]}}, {}},
  ContentSelectable->True,
  ImageSize->{1173., 486.65010335991917`},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795444513002963*^9, 
   3.795497711297321*^9, {3.7954991745430136`*^9, 3.7954991979843545`*^9}, 
   3.795499256431698*^9, 3.795499299008133*^9, {3.795499419206008*^9, 
   3.7954995014137096`*^9}, 3.795499746785744*^9, 3.7955007288739166`*^9, 
   3.7955044276334734`*^9, 3.796470650020172*^9, 3.7982806056244802`*^9, 
   3.8019845120444584`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beam powers: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5418745985135789`", ",", "0.13074600000000008`", ",", "0.00994784`"}], 
    "}"}], "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Beam powers: ", {0.5418745985135789, 0.13074600000000008`, 0.00994784}, 
   " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121084623`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 1: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.4408689456921424`", ",", "2.1403934995018306`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 1: ", {0.4408689456921424, 2.1403934995018306`, 
   2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.801984512110462*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 2: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "22.204013497918506`", ",", "2.1403934995018306`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 2: ", {22.204013497918506`, 2.1403934995018306`, 
   2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121134624`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]X for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "330.31625192900793`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : ", 
   330.31625192900793`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121154623`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Y for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "664.5029571278433`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : ", 
   664.5029571278433, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.801984512117463*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Z for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "316.91024105650604`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : ", 
   316.91024105650604`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.801984512120463*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Grav sagging: \"\>", "\[InvisibleSpace]", 
   "0.5596244827323861`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Grav sagging: ", 0.5596244827323861, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121224627`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Absolute potential depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "17.61137337476408`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Absolute potential depth: ", -17.61137337476408, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.801984512124463*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Edge of the trap between tranport DT and sheet DT: \"\>", 
   "\[InvisibleSpace]", "20.857136765857245`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Edge of the trap between tranport DT and sheet DT: ", 20.857136765857245`, 
   " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121274633`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Trap depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "10.650001568265132`", ",", "6.010023148769077`", ",", 
     "0.9236908554379949`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Trap depth: ", {10.650001568265132`, 6.010023148769077, 
   0.9236908554379949}, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.801984512129463*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap depth: \"\>", "\[InvisibleSpace]", 
   "8.329162015336898`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Effective trap depth: ", 8.329162015336898, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121324635`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Self consistent evaluation of Nth for a fixed Nbec and Temp", \
"Subsection",
 CellChangeTimes->{{3.7213797517345233`*^9, 3.7213797879645734`*^9}, {
  3.750685679896145*^9, 3.7506856865615263`*^9}, {3.7954336196228976`*^9, 
  3.7954336495026064`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NInterpPts", " ", "=", "15"}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gScat", " ", "=", 
    RowBox[{"4.", "*", "Pi", "*", 
     RowBox[{"aScat", "/", "mAssSr"}]}]}], " ", ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"hbarre", "^", "2"}], "*", 
    RowBox[{"aB", "/", "au"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"factAuxNatAniso", " ", "=", " ", 
   RowBox[{"hbarre", "/", 
    RowBox[{"(", 
     RowBox[{"2.", "*", "Pi", "*", 
      RowBox[{"aB", "^", "2."}], "*", "au"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxDensity", " ", "=", " ", 
    RowBox[{"2.", "*", 
     RowBox[{"Pi", "/", 
      RowBox[{"(", 
       RowBox[{"hbarre", "*", 
        RowBox[{"aB", "/", "au"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vpot0", " ", "=", " ", 
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"0.", ",", "0.", ",", "0."}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTh0Init", " ", "=", " ", "0."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0BECInit", " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Omega]IsoDT", "/", 
      RowBox[{"(", 
       RowBox[{"2.", "*", "gScat"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"15.", "*", "NatBECTest", "*", "aScat", "*", 
         RowBox[{"aB", "/", "aHODTiso"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
      RowBox[{"(", 
       RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"2", "*", "Pi", " ", "*", " ", 
    RowBox[{
     RowBox[{"hbarre", " ", "/", " ", 
      RowBox[{"hbarre", "^", "2"}]}], " ", "/", "aB"}], " ", "*", " ", "au"}],
    "  ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]Chem", " ", "=", " ", 
    RowBox[{"Vpot0", " ", "+", " ", 
     RowBox[{"gScat", " ", "*", " ", 
      RowBox[{"(", 
       RowBox[{"n0BECInit", "+", 
        RowBox[{"2.", "*", "nTh0Init"}]}], ")"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "Hz"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nThTab", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "0."}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"xMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{
          RowBox[{"-", "yMaxBEC"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{
          RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"zMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", "2"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nThInterpFun", "=", " ", 
    RowBox[{"Interpolation", "[", "nThTab", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]deBroglieFun", "[", "Temp_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2.", "*", 
      RowBox[{"Pi", "/", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "Temp"}], ")"}]}], " ", "*", " ", 
      "hbarreOverAu", " ", "*", " ", "hbarreOverkB"}], "]"}], " ", "/", " ", 
    "aB"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxnThFun", "[", "Temp_", "]"}], ":=", 
   RowBox[{"1.", "/", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]deBroglieFun", "[", "Temp", "]"}], ")"}], "^", 
       "3."}], " ", "*", " ", 
      RowBox[{"aB", "^", "3."}], "*", "factAuxDensity"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{
      RowBox[{"x", "*", "aB"}], ",", 
      RowBox[{"y", "*", "aB"}], ",", 
      RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepth"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"VPotAnisoDTSheetOnlyFun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"XYZDipPotSheetOnlyFun", "[", 
      RowBox[{
       RowBox[{"x", "*", "aB"}], ",", 
       RowBox[{"y", "*", "aB"}], ",", 
       RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepthSheetOnly"}]}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECNoThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ",", "0."}], "]"}]}]}], 
   ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
        RowBox[{"2.", "*", 
         RowBox[{"nThFun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ",", "0."}], 
      "]"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbBECFun", "[", 
    RowBox[{
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
   RowBox[{"4.", "*", 
    RowBox[{
     RowBox[{"Quiet", "[", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"nBECFun", "[", 
         RowBox[{
          RowBox[{"x", "+", 
           RowBox[{"xOffset", "/", "aB"}]}], ",", 
          RowBox[{"y", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
          ",", 
          RowBox[{"z", "+", 
           RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", 
          "nThFun"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0.", ",", "xMaxBEC"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", "0.", ",", "zMaxBEC"}], "}"}], ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
        RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
        RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
      "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbBECNoThFun", "[", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], "]"}], ":=", 
    RowBox[{"4.", "*", 
     RowBox[{
      RowBox[{"Quiet", "[", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"nBECNoThFun", "[", 
          RowBox[{
           RowBox[{"x", "+", 
            RowBox[{"xOffset", "/", "aB"}]}], ",", 
           RowBox[{"y", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
           ",", 
           RowBox[{"z", "+", 
            RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.", ",", "xMaxBEC"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", " ", "0.", ",", "zMaxBEC"}], "}"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
         RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
         RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}],
        "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"UFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=",
    " ", 
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", "+", " ", 
    RowBox[{"2.", "*", "gScat", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}],
         "]"}], "+", " ", 
       RowBox[{"nThOldFun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
   " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"UFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}], 
         "]"}]}], ")"}], "/", "Temp"}], "*", "ctePlanckOverkB"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
    " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThOldFun"}], "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"selfConsitentLoopFun", "[", 
     RowBox[{"{", 
      RowBox[{"nThInterpFun_", ",", "\[Mu]Chem_", ",", "\[Mu]ChemOld_"}], 
      "}"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"nThTabAux", ",", "nThInterpFunRes", ",", "\[Mu]ChemRes"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nThTabAux", " ", "=", " ", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"nThFun", "[", 
               RowBox[{
               "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "TempCloud", 
                ",", "nThInterpFun"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"xMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{
               RowBox[{"-", "yMaxBEC"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"zMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", 
          "2"}], "]"}]}], ";", 
       RowBox[{"nThInterpFunRes", "=", " ", 
        RowBox[{"Interpolation", "[", "nThTabAux", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]ChemRes", "=", " ", 
        RowBox[{"\[Mu]ChemBEC", "/.", " ", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"NbBECFun", "[", 
             RowBox[{"\[Mu]ChemBEC", ",", "nThInterpFunRes"}], "]"}], 
            "\[Equal]", "   ", "NatBECTest"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Mu]ChemBEC", ",", "\[Mu]Chem"}], "}"}], ",", 
           RowBox[{"Evaluated", "\[Rule]", " ", "False"}], ",", 
           RowBox[{"MaxIterations", "\[Rule]", " ", "20"}], ",", 
           RowBox[{"AccuracyGoal", "\[Rule]", "10"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Current value of chemical potential: \>\"", ",", "\[Mu]ChemRes", 
         ",", "\"\< Hz\>\""}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nThInterpFunRes", ",", "\[Mu]ChemRes", ",", "\[Mu]Chem"}], 
        "}"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aux1Fun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"x", "/", "xMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"y", "/", "yMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"z", "/", "zMaxTh"}], "]"}], ")"}], "^", "1.5"}]}], ")"}], 
    "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"aux2Fun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"x", "/", 
           RowBox[{"(", 
            RowBox[{"xMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"y", "/", 
           RowBox[{"(", 
            RowBox[{"yMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"z", "/", 
           RowBox[{"(", 
            RowBox[{"zMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}]}], ")"}], "/", "2."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nTh2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"PolyLog", "[", 
      RowBox[{
       RowBox[{"3", "/", "2"}], ",", 
       RowBox[{"Z2Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
        "]"}]}], "]"}], "]"}], " ", "*", 
    RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZSheetOnlyFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"VPotAnisoDTSheetOnlyFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThSheetOnlyFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZSheetOnlyFun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "Temp"}], "]"}]}], "]"}], 
      "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThBoltzSheetOnlyFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "auxCalc", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"auxCalc", " ", "=", " ", 
        RowBox[{"VPotAnisoDTSheetOnlyFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"auxCalc", "\[LessEqual]", "   ", "0."}], ",", "0.", ",", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "auxCalc"}], "/", "Temp"}], "*", "ctePlanckOverkB"}],
           "]"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThExtendedFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"aux1Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aux2Fun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", 
        RowBox[{"nThFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThInterpFun"}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], ",", "0."}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbThFun", "[", 
     RowBox[{"\[Mu]Chem_", ",", "Temp_", ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"4.", "*", " ", 
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
          RowBox[{"x", "+", 
           RowBox[{"xOffset", "/", "aB"}]}], ",", 
          RowBox[{"y", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
          ",", 
          RowBox[{"z", "+", 
           RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", "Temp", 
          ",", "nThInterpFun"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
        RowBox[{"PrecisionGoal", "\[Rule]", "2"}], ",", 
        RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
      "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0ThBoltzSheetOnlyFun", "[", 
    RowBox[{"NbTh_", ",", "Temp_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "auxFalseNb", "}"}], ",", 
     RowBox[{
      RowBox[{"auxFalseNb", "=", 
       RowBox[{"4.", "*", " ", 
        RowBox[{
         RowBox[{"NIntegrate", "[", 
          RowBox[{
           RowBox[{"nThBoltzSheetOnlyFun", "[", 
            RowBox[{
             RowBox[{"x", "+", 
              RowBox[{"xOffset", "/", "aB"}]}], ",", 
             RowBox[{"y", "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"yOffset", "+", "gSaggSrNumSheetOnly"}], ")"}], "/", 
               "aB"}]}], ",", 
             RowBox[{"z", "+", 
              RowBox[{"zOffset", "/", "aB"}]}], ",", "Temp"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
           RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
           RowBox[{"PrecisionGoal", "\[Rule]", "2"}], ",", 
           RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], 
          "]"}], "/", "factAuxNatAniso"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"NbTh", "/", "auxFalseNb"}]}]}], "\[IndentingNewLine]", "]"}]}],
   ";"}]}], "Input",
 CellChangeTimes->{{3.795412272675922*^9, 3.7954122733979635`*^9}, {
   3.795412338503687*^9, 3.7954123395937495`*^9}, {3.7954124414115734`*^9, 
   3.7954125545510445`*^9}, {3.795412602645795*^9, 3.7954126028588076`*^9}, {
   3.795412641986045*^9, 3.795412672181772*^9}, {3.7954127276239433`*^9, 
   3.795412727969963*^9}, {3.795412802308215*^9, 3.7954129253082504`*^9}, {
   3.7954129567280474`*^9, 3.7954129985764413`*^9}, {3.7954130524345217`*^9, 
   3.7954130688094583`*^9}, {3.7954131738404655`*^9, 
   3.7954131821739426`*^9}, {3.795413298957622*^9, 3.7954133254101353`*^9}, {
   3.7954134760787525`*^9, 3.7954135066395006`*^9}, {3.7954135429855795`*^9, 
   3.7954137009686155`*^9}, {3.7954137321614*^9, 3.795413737549708*^9}, 
   3.7954137685704823`*^9, {3.795413863906935*^9, 3.7954138970708323`*^9}, {
   3.795413975689329*^9, 3.7954139764343715`*^9}, {3.795425005449195*^9, 
   3.7954250208070736`*^9}, {3.7954251594590034`*^9, 3.795425181198247*^9}, {
   3.7954253466877127`*^9, 3.7954253762114015`*^9}, {3.7954254409391036`*^9, 
   3.795425478726265*^9}, 3.795425536822588*^9, {3.7954255808941083`*^9, 
   3.795425634325165*^9}, {3.795425790490097*^9, 3.7954258183856926`*^9}, {
   3.7954258785161314`*^9, 3.7954259995520544`*^9}, {3.795426044443622*^9, 
   3.795426233835455*^9}, {3.795426537196806*^9, 3.7954266074378233`*^9}, {
   3.7954266600658336`*^9, 3.7954267045523777`*^9}, {3.7954267351641293`*^9, 
   3.7954267980517263`*^9}, {3.795426852222824*^9, 3.7954268679787254`*^9}, {
   3.7954269030007286`*^9, 3.7954269032427425`*^9}, {3.7954269832783203`*^9, 
   3.795427083169034*^9}, {3.79542712139222*^9, 3.795427127744583*^9}, {
   3.7954271649117093`*^9, 3.7954271817886744`*^9}, 3.7954275600773115`*^9, {
   3.7954276202647543`*^9, 3.7954276375347414`*^9}, 3.7954277665431204`*^9, {
   3.7954277989009714`*^9, 3.7954277995990114`*^9}, {3.7954278577423368`*^9, 
   3.795427892545327*^9}, {3.795427931265542*^9, 3.795427944648308*^9}, {
   3.795428058806837*^9, 3.7954280875334797`*^9}, {3.795428207570346*^9, 
   3.795428235397938*^9}, {3.795428276863309*^9, 3.7954283208918276`*^9}, {
   3.7954283918318853`*^9, 3.795428397111187*^9}, 3.7954291421097984`*^9, {
   3.795429443170018*^9, 3.7954294558067408`*^9}, {3.795429676046338*^9, 
   3.7954296763353543`*^9}, {3.795429969224107*^9, 3.7954299737993684`*^9}, {
   3.7954302001643157`*^9, 3.7954302012023754`*^9}, {3.7954314113425913`*^9, 
   3.7954314117536144`*^9}, {3.7954315154065433`*^9, 
   3.7954315579919786`*^9}, {3.795431890181979*^9, 3.795431890531999*^9}, 
   3.795432954083831*^9, {3.7954338308759804`*^9, 3.795433850961129*^9}, {
   3.7954368927101073`*^9, 3.7954368968943467`*^9}, 3.7954371532650104`*^9, {
   3.795437262779274*^9, 3.795437280441284*^9}, {3.7954373374385443`*^9, 
   3.7954373406827297`*^9}, 3.7954375579651575`*^9, {3.7954375896489697`*^9, 
   3.795437669130516*^9}, {3.795437770695325*^9, 3.795437771037345*^9}, {
   3.795439259206463*^9, 3.7954392703330994`*^9}, {3.7954393169097633`*^9, 
   3.795439349873649*^9}, {3.7954996735715566`*^9, 3.795499703605274*^9}, {
   3.7954999315233107`*^9, 3.7954999878055296`*^9}, {3.795500045195812*^9, 
   3.7955000616517534`*^9}, {3.795500402439245*^9, 3.795500402593254*^9}, {
   3.795500573894052*^9, 3.795500608371024*^9}, {3.795500639738818*^9, 
   3.7955006601759872`*^9}, {3.7955007342222223`*^9, 
   3.7955007987529135`*^9}, {3.7955008947094016`*^9, 3.795500905100996*^9}, {
   3.795501040455738*^9, 3.7955011358851957`*^9}, {3.79550438859624*^9, 
   3.795504388786251*^9}, {3.798280548834232*^9, 3.798280574608706*^9}, {
   3.798286208309935*^9, 3.7982862292831345`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"nThInterpFunSol", ",", "\[Mu]ChemSol", ",", "\[Mu]ChemAux"}], 
   "}"}], "=", " ", 
  RowBox[{"NestWhile", "[", 
   RowBox[{"selfConsitentLoopFun", ",", 
    RowBox[{"{", 
     RowBox[{"nThInterpFun", ",", "\[Mu]Chem", ",", "1."}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", 
          RowBox[{"#", "[", 
           RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "]"}], "/", 
       RowBox[{"#", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], ">", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "5"}], ")"}]}]}], "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.795431789724233*^9, 3.7954318089193316`*^9}, {
  3.7954324286467776`*^9, 3.795432428983797*^9}, {3.7954324599235663`*^9, 
  3.7954324602215834`*^9}, {3.7954338361732836`*^9, 3.7954338364613*^9}, {
  3.7954372906848707`*^9, 3.795437291167898*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4664.316820808459`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4664.316820808459, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.7954997967246003`*^9, 
  3.7955044836576777`*^9, 3.796470712895768*^9, 3.7982806676410275`*^9, 
  3.801984577389196*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4555.116737240189`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4555.116737240189, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.7954997967246003`*^9, 
  3.7955044836576777`*^9, 3.796470712895768*^9, 3.7982806676410275`*^9, 
  3.801984621273706*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4586.841672886954`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4586.841672886954, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.7954997967246003`*^9, 
  3.7955044836576777`*^9, 3.796470712895768*^9, 3.7982806676410275`*^9, 
  3.8019846631581016`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4576.362213988294`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4576.362213988294, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.7954997967246003`*^9, 
  3.7955044836576777`*^9, 3.796470712895768*^9, 3.7982806676410275`*^9, 
  3.801984698287111*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4579.76688734303`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4579.76688734303, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.7954997967246003`*^9, 
  3.7955044836576777`*^9, 3.796470712895768*^9, 3.7982806676410275`*^9, 
  3.8019847339591513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4578.639337556495`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4578.639337556495, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.7954997967246003`*^9, 
  3.7955044836576777`*^9, 3.796470712895768*^9, 3.7982806676410275`*^9, 
  3.80198476260979*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4579.015677146431`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4579.015677146431, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.7954997967246003`*^9, 
  3.7955044836576777`*^9, 3.796470712895768*^9, 3.7982806676410275`*^9, 
  3.8019847980208154`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4578.8889531983605`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4578.8889531983605`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.7954997967246003`*^9, 
  3.7955044836576777`*^9, 3.796470712895768*^9, 3.7982806676410275`*^9, 
  3.801984826580449*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4578.931938599814`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4578.931938599814, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.7954997967246003`*^9, 
  3.7955044836576777`*^9, 3.796470712895768*^9, 3.7982806676410275`*^9, 
  3.8019848553500943`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    TemplateBox[{RowBox[{
        StyleBox[
         TagBox["InterpolatingFunction", "SummaryHead"], 
         "NonInterpretableSummary"], 
        StyleBox["[", "NonInterpretableSummary"], 
        DynamicModuleBox[{Typeset`open$$ = False}, 
         PanelBox[
          PaneSelectorBox[{False -> GridBox[{{
                PaneBox[
                 ButtonBox[
                  DynamicBox[
                   FEPrivate`FrontEndResource[
                   "FEBitmaps", "SquarePlusIconMedium"]], 
                  ButtonFunction :> (Typeset`open$$ = True), Appearance -> 
                  None, Evaluator -> Automatic, Method -> "Preemptive"], 
                 Alignment -> {Center, Center}, ImageSize -> 
                 Dynamic[{
                   Automatic, 3.5 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                GraphicsBox[{{
                   GrayLevel[0.6], 
                   AbsolutePointSize[5], 
                   PointBox[{1, 1}], 
                   PointBox[{2, 4}], 
                   PointBox[{3, 2}], 
                   PointBox[{4, 3}]}, {{}, {}, {
                    AbsoluteThickness[1], 
                    Opacity[1.], 
                    LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                    "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
                 GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                   GrayLevel[0.7], 
                   Thickness[Tiny]], FrameTicks -> None, 
                 ImageSize -> {Automatic, 
                   Dynamic[
                   3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
                GridBox[{{
                   RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "12598.1741641718`"}], ",", 
                    "201570.7866267488`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "120942.47197604929`"}], ",", 
                    "120942.47197604929`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "18897.2612462577`"}], ",", 
                    "302356.1799401232`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
                 False, 
                 GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 GridBoxSpacings -> {
                  "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                 BaseStyle -> {
                  ShowStringCharacters -> False, NumberMarks -> False, 
                   PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
              GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
              BaselinePosition -> {1, 1}], True -> GridBox[{{
                PaneBox[
                 ButtonBox[
                  DynamicBox[
                   FEPrivate`FrontEndResource[
                   "FEBitmaps", "SquareMinusIconMedium"]], 
                  ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                  None, Evaluator -> Automatic, Method -> "Preemptive"], 
                 Alignment -> {Center, Center}, ImageSize -> 
                 Dynamic[{
                   Automatic, 3.5 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                GraphicsBox[{{
                   GrayLevel[0.6], 
                   AbsolutePointSize[5], 
                   PointBox[{1, 1}], 
                   PointBox[{2, 4}], 
                   PointBox[{3, 2}], 
                   PointBox[{4, 3}]}, {{}, {}, {
                    AbsoluteThickness[1], 
                    Opacity[1.], 
                    LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                    "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
                 GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                   GrayLevel[0.7], 
                   Thickness[Tiny]], FrameTicks -> None, 
                 ImageSize -> {Automatic, 
                   Dynamic[
                   3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
                GridBox[{{
                   RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "12598.1741641718`"}], ",", 
                    "201570.7866267488`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "120942.47197604929`"}], ",", 
                    "120942.47197604929`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "18897.2612462577`"}], ",", 
                    "302356.1799401232`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Order: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{"3", ",", "3", ",", "3"}], "}"}], 
                    "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Method: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"Hermite\"", "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Periodic: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["False", "SummaryItem"]}]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
                 False, GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 GridBoxSpacings -> {
                  "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                 BaseStyle -> {
                  ShowStringCharacters -> False, NumberMarks -> False, 
                   PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
              GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
              BaselinePosition -> {1, 1}]}, 
           Dynamic[Typeset`open$$], ImageSize -> Automatic], BaselinePosition -> 
          Baseline], DynamicModuleValues :> {}], 
        StyleBox["]", "NonInterpretableSummary"]}]},
     "CopyTag",
     DisplayFunction->(#& ),
     InterpretationFunction->(
      "InterpolatingFunction[{{-12598.2, 201571.}, {-120942., 120942.}, \
{-18897.3, 302356.}}, <>]"& )],
    False,
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", "4578.931938599814`", ",", 
   "4578.8889531983605`"}], "}"}]], "Output",
 CellChangeTimes->{3.795432399786127*^9, 3.795433111998863*^9, 
  3.795433839934499*^9, 3.7954340003356733`*^9, 3.795434818022442*^9, 
  3.795437075717575*^9, 3.795437357152672*^9, 3.7954375228901515`*^9, 
  3.7954381756964903`*^9, 3.795441606161701*^9, 3.7955001055492644`*^9, 
  3.795504793577404*^9, 3.796471038869413*^9, 3.7982809809299464`*^9, 
  3.801984855464101*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nbBEC", " ", "=", " ", 
   RowBox[{"NbBECFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0BEC", " ", "=", " ", 
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", 
      "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nbTh", " ", "=", " ", 
   RowBox[{"NbThFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0ThSheetOnly", " ", "=", " ", 
   RowBox[{
    RowBox[{"n0ThBoltzSheetOnlyFun", "[", 
     RowBox[{"NatReservoirTest", ",", "TempReservoir"}], "]"}], "*", 
    "factAuxDensity"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0ThDimple", " ", "=", 
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
      "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]ChemNoIntSol", " ", "=", " ", 
    RowBox[{"First", "[", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"NbBECNoThFun", "[", "\[Mu]ChemNoInt", "]"}], "\[Equal]", 
          "NatBECTest"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Mu]ChemNoInt", ",", "\[Mu]Chem"}], "}"}]}], "]"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]ChemNoInt", "\[Rule]", "\[Mu]_"}], ")"}], "\[Rule]", 
        " ", "\[Mu]"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Initial chemical potential: \>\"", ",", "\[Mu]Chem", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Final chemical potential: \>\"", ",", "\[Mu]ChemSol", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Chemical potential with interaction with thermal gas: \>\"", ",", 
   "\[Mu]ChemNoIntSol", ",", "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<BEC atom number: \>\"", ",", "nbBEC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Thermal atom number in dimple (theory): \>\"", ",", "nbTh"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Thermal atom number in reservoir (from exp): \>\"", ",", 
    "NatReservoirTest"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak density due to BEC: \>\"", ",", "n0BEC", ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak density due to thermal gas in dimple: \>\"", ",", "n0ThDimple", 
   ",", "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Peak density due to thermal gas in reservoir (sheet only): \>\"", ",",
     "n0ThSheetOnly", ",", "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]",
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"nBECFun", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "0.", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}], "*", 
        "factAuxDensity"}], ",", 
       RowBox[{
        RowBox[{"nBECNoThFun", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "0.", ",", "\[Mu]ChemNoIntSol"}], "]"}], "*", "factAuxDensity"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{
        RowBox[{"xMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<BEC density distribution in X axis\>\""}], 
     ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<BEC\>\"", ",", "\"\<BEC (no int with Th)\>\""}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Scaled", "[", 
           RowBox[{"{", 
            RowBox[{"0.", ",", "0.3"}], "}"}], "]"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0.6"}], ",", " ", "0."}], "}"}]}], "}"}]}], 
       "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"nBECFun", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"y", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}], "*", 
        "factAuxDensity"}], ",", 
       RowBox[{
        RowBox[{"nBECNoThFun", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"y", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "\[Mu]ChemNoIntSol"}], "]"}], "*", "factAuxDensity"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "yMaxBEC"}], "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<BEC density distribution in Y axis\>\""}], 
     ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<BEC\>\"", ",", "\"\<BEC (no int with Th)\>\""}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Scaled", "[", 
           RowBox[{"{", 
            RowBox[{"0.", ",", "0.3"}], "}"}], "]"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0."}], ",", " ", "0."}], "}"}]}], "}"}]}], 
       "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BecPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"nBECFun", "[", 
          RowBox[{"0.", ",", "0.", ",", 
           RowBox[{"z", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
           "\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}], "*", 
         "factAuxDensity"}], ",", 
        RowBox[{
         RowBox[{"nBECNoThFun", "[", 
          RowBox[{"0.", ",", "0.", ",", 
           RowBox[{"z", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
           "\[Mu]ChemNoIntSol"}], "]"}], "*", "factAuxDensity"}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0", ",", 
        RowBox[{
         RowBox[{"zMaxBEC", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{
      "PlotLabel", "\[Rule]", "\"\<BEC density distribution in Z axis\>\""}], 
      ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<BEC\>\"", ",", "\"\<BEC (no int with Th)\>\""}], "}"}],
          ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Scaled", "[", 
            RowBox[{"{", 
             RowBox[{"0.", ",", "0.3"}], "}"}], "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "0.6"}], ",", " ", "0."}], "}"}]}], "}"}]}], 
        "]"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{
            RowBox[{"x", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{
          RowBox[{"nThFun", "[", 
           RowBox[{
            RowBox[{"x", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
            "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", "0."}], 
        "]"}], ",", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
          "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
       RowBox[{
        RowBox[{"nTh2Fun", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], "]"}], "*", 
        "factAuxDensity"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{"2", "*", 
        RowBox[{"xMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Dimple density distribution in X axis\>\""}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Valid near BEC\>\"", ",", "\"\<Good distrib\>\"", ",", 
          "\"\<Valid at th. part\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Scaled", "[", 
           RowBox[{"{", 
            RowBox[{"0.", ",", "0.3"}], "}"}], "]"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0.6"}], ",", " ", "0."}], "}"}]}], "}"}]}], 
       "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"y", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0."}], 
           "]"}], "<", "0.5"}], ",", 
         RowBox[{
          RowBox[{"nThFun", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"y", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}],
           "*", "factAuxDensity"}], ",", "0."}], "]"}], ",", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"y", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
        "*", "factAuxDensity"}], ",", 
       RowBox[{
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"y", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "\[Mu]ChemSol", ",", "TempCloud"}], "]"}], "*", 
        "factAuxDensity"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{"2", "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Dimple density distribution in Y axis\>\""}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Valid near BEC\>\"", ",", "\"\<Good distrib\>\"", ",", 
          "\"\<Valid at th. part\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Scaled", "[", 
           RowBox[{"{", 
            RowBox[{"0.", ",", "0.3"}], "}"}], "]"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0."}], ",", " ", "0."}], "}"}]}], "}"}]}], 
       "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"aux2Fun", "[", 
            RowBox[{"0.", ",", "0.", ",", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], "]"}], "<", 
           "0.5"}], ",", 
          RowBox[{
           RowBox[{"nThFun", "[", 
            RowBox[{"0.", ",", "0.", ",", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
             "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], 
            "]"}], "*", "factAuxDensity"}], ",", "0."}], "]"}], ",", 
        RowBox[{
         RowBox[{"nThExtendedFun", "[", 
          RowBox[{"0.", ",", "0.", ",", 
           RowBox[{"z", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
           "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
         "*", "factAuxDensity"}], ",", 
        RowBox[{
         RowBox[{"nTh2Fun", "[", 
          RowBox[{"0.", ",", "0.", ",", 
           RowBox[{"z", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
           "\[Mu]ChemSol", ",", "TempCloud"}], "]"}], "*", 
         "factAuxDensity"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0", ",", 
        RowBox[{"2", "*", 
         RowBox[{"zMaxBEC", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{
      "PlotLabel", "\[Rule]", 
       "\"\<Dimple density distribution in Z axis\>\""}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<Valid near BEC\>\"", ",", "\"\<Good distrib\>\"", ",", 
           "\"\<Valid at th. part\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Scaled", "[", 
            RowBox[{"{", 
             RowBox[{"0.", ",", "0.3"}], "}"}], "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "0.6"}], ",", " ", "0."}], "}"}]}], "}"}]}], 
        "]"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThSheetOnlyPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"n0ThSheetOnly", "*", 
      RowBox[{"nThBoltzSheetOnlyFun", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", "0.", 
        ",", "TempReservoir"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "xMaxTh"}], "/", "2"}], "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"xMaxTh", "/", "2"}], "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Reservoir density distribution in X axis\>\""}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThSheetOnlyPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"n0ThSheetOnly", "*", 
      RowBox[{"nThBoltzSheetOnlyFun", "[", 
       RowBox[{"0.", ",", 
        RowBox[{"y", "*", 
         RowBox[{
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
        "TempReservoir"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "yMaxTh"}], "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{
        RowBox[{"yMaxTh", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Reservoir density distribution in Y axis\>\""}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThSheetOnlyPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"n0ThSheetOnly", "*", 
       RowBox[{"nThBoltzSheetOnlyFun", "[", 
        RowBox[{"0.", ",", "0.", ",", 
         RowBox[{"z", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
         "TempReservoir"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"-", "zMaxTh"}], "/", "2"}], "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"zMaxTh", "/", "2"}], "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{
      "PlotLabel", "\[Rule]", 
       "\"\<Reservoir density distribution in Z axis\>\""}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
        "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"BecPlot1", ",", "BecPlot2", ",", "BecPlot3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ThPlot1", ",", "ThPlot2", ",", "ThPlot3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "ThSheetOnlyPlot1", ",", "ThSheetOnlyPlot2", ",", "ThSheetOnlyPlot3"}], 
     "}"}]}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.795432692306858*^9, 3.7954327479470406`*^9}, {
   3.7954327858582087`*^9, 3.795432846670687*^9}, {3.7954331382793665`*^9, 
   3.7954331391564164`*^9}, {3.795433454851473*^9, 3.7954334557785263`*^9}, {
   3.7954334892674417`*^9, 3.7954335096336064`*^9}, {3.7954337453250875`*^9, 
   3.7954337997432*^9}, {3.7954339214801626`*^9, 3.7954339756062584`*^9}, {
   3.7954340388148737`*^9, 3.7954340949300833`*^9}, {3.7954341418397665`*^9, 
   3.7954341575836673`*^9}, {3.795434207998551*^9, 3.7954342189461765`*^9}, {
   3.7954343180178432`*^9, 3.7954343280924196`*^9}, {3.795434488132573*^9, 
   3.795434520024398*^9}, {3.7954345642069244`*^9, 3.7954345863721924`*^9}, 
   3.7954346972365336`*^9, {3.7954347324705486`*^9, 3.7954347328215685`*^9}, {
   3.79543478913579*^9, 3.795434972312267*^9}, {3.79543501746585*^9, 
   3.7954350501917214`*^9}, {3.7954350971094046`*^9, 3.795435516716405*^9}, {
   3.7954355624790225`*^9, 3.7954356639218245`*^9}, {3.7954356952846184`*^9, 
   3.7954358121203012`*^9}, {3.795435842576043*^9, 3.795435927612907*^9}, {
   3.795435994903756*^9, 3.7954360027222033`*^9}, {3.7954360373971863`*^9, 
   3.795436106495138*^9}, {3.7954361434422517`*^9, 3.795436237156612*^9}, {
   3.795436505338951*^9, 3.795436509153169*^9}, {3.795436541402014*^9, 
   3.7954367131008344`*^9}, {3.7954367912023015`*^9, 3.795436850637701*^9}, 
   3.7954368896729336`*^9, {3.795436970114535*^9, 3.7954369707245693`*^9}, {
   3.795437548773632*^9, 3.7954375498886957`*^9}, {3.795500317152367*^9, 
   3.7955003205805635`*^9}, {3.7955017506463585`*^9, 
   3.7955017896875916`*^9}, {3.7955018286098175`*^9, 3.795501883579962*^9}, {
   3.795502020914817*^9, 3.795502240178358*^9}, {3.7964707168549943`*^9, 
   3.796470811640416*^9}, {3.796470843812256*^9, 3.796470870714795*^9}, {
   3.7964709198326044`*^9, 3.7964709661382527`*^9}, {3.79647238959667*^9, 
   3.7964723982111626`*^9}, {3.796472434224222*^9, 3.796472474962552*^9}, {
   3.7964725092535143`*^9, 3.7964725349469833`*^9}, {3.7964725792205153`*^9, 
   3.7964726398859854`*^9}, {3.796472684130516*^9, 3.7964726858666153`*^9}, {
   3.7982807119675627`*^9, 3.7982809667371345`*^9}, {3.798281045130618*^9, 
   3.7982810600964746`*^9}, {3.7982811839505587`*^9, 3.798281208662972*^9}, {
   3.798281245106056*^9, 3.798281278076942*^9}, 3.7982813749594836`*^9, {
   3.798281413114666*^9, 3.79828141931402*^9}, {3.7982842261155605`*^9, 
   3.798284276080418*^9}, {3.7982852237646227`*^9, 3.798285224117643*^9}, {
   3.7982854259611874`*^9, 3.798285430941472*^9}, {3.798285635121151*^9, 
   3.7982856526361523`*^9}, 3.7982862491592717`*^9, {3.8019849650463686`*^9, 
   3.8019849825223684`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initial chemical potential: \"\>", "\[InvisibleSpace]", 
   "4951.897401461024`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Initial chemical potential: ", 4951.897401461024, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final chemical potential: \"\>", "\[InvisibleSpace]", 
   "4578.931938599814`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Final chemical potential: ", 4578.931938599814, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214945974`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Chemical potential with interaction with thermal gas: \"\>", 
   "\[InvisibleSpace]", "4360.331455743059`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Chemical potential with interaction with thermal gas: ", 4360.331455743059,
    " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214975977`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BEC atom number: \"\>", "\[InvisibleSpace]", "11600.`"}],
  SequenceForm["BEC atom number: ", 11600.],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.801985021500598*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thermal atom number in dimple (theory): \"\>", 
   "\[InvisibleSpace]", "356136.19098087633`"}],
  SequenceForm[
  "Thermal atom number in dimple (theory): ", 356136.19098087633`],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.801985021503598*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thermal atom number in reservoir (from exp): \"\>", 
   "\[InvisibleSpace]", "830000.0000000001`"}],
  SequenceForm[
  "Thermal atom number in reservoir (from exp): ", 830000.0000000001],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.801985021506598*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to BEC: \"\>", "\[InvisibleSpace]", 
   "3.875130437123012`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm["Peak density due to BEC: ", 3.875130437123012*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850215095983`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas in dimple: \"\>", 
   "\[InvisibleSpace]", "1.796492781208758`*^20", 
   "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas in dimple: ", 1.796492781208758*^20, 
   " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850215125985`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas in reservoir (sheet only): \
\"\>", "\[InvisibleSpace]", "3.350900875812339`*^18", 
   "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas in reservoir (sheet only): ", 
   3.350900875812339*^18, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850215155983`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{}, {}, 
            {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
             Opacity[1.], LineBox[CompressedData["
1:eJxF1Hk01PsbB3BLMxMirpS9UZKyhPmSuvL56vuZlFC4XZIbQpZCaZeUlKUU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              "]]}, 
            {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
             Opacity[1.], LineBox[CompressedData["
1:eJxF0nk0Vf8WAHBD7k0hQwoZbiWVIcM9SiXfk/O9IUPRkwy/QubMw0v0JF5m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              "]]}}, InsetBox[
            TemplateBox[{"\"BEC\"","\"BEC (no int with Th)\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], 
                    "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0., 0.3}], ImageScaled[{-0.6, 0.}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
             FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
          FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
            AbsolutePointSize[6], "ScalingFunctions" -> None},
          
          PlotLabel->FormBox[
           "\"BEC density distribution in X axis\"", TraditionalForm],
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{}, {}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Line[CompressedData["
1:eJxF1Hk01PsbB3BLMxMirpS9UZKyhPmSuvL56vuZlFC4XZIbQpZCaZeUlKUU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               "]]}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Line[CompressedData["
1:eJxF0nk0Vf8WAHBD7k0hQwoZbiWVIcM9SiXfk/O9IUPRkwy/QubMw0v0JF5m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               "]]}}}, {
           DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, 
            FrameLabel -> {{"Density (at./m^3)", None}, {
              "Distance (\[Micro]m)", None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None}, PlotLabel -> 
            "BEC density distribution in X axis", PlotRange -> {All, All}, 
            PlotRangeClipping -> True, PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]]}, {"BEC", "BEC (no int with Th)"}, 
             LegendMarkers -> None, LabelStyle -> {}, LegendLayout -> 
             "Column"]], {
            Scaled[{0., 0.3}], {-0.6, 0.}}, Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {193.5, -119.58957682310464`}, {
      Center, Center}, {360., 222.4922359499621}], InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{}, {}, 
            {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
             Opacity[1.], LineBox[CompressedData["
1:eJxN2Hk4VFH/APAhO9kpokx2sjMzSc4wh5BKSqSiUpRKyBophEiSZJekskRk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              "]]}, 
            {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
             Opacity[1.], LineBox[CompressedData["
1:eJxN2Hk0VO//APAhO9lJQnah7OYq8gzzKCKVJUuFFksq5KOsCYWSjyTJLqmI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              "]]}}, InsetBox[
            TemplateBox[{"\"BEC\"","\"BEC (no int with Th)\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], 
                    "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0., 0.3}], ImageScaled[{0., 0.}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
             FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
          FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
            AbsolutePointSize[6], "ScalingFunctions" -> None},
          
          PlotLabel->FormBox[
           "\"BEC density distribution in Y axis\"", TraditionalForm],
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{}, {}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Line[CompressedData["
1:eJxN2Hk4VFH/APAhO9kpokx2sjMzSc4wh5BKSqSiUpRKyBophEiSZJekskRk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               "]]}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Line[CompressedData["
1:eJxN2Hk0VO//APAhO9lJQnah7OYq8gzzKCKVJUuFFksq5KOsCYWSjyTJLqmI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               "]]}}}, {
           DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, 
            FrameLabel -> {{"Density (at./m^3)", None}, {
              "Distance (\[Micro]m)", None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None}, PlotLabel -> 
            "BEC density distribution in Y axis", PlotRange -> {All, All}, 
            PlotRangeClipping -> True, PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]]}, {"BEC", "BEC (no int with Th)"}, 
             LegendMarkers -> None, LabelStyle -> {}, LegendLayout -> 
             "Column"]], {
            Scaled[{0., 0.3}], {0., 0.}}, Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {580.5, -119.58957682310464`}, {
      Center, Center}, {360., 222.4922359499621}], InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{}, {}, 
            {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
             Opacity[1.], LineBox[CompressedData["
1:eJxN0Xk01PsbB/CxzgjZKkKWUNmZ+ZKUPl/mo5C9FN24oSTLzda15FYkIVTI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              "]]}, 
            {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
             Opacity[1.], LineBox[CompressedData["
1:eJxN0gk01dseB3DhOGQeQkhEKoRzzt+UW/vP2SJFKMoNZeqar5mLBpK6bro3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              "]]}}, InsetBox[
            TemplateBox[{"\"BEC\"","\"BEC (no int with Th)\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], 
                    "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0., 0.3}], ImageScaled[{-0.6, 0.}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
             FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
          FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
            AbsolutePointSize[6], "ScalingFunctions" -> None},
          
          PlotLabel->FormBox[
           "\"BEC density distribution in Z axis\"", TraditionalForm],
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{}, {}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Line[CompressedData["
1:eJxN0Xk01PsbB/CxzgjZKkKWUNmZ+ZKUPl/mo5C9FN24oSTLzda15FYkIVTI
tcSdyJLUL0uKElmSfY87kWS5M7LMGPuSO79zfme+v885z/mc11/P87wfRbcr
9he5cThcDbv++y99bW5QvptytHlaYbyHSw+uknV9jAcDwMuI0OlOti9W/eMg
NRgJ7FPmIj6y3dFTsSgC40H2kYgnFWxnLta18AwmgdJKjVMUtrsiijK2Ev4E
cv6M+7fY5t2e5LVOfgTOM1vOnmdbtv1I1no4Begwq0r02dZP1rm9OpADCFY1
D/nZtnVS9l0m5oE0gQH+Lpwe9JKXclhMKABDp7j4ktmOmhA0YtGegoxbRvdt
2P7r2ZYyk1wMzoveLeRju8qfJTSX/QIIUehWr7YQOJUZGLYU/hLY/3S86cI2
r9slt4WBUvBU2is+6ycCxUxdTwfylYNL+kIeJLblDvxiMU98Bf5DrWmr20Sg
waw1kZHwGuzUcjHu2ECgabfZvitv3wDfEAsbC7bty02kZ2mVQCTixFTNOgJ9
w/S5p8nvQMub+01/riEwzFlnycu/GmTWDAisrSIwBlWbome/B3S9Q387sG3H
I0JnhdeCzl57+bVlBHo3c3czB+rAW5M95osLCJyv2rIo+a0eDO4OXFBiO6R4
o8GPrwHEay9pWLIQGH1v6c0csRG4Bt03jWUikOIwRZlJaALWN4J2VswgcN/x
f6SfK38Coc5JaiXTCHxuMJ7i8/YTENZba8v7gcAqma8xP2jNQFOpsvIaHYF9
o91+dHIbEG66SqKOI/Bsb8dUIbUNZCIXyh6PIXC0ofWCp387eIrW17p9R+Bs
QaPjP9kdwDSEfqt7hJ3v63OU+fAusG8qrNiVys7zD9sYxkAP+E5wjLfsQCBu
jGZfoNoLioXLnsS2IfC7WcQel2u9wOV2rmpNCwLzdpSWtsr1ARO6b6hEEwI1
iiWG8y/2g4gjfbquNQg0/PJZ15k1ACwDVkQevECgrPGVDQnTQdCvObN0qhiB
P/PxTS2pbD9ETogVIfBDgME5A8O/QTQyfzgwD4Fm2zKiJSKooEKpHAxlIvD0
IecvzduHgUaH67DJHfa9/1rMu3l+GBwTc6EkRCFQmi/R72DpMAieonR3RSBw
uOs9X57DV1DVffQGGo7AC54KOjcfjQCuux8JjX4IrGz1N5HZOQqks8Qm3BwR
2LSG/NmdMwaq7u+3nldEoJeK0tDypzFQXXBEP1YOgdttxRTl5sbATj+5O7tl
2PPkzRR5HR4HBbMP3fftQOC4Tf57nr5xoFl0XYDJx84vT3JSj28SKO4WkbGg
kaCBzRqScYkGUNRzWrCQBIdCaaG1CTSwsfx5V1cuCd548vn9ZBkNjIp1FSf8
RYIfV0vNSDg6OMiql1lMJcFTT7zPtaXRgbiqL+HqbRL0Xx269bN5CnBV7iUd
ciXBotyaHjeNGdCqEhbbK0GCC9IuUc12MyAok9j6dTsJgqQNPZ3gGUCmqlSP
CZBg381D6ZsfZkA4U6OUukWEP53Lfk07Mwvc7wyMhf8gQjupgun2yDkgtDR1
PekDEYYfO37r0TQDPHre1ih4mQgVI3cN2WwxAH+aFsPKnQg/Vk8gPOJMUAlP
dMQ6E6GYXtTk5YNMsGC3N3/WjgjzlT6YH4xkgvS7Vk0+hkTYhTss2iM5D1bn
j9EMtxGh0lutLDyZBb4mr/jL5+lC0YALlbZnWMD35E7nbdm6cONARn+6Nwus
iHiOzaTqws+pfNs1Ulig3/1kXXaMLowLGLpuO8ECJL5P7QXeupChGnc+/c4C
kKkloGd0dOH7tAkl9bZFYHL1Xr1GuQ50+v1RkbXDClgi+myEnNCGCqq5+kae
KyDmVRily1AbTn55Wqd+bQV8sGUEy6hpwwDj11TC4xXQa3WlLo6gDeOEerbV
T6+AwEG3zs4GLfguB+99MGoV/Mw6KblgqAXlOwPUFcrWAEWV8a1gjyac2G9e
zBTdBNSA2x7d79RgsUNLPfduLrQxkRLVPqoMe0eDwpOzeNB+z1f9wv6yUIV+
VLtniQ+1mhtGZ7aE4KR1tSA3Fz/qJV7l8vamECwsP0zTFeRHtVJScQ5cQlDt
psHjB/L86CtgsT7FJQi1JIkSdmb86P6ohtUcnADUN1VZ7kznR6mjerGWC7xw
uSi3dyuXH83LDWYN+PPCN6J7X2q/4Ec11q0Tted4oOGQ3OV7dfzoylGpCDKd
G4JAqS/WP/jRY73DcVtUHDR7LFjTfgSPToo2Xsi9vEoWwMdlbh7Do6w0w2sW
LivkFh9CiKYdHmW84bW5a79MtjTg0024iEdbzQWiqYcWyXadP3MsE/HoRfGs
1BIeJllc748b4Wl4tH3k84rd1By5L2P9l+IcPCo7EpF1tW2GfNpjZYfQazz6
DJeveC6RTj67yYxuHcGj5sb0sSLCKFnG3c99nY5H+0L3JsS1DJOHPs0C9QU8
Gttl06Ae+TfZJeXHShyBgBIDLWPeLXaR5dcu91eJE9Daegalx6OZ/O1XWsmU
LAHdzqh34B+pJT9u9EiU3k9AkyPvyR4ofEl2U5/wstAloLj/PaUH7sfDDmMe
XxpVKjLF7FH3dUjgLGZvp0Hr5kjMUkZg7EQ85o8K+cEdDzHvpQVSegsxU38X
mR/uwGyWcuzhvLQAx8qd5V9kyjAPwQeev41t4/jtmrWVtIEwx4m7h7Kv14hg
/Z3g1U/CYhyDXyK7NR3EOZ77YJKcmirBMTIpbn+6bgfHrPcWxwPwu7D5HJIO
TehLcixJMXYrvyHF8R7bQEZ03W6O31SXX3s5J81x+4izkb6+LMfBNbs2xC/t
4diR116B9UCO47LNhTDtz/Ic21NPXnaNVOCYIOqq47RPkWOnEO0i+ybMV2tu
5wQ77+W445tIhQVOieP5b4pm5mmYSyQW4801lTl+rrAxvdyBOUjobmv3RRWO
Q3qsGp0E9nF8PDjNSDgHc4n1E8+6g/ux/XDjL1SomFvuPwss9z/Aceh6/knm
TlWO69PcJ7VfYx7cUbicbqXGsZq3gnIpA/NxikLnYow6x1v47xqH5TQ4XjAf
yNOqxVzudSrL6owmx7XcFR4MJ8ytGZI6yecwf2+h1g26YhZTd6W5+2D+7Ycv
KSwCs6rPneb8Z5gRXnqS+QvM6COLc9MvMTu2Cc/pVmCO1kjZUV2LeXya8mtv
P2ZGFLfq74OY12UvzEt9wSxutf+2yzfMxs+fF9GnMFuaigTFz/xf/2E/I20G
Zj9hpCtoEXN43sN0yRXMd4yW3arWMCf1O2o4b2LO9q1a3NrC/C9aFoVK
               "]]}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Line[CompressedData["
1:eJxN0gk01dseB3DhOGQeQkhEKoRzzt+UW/vP2SJFKMoNZeqar5mLBpK6bro3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               "]]}}}, {
           DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, 
            FrameLabel -> {{"Density (at./m^3)", None}, {
              "Distance (\[Micro]m)", None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None}, PlotLabel -> 
            "BEC density distribution in Z axis", PlotRange -> {All, All}, 
            PlotRangeClipping -> True, PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]]}, {"BEC", "BEC (no int with Th)"}, 
             LegendMarkers -> None, LabelStyle -> {}, LegendLayout -> 
             "Column"]], {
            Scaled[{0., 0.3}], {-0.6, 0.}}, Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {967.5, -119.58957682310464`}, {
      Center, Center}, {360., 222.4922359499621}]}, {InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{}, {}, 
            {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
             Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxN1Akw1ev7APBjO0euQlJUluN7NkTHmhbetzxEUagb0lUqW5tS3URJda0h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              "]]}, 
            {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
             Opacity[1.], LineBox[CompressedData["
1:eJwV1Hk01VsbB3DTOUeuQkWUcM7vTIgOB3Ere9fvIZUKDUhXo6nhiiappJQp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              "]]}, 
            {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
             Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0nk4lN0bB/CJmLGFZCuVLWVIw3hmWp1TzyEVipJdyDYSod6QV0olWz9b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              "]]}}, InsetBox[
            
            TemplateBox[{
             "\"Valid near BEC\"","\"Good distrib\"","\"Valid at th. part\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0., 0.3}], ImageScaled[{-0.6, 0.}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
             FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
          FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
            AbsolutePointSize[6], "ScalingFunctions" -> None},
          
          PlotLabel->FormBox[
           "\"Dimple density distribution in X axis\"", TraditionalForm],
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{}, {}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Line[CompressedData["
1:eJxN1Akw1ev7APBjO0euQlJUluN7NkTHmhbetzxEUagb0lUqW5tS3URJda0h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               "]]}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Line[CompressedData["
1:eJwV1Hk01VsbB3DTOUeuQkWUcM7vTIgOB3Ere9fvIZUKDUhXo6nhiiappJQp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               "]]}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Line[CompressedData["
1:eJwV0nk4lN0bB/CJmLGFZCuVLWVIw3hmWp1TzyEVipJdyDYSod6QV0olWz9b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               "]]}}}, {
           DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, 
            FrameLabel -> {{"Density (at./m^3)", None}, {
              "Distance (\[Micro]m)", None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None}, PlotLabel -> 
            "Dimple density distribution in X axis", PlotRange -> {All, All}, 
            PlotRangeClipping -> True, PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Valid near BEC", "Good distrib", "Valid at th. part"}, 
             LegendMarkers -> None, LabelStyle -> {}, LegendLayout -> 
             "Column"]], {
            Scaled[{0., 0.3}], {-0.6, 0.}}, Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {193.5, -358.76873046931394`}, {
      Center, Center}, {360., 222.4922359499621}], InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{}, {}, 
            {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
             Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxN2Xk4VF/8OHBjV9YZExXFDDODLKWiqHMzR9k/RYlKqCxRtmwhkRAVpVCW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              "]]}, 
            {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
             Opacity[1.], LineBox[CompressedData["
1:eJwtWnk0ld/3Ng+V2TVlvPe6V6Q08in1npyjjA2IkKQBkalkiBRKoVCEDGVO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              "]]}, 
            {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
             Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwtmnc019//wO2Zvfebt1FGWW9U9Lq5V1FaGkJGC5FRH2WmjCQKlZBRdnYS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              "]]}}, InsetBox[
            
            TemplateBox[{
             "\"Valid near BEC\"","\"Good distrib\"","\"Valid at th. part\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0., 0.3}], ImageScaled[{0., 0.}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
             FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
          FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
            AbsolutePointSize[6], "ScalingFunctions" -> None},
          
          PlotLabel->FormBox[
           "\"Dimple density distribution in Y axis\"", TraditionalForm],
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{}, {}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Line[CompressedData["
1:eJxN2Xk4VF/8OHBjV9YZExXFDDODLKWiqHMzR9k/RYlKqCxRtmwhkRAVpVCW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               "]]}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Line[CompressedData["
1:eJwtWnk0ld/3Ng+V2TVlvPe6V6Q08in1npyjjA2IkKQBkalkiBRKoVCEDGVO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               "]]}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Line[CompressedData["
1:eJwtmnc019//wO2Zvfebt1FGWW9U9Lq5V1FaGkJGC5FRH2WmjCQKlZBRdnYS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               "]]}}}, {
           DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, 
            FrameLabel -> {{"Density (at./m^3)", None}, {
              "Distance (\[Micro]m)", None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None}, PlotLabel -> 
            "Dimple density distribution in Y axis", PlotRange -> {All, All}, 
            PlotRangeClipping -> True, PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Valid near BEC", "Good distrib", "Valid at th. part"}, 
             LegendMarkers -> None, LabelStyle -> {}, LegendLayout -> 
             "Column"]], {
            Scaled[{0., 0.3}], {0., 0.}}, Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {580.5, -358.76873046931394`}, {
      Center, Center}, {360., 222.4922359499621}], InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{}, {}, 
            {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
             Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxN1nk01c0fB/Cb7d4KKYWUre/dXDckoUUz+s6TfX8URUWSFLIkWz2W0q5C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              "]]}, 
            {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
             Opacity[1.], LineBox[CompressedData["
1:eJwV13k01N8bB/CxjgrJnhDNMGNm7BOpxufR/VS2rClEIUWKbMlW2dIuUUKl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              "]]}, 
            {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
             Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1Xk4VV8XB3DzlHmISjJzzdcdUF1naW+FzKUQQippQhJFRYrSRBqUdGVI
UglJipCfeSYkyjyLCBF57/vXeT7POevZ6/nudfZW8Dxpf5CDjY3NjZ2N7f/P
+e9VZcrRKcZvS8dSJzENLyLyMZOOcGJnoAfnFMsHC4YdZDpiiZqolxtmWa5v
zpsTwQnET936n4ssP5orrebseEoQ1NIQTlMabgzLeLh64xnRVB/5nwjLXMKx
Pn9RJuFVLVslx7Js3dbHf0OyCNq+85F6LNPv6F1ebM8mKqyes5mybOukfHxB
/y3h2x5PdWHZZ5OMw9yNdwRfyU6lQJYjBtcwZkfeEwzLgtpYlp+8WFX+hT4S
i9o9etksF/jNCk4lFhF9ue9sWlkee3Tq7HxIMZH3cDNp8f/9eB72/N1eSsSK
qQnu3E7DYqYee05xlxFCyWFSQSzLqe+zmNH/j7jz5MjXZywb/rTWn75RQdTa
FN0W2UHDpk1mqic/VBKcgjIRO1i2z922/udIFdFL/UoOZ/n4WTrHBKol1I8e
+rjK8llXvXkfvzoiKHhD/DYzGo4CjbHRxHpikUtAL4plO06R0dmQRuL7Rvfr
G8xp+GgVR9Ov9mbC2vfYiqcFDc8UrFq8OdFCHBo4lvGB5aDM5TJf7lbiyj99
MemdNHzl1nz+lP4Xgvxf7Zo2lpkOY8zJG+2E7Pi2nAArGlbdMbz+pXIHEex7
Uauf5ZeGA3HHPnQQsf1TbrutWXlt+B41PvKVYDcRmzK2oeHW3ibfUdRFmJUv
vafa0bBzS/1YemcXIaLlvZTPcm9ZjZe3XzdxfWTXLGFPwz+f/ec4nPidaNmL
hPfsYuX7zoU5E9JDlMe8HnzqwMoz1DZqur2PmHaI5vjkTMNs/SP2z0j9xOIH
zrTQfTTcZxa20e1cPyEavRRMuNBwqmR2do3cADFs8DG71pWGtTIlutMODhJe
j9s9hTxoePO3NrLr7DARedDvrpo3a55MTi5LmI4QzlxNmuuO0PC/NN6K6nsj
BL78eUrIh4ZL/A1dDDePEsEJN1fZjtGwmcDDKxJhYwR7UquhkC8N7zFy/VYl
PEk8j0/rKQxi7feTudSL7pNEQ/gmel8wDa/nvulrkD1JJJ2Pfct/joa7G4u4
Ux1+EhYD3mTPUBr28pbXu5gwRZjFlkgZhdPw+xq/bRukfhFCzSZ7zl+n4Yol
6v2mp7MEW3nYR69k1jyrKHUtVM4Sos3TKS0pNCxsK6YgNzVLRG+4ucM0jdVP
6mSGz5bfxN8WokDvOQ0P2KQVcbb+JgieLiv116z8UqWHaNzzRNp1+lT8B1a/
NkvUh4f/EAYq4QKX22i4K3gkuPjGH8JaYfa5RQcNX0hpKxrK+UNsr+JeEu+k
4fLFbDMK2yLhPlSY8aKbhnenHHWpfbBI3KvcaLoyQMN+i12X/lUtES/eaYkp
/KbhjORPzZ5aK0RT4ehVb0k6/r3eLaLKboXg6Nu+ELSWjonYZZremRXClhw6
FS1Dx60XjeJXSlaIbrxy/r0sHf9zzdn/YO8/4o7MmAhFhY7tZJ5N1IWvEq4R
3KlP6HQcsn3HpYQJNni2eX/fvn10rPRB5zEv4gTpkxfOmmfSsai/13vbvZxw
1Ue8j/KajpfVH36JP8oJqp8m1RSy6bjtHrewVhwn9I5LWXLl0/E1/67ztoOc
sP+X4eDEZzqeJl1zj4/kgo0jh5u2d9Fx0YNBJc1abohbwRrrRAzwC5sNENDD
DRnPbqu6iRvgBzx2LoW/uSFGuH8iVcoA+wd8jLPZyAP/sqdbGbIGWMX2DnfA
CR5wP9m/epNkgK/zmgx/FOWFO+mypDxsgIOLAjl5VHih/mx2gJqZAT50OnOT
jREvzPQcuvBopwEm+qUdez14ofXb/oZoewM8U/SzkjuHF/qzB01vuBtgp8CE
DGsHPljNIn6KhxpgeVIyneHNB1T6Cq//RQM89O15qeY51vtm45CWS6z+TN51
8iXxgc7tKb/H1wyw4e/CQws5fODkqTPDfdOA9T+UzQyW80Hmf7erfWMMcJlT
zfnWr3zwKC50qTvOAF8TbBb4PMEHH0L2hVk9MMC2nzruvVnlg5mXcSbCY3S8
1v+HIlOcH/TzL6ef9qTjLuWhVzdV+GGi9KmKMS8dJ7dPbA415If4EyHHfxSy
5vvabPnRnfzwSk2Hs/88Desxluyd3fhBhd9o+wjrPJ2fYvth5scPz15LRYhK
0vDHp7xHDSL44RqlpoM8SMXhDsILKvf5Qcx83b9L76nYjE/qkmQGP1iP1z4P
uk3FX44rPvrVwA+c0fMtHzEVJ8iT1Hr6+IHbJv9IiAIVe7bo5tTP8cO9ur+B
2asU/NOQUfNigwAIub0y6v9EwbnjaO9DHQEY5P74JjGJgs8mWvRHmQgA30yk
t00EBfNwOf49eFgARiPXbSUsKXhTg7+mfI4AnLb8opkyoI+HwoLfCZcLgI/g
aTZGrT7OpF5EKx0CoGxHE3bJ1ceGD2/s6/wnANJEVb3QFX1sezA9Os5iDVzs
SvgcraOPw/92j/P1rYH8QL+x+ltkbPZq4MzC7zWg1J2sbhRKxsIe45xDvILg
YD9Y3+tDxo/K/2z4rC0IYZwp+we3k3FujIRlaLAg3Eqw7Q5lJ+NBNfPMX6JC
YGOiGRl1QQ/POOT9Pa0iBFwjigfen9DDbBFKO5eMhEDh5/KhtW56WLZnZZTj
gBAMFDkt2TD08O4H2WqSb4Vg/tLiF/RXF5fyySbTnYSBTdRQs51fFyeO/ow/
lyQCYc7WW2j22jhT2mV09a0IRF4+9m2voTYuMK0yjKgWAX036tdUOW38JSm5
/fqsCBwNMV8pHtfCPNqZAg2KonCgsiK8J1ILGw+6m/UEiMLRfSErhhWaONOh
+jPHOjFod63vLnDTwF2rmTxSSmKwUzH+dKy5BhbKuGWupi0GstNGJyOoGvjE
v90NO03EoMyryzpPQAOTn/3ojDvCqg+XijbPJ+G8P79/qRaIQYHgc+ovaRIu
frRJfuc+cZBPfENJGlbDLb0BIXceS0Bgk6XBsSIVPM0PZ/6kScDgHFMPv1bB
wvpr/F2zJCBIrVCSxFTBZuFJh9U+S4C84QezdeEquEix3v7DiAQsJBfIxWxX
wekH1Ej9FElItn9iVdekjEMGv37Rr5YEp7oHY4vTSlhl1Fi3eV4KtMqtshut
FfGQdeEaDva1sNJAumZvoojTc7eMkNesBalbVio/KIpY46JhUsymtdD1fuqk
zDpFrCOtL2FnthZ42OKG+QcUMN1UZaEhfi1szjex6z6ngM2S1nyq2yoNhgeO
3p/NlsdHnTqsq8Jl4L6msSc9WA7LMIj+nddl4Jn+kYuHvORwuXzamfq7MtBS
0DOZYiOHFUdOMVvSZUCURI+wVJXDnYEiM931MqAh9cbEtHUjNovbfndm/Tqo
Xg52bdbfiJUbcr9tyFkHwl1Bf/mXNuAuHON9on89fGB7HPf41Tr8Ycnaar3h
RjBcdC9xzJHCN9d1JZ7/tAlcmXev5AuK43InfLpSSAF+BJ/+8tVJGNfavRUY
EleAILecwd/bhHGzuSqTU0YBvGemXOW1hPF3I74aY0UFuCk145z+TwjPrauV
f0tXgABIdjyXIoSVO3fVJu1XgLsjzbzKs4I43PmA0rk3CrBzvd8PesIaTOwL
b9J2UATh5uVQnQ38uNPlagDFWRHSq3U6j/Lx4wC329JG+xUhRUD+cd4cH87w
SHTFRxRhmXyGGtDIh6W8C0adQxWhD1Lzbl7hw+MBM+xRqYpg9qI70miOF9+/
6anfN6cIJf5VBzW7ePBUybY79+4pgZ/QdGZ+PRe+yGEca/pICRZmTjvJFnNh
cWQU8/uJElQTvhNX33BhapnuLfvnSmD6JPhleBwXDiqXjRb+qATBzY9nRp25
MFvNfPiVXiXovjdofm2UE4u3ZvgHailDQP78txEhTkwdErffU6oM7cM1u7v9
2PH9/4ZLfCqUYfZ+QGi4FzteSvlIvlCrDJ6wlEjey46LDxwSS29TBun8W29e
bmXHlr3vGxfHlOFuziFHWT527NXlbvNYQgXCat59qWOy4bjmV5YDXiowud10
27PsVTRbZLHDn1cV/FrwZ+GaZWTZLSGhJ6gKw0rjMd55yyjtb9f3SVFVEHv/
mKMpaRk5Gp4MPLJeFWIPqafUBS2jojd3Ut21VeFG/cr3ALVlFJXSxWmzSxWs
yWv++Uf+RXLXThRrPlGFaO0f2ybtlpCZQ6zRIF0N5vdEBQwK/0GnxGmBfFvV
oOuJ7xbd5QWU2NCerWmiBrYnj8RFji6gOfONWv471Vj3TWTzgbIF9NQ4XW51
vxqE1OY4V51dQMtqRZzrrqqBfuvAVWJsHmUtjdZZflMDn5JH6jEtc0iaaeKZ
e0Ed+r+1dCfXzaKOQ2czP0WoQ+Jh/alrRbPogXbOfPVVdfi3YzA79PUskvmg
HN17Rx1Oa27XvRLDchtvrnC6OtTuEhNR3MOyYD33kUZ1SF0UlDrfO4PWBzk/
36hAgvNfeZ/cYJtBG21PTV8pJUH17sux1m7TqNWBeW9LBQlqBQvvvbOfRtf2
1W2driFBmH+2OGnHNJo/pHbV6QsJnvRZOqvoTaPG0G8KWiMkONO2PSKcYxpF
vEC7moQ04HLNPrc4uyk0xiOZt8FJA4Zr86fr5idRfmHuuawpDUj8eqsAnxxH
4Pkhtvq3Bty78U5hn/M4quQpfT6wqAHxgRabw03H0VebhnYZLk2Yn99rySE7
jpZ6RylhMprAORJ5s7JqDDF4Nk3YmWhC5eyNc57qY6jU+qrLbKwmlBb+NT79
awTV/XBl0OlacMsOa4VkDSHLz45Zi5u1YKdPvnsYcwhVp+1SKiS0oLJ06+3Y
20Oo8rg5PzbXAl4nl8IO3yFU+pf6xc5FC+B41L5Z8hDKlxY8fjxcC3r0ZaWd
8wbRU5uChJR6Vr3UEUp2xQA682ntsvhhbYjKFI4sE+hH1zKfhRQd1YbakMNH
qlb6UGK84coRX2349KK/u326D5Wfcv5XHKwNUt2OHmLtfUhSPZHt5HVtCL1R
LDKf3Ieybqtw17zRhsk1SjwXiT404kEVvrSsDQmVhWqHQ3uRI5e9/GyMDkjs
Ej0oLdGDjG9/FOO6rwP+MxrJnrw9SElWjVMqQQdIF8IvnFj4gX5SlgfpaTqg
3vB64k/lDxRxIO3F2QJWffFu0YljP9Dr0iU6R78OdD2yjjHO/454wpKtxKi6
8GdzlruuSzfKWfl9VrdNF2ruvg7c3NaJblbuqhzt1IXw9ZLsjmWdyOdOtlTK
D13IXX3bG57diRRJvlkyo7rwY4dzKNutThS7e3yQfVkXZMz3cD8060T5X3zV
x0T14PRl2+eMoq/ontbhOx/pelDrWkJw5nQg+85dRzzC9eB1gBzlfHEbIon4
mv2K0AOOB492eme1ITZ8XS0sUg8EyhT37me2oVcvywaZ1/XgYHG0bMDFNsQf
RvPsuacH24asDAxM2lCxmvS+/S/0YIZ6IWT9f1+Q9ulOS9dWPeA3tQ0WamtF
fKIeek6qZIh95kkOW9+Cnpubre1WJ0PQsweH7gm1IItLusvummS48/5I8Vu2
FnRjfqXCW48Maqn1xeLDzUi8++H+oM1kIAVkCZvmNiPZjNab963JkBuRW3bJ
thnpYbPJL4FkaD60a73+7SbkFKSbYV9BBorGu9oMjUYU2CRq/KKKDBstM/JK
5RtRrMZME2ctGYQ+mTX3rm1E1V25i7mNZEjNfxRF42xEW002m0t3ksHjlVy2
V34DkhcwHfk2QYa03Vkpi3INaPiRs+pBcX3IT6JHuc/XodOfLj8946oPNmk+
lZM1NWhpuOUnh7s+1Cd6bWYrqEEXRRW3sK4UsDY9myafXoOueRS1pBzWBxqt
3jg6ogYxORe4mv30YTGJT5fHuAbV7vA+rHVFHwaHjylfzalGio0WWr2v9MHd
dIUtML0K1feI5FmwUSBA6MbXx+8qUL26Y1YGBwX2usiVtz6vQA2+zAwBbgoU
8s48lEqoQI1s5CfV/BTYUTryPfdiBWqWt4+ykKDARP6GZW+LCtTuHudsoUqB
wwEGq8wf5ainR2bV3JIC4rJpc7Ji5WimR8HM/AEFoviNDhbeLEOF2jTzxw8p
sM7DiN/3UhmKOmtm8SuBAjubT0VpBJUhOcmTlvFJFNhtwsX+zqMMWez4aDua
QQGxnJt0bVoZevpyj9PVQgoo5EwkXe3+jOzPRvtU9VFAmVuqvZPyGb2RmLtu
rk0FrpCRp6/nStCA7untjbpUMC+Zu+k2XoJkLOdW9+hTwbWAXVWqtwRdjJjz
9zKgQkCB+db42hJkOzfneMGECpW8JNfl5BI03Tav/NaBCgriERtJu0uQ7sM/
H+XPU+GsbLrg7Pti9FJ+eWKhngruC1edZaifkItL4O5dTVTQM/iwfq3yJyT4
YPrDqxYqrOFpKpOT/IR8RAavHeyggnUhb57t7yKk+q9OvaWXCpMVd0n0t0Uo
8dsTr1e/qYD5ntixGRWh2/dQl9d6GrTKcDc4mxWiAMHomqaDNJicLzl+OeID
Cmq2+s+Jnw7Z1VrOYaR8tOPMA4bQUzrUTRfEJl95i95Yp3iXGhiA7OsZ6vCu
HOTINvBKpdMA2JIGNiRYvUHVt1+cyvUzhJeafmvWeb1GwX/Tdv2SMoJiW1uG
5NFM9PnBgSHdd0agNttAyvr5HHVIpi/EW20GhUThE+zTz5DGUXnl7OnNUF55
vvGseBrawZRvmIvaAi4B1Jg9MSlolbdPa4vcVlggTQSrmyWj3+btqTrFWyF+
OsbORuwpyvXZ/dhqLwOsXPVlwyWTUDFH3qFpJwZoSnn1eYomoZqH0np3XBgw
v4YuvF0wCfVVd5Z2eDDgFDp/W4IrCYlpeowcOMaAhRNGkjWzTHRi/DjlbBgD
olVHijNamIh0LLIq7QUD9qETOop3mYjKNRpr/ooBPhWl+ZYxTAQJFi4TWQz4
GLcQFHyDiRxrhabIeQywf21/9+tlJrqiFSdZWMyAnwWMtbmBTDQwwdzf8oX1
/dbi1UZHJpqO4CAFdjCg7loWIefARH9lvWZkvjFAZ92WJ8ftmEjcSu2yWw8D
mN+z3olbMJHJy5cZo2MMcK3dpR64hYksTUUCrk8y4MoPRLQasNbv9mXoTjPA
LXXNUSqViXyFqI0Bcwzgutvyd0mLiUJS78ZL/2HAiwYdNw8SE0UyFjwLlhjQ
0CXdWKXCRLFfHLVcVxiQ98LYlqrIRInHC+ZWV1l5ye/uZsox0f8AqJ/kzA==

              "]]}}, InsetBox[
            
            TemplateBox[{
             "\"Valid near BEC\"","\"Good distrib\"","\"Valid at th. part\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0., 0.3}], ImageScaled[{-0.6, 0.}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
             FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
          FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
            AbsolutePointSize[6], "ScalingFunctions" -> None},
          
          PlotLabel->FormBox[
           "\"Dimple density distribution in Z axis\"", TraditionalForm],
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{}, {}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Line[CompressedData["
1:eJxN1nk01c0fB/Cb7d4KKYWUre/dXDckoUUz+s6TfX8URUWSFLIkWz2W0q5C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               "]]}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Line[CompressedData["
1:eJwV13k01N8bB/CxjgrJnhDNMGNm7BOpxufR/VS2rClEIUWKbMlW2dIuUUKl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               "]]}, {
              Directive[
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Line[CompressedData["
1:eJwV1Xk4VV8XB3DzlHmISjJzzdcdUF1naW+FzKUQQippQhJFRYrSRBqUdGVI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               "]]}}}, {
           DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, 
            FrameLabel -> {{"Density (at./m^3)", None}, {
              "Distance (\[Micro]m)", None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None}, PlotLabel -> 
            "Dimple density distribution in Z axis", PlotRange -> {All, All}, 
            PlotRangeClipping -> True, PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Valid near BEC", "Good distrib", "Valid at th. part"}, 
             LegendMarkers -> None, LabelStyle -> {}, LegendLayout -> 
             "Column"]], {
            Scaled[{0., 0.3}], {-0.6, 0.}}, Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {967.5, -358.76873046931394`}, {
      Center, Center}, {360., 222.4922359499621}]}, {InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJw1mnk0FU7Yxy0plEIlKqHSRiJLyDLuY1/v5bqusu97thCSkD1btqyRnRKh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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 14},
       DisplayFunction->Identity,
       Frame->{{True, True}, {True, True}},
       FrameLabel->{{
          FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
          FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Reservoir density distribution in X axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -597.9478841155233}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwtmnk0ld/3xyNEROZ5vq7xopApPYcdisoQESqZaSBTkZmIKFNCEzJ+NJjT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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 14},
       DisplayFunction->Identity,
       Frame->{{True, True}, {True, True}},
       FrameLabel->{{
          FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
          FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Reservoir density distribution in Y axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -597.9478841155233}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJw1mXk8FN73/5WSLNlKkaWFyFISQpabgwoRIrQpuyS7kcGMmTG27IQQkp1s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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 14},
       DisplayFunction->Identity,
       Frame->{{True, True}, {True, True}},
       FrameLabel->{{
          FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
          FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Reservoir density distribution in Z axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -597.9478841155233}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}]}}, {}},
  ContentSelectable->True,
  ImageSize->{1173., 729.5374609386279},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.795436719932225*^9, {3.7954368015638943`*^9, 3.7954368250282364`*^9}, 
   3.795436857776109*^9, 3.795437086403186*^9, 3.7954375322116847`*^9, 
   3.7954382056532035`*^9, 3.795441615996264*^9, 3.7955017609009447`*^9, 
   3.7955017998991756`*^9, 3.7955018478919206`*^9, 3.795501894584591*^9, 
   3.7955022107536755`*^9, 3.7955022552312193`*^9, 3.795504812300475*^9, 
   3.7964712009576836`*^9, 3.796472414577099*^9, 3.796472451039184*^9, 
   3.796472491300487*^9, 3.7964725519799576`*^9, 3.796472657425989*^9, 
   3.7964727092249517`*^9, 3.798280999776024*^9, 3.7982810774034643`*^9, 
   3.798281225197918*^9, 3.7982812954269342`*^9, 3.798281391926454*^9, 
   3.7982814363769965`*^9, 3.798284323567134*^9, 3.798285711346511*^9, 
   3.798286325792655*^9, 3.801984960719121*^9, 3.801985027555944*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TempReservoirMax", " ", "=", " ", 
   RowBox[{"3.", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velMin", " ", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"2.", "/", "Pi"}], "*", 
      RowBox[{"TempCloud", "/", "mAssSr"}], "*", "kBOverAu"}], "]"}], " ", 
    "*", 
    RowBox[{"4.", "/", 
     RowBox[{"Sqrt", "[", "2.", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velReservoir", " ", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"2.", "/", "Pi"}], "*", 
      RowBox[{"TempReservoir", "/", "mAssSr"}], "*", "kBOverAu"}], "]"}], " ",
     "*", 
    RowBox[{"4.", "/", 
     RowBox[{"Sqrt", "[", "2.", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"velMax", " ", "=", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"2.", "/", "Pi"}], "*", 
       RowBox[{"TempReservoirMax", "/", "mAssSr"}], "*", "kBOverAu"}], "]"}], 
     " ", "*", 
     RowBox[{"4.", "/", 
      RowBox[{"Sqrt", "[", "2.", "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]", " ", "=", " ", 
    RowBox[{"8", "*", "Pi", "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"aScat", "*", "aB"}], ")"}], "^", "2"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]CollBEC", " ", "=", " ", 
    RowBox[{"n0BEC", " ", "*", "  ", 
     RowBox[{"\[Sigma]", "/", "2"}], "*", " ", "velMin"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]CollDimpleAv", " ", "=", " ", 
   RowBox[{"2", "*", 
    RowBox[{"n0ThDimple", "/", "2"}], " ", "*", "  ", "\[Sigma]", "*", " ", 
    "velMin"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]CollDimpleToBEC", " ", "=", " ", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "n0ThDimple", "*", "n0BEC"}], "]"}], " ", "*", "  ", 
     "\[Sigma]", "*", " ", "velMin"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]CollReservoir", " ", "=", " ", 
   RowBox[{
   "n0ThSheetOnly", " ", "*", "  ", "\[Sigma]", "*", " ", "velReservoir"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]CollReservoirtoDimple", " ", "=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"n0ThSheetOnly", "*", "2", "*", "n0ThDimple"}], "]"}], " ", "*", 
    "  ", "\[Sigma]", "*", " ", "velReservoir"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]CollReservoirtoDimpleMax", " ", "=", " ", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"n0ThSheetOnly", "*", "2", "*", "n0ThDimple"}], "]"}], " ", "*",
      "  ", "\[Sigma]", "*", " ", "velMax"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak collision rate in BEC: \>\"", ",", "\[CapitalGamma]CollBEC", ",", 
   "\"\< /s\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak collision rate between dimple and BEC: \>\"", ",", 
   "\[CapitalGamma]CollDimpleToBEC", ",", "\"\< /s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Average thermalisation rate in dimple: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollDimpleAv", "/", "3"}], ",", "\"\< /s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Peak thermalisation rate in reservoir: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollReservoir", "/", "3"}], ",", "\"\< /s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak thermalisation rate between reservoir and dimple: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollReservoirtoDimple", "/", "3"}], ",", 
   "\"\< /s\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak thermalisation rate between reservoir and dimple for max \
velocity: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollReservoirtoDimpleMax", "/", "3"}], ",", 
   "\"\< /s\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.795444459183885*^9, 3.795444655489113*^9}, {
  3.7954446880079727`*^9, 3.7954447698856564`*^9}, {3.795444822526667*^9, 
  3.7954448255718412`*^9}, {3.795502595032655*^9, 3.795502629486625*^9}, {
  3.795502696740472*^9, 3.79550304550242*^9}, {3.795503088375872*^9, 
  3.7955031874145365`*^9}, {3.7955032377274146`*^9, 3.795503338798196*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak collision rate in BEC: \"\>", "\[InvisibleSpace]", 
   "4841.825487161908`", "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm["Peak collision rate in BEC: ", 4841.825487161908, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7955029749133825`*^9, 3.795502984508931*^9}, {
   3.7955030186238823`*^9, 3.7955030461714582`*^9}, 3.7955031238008986`*^9, 
   3.7955031898196745`*^9, {3.7955032514551997`*^9, 3.7955032631178665`*^9}, {
   3.7955033081134405`*^9, 3.7955033392662225`*^9}, 3.795504953697562*^9, 
   3.8019850965638914`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak collision rate between dimple and BEC: \"\>", 
   "\[InvisibleSpace]", "9324.46023461625`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak collision rate between dimple and BEC: ", 9324.46023461625, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7955029749133825`*^9, 3.795502984508931*^9}, {
   3.7955030186238823`*^9, 3.7955030461714582`*^9}, 3.7955031238008986`*^9, 
   3.7955031898196745`*^9, {3.7955032514551997`*^9, 3.7955032631178665`*^9}, {
   3.7955033081134405`*^9, 3.7955033392662225`*^9}, 3.795504953697562*^9, 
   3.801985096567891*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Average thermalisation rate in dimple: \"\>", 
   "\[InvisibleSpace]", "1496.4321290505634`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Average thermalisation rate in dimple: ", 1496.4321290505634`, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7955029749133825`*^9, 3.795502984508931*^9}, {
   3.7955030186238823`*^9, 3.7955030461714582`*^9}, 3.7955031238008986`*^9, 
   3.7955031898196745`*^9, {3.7955032514551997`*^9, 3.7955032631178665`*^9}, {
   3.7955033081134405`*^9, 3.7955033392662225`*^9}, 3.795504953697562*^9, 
   3.801985096571892*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak thermalisation rate in reservoir: \"\>", 
   "\[InvisibleSpace]", "30.036064344821426`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak thermalisation rate in reservoir: ", 30.036064344821426`, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7955029749133825`*^9, 3.795502984508931*^9}, {
   3.7955030186238823`*^9, 3.7955030461714582`*^9}, 3.7955031238008986`*^9, 
   3.7955031898196745`*^9, {3.7955032514551997`*^9, 3.7955032631178665`*^9}, {
   3.7955033081134405`*^9, 3.7955033392662225`*^9}, 3.795504953697562*^9, 
   3.8019850965738916`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak thermalisation rate between reservoir and dimple: \"\>", 
   "\[InvisibleSpace]", "311.02118489799574`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak thermalisation rate between reservoir and dimple: ", 
   311.02118489799574`, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7955029749133825`*^9, 3.795502984508931*^9}, {
   3.7955030186238823`*^9, 3.7955030461714582`*^9}, 3.7955031238008986`*^9, 
   3.7955031898196745`*^9, {3.7955032514551997`*^9, 3.7955032631178665`*^9}, {
   3.7955033081134405`*^9, 3.7955033392662225`*^9}, 3.795504953697562*^9, 
   3.801985096576892*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak thermalisation rate between reservoir and dimple for max \
velocity: \"\>", "\[InvisibleSpace]", "477.3142047120382`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak thermalisation rate between reservoir and dimple for max velocity: ", 
   477.3142047120382, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7955029749133825`*^9, 3.795502984508931*^9}, {
   3.7955030186238823`*^9, 3.7955030461714582`*^9}, 3.7955031238008986`*^9, 
   3.7955031898196745`*^9, {3.7955032514551997`*^9, 3.7955032631178665`*^9}, {
   3.7955033081134405`*^9, 3.7955033392662225`*^9}, 3.795504953697562*^9, 
   3.801985096579892*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["SSBEC experiment with 500 000 atoms in BEC", "Section",
 CellChangeTimes->{{3.721657938130308*^9, 3.721657962491701*^9}, {
  3.781243177526231*^9, 3.7812431817364717`*^9}, {3.7954415066110077`*^9, 
  3.7954415107962465`*^9}, {3.7954416628979464`*^9, 3.7954416726935067`*^9}, {
  3.7954986330890446`*^9, 3.7954986481679068`*^9}}],

Cell[CellGroupData[{

Cell["DT parameters", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 3.6822405592526093`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipIPG", " ", "=", " ", 
    RowBox[{"1070.", " ", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipTransparency", " ", "=", " ", 
    RowBox[{"688.", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Polar688Sr", " ", "=", " \[InvisibleSpace]", "343."}], 
   ";"}], "\[InvisibleSpace] ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Spatial", " ", "coordinates", " ", "where", " ", "we", " ", "want", " ", 
    "to", " ", "look", " ", "at", " ", "properties"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xOffset", " ", "=", " ", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yOffset", " ", "=", 
    RowBox[{"0.", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zOffset", " ", "=", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"powDimpleFun", "[", "Att_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"0.0383", "*", 
       RowBox[{"Att", "^", "3"}]}], "+", 
      RowBox[{"3.0901", 
       RowBox[{"Att", "^", "2"}]}], "+", 
      RowBox[{"82.973", "Att"}], "+", "747.63"}], ")"}], "/", "1000."}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"powSheetFun", "[", "Att_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.000736"}], "*", 
        RowBox[{"Att", "^", "5"}]}], "-", 
       RowBox[{"0.068407", "*", 
        RowBox[{"Att", "^", "4"}]}], "-", 
       RowBox[{"2.264870", "*", 
        RowBox[{"Att", "^", "3"}]}], "-", 
       RowBox[{"29.112936", "*", 
        RowBox[{"Att", "^", "2"}]}], "-", 
       RowBox[{"37.638786", "*", "Att"}], "+", "1419.847969"}], ")"}], "/", 
     "1000."}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}]}], "}"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTab", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"powSheetFun", "[", 
        RowBox[{"-", "9.7"}], "]"}], "*", "0.95"}], ",", 
      RowBox[{"powDimpleFun", "[", 
       RowBox[{"-", "12"}], "]"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}]}], "}"}]}], 
   ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "W", " ", 
     RowBox[{"for", " ", "@", "DT"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "9.7"}], ",", 
       RowBox[{"-", "3.9"}], ",", 
       RowBox[{"-", "12"}]}], ")"}]}], "  ", "=", 
    RowBox[{">", " ", 
     RowBox[{"SSBEC", " ", "main", " ", "data", " ", "set", " ", "  ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0.575", "*", "0.95"}], ",", 
        RowBox[{"0.145", "*", "0.95"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
        RowBox[{"0", "*", "10.4"}]}], "}"}]}]}]}], " ", "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MsquaredTab", " ", "=", 
    RowBox[{"{", 
     RowBox[{"1.6", ",", "1.", ",", "1."}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WaistXTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"14.5", ",", "27.", ",", "23."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WaistYTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"110.", ",", "27.", ",", "23"}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Theta]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"90.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "90.", ",", "90."}], "}"}], "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"X0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Y0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]Tab", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
     "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
      "\[Lambda]DipTransparency"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Tab", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
      "\[Alpha]Polar688Sr"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"atomic", " ", "unit"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Power: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.719734073769492*^9, 3.7197341228395596`*^9}, {3.7197341865133104`*^9, 
   3.7197342789691334`*^9}, {3.7197343148477635`*^9, 3.719734336700366*^9}, {
   3.7197343764349933`*^9, 3.7197344120350423`*^9}, {3.7197344514142857`*^9, 
   3.71973448305433*^9}, {3.7197361695534525`*^9, 3.71973652993395*^9}, {
   3.7197367287202907`*^9, 3.719736825700424*^9}, {3.719736863871477*^9, 
   3.7197368791314983`*^9}, {3.7197369247040195`*^9, 
   3.7197370245241575`*^9}, {3.719737184228448*^9, 3.7197371935384607`*^9}, {
   3.7197372908300533`*^9, 3.719737365114664*^9}, {3.719737398126776*^9, 
   3.7197374618533916`*^9}, {3.719737517591997*^9, 3.7197375178019977`*^9}, {
   3.719737585322091*^9, 3.7197376399442005`*^9}, {3.7197376841172633`*^9, 
   3.7197376898272715`*^9}, {3.7197377431993933`*^9, 3.719737889667735*^9}, {
   3.719737927819822*^9, 3.7197379435098433`*^9}, {3.7197380047919617`*^9, 
   3.7197380477640553`*^9}, {3.719738224646333*^9, 3.719738225226334*^9}, {
   3.719739819974985*^9, 3.7197398206549854`*^9}, {3.719739887487097*^9, 
   3.7197398877670975`*^9}, {3.7197400449833655`*^9, 3.719740045333366*^9}, {
   3.719740312335746*^9, 3.719740312475746*^9}, {3.7197403835278645`*^9, 
   3.7197403850878663`*^9}, {3.719821996481608*^9, 3.719822001997924*^9}, {
   3.7198220621013613`*^9, 3.7198220657915726`*^9}, {3.719822105493843*^9, 
   3.719822109667082*^9}, {3.719822161757061*^9, 3.719822166407327*^9}, {
   3.719822208055709*^9, 3.7198222117679214`*^9}, {3.7198237503968167`*^9, 
   3.7198237509768176`*^9}, {3.7198237831788635`*^9, 
   3.7198237898588724`*^9}, {3.7198239502711134`*^9, 
   3.7198239509111147`*^9}, {3.7198241242633643`*^9, 3.719824153265425*^9}, {
   3.719824211517519*^9, 3.719824252869594*^9}, {3.7198242873516583`*^9, 
   3.7198243196737204`*^9}, {3.719837823583614*^9, 3.7198378987177553`*^9}, {
   3.7198379468598375`*^9, 3.719837947929839*^9}, {3.719837995351921*^9, 
   3.719837996601923*^9}, {3.7198380967420607`*^9, 3.7198380970420613`*^9}, {
   3.7198382877323246`*^9, 3.719838289962328*^9}, {3.7198384641025677`*^9, 
   3.7198384643025684`*^9}, {3.719838531044673*^9, 3.719838531554674*^9}, {
   3.719838619129826*^9, 3.719838619309826*^9}, 3.719838684291926*^9, 
   3.7198387330140142`*^9, {3.7198387736260843`*^9, 3.719838774556086*^9}, {
   3.7198388554882135`*^9, 3.7198388563582144`*^9}, {3.719838902520297*^9, 
   3.7198389032202983`*^9}, {3.719838986942433*^9, 3.719838987212433*^9}, {
   3.7198391303526306`*^9, 3.719839131262632*^9}, {3.719840417788425*^9, 
   3.71984049419853*^9}, {3.7198406187707143`*^9, 3.719840619910716*^9}, {
   3.719905054109453*^9, 3.7199050737994804`*^9}, {3.7199060923484554`*^9, 
   3.719906100058466*^9}, {3.7199061624505644`*^9, 3.719906163720566*^9}, {
   3.719906196412629*^9, 3.719906197752631*^9}, {3.7199063525548563`*^9, 
   3.7199063530148563`*^9}, {3.7199064525380077`*^9, 3.719906462448022*^9}, {
   3.719922144132188*^9, 3.7199221493821955`*^9}, {3.7199221815242577`*^9, 
   3.7199222077563066`*^9}, {3.7199222404183645`*^9, 
   3.7199222409083652`*^9}, {3.7199223100624876`*^9, 3.719922310582488*^9}, {
   3.719922357614565*^9, 3.7199223578045654`*^9}, {3.71992239366663*^9, 
   3.71992239405663*^9}, {3.7199224355186987`*^9, 3.7199224358386993`*^9}, {
   3.719922469890757*^9, 3.7199224707307587`*^9}, {3.719922530632856*^9, 
   3.7199225322328587`*^9}, {3.7201606252342777`*^9, 3.720160628840484*^9}, {
   3.7201730442847676`*^9, 3.7201730451358166`*^9}, {3.720173190240116*^9, 
   3.7201731993096347`*^9}, {3.720173247575395*^9, 3.7201732477894077`*^9}, 
   3.720173285526566*^9, {3.720173320860587*^9, 3.7201733234547353`*^9}, {
   3.720173364994111*^9, 3.7201733672892427`*^9}, {3.7201734215763474`*^9, 
   3.720173427280674*^9}, {3.720173470132125*^9, 3.720173472943286*^9}, {
   3.720173566256623*^9, 3.72017356655764*^9}, {3.720173683311318*^9, 
   3.720173684201369*^9}, 3.7201741942425413`*^9, {3.7201742531269093`*^9, 
   3.720174253699942*^9}, {3.7201742940902524`*^9, 3.72017431712457*^9}, {
   3.7201758083938656`*^9, 3.7201758099729557`*^9}, {3.720180328271388*^9, 
   3.720180328585406*^9}, {3.7201806002729454`*^9, 3.7201806007049704`*^9}, 
   3.72018140949223*^9, {3.720181724486247*^9, 3.720181724597253*^9}, 
   3.7201818653313026`*^9, {3.7201821144325504`*^9, 3.7201821148715754`*^9}, {
   3.7201822608799267`*^9, 3.7201822611589427`*^9}, 3.720182378003626*^9, {
   3.72018247808335*^9, 3.720182478925398*^9}, {3.720182547301309*^9, 
   3.720182547962347*^9}, 3.720182654228425*^9, {3.7201828061421137`*^9, 
   3.720182807422187*^9}, {3.720183360003793*^9, 3.7201833604458184`*^9}, {
   3.720183414743924*^9, 3.7201834150529413`*^9}, {3.7201848613202066`*^9, 
   3.7201849357254624`*^9}, {3.72018496715226*^9, 3.720184976040768*^9}, {
   3.72018500649151*^9, 3.7201850570264006`*^9}, {3.7201850970656905`*^9, 
   3.7201850989948006`*^9}, {3.7201851572601333`*^9, 3.720185159441258*^9}, {
   3.7201852260940704`*^9, 3.720185226629101*^9}, {3.7201852616201024`*^9, 
   3.7201852635282116`*^9}, {3.720185341325661*^9, 3.7201853751045933`*^9}, {
   3.7201854524520173`*^9, 3.720185456458246*^9}, {3.720185852238884*^9, 
   3.720185854181995*^9}, {3.720185884528731*^9, 3.720185890064047*^9}, {
   3.720185981268264*^9, 3.720185981762292*^9}, {3.720186411158852*^9, 
   3.7201864115118723`*^9}, {3.7201865075153637`*^9, 3.720186526702461*^9}, {
   3.7201866649373674`*^9, 3.720186735660413*^9}, {3.720186917196796*^9, 
   3.720186919614934*^9}, {3.720186951679768*^9, 3.7201870534245872`*^9}, {
   3.720187088828613*^9, 3.720187102890417*^9}, {3.720187190237413*^9, 
   3.7201872672848196`*^9}, {3.7201873194828053`*^9, 
   3.7201873362667656`*^9}, {3.7201873976742773`*^9, 
   3.7201874140382137`*^9}, {3.720187462436982*^9, 3.7201874646341076`*^9}, {
   3.720187511310777*^9, 3.7201875163470654`*^9}, {3.7201876386170588`*^9, 
   3.7201876576211457`*^9}, {3.7201876933631897`*^9, 
   3.7201876984614816`*^9}, {3.720187743972085*^9, 3.72018774475513*^9}, {
   3.7201879895351305`*^9, 3.720187997171567*^9}, {3.720188283798961*^9, 
   3.72018833972616*^9}, {3.7201886960805426`*^9, 3.720188729831473*^9}, {
   3.7201900034323187`*^9, 3.7201900099566917`*^9}, {3.72024544489887*^9, 
   3.7202454753026094`*^9}, {3.7202455655027685`*^9, 
   3.7202455680619144`*^9}, {3.7202456150726037`*^9, 
   3.7202456155406303`*^9}, {3.720245658944113*^9, 3.72024566379139*^9}, {
   3.7202456939011126`*^9, 3.720245694157127*^9}, {3.720245886740142*^9, 
   3.720245888816261*^9}, {3.720245952024876*^9, 3.7202459609863887`*^9}, {
   3.7202462358368483`*^9, 3.7202462416468563`*^9}, {3.7202462956109676`*^9, 
   3.720246298710972*^9}, {3.720246406543135*^9, 3.72024641008314*^9}, 
   3.720246643135479*^9, {3.7202467104675894`*^9, 3.7202467408176312`*^9}, {
   3.720246788287697*^9, 3.720246788477697*^9}, {3.720246831309776*^9, 
   3.720246881871866*^9}, {3.720249855124486*^9, 3.7202498722445097`*^9}, {
   3.7202499266066027`*^9, 3.7202499267666025`*^9}, {3.720249979878691*^9, 
   3.720249980178692*^9}, {3.720250039650789*^9, 3.720250039980789*^9}, {
   3.72025009069287*^9, 3.7202500933228736`*^9}, {3.7202502108570633`*^9, 
   3.720250224367082*^9}, {3.7202502749691715`*^9, 3.720250308879218*^9}, {
   3.720250408659356*^9, 3.7202504090493565`*^9}, {3.7202504392093983`*^9, 
   3.7202504583794246`*^9}, {3.7202505265815353`*^9, 
   3.7202505320615425`*^9}, {3.7202505913636446`*^9, 3.720250605963665*^9}, {
   3.7202507560158863`*^9, 3.7202507662659006`*^9}, {3.7202508056259546`*^9, 
   3.7202508370759983`*^9}, {3.7202508860580816`*^9, 
   3.7202508870980835`*^9}, {3.7202690803201017`*^9, 3.720269087170111*^9}, {
   3.720270034685447*^9, 3.72027003670545*^9}, {3.7202700716575155`*^9, 
   3.7202700782675247`*^9}, {3.7202701196195974`*^9, 
   3.7202701223796005`*^9}, {3.7202740675530834`*^9, 
   3.7202740680330844`*^9}, {3.720276648361673*^9, 3.7202766586116867`*^9}, {
   3.720276812983918*^9, 3.7202768167539234`*^9}, {3.7202815621345186`*^9, 
   3.720281562774519*^9}, {3.720281662286667*^9, 3.7202816626866674`*^9}, {
   3.720281710328745*^9, 3.7202817154587517`*^9}, {3.7207791762553525`*^9, 
   3.7207791862653666`*^9}, 3.720781067202996*^9, 3.7207810990060587`*^9, 
   3.7207811677301674`*^9, {3.721128157070932*^9, 3.721128195819148*^9}, {
   3.721128248279149*^9, 3.721128254961531*^9}, {3.7211282913126106`*^9, 
   3.721128292862699*^9}, {3.721128779887555*^9, 3.721128780029563*^9}, {
   3.721129757507472*^9, 3.721129790841378*^9}, {3.721130293308118*^9, 
   3.7211302953942375`*^9}, {3.7211303824512167`*^9, 3.721130382846239*^9}, 
   3.721130449387045*^9, 3.7211305112905855`*^9, {3.721130582994687*^9, 
   3.7211305889670286`*^9}, {3.721137585980235*^9, 3.721137590984521*^9}, {
   3.72138433762089*^9, 3.721384365044459*^9}, {3.72138446857238*^9, 
   3.7213844734666605`*^9}, 3.7214566882425437`*^9, {3.7214567641198835`*^9, 
   3.7214567645769095`*^9}, 3.721485717648896*^9, {3.72148596923489*^9, 
   3.721485999667631*^9}, 3.7214864469942164`*^9, 3.721487139612832*^9, 
   3.721487360555469*^9, {3.721487403498925*^9, 3.7214874269062643`*^9}, {
   3.721489159766378*^9, 3.72148923830087*^9}, 3.7214894079405727`*^9, {
   3.721494619480902*^9, 3.72149464495243*^9}, {3.7215764359042506`*^9, 
   3.721576456089405*^9}, {3.721576514209729*^9, 3.721576524058293*^9}, {
   3.721576862167631*^9, 3.7215769379309645`*^9}, {3.7215806227807436`*^9, 
   3.721580628194953*^9}, {3.7215808491452017`*^9, 3.7215808561464157`*^9}, {
   3.7215809279677477`*^9, 3.721580930493353*^9}, {3.7215809780816402`*^9, 
   3.7215810901650476`*^9}, {3.7215816241029406`*^9, 3.721581625445543*^9}, {
   3.721631047917037*^9, 3.721631064414336*^9}, {3.721657873684622*^9, 
   3.721657916823089*^9}, {3.7216581071889777`*^9, 3.72165814551717*^9}, {
   3.721658524074822*^9, 3.721658528098052*^9}, 3.7216590210792494`*^9, 
   3.7216590699200425`*^9, 3.721659117742778*^9, {3.7216592020466*^9, 
   3.7216592225097704`*^9}, {3.7219800238946486`*^9, 
   3.7219800510762978`*^9}, {3.7219805320391736`*^9, 3.721980532475974*^9}, {
   3.722000753355342*^9, 3.72200077254644*^9}, 3.722001753475546*^9, 
   3.7220018561694193`*^9, {3.722246973820743*^9, 3.7222469815401845`*^9}, {
   3.7222477334541917`*^9, 3.7222477573175564`*^9}, {3.7222478475507174`*^9, 
   3.7222479338386526`*^9}, {3.723977446428788*^9, 3.723977457911445*^9}, {
   3.7239775282574687`*^9, 3.723977529945565*^9}, {3.7239823429118514`*^9, 
   3.7239823697343855`*^9}, {3.7239824061024656`*^9, 
   3.7239824066194954`*^9}, {3.7240284629445157`*^9, 
   3.7240284862198467`*^9}, {3.7240286235977044`*^9, 
   3.7240286241137342`*^9}, {3.7240286666411667`*^9, 
   3.7240286672362003`*^9}, {3.7240299837334995`*^9, 3.724029984492543*^9}, {
   3.726386193186821*^9, 3.7263863463070326`*^9}, {3.726386529961662*^9, 
   3.726386530841663*^9}, {3.726386581551733*^9, 3.7263865818817334`*^9}, {
   3.7362229404596663`*^9, 3.736222942892805*^9}, {3.7362284669972506`*^9, 
   3.736228494780899*^9}, {3.736228554950204*^9, 3.7362285588970103`*^9}, {
   3.7506827706227446`*^9, 3.7506828001024303`*^9}, {3.7507447978931875`*^9, 
   3.7507448747175817`*^9}, {3.7507451323263164`*^9, 
   3.7507451429239225`*^9}, {3.7507455231936727`*^9, 
   3.7507456299067764`*^9}, {3.7507456759024067`*^9, 3.7507457396580534`*^9}, 
   3.7507628821605487`*^9, {3.7507632576910276`*^9, 3.7507632583510656`*^9}, {
   3.7507633942118363`*^9, 3.7507634361172333`*^9}, {3.777712543623285*^9, 
   3.777712557211062*^9}, {3.7777125914280195`*^9, 3.7777126283381305`*^9}, {
   3.777712677832961*^9, 3.7777126796810665`*^9}, {3.77771281977908*^9, 
   3.7777128289496045`*^9}, {3.777712864315627*^9, 3.777712865965722*^9}, 
   3.7777131752134094`*^9, {3.7777132612973337`*^9, 3.7777132768242216`*^9}, {
   3.7777134400495577`*^9, 3.7777134448428316`*^9}, {3.7777141973898745`*^9, 
   3.7777141974798803`*^9}, {3.7777185879289994`*^9, 
   3.7777186027008443`*^9}, {3.7777186332625923`*^9, 3.777718638518893*^9}, {
   3.777718674985979*^9, 3.7777186920239534`*^9}, {3.777719203975235*^9, 
   3.7777192075854416`*^9}, {3.7777192786515064`*^9, 3.777719281768685*^9}, {
   3.7777195254266214`*^9, 3.7777195524281654`*^9}, {3.7777196056112075`*^9, 
   3.7777196058992243`*^9}, {3.777719651440829*^9, 3.777719674504148*^9}, {
   3.778932899483763*^9, 3.778932902496936*^9}, {3.7789329481355457`*^9, 
   3.7789329515467415`*^9}, {3.7794201280365896`*^9, 
   3.7794201356610255`*^9}, {3.779420263037311*^9, 3.7794202652324367`*^9}, {
   3.779796993954721*^9, 3.7797970140891576`*^9}, {3.7797977145519924`*^9, 
   3.7797977813567095`*^9}, {3.7797978329308004`*^9, 
   3.7797978332896013`*^9}, {3.779797873801273*^9, 3.779797873958273*^9}, {
   3.7797979041251264`*^9, 3.779797904437127*^9}, {3.7803217969585505`*^9, 
   3.7803218211595883`*^9}, {3.7803223793974104`*^9, 
   3.7803223798174114`*^9}, {3.7803811986908293`*^9, 3.780381233274808*^9}, {
   3.780381274329156*^9, 3.7803812755342245`*^9}, {3.7809122528493047`*^9, 
   3.7809122536983533`*^9}, {3.78091233232485*^9, 3.780912336256075*^9}, {
   3.780912847662326*^9, 3.7809130042772837`*^9}, {3.78091858581553*^9, 
   3.7809186104509387`*^9}, {3.780918703730274*^9, 3.7809187063284225`*^9}, {
   3.780918756026265*^9, 3.780918756330282*^9}, {3.780918822149047*^9, 
   3.7809188236551332`*^9}, {3.780982186543598*^9, 3.780982190995853*^9}, {
   3.780983047042816*^9, 3.7809830514170666`*^9}, {3.780983778188635*^9, 
   3.780983778833672*^9}, {3.785418378402396*^9, 3.78541841220533*^9}, {
   3.785418987387228*^9, 3.7854189882902794`*^9}, {3.7854191202708282`*^9, 
   3.7854191206898527`*^9}, {3.7854191761170225`*^9, 3.785419176401039*^9}, {
   3.785419418823905*^9, 3.7854194202359858`*^9}, {3.7854200534372025`*^9, 
   3.7854200575994406`*^9}, {3.785420209750143*^9, 3.785420212734314*^9}, {
   3.7854893914688864`*^9, 3.785489392262932*^9}, {3.7855669704574156`*^9, 
   3.7855669707514324`*^9}, {3.7855670127978373`*^9, 
   3.7855670131188555`*^9}, {3.785646044958697*^9, 3.7856460536451936`*^9}, {
   3.786089149985133*^9, 3.7860891533713264`*^9}, {3.7860892534500513`*^9, 
   3.78608925378407*^9}, {3.7860894252318764`*^9, 3.786089425586897*^9}, {
   3.7860894770158386`*^9, 3.78608950046618*^9}, {3.7860898389955425`*^9, 
   3.7860898397795873`*^9}, {3.7860898713603935`*^9, 
   3.7860898843021336`*^9}, {3.7908625915585237`*^9, 3.790862597680874*^9}, {
   3.7908627226360207`*^9, 3.790862753581791*^9}, {3.7908643591366234`*^9, 
   3.790864378975758*^9}, 3.791008101463951*^9, {3.7910332402752*^9, 
   3.791033269529873*^9}, {3.7910334071937466`*^9, 3.7910334124380465`*^9}, {
   3.791033465013054*^9, 3.79103347700974*^9}, {3.7910335168020163`*^9, 
   3.791033516958025*^9}, {3.7910335612045555`*^9, 3.791033561340564*^9}, {
   3.791033628834424*^9, 3.791033632466632*^9}, {3.7910339311517153`*^9, 
   3.791034005270955*^9}, {3.791034068542574*^9, 3.7910341150422335`*^9}, {
   3.7910341653891134`*^9, 3.791034251471037*^9}, {3.791034287598103*^9, 
   3.791034313183566*^9}, {3.791034346899495*^9, 3.791034349140623*^9}, {
   3.791034412426243*^9, 3.791034551300186*^9}, {3.791034868979356*^9, 
   3.791035031131631*^9}, {3.7918933086937923`*^9, 3.791893373211482*^9}, {
   3.7923289322508793`*^9, 3.79232893243589*^9}, {3.792328963606673*^9, 
   3.792328978119503*^9}, {3.793095207275588*^9, 3.793095209441712*^9}, {
   3.793103316991437*^9, 3.793103319168562*^9}, {3.7935097859496603`*^9, 
   3.793509792222019*^9}, {3.794826490288741*^9, 3.794826490658762*^9}, {
   3.794826523562644*^9, 3.7948266168669806`*^9}, {3.7948268805930653`*^9, 
   3.794826895752932*^9}, {3.7954411868907204`*^9, 3.795441187423751*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5418745985135789`", ",", "0.13074600000000008`", ",", "0.00994784`"}], 
    "}"}], "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Power: ", {0.5418745985135789, 0.13074600000000008`, 0.00994784}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7948265748355765`*^9, 3.7948266959135017`*^9, 
  3.7948268969760017`*^9, 3.7954253929433584`*^9, 3.7954275330537653`*^9, 
  3.7954289346779337`*^9, 3.7954291783738728`*^9, 3.795429477153962*^9, 
  3.7954302689922523`*^9, 3.795431852859844*^9, 3.7954369284501514`*^9, 
  3.7954411900269003`*^9, 3.7954412280000715`*^9, 3.7954445111138554`*^9, 
  3.795497689228059*^9, 3.795499741724455*^9, 3.795504416337827*^9, 
  3.795505218677718*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Atomic cloud parameters", "Item",
 CellChangeTimes->{{3.670601207082728*^9, 3.670601214202738*^9}, {
  3.682245787232095*^9, 3.6822458075121226`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"mAssSr", " ", "=", "  ", 
    RowBox[{"mSr84", "/", "au"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "au"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aScat", " ", "=", " ", 
    RowBox[{"a1S0iso84", " ", "/", "aB"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TempCloud", " ", "=", 
    RowBox[{"1.09", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "K"}], ",", " ", 
    RowBox[{"fixed", " ", "by", " ", "the", " ", 
     RowBox[{"experiment", "'"}], "s", " ", "cooling", " ", "capability"}]}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NatBECTest", " ", "=", 
    RowBox[{"50.", "*", 
     RowBox[{"10", "^", "4."}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "desired", " ", "number", " ", "of", " ", "atoms", " ", "in", " ", "the", 
    " ", "BEC"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TempReservoir", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.83", "*", "0.83", "*", "3."}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"1.", "/", "3."}], ")"}]}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NatReservoirTest", " ", "=", 
    RowBox[{"8.3", "*", 
     RowBox[{"10", "^", "5."}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "desired", " ", "number", " ", "of", " ", "atoms", " ", "in", " ", "the", 
    " ", "BEC"}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"calculation", " ", "boundaries", " ", 
     RowBox[{"(", 
      RowBox[{"for", " ", 
       RowBox[{"BEC", " ", "/", " ", "thermal"}], " ", 
       RowBox[{"cloud", " ", "/", " ", "transparency"}], " ", "region"}], 
      ")"}]}], ",", " ", 
    RowBox[{
    "usually", " ", "no", " ", "need", " ", "to", " ", "change", " ", 
     "them"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xMaxBEC", "=", " ", 
   RowBox[{"13.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxBEC", "=", 
   RowBox[{"6.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxBEC", " ", "=", " ", 
   RowBox[{"15.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"xMaxTh", " ", "=", " ", 
   RowBox[{"200.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxTh", " ", "=", " ", 
   RowBox[{"15.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxTh", " ", "=", " ", 
   RowBox[{"1500.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Average isotropic temperature: \>\"", ",", 
    RowBox[{"TempCloud", "*", 
     RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.6705060134472785`*^9, 3.6705063316287174`*^9}, {
   3.6705063744487767`*^9, 3.6705064550088882`*^9}, {3.6705064915209384`*^9, 
   3.6705066804911995`*^9}, {3.6705067293012667`*^9, 
   3.6705067436812863`*^9}, {3.6705067859413447`*^9, 
   3.6705069103915167`*^9}, {3.670506994671633*^9, 3.670507004841647*^9}, {
   3.6705070450017023`*^9, 3.6705070570017185`*^9}, {3.670507155592855*^9, 
   3.6705072480429826`*^9}, {3.6705073453731165`*^9, 
   3.6705074762032976`*^9}, {3.6705075128933477`*^9, 
   3.6705075464433947`*^9}, {3.6705076435935287`*^9, 3.670507732093651*^9}, {
   3.6705077943837366`*^9, 3.67050780425375*^9}, {3.670507841103801*^9, 
   3.67050785488382*^9}, {3.6705078886138663`*^9, 3.670508298995433*^9}, {
   3.670508350655504*^9, 3.6705083639855223`*^9}, {3.6705084949957037`*^9, 
   3.6705085146357307`*^9}, {3.670508578955819*^9, 3.67050857974582*^9}, {
   3.6705086805159597`*^9, 3.670508683825964*^9}, {3.6705087410160427`*^9, 
   3.6705087421260443`*^9}, {3.670573259870878*^9, 3.670573260580879*^9}, {
   3.670573799502623*^9, 3.6705738439226847`*^9}, 3.670573964732851*^9, {
   3.670574161783123*^9, 3.670574173363139*^9}, {3.6705807735689363`*^9, 
   3.670580876689079*^9}, {3.670582695557665*^9, 3.6705827393377256`*^9}, {
   3.6705829178889723`*^9, 3.6705830030990896`*^9}, {3.670583037049136*^9, 
   3.6705830517691565`*^9}, {3.6705832267993984`*^9, 3.670583231519405*^9}, {
   3.670583317249523*^9, 3.670583320369528*^9}, {3.6705834934607663`*^9, 
   3.6705835058607836`*^9}, {3.670583790251176*^9, 3.6705838326412344`*^9}, {
   3.670590191043731*^9, 3.6705902075337543`*^9}, {3.670598515862998*^9, 
   3.6705985291030164`*^9}, {3.6705986458441772`*^9, 3.670598648004181*^9}, {
   3.670599387396201*^9, 3.670599390976206*^9}, 3.6706000391371145`*^9, {
   3.6706001227672305`*^9, 3.670600123187231*^9}, {3.6706008937622957`*^9, 
   3.670600894082296*^9}, {3.6706011683326745`*^9, 3.670601184712697*^9}, {
   3.6706014644630833`*^9, 3.67060149128312*^9}, {3.6706016133252897`*^9, 
   3.6706017087674227`*^9}, {3.67060178660853*^9, 3.670601786898531*^9}, {
   3.670602023529857*^9, 3.6706020296098657`*^9}, {3.681796547646595*^9, 
   3.68179656731472*^9}, {3.681797131609996*^9, 3.6817971388794117`*^9}, {
   3.6817972567821555`*^9, 3.681797331213413*^9}, {3.681797368280533*^9, 
   3.6817974673552*^9}, {3.6817975085815573`*^9, 3.6817976178398066`*^9}, {
   3.681797659052164*^9, 3.681797812867962*^9}, {3.6817978757445583`*^9, 
   3.6817978793017616`*^9}, {3.681807018798511*^9, 3.681807042754881*^9}, {
   3.681807083724224*^9, 3.681807111816831*^9}, {3.681807143248629*^9, 
   3.681807150640052*^9}, {3.681807344880162*^9, 3.6818074633809395`*^9}, {
   3.681807508964547*^9, 3.681807615773656*^9}, {3.681807715169341*^9, 
   3.6818077306652274`*^9}, {3.681807852271183*^9, 3.6818079106415215`*^9}, 
   3.68180801814267*^9, {3.681808274467331*^9, 3.681808274658342*^9}, 
   3.681808307765236*^9, {3.6818084611120067`*^9, 3.6818084717686157`*^9}, {
   3.681808582119928*^9, 3.681808583852027*^9}, {3.6818105383788195`*^9, 
   3.681810538846846*^9}, {3.681810620697528*^9, 3.6818106219806013`*^9}, {
   3.6818106952397914`*^9, 3.6818107028912287`*^9}, {3.6818107968846054`*^9, 
   3.681810797284628*^9}, {3.6818109962380075`*^9, 3.681811026996767*^9}, 
   3.6818119686246247`*^9, {3.6818129889259825`*^9, 3.681812990653082*^9}, 
   3.681816711875923*^9, 3.6818177996871424`*^9, 3.68181794738059*^9, {
   3.6818179854647684`*^9, 3.6818179867998447`*^9}, {3.681820529102256*^9, 
   3.681820547859329*^9}, {3.681820580440192*^9, 3.6818206410246572`*^9}, {
   3.681820690053462*^9, 3.681820721388254*^9}, {3.681821022415472*^9, 
   3.681821043671688*^9}, {3.6818211259833956`*^9, 3.681821150269785*^9}, {
   3.6818212009416833`*^9, 3.6818212011406946`*^9}, {3.681824335980997*^9, 
   3.6818243369340515`*^9}, 3.6818244684665747`*^9, {3.6818245149492335`*^9, 
   3.6818245506302743`*^9}, {3.681825864488423*^9, 3.681825899984453*^9}, {
   3.6818259826361804`*^9, 3.6818259908306494`*^9}, {3.6818260275877514`*^9, 
   3.6818260287698193`*^9}, 3.6818280916898117`*^9, {3.6818288250697584`*^9, 
   3.681828827328888*^9}, 3.6818290074781914`*^9, {3.681829062977366*^9, 
   3.681829070411791*^9}, {3.6818293416073027`*^9, 3.6818293627585125`*^9}, {
   3.681829454208743*^9, 3.681829477492075*^9}, {3.681829613048828*^9, 
   3.6818296146449194`*^9}, {3.6822462620947514`*^9, 
   3.6822464538750157`*^9}, {3.682246591646206*^9, 3.682246591816206*^9}, {
   3.6822474960034723`*^9, 3.682247513623496*^9}, {3.682247582903592*^9, 
   3.6822475928536053`*^9}, {3.6822478770090003`*^9, 
   3.6822478820490074`*^9}, {3.685010030523532*^9, 3.68501009621929*^9}, {
   3.685014872111455*^9, 3.6850148730475087`*^9}, {3.6850164266803713`*^9, 
   3.6850164585361934`*^9}, {3.6855557250394945`*^9, 
   3.6855557549752064`*^9}, {3.6855558013118567`*^9, 
   3.6855558437682853`*^9}, {3.6855558870157585`*^9, 3.685555890903981*^9}, {
   3.6855559436719995`*^9, 3.6855559714955907`*^9}, {3.685556075104517*^9, 
   3.685556089167321*^9}, 3.6855561455435457`*^9, {3.6855561905291185`*^9, 
   3.6855561932312737`*^9}, {3.6855562510345793`*^9, 3.6855562640403233`*^9}, 
   3.6855563550725303`*^9, 3.6855568176889906`*^9, {3.68573287729165*^9, 
   3.6857329090194645`*^9}, {3.68573300300384*^9, 3.685733003683879*^9}, {
   3.6857331369315*^9, 3.6857331382275743`*^9}, {3.685733202180232*^9, 
   3.6857332028912725`*^9}, {3.6857332388833313`*^9, 
   3.6857332399873943`*^9}, {3.685733317099805*^9, 3.6857333178278465`*^9}, 
   3.685733413940344*^9, 3.6857334529315743`*^9, {3.6857334881165867`*^9, 
   3.6857334889876366`*^9}, {3.6859578096957517`*^9, 
   3.6859578106257524`*^9}, {3.704200696130089*^9, 3.704200698570092*^9}, {
   3.7042007723602085`*^9, 3.7042007731602097`*^9}, {3.7042008289802866`*^9, 
   3.704200917850409*^9}, {3.7042009501024733`*^9, 3.704200952212476*^9}, {
   3.7201755125559444`*^9, 3.7201755140330296`*^9}, {3.720175564314905*^9, 
   3.720175591389454*^9}, {3.720175642783393*^9, 3.720175643107412*^9}, {
   3.7201757938260326`*^9, 3.7201757941750526`*^9}, {3.7201758461130233`*^9, 
   3.7201758476561112`*^9}, 3.7201766222334146`*^9, {3.7201767201350145`*^9, 
   3.7201767212770796`*^9}, {3.720177128742385*^9, 3.7201771292504144`*^9}, {
   3.7201789623262606`*^9, 3.720178972006814*^9}, {3.7201798346011515`*^9, 
   3.7201798424526005`*^9}, {3.720179890473347*^9, 3.7201798925454655`*^9}, {
   3.720180344477315*^9, 3.7201803454193687`*^9}, {3.7201807028648133`*^9, 
   3.7201807046289144`*^9}, {3.7201808673092194`*^9, 
   3.7201808683202767`*^9}, {3.720180988405145*^9, 3.720180990220249*^9}, {
   3.720181185125397*^9, 3.7201811866854863`*^9}, {3.7201813275725446`*^9, 
   3.72018132784156*^9}, 3.720181932156125*^9, 3.7201822640471077`*^9, 
   3.7201824745211463`*^9, 3.720182804792037*^9, {3.7201849637070627`*^9, 
   3.720184964101085*^9}, 3.7201854708680706`*^9, {3.7211286601607075`*^9, 
   3.7211286604147215`*^9}, {3.7211337024261084`*^9, 3.721133702750127*^9}, 
   3.721137579847884*^9, {3.721379286480474*^9, 3.721379286750474*^9}, {
   3.7213793450515547`*^9, 3.7213793483415594`*^9}, {3.721384481819138*^9, 
   3.7213844833462253`*^9}, {3.721384538867401*^9, 3.721384543786682*^9}, {
   3.7213845760175257`*^9, 3.721384585865089*^9}, {3.7213846220261574`*^9, 
   3.72138462381726*^9}, {3.7213846760572476`*^9, 3.7213846769292974`*^9}, {
   3.721384743289093*^9, 3.7213847474403305`*^9}, {3.721386762107337*^9, 
   3.7213867790573063`*^9}, {3.72138700168904*^9, 3.721387008903453*^9}, {
   3.7214670579431496`*^9, 3.721467062934435*^9}, 3.7214856658705573`*^9, {
   3.7214859763872995`*^9, 3.7214859797394905`*^9}, {3.7214870769562483`*^9, 
   3.721487104522825*^9}, 3.72148734204241*^9, 3.721487449937581*^9, 
   3.7214874986563683`*^9, {3.7214875905926266`*^9, 3.7214876246735754`*^9}, {
   3.7214881181398*^9, 3.721488132531624*^9}, {3.721489100463986*^9, 
   3.7214891046052227`*^9}, 3.7214892551088314`*^9, {3.721546352188744*^9, 
   3.721546391259979*^9}, {3.721549009718418*^9, 3.7215490214418497`*^9}, 
   3.72154922985345*^9, {3.7215553600231857`*^9, 3.7215553627373924`*^9}, {
   3.7215769527418118`*^9, 3.7215769661575794`*^9}, {3.721580537983374*^9, 
   3.7215805407933793`*^9}, {3.7215808785478573`*^9, 
   3.7215808863286715`*^9}, {3.7215812264577065`*^9, 3.721581231604518*^9}, {
   3.7215813172904806`*^9, 3.7215813380225205`*^9}, {3.721581508508638*^9, 
   3.721581518970657*^9}, {3.72158155203812*^9, 3.7215816084078684`*^9}, {
   3.7215822265764112`*^9, 3.721582230456633*^9}, {3.7215822899530363`*^9, 
   3.721582290104045*^9}, {3.7215836899177103`*^9, 3.721583690925768*^9}, 
   3.721583758743647*^9, {3.721631034405193*^9, 3.7216310405299*^9}, {
   3.7216310828974514`*^9, 3.721631084731888*^9}, {3.7216331859399176`*^9, 
   3.7216332418981185`*^9}, {3.7216332736829367`*^9, 3.721633275859061*^9}, {
   3.721635244477659*^9, 3.721635245516719*^9}, {3.721635280830739*^9, 
   3.7216353314116316`*^9}, 3.7216517987929225`*^9, {3.7216518854088764`*^9, 
   3.7216519380468874`*^9}, {3.72165202639194*^9, 3.721652083278194*^9}, 
   3.7216521260156384`*^9, {3.721652165086873*^9, 3.721652165324887*^9}, {
   3.721652271309949*^9, 3.72165231976472*^9}, {3.7216523524375887`*^9, 
   3.721652352644601*^9}, {3.721652450397192*^9, 3.7216524715083995`*^9}, {
   3.721652526492544*^9, 3.721652526643553*^9}, {3.7216526905949306`*^9, 
   3.7216526910579567`*^9}, {3.721652734842461*^9, 3.721652735377492*^9}, {
   3.7216528234585295`*^9, 3.721652823953558*^9}, {3.721653283814861*^9, 
   3.721653299117736*^9}, 3.7216563206897955`*^9, 3.7216565295607424`*^9, 
   3.7216569405092473`*^9, 3.7216571111480074`*^9, {3.7216571666191797`*^9, 
   3.721657166819192*^9}, {3.721657205099381*^9, 3.721657205193386*^9}, 
   3.7216573151136737`*^9, {3.721657346210452*^9, 3.721657346537471*^9}, {
   3.7216573824745264`*^9, 3.7216574126732535`*^9}, {3.7216576267284966`*^9, 
   3.721657626871505*^9}, {3.7216577004157114`*^9, 3.721657700543719*^9}, {
   3.7216578682783127`*^9, 3.721657889128505*^9}, {3.721658089094943*^9, 
   3.72165809289316*^9}, {3.721658147548286*^9, 3.7216581487663555`*^9}, {
   3.721658215380166*^9, 3.721658215508173*^9}, {3.721658451442668*^9, 
   3.721658451601677*^9}, 3.72165897860782*^9, {3.72165927758292*^9, 
   3.721659277836935*^9}, 3.7216593316530128`*^9, {3.7216594299236336`*^9, 
   3.7216594309306912`*^9}, {3.721980609164713*^9, 3.7219806092895136`*^9}, {
   3.722246964118188*^9, 3.7222469701875353`*^9}, {3.7222477665180826`*^9, 
   3.722247823397336*^9}, {3.723977469195091*^9, 3.7239774715152235`*^9}, {
   3.7362219875757337`*^9, 3.7362219881841345`*^9}, {3.7362227302756443`*^9, 
   3.7362227385191154`*^9}, {3.7362228181366696`*^9, 
   3.7362228190637226`*^9}, {3.7362229577176533`*^9, 3.736222958744712*^9}, {
   3.7362233838090243`*^9, 3.7362233860701537`*^9}, {3.736223480280542*^9, 
   3.736223483286714*^9}, {3.736223571402754*^9, 3.736223573907897*^9}, {
   3.7362286277711306`*^9, 3.736228628051931*^9}, {3.736228710966076*^9, 
   3.7362287112936764`*^9}, {3.7362287882330103`*^9, 
   3.7362287901362133`*^9}, {3.736228880928372*^9, 3.736228881411973*^9}, {
   3.7362289494124913`*^9, 3.7362289497400923`*^9}, {3.7505744803556046`*^9, 
   3.750574481625677*^9}, 3.7506842107861166`*^9, {3.750684435752984*^9, 
   3.750684583890457*^9}, {3.750685657582869*^9, 3.750685658692932*^9}, {
   3.750744098612191*^9, 3.7507441000542736`*^9}, {3.750744678207342*^9, 
   3.750744678620366*^9}, {3.750745941986626*^9, 3.750745943039686*^9}, {
   3.750746072278078*^9, 3.750746080119527*^9}, {3.7507473729654737`*^9, 
   3.750747373221488*^9}, {3.7507474836758056`*^9, 3.750747483979823*^9}, 
   3.750747542542173*^9, {3.750763647554327*^9, 3.750763647868345*^9}, {
   3.7507637976109095`*^9, 3.7507637978539233`*^9}, {3.7507638368471537`*^9, 
   3.7507638371731725`*^9}, {3.777712793496577*^9, 3.777712813543723*^9}, {
   3.7777129614681845`*^9, 3.77771296297227*^9}, {3.7777190084080496`*^9, 
   3.7777190112712135`*^9}, {3.777719664767591*^9, 3.777719667911771*^9}, {
   3.7794199911047573`*^9, 3.7794199931868763`*^9}, {3.7794201524639864`*^9, 
   3.7794201530400195`*^9}, {3.779420285664605*^9, 3.779420290418877*^9}, {
   3.7794203625030003`*^9, 3.7794203642511*^9}, {3.7794208537851*^9, 
   3.779420855848218*^9}, {3.779420905853078*^9, 3.7794209075171733`*^9}, {
   3.7794209448713093`*^9, 3.7794209462703896`*^9}, {3.77942098543963*^9, 
   3.7794209871107254`*^9}, {3.7794210351364727`*^9, 3.779421039165703*^9}, {
   3.7794210773208857`*^9, 3.7794210786979637`*^9}, {3.779421118062216*^9, 
   3.7794211214174075`*^9}, {3.779796217440748*^9, 3.779796217783949*^9}, {
   3.779796314101319*^9, 3.779796314382119*^9}, 3.780322288186262*^9, {
   3.780912279709841*^9, 3.7809122991109505`*^9}, {3.780914113152708*^9, 
   3.780914197167513*^9}, {3.780918136254816*^9, 3.780918138362937*^9}, {
   3.7809193806919937`*^9, 3.780919383293143*^9}, {3.780981635049055*^9, 
   3.7809816353760734`*^9}, {3.7809817882778187`*^9, 3.7809817885978374`*^9}, 
   3.7809821493904734`*^9, 3.7809830367752285`*^9, {3.7812414019986763`*^9, 
   3.7812415012333527`*^9}, {3.7812415781587524`*^9, 
   3.7812415789187956`*^9}, {3.785419520688731*^9, 3.7854195236829023`*^9}, {
   3.7867940660349407`*^9, 3.78679406671598*^9}, {3.786794105322188*^9, 
   3.7867941108785057`*^9}, {3.7867941415152583`*^9, 
   3.7867941892859907`*^9}, {3.79086283154325*^9, 3.790862864465133*^9}, {
   3.790862966757984*^9, 3.7908629691381197`*^9}, {3.790863040770217*^9, 
   3.790863041782275*^9}, {3.7908632750036144`*^9, 3.7908632936416807`*^9}, {
   3.790863365000762*^9, 3.7908633652207747`*^9}, {3.790864386607195*^9, 
   3.790864389741374*^9}, {3.791008143917379*^9, 3.7910081506727657`*^9}, {
   3.791008221645825*^9, 3.7910082235299325`*^9}, {3.791008276179944*^9, 
   3.791008306281666*^9}, {3.791008336321384*^9, 3.791008361010796*^9}, {
   3.791010008514028*^9, 3.7910100086750374`*^9}, {3.7910113648276043`*^9, 
   3.791011367407752*^9}, {3.7910114010846786`*^9, 3.7910114017347155`*^9}, {
   3.7910114342605762`*^9, 3.7910114362366886`*^9}, {3.791011731169558*^9, 
   3.7910117445053205`*^9}, {3.7910119120109015`*^9, 3.791011924827635*^9}, {
   3.7910119763975844`*^9, 3.7910119813998704`*^9}, {3.791012885840602*^9, 
   3.7910129405307293`*^9}, {3.7910129708454638`*^9, 
   3.7910129712834883`*^9}, {3.791014211517426*^9, 3.7910142119144487`*^9}, {
   3.791014855938285*^9, 3.791014856154297*^9}, {3.7910151481549983`*^9, 
   3.791015148289006*^9}, {3.7910152609784517`*^9, 3.7910152617824974`*^9}, {
   3.7910153557698736`*^9, 3.7910153563459063`*^9}, {3.791015689732975*^9, 
   3.791015690412014*^9}, {3.7910158355513153`*^9, 3.791015835833331*^9}, {
   3.7910338350972214`*^9, 3.791033835611251*^9}, {3.7910346822426753`*^9, 
   3.791034683240732*^9}, {3.791035100947624*^9, 3.791035101293644*^9}, {
   3.7910360580833693`*^9, 3.7910360583303833`*^9}, {3.792155644952961*^9, 
   3.7921556463520412`*^9}, {3.792322036145445*^9, 3.7923220364414616`*^9}, {
   3.792322367244383*^9, 3.7923223685514574`*^9}, {3.7923223990132*^9, 
   3.7923224078307037`*^9}, {3.792326560205206*^9, 3.7923265719558783`*^9}, {
   3.7923279900119867`*^9, 3.7923280171315374`*^9}, {3.7930952510430913`*^9, 
   3.79309525871453*^9}, {3.7948267160886555`*^9, 3.7948267203308983`*^9}, {
   3.7948267553499017`*^9, 3.7948267973403034`*^9}, {3.79482711495747*^9, 
   3.7948271250010443`*^9}, {3.795431698886038*^9, 3.795431703136281*^9}, {
   3.795433028270074*^9, 3.795433028576092*^9}, {3.795433085908371*^9, 
   3.795433104094411*^9}, {3.7954346183150196`*^9, 3.795434634702957*^9}, {
   3.795436470271945*^9, 3.795436470772974*^9}, {3.795441204974755*^9, 
   3.7954412074248953`*^9}, {3.7954415660464067`*^9, 
   3.7954415949320593`*^9}, {3.795497703356867*^9, 3.795497704315922*^9}, {
   3.795498436006772*^9, 3.795498438230899*^9}, 3.795498498872368*^9, {
   3.795504546676282*^9, 3.795504561721143*^9}, {3.7955046183473816`*^9, 
   3.7955046243447247`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Average isotropic temperature: \"\>", "\[InvisibleSpace]", 
   "1.0899999999999999`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Average isotropic temperature: ", 1.0899999999999999`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.792328017712571*^9, 3.7923289344100027`*^9, 3.792328979520583*^9, 
   3.793095212332877*^9, 3.7930952596105814`*^9, 3.793102909761145*^9, 
   3.7931033216627045`*^9, 3.793509798053353*^9, 3.794826812916194*^9, 
   3.794827125209056*^9, 3.795425395372497*^9, 3.7954275357269187`*^9, 
   3.7954289357109933`*^9, 3.7954291784408765`*^9, 3.795429477229966*^9, 
   3.795430270950364*^9, 3.7954318710448847`*^9, 3.7954331160220933`*^9, 
   3.7954346360270324`*^9, 3.7954369294542093`*^9, {3.7954411964872694`*^9, 
   3.795441229796174*^9}, 3.7954445114138727`*^9, {3.7954976994746447`*^9, 
   3.7954977051819715`*^9}, 3.7954984396779823`*^9, 3.7955052220359106`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Display DT potential", "Item",
 CellChangeTimes->{{3.750746832403555*^9, 3.750746845568308*^9}, {
  3.7507472053488865`*^9, 3.7507472064959517`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITab", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTab", ",", "WaistXTab", ",", "WaistYTab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTab", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITab", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighXTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistXTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighYTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistYTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTab", ",", "WaistXTab", ",", "WaistYTab", ",", "ZRayleighXTab", 
       ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", "\[Phi]Tab", ",", 
       "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerTabSheetOnly", " ", "=", " ", "PowerTab"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTabSheetOnly", "[", 
    RowBox[{"[", "2", "]"}], "]"}], " ", "=", " ", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTabSheetOnly", "[", 
    RowBox[{"[", "3", "]"}], "]"}], " ", "=", " ", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ITabSheetOnly", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTabSheetOnly", ",", "WaistXTab", ",", "WaistYTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTabSheetOnly", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITabSheetOnly", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTabSheetOnly", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTabSheetOnly", ",", "WaistXTab", ",", "WaistYTab", ",", 
       "ZRayleighXTab", ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", 
       "\[Phi]Tab", ",", "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"XYZDipPotFun", "[", " ", 
    RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
   RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
    RowBox[{
    "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTab", ",", "mAssSr"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotSheetOnlyFun", "[", " ", 
     RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
    RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
     RowBox[{
     "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTabSheetOnly", ",", 
      "mAssSr"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{"gSaggSrNum", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
      ",", 
      RowBox[{"{", "1", "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNumSheetOnly", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotSheetOnlyFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gSaggSrNumSheetOnly", " ", "=", " ", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"gSaggSrNumSheetOnly", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
       ",", 
       RowBox[{"{", "1", "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]X", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{
               RowBox[{"xx", "+", "xOffset"}], ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], 
              "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"xx", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"xx", "->", 
            RowBox[{"(", "X", ")"}]}]}], ")"}], "/.", 
         RowBox[{"X", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Y", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"yy", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"yy", "->", 
            RowBox[{"(", "Y", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Y", "\[Rule]", "gSaggSrNum"}]}], ")"}], " ", "/", 
       "mAssSr"}], "]"}], "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Z", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", 
               RowBox[{"zz", "+", "zOffset"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"zz", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"zz", "->", 
            RowBox[{"(", "Z", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Z", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]IsoDT", " ", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]X", "*", "\[Omega]Y", "*", "\[Omega]Z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aHODTiso", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"1.", "/", " ", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "\[Omega]IsoDT"}], ")"}]}], "*", 
      "hbarreOverAu"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDepth", "=", 
   RowBox[{"XYZDipPotFun", "[", 
    RowBox[{"xOffset", ",", 
     RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TrapEdgeByGrav", "=", " ", 
   RowBox[{"FindMaximum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", 
         RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0."}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "\[LessEqual]", " ", "yy", 
        "\[LessEqual]", 
        RowBox[{"400.", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"55.", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", " ", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDipTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"TrapEdgeByGrav", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PosTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"yy", "/.", 
    RowBox[{"TrapEdgeByGrav", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PotDepthSheetOnly", "=", 
    RowBox[{"XYZDipPotSheetOnlyFun", "[", 
     RowBox[{"xOffset", ",", 
      RowBox[{"gSaggSrNumSheetOnly", "+", "yOffset"}], ",", "zOffset"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLot1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"xx", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
        ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"xx", ",", 
       RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in X axis\>\""}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLot2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotFun", "[", 
       RowBox[{"xOffset", ",", 
        RowBox[{
         RowBox[{"yy", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", 
        "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Y axis\>\""}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PLot3", " ", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", "yOffset", ",", 
         RowBox[{
          RowBox[{"zz", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
       "ctePlanckOverkB", "*", 
       RowBox[{"10", "^", "6."}]}], ",", 
      RowBox[{"{", 
       RowBox[{"zz", ",", 
        RowBox[{"-", "1000"}], ",", "1000"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Z axis\>\""}],
       ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLotSheetOnly1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotSheetOnlyFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"xx", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
        ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"xx", ",", 
       RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Trapping potential (sheet only) on 1S0 in X axis\>\""}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLotSheetOnly2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotSheetOnlyFun", "[", 
       RowBox[{"xOffset", ",", 
        RowBox[{
         RowBox[{"yy", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", 
        "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Trapping potential (sheet only) on 1S0 in Y axis\>\""}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PLotSheetOnly3", " ", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"XYZDipPotSheetOnlyFun", "[", 
        RowBox[{"xOffset", ",", "yOffset", ",", 
         RowBox[{
          RowBox[{"zz", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
       "ctePlanckOverkB", "*", 
       RowBox[{"10", "^", "6."}]}], ",", 
      RowBox[{"{", 
       RowBox[{"zz", ",", 
        RowBox[{"-", "1000"}], ",", "1000"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "PlotLabel", "\[Rule]", 
       "\"\<Trapping potential (sheet only) on 1S0 in Z axis\>\""}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"PLot1", ",", "PLot2", ",", "PLot3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "PLotSheetOnly1", ",", "PLotSheetOnly2", ",", "PLotSheetOnly3"}], 
      "}"}]}], "}"}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Beam powers: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rayleigh length axis 1: \>\"", " ", ",", 
   RowBox[{"ZRayleighXTab", "*", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Rayleigh length axis 2: \>\"", " ", ",", 
    RowBox[{"ZRayleighYTab", "*", 
     RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]X", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]Y", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
     RowBox[{
      RowBox[{"\[Omega]Z", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Grav sagging: \>\"", " ", ",", 
   RowBox[{"gSaggSrNum", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Absolute potential depth: \>\"", " ", ",", 
   RowBox[{"PotDepth", "*", "ctePlanck", "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Edge of the trap between tranport DT and sheet DT: \>\"", ",", 
     RowBox[{"PosTrapEdgeByGrav", "*", 
      RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Trap depth: \>\"", " ", ",", 
   RowBox[{"UdipTab", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Effective trap depth: \>\"", ",", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"PotDipTrapEdgeByGrav", " ", "-", "PotDepth"}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.7197386048911114`*^9, 3.719738605608152*^9}, {3.719738648634557*^9, 
   3.719738676855596*^9}, {3.719739932359174*^9, 3.7197399377291813`*^9}, {
   3.7197399752412496`*^9, 3.7197399870912657`*^9}, 3.7198221739167566`*^9, {
   3.719823712196764*^9, 3.7198237279767857`*^9}, {3.7198385766077533`*^9, 
   3.7198385783877554`*^9}, {3.7199057240019007`*^9, 3.719905739391922*^9}, {
   3.7199058264440594`*^9, 3.71990583412407*^9}, {3.7199058651741133`*^9, 
   3.7199058719441223`*^9}, {3.719905913506194*^9, 3.7199059152661963`*^9}, 
   3.7199222698204207`*^9, {3.720173300657431*^9, 3.720173337943564*^9}, {
   3.720173722037533*^9, 3.720173742179685*^9}, {3.7201743683204985`*^9, 
   3.72017437254574*^9}, {3.720174482765044*^9, 3.7201744958137903`*^9}, {
   3.7201745402443314`*^9, 3.720174541739417*^9}, {3.7201746186378155`*^9, 
   3.720174668615674*^9}, {3.7201747081059327`*^9, 3.720174725602934*^9}, {
   3.7201747596758823`*^9, 3.720174780074049*^9}, {3.720174854079282*^9, 
   3.7201749148787594`*^9}, {3.720174949256726*^9, 3.7201749757732425`*^9}, {
   3.7201754634941387`*^9, 3.7201754807061234`*^9}, 3.720175598122839*^9, {
   3.7201855281053443`*^9, 3.7201855286313744`*^9}, {3.7201855692646985`*^9, 
   3.7201855724428806`*^9}, {3.720185621443683*^9, 3.7201856630040603`*^9}, {
   3.720185735696218*^9, 3.720185739544438*^9}, {3.720185912814348*^9, 
   3.7201859139234123`*^9}, {3.7202455310867996`*^9, 
   3.7202455323388715`*^9}, {3.7202457217307043`*^9, 
   3.7202458625817604`*^9}, {3.720245916877866*^9, 3.7202459196840262`*^9}, {
   3.7202459868828697`*^9, 3.720245988715975*^9}, {3.7202460767705545`*^9, 
   3.7202460773205557`*^9}, {3.720246107360617*^9, 3.7202461096106205`*^9}, {
   3.720246142012685*^9, 3.720246147742693*^9}, {3.7202461996647835`*^9, 
   3.720246201824786*^9}, {3.72024626607891*^9, 3.7202462667389107`*^9}, {
   3.7202469651740007`*^9, 3.7202470153380957`*^9}, {3.7202470697001905`*^9, 
   3.7202470764601994`*^9}, {3.720250120114921*^9, 3.7202501308849363`*^9}, {
   3.7202505029515023`*^9, 3.7202505060615067`*^9}, {3.7202691420522037`*^9, 
   3.7202691515622168`*^9}, {3.7207799442924137`*^9, 
   3.7207799554324293`*^9}, {3.7207810440109515`*^9, 
   3.7207810454109535`*^9}, {3.7264045192662487`*^9, 
   3.7264045476483073`*^9}, {3.7501623752658863`*^9, 3.750162380690197*^9}, {
   3.7501624362433743`*^9, 3.75016243913054*^9}, {3.7501629648146067`*^9, 
   3.7501629806835146`*^9}, {3.750163037752779*^9, 3.750163041703005*^9}, {
   3.75016322152929*^9, 3.7501632660988393`*^9}, {3.7507472360466423`*^9, 
   3.7507472934519253`*^9}, {3.78124152793388*^9, 3.7812415464759398`*^9}, {
   3.791015401259475*^9, 3.7910154143292227`*^9}, {3.79101548858247*^9, 
   3.7910154900205517`*^9}, {3.79101569611034*^9, 3.7910156977184315`*^9}, {
   3.7910332153287725`*^9, 3.791033219580016*^9}, {3.791034332516672*^9, 
   3.791034378844322*^9}, {3.791893429624709*^9, 3.791893433540933*^9}, {
   3.795439274688349*^9, 3.7954393124695096`*^9}, {3.7954393427302403`*^9, 
   3.7954393429762545`*^9}, {3.7954990848268824`*^9, 
   3.7954996059426885`*^9}, {3.7955006837293344`*^9, 3.7955007212054777`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJwUl3c8198Xx+0kJCSVvRWyybzJKMkKScje47OM8C2hjMhokISEkF0o8b6H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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in X axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -118.66252583997979`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJwtmHk0Ve/3x1EyJTOR8dxrns499xqT+1RknqcboVAqpRIyJJUhhTQIJUIp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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in Y axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -118.66252583997979`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJw1mHc41W/cx62Q1bGJ7PM9ZJ1zskdu89gre4WMZKWlpKysg0NDFOInWaGo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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, -19.},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in Z axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -118.66252583997979`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}]}, {InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJwUl3k4Vl0Xxs0hJEoSMj6RiIwhdkIlZQhJyDwPz2QIlaQMkSEiCa+QeSqU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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in X axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -355.98757751993935`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJwtWHk41N/3NzPIvkZItmHs64yxJO9LyFJRWYYQ0mZLskRUZIlIaSGyhtBC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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in Y axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -355.98757751993935`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJw113c4lm3YAHB7RT2yRyieG2+y97xQyE7IDoWUmZFCkr2eR8roLSVbQ0oR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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, -11.600000000000001`},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in Z axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -355.98757751993935`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}]}}, {}},
  ContentSelectable->True,
  ImageSize->{1173., 486.65010335991917`},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795444513002963*^9, 
   3.795497711297321*^9, {3.7954991745430136`*^9, 3.7954991979843545`*^9}, 
   3.795499256431698*^9, 3.795499299008133*^9, {3.795499419206008*^9, 
   3.7954995014137096`*^9}, 3.795499746785744*^9, 3.7955007288739166`*^9, 
   3.7955044276334734`*^9, 3.79550522604814*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beam powers: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5418745985135789`", ",", "0.13074600000000008`", ",", "0.00994784`"}], 
    "}"}], "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Beam powers: ", {0.5418745985135789, 0.13074600000000008`, 0.00994784}, 
   " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 1: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.38581767255680716`", ",", "2.1403934995018306`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 1: ", {0.38581767255680716`, 2.1403934995018306`, 
   2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.795505226113144*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 2: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "22.204013497918506`", ",", "2.1403934995018306`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 2: ", {22.204013497918506`, 2.1403934995018306`, 
   2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.795505226116144*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]X for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "331.2437399952538`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : ", 
   331.2437399952538, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.795505226118144*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Y for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "735.0929982678693`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : ", 
   735.0929982678693, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261211443`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Z for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "316.99600173726355`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : ", 
   316.99600173726355`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261241446`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Grav sagging: \"\>", "\[InvisibleSpace]", 
   "0.4578684927201798`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Grav sagging: ", 0.4578684927201798, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.795505226127145*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Absolute potential depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "18.340834203465665`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Absolute potential depth: ", -18.340834203465665`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261291447`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Edge of the trap between tranport DT and sheet DT: \"\>", 
   "\[InvisibleSpace]", "19.922600620272124`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Edge of the trap between tranport DT and sheet DT: ", 19.922600620272124`, 
   " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.795505226132145*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Trap depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "11.384484435042038`", ",", "6.010023148769077`", ",", 
     "0.9236908554379949`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Trap depth: ", {11.384484435042038`, 6.010023148769077, 
   0.9236908554379949}, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.795505226135145*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap depth: \"\>", "\[InvisibleSpace]", 
   "9.17492849970996`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Effective trap depth: ", 9.17492849970996, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.795505226137145*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Self consistent evaluation of Nth for a fixed Nbec and Temp", "Item",
 CellChangeTimes->{{3.7213797517345233`*^9, 3.7213797879645734`*^9}, {
  3.750685679896145*^9, 3.7506856865615263`*^9}, {3.7954336196228976`*^9, 
  3.7954336495026064`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NInterpPts", " ", "=", "17"}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gScat", " ", "=", 
   RowBox[{"4.", "*", "Pi", "*", 
    RowBox[{"aScat", "/", "mAssSr"}]}]}], " ", ";", "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"hbarre", "^", "2"}], "*", 
    RowBox[{"aB", "/", "au"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"factAuxNatAniso", " ", "=", " ", 
   RowBox[{"hbarre", "/", 
    RowBox[{"(", 
     RowBox[{"2.", "*", "Pi", "*", 
      RowBox[{"aB", "^", "2."}], "*", "au"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxDensity", " ", "=", " ", 
    RowBox[{"2.", "*", 
     RowBox[{"Pi", "/", 
      RowBox[{"(", 
       RowBox[{"hbarre", "*", 
        RowBox[{"aB", "/", "au"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vpot0", " ", "=", " ", 
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"0.", ",", "0.", ",", "0."}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTh0Init", " ", "=", " ", "0."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0BECInit", " ", "=", " ", 
   RowBox[{
    RowBox[{"\[Omega]IsoDT", "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "gScat"}], ")"}]}], "*", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"15.", "*", "NatBECTest", "*", "aScat", "*", 
        RowBox[{"aB", "/", "aHODTiso"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"2", "*", "Pi", " ", "*", " ", 
    RowBox[{
     RowBox[{"hbarre", " ", "/", " ", 
      RowBox[{"hbarre", "^", "2"}]}], " ", "/", "aB"}], " ", "*", " ", "au"}],
    "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Mu]Chem", " ", "=", " ", 
   RowBox[{"Vpot0", " ", "+", " ", 
    RowBox[{"gScat", " ", "*", " ", 
     RowBox[{"(", 
      RowBox[{"n0BECInit", "+", 
       RowBox[{"2.", "*", "nTh0Init"}]}], ")"}]}]}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "Hz"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"nThTab", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "0."}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"xMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{
          RowBox[{"-", "yMaxBEC"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{
          RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"zMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", "2"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nThInterpFun", "=", " ", 
    RowBox[{"Interpolation", "[", "nThTab", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]deBroglieFun", "[", "Temp_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2.", "*", 
      RowBox[{"Pi", "/", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "Temp"}], ")"}]}], " ", "*", " ", 
      "hbarreOverAu", " ", "*", " ", "hbarreOverkB"}], "]"}], " ", "/", " ", 
    "aB"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxnThFun", "[", "Temp_", "]"}], ":=", 
   RowBox[{"1.", "/", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]deBroglieFun", "[", "Temp", "]"}], ")"}], "^", 
       "3."}], " ", "*", " ", 
      RowBox[{"aB", "^", "3."}], "*", "factAuxDensity"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{
      RowBox[{"x", "*", "aB"}], ",", 
      RowBox[{"y", "*", "aB"}], ",", 
      RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepth"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"VPotAnisoDTSheetOnlyFun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"XYZDipPotSheetOnlyFun", "[", 
      RowBox[{
       RowBox[{"x", "*", "aB"}], ",", 
       RowBox[{"y", "*", "aB"}], ",", 
       RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepthSheetOnly"}]}], ";"}],
   "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
        RowBox[{"2.", "*", 
         RowBox[{"nThFun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ",", "0."}], 
      "]"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbBECFun", "[", 
     RowBox[{
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{"4.", "*", 
     RowBox[{
      RowBox[{"Quiet", "[", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"nBECFun", "[", 
          RowBox[{
           RowBox[{"x", "+", 
            RowBox[{"xOffset", "/", "aB"}]}], ",", 
           RowBox[{"y", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
           ",", 
           RowBox[{"z", "+", 
            RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", 
           "nThFun"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.", ",", "xMaxBEC"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", " ", "0.", ",", "zMaxBEC"}], "}"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
         RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
         RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}],
        "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"UFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=",
    " ", 
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", "+", " ", 
    RowBox[{"2.", "*", "gScat", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}],
         "]"}], "+", " ", 
       RowBox[{"nThOldFun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
   " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"UFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}], 
         "]"}]}], ")"}], "/", "Temp"}], "*", "ctePlanckOverkB"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
    " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThOldFun"}], "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"selfConsitentLoopFun", "[", 
     RowBox[{"{", 
      RowBox[{"nThInterpFun_", ",", "\[Mu]Chem_", ",", "\[Mu]ChemOld_"}], 
      "}"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"nThTabAux", ",", "nThInterpFunRes", ",", "\[Mu]ChemRes"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nThTabAux", " ", "=", " ", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"nThFun", "[", 
               RowBox[{
               "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "TempCloud", 
                ",", "nThInterpFun"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"xMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{
               RowBox[{"-", "yMaxBEC"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"zMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", 
          "2"}], "]"}]}], ";", 
       RowBox[{"nThInterpFunRes", "=", " ", 
        RowBox[{"Interpolation", "[", "nThTabAux", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]ChemRes", "=", " ", 
        RowBox[{"\[Mu]ChemBEC", "/.", " ", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"NbBECFun", "[", 
             RowBox[{"\[Mu]ChemBEC", ",", "nThInterpFunRes"}], "]"}], 
            "\[Equal]", "   ", "NatBECTest"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Mu]ChemBEC", ",", "\[Mu]Chem"}], "}"}], ",", 
           RowBox[{"Evaluated", "\[Rule]", " ", "False"}], ",", 
           RowBox[{"MaxIterations", "\[Rule]", " ", "20"}], ",", 
           RowBox[{"AccuracyGoal", "\[Rule]", "10"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Current value of chemical potential: \>\"", ",", "\[Mu]ChemRes", 
         ",", "\"\< Hz\>\""}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nThInterpFunRes", ",", "\[Mu]ChemRes", ",", "\[Mu]Chem"}], 
        "}"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aux1Fun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"x", "/", "xMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"y", "/", "yMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"z", "/", "zMaxTh"}], "]"}], ")"}], "^", "1.5"}]}], ")"}], 
    "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"aux2Fun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"x", "/", 
           RowBox[{"(", 
            RowBox[{"xMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"y", "/", 
           RowBox[{"(", 
            RowBox[{"yMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"z", "/", 
           RowBox[{"(", 
            RowBox[{"zMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}]}], ")"}], "/", "2."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nTh2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"PolyLog", "[", 
      RowBox[{
       RowBox[{"3", "/", "2"}], ",", 
       RowBox[{"Z2Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
        "]"}]}], "]"}], "]"}], " ", "*", 
    RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZSheetOnlyFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"VPotAnisoDTSheetOnlyFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThSheetOnlyFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZSheetOnlyFun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "Temp"}], "]"}]}], "]"}], 
      "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThBoltzSheetOnlyFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "auxCalc", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"auxCalc", " ", "=", " ", 
        RowBox[{"VPotAnisoDTSheetOnlyFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"auxCalc", "\[LessEqual]", "   ", "0."}], ",", "0.", ",", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "auxCalc"}], "/", "Temp"}], "*", "ctePlanckOverkB"}],
           "]"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThExtendedFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"aux1Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aux2Fun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", 
        RowBox[{"nThFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThInterpFun"}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], ",", "0."}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbThFun", "[", 
     RowBox[{"\[Mu]Chem_", ",", "Temp_", ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"4.", "*", " ", 
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
          RowBox[{"x", "+", 
           RowBox[{"xOffset", "/", "aB"}]}], ",", 
          RowBox[{"y", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
          ",", 
          RowBox[{"z", "+", 
           RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", "Temp", 
          ",", "nThInterpFun"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
        RowBox[{"PrecisionGoal", "\[Rule]", "2"}], ",", 
        RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
      "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0ThBoltzSheetOnlyFun", "[", 
    RowBox[{"NbTh_", ",", "Temp_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "auxFalseNb", "}"}], ",", 
     RowBox[{
      RowBox[{"auxFalseNb", "=", 
       RowBox[{"4.", "*", " ", 
        RowBox[{
         RowBox[{"NIntegrate", "[", 
          RowBox[{
           RowBox[{"nThBoltzSheetOnlyFun", "[", 
            RowBox[{
             RowBox[{"x", "+", 
              RowBox[{"xOffset", "/", "aB"}]}], ",", 
             RowBox[{"y", "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"yOffset", "+", "gSaggSrNumSheetOnly"}], ")"}], "/", 
               "aB"}]}], ",", 
             RowBox[{"z", "+", 
              RowBox[{"zOffset", "/", "aB"}]}], ",", "Temp"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
           RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
           RowBox[{"PrecisionGoal", "\[Rule]", "2"}], ",", 
           RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], 
          "]"}], "/", "factAuxNatAniso"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"NbTh", "/", "auxFalseNb"}]}]}], "\[IndentingNewLine]", "]"}]}],
   ";"}]}], "Input",
 CellChangeTimes->{{3.795412272675922*^9, 3.7954122733979635`*^9}, {
   3.795412338503687*^9, 3.7954123395937495`*^9}, {3.7954124414115734`*^9, 
   3.7954125545510445`*^9}, {3.795412602645795*^9, 3.7954126028588076`*^9}, {
   3.795412641986045*^9, 3.795412672181772*^9}, {3.7954127276239433`*^9, 
   3.795412727969963*^9}, {3.795412802308215*^9, 3.7954129253082504`*^9}, {
   3.7954129567280474`*^9, 3.7954129985764413`*^9}, {3.7954130524345217`*^9, 
   3.7954130688094583`*^9}, {3.7954131738404655`*^9, 
   3.7954131821739426`*^9}, {3.795413298957622*^9, 3.7954133254101353`*^9}, {
   3.7954134760787525`*^9, 3.7954135066395006`*^9}, {3.7954135429855795`*^9, 
   3.7954137009686155`*^9}, {3.7954137321614*^9, 3.795413737549708*^9}, 
   3.7954137685704823`*^9, {3.795413863906935*^9, 3.7954138970708323`*^9}, {
   3.795413975689329*^9, 3.7954139764343715`*^9}, {3.795425005449195*^9, 
   3.7954250208070736`*^9}, {3.7954251594590034`*^9, 3.795425181198247*^9}, {
   3.7954253466877127`*^9, 3.7954253762114015`*^9}, {3.7954254409391036`*^9, 
   3.795425478726265*^9}, 3.795425536822588*^9, {3.7954255808941083`*^9, 
   3.795425634325165*^9}, {3.795425790490097*^9, 3.7954258183856926`*^9}, {
   3.7954258785161314`*^9, 3.7954259995520544`*^9}, {3.795426044443622*^9, 
   3.795426233835455*^9}, {3.795426537196806*^9, 3.7954266074378233`*^9}, {
   3.7954266600658336`*^9, 3.7954267045523777`*^9}, {3.7954267351641293`*^9, 
   3.7954267980517263`*^9}, {3.795426852222824*^9, 3.7954268679787254`*^9}, {
   3.7954269030007286`*^9, 3.7954269032427425`*^9}, {3.7954269832783203`*^9, 
   3.795427083169034*^9}, {3.79542712139222*^9, 3.795427127744583*^9}, {
   3.7954271649117093`*^9, 3.7954271817886744`*^9}, 3.7954275600773115`*^9, {
   3.7954276202647543`*^9, 3.7954276375347414`*^9}, 3.7954277665431204`*^9, {
   3.7954277989009714`*^9, 3.7954277995990114`*^9}, {3.7954278577423368`*^9, 
   3.795427892545327*^9}, {3.795427931265542*^9, 3.795427944648308*^9}, {
   3.795428058806837*^9, 3.7954280875334797`*^9}, {3.795428207570346*^9, 
   3.795428235397938*^9}, {3.795428276863309*^9, 3.7954283208918276`*^9}, {
   3.7954283918318853`*^9, 3.795428397111187*^9}, 3.7954291421097984`*^9, {
   3.795429443170018*^9, 3.7954294558067408`*^9}, {3.795429676046338*^9, 
   3.7954296763353543`*^9}, {3.795429969224107*^9, 3.7954299737993684`*^9}, {
   3.7954302001643157`*^9, 3.7954302012023754`*^9}, {3.7954314113425913`*^9, 
   3.7954314117536144`*^9}, {3.7954315154065433`*^9, 
   3.7954315579919786`*^9}, {3.795431890181979*^9, 3.795431890531999*^9}, 
   3.795432954083831*^9, {3.7954338308759804`*^9, 3.795433850961129*^9}, {
   3.7954368927101073`*^9, 3.7954368968943467`*^9}, 3.7954371532650104`*^9, {
   3.795437262779274*^9, 3.795437280441284*^9}, {3.7954373374385443`*^9, 
   3.7954373406827297`*^9}, 3.7954375579651575`*^9, {3.7954375896489697`*^9, 
   3.795437669130516*^9}, {3.795437770695325*^9, 3.795437771037345*^9}, {
   3.795439259206463*^9, 3.7954392703330994`*^9}, {3.7954393169097633`*^9, 
   3.795439349873649*^9}, {3.7954996735715566`*^9, 3.795499703605274*^9}, {
   3.7954999315233107`*^9, 3.7954999878055296`*^9}, {3.795500045195812*^9, 
   3.7955000616517534`*^9}, {3.795500402439245*^9, 3.795500402593254*^9}, {
   3.795500573894052*^9, 3.795500608371024*^9}, {3.795500639738818*^9, 
   3.7955006601759872`*^9}, {3.7955007342222223`*^9, 
   3.7955007987529135`*^9}, {3.7955008947094016`*^9, 3.795500905100996*^9}, {
   3.795501040455738*^9, 3.7955011358851957`*^9}, {3.79550438859624*^9, 
   3.795504388786251*^9}, {3.7955046600427666`*^9, 3.7955046602407775`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NInterpPts", " ", "=", "17"}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gScat", " ", "=", 
   RowBox[{"4.", "*", "Pi", "*", 
    RowBox[{"aScat", "/", "mAssSr"}]}]}], " ", ";", "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"hbarre", "^", "2"}], "*", 
    RowBox[{"aB", "/", "au"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"factAuxNatAniso", " ", "=", " ", 
   RowBox[{"hbarre", "/", 
    RowBox[{"(", 
     RowBox[{"2.", "*", "Pi", "*", 
      RowBox[{"aB", "^", "2."}], "*", "au"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxDensity", " ", "=", " ", 
    RowBox[{"2.", "*", 
     RowBox[{"Pi", "/", 
      RowBox[{"(", 
       RowBox[{"hbarre", "*", 
        RowBox[{"aB", "/", "au"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vpot0", " ", "=", " ", 
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"0.", ",", "0.", ",", "0."}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTh0Init", " ", "=", " ", "0."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0BECInit", " ", "=", " ", 
   RowBox[{
    RowBox[{"\[Omega]IsoDT", "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "gScat"}], ")"}]}], "*", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"15.", "*", "NatBECTest", "*", "aScat", "*", 
        RowBox[{"aB", "/", "aHODTiso"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"2", "*", "Pi", " ", "*", " ", 
    RowBox[{
     RowBox[{"hbarre", " ", "/", " ", 
      RowBox[{"hbarre", "^", "2"}]}], " ", "/", "aB"}], " ", "*", " ", "au"}],
    "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Mu]Chem", " ", "=", " ", 
   RowBox[{"Vpot0", " ", "+", " ", 
    RowBox[{"gScat", " ", "*", " ", 
     RowBox[{"(", 
      RowBox[{"n0BECInit", "+", 
       RowBox[{"2.", "*", "nTh0Init"}]}], ")"}]}]}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "Hz"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"nThTab", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "0."}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"xMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{
          RowBox[{"-", "yMaxBEC"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{
          RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"zMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", "2"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nThInterpFun", "=", " ", 
    RowBox[{"Interpolation", "[", "nThTab", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]deBroglieFun", "[", "Temp_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2.", "*", 
      RowBox[{"Pi", "/", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "Temp"}], ")"}]}], " ", "*", " ", 
      "hbarreOverAu", " ", "*", " ", "hbarreOverkB"}], "]"}], " ", "/", " ", 
    "aB"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxnThFun", "[", "Temp_", "]"}], ":=", 
   RowBox[{"1.", "/", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]deBroglieFun", "[", "Temp", "]"}], ")"}], "^", 
       "3."}], " ", "*", " ", 
      RowBox[{"aB", "^", "3."}], "*", "factAuxDensity"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{
       RowBox[{"x", "*", "aB"}], ",", 
       RowBox[{"y", "*", "aB"}], ",", 
       RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepth"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
        RowBox[{"2.", "*", 
         RowBox[{"nThFun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ",", "0."}], 
      "]"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbBECFun", "[", 
     RowBox[{
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{"4.", "*", 
     RowBox[{
      RowBox[{"Quiet", "[", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"nBECFun", "[", 
          RowBox[{
           RowBox[{"x", "+", 
            RowBox[{"xOffset", "/", "aB"}]}], ",", 
           RowBox[{"y", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
           ",", 
           RowBox[{"z", "+", 
            RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", 
           "nThFun"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.", ",", "xMaxBEC"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", " ", "0.", ",", "zMaxBEC"}], "}"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
         RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
         RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}],
        "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"UFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=",
    " ", 
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", "+", " ", 
    RowBox[{"2.", "*", "gScat", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}],
         "]"}], "+", " ", 
       RowBox[{"nThOldFun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
   " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"UFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}], 
         "]"}]}], ")"}], "/", "Temp"}], "*", "ctePlanckOverkB"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
    " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThOldFun"}], "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"selfConsitentLoopFun", "[", 
     RowBox[{"{", 
      RowBox[{"nThInterpFun_", ",", "\[Mu]Chem_", ",", "\[Mu]ChemOld_"}], 
      "}"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"nThTabAux", ",", "nThInterpFunRes", ",", "\[Mu]ChemRes"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nThTabAux", " ", "=", " ", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"nThFun", "[", 
               RowBox[{
               "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "TempCloud", 
                ",", "nThInterpFun"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"xMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{
               RowBox[{"-", "yMaxBEC"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"zMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", 
          "2"}], "]"}]}], ";", 
       RowBox[{"nThInterpFunRes", "=", " ", 
        RowBox[{"Interpolation", "[", "nThTabAux", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]ChemRes", "=", " ", 
        RowBox[{"\[Mu]ChemBEC", "/.", " ", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"NbBECFun", "[", 
             RowBox[{"\[Mu]ChemBEC", ",", "nThInterpFunRes"}], "]"}], 
            "\[Equal]", "   ", "NatBECTest"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Mu]ChemBEC", ",", "\[Mu]Chem"}], "}"}], ",", 
           RowBox[{"Evaluated", "\[Rule]", " ", "False"}], ",", 
           RowBox[{"MaxIterations", "\[Rule]", " ", "20"}], ",", 
           RowBox[{"AccuracyGoal", "\[Rule]", "10"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Current value of chemical potential: \>\"", ",", "\[Mu]ChemRes", 
         ",", "\"\< Hz\>\""}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nThInterpFunRes", ",", "\[Mu]ChemRes", ",", "\[Mu]Chem"}], 
        "}"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aux1Fun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"x", "/", "xMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"y", "/", "yMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"z", "/", "zMaxTh"}], "]"}], ")"}], "^", "1.5"}]}], ")"}], 
    "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"aux2Fun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"x", "/", 
           RowBox[{"(", 
            RowBox[{"xMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"y", "/", 
           RowBox[{"(", 
            RowBox[{"yMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"z", "/", 
           RowBox[{"(", 
            RowBox[{"zMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}]}], ")"}], "/", "2."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nTh2Fun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Z2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThExtendedFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"aux1Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aux2Fun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", 
        RowBox[{"nThFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThInterpFun"}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], ",", "0."}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbThFun", "[", 
    RowBox[{"\[Mu]Chem_", ",", "Temp_", ",", "nThInterpFun_"}], "]"}], ":=", 
   RowBox[{"4.", "*", " ", 
    RowBox[{
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
         RowBox[{"x", "+", 
          RowBox[{"xOffset", "/", "aB"}]}], ",", 
         RowBox[{"y", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], ",", 
         RowBox[{"z", "+", 
          RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", "Temp", 
         ",", "nThInterpFun"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
       RowBox[{"PrecisionGoal", "\[Rule]", "2"}], ",", 
       RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
     "/", "factAuxNatAniso"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.795412272675922*^9, 3.7954122733979635`*^9}, {
   3.795412338503687*^9, 3.7954123395937495`*^9}, {3.7954124414115734`*^9, 
   3.7954125545510445`*^9}, {3.795412602645795*^9, 3.7954126028588076`*^9}, {
   3.795412641986045*^9, 3.795412672181772*^9}, {3.7954127276239433`*^9, 
   3.795412727969963*^9}, {3.795412802308215*^9, 3.7954129253082504`*^9}, {
   3.7954129567280474`*^9, 3.7954129985764413`*^9}, {3.7954130524345217`*^9, 
   3.7954130688094583`*^9}, {3.7954131738404655`*^9, 
   3.7954131821739426`*^9}, {3.795413298957622*^9, 3.7954133254101353`*^9}, {
   3.7954134760787525`*^9, 3.7954135066395006`*^9}, {3.7954135429855795`*^9, 
   3.7954137009686155`*^9}, {3.7954137321614*^9, 3.795413737549708*^9}, 
   3.7954137685704823`*^9, {3.795413863906935*^9, 3.7954138970708323`*^9}, {
   3.795413975689329*^9, 3.7954139764343715`*^9}, {3.795425005449195*^9, 
   3.7954250208070736`*^9}, {3.7954251594590034`*^9, 3.795425181198247*^9}, {
   3.7954253466877127`*^9, 3.7954253762114015`*^9}, {3.7954254409391036`*^9, 
   3.795425478726265*^9}, 3.795425536822588*^9, {3.7954255808941083`*^9, 
   3.795425634325165*^9}, {3.795425790490097*^9, 3.7954258183856926`*^9}, {
   3.7954258785161314`*^9, 3.7954259995520544`*^9}, {3.795426044443622*^9, 
   3.795426233835455*^9}, {3.795426537196806*^9, 3.7954266074378233`*^9}, {
   3.7954266600658336`*^9, 3.7954267045523777`*^9}, {3.7954267351641293`*^9, 
   3.7954267980517263`*^9}, {3.795426852222824*^9, 3.7954268679787254`*^9}, {
   3.7954269030007286`*^9, 3.7954269032427425`*^9}, {3.7954269832783203`*^9, 
   3.795427083169034*^9}, {3.79542712139222*^9, 3.795427127744583*^9}, {
   3.7954271649117093`*^9, 3.7954271817886744`*^9}, 3.7954275600773115`*^9, {
   3.7954276202647543`*^9, 3.7954276375347414`*^9}, 3.7954277665431204`*^9, {
   3.7954277989009714`*^9, 3.7954277995990114`*^9}, {3.7954278577423368`*^9, 
   3.795427892545327*^9}, {3.795427931265542*^9, 3.795427944648308*^9}, {
   3.795428058806837*^9, 3.7954280875334797`*^9}, {3.795428207570346*^9, 
   3.795428235397938*^9}, {3.795428276863309*^9, 3.7954283208918276`*^9}, {
   3.7954283918318853`*^9, 3.795428397111187*^9}, 3.7954291421097984`*^9, {
   3.795429443170018*^9, 3.7954294558067408`*^9}, {3.795429676046338*^9, 
   3.7954296763353543`*^9}, {3.795429969224107*^9, 3.7954299737993684`*^9}, {
   3.7954302001643157`*^9, 3.7954302012023754`*^9}, {3.7954314113425913`*^9, 
   3.7954314117536144`*^9}, {3.7954315154065433`*^9, 
   3.7954315579919786`*^9}, {3.795431890181979*^9, 3.795431890531999*^9}, 
   3.795432954083831*^9, {3.7954338308759804`*^9, 3.795433850961129*^9}, {
   3.7954368927101073`*^9, 3.7954368968943467`*^9}, 3.7954371532650104`*^9, {
   3.795437262779274*^9, 3.795437280441284*^9}, {3.7954373374385443`*^9, 
   3.7954373406827297`*^9}, 3.7954375579651575`*^9, {3.7954375896489697`*^9, 
   3.795437669130516*^9}, {3.795437770695325*^9, 3.795437771037345*^9}, {
   3.795439259206463*^9, 3.7954392703330994`*^9}, {3.7954393169097633`*^9, 
   3.795439349873649*^9}, 3.79550463144013*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"nThInterpFunSol", ",", "\[Mu]ChemSol", ",", "\[Mu]ChemAux"}], 
   "}"}], "=", " ", 
  RowBox[{"NestWhile", "[", 
   RowBox[{"selfConsitentLoopFun", ",", 
    RowBox[{"{", 
     RowBox[{"nThInterpFun", ",", "\[Mu]Chem", ",", "1."}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", 
          RowBox[{"#", "[", 
           RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "]"}], "/", 
       RowBox[{"#", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], ">", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "5"}], ")"}]}]}], "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.795431789724233*^9, 3.7954318089193316`*^9}, {
  3.7954324286467776`*^9, 3.795432428983797*^9}, {3.7954324599235663`*^9, 
  3.7954324602215834`*^9}, {3.7954338361732836`*^9, 3.7954338364613*^9}, {
  3.7954372906848707`*^9, 3.795437291167898*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20348.079927625713`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20348.079927625713`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.795497811600058*^9, 
  3.7955053189784555`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20307.55801308841`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20307.55801308841, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.795497811600058*^9, 
  3.7955053733715663`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.7954979240334888`*^9, 3.795505428385713*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20318.445459606413`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20318.445459606413`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.795497811600058*^9, 
  3.7955054283907137`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20315.46003218753`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20315.46003218753, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.795497811600058*^9, 
  3.7955054728022537`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.7954979240334888`*^9, 3.7955055271773634`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20316.36055761371`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20316.36055761371, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.795497811600058*^9, 
  3.7955055271803637`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.7954979240334888`*^9, 3.7955055820865045`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(FindRoot \
:: lstol\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.7954979240334888`*^9, 3.7955055821275063`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20316.077643097153`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20316.077643097153`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.795497811600058*^9, 
  3.795505582131507*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20316.168969801878`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20316.168969801878`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.79544129108568*^9, 3.795497811600058*^9, 
  3.79550563953479*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    TemplateBox[{RowBox[{
        StyleBox[
         TagBox["InterpolatingFunction", "SummaryHead"], 
         "NonInterpretableSummary"], 
        StyleBox["[", "NonInterpretableSummary"], 
        DynamicModuleBox[{Typeset`open$$ = False}, 
         PanelBox[
          PaneSelectorBox[{False -> GridBox[{{
                PaneBox[
                 ButtonBox[
                  DynamicBox[
                   FEPrivate`FrontEndResource[
                   "FEBitmaps", "SquarePlusIconMedium"]], 
                  ButtonFunction :> (Typeset`open$$ = True), Appearance -> 
                  None, Evaluator -> Automatic, Method -> "Preemptive"], 
                 Alignment -> {Center, Center}, ImageSize -> 
                 Dynamic[{
                   Automatic, 3.5 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                GraphicsBox[{{
                   GrayLevel[0.6], 
                   AbsolutePointSize[5], 
                   PointBox[{1, 1}], 
                   PointBox[{2, 4}], 
                   PointBox[{3, 2}], 
                   PointBox[{4, 3}]}, {{}, {}, {
                    AbsoluteThickness[1], 
                    Opacity[1.], 
                    LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                    "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
                 GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                   GrayLevel[0.7], 
                   Thickness[Tiny]], FrameTicks -> None, 
                 ImageSize -> {Automatic, 
                   Dynamic[
                   3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
                GridBox[{{
                   RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "14450.846835373535`"}], ",", 
                    "260115.24303672364`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "120053.18909387245`"}], ",", 
                    "120053.18909387248`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "16674.05404081562`"}], ",", 
                    "300132.97273468116`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
                 False, 
                 GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 GridBoxSpacings -> {
                  "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                 BaseStyle -> {
                  ShowStringCharacters -> False, NumberMarks -> False, 
                   PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
              GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
              BaselinePosition -> {1, 1}], True -> GridBox[{{
                PaneBox[
                 ButtonBox[
                  DynamicBox[
                   FEPrivate`FrontEndResource[
                   "FEBitmaps", "SquareMinusIconMedium"]], 
                  ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                  None, Evaluator -> Automatic, Method -> "Preemptive"], 
                 Alignment -> {Center, Center}, ImageSize -> 
                 Dynamic[{
                   Automatic, 3.5 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                GraphicsBox[{{
                   GrayLevel[0.6], 
                   AbsolutePointSize[5], 
                   PointBox[{1, 1}], 
                   PointBox[{2, 4}], 
                   PointBox[{3, 2}], 
                   PointBox[{4, 3}]}, {{}, {}, {
                    AbsoluteThickness[1], 
                    Opacity[1.], 
                    LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                    "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
                 GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                   GrayLevel[0.7], 
                   Thickness[Tiny]], FrameTicks -> None, 
                 ImageSize -> {Automatic, 
                   Dynamic[
                   3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
                GridBox[{{
                   RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "14450.846835373535`"}], ",", 
                    "260115.24303672364`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "120053.18909387245`"}], ",", 
                    "120053.18909387248`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "16674.05404081562`"}], ",", 
                    "300132.97273468116`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Order: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{"3", ",", "3", ",", "3"}], "}"}], 
                    "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Method: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"Hermite\"", "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Periodic: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["False", "SummaryItem"]}]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
                 False, GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 GridBoxSpacings -> {
                  "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                 BaseStyle -> {
                  ShowStringCharacters -> False, NumberMarks -> False, 
                   PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
              GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
              BaselinePosition -> {1, 1}]}, 
           Dynamic[Typeset`open$$], ImageSize -> Automatic], BaselinePosition -> 
          Baseline], DynamicModuleValues :> {}], 
        StyleBox["]", "NonInterpretableSummary"]}]},
     "CopyTag",
     DisplayFunction->(#& ),
     InterpretationFunction->(
      "InterpolatingFunction[{{-14450.8, 260115.}, {-120053., 120053.}, \
{-16674.1, 300133.}}, <>]"& )],
    False,
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", "20316.168969801878`", ",", 
   "20316.077643097153`"}], "}"}]], "Output",
 CellChangeTimes->{3.795432399786127*^9, 3.795433111998863*^9, 
  3.795433839934499*^9, 3.7954340003356733`*^9, 3.795434818022442*^9, 
  3.795437075717575*^9, 3.795437357152672*^9, 3.7954375228901515`*^9, 
  3.7954381756964903`*^9, 3.795441606161701*^9, 3.7954980874278345`*^9, 
  3.7955056396567974`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nbBEC", " ", "=", " ", 
   RowBox[{"NbBECFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0BEC", " ", "=", " ", 
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", 
      "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nbTh", " ", "=", " ", 
   RowBox[{"NbThFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0ThSheetOnly", " ", "=", " ", 
   RowBox[{
    RowBox[{"n0ThBoltzSheetOnlyFun", "[", 
     RowBox[{"NatReservoirTest", ",", "TempReservoir"}], "]"}], "*", 
    "factAuxDensity"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0ThDimple", " ", "=", 
    RowBox[{
     RowBox[{"nThFun", "[", 
      RowBox[{
      "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
       "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Initial chemical potential: \>\"", ",", "\[Mu]Chem", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Final chemical potential: \>\"", ",", "\[Mu]ChemSol", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<BEC atom number: \>\"", ",", "nbBEC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Thermal atom number in dimple (theory): \>\"", ",", "nbTh"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Thermal atom number in reservoir (from exp): \>\"", ",", 
    "NatReservoirTest"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak density due to BEC: \>\"", ",", "n0BEC", ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak density due to thermal gas in dimple: \>\"", ",", "n0ThDimple", 
   ",", "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Peak density due to thermal gas in reservoir (sheet only): \>\"", ",",
     "n0ThSheetOnly", ",", "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]",
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nBECFun", "[", 
       RowBox[{
       "x", ",", "0", ",", "0", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}],
        "]"}], "*", "factAuxDensity"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "xMaxBEC"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nBECFun", "[", 
       RowBox[{
       "0", ",", "y", ",", "0", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}],
        "]"}], "*", "factAuxDensity"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BecPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{
        "0", ",", "0", ",", "z", ",", "\[Mu]ChemSol", ",", 
         "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0", ",", "zMaxBEC"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"x", ",", "0.", ",", "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{
          RowBox[{"nThFun", "[", 
           RowBox[{
           "x", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
            ",", "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
         "0."}], "]"}], ",", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
         "x", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
          ",", "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
       RowBox[{
        RowBox[{"nTh2Fun", "[", 
         RowBox[{
         "x", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], 
         "]"}], "*", "factAuxDensity"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{"2", "*", "xMaxBEC"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", "y", ",", "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{
          RowBox[{"nThFun", "[", 
           RowBox[{
           "0.", ",", "y", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
            ",", "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
         "0."}], "]"}], ",", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
         "0.", ",", "y", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
          ",", "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
       RowBox[{
        RowBox[{"nTh2Fun", "[", 
         RowBox[{
         "0.", ",", "y", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], 
         "]"}], "*", "factAuxDensity"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "*", "yMaxBEC"}], ",", 
       RowBox[{"2", "*", "yMaxBEC"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"aux2Fun", "[", 
            RowBox[{"0.", ",", "0.", ",", "z"}], "]"}], "<", "0.5"}], ",", 
          RowBox[{
           RowBox[{"nThFun", "[", 
            RowBox[{
            "0.", ",", "0.", ",", "z", ",", "\[Mu]ChemSol", ",", "TempCloud", 
             ",", "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
          "0."}], "]"}], ",", 
        RowBox[{
         RowBox[{"nThExtendedFun", "[", 
          RowBox[{
          "0.", ",", "0.", ",", "z", ",", "\[Mu]ChemSol", ",", "TempCloud", 
           ",", "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
        RowBox[{
         RowBox[{"nTh2Fun", "[", 
          RowBox[{
          "0.", ",", "0.", ",", "z", ",", "\[Mu]ChemSol", ",", "TempCloud"}], 
          "]"}], "*", "factAuxDensity"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0", ",", 
        RowBox[{"2", "*", "zMaxBEC"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThSheetOnlyPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"n0ThSheetOnly", "*", 
      RowBox[{"nThBoltzSheetOnlyFun", "[", 
       RowBox[{"x", ",", "0.", ",", "0.", ",", "TempReservoir"}], "]"}]}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"-", "xMaxTh"}], "/", "2"}], ",", 
       RowBox[{"xMaxTh", "/", "2"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThSheetOnlyPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"n0ThSheetOnly", "*", 
      RowBox[{"nThBoltzSheetOnlyFun", "[", 
       RowBox[{"0.", ",", "y", ",", "0.", ",", "TempReservoir"}], "]"}]}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThSheetOnlyPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"n0ThSheetOnly", "*", 
       RowBox[{"nThBoltzSheetOnlyFun", "[", 
        RowBox[{"0.", ",", "0.", ",", "z", ",", "TempReservoir"}], "]"}]}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{
         RowBox[{"-", "zMaxTh"}], "/", "2"}], ",", 
        RowBox[{"zMaxTh", "/", "2"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"BecPlot1", ",", "BecPlot2", ",", "BecPlot3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ThPlot1", ",", "ThPlot2", ",", "ThPlot3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "ThSheetOnlyPlot1", ",", "ThSheetOnlyPlot2", ",", "ThSheetOnlyPlot3"}], 
     "}"}]}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.795432692306858*^9, 3.7954327479470406`*^9}, {
   3.7954327858582087`*^9, 3.795432846670687*^9}, {3.7954331382793665`*^9, 
   3.7954331391564164`*^9}, {3.795433454851473*^9, 3.7954334557785263`*^9}, {
   3.7954334892674417`*^9, 3.7954335096336064`*^9}, {3.7954337453250875`*^9, 
   3.7954337997432*^9}, {3.7954339214801626`*^9, 3.7954339756062584`*^9}, {
   3.7954340388148737`*^9, 3.7954340949300833`*^9}, {3.7954341418397665`*^9, 
   3.7954341575836673`*^9}, {3.795434207998551*^9, 3.7954342189461765`*^9}, {
   3.7954343180178432`*^9, 3.7954343280924196`*^9}, {3.795434488132573*^9, 
   3.795434520024398*^9}, {3.7954345642069244`*^9, 3.7954345863721924`*^9}, 
   3.7954346972365336`*^9, {3.7954347324705486`*^9, 3.7954347328215685`*^9}, {
   3.79543478913579*^9, 3.795434972312267*^9}, {3.79543501746585*^9, 
   3.7954350501917214`*^9}, {3.7954350971094046`*^9, 3.795435516716405*^9}, {
   3.7954355624790225`*^9, 3.7954356639218245`*^9}, {3.7954356952846184`*^9, 
   3.7954358121203012`*^9}, {3.795435842576043*^9, 3.795435927612907*^9}, {
   3.795435994903756*^9, 3.7954360027222033`*^9}, {3.7954360373971863`*^9, 
   3.795436106495138*^9}, {3.7954361434422517`*^9, 3.795436237156612*^9}, {
   3.795436505338951*^9, 3.795436509153169*^9}, {3.795436541402014*^9, 
   3.7954367131008344`*^9}, {3.7954367912023015`*^9, 3.795436850637701*^9}, 
   3.7954368896729336`*^9, {3.795436970114535*^9, 3.7954369707245693`*^9}, {
   3.795437548773632*^9, 3.7954375498886957`*^9}, {3.795500317152367*^9, 
   3.7955003205805635`*^9}, {3.7955017506463585`*^9, 
   3.7955017896875916`*^9}, {3.7955018286098175`*^9, 3.795501883579962*^9}, {
   3.795502020914817*^9, 3.795502240178358*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initial chemical potential: \"\>", "\[InvisibleSpace]", 
   "21022.37735862823`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Initial chemical potential: ", 21022.37735862823, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506435838336*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final chemical potential: \"\>", "\[InvisibleSpace]", 
   "20316.168969801878`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Final chemical potential: ", 20316.168969801878`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7955064358413363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BEC atom number: \"\>", "\[InvisibleSpace]", 
   "499999.99999999994`"}],
  SequenceForm["BEC atom number: ", 499999.99999999994`],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506435843336*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thermal atom number in dimple (theory): \"\>", 
   "\[InvisibleSpace]", "524364.4057241036`"}],
  SequenceForm["Thermal atom number in dimple (theory): ", 524364.4057241036],
  Editable->False]], "Print",
 CellChangeTimes->{3.7955064358463364`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thermal atom number in reservoir (from exp): \"\>", 
   "\[InvisibleSpace]", "830000.0000000001`"}],
  SequenceForm[
  "Thermal atom number in reservoir (from exp): ", 830000.0000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.7955064358483367`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to BEC: \"\>", "\[InvisibleSpace]", 
   "2.0108463815997695`*^21", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to BEC: ", 2.0108463815997695`*^21, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7955064358513365`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas in dimple: \"\>", 
   "\[InvisibleSpace]", "7.631491495338525`*^19", 
   "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas in dimple: ", 7.631491495338525*^19, 
   " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506435853337*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas in reservoir (sheet only): \
\"\>", "\[InvisibleSpace]", "4.80564151325949`*^18", 
   "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas in reservoir (sheet only): ", 
   4.80564151325949*^18, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7955064358563375`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJxF03k01H0XAHCMZbIULShjq4zkabFLPVzmKyUpsuQ3orJll5dkSfJEiURZ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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 18},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -119.58957682310464`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJxN2Hk0F1/cB3BLZednLaJsWVpsRaXFlZsoIuHr+51QQkWiEFkjUsiWJUt2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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 18},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -119.58957682310464`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJxF0Hk01PsbB/CxS+qKX7SQJbq4ERKF8oz5kFAYuZfvTJtsI0lUuNYS7UWZ
Qop0LeXa9xARIUJEaohBWcYaETK/7++c35nvc85znvP6432e8zyKTmeoLvwk
EqkR7//NZx9Nmvpz/YxPm12jRwINneu1izQvt4f+upXoCNwTplFKG8tdwPqo
rUY4bttDSySRg95QR7qoGYo7IyDLm6/8PGRm3GIG4BZOOdG3pB4I1q5+Tj64
tdzFVJeswkDbZB+Tgbvn18Axf8FwCMbYGsdwX79X8WCuLALudpzcbodbX+1B
i4/vVTD9Uh1linvwpbfIlPoN4ORzMT3c0YctjE+zb4E/c9MNFdzyc9GGc1ZR
ENgqpSiF+0dlSFd+ejTIl4/Jco1pqOn6KV8fwXswXJIcMoI7QME0Y7KMCT/i
s31LcduMae/PknkA1r7CIom4txVtGfD0jQVByj5SOO4Oy4VNo+oPYWKznbIZ
7ufSQ0XpkQkw6KZtrYL7Yn8b1Y39CL7v+P6FH/eDMnvTGaskiP5deWfpPhri
V7S617aYBG+GY+aicXtFmvTnpD8BEQuOHAM3st0RfEbwKRQGU5MkcU9/FS3k
lKXASqOMJ3UvDdGtuPxNjFSYdv94ZAvu+tw5mwyZNHBqvFI4bERDj4PYHIZv
OgimFd/3x20lWa78TT0DnjBDFSIMaajYL8+n7mMGHPrcTUa4lXrSq1Ii/4UN
4RoNfLh/pjHpzuxMOCb0ZpW/AQ21P9ZvnLLKgUKbSartHhq62qZztu9pDhj0
wT8CuPcJam5oXcwBubFYWsFu/B8MZdfs9Fy4VH5yWQJ3mO46fi/BfAD/OOFi
PRrSaBzdM1ZWCKNa1sZFO2loQYz6TX1TEdw60KVphrvasjTGw78I9rVlGXXo
0JBD85XJEd1iCE5xyB/VpqHLrcopw5klEPV8WpxPi4ZYnUclviaWwezB3efa
/6ChNJm6CpWVMpCsPmBhitvHQeOUC70cQkrZ+wrVaUj001Lt4IYKkJEuC7+j
RkM7e2IDB6JfQnqVX5DG7zRUe5bhO/WqCroivmj8pkRD6pJyFhLTVUDb5TTh
pEhDUXmtCloKr0BXPa+5QIGGsO/6786EvIIsneZhqjwNTZ0TVps0qAaHwYBo
f1kakvV/2jueXwMhDX/kMqRpyDek58BYSh0E07NsBkRpqO6zXeZYWx14Cc0w
xHBv2tMowflVBwPFB/p2iNBQ1feiLo79G8j422LwvBANiTOiXCaE6kH2oqrF
BB8N/WNHuTjt0gAXerXuRi1iqFP1Wcm8ShPo3XM2ejiKIbVIedkF2yZQ9twt
cHsEQ0EDzNCF4CYQkej9PXQYQ0qPL5n9/NAEBdtKr9O/YshLit6xGNEMkk2M
YgE2hkRW1k79GnoHnLKcPIFuDCUwXkjxt7fC50ynyMZaDEmHGzfeG24Fm6VS
zzuvMRSd8DpMZaUVZmVWXlFrMBTZ8m7cXK0N3jEZpR1VGPLeNfDmTmgbhMXF
sWrLMIT4xIPktr8HyiPWIj0XQ5zYI4O7I9ohsaGr6ehDDLnmseMb49uh+Pa5
xOk4DPW/dbOl57QDafZH/6VY/N6Vsy9DP7dDoe67oiQmhqqcI2PrtDvgUX5+
UsMdDMVoZVsd7u0ANTY7qDUcQ0b1pMIz+p3wiyXAzPPAPaRw+sOhTsB0k3dO
uePmJ6sYunZCwsfa5T/cMGRodJEpzOyEczPNax+fxJBBDt+FRzOdsFhgsNOT
jqE9sfz6bzO7YG1I4NWcgxjScxcs3abcDSGh4y+7NTGkJSpa0SPBApZUnUPu
mCNKDb9Wlr+NBf0FlpzEEUckxxV7cc2IBSc4IyM3vzkisR9rine5s2DcJXmr
04AjGhqQyr1VyYJTTJe7Pz85ovhK+ZS9Xj1Q6e/izmpwRAJ++rceve0FPb0W
W59URzTmk5+lWdMH2RQPNzbmiBhUSp5XyQD8GN+gFPXEAQnflLD+kvgVsjdK
je5o+QsFxawqcbAfARvbo8d6pv9ECWtOHqaacsBwn5LUwFd7dN9+uPywwCTw
H+H3zuo4jLoC7b/UdE9B2iTdpCfHDu0W+hYgZz0DRj1CD2cwKhK5cPvvwIzv
UFBxgpUoaIvU5b/GbFSZgw2jXsEh04fQkfOspZYHP0CgckBxe7ElWs4brr8+
PQ8yY4eE310zR9OqKdkR7j+hk1N2FxtFiBrpt3y5bhHWg7w8OkZGq2QXnV6T
l8Gr1kyUXWKAWo5ulpYt+gWKXe89+wJ0EN816g7/dVz4pHjaQ0tIBd3ctiUJ
k+FCUqttmmSlMpJ+PSKxV44LZa72KRx/ZaTODZvhU+OCd/GT5SucrYh6Prvw
BnBBZyW/kt6uhJJPiBslnuFCiktIe3iiAkIGdeZ1zVwYHBnVHjy5Ab3rii5N
b+cC/4vDW3M+yCCH80fUb3RzgemuJX16vwzyzJldbTOE53caar1Ql0bMbVtb
upe5kJ+UHJE8JYV8V1U9/7GeRNYV55z2/L4W7f6oMvBtA4n805hduePDGrSS
emNz92YS2SL6Z0xnkTi6iv66WaZIIv+yyVNtCRBDCaETp8M0SOTF1RcfeK0I
oddzstpipiRy1rlao3nBRYrD1CGfhv0k8s2qvYaGY/MUzmhY/lULEnmXbZto
S8cc5T99g7tEbEjkM5+C140/m6akf5L2q6Pi+RfUGg/VSYrRB/OSCHsS+Zqf
0nLC8ijFufFfA0EaicxyPtg29JRNWXjdG1hzhES+FxB4fmGcRblZKVFx6TiJ
bCXzNNPtXgdF4YXJCvkkifzN5ISWjnc9paDgnDGfK4ncTNOTdO7Lophnp4ZV
uZPIpP8X69nHV6GnCHv/IyZg7EVYINEIrXgTvh/nFVHhS1g9Jqku6AJh6jXB
A0uBhJN9mw4uRBI2Maf/NZNAuNPkdmxuImGPvVXd3smE7+oo0yfTCPfLco5z
8giHTQd6fK0nXBn/MPjTLOGs966TN+YJJ4jpnNi7SNj/73qUxCWshc2tdhXj
4zlpo3X8tDzhsFj+YlFLwuT7jCm9J4QnMn/z3knn59m2tEopT0yA5y99B9it
bwjPHVWqD7woyPOrVqH+dE0hnouPvhK+MErYue/Ksdo4YZ7jSh71JpmK8Lzw
7w0PWZIoz2uYl9U2ZRE+GGc/V+yximdKtPZs1yYxYv8X+sbLbwh7WBy3bL20
mueGdK+cx9riPNtttVdaM0nYefb6C5Fna3jeXvo24vKfa3neEj945Inkbzy/
8RJlQDXhpaa9zbv0JXhO9z7p+TCGsPbttSrVY4S94tdb7h8n/DxV9mzTBGGl
SvWKzmnCklNm9mPzhGdtQyP+I7iO56L1U0OusoRnFOdXc+QIa2quaJ+VJ5xq
Jh4SqET4gZ+qdJQqYf/u42aluoQLhtw89+kRnpr2ulujT5ghFtzbbEAYM4y7
wAbC9/cnJbiZEH5vl1bNoRC28CxcO29GONK/XDfInHD15RqMz4LwSlRjWKQl
YcNHbamrDxL+L4qN410=
          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 18},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -119.58957682310464`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}]}, {InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF1nk01c3/AHCu/RJ34Sb7kiX1lDVbMR/e0aN4KEslkiUtsqWNsmdJyZZs
SSmVVBKiBdmJsoXHnv0hW2R37/f+zvmdPvPPnNeZOTPvmXnPOW9pR49DLgQW
FpZTrCws/9eLkY9zbokM1TeIhe2Wt0jgcmx+3aHdERlpKPVYMf3S9POEZrs3
eiizOesY04rT3Db62DW0fyd3pCPTFsbPTsq2ByM/3vXQ80xHb27Y/DQqHF04
MJ/sx3TD2EyjEnYLVdjN1tximr2Hx8DGLwYdiFnif8i0bKWo+Jb2OPSRX8Cj
iGmDnL+Wu5TvorAhvfEWph0S9FvTou6hvsUY31mmA65ZvLIfTUYnBMjy5Nsk
SHd2ipTC0hBHS8OEOtOfDl50HkxNR9Ty1lpbpt1TKiQP+WUgBtIsu8H0reDv
q9T2Ryi93nFtkOnUS/bjPmyPkeKctT4tmgTZZ8e+f1d+go70MdIOMl13aCX3
XtRTJNvR86Sc6U6j4PTlomdoaOGABeEOCcZ1eG8dHX2OrtJHaPuY5pQVdxXF
ctCOWLm5VqZpm7Msr7m/RMcUhDilYkggx7vLoDf1FYqrqNDwYPrR1Yzof/xy
UV415ygtlgRlJ/POkNvzkNsWpTtRcSSo7b408NntLdo8RAyYZfqbla6NN1s+
2ruwI+pIPAn6/q6EVuUCFFe1ZUUlgQQbKu2Sd6PeocwYTJWYyLzvnJTEfTJF
qL6znhjBNJ/8iU2LRUXIUCKGleceCcRExletR4uRSd+MiWASCXQIq9+FsY9o
fsrayjyF+R7XSg7WdXxEpEccimNMmywGV1x1/4TsNjuLBqWS4OgE75uu1BJ0
WD/apSSNBHv+4zcy8ytDLpIJsfYPSHCsWUqa1F6O3myLTdd4QoJqU9/aEoUK
JBhCeyeQRQKV+laP81cr0KZo+dApprkrwkrqxSpRYJqBXv4zEhTm/7S94VSF
DDpCDN1zSEBNKkpcna1B/O9rZe/mk8BfkKL33KAW2TmZNWcXkGAi5tyITUIt
upjPqVdZSILySAn1As06NHpA+AihmASefqHNHv71qK//3uMXn5j5aW/ON8Lb
iGpsz2rk15BAq/v523i7RiTjKHqbs44EmTZstgavGxGXp+ab4/Uk8DUvfP7g
0FdkvEvRUbCR+R8MxIyPJX9DXeWNAW9amPtRFspcqc2o+B8v38w+Ekgulq71
ZLQiWvVQ6PkVEqj7CvkwqltRqty+BLE1Euynn/0pPdWKHkSakr6tk8Cbk9Z7
SrsNHRO2OKTHQoZqmlvJbHMbKqmJEzHiIoObpnAQO1s76k5gfbomRIaiK56c
O1w6UQn9cxDnbjI0rlf5m0UxfS4GyWmRYTBQdMnzTSc6QXWKMdYhA29k9VjB
RidKmEbjiXpksE8Wq9NP/BdFaKbddzAmA/v72qjDNV1ogmPy4MOjZDBfkyL7
betFosPJJsOBZNg9pMPTZ9aLLuisGJ8LIYPoF0tWzKcXtXNM9/2+QYbRlIg5
ztJetC3vbL9QFBn8dGab4yz70H+1G4eD7pIh62ppXHZAP5oOVrDnekEG+tpO
4tTEAPLS3UHu7iTD3IxuWPrGAPq9Z8mgs5sMw0P7CeakH+isai32bx8Z6r44
ruZp/ED2vSkvR4fJkJCaOHEl8AfamXDRc9ccGZR06fXstEFkc79Q35dIASvf
xigxbAjtEywMICAKyOh1PnKyGkL0tfjMWkMKTLMOFWefGUKtzdw3440pEBG5
PKYVN4RiiDnPNf+hwPskWbAaGkLFSX5BxfYUkHp3df32jWFU+iCPP8ufAhPz
cucZdSOIbpKUvqecAoXvlEON+kaQOe2lw8NqCoT46abe/jWC5PibgPcLBcTY
LOpERUeR+i56wHQrBf6hXJPTchtFX7J1xOZHKJCv3NLryT+GPnLYfl0iUsH/
vL/Z4KFxZKIsoMF1lAo6Cb1LX13GEU+Xr3SZHRUW3+95+OHKOFp1dB277kgF
d+61+YT0cVTnr8vH7UaFE5mXk40nxpGPHx/FJoAK6F/P4Zyg/1CRWHLfYBYV
CPucfC/nTqANdeHJ2hUqlJwrl3WumECb5HackmVQwTdOutG8fQKFdMoohLAL
wq/+fkml9QkUVh8aeUhAEIZ8j1f1GE+isduNWipyglCZa0Uy6J9EoSvsSXMW
ghAmtj+Lj38KXbheaJ31WhDEqE8momWm0LMYHm71QkHI4yHsImtOoRPDXoG1
HwWhb/HDOyGHKbQ7Yqybo14QdjfvqpPIm0IOiZNtLcOCMHZj809l62m0ZGqU
9V5UCPbPjKpYpc8gwi8r3YloIegbMbzUkTeDlnib6mwThcCnJ+P90ZoZpCxR
0NV2Xwgy6o4Z2s/OIDPrqPu9OUKwbuGarSY9i5r0xOxNvgiB5Y7uD3suzKLy
lhMPE3lowPGjvM9s8xxS/zpE3H6LBnBxUMpBeg4lJ2W89U6gQSgPwclr+xyS
/3zgQnkaDQiq2Fi8/hxKW1mz9H1JA3pw6Uyn6xxqWFe6cPAbDZa3fmRxKppD
o0duh90Q3AyTpwtkLh/9ha4acoREPdkMzbNPTz1InUeTxeNpB4aEIaJwzovt
yTwq2yi+LjclDHrXdK+7vppHF3Lv7OdeEoYcrm/xuz7PIxGZ+U/jxC0QIbFY
Vjo6jyLKZGk0tS2ADoLogMoC8jO9J6Z0Ywu8fjrwTap2ATE8Rc9dVhaBU+eV
ukObF9A+L4mBAF0REFPzGR3vWkCC+866xhmJwM0Sro3cqQUk5DT1/ftx5vzv
O5Uw6m9UebrZqiNSBCTYroeetP+NFP9qyZoYEYHb9lu0Hy38RuoX3vruzxIF
Zb5BcjP9N0ovO+FX/FYU2oqzJxjciyjgU9OM5mdREBPak2YnvohOmz/2sOsR
hZwv9gxho0Vk9DDd+yBVDBq0HlfdubeIvjY6SNWGiAGRuuvQdZ0lJFefqPrc
QxxelS0p5cASqjldXDrmLw6H3MvYus2WkOCTxQ6NaHFIqbMo0HJaQgleSb9Z
XorDtkAf4YWoJXRmuJXFalIc9k8V953tXUL1jOACjnMSEF4D544ELiNFG1U7
8cuS8ChLc1NX5DJyedMWZRouCSU3lF7bxi8jbx2N+7fvScKiIWnePmsZ+eyL
KNpbJAnOZd2+Lg3L6FmUX/ebFUkwKPa+6S28gtofPdoeri8F69kZz2/lrqBd
KkNOvl+kQPhm/AH+9yvI0mUnFtkmBWpnwqbuVKwgwYy9cw97peCsgptKfPsK
6n/zRmRuRgr+zdQsTl5fQQzvg+3cQtJQmPa1Nmv/Kqppc6lTPikNXtHrY2UD
q+h0cOllToIMBIYNPKdMrKLkzv4sIz4ZiPGvPOc8zxwn/qUUT5OBXPdbM1yc
a4g3yi/FYrsMzJqJLZltX0PvHvkqu1rJgLvAHs7ei2vI7YV3LX+ODJyL8du6
QlxHLMAVruwsC74RJ0ZNBNfRJ90FHk1PWbgZaPgsTXwd/VV2ldPsmixke/Lu
QMrraFlYjvQqQRYmzFPVwq3W0eHglYrmClk4Tf5gIJSxjna+ydiWK7sVXOJW
HVQ0NpD0SafLOr+2gqO33ayp/gbK2c7yhZ9VDuwPlQWc/XsDKd2lfGQhycER
Slh6pt0GEkvLeaW/Uw4OxpF7hMI2kIC28qq2mxyoxinarLZvINdE7cMvpuVg
l3fUKO3HBhJO5TZ8xJCDHYemL6pNbiDnkEWRzyR5kKPkJ7gxNtBKrkDiVTV5
EI7Tb+lToKMmJKv901ce6LHWphVX6Oh2UvSDNIoCrHkV9/QH05G9se6ZK/IK
sGwh5rZ+i45KXaw/3NRRgDny4E2Nh3R0tKzjqo2TAgzHnq99WkdHIXO9D/Le
KcAPryabylY6mvOw/ujUqAB9FmpjA710RFe6o201pAAd5BUOkV90JHH/8Sxd
QBHa5mzv7l6nIzN2Qcp7eUVoai7ZepiTgbp2mDt/2KsI9bGhhrdEGCjf3WM8
0U0RarzGWp5tZSD/HxoOPqGKUGlh4li1k4GaKLl309MUoUzl5dwPLQbCxg8L
7s1QhE9kUhDdgIEeUX37ukMU4f2cN0nUlIEizWVfNbkqQmHz9weaNgxUczJA
QOSgIuTGppZ4nmOgv+5/nX8spAgvveimty8y0LtM87qhVQXItjjZ+zyA6bPP
27wGFOAxWWF9MJ6BDL9YPL6UowD3YvO0rT4y19/U30rYrwB8mfpxlVUMtPPF
6LFhVQUIzG+YUPvGQC+OJZgdk1SAsx2jqZRBBkqbte7oXJaH9OhNjDE2FqzH
sseX45U8eLZhJ59sY8Gq3suG20jJg6BDtpzURRas+nBXdoakHHwdn23uuMqC
9Tot5dxl5k+El6b/HX8W7FzQ2JUnzPzaCK5sp4ezYBbBoY7U4a0w+qQvvDeF
Bbv33eqlSPZWKJqkTKSUsWAXRQnvPXS2wvHLfq+E+FgxDepTh2NnZGGTT9Bn
VTIrNhQ0oFhpKwslnuFt/9BYMS77gjN6ZrIgeTZ+NVKKFdPacPjqqCYLg8df
GNHVWTF19oQGB7oMnDbo7hu1Y8Vs3g2XDyXKgM8mXYGi16wYla/OX71RGqIy
Vz2OHSZgsXGTOl92S0HhjpW4E0cIWE+fT92kkhQMFCwVONsRsLFSWbKQpBTs
rl1Yc3clYHPbK14FcUnB4M/p8BA/AuYw4ZkX+kYStHYPPcjJJGDjM8cDC1ck
YKT2yzf6PAFTFGiRu5IoDvrTabsyE9iw6rQTxmN0EZCPUX5nkcyG3fn5K+Ly
TxHgU63UY0lnw6gm53YLdolA18VJU7unbFhptVOud4EI+Gxou21+z4Yt5x6S
qXATgWy+jmdR/WxYe1ulcnbvFhDaTpbxUWLH+FKmn1rWCsOk6w3BfWXs2Mm9
gaXWpTSovd5JOFrFjrmENfe4v6JBVvz2Obd6dsw/WFI3/j4NHEqbGxPa2LG/
jqwnslyjQRtNInx4nB07+OxTq5s2DUqqCldCyByYdJ9VSUihEMTIjveVO3Jg
HaqeEkHFzPqi3+Q54uDEoq9y3Hk1QIFvm9TWN3g4saneYWIYsz47vUf0nw/8
nNhlr1tup5j1XEry5IKGMCd2XzW5DsuhAP3wLbR9OyfWk+Fv5HiFAjW1jR1C
FpyY8+SI9j4KBY7kmXNOpnFirtb2588dJMPVG9ZOd9W5MKG9F40U8gSAW5Eu
VqTNhY1OPk0WThGApPon7V16XNgB7+pM0WABKBL4/bfU31zY0+u22daHBGAx
OV75hR0XdtRQS+bBPD94v2raKAvjwpKOvhh31+Zn/g+TpJ+dXNiHwUK1gmY+
sN2m32h4nRvDUsup1qpEcD7Sn2gWzI2FPzf7lS9BBPfwAIej4dxYqj6btAwv
EYJHSufdY7mx7JbbxgrDPPDsIRJJecKNDWsZPe1O5IGFLQaus43cGE1bXnac
zg3RxH2s9yV4sPvBlzb0/+WC8kkTjcVSHuy/v82KO/M5IEIt0Cm7kgerUZD3
SnnCAaZ+BbH2dTwYdU7g4alEDugkSk1Xt/Bgez4yTCWucMD0tt9Z90Z4sAuM
GEniHg4QOf1AWJuXiNlh6XWNVezgPTy/5mdNxDJy39p0DLCB1o5tSsq2RKxJ
uBnrbmGDjQv2R4ZPELGP1/RaxyvZIIKtLv/gGSK2WsvaKvWcDdJl0s+LXyNi
19J9hdm92aDeYX9/yUMiFgj7dsdxsEHMs+ubLmQRMZfz7zl3LhPAajZPV+EF
EXN3XhRpnSDAQIB40p18IrbTwm9Rq4kAi+m/zB1qiNizRw+avFMJ8HFUIUCw
gYiNKtJoR6IJELTT7mVtEzP+3G0eRkEE4Cup4VHpImIa5OOg50qAZo4NzZE+
IobupecbHyNAoqnqqeQhItbvVSV1zJQA0r1p5axTROymjMr3ZDUC9CTF2oj+
ImL5A9HEt3IESLIM+6m+RMTO/DJ6276ZAJYkvyCzdSJG1Z2oYScSgNTgQTvN
youx/H9rCHd+EcSJO8LwKErlxc3yweDsVyHcHy9pMsZEcF9R3ZHAKoV79rlQ
iboS7oGkcXKqHu40y96sfEPcR0gtul/3424K/+DCehh32aXoYldX3BmW6ifV
Y3AfJ21bNL2LW7hBPMo1BXeMIVdBymPcgapd3KzFuB1IgbmNP3BLNnxhnFLj
++PEDKuVbVq4+S/2//q5BzddfH7E2wh3n4dIg/9R3GnUM0mJAbhFbDlVqr/g
FppAjnLOm/B45f8tH4vm/+NsB7NWtlYBfP3h0NCPgaQ/1hS2WMrcSv7jlq6d
Z25X4f4v//X5TFsKfr+bJE1O0XGr+asUWyVS/7jzupWC8XbBPzZddz0/0oBb
L07cKNdJCD9/1udFBS7aH+u0cus0PMBdFH3ymrfG5j/mrHuWWNWBu0kk3nCf
h/Afn5k8V+tF3fLH+w5YH8zIx32/fMhxzUTkjyuLTliwTeN2rfZv0QwTxeN3
en3IXVTsjwkBX7MtPuFWy4u5e9JS/I9zeEtF2W1wy7tMPcw6iltY2OTVpD1u
+nW2motncNf+fWk50h+3/Q9b27xnuDt0bv6wfIHbPKHIdeklbkNjIZ89b3Er
vvx6q/oT7vkrWElXC263Fg+4/h336Pb0eslO3J19q+3OvbhLIH9megy3Zvrg
xdgJ3LlLpHW1KdyZ2ee5r/7CLcaeFi36G3eiXb1gyRJugXfLKQ6ruCNICtJs
G7j/B/LIFQo=
          "]]}, 
        {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJwV1nk0Fc4XAHCe/dne5llfRCKVZEmWmDETJURoExGlEqJUKKVkScmWbKGU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          "]]}, 
        {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
         Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nk0Fc4XAPBne3Z59u1lfw8hskWWGTNRikSlEiFSWUIpUipkrywtwtcS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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 18},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -358.76873046931394`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxN2nk0VV/YOHBDZda9XPM8SxERRb7tug9poJQMKaRIhZS5IkSEFDKlFKkk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          "]]}, 
        {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJwtm3k4Vd/3x6/5GtK95nkeKyKiNO3z2ZuUDE2EklRSoQyZKhkSRZkyRYoo
qRAhQucYypAxmZV5Hq/pmn++z/P76zyv56y9zzprvddZa/9xpG1unbrKSCKR
pJhIpP9dQZIjg2cGJ2FkEN88ec4Oiuvy75dK5yTC+neeJ3nawZWRb7d/pnIS
nEcKGlCcHcxVY+/hf7llr/Kg9UqHHdyBvynJDuYkQlREujkuXof8/9ruTthx
EtXXUwYOOt+AY2Jw8aIsJ0E/2GP3q9QeVuKjKmySnEQqz47SulF7mHol7GqG
CCdRo1S/yU11gNYfu5vXqJzEH+2xluPWDvDPAY+cOBInYVZuPPyNwRHiFp9u
/+7mICIMnv0cNLkFo2IFx/ViOYj03ZbCNVQnSHNsCgqL5CBEf0K+lzudoJHu
U4WOZxwEt06zYYKuE2SlMdo4BHAQBgETLbJeTtDDYKot0pmDiMFsuq0HnaDF
RvmPnhMcxN2PDFO95c5Q4opzshcDB/Gz6UTM63RX6KWjAsrX2Ik9Gmrp9dWu
sIUy0r2Nzk7Y6y9p7ht3haHFF4STptgJWW3nW/m77kCS4LGwn53sBFf5txav
7Duwr0rSmy+PnaCvL9rcrXKDb3fXmmfcYCfGM6SfVih5wvwQ19GjtuwE23rS
rYtGnrByVNSz9xI7UZLRILHf1ROOv7kRy2fOTtR/lcn7hHtCNSFyq9dRduJT
GF9J2nkv+I0EzxyVYycctfBGk6S7sKHxq1FPN5nwNtdwm7b2hr2q1n8928nE
a3UVX7dQb0gLZnPk/UMmnp5/+82wxBvy65k+1ftFJphH+7ZPiz2AFoVzNR8L
yUT/rvL32/4+gAPJqsc8Y8iEk4w6s/RXH7jskgJ5TpIJ/jNj/3zs/WDGgZlx
4gSZOFMr8bghyA/aMB187qRPJvhi/QtNUv1gdcTvgYYjZOLIULnQwF8/mPCZ
8VGoKpmIcbiUYH3GHx6etq7k4iIT5TdFCYZjD6H/DXFDtp9shBGQyAy3fAT3
7bm+kFe6xdrxFh+8H8GJ5S8vbUvYCJlx/w2G5EfwzOMTUxW5bMRK8MTMtdFH
UCHtbujDFDYiAenSZe4GwsrB9kYGPzZCErjLFKUHwW2Xok3XDrIRGV/Do/4e
CobAcvGK0T42Yu3X7wFth2DoetbU5bUGG1H8IfPxeEIw7DgmEIZ2sBFXa+5/
uLIeDN/tia4KEWQj7iWPPcwuDYEYc/RBcRorUaKoqHb54jPourFw/NYkK6E4
nbm78PkzmEY/a06MsBJaP9Uj3KufQe5Jfrer/1gJvoaVQiXtUNj5Jyrz068t
dsusLuYIg3feRckcfsdKFDsY3jKZC4NpSQtqYcmsxK2/2ocvUcNhV/zZI30v
WYmeGV+hj7vD4X9h/OcfPWclCmp0Kmbtw+F2z6ioOl9WYr9QNvfxsXD4/ngU
+eJ5VkL/8A3qi5kI2D35fOoBlZVQMS7VNNgdBX849k5Jb2MlBvNz0plOR8GM
aZXpMjIrIfWAQ37dLQp6z/6YZiOxEmwcSny536Og1AJ9JnSKhUhdnAnROxMN
bdbOz72qYSH+cPx4Zv0kBg5xyNO/B7AQXyNMzXeovoB1wU70S74sBBv7zVxm
yxcwj6uEznSfhTDMmL2qHvQCBnKbLR91ZSHWbgdqPex/AZV4Hq/U22zZH9y+
JJUYD28IT679O8JCPF79RauQfQmnFXMZSCvMxCUDk/lvOq+haSe/HVpgJryX
7L6YmL+GJc/c6oJmmIkCL89iGY/XMGRBO546zExo1nmk+OS9hkplhZqyzcyE
LpvYH3WtJGhjhV/Ty2AmBmpCPnVjybCKKl335D0z8QdQnR9eSYZqFb6a9SnM
xC5Nxr7bgclwcydkOBfPTOiYnWMSr0uGCcsVL64HMRN0H+WjTVZvYMvzmtoQ
G2YipcgqWvNZCjykv0uz8QIzoUdLm7ibmwJTVkNe8JszE07sC3d4ulOgi43R
tURjZkKLRzZzt0oqpKg1krIOMhMdO2wHDjamwuM1LRq/BZiJPRWTHPuU38Fi
hr444RomYqWbhfm9eDqslBwWcv3BRISx1r8Fxumw6dBETB3BROzTFhjQ8U2H
Q56LUf5fmYiYIT4Di6F0yE3jiJhMZSLaM/9MWOR+gNZ9Gk8IHyaCVrrjl/C1
T/AGaT+72D0mAv/aX37g1SfoKnE4yM2diXhttxlQ2/oJPrbQf7TTkYlQTz48
DI9nwOym835RlkxETZKGepRmJmQuC/C6rsVERH8Spf4KzYLcvU+Wy9SZiHvi
MwwRmVlQaDPUQ0KFiUh4a2UQU58FVQ68cPsty0RkmawOXqJ8hqY5Gc6HqExE
xyjpMkvUZ5j2pvUGdYKRUPUx4VlJz4YnHipbFiQxEt+Lgq64bcuFnMqivy6/
ZCT2Om5GOmvkwuparkPccYwEF3f4nVzzXHhMcEbichgj8fPmCyvqu1yol57X
x/WAkWC27r+uppsHQQO8YX2ekfirsivGPzQfaopZebIJMhJhho/1Xa0L4Rxu
PPaZh5EYYP1XeS6sEGZfxSzPczMS9KNdVtF4IVTPlDv0mYWR2J9Buygp8w2q
/jdOspxnIIyPWTPfHf0Glew8gjIaGQhvpCQ//bgYin+JiDkbwkDsvyAyYhWM
w/PBsY7JgQyEVidJVewjDl/YJOpO+zEQseEXLorW4lCAmj4X5MlA3AruDO/d
TkBuR8K4yJaBOP/wfXV8LAFJSjNsstjW85KYvI/kl8LDmwt/bx1kIGrM2yQs
u0rhvZbV3CJtBkLapu4swVAGlx+yXTFVZSAWcpz+3DIsg7ReCfyxKAMxQtZ/
eHWkDA7EG3rMLJCItCKjSB2VCijjctr40CyJkFxiUj9qVgGtj5srPJkgEd5/
vsul+VbAbvqVZtl+EmF0Q+Ld9dYK2HL2nppZA4kwcUx+vP7oB/y5/cNIcTqJ
cNOxu0Va+gnT/cnmwRdJhL7OtKmrZA182bsirWRJIrTlAiZ+nayBYUcmx8pN
SYT6kqGO/8Ma6L7aeG/DkEQ8CrF8xzleA5FL/GungySCiz0/NbHoF/xrozpi
Jkwidma6rVxzroOyD9Om9N9u4hOGe2brBBohB3jq4/dyE7+csnfokVYjnFl1
4il6vomTbt/y8zRthEUuB7R2+2/io9s0zlJiGqHp5br7/NabeCz9OSdFtAk+
+W+eq094E/c8K2+Qr/ob0khg592nG3hxsJtMZeAfKBHhMNXzcAN/ZETDBzL+
QAPZ+M969zbwqI1fuUdb/sAU3UVtnpsb+LTc9Sd98i3Q9MlH9F5/A79GVrvk
WdkCC3mFrVqZNvD074ftX4i2QT8FWpiG1zquE/hN8/h6B8zIlzwT57SO76mW
E1NR7YSd+oaCm3bruNPjbMVrFzuh5s20l9Vm6/jiTcPNvtJOOJRplX5p7zo+
laanzvGsCx7fX1MWOrOGH33pXvFy719IPZGyOG67hrs5F5jIDvfAg/+tBERf
WMO5szT8dci90HafCT92Zg0fYckXDVfuhYVyaxrR2JY9/xHjDfteeGX9tBMQ
W8NLp7sTBxd7YV4G08TzxlW8xem280nBftiTYn73SOUq7lNEFog52A854zM5
xkpW8Qe2CiWyNv3QOtBS+cjHVbw0LlKKL6Mfslvn2I4+WsXTVqQfXDw2AM9T
L/ceOriKn95uTRV4NggfsRXcHtmzis+r51twfB2En9e5SZHKq/ijL3IyRn2D
kHWsUGJEYBU/0tFx/Yf2EMws5TkfMbuC+3N+r3w8NAQZXUtbht6u4BdW3lj9
PT0C01qkf4VSV/DTH3mi2J3H4cEOkyMd5BV8tkx2W+CbcdjY/SBbjrSCD/oY
sVr+GYcrA92xBVPL+DkziWKyzgQ8MRd3tb9mGZetKtIOZpuE09t5NrUeLePd
rM0oM2cKah1j3PN3hY6/VPnRYrVjFlafUE9VotHxZuO9V0SOzcKLJtZCLqN0
PC7Kw+qU8CycPx0aXNxDxz/9sjltqT0Lg8xKNtja6PiC9Msd0WdnoZjlpNOp
ejpeym20m8l1Fn62EhtM+EHHRTs3PiZHzMKOq1416rl0PJXNDXo1zELH6+8P
3/tIx133YwvZ07OQyaHt8483dPxbr8Apye00uMtVK9Yygo4PtAP43IgG7/vR
rgTcouMyMv7RS/U0yPNIuq3elo5zpvM/b5mhwbePTQxErOi4R6R6/zh1DtaF
ZahnnqDjT8pMdxeemYNSr25stCnT8ZyvxTZTXXOw/FtfzK6BJVyUcH+/vjQP
TeV0Wr91LOFXJlT73CQX4EhIuIBB4xKup2fYu/foAtxmBaKulyzhx9Ompx7F
LEBTUmLE29gl3Ph7/TPfA4twFJk/lTJcwsX/mokeCl+C3HX1fnx5i/jxDM8F
HvcV+FpLsfTNx0Xc+D9HknLaCtzzyptB480izqacOxrZvgLNbqv4nAxbxK29
Hl++cWgVvuYJvv/sxiK+WmzupMS+BjXM9DzIkos44xMJtYuf1+G5niKHtcAF
PCPfsPZoCgmpSVz4m++9gMse+tgvWEpC5PPrRi53FvCPU/y3hXtIqKD1kNqY
zQI+7yRGzRZjQCL1JbTWQwv41JPI51gsA+ouxt1z5ubxF9fJmdJxjMgmvtz3
xsV5vNB5MGW5jBnptF+hyZvO48zKyaqhI8yIV5Dlcu+Jedwz/auo9TYWVB6h
i87pzOPO1FjPXDMWJP/kB6se/zyu6HiySXuaBY14VAZL18zhTfmPmEeV2ZCD
6a+oNq05HBhmvYprYEdZSbpjGqpz+CWFnFb9FXZEmyg5HCo/h5/T3TG+V44D
ufl/Htblm8Nb5b9MV3twIJ+s6P05szTc57xszKgcJ3rOcan76Ucazt86K4ce
c6HCkgU5KEPDC33Fr/59uB2tsd/yTBSm4UtLOs9pedvRkbMjtcsUGs5ZETFm
PLodlY93uGVtzuLSmm21LooUVCuEV4p3z+KxZl/Sa59RUI/zE3t6zCyuKf2h
Ku8KFbEpSn75tG0WD9zzX9RHVV6k34o3GzLP4tvHIzcOGvOioECbhcmVGXzG
hd2BdJsXkUdStVRHZvCcxo1g6WxexPF+V0FG6QzO0e1p+mcfH+LaqVOS6T6D
k2rGLI+Z8CMpq/Swy2XTOKNONtvie0H0umSy8U3WNM7F+eD900ZBJC2pzjvw
chrv2NEme3lZEMn05Edd8ZjGh24/lKs6JoTkbCpeXFWZxj/J6QqHTAohZdue
lGsxUzj+Q1fqKCaC9jgKFNy8OYmbvOdrihYTR4GjnKXj5pP4hJvjMd9j4qjr
CkPNTf1JnH8yoUHfTRwFWE503ZSfxLX9P721rhdHbfqlJPt/E7hK7DJD8kMJ
5C3rqG9/egIP4Tl36e6aJPqdePnkBDaB/+5qsrETkEJKIuYW9moTOHe69sY3
VSnUSEH29tsm8McrymK9F6WQ3IZwmP3PcfzlmPZFnXIpVNVW0Wp/YBw/MetR
To+SRhJnvvVMKI/jPX1zxeKfpZFzfdaovdA4Xni/WePuL2kk9iN+1X5hDIeS
MGCASQY55jhJOmSO4WJTRo5Rd2QQ3zPxaw6yYzjro0fpBVdl0XV23tuT1DE8
Vv5fEiVAFpU8JHs6kMZwo/ihcztTZNG1u3NPHLpH8YI8d8alPllUaFeV4RAz
iqeVslATr8gha3hn0YFzFL/mT1+t8pJHWUHfYtzpI/hVu5TarGR5xFDHsN93
cAQvj72hu7tGHiWfe3b3+feRLf/TeTgkFNCAwzvSN5cR/HhnfNFwjQLSzJlM
KrcewRNK5AidZQUUQNeAdYYjeMg3zWuWiopIwR8P6FUcwUdubVYoPlJEbpWs
iuN8I3iW6oVfg3mK6Oc2w8p5hhE8u7BANnpEEdnFtnOQu4a35ouJl3QjJfS1
W/IjtWoY96mUbif8lRC7rK2haN4wrj419uVDgRKysPs4JfdmGB+jaWeXzSih
9E+0UNWwYXz9m2UmH6GEVmj71Pfd37q/GLGstbXeYN+DJuzGMH60XlqN9agS
mijl5D+LhvFM50g/29+K6CD5VJ6V+jCOu5TIt8UroqeGsWZ2EsO4XNCn4Pyr
iki1Te7FXfoQvi9oj0/wugK6NXlIMvnjEH6G5Y5xPlRA+J6H+Ie4Ibx7h/ap
VyIKiOJRfSn30RBe167wwZ22FW9Gs5RK6yH89HeLkN8p8ogmeFt5mm8Iv7Gy
clufVx79dyGvms4whNeufS77PiOHIpPXbjJOD+Kzcz4xQ3VySFPlcQZ/1SBO
v49NKT2VQ27/JWscvD+IN1xi2ddBkUM/AkeadW8M4oT8uRPyc7JIsFbVzdhs
EA/ctxJL+yOLvpp9+2qjPojns7upM7yURSv2zYceDw7gAYPXaK5qssg7hlW/
xXAA9xv4W2l9XQZZBP412HdgAK9XEPxmfkoGabvnGb9QGsBptKQ3MQdk0Iyp
rZkV0wDOYTCx0Motg2wEftgOfe3HnY/xr8h/lUZ6UQEBi7L9eHuhHucCuzSS
Cbjw+By1Hy/gujZ1d14KbbrufVq40YfTfqiMaf6TQl/PDD73bu/DPXkrvurk
SqEdfLoprKF9+KpJw6GAy1KIO5K5TGClFy/cZnJFO1wSjfl1/fAY7sVLij97
M9hLop/OX6o7mntxwSMR5RJHJZHPqStNiZm9uNb5koPGGxKIRi3vVbjai3MV
0t7dui2BWsL8SdoNPfiLDgO2ZRtxdECc5V7GiX/4lxuzNvP3RFHCHmFemvI/
nIg3b3hlI4o2jqqk72X7h+etFNs+0BdFuPPZtiLiL/6KLUSpnU8U6VWmatZo
/cU9NdmFxjJFkImL3uSwVDcuu2xUKjktjLKDLB7u3OjCjRPiD7W1CiPeREfR
W51dOF/jGEsJLoxaKqOPLUZ14c+mWpa3RwojS4nhVGbOLvzVE27xsv3CyLYq
0Ep6oQOX/O1TJhgqhH7+jV+40tSBX1TV2O3lJYSU5jND0jI78EuNR68y2wqh
cYm2wt03OvDU8rjFZ4eE0G1XJcHD/9rxmfKLG95TguiuZFW9RVUbfuN+8dMA
M0EUdocDe/6yBfc8l9j+FAqgUQmcPO7egmdzni5k2yOA/qu804CdasELGq/v
eCslgOZEei9Os7bgcTs94ow3+JEpnu99/PYfXFWQwmn4jR+Jc14tIsFm/PKe
/37nH+BHbl9EHpqJN+NPCm81WOziR3UXGgwyln7j28yeQAlx/q3+eKDT8uNv
fGpk4TXLJh8aOMuzksf/G2ed04m1LOdD6a+/azuMNOIpX5t9q87wIabjdzbL
ShvxUrFj8eeP8qHzczt+irxsxIeuPEvj0uFD2/SiTStPNuIJcobNpZJ86Pa4
/R3Zbw341ASV02+CFznaa9rmiNbjuT8Ec2WCt/pfzOj5ENtqfNrP/8r3Th70
5Kw4536papxPkfGQbhMPCuE9WTDYXoVvP3uat7eSB4WHfuU/YliFrw/57DLL
40EvAgPrZjUq8flHgRStCB700V0emDH8wF3cTpW+NeRBGXvNp5i+VeARmkxJ
N3V5UNZcSEKWawV+cWP7HXiIB+Xemqezj5Tj0t9PJuxU4UEl18o+F9WV4Xee
PzXp3MaDGs0uycokEDjlSZVXShMVNfNHNW6dPHGswKL/aQ0VtfyufHB3O4Fz
GaZ1BZVTUYexWlezH45L1xxQz8mjoh+hG8rbf5fgl1sYD7fGU9HYLZ1tHQ6F
+DaPgsAT16loajzpukZvAW7yJuW63mUqmrvG/iPkTAHeWtHpevICFa1dbPM+
cuArfidfxz/2JBVxm7jNpJDzcKUMuQ8jOlSkoZb9+9abzzib7OM9/hQqiiW9
QyHCn3FWBfPJKM6t9Q3xuWmhWXi4ZuP9fFYqCunn2F22lIE/FNYfV1inoGzb
z3lv09JxNz2OyNwxCtqw36hw4EjGn4l03A2spKDKbSPv3i6+xpuOm//0Lacg
mQtveL9XvMJdzoXveIJTkH7Psfhkt3j8gp4Hd8VXCoocik6/3haBTxTwqfe9
p6DXe7ZH3vtujn+nFQR/3pqPrth5XqxzxsCFwPe0oGAK8jNEnvJxV0G43ekb
jkEUtEOEnMjMfg+YPxf6fsmPgrxJN9TmQSh4tpQjPOpGQR9LLp0hV4aD0YNJ
B3e5UpDI/Wdh0dORYNJYMPmeEwXNLw+Tcw7HAq1uO0Fdewpq9qxdu+P4Gvib
iwy72FAQR3u/yCG/JFA9X3FOypqCsH0r+5ijk8EG5/6W9gsUlLGocCeiOAUo
vSjodDGnoCAXn8kMrvcgvP3dTXiSgkqaojndpNLBLwnRKDNjClpQ/6R8SPMD
oNddS/AwpCCbmfarNZafQO+CvFrvMQpKzBOedvmTBY4fbhwwgBRkGZ34jePm
Z3DTENtMxShIyE02KImUDfp526nbwVb89qpI1+/MAZoHJzm4D1GQCX/25FUi
Bww5RA6/OUBB3AtahWumX8DrnC9p+jpb/n0Bp3f45YLqjJwfJdoUpPe8QpIQ
zAMbTUqiYVoUxOR6fMLsUx6YzDgKb++lIPx0/dep//LBoJHhgYuaW/HVOBMQ
0JYPTg+82TyvQUEHeNtPijl+BTaf+kKu76EgOu2CRA5TAWjvqv33UJ2CXLKv
5feoFoKYyhczw7spSC1iwt+9vBA0mSapqG3xlJOTCbfFNyCwzUUuUJWCPpxc
FEud/gb2zKg3TahQkJ363dEDAUVAN2qX5qUtVqCS8ppEikEM19+jA7soqH/m
od/1rGJgWjvJ4bbFrxvYjUl6JeDem913BbbYKuuZaExnCSC/fBNdsZOCRMN4
R1ScvoPFlTuW/ls8oX3CwoYJB/lSmz+Nt7jm3TNcxQgHSo/KOnZscbpgo8Jy
LA72fHCJ4NvioEDep+X9OIjkmJjk2uJrS2fnQlUJsLF97wTvFutdizW39CRA
7jb/EOUtlmvt+K5QTgBrTa06wy1mPCquQOMuBYbBHVk+W9ybdzGk2LwUlI8q
apZuMa6QTAtKKQWyNIZzPFv+J0YPnDszXQqebvMQc9ri+6yK3yV1ykCkXYXv
3y0+73ZdfvxhGbCcNQmy2IqPztCH4Lz6MiBh9kltcIuFTadmfUXKQQ973F3v
rfjSK9TOGV4tB80HNq4rbMW/Za9LiVBWOTAaoK11bXFuaq7cwEo5eFP6dW+y
GgU956c/ydStAIcvF/O7beXTOUBn1iusAhjIv0g8t5Xvkwv3zPQ6K8Agxtd0
bEsP3H8Y5Lpv/wCpfxvAuS39TCL0JO3bDxBv5elzZ0tfv748mnFh/QnUDINd
krb09/g5ZzFHwk/gmxHvLb+lTztmI9mWoZ/g+lPrhPtb+tVzDXucpF4JLjWJ
eg4cpCDmM/ym+35WgmnJ0Xt/j1BQX5lZERNPFTg6JvvBaas+CI0XMvXnq0BL
xdu3vFv1480rOX2VVgX+auL8D/UoaLlJKShSvAZcrJX+LmxEQY9ak+svXq4B
ZSOvBRlMKIivS0xw1/sawDfO57ywVb9qg5S35Zq/QK1dz0EW0y3/luhlCwa1
IOdiWhJhRUGLq86cpeG1YPGIvw/1EgU9JE2eetZaC3T2dz50vLylR/beXoXL
dcAm9xyPiR0FtYlWbZp51YOHGqEtn50pyFYKHpXD60Hw/qtuN+9QkFeE1VE6
YwOYr1q8tseDgsgxbc/K9RtA0rFt5iP3t/T0+pf4heYGEDevrLTweCv/2V8O
PBtvBEqMYS9iUyjozReni67cTcDSriFwRxoFjeWp+luoNwHeTlOd6g8U5PEt
rVrBvQlsuqpTNXK28lueYP6d8TeQv25770PpVn5aHrrPCDeDEr4rKf8NUBBv
OxbfcrAZrLJ+nMsdoSCLzo2SoovNIDa++JX2JAWN/PNgfZzaDHAVvn22i1v5
GbWPklb/A7yNbsY4sVPRwdUzOaf0W8CLQm52gz1b/eT67bfyji3gtZr9f+L7
qKizNTiOHtkCXG+vaTEcpiKvL6UPEv+1ADHBwucbx6joq4PaiTG3VtCX5cPS
aENFmj2cg76pbcC+1S91IIaKHhoptp2paQOZqyUzHYlU9LvovxrF2Tbw4fM9
qYFUKnKO8/xce7Ad0G4x+u7+QkVZp4bvCze3A3WxG4kfG6loV0WpwGfGTmAn
faTaksKD7mn8ZX+o1AkindYGg4V4UE3S8pqpUScIIFKMG6R40A1vtf61uE5Q
YkG9Fa3Og9K0EzP11buA/nf4WuQMD5JL99TvudgNmNw+jgi/5EHioWpe24v/
gbb8c50lR3jRmTSlNPW+f6B0/Yz+3eO86Ic1Zfw9Uw9wTTHvNjrLi9Y9ycK/
lHpA+9JJ8sGbvMj+I92V4tIDdmeld2jF8qLj1PZdcWy9API77i9d5EVD4n/g
DpFesL9auJmJiQ/57Wi0+LarF6y6l3VabedDBbAqqPtkL4hJ66i/pMSHlNwK
BqQTeoFibHDuK0s+xNoZl5Cu1gfmn/VZSf3kQ8nDUTkHYB+IdJuFXH/40OH5
8OpfZ/tA7143Xb5+PnRn2xP6lFcfmFEftvT83/x3xOuMRkUf6DqprfRyPz8q
TbHgKjLvB/0Dd4vcc/jRfUfRe7V+A8C1giKp/l0AIeurNRLPB0Bgo1F/S70A
4jqVKXI7dQDsXOHeE98jgBL2wgKeygHQ/ytJ14dREBWu3Vg02zYI6uSXdUuP
CqLFJ4W3+2IGwQ4rq3azNkF0+5351aWPQ+C+S6uHD68w2hf35ot+yRDQmrrq
Z68kjDafTDK9qB8ClWds6T6HhNEzR9/kg7QhQJvm9NxlJ4w+7n3/z1d7GPBG
GDZbfxdGo2V0c67SYSCqeGT7wzsiyKYnxki6dQSc/BtiJcAkhlTJ4SyjoyOA
J3iEREiKoZXdT4qy1kbAW48sp7cHxVD4g3s7gMwoOEBFq7LuYgiXuMR60WEU
iGz6tSxPiSHJCztKEpjGgLZR8mDcmDgaeyh754rAGOg2LTuqxymB8j6K7dql
PAaqzD+f0dslgYzWuF98MxoDUdk8j4VuSSDv+Lk7HXFjwObIayYhugTqai9S
EVIbBxwKQ1xULimUxpA38O+/cTAcbRdOSEghV+XM+Hdnx8H5xJ1+L9SlEJdn
Erv23XHQq4XMf5pJoQNCjwbP/hgHR48Eygq/lUIvTI1fRp6fAKflOb1ZDaSR
2e9eru2PJ0Hu33CJ5c8yyKhHaS36xSTocun+9OqHDNKbvDUu8XESRBbd13Pv
lEFabBtVqvWT4M+wQXEpiyziOyASaMQ/BerD997nviCLuPQvubUoTIHnS78/
+bjIIuazaVet9k2BBzo5K9pPZNGcoxZytJwCx2/vuOj7VRY1JZ9ieJY0BVSC
p4KaheRQdWbcDH/OFEj3uq9fri6HiKKefy/Lp8CCHuHLYyCHslocSz4NT4H3
5bkC7d5yKJQj+G6tyjSo7RVgvz8uh044ly1wFU6DPaKB+/i65RF6wDH4vGYa
CNv9PDi/Lo8OhJxsFuueBpnmDfd9JBUQ/+9b5gKkGUBhi577ekUBhZnznuwg
zwDBJPdIlyAFxNWTp59InQFltksnlz4qIObJdW0F2RmQlxPOdpeugHxcknaP
7ZwBjX7/3Q2RVERry0gxQ3MG8EWdE3xyVBF5+IxIOB+aAWruSvX3byuiedYQ
AS29GeBfmiXr/EIR3X66m3vFaAacDM23/a9aEU3w/mYpMZsBYsnf3TnXFZHd
C7d1X+sZIPriH5uSuhLqlxJZ0L0+AzRCO0bf2Cohq3fFE+zOM8Behbv9pYMS
6lC5NFDrNQOYhOyfdAElZPqFuSvcfwY89oob4eBXQk06ab/PhsyA0CzmbIkx
RWREGNQIR81s9Rs/dW5cEVUfnS7tfrn1fsPVGg3Riqj0jFb21cwZ0PCzGL3X
U0Svg07dCliYAT3acd3/pBRQy/5Pe8U3ZsCqh2bPjU15xDXOtvaFdRa070uY
dPorj9wNi4MGBGfBKff/rHpfyiMjHqVkqDMLXtMmBmqk5dF6/Hozw4NZwOHl
sv+BjhyyyEzT8SbTgOrs1/K4SBkUZs3EIEClAdxBVm+3pwz6QbX6+UmYBoy9
7yzQrGSQuivvme4dNCA7rKjHuFMGkfd7Oxw0pIGBEf7LuyukUX7p6dcr4TTg
a/ntHWKQRnwtGyzuonPgzyH70lVlSXRCRp1ULTcHVOa2nVtbkUBbTX1FTHUO
LP/5eljvl8RWviqnSsEceCWu8Tl7qz6btcNbuW3ngF7YkZXWAnEUGSf7/m3W
HNh+/tNpR3MxxHNB/0SL7jyQL+JYrKsQRsffe+kpG8+DvtrWxKhEYeS38BHc
OzcP5ptrzaPdhRHtKXWvzM15ED7qGI92CKOmkg5xx7B5wMnoG3E8QghFSDlM
s3TOA+vmaZnP9oKIOhAesff2AgiMf2ryW58f/ZUZTxvxWAAHSlPKbu7gRx8v
oe/xvgvgTXPipgoXP9L/tzjOELkAVuVLRlUb+JBPh6VuXe4CKPj0G4pZ8KGp
Bnm67eoC6BgoP+d6hxf9Ki64EPtoEeTJ8z1Iq6SiF2s8rgahi4Bk30SmZlKR
3QH7Jxsxi4Bp28fmhCgqYi6QyL/yfhE4ipzzEN86rx744k9R/7UImC2C5os3
t+brdMOyKuoSeC/YdMp6a54LiulVWk1YAl5Xx2b9Pm1D55x4XK6/XQJ5dx34
/nlvQ0oGsLg1cwl0N+wy9jXZhio3Uk5+KV0CRZ3m3tHzXIhsa+flMLIEHv1L
XaMf4UJBmtM1/zToYDM1Ze/xfg50jltKwOgQHVToRpl2fOVASiMm1kV6dNDA
phib/owDVcZnz8ea08GATAcPxwEORGZyEz/1gA6Oz+30KIlmR21db6/hQXTg
XejucdSRHaXltX5WjaCDDfLuym167Ej/xn49zlQ62J98cMlkkYyE0I0wzww6
gNvClGrryGhEPL5jOJ8OOnP0DAPekVFQ45pjeTUdRJ73FkkzJ6NzH1QK9jTT
gZ0ajzCPBhkpBVgxJXXTgbnfrvw8LjKiW4Uabh+mgxPDvElRQ2yoch8ec3+G
Di7JNRmw87CjWJ7Z3vFlOjgQtyfs9zAZ2U1I77JgWgZrmn17hovJiPzaH9cS
WAbfXXovjtwgozbPLxypksuAaeuD3IyRUdrpwTO8yssA6/i3NYmQkT7b0dHp
A8tgqPz8IVjJhoIcOXjeX1oGd1ztROjKbOic/oHzgjeXgYQsX/B2JjakJGP/
NsB1GVxdb+O50cWKKv/U6tgELoP97q5OQ6GsiHwo/LLop2VgHPtjemqZBQVy
CuU+pS8Ds44nuS3tzGii9ZboeYYVEBR71GdvATM6lfLTdwfHCvjmMnmtMpYZ
SRxyN/opugJEHJJ2Pj7HjPIcW4ZJR1ZAWonhmn0HExpqfC7iGrAComXXcZdh
RoRiqT4WPKsg4BHd3ViOAaVfuT6kJLoK4KBYTQQ7A6KoEyeWZFfBFQmby6Rp
Euqqui38fO8qGGFvNTIvJCGX1frs2nOr4Hv3pcSVUySUbPVsELxaBU0tt5Gf
4CZkkOc0UNy1BtIg24KBxhqUEhPxqdJcA/p4TJAueQ0CXuXcm4fWwH1+Ozff
7lXow3BUMstoDfz9E0+UBK1C0l+/uX1Oa+CIf0kf7FuBpJiV+ON5ayDmu/+w
VNIy3CCPTTiAdaCpfFIjxGAJSpCWpSnH1oF54u+TfEpL8PASm1n2yXVwgjGS
/TfzEvQelCcWbdbBvycLc7SSRbhOXIp6ELAOirqOJuTsXYRrXu2HwqvXwewj
QnV21wJcnah89uXMBph5LLV0GMxBiQeZS1SrDaD+wuFtkNQcBNRo61vXNsCt
7z16bAxz8OHey3t2eG2A8V/xq0mlNMjlvf7n1asNIJganQ/1aVBs+x7x4LEN
EKbAfWvq/Cw8qB7/4ZLPJlg9srfH/PQ0tCrz5fv+eBMcNIlvHJWchj5n7e6L
RW4CAQH14vqJKVjuude4NXUTPEW7jsUHTsETpfW0EzWb4DIt6rc0MQkzlBnF
xThJWNg210RXOAFLCrWusJmSMN3n9a9e+o5CkfvFCrYWJGy/BeOpTItR6HYE
jZZbkTBEbuxc1xiFquUnHf2ukbDbJMN14+ERmFhr77HuQcJOFLjql5iMQO+e
5JC5eBIWPSd12kV1GB5i3Z77r5eEGZ/wfNPNMwhjK6PcDw+RMGVZ5f5u2gCc
fyKm83KMhKUEVeyl/B6AH7fv+G4xR8Lywh50sT8fgGLCulV/mBkwE2baD32h
Abi28253jSIDpjW4AHOU+2HRyWGWrw4M2JU9U9ehYy+M6zW3cXVmwHSclI1/
nOyFbk6/StTcGTDtEYknnnt7oVr4Z/f3PgxYNqdl4a31HpjScHf0RSQDFr/h
qR4R2gNDjCm19wsYMNWD8rv+ePyDFwz3P4csjNidAJraV/suqNP9YWaTnRF7
yXmq9f3hLijkIGFYxM2IlUr9fTVK6YJNIUyse4UYsWQvv4cn8zqh3q9ad4Wd
jFgYceDoF+ZOqGpgY8l+khF7/km2/mxmO9zQD5apT2DEOJ24Db7sa4X7HM1t
7yQxYqzBMmXyfK3QOVIxXfQtI5apPsvZPN0Ch7rL1O0yGbEAWQGPwXctsM55
DTCUMmIH/OwKGkRaYGKCw0WNYUYs6/ulGWfOP/DwjHFCjDoTdiTVad2U/zf0
4JfoOaTFhMXHZ02lLTXBbJ0J2QEdJoxuD6V2dTRBhYCgD2qICfOzJC2Xv2qC
3CJEYZUpE/Z3iTlUW6UJ/oV72lfvMmF4S4xbh0kjfBDDJ2D9gwnrdbo6wuJc
D5m1Fq/lVTNhkkJvZ1l162FQc2sBVz0TJiPeaG0oVA8jqPEXClqZsHfTC9/S
vtfBt8HSqTyjTJj1P9bYp9Q6WPdAVbOCkxkTy+VPzCF+QQk7/VM7TjJj6scy
AzNNquEb1h0pPmeZsSTnroKondVQKZVzscWcGTuep9L9hbUa7umri/O3YcZs
F1XDEoqroN75s71dLsyYwQeWBTbVKuhoYnM7NJoZyxKbG2EUroQl++49m+9k
xurPD6nq8f+A5SnHvNJ6mDGfZbEW3vkKWE0RtD0/yIytcSVfEvpdAVtGPh8q
n2LG7O4aZpSHV8Cp2OGJSAYWjFSksPGKWgEll08ZaCiyYFWi+7x4RMuhT4Ey
2dmZBduQSWh7eqoUPpJfmpN3Z8EkDGRinmqXwpDw8n/td1mws72WrwrESmHs
9Yv5WAALZs9obxU1TMAs4ShbaiwL1r8y73D6AQF7PEkVWcUsWOzzPTvT83CI
6bT6TpNZsXxJndpvASUwQvLr3dPbWDFZGb+2lPMlsJ857k4+lRWjRaTo/NIo
gQH1FtcfiLBikWu1bs19xbDqyl+T7btYsa6bNCEcFsOToYOSu41ZMVQzbZZF
KYKXBuaKHaNYsc0vfofcmgtgdlVzflMcK3YCDZ2+k10AmTJzP2slsmJ8BS53
34UVwFRP99SNt6yYu5p+4RvDAjjKvRry7OvW/kzc++eqvkKn/YznMzpZMX6H
gZn3NfnQ9xllZVKaDWNhbtFxmM2Fu9kNOw8osGF+xizXKv/kwm7/x0WPd7Bh
Vom+jQaFuXC/J+MDeQ02rIjVxa7aPxfOXp5nuoDYsNDvRwdfCeXCS/vbtv2y
ZcNkLl4Pcz/2BWIDr6TTP7BhUdXjjvo/suG0VRcjPZMNK1fVa9ifmQ1ftgsN
6H5hw37G7bc4EZsNl+vC3/YWbflTwiHWfCMbfi7w3ylcx4a5CXT9saNmQ+nQ
a3uDZtgw67G9IveufIYMOruP2e4lY2+Kd+kySGdBNT+zcqoOGbN/f79KiCsL
Wlc/OFJ8mIytCwmsvJ7KhCUWDXv59MnYTq2w/UcSMqHXXSeZUgsy1v/+8YbD
SgakFeWsivuQMQrfzjmd0k+w/8i+jD/VZOymUdWxkXsfIE+QtbJvPRnr6V9I
vmTxAf7XEJSyq5mM8dPUT27f9wG+tm5/4d9NxlJ2+J9lnU+H5329AtVnyBjL
B7NCc8d02FxaZP2Unx17a9CSbWj/HlboYry61uzYWUWtCBT8DgK2+wmvr7Bj
z4OP1T6//Q4WVn6VX7Njx/I/6e7kMH0HMwzU9uU4sWNtpn2Ol6XfweiTkhek
/dkxtswPpOqCt9D2wvrb9VR2rMrbqk57NhWy3inQyRvf2m+dZLXTMwX6aC2U
UWfYMY8Fbf0CmxS4sqRm6DDPjj2yb5q8eiIFTnmlXZRbZ8e058ezRaRSYItP
zMMIbg7sJl68Y7LyDXwbcqfOUZ0D8+avGeeWegP1UtRtFN05sLnYrGSx/iSo
E5uRxnyPA1NSVetcrU2CqiE7p3t9ODC9jtCGla9JUMBV/l7CEw7sWouYlFlo
EhyEwtHURA6sr6D+vf+hJPiwn1S9Ws6BxfOzHPd59RqWyTSoN/BwYg/i+Zdu
zybCPAFDj0+CnFjzgTfm1nWJMJ2juuSJGCeW9ZLDxv9DIoyglRnoKnBiicr1
vJdtE6FNaf7Vwv2cmGas8PCDvy8ho82ruBRrTkxhgMdvpDUBLp4V6/G9yonN
6OevjOcnwLFjcQoXb3Bii3peghKxCbBJPTJH2JUTY0nI2b7NPAEmMQTWPgvk
xJIbaa3buuPh8wUmPvsQTkzFfeC4d0k8DBr1sTgWzoldqavnFX0dD283eg0z
xXNiLmm0x22X4+GViiWV3lecWFVT6Hu6bjw8V+DqWpLCieEHZ5iQUjw88Wm2
MP49JzY56HG6kCMe/v//HphwPttpy8kX8P8AJhPvkQ==
          "]]}, 
        {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
         Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwtmnk0Vt/3xx/z8JSiyJTZY5bHTNO5n3OSMjQikimJQokUKiIiMkXIEFIh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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 18},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -358.76873046931394`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF13k0FN7bAPCxjHUwM/Zl0FiTRIlCubd5UJZCRL5SpKQkS2VNKVJpUZGQ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          "]]}, 
        {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
         Opacity[1.], LineBox[CompressedData["
1:eJwV12c8Fd4fB/Brj27u4NrzmkmijEI5p3OoSBlJ9ZMiiYaMyipRJClRNpWE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          "]]}, 
        {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
         Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV12c41m8bB/DbFrJuOzvdZvYolN/pumxR4t+SIgqVjGSGZJdSEZJIKOGW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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 18},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -358.76873046931394`}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}]}, {InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJw1mnk0VV/Yx4UoIWWKSuZ5usZ73Rt3e0zVz5DMIUMhVBRKIUnmRChUpgoZ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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -597.9478841155233}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwtmnc4V//7x73f9tt6a6IiMrJKZvY5bivZo1D2lt0wKhkpZM+SjIiUlRVZ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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -597.9478841155233}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
      GraphicsBox[{{}, {}, 
        {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
         Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJw1mnk0Vd///5EQIpW8Q0qGZMyYZrtXhmSeZ3dwjSkyD5mnMkQyz6IoFGUo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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -597.9478841155233}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}]}}, {}},
  ContentSelectable->True,
  ImageSize->{1173., 729.5374609386279},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{3.7955064419356847`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TempReservoirMax", " ", "=", " ", 
   RowBox[{"3.", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velMin", " ", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"2.", "/", "Pi"}], "*", 
      RowBox[{"TempCloud", "/", "mAssSr"}], "*", "kBOverAu"}], "]"}], " ", 
    "*", 
    RowBox[{"4.", "/", 
     RowBox[{"Sqrt", "[", "2.", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velReservoir", " ", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"2.", "/", "Pi"}], "*", 
      RowBox[{"TempReservoir", "/", "mAssSr"}], "*", "kBOverAu"}], "]"}], " ",
     "*", 
    RowBox[{"4.", "/", 
     RowBox[{"Sqrt", "[", "2.", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"velMax", " ", "=", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"2.", "/", "Pi"}], "*", 
       RowBox[{"TempReservoirMax", "/", "mAssSr"}], "*", "kBOverAu"}], "]"}], 
     " ", "*", 
     RowBox[{"4.", "/", 
      RowBox[{"Sqrt", "[", "2.", "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]", " ", "=", " ", 
    RowBox[{"8", "*", "Pi", "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"aScat", "*", "aB"}], ")"}], "^", "2"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]CollBEC", " ", "=", " ", 
    RowBox[{"n0BEC", " ", "*", "  ", 
     RowBox[{"\[Sigma]", "/", "2"}], "*", " ", "velMin"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]CollDimpleAv", " ", "=", " ", 
   RowBox[{
    RowBox[{"n0ThDimple", "/", "2"}], " ", "*", "  ", "\[Sigma]", "*", " ", 
    "velMin"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]CollDimpleToBEC", " ", "=", " ", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "n0ThDimple", "*", "n0BEC"}], "]"}], " ", "*", "  ", 
     "\[Sigma]", "*", " ", "velMin"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]CollReservoir", " ", "=", " ", 
   RowBox[{
   "n0ThSheetOnly", " ", "*", "  ", "\[Sigma]", "*", " ", "velReservoir"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]CollReservoirtoDimple", " ", "=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"n0ThSheetOnly", "*", "2", "*", "n0ThDimple"}], "]"}], " ", "*", 
    "  ", "\[Sigma]", "*", " ", "velReservoir"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]CollReservoirtoDimpleMax", " ", "=", " ", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"n0ThSheetOnly", "*", "2", "*", "n0ThDimple"}], "]"}], " ", "*",
      "  ", "\[Sigma]", "*", " ", "velMax"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak collision rate in BEC: \>\"", ",", "\[CapitalGamma]CollBEC", ",", 
   "\"\< /s\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak collision rate between dimple and BEC: \>\"", ",", 
   "\[CapitalGamma]CollDimpleToBEC", ",", "\"\< /s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Average thermalisation rate in dimple: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollDimpleAv", "/", "3"}], ",", "\"\< /s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Peak thermalisation rate in reservoir: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollReservoir", "/", "3"}], ",", "\"\< /s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak thermalisation rate between reservoir and dimple: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollReservoirtoDimple", "/", "3"}], ",", 
   "\"\< /s\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak thermalisation rate between reservoir and dimple for max \
velocity: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollReservoirtoDimpleMax", "/", "3"}], ",", 
   "\"\< /s\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.795444459183885*^9, 3.795444655489113*^9}, {
  3.7954446880079727`*^9, 3.7954447698856564`*^9}, {3.795444822526667*^9, 
  3.7954448255718412`*^9}, {3.795502595032655*^9, 3.795502629486625*^9}, {
  3.795502696740472*^9, 3.79550304550242*^9}, {3.795503088375872*^9, 
  3.7955031874145365`*^9}, {3.7955032377274146`*^9, 3.795503338798196*^9}, {
  3.795506533689933*^9, 3.7955065338339415`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak collision rate in BEC: \"\>", "\[InvisibleSpace]", 
   "24985.026945772777`", "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm["Peak collision rate in BEC: ", 24985.026945772777`, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506535375029*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak collision rate between dimple and BEC: \"\>", 
   "\[InvisibleSpace]", "13767.024362255064`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak collision rate between dimple and BEC: ", 13767.024362255064`, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7955065353780293`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Average thermalisation rate in dimple: \"\>", 
   "\[InvisibleSpace]", "316.0742368524028`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Average thermalisation rate in dimple: ", 316.0742368524028, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7955065353810296`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak thermalisation rate in reservoir: \"\>", 
   "\[InvisibleSpace]", "43.03224765028834`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak thermalisation rate in reservoir: ", 43.03224765028834, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.79550653538403*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak thermalisation rate between reservoir and dimple: \"\>", 
   "\[InvisibleSpace]", "242.51469275416918`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak thermalisation rate between reservoir and dimple: ", 
   242.51469275416918`, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.79550653538803*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak thermalisation rate between reservoir and dimple for max \
velocity: \"\>", "\[InvisibleSpace]", "372.17949555720594`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak thermalisation rate between reservoir and dimple for max velocity: ", 
   372.17949555720594`, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7955065353910303`*^9}]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Calibration of results with Innsbruck experiment", "Section",
 CellChangeTimes->{{3.721657938130308*^9, 3.721657962491701*^9}, {
  3.781243177526231*^9, 3.7812431817364717`*^9}, {3.7954415066110077`*^9, 
  3.7954415107962465`*^9}, {3.795441701735168*^9, 3.7954417020581865`*^9}}],

Cell[CellGroupData[{

Cell["Input parameters", "Subsection",
 CellChangeTimes->{{3.720181220017393*^9, 3.7201812301199703`*^9}, {
  3.7812432431539845`*^9, 3.7812432476842437`*^9}}],

Cell[CellGroupData[{

Cell["DT parameters", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 3.6822405592526093`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]DipIPG", " ", "=", " ", 
   RowBox[{"1064.8", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]DipVerdi", " ", "=", " ", 
   RowBox[{"532.", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarVerdiSr", " ", "=", " ", "752.3"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xOffset", " ", "=", " ", 
   RowBox[{"0.", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yOffset", " ", "=", 
   RowBox[{"0.", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zOffset", " ", "=", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "7", " ", "W", " ", "at", " ", "the", " ", "smallest", " ", "for", " ", 
     RowBox[{"transport", " ", "/", " ", "10"}], " ", "W", " ", "half", " ", 
     "flux"}], " ", "//", " ", 
    RowBox[{
     RowBox[{"-", "10"}], "db", " ", "670", 
     RowBox[{"mW", " ", "/", " ", 
      RowBox[{"-", "7"}]}], "dB", " ", "1062", "mW"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]Tab", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]Tab", " ", "=", 
   RowBox[{"{", 
    RowBox[{
    "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
     "\[Alpha]PolarIPGSr"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MsquaredTab", " ", "=", 
   RowBox[{"{", 
    RowBox[{"1.", ",", "1.", ",", "1."}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTab", "=", 
    RowBox[{"{", 
     RowBox[{"0.743", ",", "1.748", ",", "0.0396"}], "}"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WaistXTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"297.", ",", "17.3", ",", "22.4"}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WaistYTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"297.", ",", "298", ",", "22.4"}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Theta]Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "90.", ",", "0."}], "}"}], "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"90.", ",", "0.", ",", "90."}], "}"}], "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"X0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Y0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Z0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "3"}], ")"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.719734073769492*^9, 3.7197341228395596`*^9}, {3.7197341865133104`*^9, 
   3.7197342789691334`*^9}, {3.7197343148477635`*^9, 3.719734336700366*^9}, {
   3.7197343764349933`*^9, 3.7197344120350423`*^9}, {3.7197344514142857`*^9, 
   3.71973448305433*^9}, {3.7197361695534525`*^9, 3.71973652993395*^9}, {
   3.7197367287202907`*^9, 3.719736825700424*^9}, {3.719736863871477*^9, 
   3.7197368791314983`*^9}, {3.7197369247040195`*^9, 
   3.7197370245241575`*^9}, {3.719737184228448*^9, 3.7197371935384607`*^9}, {
   3.7197372908300533`*^9, 3.719737365114664*^9}, {3.719737398126776*^9, 
   3.7197374618533916`*^9}, {3.719737517591997*^9, 3.7197375178019977`*^9}, {
   3.719737585322091*^9, 3.7197376399442005`*^9}, {3.7197376841172633`*^9, 
   3.7197376898272715`*^9}, {3.7197377431993933`*^9, 3.719737889667735*^9}, {
   3.719737927819822*^9, 3.7197379435098433`*^9}, {3.7197380047919617`*^9, 
   3.7197380477640553`*^9}, {3.719738224646333*^9, 3.719738225226334*^9}, {
   3.719739819974985*^9, 3.7197398206549854`*^9}, {3.719739887487097*^9, 
   3.7197398877670975`*^9}, {3.7197400449833655`*^9, 3.719740045333366*^9}, {
   3.719740312335746*^9, 3.719740312475746*^9}, {3.7197403835278645`*^9, 
   3.7197403850878663`*^9}, {3.719821996481608*^9, 3.719822001997924*^9}, {
   3.7198220621013613`*^9, 3.7198220657915726`*^9}, {3.719822105493843*^9, 
   3.719822109667082*^9}, {3.719822161757061*^9, 3.719822166407327*^9}, {
   3.719822208055709*^9, 3.7198222117679214`*^9}, {3.7198237503968167`*^9, 
   3.7198237509768176`*^9}, {3.7198237831788635`*^9, 
   3.7198237898588724`*^9}, {3.7198239502711134`*^9, 
   3.7198239509111147`*^9}, {3.7198241242633643`*^9, 3.719824153265425*^9}, {
   3.719824211517519*^9, 3.719824252869594*^9}, {3.7198242873516583`*^9, 
   3.7198243196737204`*^9}, {3.719837823583614*^9, 3.7198378987177553`*^9}, {
   3.7198379468598375`*^9, 3.719837947929839*^9}, {3.719837995351921*^9, 
   3.719837996601923*^9}, {3.7198380967420607`*^9, 3.7198380970420613`*^9}, {
   3.7198382877323246`*^9, 3.719838289962328*^9}, {3.7198384641025677`*^9, 
   3.7198384643025684`*^9}, {3.719838531044673*^9, 3.719838531554674*^9}, {
   3.719838619129826*^9, 3.719838619309826*^9}, 3.719838684291926*^9, 
   3.7198387330140142`*^9, {3.7198387736260843`*^9, 3.719838774556086*^9}, {
   3.7198388554882135`*^9, 3.7198388563582144`*^9}, {3.719838902520297*^9, 
   3.7198389032202983`*^9}, {3.719838986942433*^9, 3.719838987212433*^9}, {
   3.7198391303526306`*^9, 3.719839131262632*^9}, {3.719840417788425*^9, 
   3.71984049419853*^9}, {3.7198406187707143`*^9, 3.719840619910716*^9}, {
   3.719905054109453*^9, 3.7199050737994804`*^9}, {3.7199060923484554`*^9, 
   3.719906100058466*^9}, {3.7199061624505644`*^9, 3.719906163720566*^9}, {
   3.719906196412629*^9, 3.719906197752631*^9}, {3.7199063525548563`*^9, 
   3.7199063530148563`*^9}, {3.7199064525380077`*^9, 3.719906462448022*^9}, {
   3.719922144132188*^9, 3.7199221493821955`*^9}, {3.7199221815242577`*^9, 
   3.7199222077563066`*^9}, {3.7199222404183645`*^9, 
   3.7199222409083652`*^9}, {3.7199223100624876`*^9, 3.719922310582488*^9}, {
   3.719922357614565*^9, 3.7199223578045654`*^9}, {3.71992239366663*^9, 
   3.71992239405663*^9}, {3.7199224355186987`*^9, 3.7199224358386993`*^9}, {
   3.719922469890757*^9, 3.7199224707307587`*^9}, {3.719922530632856*^9, 
   3.7199225322328587`*^9}, {3.7201606252342777`*^9, 3.720160628840484*^9}, {
   3.7201730442847676`*^9, 3.7201730451358166`*^9}, {3.720173190240116*^9, 
   3.7201731993096347`*^9}, {3.720173247575395*^9, 3.7201732477894077`*^9}, 
   3.720173285526566*^9, {3.720173320860587*^9, 3.7201733234547353`*^9}, {
   3.720173364994111*^9, 3.7201733672892427`*^9}, {3.7201734215763474`*^9, 
   3.720173427280674*^9}, {3.720173470132125*^9, 3.720173472943286*^9}, {
   3.720173566256623*^9, 3.72017356655764*^9}, {3.720173683311318*^9, 
   3.720173684201369*^9}, 3.7201741942425413`*^9, {3.7201742531269093`*^9, 
   3.720174253699942*^9}, {3.7201742940902524`*^9, 3.72017431712457*^9}, {
   3.7201758083938656`*^9, 3.7201758099729557`*^9}, {3.720180328271388*^9, 
   3.720180328585406*^9}, {3.7201806002729454`*^9, 3.7201806007049704`*^9}, 
   3.72018140949223*^9, {3.720181724486247*^9, 3.720181724597253*^9}, 
   3.7201818653313026`*^9, {3.7201821144325504`*^9, 3.7201821148715754`*^9}, {
   3.7201822608799267`*^9, 3.7201822611589427`*^9}, 3.720182378003626*^9, {
   3.72018247808335*^9, 3.720182478925398*^9}, {3.720182547301309*^9, 
   3.720182547962347*^9}, 3.720182654228425*^9, {3.7201828061421137`*^9, 
   3.720182807422187*^9}, {3.720183360003793*^9, 3.7201833604458184`*^9}, {
   3.720183414743924*^9, 3.7201834150529413`*^9}, {3.7201848613202066`*^9, 
   3.7201849357254624`*^9}, {3.72018496715226*^9, 3.720184976040768*^9}, {
   3.72018500649151*^9, 3.7201850570264006`*^9}, {3.7201850970656905`*^9, 
   3.7201850989948006`*^9}, {3.7201851572601333`*^9, 3.720185159441258*^9}, {
   3.7201852260940704`*^9, 3.720185226629101*^9}, {3.7201852616201024`*^9, 
   3.7201852635282116`*^9}, {3.720185341325661*^9, 3.7201853751045933`*^9}, {
   3.7201854524520173`*^9, 3.720185456458246*^9}, {3.720185852238884*^9, 
   3.720185854181995*^9}, {3.720185884528731*^9, 3.720185890064047*^9}, {
   3.720185981268264*^9, 3.720185981762292*^9}, {3.720186411158852*^9, 
   3.7201864115118723`*^9}, {3.7201865075153637`*^9, 3.720186526702461*^9}, {
   3.7201866649373674`*^9, 3.720186735660413*^9}, {3.720186917196796*^9, 
   3.720186919614934*^9}, {3.720186951679768*^9, 3.7201870534245872`*^9}, {
   3.720187088828613*^9, 3.720187102890417*^9}, {3.720187190237413*^9, 
   3.7201872672848196`*^9}, {3.7201873194828053`*^9, 
   3.7201873362667656`*^9}, {3.7201873976742773`*^9, 
   3.7201874140382137`*^9}, {3.720187462436982*^9, 3.7201874646341076`*^9}, {
   3.720187511310777*^9, 3.7201875163470654`*^9}, {3.7201876386170588`*^9, 
   3.7201876576211457`*^9}, {3.7201876933631897`*^9, 
   3.7201876984614816`*^9}, {3.720187743972085*^9, 3.72018774475513*^9}, {
   3.7201879895351305`*^9, 3.720187997171567*^9}, {3.720188283798961*^9, 
   3.72018833972616*^9}, {3.7201886960805426`*^9, 3.720188729831473*^9}, {
   3.7201900034323187`*^9, 3.7201900099566917`*^9}, {3.72024544489887*^9, 
   3.7202454753026094`*^9}, {3.7202455655027685`*^9, 
   3.7202455680619144`*^9}, {3.7202456150726037`*^9, 
   3.7202456155406303`*^9}, {3.720245658944113*^9, 3.72024566379139*^9}, {
   3.7202456939011126`*^9, 3.720245694157127*^9}, {3.720245886740142*^9, 
   3.720245888816261*^9}, {3.720245952024876*^9, 3.7202459609863887`*^9}, {
   3.7202462358368483`*^9, 3.7202462416468563`*^9}, {3.7202462956109676`*^9, 
   3.720246298710972*^9}, {3.720246406543135*^9, 3.72024641008314*^9}, 
   3.720246643135479*^9, {3.7202467104675894`*^9, 3.7202467408176312`*^9}, {
   3.720246788287697*^9, 3.720246788477697*^9}, {3.720246831309776*^9, 
   3.720246881871866*^9}, {3.720249855124486*^9, 3.7202498722445097`*^9}, {
   3.7202499266066027`*^9, 3.7202499267666025`*^9}, {3.720249979878691*^9, 
   3.720249980178692*^9}, {3.720250039650789*^9, 3.720250039980789*^9}, {
   3.72025009069287*^9, 3.7202500933228736`*^9}, {3.7202502108570633`*^9, 
   3.720250224367082*^9}, {3.7202502749691715`*^9, 3.720250308879218*^9}, {
   3.720250408659356*^9, 3.7202504090493565`*^9}, {3.7202504392093983`*^9, 
   3.7202504583794246`*^9}, {3.7202505265815353`*^9, 
   3.7202505320615425`*^9}, {3.7202505913636446`*^9, 3.720250605963665*^9}, {
   3.7202507560158863`*^9, 3.7202507662659006`*^9}, {3.7202508056259546`*^9, 
   3.7202508370759983`*^9}, {3.7202508860580816`*^9, 
   3.7202508870980835`*^9}, {3.7202690803201017`*^9, 3.720269087170111*^9}, {
   3.720270034685447*^9, 3.72027003670545*^9}, {3.7202700716575155`*^9, 
   3.7202700782675247`*^9}, {3.7202701196195974`*^9, 
   3.7202701223796005`*^9}, {3.7202740675530834`*^9, 
   3.7202740680330844`*^9}, {3.720276648361673*^9, 3.7202766586116867`*^9}, {
   3.720276812983918*^9, 3.7202768167539234`*^9}, {3.7202815621345186`*^9, 
   3.720281562774519*^9}, {3.720281662286667*^9, 3.7202816626866674`*^9}, {
   3.720281710328745*^9, 3.7202817154587517`*^9}, {3.7207791762553525`*^9, 
   3.7207791862653666`*^9}, 3.720781067202996*^9, 3.7207810990060587`*^9, 
   3.7207811677301674`*^9, {3.721128157070932*^9, 3.721128195819148*^9}, {
   3.721128248279149*^9, 3.721128254961531*^9}, {3.7211282913126106`*^9, 
   3.721128292862699*^9}, {3.721128779887555*^9, 3.721128780029563*^9}, {
   3.721129757507472*^9, 3.721129790841378*^9}, {3.721130293308118*^9, 
   3.7211302953942375`*^9}, {3.7211303824512167`*^9, 3.721130382846239*^9}, 
   3.721130449387045*^9, 3.7211305112905855`*^9, {3.721130582994687*^9, 
   3.7211305889670286`*^9}, {3.721137585980235*^9, 3.721137590984521*^9}, {
   3.72138433762089*^9, 3.721384365044459*^9}, {3.72138446857238*^9, 
   3.7213844734666605`*^9}, 3.7214566882425437`*^9, {3.7214567641198835`*^9, 
   3.7214567645769095`*^9}, 3.721485717648896*^9, {3.72148596923489*^9, 
   3.721485999667631*^9}, 3.7214864469942164`*^9, 3.721487139612832*^9, 
   3.721487360555469*^9, {3.721487403498925*^9, 3.7214874269062643`*^9}, {
   3.721489159766378*^9, 3.72148923830087*^9}, 3.7214894079405727`*^9, {
   3.721494619480902*^9, 3.72149464495243*^9}, {3.7215764359042506`*^9, 
   3.721576456089405*^9}, {3.721576514209729*^9, 3.721576524058293*^9}, {
   3.721576862167631*^9, 3.7215769379309645`*^9}, {3.7215806227807436`*^9, 
   3.721580628194953*^9}, {3.7215808491452017`*^9, 3.7215808561464157`*^9}, {
   3.7215809279677477`*^9, 3.721580930493353*^9}, {3.7215809780816402`*^9, 
   3.7215810901650476`*^9}, {3.7215816241029406`*^9, 3.721581625445543*^9}, {
   3.721631047917037*^9, 3.721631064414336*^9}, {3.721657873684622*^9, 
   3.721657916823089*^9}, {3.750685294502102*^9, 3.7506853139022117`*^9}, {
   3.7789363888513436`*^9, 3.778936394522668*^9}, {3.7954389322927647`*^9, 
   3.795438942443345*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Atomic cloud parameters", "Item",
 CellChangeTimes->{{3.670601207082728*^9, 3.670601214202738*^9}, {
  3.682245787232095*^9, 3.6822458075121226`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"mAssSr", " ", "=", "  ", 
    RowBox[{"mSr84", "/", "au"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "au"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aScat", " ", "=", " ", 
    RowBox[{"a1S0iso84", " ", "/", "aB"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Innsbruck", " ", "experiment"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TempCloud", " ", "=", 
    RowBox[{"0.944", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "K"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NatBECTest", " ", "=", " ", 
    RowBox[{"1.11", "*", 
     RowBox[{"10", "^", "5."}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"calculation", " ", "boundaries"}], ",", " ", 
    RowBox[{
    "usually", " ", "no", " ", "need", " ", "to", " ", "change", " ", 
     "them"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xMaxBEC", "=", " ", 
    RowBox[{"15.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"yMaxBEC", "=", 
    RowBox[{"13.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"zMaxBEC", " ", "=", " ", 
    RowBox[{"15.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"xMaxTh", " ", "=", " ", 
    RowBox[{"500.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"yMaxTh", " ", "=", " ", 
    RowBox[{"17.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"zMaxTh", " ", "=", " ", 
    RowBox[{"700.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6705060134472785`*^9, 3.6705063316287174`*^9}, {
   3.6705063744487767`*^9, 3.6705064550088882`*^9}, {3.6705064915209384`*^9, 
   3.6705066804911995`*^9}, {3.6705067293012667`*^9, 
   3.6705067436812863`*^9}, {3.6705067859413447`*^9, 
   3.6705069103915167`*^9}, {3.670506994671633*^9, 3.670507004841647*^9}, {
   3.6705070450017023`*^9, 3.6705070570017185`*^9}, {3.670507155592855*^9, 
   3.6705072480429826`*^9}, {3.6705073453731165`*^9, 
   3.6705074762032976`*^9}, {3.6705075128933477`*^9, 
   3.6705075464433947`*^9}, {3.6705076435935287`*^9, 3.670507732093651*^9}, {
   3.6705077943837366`*^9, 3.67050780425375*^9}, {3.670507841103801*^9, 
   3.67050785488382*^9}, {3.6705078886138663`*^9, 3.670508298995433*^9}, {
   3.670508350655504*^9, 3.6705083639855223`*^9}, {3.6705084949957037`*^9, 
   3.6705085146357307`*^9}, {3.670508578955819*^9, 3.67050857974582*^9}, {
   3.6705086805159597`*^9, 3.670508683825964*^9}, {3.6705087410160427`*^9, 
   3.6705087421260443`*^9}, {3.670573259870878*^9, 3.670573260580879*^9}, {
   3.670573799502623*^9, 3.6705738439226847`*^9}, 3.670573964732851*^9, {
   3.670574161783123*^9, 3.670574173363139*^9}, {3.6705807735689363`*^9, 
   3.670580876689079*^9}, {3.670582695557665*^9, 3.6705827393377256`*^9}, {
   3.6705829178889723`*^9, 3.6705830030990896`*^9}, {3.670583037049136*^9, 
   3.6705830517691565`*^9}, {3.6705832267993984`*^9, 3.670583231519405*^9}, {
   3.670583317249523*^9, 3.670583320369528*^9}, {3.6705834934607663`*^9, 
   3.6705835058607836`*^9}, {3.670583790251176*^9, 3.6705838326412344`*^9}, {
   3.670590191043731*^9, 3.6705902075337543`*^9}, {3.670598515862998*^9, 
   3.6705985291030164`*^9}, {3.6705986458441772`*^9, 3.670598648004181*^9}, {
   3.670599387396201*^9, 3.670599390976206*^9}, 3.6706000391371145`*^9, {
   3.6706001227672305`*^9, 3.670600123187231*^9}, {3.6706008937622957`*^9, 
   3.670600894082296*^9}, {3.6706011683326745`*^9, 3.670601184712697*^9}, {
   3.6706014644630833`*^9, 3.67060149128312*^9}, {3.6706016133252897`*^9, 
   3.6706017087674227`*^9}, {3.67060178660853*^9, 3.670601786898531*^9}, {
   3.670602023529857*^9, 3.6706020296098657`*^9}, {3.681796547646595*^9, 
   3.68179656731472*^9}, {3.681797131609996*^9, 3.6817971388794117`*^9}, {
   3.6817972567821555`*^9, 3.681797331213413*^9}, {3.681797368280533*^9, 
   3.6817974673552*^9}, {3.6817975085815573`*^9, 3.6817976178398066`*^9}, {
   3.681797659052164*^9, 3.681797812867962*^9}, {3.6817978757445583`*^9, 
   3.6817978793017616`*^9}, {3.681807018798511*^9, 3.681807042754881*^9}, {
   3.681807083724224*^9, 3.681807111816831*^9}, {3.681807143248629*^9, 
   3.681807150640052*^9}, {3.681807344880162*^9, 3.6818074633809395`*^9}, {
   3.681807508964547*^9, 3.681807615773656*^9}, {3.681807715169341*^9, 
   3.6818077306652274`*^9}, {3.681807852271183*^9, 3.6818079106415215`*^9}, 
   3.68180801814267*^9, {3.681808274467331*^9, 3.681808274658342*^9}, 
   3.681808307765236*^9, {3.6818084611120067`*^9, 3.6818084717686157`*^9}, {
   3.681808582119928*^9, 3.681808583852027*^9}, {3.6818105383788195`*^9, 
   3.681810538846846*^9}, {3.681810620697528*^9, 3.6818106219806013`*^9}, {
   3.6818106952397914`*^9, 3.6818107028912287`*^9}, {3.6818107968846054`*^9, 
   3.681810797284628*^9}, {3.6818109962380075`*^9, 3.681811026996767*^9}, 
   3.6818119686246247`*^9, {3.6818129889259825`*^9, 3.681812990653082*^9}, 
   3.681816711875923*^9, 3.6818177996871424`*^9, 3.68181794738059*^9, {
   3.6818179854647684`*^9, 3.6818179867998447`*^9}, {3.681820529102256*^9, 
   3.681820547859329*^9}, {3.681820580440192*^9, 3.6818206410246572`*^9}, {
   3.681820690053462*^9, 3.681820721388254*^9}, {3.681821022415472*^9, 
   3.681821043671688*^9}, {3.6818211259833956`*^9, 3.681821150269785*^9}, {
   3.6818212009416833`*^9, 3.6818212011406946`*^9}, {3.681824335980997*^9, 
   3.6818243369340515`*^9}, 3.6818244684665747`*^9, {3.6818245149492335`*^9, 
   3.6818245506302743`*^9}, {3.681825864488423*^9, 3.681825899984453*^9}, {
   3.6818259826361804`*^9, 3.6818259908306494`*^9}, {3.6818260275877514`*^9, 
   3.6818260287698193`*^9}, 3.6818280916898117`*^9, {3.6818288250697584`*^9, 
   3.681828827328888*^9}, 3.6818290074781914`*^9, {3.681829062977366*^9, 
   3.681829070411791*^9}, {3.6818293416073027`*^9, 3.6818293627585125`*^9}, {
   3.681829454208743*^9, 3.681829477492075*^9}, {3.681829613048828*^9, 
   3.6818296146449194`*^9}, {3.6822462620947514`*^9, 
   3.6822464538750157`*^9}, {3.682246591646206*^9, 3.682246591816206*^9}, {
   3.6822474960034723`*^9, 3.682247513623496*^9}, {3.682247582903592*^9, 
   3.6822475928536053`*^9}, {3.6822478770090003`*^9, 
   3.6822478820490074`*^9}, {3.685010030523532*^9, 3.68501009621929*^9}, {
   3.685014872111455*^9, 3.6850148730475087`*^9}, {3.6850164266803713`*^9, 
   3.6850164585361934`*^9}, {3.6855557250394945`*^9, 
   3.6855557549752064`*^9}, {3.6855558013118567`*^9, 
   3.6855558437682853`*^9}, {3.6855558870157585`*^9, 3.685555890903981*^9}, {
   3.6855559436719995`*^9, 3.6855559714955907`*^9}, {3.685556075104517*^9, 
   3.685556089167321*^9}, 3.6855561455435457`*^9, {3.6855561905291185`*^9, 
   3.6855561932312737`*^9}, {3.6855562510345793`*^9, 3.6855562640403233`*^9}, 
   3.6855563550725303`*^9, 3.6855568176889906`*^9, {3.68573287729165*^9, 
   3.6857329090194645`*^9}, {3.68573300300384*^9, 3.685733003683879*^9}, {
   3.6857331369315*^9, 3.6857331382275743`*^9}, {3.685733202180232*^9, 
   3.6857332028912725`*^9}, {3.6857332388833313`*^9, 
   3.6857332399873943`*^9}, {3.685733317099805*^9, 3.6857333178278465`*^9}, 
   3.685733413940344*^9, 3.6857334529315743`*^9, {3.6857334881165867`*^9, 
   3.6857334889876366`*^9}, {3.6859578096957517`*^9, 
   3.6859578106257524`*^9}, {3.704200696130089*^9, 3.704200698570092*^9}, {
   3.7042007723602085`*^9, 3.7042007731602097`*^9}, {3.7042008289802866`*^9, 
   3.704200917850409*^9}, {3.7042009501024733`*^9, 3.704200952212476*^9}, {
   3.7201755125559444`*^9, 3.7201755140330296`*^9}, {3.720175564314905*^9, 
   3.720175591389454*^9}, {3.720175642783393*^9, 3.720175643107412*^9}, {
   3.7201757938260326`*^9, 3.7201757941750526`*^9}, {3.7201758461130233`*^9, 
   3.7201758476561112`*^9}, 3.7201766222334146`*^9, {3.7201767201350145`*^9, 
   3.7201767212770796`*^9}, {3.720177128742385*^9, 3.7201771292504144`*^9}, {
   3.7201789623262606`*^9, 3.720178972006814*^9}, {3.7201798346011515`*^9, 
   3.7201798424526005`*^9}, {3.720179890473347*^9, 3.7201798925454655`*^9}, {
   3.720180344477315*^9, 3.7201803454193687`*^9}, {3.7201807028648133`*^9, 
   3.7201807046289144`*^9}, {3.7201808673092194`*^9, 
   3.7201808683202767`*^9}, {3.720180988405145*^9, 3.720180990220249*^9}, {
   3.720181185125397*^9, 3.7201811866854863`*^9}, {3.7201813275725446`*^9, 
   3.72018132784156*^9}, 3.720181932156125*^9, 3.7201822640471077`*^9, 
   3.7201824745211463`*^9, 3.720182804792037*^9, {3.7201849637070627`*^9, 
   3.720184964101085*^9}, 3.7201854708680706`*^9, {3.7211286601607075`*^9, 
   3.7211286604147215`*^9}, {3.7211337024261084`*^9, 3.721133702750127*^9}, 
   3.721137579847884*^9, {3.721379286480474*^9, 3.721379286750474*^9}, {
   3.7213793450515547`*^9, 3.7213793483415594`*^9}, {3.721384481819138*^9, 
   3.7213844833462253`*^9}, {3.721384538867401*^9, 3.721384543786682*^9}, {
   3.7213845760175257`*^9, 3.721384585865089*^9}, {3.7213846220261574`*^9, 
   3.72138462381726*^9}, {3.7213846760572476`*^9, 3.7213846769292974`*^9}, {
   3.721384743289093*^9, 3.7213847474403305`*^9}, {3.721386762107337*^9, 
   3.7213867790573063`*^9}, {3.72138700168904*^9, 3.721387008903453*^9}, {
   3.7214670579431496`*^9, 3.721467062934435*^9}, 3.7214856658705573`*^9, {
   3.7214859763872995`*^9, 3.7214859797394905`*^9}, {3.7214870769562483`*^9, 
   3.721487104522825*^9}, 3.72148734204241*^9, 3.721487449937581*^9, 
   3.7214874986563683`*^9, {3.7214875905926266`*^9, 3.7214876246735754`*^9}, {
   3.7214881181398*^9, 3.721488132531624*^9}, {3.721489100463986*^9, 
   3.7214891046052227`*^9}, 3.7214892551088314`*^9, {3.721546352188744*^9, 
   3.721546391259979*^9}, {3.721549009718418*^9, 3.7215490214418497`*^9}, 
   3.72154922985345*^9, {3.7215553600231857`*^9, 3.7215553627373924`*^9}, {
   3.7215769527418118`*^9, 3.7215769661575794`*^9}, {3.721580537983374*^9, 
   3.7215805407933793`*^9}, {3.7215808785478573`*^9, 
   3.7215808863286715`*^9}, {3.7215812264577065`*^9, 3.721581231604518*^9}, {
   3.7215813172904806`*^9, 3.7215813380225205`*^9}, {3.721581508508638*^9, 
   3.721581518970657*^9}, {3.72158155203812*^9, 3.7215816084078684`*^9}, {
   3.7215822265764112`*^9, 3.721582230456633*^9}, {3.7215822899530363`*^9, 
   3.721582290104045*^9}, {3.7215836899177103`*^9, 3.721583690925768*^9}, 
   3.721583758743647*^9, {3.721631034405193*^9, 3.7216310405299*^9}, {
   3.7216310828974514`*^9, 3.721631084731888*^9}, {3.7216331859399176`*^9, 
   3.7216332418981185`*^9}, {3.7216332736829367`*^9, 3.721633275859061*^9}, {
   3.721635244477659*^9, 3.721635245516719*^9}, {3.721635280830739*^9, 
   3.7216353314116316`*^9}, 3.7216517987929225`*^9, {3.7216518854088764`*^9, 
   3.7216519380468874`*^9}, {3.72165202639194*^9, 3.721652083278194*^9}, 
   3.7216521260156384`*^9, {3.721652165086873*^9, 3.721652165324887*^9}, {
   3.721652271309949*^9, 3.72165231976472*^9}, {3.7216523524375887`*^9, 
   3.721652352644601*^9}, {3.721652450397192*^9, 3.7216524715083995`*^9}, {
   3.721652526492544*^9, 3.721652526643553*^9}, {3.7216526905949306`*^9, 
   3.7216526910579567`*^9}, {3.721652734842461*^9, 3.721652735377492*^9}, {
   3.7216528234585295`*^9, 3.721652823953558*^9}, {3.721653283814861*^9, 
   3.721653299117736*^9}, 3.7216563206897955`*^9, 3.7216565295607424`*^9, 
   3.7216569405092473`*^9, 3.7216571111480074`*^9, {3.7216571666191797`*^9, 
   3.721657166819192*^9}, {3.721657205099381*^9, 3.721657205193386*^9}, 
   3.7216573151136737`*^9, {3.721657346210452*^9, 3.721657346537471*^9}, {
   3.7216573824745264`*^9, 3.7216574126732535`*^9}, {3.7216576267284966`*^9, 
   3.721657626871505*^9}, {3.7216577004157114`*^9, 3.721657700543719*^9}, {
   3.7216578682783127`*^9, 3.721657889128505*^9}, {3.7954415311354103`*^9, 
   3.7954415425600634`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Display DT potential", "Item",
 CellChangeTimes->{{3.750746832403555*^9, 3.750746845568308*^9}, {
  3.7507472053488865`*^9, 3.7507472064959517`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITab", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTab", ",", "WaistXTab", ",", "WaistYTab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTab", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITab", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighXTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistXTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighYTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistYTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTab", ",", "WaistXTab", ",", "WaistYTab", ",", "ZRayleighXTab", 
       ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", "\[Phi]Tab", ",", 
       "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", " ", 
     RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
    RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
     RowBox[{
     "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTab", ",", "mAssSr"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gSaggSrNum", " ", "=", " ", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"gSaggSrNum", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
       ",", 
       RowBox[{"{", "1", "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]X", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{
               RowBox[{"xx", "+", "xOffset"}], ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], 
              "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"xx", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"xx", "->", 
            RowBox[{"(", "X", ")"}]}]}], ")"}], "/.", 
         RowBox[{"X", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Y", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"yy", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"yy", "->", 
            RowBox[{"(", "Y", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Y", "\[Rule]", "gSaggSrNum"}]}], ")"}], " ", "/", 
       "mAssSr"}], "]"}], "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Z", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", 
               RowBox[{"zz", "+", "zOffset"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"zz", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"zz", "->", 
            RowBox[{"(", "Z", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Z", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]IsoDT", " ", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]X", "*", "\[Omega]Y", "*", "\[Omega]Z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aHODTiso", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"1.", "/", " ", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "\[Omega]IsoDT"}], ")"}]}], "*", 
      "hbarreOverAu"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDepth", "=", 
   RowBox[{"XYZDipPotFun", "[", 
    RowBox[{"xOffset", ",", 
     RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TrapEdgeByGrav", "=", " ", 
   RowBox[{"FindMaximum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", 
         RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0."}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "\[LessEqual]", " ", "yy", 
        "\[LessEqual]", 
        RowBox[{"400.", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"55.", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", " ", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDipTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"TrapEdgeByGrav", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PosTrapEdgeByGrav", " ", "=", " ", 
    RowBox[{"yy", "/.", 
     RowBox[{"TrapEdgeByGrav", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"xx", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
      ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
    RowBox[{"10", "^", "6."}]}], ",", 
   RowBox[{"{", 
    RowBox[{"xx", ",", 
     RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in X axis\>\""}], 
   ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{"xOffset", ",", 
      RowBox[{
       RowBox[{"yy", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", "zOffset"}], 
     "]"}], "*", "ctePlanckOverkB", " ", "*", 
    RowBox[{"10", "^", "6."}]}], ",", 
   RowBox[{"{", 
    RowBox[{"yy", ",", 
     RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Y axis\>\""}], 
   ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{"xOffset", ",", "yOffset", ",", 
       RowBox[{
        RowBox[{"zz", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", 
    RowBox[{"{", 
     RowBox[{"zz", ",", 
      RowBox[{"-", "200"}], ",", "200"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
    RowBox[{
    "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Z axis\>\""}], 
    ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
      "}"}]}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Beam powers: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rayleigh length axis 1: \>\"", " ", ",", 
   RowBox[{"ZRayleighXTab", "*", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Rayleigh length axis 2: \>\"", " ", ",", 
    RowBox[{"ZRayleighYTab", "*", 
     RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]X", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]Y", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
     RowBox[{
      RowBox[{"\[Omega]Z", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Grav sagging: \>\"", " ", ",", 
   RowBox[{"gSaggSrNum", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Absolute potential depth: \>\"", " ", ",", 
   RowBox[{"PotDepth", "*", "ctePlanck", "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Edge of the trap between tranport DT and sheet DT: \>\"", ",", 
     RowBox[{"PosTrapEdgeByGrav", "*", 
      RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Trap depth: \>\"", " ", ",", 
   RowBox[{"UdipTab", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Effective trap depth: \>\"", ",", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"PotDipTrapEdgeByGrav", " ", "-", "PotDepth"}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.7197386048911114`*^9, 3.719738605608152*^9}, {3.719738648634557*^9, 
   3.719738676855596*^9}, {3.719739932359174*^9, 3.7197399377291813`*^9}, {
   3.7197399752412496`*^9, 3.7197399870912657`*^9}, 3.7198221739167566`*^9, {
   3.719823712196764*^9, 3.7198237279767857`*^9}, {3.7198385766077533`*^9, 
   3.7198385783877554`*^9}, {3.7199057240019007`*^9, 3.719905739391922*^9}, {
   3.7199058264440594`*^9, 3.71990583412407*^9}, {3.7199058651741133`*^9, 
   3.7199058719441223`*^9}, {3.719905913506194*^9, 3.7199059152661963`*^9}, 
   3.7199222698204207`*^9, {3.720173300657431*^9, 3.720173337943564*^9}, {
   3.720173722037533*^9, 3.720173742179685*^9}, {3.7201743683204985`*^9, 
   3.72017437254574*^9}, {3.720174482765044*^9, 3.7201744958137903`*^9}, {
   3.7201745402443314`*^9, 3.720174541739417*^9}, {3.7201746186378155`*^9, 
   3.720174668615674*^9}, {3.7201747081059327`*^9, 3.720174725602934*^9}, {
   3.7201747596758823`*^9, 3.720174780074049*^9}, {3.720174854079282*^9, 
   3.7201749148787594`*^9}, {3.720174949256726*^9, 3.7201749757732425`*^9}, {
   3.7201754634941387`*^9, 3.7201754807061234`*^9}, 3.720175598122839*^9, {
   3.7201855281053443`*^9, 3.7201855286313744`*^9}, {3.7201855692646985`*^9, 
   3.7201855724428806`*^9}, {3.720185621443683*^9, 3.7201856630040603`*^9}, {
   3.720185735696218*^9, 3.720185739544438*^9}, {3.720185912814348*^9, 
   3.7201859139234123`*^9}, {3.7202455310867996`*^9, 
   3.7202455323388715`*^9}, {3.7202457217307043`*^9, 
   3.7202458625817604`*^9}, {3.720245916877866*^9, 3.7202459196840262`*^9}, {
   3.7202459868828697`*^9, 3.720245988715975*^9}, {3.7202460767705545`*^9, 
   3.7202460773205557`*^9}, {3.720246107360617*^9, 3.7202461096106205`*^9}, {
   3.720246142012685*^9, 3.720246147742693*^9}, {3.7202461996647835`*^9, 
   3.720246201824786*^9}, {3.72024626607891*^9, 3.7202462667389107`*^9}, {
   3.7202469651740007`*^9, 3.7202470153380957`*^9}, {3.7202470697001905`*^9, 
   3.7202470764601994`*^9}, {3.720250120114921*^9, 3.7202501308849363`*^9}, {
   3.7202505029515023`*^9, 3.7202505060615067`*^9}, {3.7202691420522037`*^9, 
   3.7202691515622168`*^9}, {3.7207799442924137`*^9, 
   3.7207799554324293`*^9}, {3.7207810440109515`*^9, 
   3.7207810454109535`*^9}, {3.7264045192662487`*^9, 
   3.7264045476483073`*^9}, {3.7501623752658863`*^9, 3.750162380690197*^9}, {
   3.7501624362433743`*^9, 3.75016243913054*^9}, {3.7501629648146067`*^9, 
   3.7501629806835146`*^9}, {3.750163037752779*^9, 3.750163041703005*^9}, {
   3.75016322152929*^9, 3.7501632660988393`*^9}, {3.7507472360466423`*^9, 
   3.7507472934519253`*^9}, {3.78124152793388*^9, 3.7812415464759398`*^9}, {
   3.791015401259475*^9, 3.7910154143292227`*^9}, {3.79101548858247*^9, 
   3.7910154900205517`*^9}, {3.79101569611034*^9, 3.7910156977184315`*^9}, {
   3.7910332153287725`*^9, 3.791033219580016*^9}, {3.791034332516672*^9, 
   3.791034378844322*^9}, {3.791893429624709*^9, 3.791893433540933*^9}, {
   3.795439274688349*^9, 3.7954393124695096`*^9}, {3.7954393427302403`*^9, 
   3.7954393429762545`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJw1WHc0Fn70RvFFmZXVQLyD9yV7836IyMhIUkZmKhl5hxchiqySUSkNswhJ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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in X axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795441786274003*^9, 
   3.79544181908488*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJwtmHk4Vd/3x6nMQ6aOeZ7u5Zqva8zdJGQeoks+RINEZgklUWaKiDIPIZJm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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in Y axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795441786274003*^9, 
   3.7954418193238935`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJw12Hk4VO//P3Apa9mXpOw1Z5ijkGQZ5jZ2ZSkhhOyDSBLvhGyVrKFFyloJ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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, -14.4},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in Z axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795441786274003*^9, 
   3.795441819557907*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beam powers: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.743`", ",", "1.748`", ",", "0.0396`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["Beam powers: ", {0.743, 1.748, 0.0396}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 1: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "260.25239141669994`", ",", "0.883027108652225`", ",", 
     "1.480395877033447`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 1: ", {260.25239141669994`, 0.883027108652225, 
   1.480395877033447}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.7954418195659075`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 2: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "260.25239141669994`", ",", "262.0078831793651`", ",", 
     "1.480395877033447`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 2: ", {260.25239141669994`, 262.0078831793651, 
   1.480395877033447}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.7954418195689077`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]X for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "232.86955041019291`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : ", 
   232.86955041019291`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.7954418195709076`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Y for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "614.713374322789`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : ", 
   614.713374322789, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.7954418195729074`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Z for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "230.1818344223095`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : ", 
   230.1818344223095, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.7954418195749083`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Grav sagging: \"\>", "\[InvisibleSpace]", 
   "0.6536251997192538`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Grav sagging: ", 0.6536251997192538, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819577908*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Absolute potential depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "14.321236407457928`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Absolute potential depth: ", -14.321236407457928`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.7954418195799084`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Edge of the trap between tranport DT and sheet DT: \"\>", 
   "\[InvisibleSpace]", "23.10985653741774`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Edge of the trap between tranport DT and sheet DT: ", 23.10985653741774, 
   " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819581908*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Trap depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.28226119583168957`", ",", "11.361987917491891`", ",", 
     "2.6446877966555133`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Trap depth: ", {0.28226119583168957`, 11.361987917491891`, 
   2.6446877966555133`}, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.7954418195849085`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap depth: \"\>", "\[InvisibleSpace]", 
   "8.78740951360053`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Effective trap depth: ", 8.78740951360053, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.7954418195879087`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Self consistent evaluation of Nth for a fixed Nbec and Temp", \
"Subsection",
 CellChangeTimes->{{3.7213797517345233`*^9, 3.7213797879645734`*^9}, {
  3.750685679896145*^9, 3.7506856865615263`*^9}, {3.7954336196228976`*^9, 
  3.7954336495026064`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NInterpPts", " ", "=", "15"}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gScat", " ", "=", 
   RowBox[{"4.", "*", "Pi", "*", 
    RowBox[{"aScat", "/", "mAssSr"}]}]}], " ", ";", "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"hbarre", "^", "2"}], "*", 
    RowBox[{"aB", "/", "au"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"factAuxNatAniso", " ", "=", " ", 
   RowBox[{"hbarre", "/", 
    RowBox[{"(", 
     RowBox[{"2.", "*", "Pi", "*", 
      RowBox[{"aB", "^", "2."}], "*", "au"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxDensity", " ", "=", " ", 
    RowBox[{"2.", "*", 
     RowBox[{"Pi", "/", 
      RowBox[{"(", 
       RowBox[{"hbarre", "*", 
        RowBox[{"aB", "/", "au"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vpot0", " ", "=", " ", 
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"0.", ",", "0.", ",", "0."}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTh0Init", " ", "=", " ", "0."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0BECInit", " ", "=", " ", 
   RowBox[{
    RowBox[{"\[Omega]IsoDT", "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "gScat"}], ")"}]}], "*", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"15.", "*", "NatBECTest", "*", "aScat", "*", 
        RowBox[{"aB", "/", "aHODTiso"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"2", "*", "Pi", " ", "*", " ", 
    RowBox[{
     RowBox[{"hbarre", " ", "/", " ", 
      RowBox[{"hbarre", "^", "2"}]}], " ", "/", "aB"}], " ", "*", " ", "au"}],
    "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Mu]Chem", " ", "=", " ", 
   RowBox[{"Vpot0", " ", "+", " ", 
    RowBox[{"gScat", " ", "*", " ", 
     RowBox[{"(", 
      RowBox[{"n0BECInit", "+", 
       RowBox[{"2.", "*", "nTh0Init"}]}], ")"}]}]}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "Hz"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"nThTab", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "0."}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"xMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{
          RowBox[{"-", "yMaxBEC"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{
          RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"zMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", "2"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nThInterpFun", "=", " ", 
    RowBox[{"Interpolation", "[", "nThTab", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]deBroglieFun", "[", "Temp_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2.", "*", 
      RowBox[{"Pi", "/", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "Temp"}], ")"}]}], " ", "*", " ", 
      "hbarreOverAu", " ", "*", " ", "hbarreOverkB"}], "]"}], " ", "/", " ", 
    "aB"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxnThFun", "[", "Temp_", "]"}], ":=", 
   RowBox[{"1.", "/", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]deBroglieFun", "[", "Temp", "]"}], ")"}], "^", 
       "3."}], " ", "*", " ", 
      RowBox[{"aB", "^", "3."}], "*", "factAuxDensity"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{
       RowBox[{"x", "*", "aB"}], ",", 
       RowBox[{"y", "*", "aB"}], ",", 
       RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepth"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
        RowBox[{"2.", "*", 
         RowBox[{"nThFun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ",", "0."}], 
      "]"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbBECFun", "[", 
     RowBox[{
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{"4.", "*", 
     RowBox[{
      RowBox[{"Quiet", "[", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"nBECFun", "[", 
          RowBox[{
           RowBox[{"x", "+", 
            RowBox[{"xOffset", "/", "aB"}]}], ",", 
           RowBox[{"y", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
           ",", 
           RowBox[{"z", "+", 
            RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", 
           "nThFun"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.", ",", "xMaxBEC"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", " ", "0.", ",", "zMaxBEC"}], "}"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
         RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
         RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}],
        "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"UFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=",
    " ", 
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", "+", " ", 
    RowBox[{"2.", "*", "gScat", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}],
         "]"}], "+", " ", 
       RowBox[{"nThOldFun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
   " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"UFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}], 
         "]"}]}], ")"}], "/", "Temp"}], "*", "ctePlanckOverkB"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
    " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThOldFun"}], "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"selfConsitentLoopFun", "[", 
     RowBox[{"{", 
      RowBox[{"nThInterpFun_", ",", "\[Mu]Chem_", ",", "\[Mu]ChemOld_"}], 
      "}"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"nThTabAux", ",", "nThInterpFunRes", ",", "\[Mu]ChemRes"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nThTabAux", " ", "=", " ", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"nThFun", "[", 
               RowBox[{
               "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "TempCloud", 
                ",", "nThInterpFun"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"xMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{
               RowBox[{"-", "yMaxBEC"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"zMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", 
          "2"}], "]"}]}], ";", 
       RowBox[{"nThInterpFunRes", "=", " ", 
        RowBox[{"Interpolation", "[", "nThTabAux", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]ChemRes", "=", " ", 
        RowBox[{"\[Mu]ChemBEC", "/.", " ", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"NbBECFun", "[", 
             RowBox[{"\[Mu]ChemBEC", ",", "nThInterpFunRes"}], "]"}], 
            "\[Equal]", "   ", "NatBECTest"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Mu]ChemBEC", ",", "\[Mu]Chem"}], "}"}], ",", 
           RowBox[{"Evaluated", "\[Rule]", " ", "False"}], ",", 
           RowBox[{"MaxIterations", "\[Rule]", " ", "20"}], ",", 
           RowBox[{"AccuracyGoal", "\[Rule]", "10"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Current value of chemical potential: \>\"", ",", "\[Mu]ChemRes", 
         ",", "\"\< Hz\>\""}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nThInterpFunRes", ",", "\[Mu]ChemRes", ",", "\[Mu]Chem"}], 
        "}"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aux1Fun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"x", "/", "xMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"y", "/", "yMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"z", "/", "zMaxTh"}], "]"}], ")"}], "^", "1.5"}]}], ")"}], 
    "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"aux2Fun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"x", "/", 
           RowBox[{"(", 
            RowBox[{"xMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"y", "/", 
           RowBox[{"(", 
            RowBox[{"yMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"z", "/", 
           RowBox[{"(", 
            RowBox[{"zMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}]}], ")"}], "/", "2."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nTh2Fun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Z2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThExtendedFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"aux1Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aux2Fun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", 
        RowBox[{"nThFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThInterpFun"}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], ",", "0."}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbThFun", "[", 
    RowBox[{"\[Mu]Chem_", ",", "Temp_", ",", "nThInterpFun_"}], "]"}], ":=", 
   RowBox[{"4.", "*", " ", 
    RowBox[{
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
         RowBox[{"x", "+", 
          RowBox[{"xOffset", "/", "aB"}]}], ",", 
         RowBox[{"y", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], ",", 
         RowBox[{"z", "+", 
          RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", "Temp", 
         ",", "nThInterpFun"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
       RowBox[{"PrecisionGoal", "\[Rule]", "2"}], ",", 
       RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
     "/", "factAuxNatAniso"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.795412272675922*^9, 3.7954122733979635`*^9}, {
   3.795412338503687*^9, 3.7954123395937495`*^9}, {3.7954124414115734`*^9, 
   3.7954125545510445`*^9}, {3.795412602645795*^9, 3.7954126028588076`*^9}, {
   3.795412641986045*^9, 3.795412672181772*^9}, {3.7954127276239433`*^9, 
   3.795412727969963*^9}, {3.795412802308215*^9, 3.7954129253082504`*^9}, {
   3.7954129567280474`*^9, 3.7954129985764413`*^9}, {3.7954130524345217`*^9, 
   3.7954130688094583`*^9}, {3.7954131738404655`*^9, 
   3.7954131821739426`*^9}, {3.795413298957622*^9, 3.7954133254101353`*^9}, {
   3.7954134760787525`*^9, 3.7954135066395006`*^9}, {3.7954135429855795`*^9, 
   3.7954137009686155`*^9}, {3.7954137321614*^9, 3.795413737549708*^9}, 
   3.7954137685704823`*^9, {3.795413863906935*^9, 3.7954138970708323`*^9}, {
   3.795413975689329*^9, 3.7954139764343715`*^9}, {3.795425005449195*^9, 
   3.7954250208070736`*^9}, {3.7954251594590034`*^9, 3.795425181198247*^9}, {
   3.7954253466877127`*^9, 3.7954253762114015`*^9}, {3.7954254409391036`*^9, 
   3.795425478726265*^9}, 3.795425536822588*^9, {3.7954255808941083`*^9, 
   3.795425634325165*^9}, {3.795425790490097*^9, 3.7954258183856926`*^9}, {
   3.7954258785161314`*^9, 3.7954259995520544`*^9}, {3.795426044443622*^9, 
   3.795426233835455*^9}, {3.795426537196806*^9, 3.7954266074378233`*^9}, {
   3.7954266600658336`*^9, 3.7954267045523777`*^9}, {3.7954267351641293`*^9, 
   3.7954267980517263`*^9}, {3.795426852222824*^9, 3.7954268679787254`*^9}, {
   3.7954269030007286`*^9, 3.7954269032427425`*^9}, {3.7954269832783203`*^9, 
   3.795427083169034*^9}, {3.79542712139222*^9, 3.795427127744583*^9}, {
   3.7954271649117093`*^9, 3.7954271817886744`*^9}, 3.7954275600773115`*^9, {
   3.7954276202647543`*^9, 3.7954276375347414`*^9}, 3.7954277665431204`*^9, {
   3.7954277989009714`*^9, 3.7954277995990114`*^9}, {3.7954278577423368`*^9, 
   3.795427892545327*^9}, {3.795427931265542*^9, 3.795427944648308*^9}, {
   3.795428058806837*^9, 3.7954280875334797`*^9}, {3.795428207570346*^9, 
   3.795428235397938*^9}, {3.795428276863309*^9, 3.7954283208918276`*^9}, {
   3.7954283918318853`*^9, 3.795428397111187*^9}, 3.7954291421097984`*^9, {
   3.795429443170018*^9, 3.7954294558067408`*^9}, {3.795429676046338*^9, 
   3.7954296763353543`*^9}, {3.795429969224107*^9, 3.7954299737993684`*^9}, {
   3.7954302001643157`*^9, 3.7954302012023754`*^9}, {3.7954314113425913`*^9, 
   3.7954314117536144`*^9}, {3.7954315154065433`*^9, 
   3.7954315579919786`*^9}, {3.795431890181979*^9, 3.795431890531999*^9}, 
   3.795432954083831*^9, {3.7954338308759804`*^9, 3.795433850961129*^9}, {
   3.7954368927101073`*^9, 3.7954368968943467`*^9}, 3.7954371532650104`*^9, {
   3.795437262779274*^9, 3.795437280441284*^9}, {3.7954373374385443`*^9, 
   3.7954373406827297`*^9}, 3.7954375579651575`*^9, {3.7954375896489697`*^9, 
   3.795437669130516*^9}, {3.795437770695325*^9, 3.795437771037345*^9}, {
   3.7954393882568445`*^9, 3.795439388967885*^9}, {3.795441832335638*^9, 
   3.7954418325246487`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"nThInterpFunSol", ",", "\[Mu]ChemSol", ",", "\[Mu]ChemAux"}], 
   "}"}], "=", " ", 
  RowBox[{"NestWhile", "[", 
   RowBox[{"selfConsitentLoopFun", ",", 
    RowBox[{"{", 
     RowBox[{"nThInterpFun", ",", "\[Mu]Chem", ",", "1."}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", 
          RowBox[{"#", "[", 
           RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "]"}], "/", 
       RowBox[{"#", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], ">", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "5"}], ")"}]}]}], "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.795431789724233*^9, 3.7954318089193316`*^9}, {
  3.7954324286467776`*^9, 3.795432428983797*^9}, {3.7954324599235663`*^9, 
  3.7954324602215834`*^9}, {3.7954338361732836`*^9, 3.7954338364613*^9}, {
  3.7954372906848707`*^9, 3.795437291167898*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.795439373632008*^9, 3.795442314800233*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8054.862314633915`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8054.862314633915, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8021.689170893965`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8021.689170893965, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.7954423697253747`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "cvmit"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Failed to converge to the requested accuracy or precision \
within \[NoBreak]\\!\\(20\\)\[NoBreak] iterations. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/cvmit\\\", ButtonNote -> \
\\\"FindRoot::cvmit\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.795439373632008*^9, 3.795442818956069*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8010.2892143243225`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8010.2892143243225`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.7954428189600697`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.795439373632008*^9, 3.795442861069478*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8004.752776068496`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8004.752776068496, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.7954428610734787`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8006.119138658406`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8006.119138658406, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.7954428946703997`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8005.688126115358`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8005.688126115358, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.7954429283933287`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8005.825116486865`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8005.825116486865, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.7954429617332354`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8005.78109746939`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8005.78109746939, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.7954429955041676`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    TemplateBox[{RowBox[{
        StyleBox[
         TagBox["InterpolatingFunction", "SummaryHead"], 
         "NonInterpretableSummary"], 
        StyleBox["[", "NonInterpretableSummary"], 
        DynamicModuleBox[{Typeset`open$$ = False}, 
         PanelBox[
          PaneSelectorBox[{False -> GridBox[{{
                PaneBox[
                 ButtonBox[
                  DynamicBox[
                   FEPrivate`FrontEndResource[
                   "FEBitmaps", "SquarePlusIconMedium"]], 
                  ButtonFunction :> (Typeset`open$$ = True), Appearance -> 
                  None, Evaluator -> Automatic, Method -> "Preemptive"], 
                 Alignment -> {Center, Center}, ImageSize -> 
                 Dynamic[{
                   Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                GraphicsBox[{{
                   GrayLevel[0.6], 
                   AbsolutePointSize[5], 
                   PointBox[{1, 1}], 
                   PointBox[{2, 4}], 
                   PointBox[{3, 2}], 
                   PointBox[{4, 3}]}, {{}, {}, {
                    AbsoluteThickness[1], 
                    Opacity[1.], 
                    LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                    "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
                 GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                   GrayLevel[0.7], 
                   Thickness[Tiny]], FrameTicks -> None, 
                 ImageSize -> {Automatic, 
                   Dynamic[
                   3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
                GridBox[{{
                   RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "18897.2612462577`"}], ",", 
                    "302356.1799401232`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "262042.02261477345`"}], ",", 
                    "262042.02261477345`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "18897.2612462577`"}], ",", 
                    "302356.1799401232`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
                 False, 
                 GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 GridBoxSpacings -> {
                  "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                 BaseStyle -> {
                  ShowStringCharacters -> False, NumberMarks -> False, 
                   PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
              GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
              BaselinePosition -> {1, 1}], True -> GridBox[{{
                PaneBox[
                 ButtonBox[
                  DynamicBox[
                   FEPrivate`FrontEndResource[
                   "FEBitmaps", "SquareMinusIconMedium"]], 
                  ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                  None, Evaluator -> Automatic, Method -> "Preemptive"], 
                 Alignment -> {Center, Center}, ImageSize -> 
                 Dynamic[{
                   Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                GraphicsBox[{{
                   GrayLevel[0.6], 
                   AbsolutePointSize[5], 
                   PointBox[{1, 1}], 
                   PointBox[{2, 4}], 
                   PointBox[{3, 2}], 
                   PointBox[{4, 3}]}, {{}, {}, {
                    AbsoluteThickness[1], 
                    Opacity[1.], 
                    LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                    "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
                 GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                   GrayLevel[0.7], 
                   Thickness[Tiny]], FrameTicks -> None, 
                 ImageSize -> {Automatic, 
                   Dynamic[
                   3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
                GridBox[{{
                   RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "18897.2612462577`"}], ",", 
                    "302356.1799401232`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "262042.02261477345`"}], ",", 
                    "262042.02261477345`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "18897.2612462577`"}], ",", 
                    "302356.1799401232`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Order: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{"3", ",", "3", ",", "3"}], "}"}], 
                    "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Method: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"Hermite\"", "SummaryItem"]}]}, {
                   RowBox[{
                    TagBox["\"Periodic: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["False", "SummaryItem"]}]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
                 False, GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 GridBoxSpacings -> {
                  "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                 BaseStyle -> {
                  ShowStringCharacters -> False, NumberMarks -> False, 
                   PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
              GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
              BaselinePosition -> {1, 1}]}, 
           Dynamic[Typeset`open$$], ImageSize -> Automatic], BaselinePosition -> 
          Baseline], DynamicModuleValues :> {}], 
        StyleBox["]", "NonInterpretableSummary"]}]},
     "CopyTag",
     DisplayFunction->(#& ),
     InterpretationFunction->(
      "InterpolatingFunction[{{-18897.3, 302356.}, {-262042., 262042.}, \
{-18897.3, 302356.}}, <>]"& )],
    False,
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", "8005.78109746939`", ",", "8005.825116486865`"}],
   "}"}]], "Output",
 CellChangeTimes->{3.795432399786127*^9, 3.795433111998863*^9, 
  3.795433839934499*^9, 3.7954340003356733`*^9, 3.795434818022442*^9, 
  3.795437075717575*^9, 3.795437357152672*^9, 3.7954375228901515`*^9, 
  3.7954381756964903`*^9, 3.795440034512808*^9, 3.795442995612173*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nbBEC", " ", "=", " ", 
   RowBox[{"NbBECFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nbTh", " ", "=", " ", 
    RowBox[{"NbThFun", "[", 
     RowBox[{"\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Final BEC atom number: \>\"", ",", "nbBEC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Final thermal atom number: \>\"", ",", "nbTh"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Initial chemical potential: \>\"", ",", "\[Mu]Chem", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Final chemical potential: \>\"", ",", "\[Mu]ChemSol", ",", 
    "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Peak density due to BEC: \>\"", ",", 
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", 
      "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Peak density due to thermal gas: \>\"", ",", 
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
      "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Peak density due to both BEC and thermal gas in dimple: \>\"", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{
        "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", 
         "nThInterpFunSol"}], "]"}], "+", 
       RowBox[{"nThFun", "[", 
        RowBox[{
        "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
         ",", "nThInterpFunSol"}], "]"}]}], ")"}], "*", "factAuxDensity"}], 
    ",", "\"\< at./m^3\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"nBECFun", "[", 
      RowBox[{
      "x", ",", "0", ",", "0", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "xMaxBEC"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"nBECFun", "[", 
      RowBox[{
      "0", ",", "y", ",", "0", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot3", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"nBECFun", "[", 
      RowBox[{
      "0", ",", "0", ",", "z", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "0", ",", "zMaxBEC"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"BecPlot1", ",", "BecPlot2", ",", "BecPlot3"}], "}"}], "}"}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"x", ",", "0.", ",", "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{
          "x", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
           ",", "nThInterpFunSol"}], "]"}], ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
        "x", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",",
          "nThInterpFunSol"}], "]"}], ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{
        "x", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{"2", "*", "xMaxBEC"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", "y", ",", "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{
          "0.", ",", "y", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
           ",", "nThInterpFunSol"}], "]"}], ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
        "0.", ",", "y", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",",
          "nThInterpFunSol"}], "]"}], ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{
        "0.", ",", "y", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "*", "yMaxBEC"}], ",", 
       RowBox[{"2", "*", "yMaxBEC"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot3", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", "0.", ",", "z"}], "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{
          "0.", ",", "0.", ",", "z", ",", "\[Mu]ChemSol", ",", "TempCloud", 
           ",", "nThInterpFunSol"}], "]"}], ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
        "0.", ",", "0.", ",", "z", ",", "\[Mu]ChemSol", ",", "TempCloud", ",",
          "nThInterpFunSol"}], "]"}], ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{
        "0.", ",", "0.", ",", "z", ",", "\[Mu]ChemSol", ",", "TempCloud"}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "0", ",", 
       RowBox[{"2", "*", "zMaxBEC"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{"ThPlot1", ",", "ThPlot2", ",", "ThPlot3"}], "}"}], "}"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.795432692306858*^9, 3.7954327479470406`*^9}, {
   3.7954327858582087`*^9, 3.795432846670687*^9}, {3.7954331382793665`*^9, 
   3.7954331391564164`*^9}, {3.795433454851473*^9, 3.7954334557785263`*^9}, {
   3.7954334892674417`*^9, 3.7954335096336064`*^9}, {3.7954337453250875`*^9, 
   3.7954337997432*^9}, {3.7954339214801626`*^9, 3.7954339756062584`*^9}, {
   3.7954340388148737`*^9, 3.7954340949300833`*^9}, {3.7954341418397665`*^9, 
   3.7954341575836673`*^9}, {3.795434207998551*^9, 3.7954342189461765`*^9}, {
   3.7954343180178432`*^9, 3.7954343280924196`*^9}, {3.795434488132573*^9, 
   3.795434520024398*^9}, {3.7954345642069244`*^9, 3.7954345863721924`*^9}, 
   3.7954346972365336`*^9, {3.7954347324705486`*^9, 3.7954347328215685`*^9}, {
   3.79543478913579*^9, 3.795434972312267*^9}, {3.79543501746585*^9, 
   3.7954350501917214`*^9}, {3.7954350971094046`*^9, 3.795435516716405*^9}, {
   3.7954355624790225`*^9, 3.7954356639218245`*^9}, {3.7954356952846184`*^9, 
   3.7954358121203012`*^9}, {3.795435842576043*^9, 3.795435927612907*^9}, {
   3.795435994903756*^9, 3.7954360027222033`*^9}, {3.7954360373971863`*^9, 
   3.795436106495138*^9}, {3.7954361434422517`*^9, 3.795436237156612*^9}, {
   3.795436505338951*^9, 3.795436509153169*^9}, {3.795436541402014*^9, 
   3.7954367131008344`*^9}, {3.7954367912023015`*^9, 3.795436850637701*^9}, 
   3.7954368896729336`*^9, {3.795436970114535*^9, 3.7954369707245693`*^9}, {
   3.795437548773632*^9, 3.7954375498886957`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final BEC atom number: \"\>", "\[InvisibleSpace]", 
   "111000.00000000003`"}],
  SequenceForm["Final BEC atom number: ", 111000.00000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.7954441208155317`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final thermal atom number: \"\>", "\[InvisibleSpace]", 
   "6.184311565708187`*^6"}],
  SequenceForm["Final thermal atom number: ", 6.184311565708187*^6],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.7954441208175316`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initial chemical potential: \"\>", "\[InvisibleSpace]", 
   "8680.446805223623`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Initial chemical potential: ", 8680.446805223623, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.795444120820532*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final chemical potential: \"\>", "\[InvisibleSpace]", 
   "8005.78109746939`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Final chemical potential: ", 8005.78109746939, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.7954441208225317`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to BEC: \"\>", "\[InvisibleSpace]", 
   "7.33939315525675`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm["Peak density due to BEC: ", 7.33939315525675*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.795444120824532*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas: \"\>", "\[InvisibleSpace]", 
   "1.1172018612125136`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas: ", 1.1172018612125136`*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.795444120827532*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to both BEC and thermal gas in dimple: \"\>", 
   "\[InvisibleSpace]", "8.456595016469263`*^20", 
   "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to both BEC and thermal gas in dimple: ", 
   8.456595016469263*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.795444120829532*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{{}, {}, 
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJxF0nk0VQsbBnBkSgiNV0RuGlRuLiGSB0mhwdQgqZQxydTZu6uD6lBc7qUc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         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->{FontSize -> 18},
      DisplayFunction->Identity,
      Frame->{{False, False}, {False, False}},
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImageSize->Medium,
      Method->{
       "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
        AbsolutePointSize[6], "ScalingFunctions" -> None},
      PlotRange->{All, All},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {193.5, -116.80842387373012`}, 
     ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
     GraphicsBox[{{}, {}, 
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJxF2Hk4Vdv/B3AU5aCQKCqJuqIo6pZIH0QqhIwZQpF5iuOcXYbomkkpIVMI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         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->{FontSize -> 18},
      DisplayFunction->Identity,
      Frame->{{False, False}, {False, False}},
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImageSize->Medium,
      Method->{
       "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
        AbsolutePointSize[6], "ScalingFunctions" -> None},
      PlotRange->{All, All},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {580.5, -116.80842387373012`}, 
     ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
     GraphicsBox[{{}, {}, 
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJxF0nk0lQsXBnAkU5HhRqRLLm5UbhpQKQ9ljIq4t8F0Sxmu6ZBzXhmKUDSp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         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->{FontSize -> 18},
      DisplayFunction->Identity,
      Frame->{{False, False}, {False, False}},
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImageSize->Medium,
      Method->{
       "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
        AbsolutePointSize[6], "ScalingFunctions" -> None},
      PlotRange->{All, All},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {967.5, -116.80842387373012`}, 
     ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}]}, {}},
  ContentSelectable->True,
  ImageSize->{1173., 245.61684774746024`},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.795436719932225*^9, {3.7954368015638943`*^9, 3.7954368250282364`*^9}, 
   3.795436857776109*^9, 3.795437086403186*^9, 3.7954375322116847`*^9, 
   3.7954382056532035`*^9, 3.7954400460974708`*^9, 3.7954430009644794`*^9, 
   3.795444121262557*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{{}, {}, 
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF1Xk41Iv3B3BblBgt9sgSXdQVt7K2vD+USmaYMcPcknalW9ZCEoooqsst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         "]]}, 
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwV1Wk4FHobBvAsUQ4zKmOLGNFBHdGCoeX+I5XMMGObU5Q2pcVWIRXKnqPD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         "]]}, 
       {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
        Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1Xk01OsfB/AxxpJLt2hs2UZ0KYWUJZX3EyIkY4kk8R2GKYnqpkjLTZRW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         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->{FontSize -> 18},
      DisplayFunction->Identity,
      Frame->{{False, False}, {False, False}},
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImageSize->Medium,
      Method->{
       "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
        AbsolutePointSize[6], "ScalingFunctions" -> None},
      PlotRange->{All, All},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {193.5, -116.80842387373012`}, 
     ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
     GraphicsBox[{{}, {}, 
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF2nk0Fl/cAPAHj7WSvUS2yBpCZct8J8n2PPY9RFFJG5Fo+Ul2JZI9ZctS
KUtRQjORvexr9iX7vu+v95z3Zf6YOZ9z79z7vd9zz8y951z+i7cM7CkJBILr
9u1/n9TefRxUG4dxwv9dcjYSYeTlXdsp390fNbfrknl6umOju/a2P75i0rJr
SnXPv++ydr1JzxNvcHnXi8/NRRNruHes8XouaMifa8eJD9UrGkwP7dhN5R5d
gQTnjjMoqiO1hg/seCy8jcLzG8eOAyUYCs47se84OfnAPVkpth2XTXQxZlOy
7lhboWKhuYB5xy3GN/ISnzLtOD+1Y6GxhHHH/mmCh7NO790xW2RkCSq36zc+
DNfrxXade3E6f+7Arge4C8xOzu7ZMYQavvyesutld689pft37X11IduEZtf7
Ta9aDK0z4K5/1vfcxyKQGLW/FPfmGPAtpeF8AnMkclROJ51ulAHPKLuAfL0Y
iWQL4HrRPQz49dwrRilfIpHTzHLLoi0M+Lnwo+U19FGI0SSnunYJAz7q2Ws/
/CUK6el4Ovk3nwHnuRUR3LsvGnGs2gq/nsWAPzdnZxO7Eo14pQ0OPHvNgL8z
0mMrOhyDZF7M8qq9x4B/0l/O8I+NRZT1BcVsbzHg17T+zr7YjEXKkMi6GXsG
/ILxoN/BS6+QLu6HfKyG2/Fr6WhnSMche1s0ioyPMeC+Yfb8aV2vkSvaPSvt
vfQ4o2IEWqaWgNAYNDbEt9DjzMfFxRYDEpBks/KMy7/p8S9/agrP1CQgffaZ
trNf6fGk0WKyhlUiYunpWUEfQo83rJFjQv2SkFVfl6QaH3qc396mWaEpCYl+
dvVh+H16/NWiUZmIYDLSHKN3nP8KPd4xY0gx8ysZ0fvCFy2vQo9/lU+rrOJM
QSa/s93ZlKXHe8YUtzSdU5BnP+nIJaL0ePsN5+HT1SlIZc00QY+dHhc0bNGO
905Fzo5iV6+M0+ElnONJtHTpiDyvrXxEDB1O/Nrr4X3hA9IsZMxiGUKHP5Lu
lImo/4C4SmiO8/vS4XZ8B+hD1TOQbIXj8RlOdHiArMzVS6c+IhJGFHS/NOjw
G2bfpHIPZCKVFgu9gSp0eN7bUfy8eSbiYDvyXU+ODo92ucfP+SoTSblZd6uD
lw7/GKd5flIwC+ELSGiZW6TF3cP71p+ezUaKnodnfRunxcdbaqo8nmcjVhEB
Qf/10eJ5WOO3tL/ZSEySE7LnDy1+8uwM3u6Wg7AVoakCb2nxlDEdmxPYZ4Ru
rveuviEtrp32VZAmIg/J7hmQVtekxcUfM98cXchDrP4MjSojtLhdupDaRdOv
SHb6hLWIOC1OcZrGX5j3G3LeZuXcFiUtPkJDZK36mY/Q6KwTFpZpcFqPf4X7
pL8jmUpb+aOTNDjb5+Gf3G++I8QD1FLN7TR4WnW+V5FXAfLxN9OBjGwanNmg
9smkTRFi9p21LjGNBtfBm+tudxYhVOkcQVGvafAPV/0ECJY/EDNv7q0ngTS4
dMlvk89SGEKhJDJkcZEGv//E8bck4IhRGpJHx0KDC19WMY6NLkY2w884bdLS
4EqOL2TdRouR9Cdq4vMb1Pgsp7ZwmnIJsmmt/aZ7hBoXMngkyD9YgqSym/rl
4tS4cDud1j71UsSAygL9kEeNIyKZZXJJpcj6tOVaQgY1LrDV1dxDKEP0qi/e
ehZNjXenFCn2YGXIqtdNUzsnapwt4tIfOaMKJPm2E7PFFWr89LRrl3xhBaJj
7VKla0WNHy4bMlsSrkSSFDwQJU1qXE22MACjrEJI0z7CLPzUeKWxtpLxn2rk
jVXc0o9aIr5Iqy2vfLEWqee8O3yxjIif0pPQLU6oRYjNOm3URUR8cOgCt2pf
LXJNh/Bd+z0Rf5NN6le6XIfIIZcetfgQ8aLkjLuPPOqRy2tKtzweEHHWrw4n
Tv2sR6Lz2GwO3yHiD7ydpOj2NCCbUqXoJRsiHvGj/RNVfANSzidKPaVIxKuF
Wc60tzQiqx0Ui6HHiXi7R0T9b5Em5Fh0+z85ESK+MPBtYt2jCXnB/LTcg52I
hxKoEvmONCNWlFNBNNNU+F8P/ynaJy3IbP9nFp63VLi5s0x6jU87Ihj/jAqP
pcJ/Nb23bR1vR0wtL89fekGF/9atNbxt/BcpaDzQnP4fFW4hb+RkL96B+P3y
iD5hQYWHyJ3a2DfWieQ/Ngxs1aPCnSjDbRUudCHjpyXu31enwpucGFGhpi7E
ILfTEpejwmPKfHLMSrsR7lTgI++nwl+s3Exw7e5BdC5xMk9TU+Fn0vRtxvh6
kce8sxRh65R4ZahGjeWlXuRfZFJ/6wglPsFKtkTHepEsf5pUuxJK/F7hrJ4H
bT9y7lr1sQfulLjlqnQFr+sg8lTlqL7RLUoc/ml4nqwZROpYPF0k7Clx/xjn
WFzsH2L5XfZ7hx4lLhduzkz69w+5szdW47QIJb5hTcPfemsY+doz78jOQ4mz
6bQ9P9U8jGx+1nk+wUqJdz2c/qKkMoIEWlE2x21R4LwUlxa0WUeR+I8Olzab
KfCtkzdCDerHkH9exb7N1RR4VelJjZfnxhFx08PvPv6kwFPiWkszC8aR3K3a
aeuPFPjHwH/dER8nkN968o9++FDgcUjx5X/pU8jqLE20pxwF/suwa+4T5SwC
ZTYFZmIUONdZMWcn8iziE5vfLc1HgZcWHmy5ED2LMJ29ebR3DwU+OpbJ0yQ3
hwiHN+Wg/QScRXDFKcFjHrnuINXC2UbABw8UPtWsmUeyTweszvwh4Iv6KR9U
hRYQlX/KaGI+AY9oLMhBmxYQo1PJfyhfEPBWwprLrNoSErNnc6bdj4ATea71
5L1dQnq6TdlzHhLwFquw68s0y4ij/x7LSw4E3LJ69AvhzzLi1eY8UgwEPFdf
8VnlzVXEesmLjqF7C+tV9hJzJGwiq8p9BWzVW5hiAZ2mg/MmEuGFOvF+28KE
ltFk4r9N5Pc+Qrtc2BZmvLcpQKR+C1EWfPj+gvr2+4oxFhe6CXBI303ny6dN
7PvVUzdYlighN6KZEnu1ie1rfu1HVqECg44TeZUBm9h9fr8fPr5UEHBlnrfn
0iYmq79wdpWTCMsPnWYYDm5iVCO0WTpkamh55/jSxnMDG1a2ZYkZpgXn6UoN
xxsb2JPP3ZKnUDpgPCm24WqxgT3NvWVKF0sH5/Bh+yC5DSyJ8U6psQE95LbY
n8odXsdONIRT0tUywEuiTfse/XXspb5JK+xhBGmtH8EcKuvY6D2enrl7jFD9
nEeVX3wdW9+7pMI1zAhUXJ3vT1KvY+Yth51bK/eD83GLh7bf1jAg9HAY1jGB
nrURXx7/GnZSNjYvooYFWBq/KEjsW8OGmDiLWg6yQqPmAcOE5VWM1rztPO8l
VjA70e4TVLOKnZWs5qpZZYULe23GLjxcxVaVbX32nGKHm/mOuXRtK5ibs5Pr
0OABkJb+XfOwZAXzirnaxIsehNm3kiOzn1awoD8hMuFxB8E1dIar03cFE+zW
C1Sz4IQHV90eZ8mtYD5JOROC/YcgiOMJySJkGatfozmteJIHSE8H7GvuL2ND
EmKHGVJ5gJHy3H9nryxjXe+FBYw5eeHFBF22pMoy9oFfOO4kBR/ElAQfoBpf
wuSeD9K9mOODNOeYvvfqS1hj61YceUsArg2vrfHJLmEbo3w0EWePgIS1FXsE
zxJ26uv5Az8Cj0CmJp+G58Iilqr60aWAUxDy+FIyjJIWMd6V6ndvzwhB6Z+s
exubC9hvkaulWj+FIZ7luEH96ALmUmZPK8UuAu4mmeKpzQtYUsUsK7ODCEh0
fezS+7iAOUXISLWyim7H+/5sstUCRl2HPsl1FQPrvSlM2gXz2CuO5xNd14+B
vJ7QKG/aPEZxnNG4rPYYML9MLp4Pm8fond49aDohCSVcSXdfO85j+mJ1d29Q
SYGYeHzHzKF57OnkUsM1E2lY0oxJi3Kfw5I2Dnr5HpaB2mecXjfs57BzbXHd
2uYy8K4u6vwZ/TmMfzIq6Vu4DFibRzKOi2zX9+MYCGOShZKrL12Q1lnMqvW7
2DVGOQjxC4Z/J2exF1NXbraKnwSRX16tsvPT2Dvj0FV8SRFYUjJ4L/VOYzV+
jHZZakqw7tt6+cWfaczmy0fV8y+VoFZDcmE6bRojzLPL9csqw73qNuaPVtOY
MKdyyOD90/Ai1TZCL3gKCxabOWRzEOCyQ57gp6tTWCZPwfU7agCK4vty9qlO
YdGv3eMnnAH6Pn6tqVyaxK5fED3EWQMgk7ufXs12EjunjWpbPUWhoaTwvoLc
BBZwn5ZFgEsV0nxZGaIYJzC/uw84xnVU4YGGQ9Ti8Pj2/HB6e/SJKghWs33J
iRvHlOtHyqbGVcGlwXHyGO041v2Wt6nv11lg6+O0FWgfxTx8vOpqn50Dky3X
c3s8h7GAvhzJLnctuMtf+1rFdBhDptqlfX9qQYSq2JKT5DDWcXBdtnyPNrT4
daW2dgxhjn39o1WvtMGMSZ0+RWEIY2whlat/J4EF/8FqmBvE0jWGhHlYdcFD
1VnQpXIQo/duce+30YUY++oHqQmD2ApNrLvxJ134m+55jFFvEBMeYD8rKqwH
ljIjwX8/DGB0G8ImCZV6YKWar3/3cj9W1TyGyR41gEf2bO/ST/djc1fE2DoN
DeC1303KTrZ+rKzlWiOLlwF0VQnkqBb3YZGvngWe6jEAa6MgNma+Pqxdz/YQ
IdkQbOwtW9639WA3V3LsnXWNwdMvV6o7swfjs9Yf7PI3hvh0Jn8W/x5s6Fg4
k16xMfROlMi7n+zBPpMEXW4rmQAFE2/oh309mOnIoxwFdxNQtZut/1HRjSkv
5JbeLTSBknELuWdHu7Hlko9MbPqmQDy+f3CusQs79r22ICDOFNRci8MtnnRh
tbUhi11jpuD7ze0cfrwL6/jFSyGmbAalG+JLwj2dWOE+WaYnwWZAc6YnNTi4
E2sVTPAj9puBuu9LswXlTszlfr1alYI5+Fdq0FuOdWDOovy5DDLmUM648e1n
dAf29ljZgO6gGWiVXeAPI3dgRK45TCXeDH7/99P/EkUHdr6BecXbygzqp/1M
iQ5/MSZRsnxklyl01LMsqMm3Y20nBE62LpmAdZCrJcd4G6ZicV/C6acJ9Kq2
Fv9704YJ3OnNjwo2gX+f41740bZh3skCNDriJjAdISJd0dyCzWalcL91MQZn
3aDI6MAW7DRV/tUNTWNYoJ3cdFBpwQaHXTec+Ixh9V7Ob4aUZuxp6gcLn1oj
IJ5XcSS5NmH/FSgEaSgbgS9rQj23aBMWbWwk58xpBPTVVIoTHY3Y4tv0iltL
hsB4uoIu+GwjRlHde77yiyEc4DVKqWFtwOxSHxerKxlCTEvuvviyeoxVdHnE
jMcQuEM4XW/fr8diw4if91IaAj9Ftypzfx0W2OgvrlFlAOL9Dr0G2bVYTvsN
wjM7A/gYW61x5HItlhunyCZNMgBpI6nMOc5a7IgGi6mBnAFcCxzZEKGqwXgP
dwg2UhrAQ50t+Q8J1dvz3dVZOVkfvH6U0JLpq7F+lfeni57pg690YPPE7SrM
Za36vyw3fQhhYXeRgkqM5o7c1X6SPiQ3i33K7irDaMiZ9QrrelBtbSL0jasY
u3yI6QPjDT0IBoYFU9+fGAfV79F9VnqgL1BUsjiNY7ouPyKsyXrQPChkJ1eK
YRYNDpxTknqAtY2qXegtwD6FJlObjOmCWpzB4Kvc75gC95SicK0uVNrke7cH
5WNcjv8l+X/RhcahgGLjk1+x7B73ybnHujC0IIKSgnIwz7RfiSf5deH6t5Ce
AJtsTDXW5rQhgy7MPFj+r+xEFiZ+ufnYzJwOLNKGPPTBMrBQX/uQd+U6cFjw
zz3na8lY7vNpzWE3HRB+H5c3wZaINdkcPTZgpwMX7drH6x69weTpqx8aG+hA
gOfB4SKRCCxRo1Q6TFIHsNK386UDjpgaF4uB2TgZzoYWKzMMbee9LoUa7yAD
5YfPUcP2bhD59gXN2d9kyD7cZXzoQjCEVXebP/1EhlKCXkZEexg04wZ0egnb
5bOZUvE+UWBp9Y7yYRgZ1BwVYtom4sGwtbpjvzsZlAcczlurJgGvSgzZ5ToZ
ZKxiuPuj3oKXxUEJxIYMPLprr8dV3wHhSEkUtSYZ7kd31W1VZ8FgaSH5LC8Z
Fpvuyvxcyob4ODhcxU4GZ5b9Yd4CnyHS4BKWs5cMV4MQI/p7ucDO3fkmbY0E
/WUtn6sS82BCoHk5Z44E1sTb7MG/vwKD0gtr3nESGD2Mb2Y58h2Osz8uZusi
Qc03+VNN5AJo0hajf91CAq3F2sjIe4Uwq+Mw7FNHgl8yDsvmSUXwxZuXubqK
BHCLwpz7zw+w+ywif7uUBF1N1Za3HmCgFaZ3wBknAdf8wWe1zDhw0GveqCsg
gRmLfeHxVByOiiVsPPtKggjprIkXyj8h619BSOpnEiT9HluI7/oJc09obZoy
SZB57ejmR89i0Bphkb6dQYJCWluaQoESSLSfrHZ7R4LK5FjGqpISKAyVox9P
JUEL2szRdvkXlLAQi6rfkmCgi4l3iK4Uxq6tVHImk2DmvrbwwrtSyGsR5WhI
JMHmQV8pKnIZSCvzPl1OIMGeXOwU81QZDLM28QZu+6DhGsIbWg7PbuVW+m1b
aPqExjHZCvBdefV0Ztsyz27rKTVVwBRFnWPZdnuI2HszTbdKiA1jcKXf7o9U
NmhjylkFGcF3vudtx2Nhx+dg/70KSmvemdVvx3uF4rzTHatqcLYuv26+PR6X
1+Huj7eq4WDqRR7y9ni9lGofP0/4DaG/XsZkbOfjeStDYJzqH1D6S81+fztf
r1zVXrwf/APu7jNlX7bzmc7iGfPNrwa8BY7PWxWS4K+pVV0/Wy0o0aZnBf0k
wcUUj6ZR+1pY9tAMti8nwfB8ZNtMbi1MldriGX9IcFP1S+cybR20Hjl9z66J
BAuh9b1bZnWgcazoX0AHCSil9o3uW6uDE8eN//Jvzx//h2KTbKR6kF+8MPpy
ngT7q9VnueLqYVZ7T7HbBgm4HbxWRZEG0I8RPhbMRIbEvDeb0iENIJwb9vDn
ITKI0hRSyvc2gBZ3FvtVITKcTFpiOPekEbgkOYbolMlQMMO2n9zYCJ2atAeo
NcigCjKsRkJNAOV8D1yMyKDXeZ3rYlkT8PkrCny6SYZm8UBeh4PNoKnYEnb/
ARmsPFKP3HZoBjY24qvCQDJcO9An/mhPC7ydVBV8m0YGb31T5RjdVlCS4f/K
MUoGhngXSIhvhdvsv8jJa2QInQw9mzbTCtqS0VkZ+3TgdVA1KTesDYS4G+JO
yerA11+oVX1LOyiparKd9dYBFbYLtm0if0FK7OR4VbQO/Lr4wL7H/S8wZxbO
t3zSgfqt3BuTXB1QcX/Z83GnDkwoSDxisOmEEy+aFRBEF2TYYqtS33dCzq0O
DV1TXbg7Sc+pttQJe4gHBv7e0oXNxKGc/4K7INf5VfetRF1g2ps0Ml/QDfSa
gu6NNHogNufPpUnsAbs7xfVv2fSAZAM/D4j1AEv5io8Lvx6EKn7a/8W1B3Io
pyNblfTg0NTTd1N7e4E2bbr43x09ULY8q18k0wsPEysuJXrpgXXF2tJTs14w
rd3P8j5UD5KSrqmJJffC8SjKuneZeiBhptFjp9QHQkevy0TP6oEKTsXR7tAP
RPz5xX3++mAj+b0g7Xk/vLDnvhPyavt/Fet8ye1LP4yryN/1ztKHMtfeTDaK
AehYCdiq7NAHPbEf2rpRAyCy3zhNVMEAnCPvzh4uGoCfnmIKQfoG2/s7yejx
/gFgfVO04HbNANq6Xv0LkBoEry0uD8rXBnAxzONxSekgFPbRq+jvNQRvgoxI
2PggYIuddZ6ihpByY+SPLcs/kLmUQbygbghj6mbcW1b/wEHpW5GyjyG4rJ/I
U1j4B4qrh+r4GYwgwmHCio5rCMhGUmccjhnB1+ZkYgsMgWlAo2aovhFsZLIa
uDwdgv5OJcXEV9vrCfuZ8Y9HhuHO55/yD1BjsHROrkgjDcO1S7o/79wxBpn/
TFMSXYdBepX5VF+KMXRFFV6IKBuGGX+qyzYsJvD57W3lkOlhaGgy3heqZQKB
2Uc4AzlHwPCwZaaHtwmcqg6of+g4AjdIvfPlGybA2Kb8ye3lCEz8LH9mftoU
BgangpwKR2Clbctx7ZEphGwZq9nvHwUOgRP2PXRmcHkvvcAF+VG48mPOzEbf
DJQ5CzbNbEfhkrbwP8dXZjAsI/CVlDMK58oZ1nFFcyhCml6e6xiFr4qPq+2C
zeElyd8JqMfgBPAT1QbN4Zq5ko6i5Bj4FOt3fc8y396QTIrJmY5BiGNW8PJF
c+C4k0Ar6TkGzXd9w6fZzWH8P6MB4fQxMB39wx9caQbR0flxXGtj4D3cstdR
3gxup9zwYBcch4YeoVLfGVM4l8Nnup88Djkq564TPpjCbLUvE9WbcXjycNOn
QdAUtAiGT0bPTIBTT4BUpKAJ8O2jsRlwnADsP7cL8kPGsMj5Tbnr5QSknvNz
aHtnDImyvIt1/yYg0kfo9bKcMaxdHrv6LXASmm6hxo2GRvDh9xMd//opWKt4
kuieawBe7SfFvdam4NAzicQuHwP4MDdPpcIyDbbXKr6lmmyXE9J6TilNg5m4
kyDFqj5IHmKMEX82DVrUZ4ly6vrgR27fy3p8Bszc6unjZ3ShnZpDSVptBoac
5WgcknRBskjfgWw+A+s93PGrxtvrI8mKX36PZyBlTSDlSqEOCDB9fbReNwOX
lTkiCOFkKKwPnx50noUHR/mu69lpA1NQHQ+V3yzcy6tipObXBjvVfWS+2Nnt
fbr6mm6XFjB89k63KJ6FAN79t95YaIFZ+J2LNaxzUJjkMDpkrglzpvqNXz/P
wQ0lsds3nNThHNMzyubyOdBM+WAXdlIdYsrLpec65uCRNU/l8fVzAArw7Bj1
PFi6p3vr+p+D4ENS5xKN50Hr08hSTIIaiHbu/Rq0OA8Ht170CY2pwoWL5bHW
8otgQ1EbfXT7s5340MySX3sRppCRW4/eAQxEDXMPWC2CmyvxrownwLUautcO
TxZhoPhr0wcJgLvKmvEufxaBvoEUnMuKwFOOyuRAuyXgpqH8pJauDDXHLezJ
bktwtrPz8KK1MrCQR4WYApegIHoAIbMrQ9QThtTwT0swJJygNvZECZKmtdLj
V5egj1qNvfyqIuRXVmXkhixDy/vxB5J68rAxeP6me9IypD6xW6vaLw9AMS6p
nLsMMTEpG5s1p6D01N5M/O8yXF+asuE3OAV1yaTs6qMrcChmIFbR6iQMP/qd
21ewAtROfOltz+SAQ7bmB+PIKmRfUbGo1z8OsjxWXFc2VkFARD1EnOc46NGP
3f3BvAYNFd0X9o9JQ0A3jeRtxTVodvvvkLOvNKwHqbyqC1qDyBaWGRo/Kegf
yLj3UnIdXhnn6Re9lwBCrVLj+Jl1UFMp1cozkgDu7xVSaqbrkN1Ky5qwKQ4m
oYP/Fv5bh9fB5ldVjMWh8vRhY9O6dXhavnrGbp8YZEY8PX7IZQPoRM4H+KcK
w+/Hh545+29A7cFToaHWwjB6PW248tUGfNEgqF/jEIYjqiVv7v/aABmyybCX
/1GImFrb18mxCZI+1lOH7grBQw3H0TffNoF3ppwMrkcgRnZFbfn3JuQuu8nY
yB+BXB6/BL2+TfhT+GTu+LoATM8nmlHs2YLHM8N0Az4CYJfQXnrRcgvmSnFR
gwR+0FrVTBLa2oKN+EaOwglekBCMKGemJ6BeEvylZs95QUbb70cICwG1oyng
Xj/OCyrRDhnBQgRUV0cuSteDB0xOSAYEahNQJEOspJ/jMPjfyAOvyO36GmZv
4x8eguCXaacoEgjoyvsqkRDJQ/Dye7Sk5zsC2rWi0G/Twwnx9A+4HxUSUM3D
FdRx5zjh21tYdu8noLYH+ZEzhw/CaGfFJycpCjQ9r03edoYdponfU6blKVDG
U9IhNp/YYVH8Q9ytMxSoVsOAFu9NdqD0CA66YUyB+th0MzZMsAEXh+EVh/sU
qOcX38LOBVYg6XTw2JZRoP4m14s7jrKAgetv9p5aClTa6o/K1BQzmL0q2nuh
nQK9YdUfkvSNGexH41ctJyjQADX2/lEdZnjka99sxkqJGvSFE6o9meBT0eQz
vQuU6N/c0OFMAiO826xNfnOVEmX8+PWaYeo+SFbJ+T7pRInWtEoFr+nsg6gi
t5Gn3pQol5tbmH7CXvAqIqhVpFOiJG13Qrn+HjAqYllH5ynRMxWPy4K76UBn
c54ldIMSLTy8x0IrnA40VFpEe2io0DK9m1292nRwuijW9BEnFXr5zC+R2O+0
cLRIMCdfhQq9KO1KWEimgeXCk9dkA6jQLUeN21pxRJjdOPjY6wUVmu23lZd1
gQjjp9ci62KpUEL55VN1AkToLfzx69ZHKjRyyv2j9HsqqCzU4P/QQIX+VzZr
plBCCXGFFq2CPETU726RQzk7BURtKE/dESaicjKHFSr7CPDiNC9NsTQRHc52
KrDPJIBvYb+srSoRvVIUNHyRTIDbhdefx10lompcWSeecm8hZwofnePIIaK4
73+Oj43WEdHBbjHpQiLKpX6Tes/KGsK0D92vVUZEl4r8b+Ov15BuS6rWh3+J
6Ero2/y3E6vIg3U/h0EqahTCJwMHo1aQXKXQp5+NqFHFNsPn0gJLSNyl2dt/
rKlR8dBbYX9bFhHvIEPj4avUKNnnpuKD4EXE8C87D/dDavTDfDn1i80FZNoj
5tOTt9RoF8XYp/yReUQ8P6neYJEaTXwgQXQbmUVY+oh51wk0aIua6MqhjFlk
lf5yrC8DDcotkHXI32kWKTcXscvnoUHHS1r4M9dnkMsrHxb41WnQCalk9Rmu
GSRePvfgTCQNqv5mK+vM8iTiZ3NggyGRBr2STLhzLmISuel/r1fwAw2qVsUo
9vzEJHK6VfGdGUaDyrif+djlNoG0u/1QwoZp0FG/nxep9owjbHnl1s8VaFEy
D4vQ8pUR5A6T0d71M7Tom6B3ld8OjyD1Dt3frpJo0TJ9M0bbxmEkhHuR7cwF
WlT4F5u68dlhZK/Xkap5b1rUzsjthL/kEEIkPzplUUuLxhrk6dWKDiKXUugH
S9toUYd7q/MZ4wPIz62XL2T7t9sLKZDXyBxAPLPfT+xdpEX39tpcTVcYQNYP
tCX94KJDQ8v6j/UZ9SPzfbJMQlfo0Put5SfQ972IofKPwtDbdOgeG1/h/nu9
SHa4luOmOx0q1pDQx6vei9zWsC1teUqHlp1R4rk42IOMZwQ/CMymQ2uFfzc0
ifQgA/dGhqc26FDGXlpiR1gnolrvEmFJS4/yCZ8zrIBOJFGccLaCiR59BB5h
nyc7EJsujjeJR+jR0+ONN++RO5AO1bPGxpr0qESjloMNx1+kifENnv+SHq26
+azlaEMrwqeXrjz7mh5N+sxu2OzfilwPzckTTadHtb1e63ogrQiRrTwjqpAe
ZRJOqnzxqQWR45yJvvuPHhV7LS+eEdOMvDyi6iwjz4B651E7Dkc3Ij125AmH
Mwwoi1D2ndtWjYhEiunVBBIDmp6mnFfI34iUiFy3ZrJlQB00WlziPjQg88fC
tSYDGFClksmrYlX1CNx680voJQM6aCKX8vJlPfI0Mx2sXjOgAr3O+zOt6xFB
2aKT1dkMqNQEC2Fmvg657VKeRVXIgI6ktQwz43VIwZd6CaUyBrQvSxBrf1aH
GMkPCbz7y4ByLdAanRetQ+LdZ+J6B7dd8DGTcbkWGc9fO8g5zYCiTyqVbMtq
Efl16pd6qwyofsrRVr3IWsT7NNN+f+Ie9P/Pl9Q+OhT4g3HX3Jgg9dLBXX8+
o7Bmf2zXBG/Vu3Gndk36RZ5pRHc9oH5xSNVk12zkoAb+/3ZtExyuYx6w6w81
bypCwnZ91uDzj63UXbuYdr7vrN11o62Ud7TA3h1HNV4qPyKxa0v1qL0fT+y6
X4Ii/KfGrmeX6t+O3dw1U/DdstPfd03KL2ToM9y342IWUqiYD+OOrT1Nf/fe
YNrxyvwghX82846fRuWf9+tl2XGRwnX7HlG2HbuuwI3T19l3LDh8PmYuimPH
zo2GblTdB3b8dSrU/fp+zh0/EZ1zb1M4tOMJm+Ni8Q+5dqxT9mXrx3vuHaMe
LHups3Ytd+zWQa3cXR8KEzneiO160Dr24nDTrh8sev5iIhze8TshUpCt0a7j
WtMiU8x3HRJEnTxmveu7M0UFrg67RguPTwY82nWr0QH97LRdV9G6WC1l7Loo
v9ZBOWfXSXyBXqWFu745vp7TXr9r2zfmGG/rro0McqvtOnet+PXW4OTQro85
Vs/ITuyaj0d0897srlnqfBiKlnb9f+fndvw/EoyWVw==
         "]]}, 
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJxN23c4V+8fP3B7z7cRJStFkiRFkft1kghvW0YRFSUtIqUlI6RkZJaysopC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         "]]}, 
       {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
        Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwUl3c8198Xx+29tw/ZVMgWUu69SdlZRVb2KA2KfCslI5EU2SEhIVSUTe83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         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->{FontSize -> 18},
      DisplayFunction->Identity,
      Frame->{{False, False}, {False, False}},
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImageSize->Medium,
      Method->{
       "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
        AbsolutePointSize[6], "ScalingFunctions" -> None},
      PlotRange->{All, All},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {580.5, -116.80842387373012`}, 
     ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}], InsetBox[
     GraphicsBox[{{}, {}, 
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF1Xk01Iv7B3BLSFkLlYgkF3WL26IG3fcIdTFjDGPmSnuUQpaS7Lu0ciNL
FJWS7CGJkqIuCuWS7GtkZBn7SN/5nfM7Ps8/z3n98ZznnOc8z3nWHztLtxPg
4+OT5Ofj+7/8+ItBTVdu+J8Xxg6kl3ZScK7dMmx/iR1GjV+HlPH8wyhSZU3J
eWTv4Rd9z7MFlcsnQgnAiasSOg08P7mY5cJfEoriv9sl+ngWTj3aydW8gptG
pyLneNY6tUydaxaJlhMPX8h0UdD2s+ew55Kb0CfHRG7j+fLN0tjJFzFY/3Wb
JJNnHY3YWjf3OPz5IFjHn+fely4io5q3cT7ikmgGz1FWJn86dSdhbGB/aBvP
SpNRupNmyXhw60P6ym4Kpl75NT1NS8Gy1vVeVJ5rLp9xd1tyHwsXLDnXeL6o
bPRk5EUqXk5H9cj3UEAb0t6XteoRpO9X2pziWa1wXY+jexrebVP3Kea5wXRG
/rvmE6Qmt5Y69lKQLtdXmBaWgdKR0+01PAd21dNPdmdCfnnSY+0+CmJfMIzG
zXIgmOQH0X4KBNab3ayfy8Gjnb5iPjw7hxl05aTlor+rNJjDs6HFVt+zS57i
XPXLc6PfKBjrX1rAflGAEF8be5XvFNia/RKocSjE2wVOVDHP73MnaU9WPYP7
6aDTzCEK7vh0sx3ci6BiHbbhLpsCsxUlqt80X4B2eKTEfoSCZxfy3Cq/vEDj
vz1M1VEKVNrSylLDSsBVW3evn+fZRzG2J7pLIXmgxOjiOAWf7+hUjZqVYYJ6
43PjJAWX6v9w7bxfhk1x/4w/n6Jgz5Itq+vmyjBSVf0mZZo3DwdV++y019hq
Gu7nP0tBwHZpAeclb7Df0eCo+08Kfq/6vnvoRQUi/QSN9IWpmFlG/6YpX4nz
r+7ah4pQUW76PPq0ZyVsKw/KfV5KBetD+Mjg9nfomNXY4L+cipA61dSBzPdQ
KN4mIi9NRWvjIan+u9WIdNqUdUCRikerKks3LlQjpfmZ1M91VLixfj9jZ1uD
hsInEg+UqVj6lVvRu/oDuoTjOgVUqdjWFufdE/UR/E2j04KbqKhwdXAffV2H
ctG5FhkSFZorFE2kxupgOvzYWUqPisi8OmUt5XrsrribKb2HChuOzsezfvWg
usvu2GhAxeg5YY0R0id0bBG4GmlChYLn/fbhp58RdWSpVJAtFe5+bX8NpTZC
kr/g5vMQKipbLDOH6hvhl3sYCKdCfneVFPtnI6qvRgnURFBRxilsYjOaELrD
rGb8OhViDpF2P4S+YCBdPNY3nooHlnsDx+yaoXRNZkNENhWN6o+Lpje2Yj7A
2D+wgwqNMCWFGYtWFDQHHc/spsKnJ8Z/xrcV9HUKEe19VKjcCTKe/a8VIu65
d2hsKpxX2jbMhbZhW4SW8rlZKkQWJEZ/9rXD7H7A8HMZcyQ6FK8U+NyJmU27
B8zMzSEX/GfVzYFObE5MGZKyNEdU4tuAjQudGPjnzh9frc0RVvtxeL9GF2Te
tv3jc8gcLjt63t3w7wJ+66rnczaHIb+Yj+LmbjCLQ/hEr5uDHXewd1doDzyK
M/brfjKHfV53QlVCD1JqzyCz0Rxd1SctbHN6EHHLqkS1xRyNC64v/Vt6MD0i
9ZdqrznKToTFVWr3QrZlfsxuyhzRWtlmVu29OGPbWTAnToPee76Cszr9SA2k
RKTv4LlP2ek/aj8MzTdzz+/iWYC8Ude+H03nvjQZ6tKgqxcYIxzTj3WW2l/Y
oIGUw++RNN6PG6HZG+zNaNgdJ6BTnfkNiVa37X4dp2HnqSXP1VQHsY71dEtz
DM+hqq5XdQfxNo9yXDae53uGGuP0QQReVdJnJNKwozUkvjRwEKSeSwMd92jY
ThPysuoYhLS9CGt9Dg3bdgnrBiV8h5vPZVfrahq0li4tbZNiY3m16cO7Syzw
MDjixVM1NnxEYwrlllpA8dey4gg9NuZ/b9OOWm6BZVPiz3acYuNRdLFL5AoL
9PWszL32io27tV57i5QtkPBKKVXfeRgiNkJ9WfoWELygcy2p+gec9ylOGHlZ
YMjtadaWN6PoPV2WGr1ggVN5r7MEa0cR4W07ZCVIR/9YbdaXr6O4aB3csmYp
Hd0u7Kyg8VFQBRT+zZWm46vzxuzG9WOgT58iyW+ko+p0bLZfwBiymH6RdWZ0
pB/zzvmoP46wjvRNw3fpUL8XkXP/r3FUfOhq+CuVjoddsTmejHG8T+pPeZJO
x70j+TkqTuPAMdMivwI6Eg4N53gkjiPfotJGs5qOyzaHc9dxx1Gzp3D96Wk6
HOh785yLOPjmyaiStLIELbzwnNhbDloae8xH/rbEzhINnfRaDnZzBm81HLaE
gJpUSV8/B6G6mhE5ZyyRONtaYSs7gYq58M6sYEvUJXs0m7hNwOC3suSafEvs
GnnM99vmSVTZndKqWmsF4atS5h13p5DXvOHBwoIV1F3ytxekTyE7K7dDVpgB
EyuW/JWCKSh+JR/ZLs7AdYXkvp3VUzieIXQwfC0Dsplbfa5PTWFFgmxw2C4G
VD9SH+tTplH/7ddZVxcGyFLXBBPnpuGv5/16cw8Dxya0Bl2FZmAmZTaV+p2B
kC8NH/dJzcBt60c1jXEG3icrJHA2ziD9krocld8aNO0MLVOLGVyoaQiWU7bG
IXr1wblHM/Af6MmtOGwNn2jRIhZjFpqTKmeaBqxxZM7rzuqjs5AKElVIG7eG
0RF2yBfHWcRFkGyuzFtDYnOtBStkFmdFnZIuSzGR/CZ6iPmU509si3O7mXg7
rqTElJ5DEIO/aNcNJtJYUUKrFOcw7GWtZp3AxLWXAuxG9Tns5VurciWVCevL
fUXWmMPJuKNb9UuYGFj/hG59dg69w8ET1d+ZELPYGcb4MAfhqpbdbDMWRgsf
Oco2z2FCYzAv528W/lNYY/lf7xz+ta7edtOehTsDXCXG/BxSalS18gNYCKI6
Ccsu5cJzzY97nGssnMxvZzes5KLgNV3M8jYLZvK0z9FKXLh1SP34lMaCVsDr
51abuMjieNS4F7Ig0/9HsowOF74HboquLGFh1vRBWIMBF7ILHcn8GSy058o6
RVO5KE/p05RKZKF8VbillQ0XMj4PnPdcZeGh78xuGXsu9rzbs/2qDwtXehyU
G1y5ONMyZjjryIJVttmwZQQXak7TrlpUFnbJvvy8MoYLrUYptbk9LCh6by3+
nMxF69O3Vt1bWeg3XhFuWcTl/dk+/5aVLHi2NylbfuOi8ZzSbwtdTCSKH7ei
G82DnDei6hfERImK0CET2jwSj7ul5lxgolXn0UmDA/PgbKc7TTgyoXBsyOsP
13m0Rzq/zGIycbvQPWVF0jxMxuSXf/udiYTDIT8+Tczjn5lSxy1t1ojPTb1k
+eAnagrXKQUbWeMWY6DESvAXsp60vsr5g4Emb0bHm2Y+stuq2taSnbx7Efp2
UdFcgGxn62s6vNkCIh7XvbyfCJJv6GsznId4/1apP3rNRiFysFhRfmO0KQ6e
b+XWxgqTFRwuyrg93o/5vIH3l8dEyK6KG/rjdY0xpp6aHXpKlBx8+dXWyZ69
oIddmA+pXEb+eetkm8gEGaIKc8feksXIFpozm35bA9QeWiunUChONtgk6yL0
Sw+eugFhES/EyT8Ebqt94ehBeXXf1FSZOLkHOYY5A3pwq89qqq8WJ6c/Hsh0
+aQHOUOD+PAucbJMsu2Y9kM92Go4KHDEJMha+yvi86l6GOAUqlQdlyD7WXV6
Pr6vi6i6tTd1HCTIL8mJaarxuiBlBgimOkuQe21GOA+u6+KKvUmv/0UJcrum
dEP+RV1saW5L3XFDgiy41umiNE0X514u0UgpliB3V8dalfwkQfG2Q7xEmQRZ
3KNF/RKHhMoLH0V9KiTIpkajHNYgCau0475b10mQlXZetBP9j4Ti+5syxPol
yHW+6R6pGSQcD4hU8BqSIPffWFked48EsYOTV7+NSpCL6brjkXEkHJJ75VTO
5dXf+jB9I4QEEc6G9q38kmT+4NL3t7xIyKm9RE0SliTbzXqcv+dCAn8Efaun
tCS5NcLm7/e2JFxVW5dss0qSHBhbby9OJ0Hu7aCUvqIk2XAmQ4m1j4TkowWB
ShskyXTpNYFpeiRo/goY59eQJPP9f+Qnmh3v3UJ4D2l1Q+V2wvTz2QVXQLh1
hbeaszFh+xzjWJoZYa+hNk9ZFuF7R8X07p4lvPlXU0bgecKFifcVT3gTrmoi
/VIPJ8yhOJTn3SFsSKrcX/mB8MemqOdpnwmzzh/UvNJM2DFnYjmtj3CM2oba
5nnC7qJl6VOyUot+O6mgvcyIMGuU6vbvPsLs7wFPL5kQluns3SFCI3yiKoO0
5ABhwbt6hgsuhA322zLHEwm/Srjt+3WCMPmWw+jOFOlF/8iUdNlmu2LRFs/L
VPKWrVx0R+df3XXvCE8eUnnvHSiz6Nd1Ql1pW2QX/ezQa2GP74RPdIYfroiX
W3R8UVJ7stGqRc9kXDmtwLd60eIxIRryWYQp8YzJZ6fXLHpvlPZEk7w80b/D
dk3IO8KnTY6Y1gWtXfS/ac45d7QVFm25gaEiPkL4xMTlYpHHisT+PK8ODbFe
t+h1Cb0HU1YoLfqd81IHlBPm1uh/2KGjvOg0l+OOt6MJa1+X2Fg+RNg5QdZ0
3zDh9IcKrjU/CKu80ixtHCO8YtSYMTRNeMLCP1RmyXpiv2VH++wVCI+vn17O
ViS8ZcuCtqsS4YfGYn7eKoRjL6jLRaoT9mw+Yvx8O+H8vpOOe3YSHh1z/ueN
DmGHZb7tH0iEbXTjPbpB+Na+5MSTBoQ/WT4qZ+8lbOJYIDFtTDjMs2S7z37C
5SFvbPhNCC9EVgWEmRLWTap/uJxC+H/pdN6f
         "]]}, 
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwV1Wk0FHwbBnBblsJMoWJsI4R6ilIyQ13/isoyGNsk7VEKWUqypWxp5WlD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         "]]}, 
       {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
        Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1Hk01V0XB/BLpjTJWC65V/SUp8FUQup7kiEpGVMhfpeLQoaSRPEkSqVE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         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->{FontSize -> 18},
      DisplayFunction->Identity,
      Frame->{{False, False}, {False, False}},
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImageSize->Medium,
      Method->{
       "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
        AbsolutePointSize[6], "ScalingFunctions" -> None},
      PlotRange->{All, All},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {967.5, -116.80842387373012`}, 
     ImageScaled[{0.5, 0.5}], {360, 222.49223594996212`}]}, {}},
  ContentSelectable->True,
  ImageSize->{1173., 245.61684774746024`},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.795436719932225*^9, {3.7954368015638943`*^9, 3.7954368250282364`*^9}, 
   3.795436857776109*^9, 3.795437086403186*^9, 3.7954375322116847`*^9, 
   3.7954382056532035`*^9, 3.7954400460974708`*^9, 3.7954430009644794`*^9, 
   3.7954441255958047`*^9}]
}, Open  ]]
}, Closed]]
}, Closed]]
},
CellGrouping->Manual,
WindowSize->{1350, 696},
WindowMargins->{{-1, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1891, 43, 252, "Input"],
Cell[CellGroupData[{
Cell[2474, 67, 255, 3, 70, "Section"],
Cell[2732, 72, 790, 20, 112, "Input",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[3547, 96, 159, 2, 49, "Subsection"],
Cell[CellGroupData[{
Cell[3731, 102, 99, 1, 29, "Item"],
Cell[CellGroupData[{
Cell[3855, 107, 41683, 683, 672, "Input"],
Cell[45541, 792, 865, 16, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[46455, 814, 156, 2, 25, "Item"],
Cell[CellGroupData[{
Cell[46636, 820, 20468, 342, 412, "Input"],
Cell[67107, 1164, 1127, 18, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[68283, 1188, 155, 2, 25, "Item"],
Cell[CellGroupData[{
Cell[68463, 1194, 41682, 854, 1432, "Input"],
Cell[110148, 2050, 88899, 1517, 502, "Output"],
Cell[199050, 3569, 4513, 67, 23, "Print"],
Cell[203566, 3638, 4548, 67, 23, "Print"],
Cell[208117, 3707, 4551, 67, 23, "Print"],
Cell[212671, 3776, 4500, 65, 23, "Print"],
Cell[217174, 3843, 4495, 65, 23, "Print"],
Cell[221672, 3910, 4498, 65, 23, "Print"],
Cell[226173, 3977, 4394, 62, 23, "Print"],
Cell[230570, 4041, 4434, 63, 23, "Print"],
Cell[235007, 4106, 4480, 65, 23, "Print"],
Cell[239490, 4173, 4542, 68, 23, "Print"],
Cell[244035, 4243, 4408, 62, 23, "Print"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[248504, 4312, 257, 4, 49, "Subsection"],
Cell[248764, 4318, 27491, 710, 1612, "Input"],
Cell[CellGroupData[{
Cell[276280, 5032, 1035, 27, 31, "Input"],
Cell[277318, 5061, 679, 13, 23, "Print"],
Cell[278000, 5076, 679, 13, 23, "Print"],
Cell[278682, 5091, 681, 13, 23, "Print"],
Cell[279366, 5106, 679, 13, 23, "Print"],
Cell[280048, 5121, 679, 13, 23, "Print"],
Cell[280730, 5136, 678, 13, 23, "Print"],
Cell[281411, 5151, 681, 13, 23, "Print"],
Cell[282095, 5166, 682, 13, 23, "Print"],
Cell[282780, 5181, 681, 13, 23, "Print"],
Cell[283464, 5196, 10680, 216, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[294181, 5417, 27683, 733, 1252, "Input"],
Cell[321867, 6152, 1691, 25, 23, "Print"],
Cell[323561, 6179, 1687, 25, 23, "Print"],
Cell[325251, 6206, 1754, 28, 23, "Print"],
Cell[327008, 6236, 1598, 24, 23, "Print"],
Cell[328609, 6262, 1676, 26, 23, "Print"],
Cell[330288, 6290, 1683, 26, 23, "Print"],
Cell[331974, 6318, 1703, 25, 23, "Print"],
Cell[333680, 6345, 1750, 28, 23, "Print"],
Cell[335433, 6375, 1780, 28, 23, "Print"],
Cell[337216, 6405, 325648, 5784, 745, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[662901, 12194, 4646, 118, 492, "Input"],
Cell[667550, 12314, 600, 10, 23, "Print"],
Cell[668153, 12326, 635, 12, 23, "Print"],
Cell[668791, 12340, 630, 12, 23, "Print"],
Cell[669424, 12354, 632, 12, 23, "Print"],
Cell[670059, 12368, 666, 13, 23, "Print"],
Cell[670728, 12383, 695, 13, 23, "Print"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[671484, 12403, 334, 4, 70, "Section"],
Cell[CellGroupData[{
Cell[671843, 12411, 99, 1, 30, "Item"],
Cell[CellGroupData[{
Cell[671967, 12416, 41896, 699, 739, "Input"],
Cell[713866, 13117, 821, 16, 76, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[714736, 13139, 156, 2, 26, "Item"],
Cell[CellGroupData[{
Cell[714917, 13145, 20470, 346, 475, "Input"],
Cell[735390, 13493, 983, 16, 76, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[736422, 13515, 155, 2, 26, "Item"],
Cell[CellGroupData[{
Cell[736602, 13521, 41682, 854, 1575, "Input"],
Cell[778287, 14377, 88883, 1517, 551, "Output"],
Cell[867173, 15896, 4463, 66, 25, "Print"],
Cell[871639, 15964, 4501, 66, 25, "Print"],
Cell[876143, 16032, 4499, 66, 25, "Print"],
Cell[880645, 16100, 4445, 64, 25, "Print"],
Cell[885093, 16166, 4447, 64, 25, "Print"],
Cell[889543, 16232, 4450, 64, 25, "Print"],
Cell[893996, 16298, 4342, 61, 25, "Print"],
Cell[898341, 16361, 4392, 63, 25, "Print"],
Cell[902736, 16426, 4428, 64, 25, "Print"],
Cell[907167, 16492, 4492, 67, 25, "Print"],
Cell[911662, 16561, 4354, 61, 25, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[916065, 16628, 249, 3, 26, "Item"],
Cell[916317, 16633, 25586, 655, 1685, "Input"],
Cell[941906, 17290, 20990, 538, 1355, "Input"],
Cell[CellGroupData[{
Cell[962921, 17832, 1035, 27, 33, "Input"],
Cell[963959, 17861, 609, 12, 25, "Print"],
Cell[964571, 17875, 606, 12, 25, "Print"],
Cell[965180, 17889, 712, 13, 42, "Message"],
Cell[965895, 17904, 609, 12, 25, "Print"],
Cell[966507, 17918, 606, 12, 25, "Print"],
Cell[967116, 17932, 714, 13, 42, "Message"],
Cell[967833, 17947, 606, 12, 25, "Print"],
Cell[968442, 17961, 714, 13, 42, "Message"],
Cell[969159, 17976, 558, 11, 22, "Message"],
Cell[969720, 17989, 607, 12, 25, "Print"],
Cell[970330, 18003, 606, 12, 25, "Print"],
Cell[970939, 18017, 10622, 215, 84, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[981598, 18237, 13593, 339, 959, "Input"],
Cell[995194, 18578, 314, 6, 25, "Print"],
Cell[995511, 18586, 315, 6, 25, "Print"],
Cell[995829, 18594, 252, 6, 25, "Print"],
Cell[996084, 18602, 297, 6, 25, "Print"],
Cell[996384, 18610, 310, 7, 25, "Print"],
Cell[996697, 18619, 334, 7, 25, "Print"],
Cell[997034, 18628, 373, 9, 25, "Print"],
Cell[997410, 18639, 403, 9, 25, "Print"],
Cell[997816, 18650, 154228, 2627, 819, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1152081, 21282, 4687, 119, 540, "Input"],
Cell[1156771, 21403, 317, 6, 25, "Print"],
Cell[1157091, 21411, 358, 8, 25, "Print"],
Cell[1157452, 21421, 345, 8, 25, "Print"],
Cell[1157800, 21431, 342, 8, 25, "Print"],
Cell[1158145, 21441, 381, 9, 25, "Print"],
Cell[1158529, 21452, 416, 9, 25, "Print"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1159006, 21468, 285, 3, 56, "Section"],
Cell[CellGroupData[{
Cell[1159316, 21475, 159, 2, 52, "Subsection"],
Cell[CellGroupData[{
Cell[1159500, 21481, 99, 1, 30, "Item"],
Cell[1159602, 21484, 32412, 507, 475, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[1192051, 21996, 156, 2, 26, "Item"],
Cell[1192210, 22000, 13366, 232, 408, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[1205613, 22237, 155, 2, 26, "Item"],
Cell[CellGroupData[{
Cell[1205793, 22243, 34057, 646, 1025, "Input"],
Cell[1239853, 22891, 12033, 200, 245, "Output"],
Cell[1251889, 23093, 12728, 212, 247, "Output"],
Cell[1264620, 23307, 12815, 213, 252, "Output"],
Cell[1277438, 23522, 4139, 60, 25, "Print"],
Cell[1281580, 23584, 4252, 63, 25, "Print"],
Cell[1285835, 23649, 4252, 63, 25, "Print"],
Cell[1290090, 23714, 4204, 61, 25, "Print"],
Cell[1294297, 23777, 4199, 61, 25, "Print"],
Cell[1298499, 23840, 4201, 61, 25, "Print"],
Cell[1302703, 23903, 4096, 58, 25, "Print"],
Cell[1306802, 23963, 4146, 60, 25, "Print"],
Cell[1310951, 24025, 4179, 61, 25, "Print"],
Cell[1315133, 24088, 4254, 64, 25, "Print"],
Cell[1319390, 24154, 4110, 58, 25, "Print"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1323561, 24219, 257, 4, 52, "Subsection"],
Cell[1323821, 24225, 20946, 538, 1332, "Input"],
Cell[CellGroupData[{
Cell[1344792, 24767, 1035, 27, 33, "Input"],
Cell[1345830, 24796, 710, 13, 42, "Message"],
Cell[1346543, 24811, 582, 11, 25, "Print"],
Cell[1347128, 24824, 584, 11, 25, "Print"],
Cell[1347715, 24837, 518, 10, 22, "Message"],
Cell[1348236, 24849, 587, 11, 25, "Print"],
Cell[1348826, 24862, 710, 13, 42, "Message"],
Cell[1349539, 24877, 584, 11, 25, "Print"],
Cell[1350126, 24890, 584, 11, 25, "Print"],
Cell[1350713, 24903, 584, 11, 25, "Print"],
Cell[1351300, 24916, 584, 11, 25, "Print"],
Cell[1351887, 24929, 582, 11, 25, "Print"],
Cell[1352472, 24942, 10625, 216, 84, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1363134, 25163, 9943, 246, 628, "Input"],
Cell[1373080, 25411, 1087, 18, 25, "Print"],
Cell[1374170, 25431, 1098, 18, 25, "Print"],
Cell[1375271, 25451, 1135, 18, 25, "Print"],
Cell[1376409, 25471, 1131, 18, 25, "Print"],
Cell[1377543, 25491, 1145, 18, 25, "Print"],
Cell[1378691, 25511, 1169, 19, 25, "Print"],
Cell[1379863, 25532, 1220, 21, 25, "Print"],
Cell[1381086, 25555, 15941, 297, 286, "Output"],
Cell[1397030, 25854, 87726, 1478, 286, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]]
}
]
*)

(* End of internal cache information *)
