(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   1295895,      23514]
NotebookOptionsPosition[   1291433,      23371]
NotebookOutlinePosition[   1291799,      23387]
CellTagsIndexPosition[   1291756,      23384]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SetDirectory", "[", "\"\<C:\\\\SrBEC\\\\Mathematica\>\"", "]"}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "change", " ", "folder", " ", "location", " ", "to", " ", "find", " ", 
    "the", " ", "right", " ", "packages"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ComputerArithmetic`"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "SetDirectory", "[", 
     "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
   " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LaunchKernels", "[", "4", "]"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "put", " ", "your", " ", "favorite", " ", "number", " ", "of", " ", 
    "kernels"}], " ", "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7286202174860296`*^9, 3.728620217703042*^9}, {
   3.728711424316966*^9, 3.728711424667986*^9}, {3.7318186909359274`*^9, 
   3.7318186914469566`*^9}, {3.7362219622568893`*^9, 3.736221963848092*^9}, {
   3.750685517644865*^9, 3.7506855815085177`*^9}, {3.751015397460146*^9, 
   3.751015405152586*^9}, {3.751686861017559*^9, 3.7516868614915867`*^9}, {
   3.7789356108208427`*^9, 3.778935614772069*^9}, {3.7809130088505454`*^9, 
   3.780913009292571*^9}, 3.7915557935610447`*^9, {3.795004814206807*^9, 
   3.7950048152708683`*^9}, {3.800438737167503*^9, 3.800438741826769*^9}, {
   3.8056523838976965`*^9, 3.805652384190713*^9}}],

Cell[CellGroupData[{

Cell["Potential landscape", "Section",
 CellChangeTimes->{{3.720181220017393*^9, 3.7201812301199703`*^9}, {
  3.7812432431539845`*^9, 3.7812432476842437`*^9}, {3.790852550797225*^9, 
  3.7908525633169413`*^9}}],

Cell[CellGroupData[{

Cell["Polarizations", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 3.6822405592526093`*^9}, {
  3.8044114867119093`*^9, 3.804411492690251*^9}}],

Cell[CellGroupData[{

Cell["Polarization projection", "Subsubsection",
 CellChangeTimes->{{3.78472774766945*^9, 3.784727752293062*^9}, 
   3.784818115542671*^9},
 ExpressionUUID -> "a554e5f6-e751-4801-a640-66c03871f646"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "Folling", " ", "the", " ", "aproch", " ", "of", " ", "Jooks", " ", 
    "lecture", " ", "notes", " ", "Ch11", " ", "and", " ", "12", " ", "\\\\", 
    RowBox[{
     RowBox[{"public", ".", "uva", ".", "nl"}], "\\", "fnwi"}]}], "-", 
   RowBox[{
    RowBox[{
    "public", "\\", "qgases", "\\", "groups", "\\", "strontium", "\\", 
     "RodrigoGonzalezEscudero", "\\", "Bibliography", "\\", "Lecture"}], " ", 
    "Notes"}]}], " ", "*)"}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.784816505715234*^9, 3.7848165084811697`*^9}},
 ExpressionUUID -> "2b7f1ea6-f698-4c2b-a3dd-2ffa39938ac4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Coordinate", " ", "system", " ", "used", " ", "Follows"}], " ", 
   "*)"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Assume", " ", "quantization", " ", "axis", " ", "on", " ", "Z"}], 
   " ", "*)"}]}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.7848158997291517`*^9, 3.7848159219015875`*^9}, {
  3.7848160063547964`*^9, 3.784816007667451*^9}},
 ExpressionUUID -> "d6550d01-3937-4090-8a90-461a75dd3d1d"],

Cell[BoxData[
 RowBox[{
  GraphicsBox[
   TagBox[RasterBox[CompressedData["
1:eJzsnQdAFMf+xwVE00xMLyZ5Ly/+U15emtGoMU2Nxphijd1YsCRq7L2LJfYe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     "], {{0, 377}, {954, 0}}, {0, 255},
     ColorFunction->RGBColor],
    BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
    Selectable->False],
   DefaultBaseStyle->"ImageGraphics",
   ImageSize->{795.0909090909079, Automatic},
   ImageSizeRaw->{954, 377},
   PlotRange->{{0, 954}, {0, 377}}], ";"}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{3.784816518432972*^9},
 ExpressionUUID -> "6d2adfa1-a756-4458-a5c3-46d0e54c05ca"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Polarization", " ", "of", " ", "light", " ", "decomposition", " ", "For", 
    " ", "example", " ", "Right", " ", "circular", " ", "would", " ", "be", 
    " ", 
    FractionBox[
     RowBox[{"-", "1"}], 
     RowBox[{"\[Sqrt]", "2"}]], 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["\[Epsilon]", "\[Alpha]"], "+", " ", 
      RowBox[{"I", "*", 
       SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], ")"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kvector", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Alpha]"], "=", "  ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", "\[Phi]", "]"}], ",", 
       RowBox[{"-", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", "0"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Beta]"], "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"-", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Spherical", " ", "basis", " ", "for", " ", "the", " ", "unit", " ", 
      "vectors"}], ",", " ", 
     RowBox[{
     "assuming", " ", "quantization", " ", "axis", " ", "on", " ", "Z", " ", 
      "direction"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox["U", "+"], "=", 
     RowBox[{
      RowBox[{"-", " ", 
       FractionBox["1", 
        RowBox[{"\[Sqrt]", "2"}]]}], "*", 
      RowBox[{"{", 
       RowBox[{"1", ",", "I", ",", "0"}], "}"}]}]}], ";", 
    RowBox[{
     SubscriptBox["U", "-"], "=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"\[Sqrt]", "2"}]], "*", 
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"-", "I"}], ",", "0"}], "}"}]}]}], ";", 
    RowBox[{
     SubscriptBox["U", "0"], "=", " ", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Typical", " ", "light", " ", "polarizations"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LightPolarizationCR", "=", " ", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SubscriptBox["\[Epsilon]", "\[Alpha]"], "+", 
        RowBox[{"I", "*", 
         SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], 
       RowBox[{"\[Sqrt]", "2"}]]}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"Circular", " ", "right"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LightPolarizationCL", "=", " ", 
     FractionBox[
      RowBox[{
       SubscriptBox["\[Epsilon]", "\[Alpha]"], "-", 
       RowBox[{"I", "*", 
        SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], 
      RowBox[{"\[Sqrt]", "2"}]]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"Circular", " ", "Left"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LightPolarizationL", "=", " ", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SubscriptBox["\[Epsilon]", "\[Alpha]"], "-", 
        SubscriptBox["\[Epsilon]", "\[Beta]"]}], 
       RowBox[{"\[Sqrt]", "2"}]]}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"Lineal", " ", "45", " ", "degree"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LightPolarizationY", "=", " ", 
       RowBox[{"-", 
        SubscriptBox["\[Epsilon]", "\[Alpha]"]}]}], ";"}], 
     RowBox[{"(*", 
      RowBox[{"Y", " ", "axis"}], " ", "*)"}], ";", 
     RowBox[{"LightPolarizationX", "=", " ", 
      RowBox[{"-", 
       SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], ";"}], 
    RowBox[{"(*", 
     RowBox[{"X", " ", "axis"}], " ", "*)"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.795005671685852*^9, 3.7950057011645384`*^9}, {
  3.804408605228098*^9, 3.804408624033173*^9}, {3.804408966934786*^9, 
  3.8044089672088013`*^9}},
 ExpressionUUID -> "52ba7409-2956-48c5-8c17-134a563bf3f3"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"10.", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"20.", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationCR"}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"pol", " ", "=", " ", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"LightPolarization", ".", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["U", "-"], "]"}]}], " ", ",", 
      RowBox[{"LightPolarization", ".", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["U", "0"], "]"}]}], ",", 
      RowBox[{"LightPolarization", ".", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
     RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], 
    "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPol", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPol"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044088294759235`*^9, 3.8044088301069603`*^9}, {
   3.804408933577878*^9, 3.804408950305835*^9}, {3.8044089809585876`*^9, 
   3.8044090769830804`*^9}, 3.8044114067873373`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "0.0025980272461017862`"}], "+", 
    RowBox[{"0.007138021193792534`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.12278780396897285`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.339422116079567`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.9325545995921158`", " ", "\[ImaginaryI]"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.8044089511698847`*^9, 3.8044089873799553`*^9}, {
   3.8044090533187265`*^9, 3.8044090773741026`*^9}, 3.8044114070913553`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.00759612349389599`", ",", "0.12278780396897285`", ",", 
     "0.9924038765061041`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.00759612349389599, 0.12278780396897285`, 
   0.9924038765061041}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409053333728*^9, 3.8044090773791027`*^9}, 
   3.8044114070983553`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Application to the SSBEC case", "Subsubsection",
 CellChangeTimes->{{3.78472774766945*^9, 3.784727752293062*^9}, 
   3.784818115542671*^9, {3.8044113684461446`*^9, 3.8044113815838957`*^9}},
 ExpressionUUID -> "a554e5f6-e751-4801-a640-66c03871f646"],

Cell[CellGroupData[{

Cell["Polarizability 3P1 and orientation of the Bfield", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.804411142965248*^9}, {
  3.80441129824813*^9, 3.8044113385044317`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Polarisability at \[Lambda] = \"\>", "\[InvisibleSpace]", 
   "1070.0000000000002`", "\[InvisibleSpace]", "\<\" nm: \"\>", 
   "\[InvisibleSpace]", 
   TagBox[
    TagBox[GridBox[{
       {
        StyleBox["\[Null]",
         ShowStringCharacters->False], 
        TagBox["\<\"mG\"\>",
         HoldForm], 
        TagBox[
         StyleBox["\<\"\[Null]\"\>",
          ShowStringCharacters->False],
         StyleForm[#, ShowStringCharacters -> False]& ], 
        TagBox[
         StyleBox["\<\"\[Null]\"\>",
          ShowStringCharacters->False],
         StyleForm[#, ShowStringCharacters -> False]& ]},
       {
        TagBox["\<\"\\!\\(\\*SuperscriptBox[\\(\[Sigma]\\), \\(-\\)]\\)\"\>",
         HoldForm], "76.13020612399345`", "189.54863819001014`", 
        "227.06173742557797`"},
       {
        TagBox["\<\"\[Pi]\"\>",
         HoldForm], "189.54863819001014`", "113.64330535956125`", 
        "189.54863819001014`"},
       {
        TagBox["\<\"\\!\\(\\*SuperscriptBox[\\(\[Sigma]\\), \\(+\\)]\\)\"\>",
         HoldForm], "227.06173742557797`", "189.54863819001014`", 
        "76.13020612399345`"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxDividers->{
       "Columns" -> {False, True, {False}, False}, "ColumnsIndexed" -> {}, 
        "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[2.0999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
    Function[BoxForm`e$, 
     TableForm[
     BoxForm`e$, 
      TableHeadings -> {{
        "\!\(\*SuperscriptBox[\(\[Sigma]\), \(-\)]\)", "\[Pi]", 
         "\!\(\*SuperscriptBox[\(\[Sigma]\), \(+\)]\)"}, {"mG"}}]]], 
   "\[InvisibleSpace]", "\<\" atomic unit\"\>"}],
  SequenceForm["Polarisability at \[Lambda] = ", 1070.0000000000002`, " nm: ", 
   TableForm[{{76.13020612399345, 189.54863819001014`, 227.06173742557797`}, {
    189.54863819001014`, 113.64330535956125`, 189.54863819001014`}, {
    227.06173742557797`, 189.54863819001014`, 76.13020612399345}}, 
    TableHeadings -> {{
      "\!\(\*SuperscriptBox[\(\[Sigma]\), \(-\)]\)", "\[Pi]", 
       "\!\(\*SuperscriptBox[\(\[Sigma]\), \(+\)]\)"}, {"mG"}}], 
   " atomic unit"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7223605702948856`*^9, 3.7223606601650095`*^9, 3.722360803942258*^9, 
   3.722363884038416*^9, 3.728059793197576*^9, 3.7385584120832872`*^9, 
   3.7385800450062733`*^9, 3.739525298765008*^9, 3.7395259111110325`*^9, 
   3.739525964949112*^9, 3.739526222495843*^9, 3.739526346978963*^9, 
   3.73952716305964*^9, 3.7395274859951105`*^9, 3.7395275368400187`*^9, 
   3.762606972718157*^9, 3.762607140501753*^9, 3.762607895081913*^9, 
   3.769850159467898*^9, 3.7698502183422656`*^9, {3.7844614557190924`*^9, 
   3.7844614806335173`*^9}, 3.794991431113338*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]3P1IPGTab", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"76", ",", "190", ",", "227"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"190", ",", "114", ",", "190"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"227", ",", "190", ",", "76"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Bfield", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0.42", ",", "0.74"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"from", " ", 
    RowBox[{"onenote", ":", "  ", 
     RowBox[{"190508", "-", " ", "SSBEC", " ", "-", " ", 
      RowBox[{
      "SSBEC", " ", "reservoir", " ", "local", " ", "B", " ", "field", " ", 
       "map"}]}]}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BfieldNormed", " ", "=", 
   RowBox[{"Bfield", "/", 
    RowBox[{"Norm", "[", "Bfield", "]"}]}]}], " ", ";"}]}], "Input",
 CellChangeTimes->{{3.804408844202766*^9, 3.8044088745235004`*^9}, {
  3.8044091034285927`*^9, 3.804409108747897*^9}, {3.8044113143010473`*^9, 
  3.8044113179772577`*^9}, {3.8056521129672003`*^9, 3.805652113160211*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Effect of the sheet DT", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.8044110985977097`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"ArcCos", "[", 
    RowBox[{"BfieldNormed", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"0", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationCR"}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pol", " ", "=", " ", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "-"], "]"}]}], " ", ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "0"], "]"}]}], ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
      RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPol", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diff\[Alpha]PolarSheet", " ", "=", " ", 
    RowBox[{"\[Alpha]PolarIPGSr", "-", 
     RowBox[{
      RowBox[{"Norm", "[", 
       RowBox[{"normPol", " ", "*", " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"\[Alpha]3P1IPGTab", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}], "^", "2."}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DepthSheet", " ", "=", " ", 
   RowBox[{"10.54307751418125`", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "ctePlanckOverkB"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diffLightShiftSheet", " ", "=", " ", 
    RowBox[{"DepthSheet", " ", "*", " ", 
     RowBox[{"diff\[Alpha]PolarSheet", "/", "\[Alpha]PolarIPGSr"}]}]}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPol"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Sheet depth on 1S0 at dimple location: \>\"", ",", 
   RowBox[{"DepthSheet", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz which is: \>\"", ",", 
   RowBox[{"DepthSheet", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential polarizability 1S0-3P1 from the sheet on mF=0: \>\"", ",",
    "diff\[Alpha]PolarSheet", ",", "\"\< a.u.\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential light shift on 1S0-3P1 from the sheet on mF=0: \>\"", ",", 
   RowBox[{"diffLightShiftSheet", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044082612934256`*^9, 3.8044083847984896`*^9}, {
   3.8044084172363453`*^9, 3.8044084391265974`*^9}, {3.804408496642887*^9, 
   3.804408563356703*^9}, {3.8044086650335183`*^9, 3.804408665886567*^9}, 
   3.8044087628051105`*^9, {3.8044088334571514`*^9, 3.80440883360816*^9}, {
   3.8044091120900884`*^9, 3.8044091900175457`*^9}, {3.8044092575084057`*^9, 
   3.804409302565983*^9}, {3.804409373810058*^9, 3.8044093974804115`*^9}, {
   3.804409448958356*^9, 3.8044094492753744`*^9}, 3.8044094864124985`*^9, {
   3.8044095860421968`*^9, 3.804409601217065*^9}, {3.8044096990636616`*^9, 
   3.804409702382851*^9}, {3.804409792598011*^9, 3.80440981355321*^9}, {
   3.8044098580337543`*^9, 3.8044098646001296`*^9}, {3.8044098972059946`*^9, 
   3.80440990621751*^9}, {3.8044099367192545`*^9, 3.8044099806397667`*^9}, {
   3.804410018519933*^9, 3.8044103647667375`*^9}, {3.8044104017968554`*^9, 
   3.804410406019097*^9}, {3.8044111922810683`*^9, 3.804411195545255*^9}, {
   3.804415159982008*^9, 3.804415184607416*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.06515704238190168`", ",", "0.3490318100401301`", ",", 
     "0.9348429576180983`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.06515704238190168, 0.3490318100401301, 0.9348429576180983}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sheet depth on 1S0 at dimple location: \"\>", 
   "\[InvisibleSpace]", "219.68209055071392`", 
   "\[InvisibleSpace]", "\<\" kHz which is: \"\>", "\[InvisibleSpace]", 
   "10.54307751418125`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Sheet depth on 1S0 at dimple location: ", 219.68209055071392`, 
   " kHz which is: ", 10.54307751418125, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184901433*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential polarizability 1S0-3P1 from the sheet on mF=0: \"\
\>", "\[InvisibleSpace]", "53.258563535911605`", 
   "\[InvisibleSpace]", "\<\" a.u.\"\>"}],
  SequenceForm[
  "Differential polarizability 1S0-3P1 from the sheet on mF=0: ", 
   53.258563535911605`, " a.u."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.8044151849044333`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential light shift on 1S0-3P1 from the sheet on mF=0: \"\
\>", "\[InvisibleSpace]", "49.999797338876434`", 
   "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Differential light shift on 1S0-3P1 from the sheet on mF=0: ", 
   49.999797338876434`, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.8044151849064336`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Effect of the vertical DT", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.8044110985977097`*^9}, {
  3.80565200770418*^9, 3.8056520088372445`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"ArcCos", "[", 
    RowBox[{"BfieldNormed", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"0", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationX"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pol", " ", "=", " ", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "-"], "]"}]}], " ", ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "0"], "]"}]}], ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
      RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPol", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diff\[Alpha]PolarVertDT", " ", "=", " ", 
    RowBox[{"\[Alpha]PolarIPGSr", "-", 
     RowBox[{
      RowBox[{"Norm", "[", 
       RowBox[{"normPol", " ", "*", " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"\[Alpha]3P1IPGTab", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}], "^", "2."}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DepthVertDT", " ", "=", " ", 
   RowBox[{"6.010023148769077`", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "ctePlanckOverkB"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diffLightShiftVertDT", " ", "=", " ", 
    RowBox[{"DepthVertDT", " ", "*", " ", 
     RowBox[{"diff\[Alpha]PolarVertDT", "/", "\[Alpha]PolarIPGSr"}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPol"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Sheet depth on 1S0 at dimple location: \>\"", ",", 
   RowBox[{"DepthVertDT", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz which is: \>\"", ",", 
   RowBox[{"DepthVertDT", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential polarizability 1S0-3P1 from the sheet on mF=0: \>\"", ",",
    "diff\[Alpha]PolarVertDT", ",", "\"\< a.u.\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential light shift on 1S0-3P1 from the sheet on mF=0: \>\"", ",", 
   RowBox[{"diffLightShiftVertDT", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044082612934256`*^9, 3.8044083847984896`*^9}, {
   3.8044084172363453`*^9, 3.8044084391265974`*^9}, {3.804408496642887*^9, 
   3.804408563356703*^9}, {3.8044086650335183`*^9, 3.804408665886567*^9}, 
   3.8044087628051105`*^9, {3.8044088334571514`*^9, 3.80440883360816*^9}, {
   3.8044091120900884`*^9, 3.8044091900175457`*^9}, {3.8044092575084057`*^9, 
   3.804409302565983*^9}, {3.804409373810058*^9, 3.8044093974804115`*^9}, {
   3.804409448958356*^9, 3.8044094492753744`*^9}, 3.8044094864124985`*^9, {
   3.8044095860421968`*^9, 3.804409601217065*^9}, {3.8044096990636616`*^9, 
   3.804409702382851*^9}, {3.804409792598011*^9, 3.80440981355321*^9}, {
   3.8044098580337543`*^9, 3.8044098646001296`*^9}, {3.8044098972059946`*^9, 
   3.80440990621751*^9}, {3.8044099367192545`*^9, 3.8044099806397667`*^9}, {
   3.804410018519933*^9, 3.8044103647667375`*^9}, {3.8044104017968554`*^9, 
   3.804410406019097*^9}, {3.8044111922810683`*^9, 3.804411195545255*^9}, {
   3.804415159982008*^9, 3.804415184607416*^9}, {3.805652011606403*^9, 
   3.8056520121354327`*^9}, {3.80565208534562*^9, 3.8056520855556326`*^9}, {
   3.805652139954744*^9, 3.8056521904826336`*^9}, {3.805652233091071*^9, 
   3.8056522334410906`*^9}, {3.805652270069186*^9, 3.805652281046814*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.34903181004013006`", ",", "0.8696859152361966`", ",", 
     "0.34903181004013006`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.34903181004013006`, 0.8696859152361966, 
   0.34903181004013006`}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}, {3.805652088122779*^9, 
   3.8056521152653313`*^9}, {3.805652180137042*^9, 3.805652191169673*^9}, 
   3.805652234138131*^9, {3.8056522713572598`*^9, 3.805652281412835*^9}, {
   3.8056533900362444`*^9, 3.8056533976856823`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sheet depth on 1S0 at dimple location: \"\>", 
   "\[InvisibleSpace]", "125.22856327328311`", 
   "\[InvisibleSpace]", "\<\" kHz which is: \"\>", "\[InvisibleSpace]", 
   "6.0100231487690765`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Sheet depth on 1S0 at dimple location: ", 125.22856327328311`, 
   " kHz which is: ", 6.0100231487690765`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}, {3.805652088122779*^9, 
   3.8056521152653313`*^9}, {3.805652180137042*^9, 3.805652191169673*^9}, 
   3.805652234138131*^9, {3.8056522713572598`*^9, 3.805652281412835*^9}, {
   3.8056533900362444`*^9, 3.805653397687682*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential polarizability 1S0-3P1 from the sheet on mF=0: \"\
\>", "\[InvisibleSpace]", "101.48287292817679`", 
   "\[InvisibleSpace]", "\<\" a.u.\"\>"}],
  SequenceForm[
  "Differential polarizability 1S0-3P1 from the sheet on mF=0: ", 
   101.48287292817679`, " a.u."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}, {3.805652088122779*^9, 
   3.8056521152653313`*^9}, {3.805652180137042*^9, 3.805652191169673*^9}, 
   3.805652234138131*^9, {3.8056522713572598`*^9, 3.805652281412835*^9}, {
   3.8056533900362444`*^9, 3.805653397690682*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential light shift on 1S0-3P1 from the sheet on mF=0: \"\
\>", "\[InvisibleSpace]", "54.31006142581513`", 
   "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Differential light shift on 1S0-3P1 from the sheet on mF=0: ", 
   54.31006142581513, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}, {3.805652088122779*^9, 
   3.8056521152653313`*^9}, {3.805652180137042*^9, 3.805652191169673*^9}, 
   3.805652234138131*^9, {3.8056522713572598`*^9, 3.805652281412835*^9}, {
   3.8056533900362444`*^9, 3.8056533976936827`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Effect of the transport DT", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.8044111080262494`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"ArcCos", "[", 
    RowBox[{"BfieldNormed", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"0", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationX"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pol", " ", "=", " ", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "-"], "]"}]}], " ", ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "0"], "]"}]}], ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
      RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPol", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diff\[Alpha]PolarTransp", " ", "=", " ", 
    RowBox[{"\[Alpha]PolarIPGSr", "-", 
     RowBox[{
      RowBox[{"Norm", "[", 
       RowBox[{"normPol", " ", "*", " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"\[Alpha]3P1IPGTab", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}], "^", "2."}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DepthTransp", " ", "=", "23867.847207765444`"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diffLightShiftTransp", " ", "=", " ", 
    RowBox[{"DepthTransp", " ", "*", " ", 
     RowBox[{"diff\[Alpha]PolarTransp", "/", "\[Alpha]PolarIPGSr"}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPol"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Transport depth on 1S0 at the position of the dimple: \>\"", ",", 
   RowBox[{"DepthTransp", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz which is: \>\"", ",", 
   RowBox[{"DepthTransp", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential polarizability 1S0-3P1 from the transport DT on mF=0: \
\>\"", ",", "diff\[Alpha]PolarTransp", ",", "\"\< a.u.\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential light shift on 1S0-3P1 from the transport DT on mF=0: \
\>\"", ",", 
   RowBox[{"diffLightShiftTransp", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044082612934256`*^9, 3.8044083847984896`*^9}, {
   3.8044084172363453`*^9, 3.8044084391265974`*^9}, {3.804408496642887*^9, 
   3.804408563356703*^9}, {3.8044086650335183`*^9, 3.804408665886567*^9}, 
   3.8044087628051105`*^9, {3.8044088334571514`*^9, 3.80440883360816*^9}, {
   3.8044091120900884`*^9, 3.8044091900175457`*^9}, {3.8044092575084057`*^9, 
   3.804409302565983*^9}, {3.804409373810058*^9, 3.8044093974804115`*^9}, {
   3.804409448958356*^9, 3.8044094492753744`*^9}, 3.8044094864124985`*^9, {
   3.8044095860421968`*^9, 3.804409601217065*^9}, {3.8044096990636616`*^9, 
   3.804409702382851*^9}, {3.804409792598011*^9, 3.80440981355321*^9}, {
   3.8044098580337543`*^9, 3.8044098646001296`*^9}, {3.8044098972059946`*^9, 
   3.80440990621751*^9}, {3.8044099367192545`*^9, 3.8044099806397667`*^9}, {
   3.804410018519933*^9, 3.8044103647667375`*^9}, {3.804410410636361*^9, 
   3.8044104330616436`*^9}, {3.8044106312079773`*^9, 3.804410753591977*^9}, {
   3.8044108143234506`*^9, 3.8044108297133307`*^9}, {3.804410884366457*^9, 
   3.804410884755479*^9}, {3.804411026070562*^9, 3.8044110538101482`*^9}, {
   3.804413470604381*^9, 3.8044134765937233`*^9}, {3.804414057645958*^9, 
   3.804414061824197*^9}, 3.8044151685234966`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.6149608081659436`", ",", "0.4936055194583818`", ",", 
     "0.6149608081659436`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.6149608081659436, 0.4936055194583818, 0.6149608081659436}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, {3.8044151695575557`*^9, 
   3.8044151894536934`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Transport depth on 1S0 at the position of the dimple: \"\>", 
   "\[InvisibleSpace]", "23.867847207765443`", 
   "\[InvisibleSpace]", "\<\" kHz which is: \"\>", "\[InvisibleSpace]", 
   "1.1454760038803165`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Transport depth on 1S0 at the position of the dimple: ", 
   23.867847207765443`, " kHz which is: ", 1.1454760038803165`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, {3.8044151695575557`*^9, 
   3.804415189458694*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential polarizability 1S0-3P1 from the transport DT on \
mF=0: \"\>", "\[InvisibleSpace]", "62.51712707182324`", 
   "\[InvisibleSpace]", "\<\" a.u.\"\>"}],
  SequenceForm[
  "Differential polarizability 1S0-3P1 from the transport DT on mF=0: ", 
   62.51712707182324, " a.u."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, {3.8044151695575557`*^9, 
   3.8044151894616942`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential light shift on 1S0-3P1 from the transport DT on \
mF=0: \"\>", "\[InvisibleSpace]", "6.376706140250999`", 
   "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Differential light shift on 1S0-3P1 from the transport DT on mF=0: ", 
   6.376706140250999, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, {3.8044151695575557`*^9, 
   3.8044151894656944`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"ArcCos", "[", 
    RowBox[{"BfieldNormed", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"0", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationX"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pol", " ", "=", " ", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "-"], "]"}]}], " ", ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "0"], "]"}]}], ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
      RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPol", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diff\[Alpha]PolarTransp", " ", "=", " ", 
    RowBox[{"\[Alpha]PolarIPGSr", "-", 
     RowBox[{
      RowBox[{"Norm", "[", 
       RowBox[{"normPol", " ", "*", " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"\[Alpha]3P1IPGTab", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}], "^", "2."}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DepthTransp", " ", "=", "283500."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diffLightShiftTransp", " ", "=", " ", 
    RowBox[{"DepthTransp", " ", "*", " ", 
     RowBox[{"diff\[Alpha]PolarTransp", "/", "\[Alpha]PolarIPGSr"}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPol"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Transport depth on 1S0 inside the transport guide: \>\"", ",", 
   RowBox[{"DepthTransp", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz which is: \>\"", ",", 
   RowBox[{"DepthTransp", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential polarizability 1S0-3P1 from the transport DT on mF=0: \
\>\"", ",", "diff\[Alpha]PolarTransp", ",", "\"\< a.u.\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential light shift on 1S0-3P1 from the transport DT on mF=0: \
\>\"", ",", 
   RowBox[{"diffLightShiftTransp", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044082612934256`*^9, 3.8044083847984896`*^9}, {
   3.8044084172363453`*^9, 3.8044084391265974`*^9}, {3.804408496642887*^9, 
   3.804408563356703*^9}, {3.8044086650335183`*^9, 3.804408665886567*^9}, 
   3.8044087628051105`*^9, {3.8044088334571514`*^9, 3.80440883360816*^9}, {
   3.8044091120900884`*^9, 3.8044091900175457`*^9}, {3.8044092575084057`*^9, 
   3.804409302565983*^9}, {3.804409373810058*^9, 3.8044093974804115`*^9}, {
   3.804409448958356*^9, 3.8044094492753744`*^9}, 3.8044094864124985`*^9, {
   3.8044095860421968`*^9, 3.804409601217065*^9}, {3.8044096990636616`*^9, 
   3.804409702382851*^9}, {3.804409792598011*^9, 3.80440981355321*^9}, {
   3.8044098580337543`*^9, 3.8044098646001296`*^9}, {3.8044098972059946`*^9, 
   3.80440990621751*^9}, {3.8044099367192545`*^9, 3.8044099806397667`*^9}, {
   3.804410018519933*^9, 3.8044103647667375`*^9}, {3.804410410636361*^9, 
   3.8044104330616436`*^9}, {3.8044106312079773`*^9, 3.804410753591977*^9}, {
   3.8044108143234506`*^9, 3.8044108297133307`*^9}, {3.804410884366457*^9, 
   3.804410884755479*^9}, {3.804411026070562*^9, 3.8044110538101482`*^9}, {
   3.804413470604381*^9, 3.8044134765937233`*^9}, {3.804414057645958*^9, 
   3.804414061824197*^9}, {3.804414496953085*^9, 3.804414504486516*^9}, {
   3.8044145691682158`*^9, 3.804414570753306*^9}, 3.8044151940859585`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.6149608081659436`", ",", "0.4936055194583818`", ",", 
     "0.6149608081659436`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.6149608081659436, 0.4936055194583818, 0.6149608081659436}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, 3.804414571448346*^9, 
   3.804415196434093*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Transport depth on 1S0 inside the transport guide: \"\>", 
   "\[InvisibleSpace]", "283.5`", 
   "\[InvisibleSpace]", "\<\" kHz which is: \"\>", "\[InvisibleSpace]", 
   "13.60585411299324`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Transport depth on 1S0 inside the transport guide: ", 283.5, 
   " kHz which is: ", 13.60585411299324, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, 3.804414571448346*^9, 
   3.804415196438093*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential polarizability 1S0-3P1 from the transport DT on \
mF=0: \"\>", "\[InvisibleSpace]", "62.51712707182324`", 
   "\[InvisibleSpace]", "\<\" a.u.\"\>"}],
  SequenceForm[
  "Differential polarizability 1S0-3P1 from the transport DT on mF=0: ", 
   62.51712707182324, " a.u."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, 3.804414571448346*^9, 
   3.8044151964410934`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential light shift on 1S0-3P1 from the transport DT on \
mF=0: \"\>", "\[InvisibleSpace]", "75.74190395240123`", 
   "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Differential light shift on 1S0-3P1 from the transport DT on mF=0: ", 
   75.74190395240123, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, 3.804414571448346*^9, 
   3.8044151964440937`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Effect of the vertical transparency", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.8044111080262494`*^9}, {
  3.804414670342002*^9, 3.804414677282399*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"ArcCos", "[", 
    RowBox[{"BfieldNormed", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"0", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationCL"}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pol", " ", "=", " ", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "-"], "]"}]}], " ", ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "0"], "]"}]}], ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
      RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPol", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPol"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044082612934256`*^9, 3.8044083847984896`*^9}, {
   3.8044084172363453`*^9, 3.8044084391265974`*^9}, {3.804408496642887*^9, 
   3.804408563356703*^9}, {3.8044086650335183`*^9, 3.804408665886567*^9}, 
   3.8044087628051105`*^9, {3.8044088334571514`*^9, 3.80440883360816*^9}, {
   3.8044091120900884`*^9, 3.8044091900175457`*^9}, {3.8044092575084057`*^9, 
   3.804409302565983*^9}, {3.804409373810058*^9, 3.8044093974804115`*^9}, {
   3.804409448958356*^9, 3.8044094492753744`*^9}, 3.8044094864124985`*^9, {
   3.8044095860421968`*^9, 3.804409601217065*^9}, {3.8044096990636616`*^9, 
   3.804409702382851*^9}, {3.804409792598011*^9, 3.80440981355321*^9}, {
   3.8044098580337543`*^9, 3.8044098646001296`*^9}, {3.8044098972059946`*^9, 
   3.80440990621751*^9}, {3.8044099367192545`*^9, 3.8044099806397667`*^9}, {
   3.804410018519933*^9, 3.8044103647667375`*^9}, {3.804410410636361*^9, 
   3.8044104330616436`*^9}, {3.8044106312079773`*^9, 3.804410753591977*^9}, {
   3.8044108143234506`*^9, 3.8044108297133307`*^9}, {3.804410884366457*^9, 
   3.804410884755479*^9}, {3.804411026070562*^9, 3.8044110538101482`*^9}, {
   3.804413470604381*^9, 3.8044134765937233`*^9}, {3.804414057645958*^9, 
   3.804414061824197*^9}, {3.8044147025278435`*^9, 3.8044147028548617`*^9}, {
   3.8044147701537113`*^9, 3.804414774910983*^9}, {3.8044148618989587`*^9, 
   3.8044148622769804`*^9}, {3.804415208774799*^9, 3.8044152359053507`*^9}, {
   3.804415528424082*^9, 3.8044155832672186`*^9}, {3.804415621245391*^9, 
   3.804415662960777*^9}, {3.804415878989133*^9, 3.804415942648774*^9}, 
   3.804416260459952*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.7468027597291909`", ",", "0.6149608081659436`", ",", 
     "0.25319724027080914`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.7468027597291909, 0.6149608081659436, 0.25319724027080914`}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044159262698374`*^9, 3.804415929351013*^9}, {
  3.8044162558326874`*^9, 3.8044162607839704`*^9}}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["DT parameters", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 3.6822405592526093`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipIPG", " ", "=", " ", 
    RowBox[{"1070", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipTransparency", " ", "=", " ", 
    RowBox[{"688.", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Polar688Sr", " ", "=", " \[InvisibleSpace]", "343."}], 
   ";"}], "\[InvisibleSpace] ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mAssSr", " ", "=", "  ", 
    RowBox[{"mSr84", "/", "au"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "au"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Spatial", " ", "coordinates", " ", "where", " ", "we", " ", "want", " ", 
    "to", " ", "look", " ", "at", " ", "properties"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xOffset", " ", "=", " ", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yOffset", " ", "=", 
    RowBox[{"0.", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zOffset", " ", "=", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"powDimpleFun", "[", "Att_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"0.0383", "*", 
       RowBox[{"Att", "^", "3"}]}], "+", 
      RowBox[{"3.0901", 
       RowBox[{"Att", "^", "2"}]}], "+", 
      RowBox[{"82.973", "Att"}], "+", "747.63"}], ")"}], "/", "1000."}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"powSheetFun", "[", "Att_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.000736"}], "*", 
        RowBox[{"Att", "^", "5"}]}], "-", 
       RowBox[{"0.068407", "*", 
        RowBox[{"Att", "^", "4"}]}], "-", 
       RowBox[{"2.264870", "*", 
        RowBox[{"Att", "^", "3"}]}], "-", 
       RowBox[{"29.112936", "*", 
        RowBox[{"Att", "^", "2"}]}], "-", 
       RowBox[{"37.638786", "*", "Att"}], "+", "1419.847969"}], ")"}], "/", 
     "1000."}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AngleTranpSheet", " ", "=", "6."}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"transport", ",", " ", 
     RowBox[{"transport", " ", "retro"}], ",", " ", "sheet", ",", " ", 
     "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTab", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1.", "*", "10.4"}], ",", 
      RowBox[{"1.", "*", "8.66", " ", "*", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"120.", "/", "184."}], ")"}], "^", "2."}], " ", "*", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"120.", "-", "87."}], ")"}], "/", "120."}]}], " ", ",", 
      RowBox[{"1.", "*", 
       RowBox[{"powSheetFun", "[", 
        RowBox[{"-", "9.7"}], "]"}], "*", "0.95"}], ",", 
      RowBox[{"1.", "*", 
       RowBox[{"powDimpleFun", "[", 
        RowBox[{"-", "12"}], "]"}]}], ",", 
      RowBox[{"1.", "*", 
       RowBox[{"(", 
        RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}]}], "}"}]}], 
   ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "W", " ", 
     RowBox[{"for", " ", "@", "DT"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "9.7"}], ",", 
       RowBox[{"-", "3.9"}], ",", 
       RowBox[{"-", "12"}]}], ")"}]}], "  ", "=", 
    RowBox[{">", " ", 
     RowBox[{"SSBEC", " ", "main", " ", "data", " ", "set", " ", "  ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0.575", "*", "0.95"}], ",", 
        RowBox[{"0.145", "*", "0.95"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
        RowBox[{"0", "*", "10.4"}]}], "}"}]}]}]}], " ", "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MsquaredTab", " ", "=", 
    RowBox[{"{", 
     RowBox[{"1.22", ",", "1.22", ",", "1.6", ",", "1.", ",", "1."}], "}"}]}],
    ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WaistXTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"92.", ",", "92.", ",", "15.7", ",", "27.", ",", "23."}], "}"}],
      "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"old", " ", "value", " ", "for", " ", "sheet", " ", "14.5"}], ",",
     " ", 
    RowBox[{"not", " ", "15.7"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WaistYTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"92.", ",", "92.", ",", "110.", ",", "27.", ",", "23."}], "}"}],
      "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Theta]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"90.", ",", "90.", ",", "90.", ",", "0.", ",", "0."}], "}"}], 
     "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "AngleTranpSheet", ",", "AngleTranpSheet", ",", "0.", ",", "90.", ",", 
       "90."}], "}"}], "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"X0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"-", "37."}], "*", 
         RowBox[{"Sin", "[", 
          RowBox[{"AngleTranpSheet", "*", 
           RowBox[{"Pi", "/", "180."}]}], "]"}]}], "+", "0.2"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2."}], "*", 
         RowBox[{"Sin", "[", 
          RowBox[{"AngleTranpSheet", "*", 
           RowBox[{"Pi", "/", "180."}]}], "]"}]}], "+", "0.2"}], ",", "0.", 
       ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Y0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "37."}], "*", 
        RowBox[{"Cos", "[", 
         RowBox[{"AngleTranpSheet", "*", 
          RowBox[{"Pi", "/", "180."}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"-", "2."}], "*", 
        RowBox[{"Cos", "[", 
         RowBox[{"AngleTranpSheet", "*", 
          RowBox[{"Pi", "/", "180."}]}], "]"}]}], ",", "0.", ",", "0.", ",", 
       "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]Tab", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
     "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
      "\[Lambda]DipIPG", ",", "\[Lambda]DipTransparency"}], "}"}]}], ";"}], 
  " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Tab", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
      "\[Alpha]Polar688Sr"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"atomic", " ", "unit"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"{", 
     RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
      RowBox[{"transparency", " ", "vert"}], ",", " ", 
      RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"powSheetFun", "[", 
         RowBox[{"-", "9.7"}], "]"}], "*", "0.95"}], ",", 
       RowBox[{"powDimpleFun", "[", 
        RowBox[{"-", "12"}], "]"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
       RowBox[{"0", "*", "10.4"}]}], "}"}]}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"in", " ", "W", " ", 
       RowBox[{"for", " ", "@", "DT"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "9.7"}], ",", 
         RowBox[{"-", "3.9"}], ",", 
         RowBox[{"-", "12"}]}], ")"}]}], "  ", "=", 
      RowBox[{">", " ", 
       RowBox[{"SSBEC", " ", "main", " ", "data", " ", "set", " ", "  ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0.575", "*", "0.95"}], ",", 
          RowBox[{"0.145", "*", "0.95"}], ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
          RowBox[{"0", "*", "10.4"}]}], "}"}]}]}]}], " ", "*)"}], " ", 
    "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"15.7", ",", "27.", ",", "23.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "  ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"old", " ", "value", " ", "for", " ", "sheet", " ", "14.5"}], 
      ",", " ", 
      RowBox[{"not", " ", "15.7"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "23.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";", 
    " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"atomic", " ", "unit"}], " ", "*)"}], "\[IndentingNewLine]", 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"{", 
     RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
      RowBox[{"transparency", " ", "vert"}], ",", " ", 
      RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"powSheetFun", "[", 
         RowBox[{"-", "9.1"}], "]"}], "*", "0.95"}], ",", 
       RowBox[{"powDimpleFun", "[", 
        RowBox[{"-", "11.5"}], "]"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
       RowBox[{"0", "*", "10.4"}]}], "}"}]}], ";", "   ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "W", " ", 
      RowBox[{"for", " ", "@", "DT"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "9.1"}], ",", 
        RowBox[{"-", "4"}], ",", 
        RowBox[{"-", "11.5"}]}], ")"}]}], "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"15.7", ",", "27.", ",", "23", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "23", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";", 
    " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"atomic", " ", "unit"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
   "*)"}], "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"{", 
     RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
      RowBox[{"transparency", " ", "vert"}], ",", " ", 
      RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"powSheetFun", "[", 
         RowBox[{"-", "9.7"}], "]"}], "*", "0.95"}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"powDimpleFun", "[", 
         RowBox[{"-", "12"}], "]"}]}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"(", 
         RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
       RowBox[{"0", "*", "10.4"}]}], "}"}]}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"in", " ", "W", " ", 
       RowBox[{"for", " ", "@", "DT"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "9.7"}], ",", 
         RowBox[{"-", "3.9"}], ",", 
         RowBox[{"-", "12"}]}], ")"}]}], "  ", "=", 
      RowBox[{">", " ", 
       RowBox[{"SSBEC", " ", "main", " ", "data", " ", "set", " ", "  ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0.575", "*", "0.95"}], ",", 
          RowBox[{"0.145", "*", "0.95"}], ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
          RowBox[{"0", "*", "10.4"}]}], "}"}]}]}]}], " ", "*)"}], " ", 
    "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"14.5", ",", "27.", ",", "23.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "23.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";", 
    " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"atomic", " ", "unit"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Alpha]Tab3P1", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPG3P1Sr", ",", "\[Alpha]PolarIPG3P1Sr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPG3P1Sr"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "*)"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Power: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.719734073769492*^9, 3.7197341228395596`*^9}, {3.7197341865133104`*^9, 
   3.7197342789691334`*^9}, {3.7197343148477635`*^9, 3.719734336700366*^9}, {
   3.7197343764349933`*^9, 3.7197344120350423`*^9}, {3.7197344514142857`*^9, 
   3.71973448305433*^9}, {3.7197361695534525`*^9, 3.71973652993395*^9}, {
   3.7197367287202907`*^9, 3.719736825700424*^9}, {3.719736863871477*^9, 
   3.7197368791314983`*^9}, {3.7197369247040195`*^9, 
   3.7197370245241575`*^9}, {3.719737184228448*^9, 3.7197371935384607`*^9}, {
   3.7197372908300533`*^9, 3.719737365114664*^9}, {3.719737398126776*^9, 
   3.7197374618533916`*^9}, {3.719737517591997*^9, 3.7197375178019977`*^9}, {
   3.719737585322091*^9, 3.7197376399442005`*^9}, {3.7197376841172633`*^9, 
   3.7197376898272715`*^9}, {3.7197377431993933`*^9, 3.719737889667735*^9}, {
   3.719737927819822*^9, 3.7197379435098433`*^9}, {3.7197380047919617`*^9, 
   3.7197380477640553`*^9}, {3.719738224646333*^9, 3.719738225226334*^9}, {
   3.719739819974985*^9, 3.7197398206549854`*^9}, {3.719739887487097*^9, 
   3.7197398877670975`*^9}, {3.7197400449833655`*^9, 3.719740045333366*^9}, {
   3.719740312335746*^9, 3.719740312475746*^9}, {3.7197403835278645`*^9, 
   3.7197403850878663`*^9}, {3.719821996481608*^9, 3.719822001997924*^9}, {
   3.7198220621013613`*^9, 3.7198220657915726`*^9}, {3.719822105493843*^9, 
   3.719822109667082*^9}, {3.719822161757061*^9, 3.719822166407327*^9}, {
   3.719822208055709*^9, 3.7198222117679214`*^9}, {3.7198237503968167`*^9, 
   3.7198237509768176`*^9}, {3.7198237831788635`*^9, 
   3.7198237898588724`*^9}, {3.7198239502711134`*^9, 
   3.7198239509111147`*^9}, {3.7198241242633643`*^9, 3.719824153265425*^9}, {
   3.719824211517519*^9, 3.719824252869594*^9}, {3.7198242873516583`*^9, 
   3.7198243196737204`*^9}, {3.719837823583614*^9, 3.7198378987177553`*^9}, {
   3.7198379468598375`*^9, 3.719837947929839*^9}, {3.719837995351921*^9, 
   3.719837996601923*^9}, {3.7198380967420607`*^9, 3.7198380970420613`*^9}, {
   3.7198382877323246`*^9, 3.719838289962328*^9}, {3.7198384641025677`*^9, 
   3.7198384643025684`*^9}, {3.719838531044673*^9, 3.719838531554674*^9}, {
   3.719838619129826*^9, 3.719838619309826*^9}, 3.719838684291926*^9, 
   3.7198387330140142`*^9, {3.7198387736260843`*^9, 3.719838774556086*^9}, {
   3.7198388554882135`*^9, 3.7198388563582144`*^9}, {3.719838902520297*^9, 
   3.7198389032202983`*^9}, {3.719838986942433*^9, 3.719838987212433*^9}, {
   3.7198391303526306`*^9, 3.719839131262632*^9}, {3.719840417788425*^9, 
   3.71984049419853*^9}, {3.7198406187707143`*^9, 3.719840619910716*^9}, {
   3.719905054109453*^9, 3.7199050737994804`*^9}, {3.7199060923484554`*^9, 
   3.719906100058466*^9}, {3.7199061624505644`*^9, 3.719906163720566*^9}, {
   3.719906196412629*^9, 3.719906197752631*^9}, {3.7199063525548563`*^9, 
   3.7199063530148563`*^9}, {3.7199064525380077`*^9, 3.719906462448022*^9}, {
   3.719922144132188*^9, 3.7199221493821955`*^9}, {3.7199221815242577`*^9, 
   3.7199222077563066`*^9}, {3.7199222404183645`*^9, 
   3.7199222409083652`*^9}, {3.7199223100624876`*^9, 3.719922310582488*^9}, {
   3.719922357614565*^9, 3.7199223578045654`*^9}, {3.71992239366663*^9, 
   3.71992239405663*^9}, {3.7199224355186987`*^9, 3.7199224358386993`*^9}, {
   3.719922469890757*^9, 3.7199224707307587`*^9}, {3.719922530632856*^9, 
   3.7199225322328587`*^9}, {3.7201606252342777`*^9, 3.720160628840484*^9}, {
   3.7201730442847676`*^9, 3.7201730451358166`*^9}, {3.720173190240116*^9, 
   3.7201731993096347`*^9}, {3.720173247575395*^9, 3.7201732477894077`*^9}, 
   3.720173285526566*^9, {3.720173320860587*^9, 3.7201733234547353`*^9}, {
   3.720173364994111*^9, 3.7201733672892427`*^9}, {3.7201734215763474`*^9, 
   3.720173427280674*^9}, {3.720173470132125*^9, 3.720173472943286*^9}, {
   3.720173566256623*^9, 3.72017356655764*^9}, {3.720173683311318*^9, 
   3.720173684201369*^9}, 3.7201741942425413`*^9, {3.7201742531269093`*^9, 
   3.720174253699942*^9}, {3.7201742940902524`*^9, 3.72017431712457*^9}, {
   3.7201758083938656`*^9, 3.7201758099729557`*^9}, {3.720180328271388*^9, 
   3.720180328585406*^9}, {3.7201806002729454`*^9, 3.7201806007049704`*^9}, 
   3.72018140949223*^9, {3.720181724486247*^9, 3.720181724597253*^9}, 
   3.7201818653313026`*^9, {3.7201821144325504`*^9, 3.7201821148715754`*^9}, {
   3.7201822608799267`*^9, 3.7201822611589427`*^9}, 3.720182378003626*^9, {
   3.72018247808335*^9, 3.720182478925398*^9}, {3.720182547301309*^9, 
   3.720182547962347*^9}, 3.720182654228425*^9, {3.7201828061421137`*^9, 
   3.720182807422187*^9}, {3.720183360003793*^9, 3.7201833604458184`*^9}, {
   3.720183414743924*^9, 3.7201834150529413`*^9}, {3.7201848613202066`*^9, 
   3.7201849357254624`*^9}, {3.72018496715226*^9, 3.720184976040768*^9}, {
   3.72018500649151*^9, 3.7201850570264006`*^9}, {3.7201850970656905`*^9, 
   3.7201850989948006`*^9}, {3.7201851572601333`*^9, 3.720185159441258*^9}, {
   3.7201852260940704`*^9, 3.720185226629101*^9}, {3.7201852616201024`*^9, 
   3.7201852635282116`*^9}, {3.720185341325661*^9, 3.7201853751045933`*^9}, {
   3.7201854524520173`*^9, 3.720185456458246*^9}, {3.720185852238884*^9, 
   3.720185854181995*^9}, {3.720185884528731*^9, 3.720185890064047*^9}, {
   3.720185981268264*^9, 3.720185981762292*^9}, {3.720186411158852*^9, 
   3.7201864115118723`*^9}, {3.7201865075153637`*^9, 3.720186526702461*^9}, {
   3.7201866649373674`*^9, 3.720186735660413*^9}, {3.720186917196796*^9, 
   3.720186919614934*^9}, {3.720186951679768*^9, 3.7201870534245872`*^9}, {
   3.720187088828613*^9, 3.720187102890417*^9}, {3.720187190237413*^9, 
   3.7201872672848196`*^9}, {3.7201873194828053`*^9, 
   3.7201873362667656`*^9}, {3.7201873976742773`*^9, 
   3.7201874140382137`*^9}, {3.720187462436982*^9, 3.7201874646341076`*^9}, {
   3.720187511310777*^9, 3.7201875163470654`*^9}, {3.7201876386170588`*^9, 
   3.7201876576211457`*^9}, {3.7201876933631897`*^9, 
   3.7201876984614816`*^9}, {3.720187743972085*^9, 3.72018774475513*^9}, {
   3.7201879895351305`*^9, 3.720187997171567*^9}, {3.720188283798961*^9, 
   3.72018833972616*^9}, {3.7201886960805426`*^9, 3.720188729831473*^9}, {
   3.7201900034323187`*^9, 3.7201900099566917`*^9}, {3.72024544489887*^9, 
   3.7202454753026094`*^9}, {3.7202455655027685`*^9, 
   3.7202455680619144`*^9}, {3.7202456150726037`*^9, 
   3.7202456155406303`*^9}, {3.720245658944113*^9, 3.72024566379139*^9}, {
   3.7202456939011126`*^9, 3.720245694157127*^9}, {3.720245886740142*^9, 
   3.720245888816261*^9}, {3.720245952024876*^9, 3.7202459609863887`*^9}, {
   3.7202462358368483`*^9, 3.7202462416468563`*^9}, {3.7202462956109676`*^9, 
   3.720246298710972*^9}, {3.720246406543135*^9, 3.72024641008314*^9}, 
   3.720246643135479*^9, {3.7202467104675894`*^9, 3.7202467408176312`*^9}, {
   3.720246788287697*^9, 3.720246788477697*^9}, {3.720246831309776*^9, 
   3.720246881871866*^9}, {3.720249855124486*^9, 3.7202498722445097`*^9}, {
   3.7202499266066027`*^9, 3.7202499267666025`*^9}, {3.720249979878691*^9, 
   3.720249980178692*^9}, {3.720250039650789*^9, 3.720250039980789*^9}, {
   3.72025009069287*^9, 3.7202500933228736`*^9}, {3.7202502108570633`*^9, 
   3.720250224367082*^9}, {3.7202502749691715`*^9, 3.720250308879218*^9}, {
   3.720250408659356*^9, 3.7202504090493565`*^9}, {3.7202504392093983`*^9, 
   3.7202504583794246`*^9}, {3.7202505265815353`*^9, 
   3.7202505320615425`*^9}, {3.7202505913636446`*^9, 3.720250605963665*^9}, {
   3.7202507560158863`*^9, 3.7202507662659006`*^9}, {3.7202508056259546`*^9, 
   3.7202508370759983`*^9}, {3.7202508860580816`*^9, 
   3.7202508870980835`*^9}, {3.7202690803201017`*^9, 3.720269087170111*^9}, {
   3.720270034685447*^9, 3.72027003670545*^9}, {3.7202700716575155`*^9, 
   3.7202700782675247`*^9}, {3.7202701196195974`*^9, 
   3.7202701223796005`*^9}, {3.7202740675530834`*^9, 
   3.7202740680330844`*^9}, {3.720276648361673*^9, 3.7202766586116867`*^9}, {
   3.720276812983918*^9, 3.7202768167539234`*^9}, {3.7202815621345186`*^9, 
   3.720281562774519*^9}, {3.720281662286667*^9, 3.7202816626866674`*^9}, {
   3.720281710328745*^9, 3.7202817154587517`*^9}, {3.7207791762553525`*^9, 
   3.7207791862653666`*^9}, 3.720781067202996*^9, 3.7207810990060587`*^9, 
   3.7207811677301674`*^9, {3.721128157070932*^9, 3.721128195819148*^9}, {
   3.721128248279149*^9, 3.721128254961531*^9}, {3.7211282913126106`*^9, 
   3.721128292862699*^9}, {3.721128779887555*^9, 3.721128780029563*^9}, {
   3.721129757507472*^9, 3.721129790841378*^9}, {3.721130293308118*^9, 
   3.7211302953942375`*^9}, {3.7211303824512167`*^9, 3.721130382846239*^9}, 
   3.721130449387045*^9, 3.7211305112905855`*^9, {3.721130582994687*^9, 
   3.7211305889670286`*^9}, {3.721137585980235*^9, 3.721137590984521*^9}, {
   3.72138433762089*^9, 3.721384365044459*^9}, {3.72138446857238*^9, 
   3.7213844734666605`*^9}, 3.7214566882425437`*^9, {3.7214567641198835`*^9, 
   3.7214567645769095`*^9}, 3.721485717648896*^9, {3.72148596923489*^9, 
   3.721485999667631*^9}, 3.7214864469942164`*^9, 3.721487139612832*^9, 
   3.721487360555469*^9, {3.721487403498925*^9, 3.7214874269062643`*^9}, {
   3.721489159766378*^9, 3.72148923830087*^9}, 3.7214894079405727`*^9, {
   3.721494619480902*^9, 3.72149464495243*^9}, {3.7215764359042506`*^9, 
   3.721576456089405*^9}, {3.721576514209729*^9, 3.721576524058293*^9}, {
   3.721576862167631*^9, 3.7215769379309645`*^9}, {3.7215806227807436`*^9, 
   3.721580628194953*^9}, {3.7215808491452017`*^9, 3.7215808561464157`*^9}, {
   3.7215809279677477`*^9, 3.721580930493353*^9}, {3.7215809780816402`*^9, 
   3.7215810901650476`*^9}, {3.7215816241029406`*^9, 3.721581625445543*^9}, {
   3.721631047917037*^9, 3.721631064414336*^9}, {3.721657873684622*^9, 
   3.721657916823089*^9}, {3.7216581071889777`*^9, 3.72165814551717*^9}, {
   3.721658524074822*^9, 3.721658528098052*^9}, 3.7216590210792494`*^9, 
   3.7216590699200425`*^9, 3.721659117742778*^9, {3.7216592020466*^9, 
   3.7216592225097704`*^9}, {3.7219800238946486`*^9, 
   3.7219800510762978`*^9}, {3.7219805320391736`*^9, 3.721980532475974*^9}, {
   3.722000753355342*^9, 3.72200077254644*^9}, 3.722001753475546*^9, 
   3.7220018561694193`*^9, {3.722246973820743*^9, 3.7222469815401845`*^9}, {
   3.7222477334541917`*^9, 3.7222477573175564`*^9}, {3.7222478475507174`*^9, 
   3.7222479338386526`*^9}, {3.723977446428788*^9, 3.723977457911445*^9}, {
   3.7239775282574687`*^9, 3.723977529945565*^9}, {3.7239823429118514`*^9, 
   3.7239823697343855`*^9}, {3.7239824061024656`*^9, 
   3.7239824066194954`*^9}, {3.7240284629445157`*^9, 
   3.7240284862198467`*^9}, {3.7240286235977044`*^9, 
   3.7240286241137342`*^9}, {3.7240286666411667`*^9, 
   3.7240286672362003`*^9}, {3.7240299837334995`*^9, 3.724029984492543*^9}, {
   3.726386193186821*^9, 3.7263863463070326`*^9}, {3.726386529961662*^9, 
   3.726386530841663*^9}, {3.726386581551733*^9, 3.7263865818817334`*^9}, {
   3.7362229404596663`*^9, 3.736222942892805*^9}, {3.7362284669972506`*^9, 
   3.736228494780899*^9}, {3.736228554950204*^9, 3.7362285588970103`*^9}, {
   3.7506827706227446`*^9, 3.7506828001024303`*^9}, {3.7507447978931875`*^9, 
   3.7507448747175817`*^9}, {3.7507451323263164`*^9, 
   3.7507451429239225`*^9}, {3.7507455231936727`*^9, 
   3.7507456299067764`*^9}, {3.7507456759024067`*^9, 3.7507457396580534`*^9}, 
   3.7507628821605487`*^9, {3.7507632576910276`*^9, 3.7507632583510656`*^9}, {
   3.7507633942118363`*^9, 3.7507634361172333`*^9}, {3.777712543623285*^9, 
   3.777712557211062*^9}, {3.7777125914280195`*^9, 3.7777126283381305`*^9}, {
   3.777712677832961*^9, 3.7777126796810665`*^9}, {3.77771281977908*^9, 
   3.7777128289496045`*^9}, {3.777712864315627*^9, 3.777712865965722*^9}, 
   3.7777131752134094`*^9, {3.7777132612973337`*^9, 3.7777132768242216`*^9}, {
   3.7777134400495577`*^9, 3.7777134448428316`*^9}, {3.7777141973898745`*^9, 
   3.7777141974798803`*^9}, {3.7777185879289994`*^9, 
   3.7777186027008443`*^9}, {3.7777186332625923`*^9, 3.777718638518893*^9}, {
   3.777718674985979*^9, 3.7777186920239534`*^9}, {3.777719203975235*^9, 
   3.7777192075854416`*^9}, {3.7777192786515064`*^9, 3.777719281768685*^9}, {
   3.7777195254266214`*^9, 3.7777195524281654`*^9}, {3.7777196056112075`*^9, 
   3.7777196058992243`*^9}, {3.777719651440829*^9, 3.777719674504148*^9}, {
   3.778932899483763*^9, 3.778932902496936*^9}, {3.7789329481355457`*^9, 
   3.7789329515467415`*^9}, {3.7794201280365896`*^9, 
   3.7794201356610255`*^9}, {3.779420263037311*^9, 3.7794202652324367`*^9}, {
   3.779796993954721*^9, 3.7797970140891576`*^9}, {3.7797977145519924`*^9, 
   3.7797977813567095`*^9}, {3.7797978329308004`*^9, 
   3.7797978332896013`*^9}, {3.779797873801273*^9, 3.779797873958273*^9}, {
   3.7797979041251264`*^9, 3.779797904437127*^9}, {3.7803217969585505`*^9, 
   3.7803218211595883`*^9}, {3.7803223793974104`*^9, 
   3.7803223798174114`*^9}, {3.7803811986908293`*^9, 3.780381233274808*^9}, {
   3.780381274329156*^9, 3.7803812755342245`*^9}, {3.7809122528493047`*^9, 
   3.7809122536983533`*^9}, {3.78091233232485*^9, 3.780912336256075*^9}, {
   3.780912847662326*^9, 3.7809130042772837`*^9}, {3.78091858581553*^9, 
   3.7809186104509387`*^9}, {3.780918703730274*^9, 3.7809187063284225`*^9}, {
   3.780918756026265*^9, 3.780918756330282*^9}, {3.780918822149047*^9, 
   3.7809188236551332`*^9}, {3.780982186543598*^9, 3.780982190995853*^9}, {
   3.780983047042816*^9, 3.7809830514170666`*^9}, {3.780983778188635*^9, 
   3.780983778833672*^9}, {3.785418378402396*^9, 3.78541841220533*^9}, {
   3.785418987387228*^9, 3.7854189882902794`*^9}, {3.7854191202708282`*^9, 
   3.7854191206898527`*^9}, {3.7854191761170225`*^9, 3.785419176401039*^9}, {
   3.785419418823905*^9, 3.7854194202359858`*^9}, {3.7854200534372025`*^9, 
   3.7854200575994406`*^9}, {3.785420209750143*^9, 3.785420212734314*^9}, {
   3.7854893914688864`*^9, 3.785489392262932*^9}, {3.7855669704574156`*^9, 
   3.7855669707514324`*^9}, {3.7855670127978373`*^9, 
   3.7855670131188555`*^9}, {3.785646044958697*^9, 3.7856460536451936`*^9}, {
   3.786089149985133*^9, 3.7860891533713264`*^9}, {3.7860892534500513`*^9, 
   3.78608925378407*^9}, {3.7860894252318764`*^9, 3.786089425586897*^9}, {
   3.7860894770158386`*^9, 3.78608950046618*^9}, {3.7860898389955425`*^9, 
   3.7860898397795873`*^9}, {3.7860898713603935`*^9, 
   3.7860898843021336`*^9}, {3.7906831868889465`*^9, 
   3.7906832057400255`*^9}, {3.790683261038188*^9, 3.790683276717085*^9}, {
   3.7906836140073767`*^9, 3.79068362227485*^9}, {3.790684595510515*^9, 
   3.7906846144826*^9}, {3.790685040982995*^9, 3.790685042245067*^9}, {
   3.790685085263528*^9, 3.7906850854215364`*^9}, {3.790687216244413*^9, 
   3.7906872166754375`*^9}, {3.790774328169011*^9, 3.7907743414947734`*^9}, {
   3.790777976213803*^9, 3.790777981502105*^9}, {3.7907781110085125`*^9, 
   3.7907781149687395`*^9}, {3.7907781758802233`*^9, 
   3.7907782606150694`*^9}, {3.7907783267238507`*^9, 
   3.7907783428567734`*^9}, {3.790778374318573*^9, 3.7907784039022655`*^9}, {
   3.7907784593344355`*^9, 3.790778460441499*^9}, {3.790778525998249*^9, 
   3.7907785261232557`*^9}, {3.790778610106059*^9, 3.790778611931164*^9}, {
   3.790781636534161*^9, 3.7907816381392527`*^9}, {3.7907834754343405`*^9, 
   3.790783483683812*^9}, {3.790783566592554*^9, 3.7907835667235613`*^9}, {
   3.7907835975463247`*^9, 3.7907835977573366`*^9}, {3.7907836700344706`*^9, 
   3.79078367036749*^9}, {3.7907837860561066`*^9, 3.7907838845437403`*^9}, {
   3.790783914873475*^9, 3.790783915700522*^9}, {3.790784039391597*^9, 
   3.790784039605609*^9}, 3.790784076630727*^9, {3.790784206366147*^9, 
   3.7907842073162017`*^9}, {3.790784272829949*^9, 3.790784273008959*^9}, {
   3.790784354303609*^9, 3.790784356404729*^9}, {3.790784520473113*^9, 
   3.7907845216861825`*^9}, {3.790784839774376*^9, 3.79078484124146*^9}, {
   3.790784965359559*^9, 3.7907849656605763`*^9}, {3.790785181084898*^9, 
   3.7907851812709084`*^9}, {3.7907854122781215`*^9, 
   3.7907854214796476`*^9}, {3.7907854756707473`*^9, 
   3.7907854762017775`*^9}, {3.790785527557715*^9, 3.790785529512827*^9}, {
   3.7907855886272078`*^9, 3.790785595153581*^9}, {3.7907856288145065`*^9, 
   3.7907856955383224`*^9}, {3.7907861851593275`*^9, 3.790786235609213*^9}, 
   3.7907865567945843`*^9, {3.7907866674599133`*^9, 3.790786693876425*^9}, {
   3.7908523250843153`*^9, 3.790852336968995*^9}, {3.7908524840214057`*^9, 
   3.790852485459488*^9}, {3.7908529560104017`*^9, 3.7908530841587315`*^9}, {
   3.790854273072734*^9, 3.790854288026589*^9}, {3.790854324969702*^9, 
   3.7908543412506332`*^9}, {3.7908545306444654`*^9, 3.790854630276164*^9}, {
   3.7908564653151226`*^9, 3.7908564682352896`*^9}, {3.7908568106308737`*^9, 
   3.7908568334481783`*^9}, {3.790856865084988*^9, 3.7908568664170647`*^9}, {
   3.790856914273802*^9, 3.7908569326678534`*^9}, {3.790856978983503*^9, 
   3.790856979210516*^9}, {3.790857217728158*^9, 3.790857217854165*^9}, {
   3.790857298809796*^9, 3.7908573245922704`*^9}, {3.790857365126589*^9, 
   3.7908573661006446`*^9}, 3.7908574090291*^9, {3.7908574440441027`*^9, 
   3.790857523243633*^9}, {3.790857554983448*^9, 3.7908575574565897`*^9}, {
   3.7908575974088745`*^9, 3.7908576271435757`*^9}, {3.7908576713101015`*^9, 
   3.790857671424108*^9}, {3.7908585669733305`*^9, 3.7908585701195107`*^9}, {
   3.790858744133464*^9, 3.7908587445504875`*^9}, {3.7908588025378036`*^9, 
   3.790858821081865*^9}, {3.790858896516179*^9, 3.7908591593322115`*^9}, {
   3.7908591899829645`*^9, 3.7908591932511516`*^9}, {3.79085961649736*^9, 
   3.7908596179834447`*^9}, {3.790861670407837*^9, 3.7908616726739664`*^9}, {
   3.7908626240233803`*^9, 3.790862628930661*^9}, {3.7908626606144733`*^9, 
   3.790862662075557*^9}, {3.791608883817178*^9, 3.7916089114447575`*^9}, {
   3.791608974636372*^9, 3.791608980916731*^9}, {3.7916092266227846`*^9, 
   3.791609420483873*^9}, {3.791609452482703*^9, 3.7916095064987926`*^9}, {
   3.791609546372073*^9, 3.7916097520958405`*^9}, {3.7916098325804434`*^9, 
   3.791609839650848*^9}, {3.7916099345972786`*^9, 3.791610032198861*^9}, {
   3.7921343518390646`*^9, 3.792134357576393*^9}, {3.794817040853264*^9, 
   3.79481706456962*^9}, {3.7948172059597073`*^9, 3.794817227388933*^9}, {
   3.794817477473237*^9, 3.794817495126247*^9}, {3.7948185188558006`*^9, 
   3.794818545713337*^9}, {3.79482662314734*^9, 3.794826633199915*^9}, {
   3.7949915332671804`*^9, 3.794991618112034*^9}, 3.794992242123725*^9, {
   3.794992340835371*^9, 3.794992414614591*^9}, {3.795004859031371*^9, 
   3.795004869648978*^9}, {3.7950051389193797`*^9, 3.795005180907781*^9}, {
   3.795005249365697*^9, 3.7950053402368946`*^9}, {3.800438954382927*^9, 
   3.8004389999935355`*^9}, {3.800691773352851*^9, 3.8006918343163376`*^9}, {
   3.801381369468474*^9, 3.8013813745827665`*^9}, {3.8013816820963554`*^9, 
   3.8013816856885605`*^9}, {3.801381725272825*^9, 3.80138174826714*^9}, {
   3.8013817854892693`*^9, 3.8013817880464153`*^9}, {3.8044004485715637`*^9, 
   3.8044004717578897`*^9}, {3.804400547689233*^9, 3.8044006689361677`*^9}, {
   3.804400722337222*^9, 3.8044007232682753`*^9}, {3.804400901365462*^9, 
   3.804400907910836*^9}, {3.804401427027528*^9, 3.8044014274475517`*^9}, {
   3.804401487222971*^9, 3.8044014879820147`*^9}, {3.804401588421759*^9, 
   3.804401591810953*^9}, {3.8044016737486396`*^9, 3.8044016749487085`*^9}, {
   3.8044017094316807`*^9, 3.804401711573803*^9}, {3.804401777207557*^9, 
   3.804401827761449*^9}, {3.804401878934376*^9, 3.8044019005336113`*^9}, 
   3.8044019406939077`*^9, {3.8044027861572657`*^9, 3.804402802096177*^9}, {
   3.8044028337929907`*^9, 3.8044028627996492`*^9}, {3.8044029291034417`*^9, 
   3.8044029372619085`*^9}, {3.8044030609229813`*^9, 3.804403073856721*^9}, {
   3.8044031064275837`*^9, 3.8044031093567514`*^9}, {3.8044031440767374`*^9, 
   3.8044031469068995`*^9}, {3.8044032391351748`*^9, 
   3.8044032423633595`*^9}, {3.8044033270572033`*^9, 
   3.8044033274182243`*^9}, {3.8044033782981343`*^9, 3.804403378490145*^9}, {
   3.8044034265508943`*^9, 3.8044034486031556`*^9}, 3.8044034890794706`*^9, {
   3.8044035407574263`*^9, 3.8044035980237017`*^9}, {3.8044037512124634`*^9, 
   3.8044037535255957`*^9}, {3.804407046728956*^9, 3.8044070488070755`*^9}, {
   3.8044072537517977`*^9, 3.80440726183526*^9}, {3.8044104636743946`*^9, 
   3.804410467145593*^9}, {3.80441055783078*^9, 3.804410561063965*^9}, {
   3.804411157771095*^9, 3.8044111581741176`*^9}, {3.8044126239959583`*^9, 
   3.804412632735458*^9}, {3.8044127003853273`*^9, 3.8044127199634466`*^9}, {
   3.804412757207577*^9, 3.8044127859042187`*^9}, {3.8044128195171413`*^9, 
   3.804412916565692*^9}, {3.804413137032302*^9, 3.8044131772256007`*^9}, {
   3.804413221283121*^9, 3.804413223143227*^9}, {3.8044132558901005`*^9, 
   3.8044132707419496`*^9}, {3.8044133177326374`*^9, 
   3.8044133211408324`*^9}, {3.804413359459024*^9, 3.8044133868695917`*^9}, {
   3.8044134268328776`*^9, 3.804413452832365*^9}, {3.804413489883484*^9, 
   3.804413570039068*^9}, {3.8044136013838615`*^9, 3.804413614905635*^9}, {
   3.80441370329469*^9, 3.8044137061688547`*^9}, {3.8044137376196537`*^9, 
   3.8044138024853635`*^9}, {3.8044141172903695`*^9, 
   3.8044141209415784`*^9}, {3.8044145156011515`*^9, 3.804414536165328*^9}, {
   3.804414642920434*^9, 3.8044146570432415`*^9}, {3.8044237652302*^9, 
   3.8044238025303335`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "10.4`", ",", "1.0129253308128545`", ",", "0.5418745985135789`", ",", 
     "0.13074600000000008`", ",", "0.00994784`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Power: ", {10.4, 1.0129253308128545`, 0.5418745985135789, 
   0.13074600000000008`, 0.00994784}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7916099387095137`*^9, 3.7916099616888285`*^9}, 
   3.79161001486187*^9, 3.7921342855112705`*^9, 3.7921343582194295`*^9, {
   3.794817034607907*^9, 3.794817051428869*^9}, 3.7948172280049686`*^9, 
   3.7948173848759413`*^9, {3.794817477989267*^9, 3.7948174959882965`*^9}, {
   3.794818522411004*^9, 3.794818548023469*^9}, 3.795004871023057*^9, {
   3.795005292690175*^9, 3.7950053331024866`*^9}, 3.8004387058327103`*^9, 
   3.800438748298139*^9, {3.800438956399042*^9, 3.8004390005185657`*^9}, {
   3.8006917462373*^9, 3.8006917847285013`*^9}, 3.8006918377425337`*^9, 
   3.8013813423419223`*^9, 3.8013813781149683`*^9, 3.8013816863465986`*^9, {
   3.801381727322942*^9, 3.8013817492981987`*^9}, 3.801381788689452*^9, 
   3.804400424892209*^9, 3.8044006724153666`*^9, {3.804400707351365*^9, 
   3.8044007257914195`*^9}, 3.804400908520871*^9, 3.8044015922149763`*^9, 
   3.8044016758407593`*^9, 3.8044017123178453`*^9, 3.804401831748677*^9, 
   3.8044019015096664`*^9, 3.804401940970924*^9, 3.80440295582697*^9, 
   3.804403074250744*^9, 3.804403111183856*^9, 3.80440314744093*^9, 
   3.8044032432724113`*^9, 3.804403327840248*^9, 3.8044033792511888`*^9, 
   3.8044034489571753`*^9, 3.804403489316484*^9, {3.8044035429815536`*^9, 
   3.8044035984417257`*^9}, 3.804403754036625*^9, 3.804407263845375*^9, 
   3.8044105097810316`*^9, 3.8044105629170713`*^9, {3.804412762818898*^9, 
   3.804412786546255*^9}, {3.8044128484707975`*^9, 3.8044128625095997`*^9}, {
   3.804412892838335*^9, 3.8044129172037287`*^9}, {3.804413142117593*^9, 
   3.8044131574584703`*^9}, {3.8044131958186646`*^9, 
   3.8044132235882525`*^9}, {3.804413263666545*^9, 3.80441327144199*^9}, 
   3.804413322012882*^9, {3.8044133618481607`*^9, 3.8044133879066515`*^9}, {
   3.8044134373274775`*^9, 3.804413453923427*^9}, {3.8044135072924795`*^9, 
   3.8044135711911345`*^9}, 3.8044136168177443`*^9, 3.8044137068128915`*^9, 
   3.804413741038849*^9, {3.8044137855083923`*^9, 3.8044138125839415`*^9}, 
   3.804414122401662*^9, 3.804414182032072*^9, 3.8044145367053585`*^9, 
   3.8044146584363213`*^9, 3.8044238032233734`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Display DT potential", "Item",
 CellChangeTimes->{{3.750746832403555*^9, 3.750746845568308*^9}, {
  3.7507472053488865`*^9, 3.7507472064959517`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITab", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTab", ",", "WaistXTab", ",", "WaistYTab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTab", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITab", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighXTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistXTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighYTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistYTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTab", ",", "WaistXTab", ",", "WaistYTab", ",", "ZRayleighXTab", 
       ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", "\[Phi]Tab", ",", 
       "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", " ", 
     RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
    RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
     RowBox[{
     "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTab", ",", "mAssSr"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDepth0", "=", 
   RowBox[{"XYZDipPotFun", "[", 
    RowBox[{"xOffset", ",", 
     RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gSaggSrNum", " ", "=", " ", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"gSaggSrNum", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
       ",", 
       RowBox[{"{", "1", "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]X", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{
               RowBox[{"xx", "+", "xOffset"}], ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], 
              "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"xx", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"xx", "->", 
            RowBox[{"(", "X", ")"}]}]}], ")"}], "/.", 
         RowBox[{"X", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Y", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"yy", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"yy", "->", 
            RowBox[{"(", "Y", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Y", "\[Rule]", "gSaggSrNum"}]}], ")"}], " ", "/", 
       "mAssSr"}], "]"}], "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]Z", "=", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"Abs", "[", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"XYZDipPotFun", "[", 
               RowBox[{"xOffset", ",", 
                RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", 
                RowBox[{"zz", "+", "zOffset"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"zz", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"zz", "->", 
             RowBox[{"(", "Z", ")"}]}]}], ")"}], "/.", 
          RowBox[{"Z", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], 
       "]"}], "]"}], "*", " ", 
     RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDepth", "=", 
   RowBox[{"XYZDipPotFun", "[", 
    RowBox[{"xOffset", ",", 
     RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TrapEdgeByGrav", "=", " ", 
   RowBox[{"FindMaximum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", 
         RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0."}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "\[LessEqual]", " ", "yy", 
        "\[LessEqual]", 
        RowBox[{"400.", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"55.", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", " ", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDipTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"TrapEdgeByGrav", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PosTrapEdgeByGrav", " ", "=", " ", 
    RowBox[{"yy", "/.", 
     RowBox[{"TrapEdgeByGrav", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{
       RowBox[{"xx", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], ",", "0.", ",", 
       RowBox[{"zz", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "]"}], "*", "ctePlanckOverkB", " ",
      "*", 
     RowBox[{"10", "^", "6"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"xx", ",", 
      RowBox[{"-", "400"}], ",", "400"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"zz", ",", 
      RowBox[{"-", "3000"}], ",", "3000"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
    RowBox[{"Contours", "\[Rule]", "30"}], ",", " ", 
    RowBox[{
    "PlotLabel", "\[Rule]", "\"\<Total dipole trap effect on 1S0\>\""}], ",", 
    RowBox[{"PlotLegends", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<X\>\"", ",", "\"\<Z\>\""}], "}"}]}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"ContourPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"xx", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
        ",", 
        RowBox[{
         RowBox[{"zz", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
      "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"xx", ",", 
       RowBox[{"-", "400"}], ",", "400"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"zz", ",", 
       RowBox[{"-", "400"}], ",", "400"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
     RowBox[{"Contours", "\[Rule]", "30"}], ",", " ", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Total dipole trap effect on 1S0\>\""}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<X\>\"", ",", "\"\<Z\>\""}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{"0.", ",", 
       RowBox[{"yy", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], ",", 
       RowBox[{"zz", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "]"}], "*", "ctePlanckOverkB", " ",
      "*", 
     RowBox[{"10", "^", "6"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"yy", ",", 
      RowBox[{"-", "300"}], ",", "300"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"zz", ",", 
      RowBox[{"-", "400"}], ",", "400"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
    RowBox[{"Contours", "\[Rule]", "30"}], ",", " ", 
    RowBox[{
    "PlotLabel", "\[Rule]", "\"\<Total dipole trap effect on 1S0\>\""}], ",", 
    RowBox[{"PlotLegends", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<Y\>\"", ",", "\"\<Z\>\""}], "}"}]}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"xx", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
      ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
    RowBox[{"10", "^", "6."}]}], ",", 
   RowBox[{"{", 
    RowBox[{"xx", ",", 
     RowBox[{"-", "700."}], ",", "700."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in X axis\>\""}], 
   ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{"xOffset", ",", 
      RowBox[{
       RowBox[{"yy", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", "zOffset"}], 
     "]"}], "*", "ctePlanckOverkB", " ", "*", 
    RowBox[{"10", "^", "6."}]}], ",", 
   RowBox[{"{", 
    RowBox[{"yy", ",", 
     RowBox[{"-", "300."}], ",", "300."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Y axis\>\""}], 
   ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{"xOffset", ",", "yOffset", ",", 
       RowBox[{
        RowBox[{"zz", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", 
    RowBox[{"{", 
     RowBox[{"zz", ",", 
      RowBox[{"-", "1600"}], ",", "1600"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
    RowBox[{
    "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Z axis\>\""}], 
    ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
      "}"}]}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Beam powers: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rayleigh length axis 1: \>\"", " ", ",", 
   RowBox[{"ZRayleighXTab", "*", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Rayleigh length axis 2: \>\"", " ", ",", 
    RowBox[{"ZRayleighYTab", "*", 
     RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]X", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]Y", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
     RowBox[{
      RowBox[{"\[Omega]Z", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Grav sagging: \>\"", " ", ",", 
   RowBox[{"gSaggSrNum", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Absolute potential depth: \>\"", " ", ",", 
   RowBox[{"PotDepth", "*", "ctePlanck", "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Edge of the trap between tranport DT and sheet DT: \>\"", ",", 
     RowBox[{"PosTrapEdgeByGrav", "*", 
      RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Trap depth: \>\"", " ", ",", 
   RowBox[{"UdipTab", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Effective trap depth: \>\"", ",", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"PotDipTrapEdgeByGrav", " ", "-", "PotDepth"}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.7197386048911114`*^9, 3.719738605608152*^9}, {3.719738648634557*^9, 
   3.719738676855596*^9}, {3.719739932359174*^9, 3.7197399377291813`*^9}, {
   3.7197399752412496`*^9, 3.7197399870912657`*^9}, 3.7198221739167566`*^9, {
   3.719823712196764*^9, 3.7198237279767857`*^9}, {3.7198385766077533`*^9, 
   3.7198385783877554`*^9}, {3.7199057240019007`*^9, 3.719905739391922*^9}, {
   3.7199058264440594`*^9, 3.71990583412407*^9}, {3.7199058651741133`*^9, 
   3.7199058719441223`*^9}, {3.719905913506194*^9, 3.7199059152661963`*^9}, 
   3.7199222698204207`*^9, {3.720173300657431*^9, 3.720173337943564*^9}, {
   3.720173722037533*^9, 3.720173742179685*^9}, {3.7201743683204985`*^9, 
   3.72017437254574*^9}, {3.720174482765044*^9, 3.7201744958137903`*^9}, {
   3.7201745402443314`*^9, 3.720174541739417*^9}, {3.7201746186378155`*^9, 
   3.720174668615674*^9}, {3.7201747081059327`*^9, 3.720174725602934*^9}, {
   3.7201747596758823`*^9, 3.720174780074049*^9}, {3.720174854079282*^9, 
   3.7201749148787594`*^9}, {3.720174949256726*^9, 3.7201749757732425`*^9}, {
   3.7201754634941387`*^9, 3.7201754807061234`*^9}, 3.720175598122839*^9, {
   3.7201855281053443`*^9, 3.7201855286313744`*^9}, {3.7201855692646985`*^9, 
   3.7201855724428806`*^9}, {3.720185621443683*^9, 3.7201856630040603`*^9}, {
   3.720185735696218*^9, 3.720185739544438*^9}, {3.720185912814348*^9, 
   3.7201859139234123`*^9}, {3.7202455310867996`*^9, 
   3.7202455323388715`*^9}, {3.7202457217307043`*^9, 
   3.7202458625817604`*^9}, {3.720245916877866*^9, 3.7202459196840262`*^9}, {
   3.7202459868828697`*^9, 3.720245988715975*^9}, {3.7202460767705545`*^9, 
   3.7202460773205557`*^9}, {3.720246107360617*^9, 3.7202461096106205`*^9}, {
   3.720246142012685*^9, 3.720246147742693*^9}, {3.7202461996647835`*^9, 
   3.720246201824786*^9}, {3.72024626607891*^9, 3.7202462667389107`*^9}, {
   3.7202469651740007`*^9, 3.7202470153380957`*^9}, {3.7202470697001905`*^9, 
   3.7202470764601994`*^9}, {3.720250120114921*^9, 3.7202501308849363`*^9}, {
   3.7202505029515023`*^9, 3.7202505060615067`*^9}, {3.7202691420522037`*^9, 
   3.7202691515622168`*^9}, {3.7207799442924137`*^9, 
   3.7207799554324293`*^9}, {3.7207810440109515`*^9, 
   3.7207810454109535`*^9}, {3.7264045192662487`*^9, 
   3.7264045476483073`*^9}, {3.7501623752658863`*^9, 3.750162380690197*^9}, {
   3.7501624362433743`*^9, 3.75016243913054*^9}, {3.7501629648146067`*^9, 
   3.7501629806835146`*^9}, {3.750163037752779*^9, 3.750163041703005*^9}, {
   3.75016322152929*^9, 3.7501632660988393`*^9}, {3.7507472360466423`*^9, 
   3.7507472934519253`*^9}, {3.78124152793388*^9, 3.7812415464759398`*^9}, {
   3.80440074363244*^9, 3.8044007884990063`*^9}, {3.8044029878338013`*^9, 
   3.8044029881458187`*^9}, {3.8044030251399345`*^9, 3.804403028493127*^9}, {
   3.8044031174822164`*^9, 3.804403125340666*^9}, {3.8044031868551846`*^9, 
   3.804403201605028*^9}, {3.8044032823846483`*^9, 3.804403286692895*^9}, {
   3.8044036528608384`*^9, 3.804403655175971*^9}, {3.8044105747787495`*^9, 
   3.80441059052465*^9}, {3.8044129461773853`*^9, 3.8044129494805746`*^9}, {
   3.804413638376977*^9, 3.8044136401380777`*^9}}],

Cell[BoxData[
 RowBox[{"-", "386826.41948630253`"}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.801381795399836*^9, 3.8044004343777514`*^9, {3.804400732675813*^9, 
   3.8044007899240875`*^9}, 3.8044009124180937`*^9, 3.804401599714405*^9, 
   3.8044016785739155`*^9, 3.804401720180295*^9, 3.804401835254877*^9, 
   3.8044019059179187`*^9, 3.8044019458012*^9, 3.8044029617803106`*^9, 
   3.804402996312286*^9, 3.804403033115391*^9, 3.804403081983186*^9, {
   3.804403129693915*^9, 3.8044031522852073`*^9}, 3.8044032048682146`*^9, 
   3.8044032509228487`*^9, 3.8044032943363323`*^9, 3.804403347938398*^9, 
   3.804403389684786*^9, 3.804403459108756*^9, 3.8044034981579895`*^9, 
   3.8044035488728905`*^9, {3.80440358470194*^9, 3.8044036112284575`*^9}, 
   3.804403666749633*^9, 3.804403758466879*^9, 3.8044072678616047`*^9, 
   3.8044105250399046`*^9, 3.804410591351697*^9, 3.804412789637432*^9, {
   3.804412851739984*^9, 3.8044128646487226`*^9}, {3.80441289467344*^9, 
   3.804412918652811*^9}, 3.8044129537748203`*^9, {3.8044131443627214`*^9, 
   3.8044131594915867`*^9}, {3.8044131997918916`*^9, 3.8044132251583424`*^9}, 
   3.8044132777723517`*^9, 3.8044133238439865`*^9, {3.8044133639772825`*^9, 
   3.804413390136779*^9}, {3.804413438461543*^9, 3.8044134564045687`*^9}, {
   3.8044135165740104`*^9, 3.8044135726442175`*^9}, {3.8044136224530663`*^9, 
   3.8044136485945616`*^9}, 3.804413708095965*^9, 3.804413746367154*^9, 
   3.8044137907366915`*^9, 3.804414045244249*^9, {3.804414126518897*^9, 
   3.804414154417493*^9}, 3.8044145401135535`*^9, 3.804414659960408*^9, 
   3.8044147162986307`*^9, 3.8044238077676334`*^9, 3.80442383935744*^9}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[
    GraphicsComplexBox[CompressedData["
1:eJxsXQc4lt0bT9GemtpTWkZJQ+pIIUTZojKzee2UjBCVhIRk81KpNKSU6rQX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     "], {{{
        EdgeForm[], 
        RGBColor[0.148, 0.33, 0.54], 
        GraphicsGroupBox[{
          
          PolygonBox[{{2248, 113, 4905}, {6333, 113, 2402}, {6370, 113, 
           4795}, {4795, 113, 6333}, {2223, 113, 4887}, {4905, 113, 6370}, {
           2402, 113, 2223}, {4887, 113, 2248}}]}]}, {
        EdgeForm[], 
        RGBColor[0.22488169483808496`, 0.372712052687825, 0.6120003173880478], 
        GraphicsGroupBox[{
          
          PolygonBox[{{2224, 2223, 4887, 4888}, {6334, 6333, 2402, 2403}, {
           4796, 4795, 6333, 6334}, {6371, 6370, 4795, 4796}, {2249, 2248, 
           4905, 4906}, {4906, 4905, 6370, 6371}, {4888, 4887, 2248, 2249}, {
           2403, 2402, 2223, 2224}}]}]}, {
        EdgeForm[], 
        RGBColor[0.26498740009782984`, 0.3949930000543499, 0.649559628663047], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1kL0KwkAQhMefCEow2CRFhGBpaS/Y2ScgiGWsNZ2FD6BgJWgj2PkSilUe
wNLCR7FzJ3MWy97tzX47e4O8yNZ1ALFFw2LRB24e8EoAzwrDJnCpAXkEXC1v
A+DsNHPLZQgUBrjZ+W0xMv0jVGadPZkvxqonLnu/bWDp651s3ln/JNJRfzLe
xpMPslLHmZqHVkf1g81KA72XXfmotIH8kXkcAM9YevZxB86d2dx9qB13zjPn
sf+/wySSrvLpi0Um/+nuNNx77DTc6Qdpriw/
           "]], 
          
          PolygonBox[{{2250, 2249, 4906, 4907}, {7315, 409, 1443, 7316}, {
           3910, 409, 1065, 5767}, {5770, 773, 409, 3154}, {8153, 1443, 409, 
           3153}, {7093, 1398, 1073, 5816}, {6335, 6334, 2403, 2404}, {4470, 
           773, 1398, 7093}, {4907, 4906, 6371, 6372}, {3170, 412, 623, 
           5825}, {4889, 4888, 2249, 2250}, {3777, 623, 773, 7099}, {4797, 
           4796, 6334, 6335}, {2404, 2403, 2224, 2225}, {5766, 1065, 773, 
           4470}, {6372, 6371, 4796, 4797}, {2225, 2224, 4888, 4889}, {5951, 
           1073, 412, 5948}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.31261961101952684`, 0.41357238725925866`, 0.635297097675422], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtkS9LQ2EUxh916sCLY4J3YYOxIIg2waaYpmAQvMLAojCLSYOgyepkBsMm
iuAwCFaLMnDBmdR9gpUVLUa/gb/DecPlPPe9z7/z3lL1MDkYljTLM8LzmpdO
RqXupLSUkzZS0gqzFkvXEFcz0mBC+oW8PS1tRtLDmNQvSudw5uBfMK8K0hM+
O2npGc9FvI+z0syUVAbXOJ8P+BT/PD71ITyz7mv+PWYSuWc9do3xTfdJ3h25
H8xmyGow1zLe8wa8m/bcDp6NyHdZJusNrwXwAE4z7GU6yzRP6/HNt3c8fwqu
N58j/DpB+8h5JfT8Y/bo0UL7VfQ9jX8W+w7GMW43aKt0aZGZpHwfy7F3w+1w
/y/MctjFOlpX01r+Vs61t/jsgSvge/A6/fbHpcuS36n59enSjr2P/Yd/OTxG
Sw==
           "]], 
          PolygonBox[CompressedData["
1:eJwtkT0vw1EYxY/3iiZNiSr+SdPBxCTxEWpvG4RF0pCY2DGTWNgI0Uj0C7CR
oDGhMRIWixqMvoHfydPhDPee556X5xZrW5XNbkkF0AsaiXQJyhmpAmppaRai
ChbGpFcG6/3SQZe0wtwpfAWujsgO80/w5/C/PdLXkNRm5rFPKqE9NSzNjEjT
oJ2XfsD6oLQGrlLSdSo8qh29bfTO0nF2hmZOWkrC2x7PhfD0rGc8+8FdA+6Y
uxLcBF7j4AXtFtjtzDvTdxIdrLcxIB0VpeVsnN2xhdY7/Bu4wfsWzGdC2x5l
/C7AYievtZt0eshHJ3dzR3e9o/v9cGRwFu/Au/CdOb/xW+/Au3BmZ9/Dc07h
uZ+LndjLnjV29ZmN3foPqpwPi9HFHbyrv9H4C58nyXqShJY1V/H5BzHRSwY=

           "]], 
          
          PolygonBox[{{2142, 1456, 7316, 7256, 7257}, {7094, 1399, 7099, 2566,
            2567}, {3172, 3171, 5986, 1110, 5987}, {5949, 1102, 5948, 3171, 
           3172}, {2554, 2553, 8153, 1700, 8152}, {8138, 1694, 8141, 2553, 
           2554}, {5818, 5817, 5951, 1102, 3219}, {2163, 53, 5816, 7381, 
           7382}, {2567, 2566, 5770, 1066, 5768}, {5771, 1066, 3154, 4461, 
           4462}, {7335, 1074, 5825, 7331, 7332}, {7257, 7256, 8592, 1896, 
           2122}, {3922, 3921, 3777, 1399, 7096}, {4462, 4461, 7315, 1456, 
           7317}}]}]}, {
        EdgeForm[], 
        RGBColor[0.3624334433461147, 0.4310788459043854, 0.6060135668508464], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtUs8rRFEYPYMx472n5028UZ55zSyGhfwDNlOysVDGQijlx8LGWFhYkCUL
RSkbJEQWY8WeUfJrMYqSmtgoO4mV2Dhf31287nfPO9+553z3psdn8oUqAF38
qvld+cBxBNhxgIoNzLHuTwNLSSBLQkcC+KsDbOLr5HYmFB+2gFRCe/fY+2p6
b0Jgm/si67IHtDcBbEOOGjEWWdYp4j2uaj6TvxHQCzULxIcC5YzGgT76yMWA
yQwQJb4apQbXH+NnmnrLEeXI2b1x7RWNkq8etujlkx6sGuCba5H7EdaLzNfi
KP5FPOaplu1oHsnVxnyP1DrnuQ+Bzkhwyf1rPNzRf63xJh4/moETanbXA0+m
dzaumcXbGfmXofqVeSdbgXtyfK5vgeovuDoX0Zdzkr7OZ8rTucv85X6EJ/xd
R3NK3nlX5yFZZO5jGV0vGvSfcDYd3Qsu9yNzlLPknhtd7bUczSBZ3plpkN72
6XONd3Ibai3YgMGvQ/UnPm3qTTDzKfHDQGcqmqJ9ECh+xLXiqR95LwXTu8Le
ktEX7bLhvLCGpRyZR968DXkj/99YW1I=
           "]], 
          PolygonBox[CompressedData["
1:eJwtkb0vQ2EUxp+ibn0kouJWqNyQYFD+A9KN2LRCSuKzjIwmc1kYtAmr1Ubi
+zORIJWYGVj4P/xOjuGXnPve532ec87bs7yRW6+RNAB1sNcjHcWlfuqJhDTb
KhWgGklvBmdVyLRJQzCJfjMmZQMpR/2J9gPyKWkKTtGeQCfaLrjski7gDM7h
LvIsy3ygLrRLpZh7fjWRx3cVpmEGVpulIqzgXYT7JB7w0CE9Qj3ZodwjoB5F
M5LyO3b3OfIs83+iLnO23+wa0wZpaTfuHuZV7PXZ7HuJ+pD/B7DATIswn/D+
a2ulStpntFltR7aray5ehZ5hWb9ofqCPnvuhwr8yjLVI49AUupd5BtQvkfdq
Pb9SZxu8F+uxHp+M+aCf4/GO8c/jkWvxHV/+79h2HTRKCQi7pfe43xlO+gw2
yw2z3sLgv59pSpyvkbfa4G9ob2k9Wq+2A9vFN3zBDU3dhp5hWdvUO6G/ib2N
eZjXVsp7tQzL+gMKkVHL
           "]], 
          PolygonBox[CompressedData["
1:eJwtkDFLQmEUhl+zIO1CpHRvoBIN5VI/wz+godzcsrmGZl0t2qKWJgfDISfd
TLtODXpBMBAsqqFsk8ipsSc+h4fz8p5z33O+u3V4kj5ekBSBJcitS1n4gfCi
9E3dd6QM3FjSXUB6WaOHLqNd+n3wIUlIHe8jLn3CBM5t6QwuIBhkQViazbNj
ZLhkHcBr3GR3mXtDv0OJnXnmitQxM88wxPc4dERtMXsPHfw2nC6b3hO9Dn4b
augmXoHeETkFqFjmzkf6XxtSgx0T6gP3e+Bv8ibowQpzvyFpB38byuQMyHMS
0u08u0pNr/KP4NI236TQV+hr2ItKu1Gz43/XlPoHpQQ7ww==
           "]]}]}, {
        EdgeForm[], 
        RGBColor[
        0.4122472756727025, 0.44858530454951207`, 0.5767300360262708], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtk02IjXEUxs/lzr13Xm/ujNz3Te40XclHysZHVmJtZYzCJEwzZUVkLBSr
QW4aFlKGjQU1krKhhhKNMXKjsPKRkchKPjaKW36Pcxb//uc9/+c85zkfb2Pw
YN+BOWbWx5nL2bfE7EvZbIh79QKz+wWzrMfsQbfZBPb51OxvbrYC8Abev2Ff
g+B61ew4uK8dZiPcV6se+wr8DzCLsAcS8jTMNsO/lbs1z+wI/naX84r/EHFN
OIbBlNBzZ77rGUTPo8xsTdFsD3ynObuxbxG3C20F9PyskbPLOcU9EnpGuS/W
zW5jj3MvQ/dS8J+xh1Pn3Ajfvcw1vKz7mzDLwbZ6nV95pkPDEPjtnV67enCq
4ZpPNtx3rOg1vyEmI/YEmAtRo/LoXT0U5lP0cx25+nPHK+53p+dV/tHwr6WH
fxZ6b25S6xm4UjgqiXOo5+JcSS9m+Z6mDwPRn8Ng+5OoHb6nYIromOEuJM5T
A2Nhi1vzkOYx9Sn32jUHaVU+7YI0SdtO7BuhR3yT5B5D6Dj6X6euTXtxme9z
+Kd4fxf9UX15j2vTfLRP6uMv/FuqzinuEnNp4t9Eb55xvmO/QP/+3GNV396K
z/oS2PU1xwg7Rd4r5H3CXep2f7nuGrVzbUovh1/vyvN/P/F/APcQzPu691p6
7i72PVBPtEcToVl78Tbq0jzbsZPPqXdHzKIJz7b4FybZ8RnePuJfhd6zHa5H
M85S1/y419+lSXoULx7Ndja0Ha14nHorTCvmm8DxD4M5hhc=
           "]], 
          PolygonBox[CompressedData["
1:eJwtk81LlFEUxh+ddGacMdOa950YcxhoIZRuhHAVQS1qm0JRtOm7RbZp1T4D
CYM+XPRJxQSS/0Cik0ZEi7KF7iuiWplWSwv6PZ1Z/OC89557znOee9/ayUuH
x1olDcMmeFmVGrAAi3ChWzoPhUQqQrZXWufA5RapjXg8lU5wcDvfxzqkvXwP
8T3N9+2i9IycOox0SaNwvCNyfeZaGj3ca4ScUbhLPNku/UVLPS/1bpUq8C4n
vYdbaLgJd2AKypAmodFaH9DzPiwRf4C1zdIEej9npLcFZmCvANvQUoI3rH3K
RI5z/9BzIx893Muarf1FRZqthAZrGUDTYBPHq2XpB7ym3g30T7ThE/kLPXgK
i+y9ggHi3fAcDTPwNB+z+sw9Zh9mrx89V/DnI/vLMNcSa1/S6OFe+zulAzBZ
DK/t+RD7u0oxq2u6tjVYy3XYqMSd+e48bzvxr+a+PZ9F+29q1Fvjjn4Sf4Wd
mdCwQq8xPLmYhEf2al8+atnD/lLM6FnPsn4OGtzBPCzTawVO492pXLwJv43v
5H4rh0f26mpNOpMNTdbmGT2rc5xbb/rlGea2SEfpeQTWYB2SHaHVmlPipULk
+s3uKcUb9WzOGeyJN+23nYUcVNHa1x3/gP+FqeZbO8gbOASP8OAh9HG2CjNo
wLr/msdrUcO1XMO1fIe+S3s63RVnfPYx60+gQe58Ep7Ym39DSYTW
           "]], 
          PolygonBox[CompressedData["
1:eJwtkc0rRFEYxp9hmM/G59yRmWkaKRQrf4EdKTKjjIUwCRuUhR0r+RMUDWIn
UlJkakYjnyVT2A2ZlexMVpZ+t3sXv97nnPuc933OufH0UmKxSlIr1MCxXzqC
tZBkVEvvDeCTSjASl/pcUpJ6gmfCKW3g626UeuA2JmVqpZuY5TfPHeDbhw6+
t9NvHv9AndQPWxHplKGb1CDrZvDiddL3MShN4u1F3xnSLvt7MG7nKpErw3oH
0m3SF7mmqYV66RoeglafJ+oYpOCNOa/wAocO6Yoew9xlCGbsHucBKRuWLuEC
/PgGyVXh/A/8goP5Kc4W0RUez4X2kcMPQcM6I68UQrfAtn3PKbeUw5uH9aj0
zd4Ze+EmKQLZgPW+CTuTma2I9xk+6FHAX6auuC39ic7RPw+j6CTc2//AIMuy
YWX980gL6EWYQ896rLnm/NWo9V7mu3VynzL+Luo/1OtM9Q==
           "]]}]}, {
        EdgeForm[], 
        RGBColor[
        0.4620611079992901, 0.46609176319463874`, 0.5474465052016952], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtUksrhVEUXd4uXy433/2UK4QZZUApZiJhJO8UKY8MUJQfIL9AIZISSnkM
lCR5jUxEMZCEvGbKY2pgrfYZnPZun7XXXvtR2D/WMhoPoJYvge8hC9iJA7Y8
YC8duGPwLxs4yAQeCSz3gZUoEGG8OA3oJL6EeV+MNzu/KxVoiABt9D8D4Mjl
roeAW/JOJgLvjJdFrNaOZ3/CLOYD8TlAJflnyP/IvxNi+oltDgMLxOyyfmPI
/DX6I66Wz7z6kGmoo4bDXMO0Mu8uyTiFWyZnKzV0UUN7YH43bYpvGtTrCjFt
jPcynsoaGfS9qOmQnmf+b4bNf/KshmptxNgP88cZP+D8BpnfwdwB2qIC0zBE
jumw9b7N3G/+TRHzS3ucZbNdJM8ZZ7GUzBr5NgvliuMzZrnieAtsnh+01XnW
Z02e1ZaGjwzg3jP+H2JuY8avOpqRZqW9DTudq8TOs89S+h30ewKbQx/tidMm
jp9c458ptFuRHu2z0zfOC9pTh9e9vDJ/gjw3xFa4vauPFxd/Dqw/zVM7km7x
77OPJjdb7VM3J84qzdOzvYTIf+j6lS6P8STGr3y7D+XqduZcX7NR25lqVVHL
pW/4a9pzN/Nsz+5JWnTLX64v9fcPZGxxpQ==
           "]], 
          PolygonBox[CompressedData["
1:eJwtkztMk2EYhQ9VIy1VKKSlRhqCm5fooOCgg4MOumgUJphQgzKAQqwTTiBG
Ey+LJuqm0XhbMcFEtAiKcnF0UIOTTqCzYHxO3n94kvb/38v5znf+lu7+430p
SQdgLczUSB9ge17aAW/rpTdQKUqT8KNJWoRytXQRxqg9VyV9Z8h66u83S/fg
Hc+nYDErTfC+dY2Uor+NWa2w0iitwjVmXYXOnNQFuxqknbBE7TJMM2sKvjLr
G7yHaVjeKP2Gf3XMgXmeLST4dxta9kJ7i3QCxql9Bdt4tjUfMzxrDxp2Q6XA
+eAYtUdhjNqX0FMf2r+sk/aVpEswBBegXAqN1npwg3QIPnOGhVx4ZK+O1EqH
4Ta/78AN/LiejZ3e7R73/mTGr2JotFZrsJZGagvZ8MBezOP5XHV4ZK8epqUH
6fDc3u8vhdYO7rIX7XOccbYmPLJXk1CpCw/shT21t/bIXv3ZjK/wF1agxI6m
htjp3b5T361rXGuP7FX3Fukk3G2OLDgT49QNcPbztXFmn90ZcpZ60HwGCrzL
wwxaPubDA3vhzDl7I3g0bK8y3EMmetw7lNyFM+AsOLPOrjPr7NoTe1PgTvNQ
hE2F0GitlcSLFDOrMlHj2ltovJkNzdbekQ4vneEn/H9GzdNC9Li3nGRhGEZg
gnev4RRenYYX7HgOl/F2FDrIQHtT3KnvdiTptcf2epDeAeiD/kSztZ8lU725
+Ob87XmHdznjzvondM5CF5o6YRTPrjTGN+VvyzMHk5mevULtKixTswSPONtj
+A+kVp8+
           "]], 
          PolygonBox[CompressedData["
1:eJwtkksrhGEUx/+uDd4wkxkbNSbZWVgY+QTK2Mm4FwlhgaJ8AYPYkBoiiQXl
Mr6AGpeNa6ZYSJLcdghLM+X39ryLX+d0/uf2nPcNdA83DKVLCkAWPBVLo5nS
CzbokaohlSMlYcEnVaAtYossaSVbOvJLjSVSGJoto0fR6wqkEHzQJ0zfMPWf
+F9w7pXO4BTK0WrReok3U9uPbcwl38H234iNob1it+i5Cb/448Tumdllz8Bf
w/ezbylM8aBJiMBImhQrJO5Gh7jf7H6MzWHXfGpdPqPZOYMwAJajldH3BP8Y
Op1ZHdgUJKGGeXFmPJIXZN8qaLXfQV4Tdp+6JY5cz97b+DvQ65J6YLPEaCFu
sIgfhWXwZEiH7PDjvPMb207fDqjkbo/UHPCmyzzpCpJF0h01f9hd4ntQU2z6
xOkzx27z8O7c8hZ/nX02oM3ZdZXYNbkJt7mhfcsNy3yXPnISzM3Ct4h5qfPB
JXtfwLWjXXlNT7v3jWX+pWdqW13mW7fQe4b3zcI08SmIkRfjflXM23P8B/Im
0CLwDwImX9w=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.5118749403258779, 0.4835982218397654, 0.5181629743771198], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVEtIlGEUvWOKjs7oqM0rZ5r+ESuiJw5JlNsoiZB0LMKCCisMMjSKaCEt
MnFTmwgqCNRNhBEiFIUkRmlS1EroYZRFJfTQFm2yxzmdbzF8d+53vnPvPffe
39vftuNojpm147cAv0iJ2QU4nofNHoTM3sI+kDbLFprFfGYtUbOxYrPj8B+O
mV1KmF2Gvw7v4kmzfvgb/WY5uDudi/cBs9EKs4uwQ0HhiN8J/9Mis2kEXYtY
q8Ky1+HsLRHPR8RaEVYOzOV1nngYexiY6zj3IY7PxfoLfB1ir0cdLQXgxf9t
8K/GOR0VJ7l/Iv9W2HdwziG3duTzELm0RcyqgO/AuTUg+xjsfnBOAb8SuaSh
xUi+WRLnDLje4W0WdU1GpU8TdEo5zC3YN/zK/1oKdcN+BTsAnozL7TziDITk
n19oNhGW/uzDGWCagenE6S0x2wB92svMbrv86z2zGuDfw/8M+W/26y05MsAt
g78bb+ddjaz1rOMcQNyN6NcT+A8Bm3E81WHpy1iVuKvH/8+wI+jzY8TogG8W
8YdC0mQp7rcnhPmPBW8n+CMx5UqeYcSNQ8cQ/TivIO439PIuetQKTA0wm5LC
Mh/GnSoS5yPo9gXv2+DrCyk2cxjD/SLHuRwxfQn5uz3NBWeFdaxxOszhfjRf
fWHPyhLSkLPQXCjMD2hT7ub/JWqpdm+TSf2nP4r7Rk+5Mcc+N6uc/ah7uyWh
3pD/XrHyZv5DwFemlUdVWrNMHZhPXlC114Lnakracu64M8SVx816PPmp/TlP
M8PZGS/VzE9GVDvrpoaDFZo9zmCt63Uu+LKup+xbKib9j5Tpvsb1/Re0OIW4
f6KaIepAnagFber6Hf4TwHzF2VOod4vBd7BUO94Q0D5wLz4B8yYgzt+wRxyG
3w/iaA/CtzcmHvI1uLfcrfsR1XiyQHXS7irVntPmfdLtHfdv0PHv4myEpRX3
b8LNMOflg9tZftu6nIa94Jlx3wr2timo/nDX+b2jtuPo6ayr/QX4d8ekO79J
e/yy6bvp9pq9+gepZ8DK
           "]], 
          PolygonBox[CompressedData["
1:eJwtlMtLlFEYxl+18Dqal3EmdHQu2iKC2lRKbXWlBJFGppEFXRQUNGqni1Ki
2hREQYEtjIoCpSK1CGrGsEKtoFUWaISXRdYfUNHv4Z3FD873fee873Oe55wv
dqx3f0+mme2DDZATNMuGyU1mU/Ci0KyLCatZZgdiZiM5Zl83mj3gXUeu2aNy
s4eQmWeWBXmMcyFabBaD58xfZ/51iveEzVaotwzP8s0moLvEbDe1B/m+WmBW
xZxEhr+rZvyGOX08f6Pf7Wo0Bsxmea7neyxq9pn1Sxne41bErLnIrAnG0DAO
a9RYhdfMS8I071LQHkI/7ELzTmhlfBDqoQ6uouUa7Cg12w6/qPEbtgVdSz89
36HtNB6cggF6D0IKjUkoY20Q9kZ8L9K8h/EnPPkIS5Vm3+EpNXr5tkDNDGoH
w+6F1nSh9y1encl0/5IVZn/KfK7WPGFtDT0SBe65vN+S1ifPknw/R8+zMATD
Efdc3itjZd2Inw0B90hefSCv+Rzfs/bejdauYu+hXsN4NQQJvK+JuqfyNsXa
6bD3UK8Ia6tKPYOx9BnRWbkDI1BDjdo8z0BZHIVOWMeTn3CeDC/AXeaOlnum
ynYm371fZI9b0b/MmlHGYd79CHlmyq6Puf1FnqmybYPDME7PV9nohkTcM1JW
LfRsrfQMB9KeyTtlruzlkbyaTN8H9X9c4TVVW5kq25cVfjaV2Qxz2/DyEFym
9hVoZNwATcxths6w3yWd+SNhvyPKWndMd22OszULc+x1Pugey2udOZ09aZb2
EHsIw/G4a5PGiUL3VN5GySgGU/g3me93UHexdLP30x1qDbgmaZNmaVeGylJn
QmejvNL/BapfwvhizPPQmbsU80yVbV36Lv1D41+4QYY34T6Z3IMvaF0o8H+E
/hW6M7o70iitJ1h7EpZgUfdU/wloCbhWZRhnr7Vxz1Lv9C+Qx/K6nZodMFLt
fkjje/a9EvKzojOzxvg/t++0iA==
           "]], 
          PolygonBox[CompressedData["
1:eJwtks0rRFEYxh+Dwlz5ytwhhRAbIsP8BaYhKx+xYDMTijIyRbKQGFt2ZEMi
NqzZKZKFwRYlxsbG51aG3+3cxa/3nPe853nec99bHYn1THokVUE2+PzSQpZU
SgwXS50QhHb4taU5zn6IOz5y1HflSrus9+CkUDqG5lIplSk1Ev+oneeOB71E
nrQC1+STcAtrmJcUSJnkPeBDp5D6cmKc/DSsWlI3uWa0ovQRgSfL6Gag62dt
w0Wl9IpvP7qD7DczpNMiaQutbWiwjHYZ63HyE2BR+0APR07vXt4AC/gMUZcg
ttFTO/Q576QuRe4JnqHFfWeSO2nu/0EruRdyQeIVd5Kwgd86DLg9jeI7xb4O
jxjxl5o0LPPWJTi0jP+ibTQd7Ruv0Q2gm3bn8GiZbxF15+TM642zGc4+icP4
DEHc9eqkPlVB7zCbY+Z3yfkX+3pH27nP+h3uLKPzgc4+PR3AGOtRGAE/7+jl
uzTZZjYB4hk+5xCuMHMN8aYOfELwgN49fNvGqxWvWn66GhhjfYVedr70D1gW
W1Y=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.5616887726524655, 0.5011046804848921, 0.4888794435525442], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVEtIVGEUPuajmWlGc2buODrOeO+UG4NcWIhKtWiTPTalQk/TiloptckK
rLGxLFpJENWiVdDCImgRZWk+ygcoCBHp9LCCXJSWJIVIj+/0/Yufc+6553zn
/N85/3Eam3c2LRORDpx0nEWXyFXIeFCkcaXICH4m3SIen0hnhkh9WGQ/vo/A
5xZ8870il9JEgrkik7AvwP+LJbIxhn9ZIpshv+eJrAF4tR+4OKugT8E2Cv8M
xHbD38llrCckMm7sr2Efhj0I/4+FIr+jIifhE0Fdh4CzDvY/wOmLiJzKFOmF
jBscf4hHda1rGrUmUfNwgEf1BdgGiuij+atWiGxB3nZb5ECY922A3GDsfwtE
rqCOe8i1B7H1qKEGODegZ4KfPtx3NWJrw6wt6REZWi6SwPmJ+FngvYPPIvSK
GL8/5YuEDYd1wN4HvRT2u6i939xrOFvkvJ+c7wa2gxzPgJOBnGs95GcG/hdN
be2QE4a3veDHNv5FNnumOE3AiYTZl0ZgxG3WXwxZhlw9qCflZQ/fZnEmRgxm
Crlu+3in5gDjFecXcm31U1fsOdQxiHrmIQ+bfik3lXHyUgX5IY8c1qBHp130
/wb/m+j1Nvi/RFwRYhLgJAY5X8BeaK/WI3YH7JWQcwWc1YOYjZQjUoKaT4Bj
idCus9zppX8F/CujrEfrumDT/3iMMapfh+0RcqTg47WIqzg/kMdt0e6zyLty
otwsgZNpxCYRG4xyznXeEzZ51DdxNI92B/bnqLMVPAw6nGmd7VH0OpRFXeek
JE6fAYf90L7cyeF705nZXsheak8fg783xmcT8Ls85PAy/l+zyZvOsgt1T8H+
ELptuP3qZYzGFqL2CeRrQ973Lr49vaPO1CuH9ZXGiKv4E35+q70VeVpNPTqz
Z23Oz6yPO0XnyINeH0vnHfUdKmclZsZa3MaGvIEc7oFxizviv+7mt+pj0Dtc
nB99i2Nmb5RZxNb3pRwumRkrh08u3ls37EHIOh/1APQZD2vqhe6A8z7c3Y6z
T9qvBmDUWuRc36u+6TbzrqvNzIdw76jx1/5rn5TPSfifsVnLAx9nWnkrBn7c
5KqFvdfFXmvPdRdoLsvL/auzpzOu+bRO5UixFPOczR4oZiLMnaJ3F/TkRYT+
er9ys6/0zT2BvQVvrQcyzewr3amfTazup0wzJ+mQXSHupfuQuzy8o86y7rN8
s9P6zTzrXA9lE/9phL3Q2dCa/wEuZ98q
           "]], 
          PolygonBox[CompressedData["
1:eJwtlUlI1GEYh181zEbNZmQcZ3JqtL2oNFqg6BRoC9pKK3UI2qOFAoPAJUxb
rkHbocX0UodWqKCCzKI6VBejTTtVVkaRFBFpz4/3f3jw0//37r/vtXj9ziU7
0s1sOwyAmpRZQabZnzSz/ZxtmFkPH6q59C9pVphnFoO5RWbzIB3S4FCx2WEY
l2M2FraF8QlRzofx1Yt923Cz4fm4hGdZZs/hSsjsMowoMRsJtwab3YSrQ82u
wZpCs9Vwh5h34WXMrAOWY7MCBkAGJArMhsIwckzC5IhZKRzEpgHqsTkA88ln
Huzi7m4o42+lMAkmw29i/wpyUC6ykW0t1EFkCN+pp4HW7BvkOSrXi5wvweKo
2SIooCcxaCKXxqTXrNr7E/QO+8dqOna38XcLJmIzCbaT8zb4RI7d0EyO56EF
WuENd15HfQaaRTu9eQBbiL0V5jCvOPM7hvs/9HcKd8ugnxgW9hpV6wN8tUMD
M34f3O8kv9vYbOC8IMPsNHkvpIaqIq9Jte3jb9VBTartS9RnqxnHc7xm1R6B
/CLXgLQwkm+j4CwaOANPss2eZnvOyr0WX3VJ15C0dASOQg89+grN5H8B0omX
BqewOQ27qXd8ptfwN9fsZMp/V4+Pp3wmmo1iKrZ8yNd1Yt+Az/SiG5rp5QXo
wce7TO/hbHx3oa36gWaPYGaJa07a+4jNJ1hGTUvhKjVeC7tGpJXp3JkRch/y
1Qnfct3mYxBTsfcSc0+ea1Ba7M1ybekNdhR7jspVNat2vTm9vXLuVcAN1QKj
+TYGTjLTE7CRXDZBfaHPUjOt4VxBDuXQzfmztEOMmoFeo2oNDXItqIdv+PaD
O98L3Ua2O/Nd/we4/6LYa1btK+nBKrgXN9uc4XdauH+OXM7CKHyPDvmMawMN
SUutgbYr6UEVHEz57BS/kXMZ8UrzPQflohlpVnFsE0l/83r72jnaPdKUtJUW
7KaXfOuARnJsCnvP1LtKzlVh16i0qjevt683obexllmsAyNmPz8byb0p5DtD
u6OPPvVDV5b3Qv17Tj9+c3cC9d+lhrfk08fvU/l9Ga7+xnxGmtV9cmzL9p6p
d+qReqUdMDF4s3q7iqFYmqlmeyrLfcnnzKTvUO1S9Ui90sw1e2lS2jwavCVp
RFqpS/lulybrOc8qcW1rXpFgR2hXTCX2tKhrVtrV/4APcd8R0ofeSC32beyq
+xHfQe2BpqQt/U3ffiZ812mmPxLeI/VKmrtH3k8G+/8WaeYh7/xVjvdOPfwe
8zekt7SC88qYz1Cz1E7UblzHeW3Yd7p2+39qx/qF
           "]], 
          PolygonBox[CompressedData["
1:eJwtk11Lk2EYx/+2Ld106lLnzG0+z+PWiVGBepBgH6CaQWmZtolBUBQF2kF1
EASa+XLkYX4FCzsKK1czQekDaMwPkEYUgef1u7nvgx/XxXO9X/f1+LcfXX14
TNJpiEC5SdqAyZS0HJZicel7mxSukVr4XkXfh+kT0hRsdEpPCPyEjBtbSFqv
l340SgfQ2iF9JM918hwS/xNC+FXxq0OuN0sfIBtIGeiC57XSpi/do4e7sEOe
p9SoUOMcNc/C37S0xbdnddIQOQuwlsRGrVsN0i94gd5F/H38H0DZ9brdaPOa
/IsxaQGyKevvIfPE5iBGviOWEySkCxlpEMLM8eU4fh65Pav7nt2F2ckb18Mq
MkTeMJTapSJMQjdzZ/BbiUqvocHtLNpmd2N2NEKNCjvw2cUAMQXyLdPPNLbH
MMq3GzAOrcSeocbnTrujTWQz8QnoJ2cf9Lr3+xa13429xb1LArmftHl2mHMX
fQ/yzFRhtkjczm3mPwkdMEyeYW7lldk9MQUYQ39L/TneZTZt9SVkEVsJ/rj3
+o2cYYZZmKHvPurWsPN/zCLkTbiDWqTGGPp4yt6Ruaf39fZuIszjBXZHgbsb
cz9peiszZy/7zaBn4ZC9HUCSPD3EXsRWde9wjfq76Hswh/4Scm7uAJkjZzfk
4RL+q9hPQR7Ou3fpR064f6WUsrdkbuoyc87Tywi9DqFfga++vW1z42v4vIP/
qt5uZg==
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.6115026049790533, 0.5186111391300188, 0.4595959127279687], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1ln1M1XUUxo+kdi9wAS8YXO7lcrlTWDJEmgySqWvaKqxWuVpZc9Cby7ka
Bc31ItIwwdzKViusnC7SrWXlWjVX8yWMpc2ifyKkRa1FhqZL/2pp9Hl2vv3x
2/ne3z3fc57znOece6vuf+yOR3PM7BOeK3gqK8y+m2XWHzH7qdish5e9GbPS
PD+vKzerwefoDLMPCs1Gqsy6uDeB/4Fcs1reD/Fu4CqzHPyno2bHE2YHSVJc
ZNZOnNvx2UvMuwrMGng/mHb7Lv6DxNowx2w7Plfnm70TM5ucaXaYGCf53MH5
h1KzWUn3X0O8pSmz89yfwb1rwTYK/ibsknDeCbaj+L/C3UfKzA4lPOYRbF2l
WdtsswXY5fiP4b8C+wZ3HgTL8bjZ+mKvsQX/2hKzAnLdDOZLRZ5X+ZVb5yNz
zV7GZzHndur7I9+52kAcA0ML8afh8DxPE+cF+DTBWxyfzdTVR94R3peD4Wk4
+hFsm7DLArb5nLeVey/Uk5N83s/58ZBTZ/H7PZjz+NwMzvaU85mlX/Oy3iP1
amnaff6E4z30qw5O7gHvs4WOpwM83RnPJS2kgzZS2I1R72kcDnKoeQyfj8Hz
RNx5q+Tet3y/7UrHVU1d/dw9Bwcf8nRyfh/bFXotjM9z5xfq3YKtA+cQd6ux
a8ndScxxYvwM7kb8v6IXl8ExG39LO7/i+Wy+91i9PkT83+Peu1riZDLOobhM
Zz1mBnsu5jyIj+fwmSDmBd6tpf6V+HwJNzMTHrOQ90uyjmECLOPiB/+Nee4n
/3ruZXmfxWdrrutGGITlLXT2Ev57Kr1n6tdqcGYDD/PBv26Oz45m6Ay9OAC2
XWCeCueShPMu/lvUz6Bhabk4vL+I/0MhzgPE2c5MPgyftRHXtHr0KefJhNcu
DvpyHXM12DsCn5r1Vyu89vXwuo/vzpJrEPtemHdpan8495f5TGo2R/CxMo/Z
m+t6kBakz3maDeK8js+JqM9OIzr6Bpzd4BzGfhbxHqn/ZRU+F0nsMHw9xfkE
MT5Pei3S3Y1Z3x/L4LUt1P4itU/GfI6eIVd9mLXfeL+PZyF1rYHzITBP4F8D
hsbQX2ntzTAXO7HFaHQHeUuxhXHvdS8YR0t9L53CtpE7Qy2LwHZL0mvVztsa
uBUftXzXTJwL2gNBe5pXcaa7qmEi6PwYPLSGXmiXHI64lrR3p0t87i5j7yXu
Ds0vNplwnUg7qwP/6u3eUO/b2OupYTcYWrE1YS60/xZFvMaSlO847brlRT7H
0rn61xf1Xq6ivtNBk8o5HHrXnPVdIz1Xg/mjMO8HqdvCnrxmru8X9UI9ke7l
r91/ijhbiDOGfSHotr/KZ6Uh6Kci8K8Z1W+Met2h+kJ/7+b9FE8X9Z4u9XvS
re7eF7iKwv14yJVLjLYCr0/7++s8n9PdzNRrGdfqQMZrVu1PFvmj821J50hc
XYq5jlWjatVvpHo3RX2byDtA3h7swgLvtfRSlXUONd9fVLnmtZ+EtyHo4YaI
9+umlM+h5lE7qTrsycXY+qA9xW4Ie15z+Ve56+0iNhVzDN3EOBbmaCjpO0Ic
am56wg7cjO2MOM/S+z8xr7Ej7fMvfK3k+TXie/hf9HMd35VzXon9O+LnFWnv
h/qi37ozoS+jcHJr1OMrz///A+4E/3/90SJr
           "]], 
          PolygonBox[CompressedData["
1:eJwtlUtolGcUho+a6MyoEzPJxCSTmH+mNEIHTUaMlwS00EWD99gmq7aJMUVQ
MBYspLrQeMmE6LJdKa5KC4KF0kKpCaY0KonQ3BaaNAqVFrRVm1YUBV34vJx/
8cDhn++c71ze70y6s3vv4YVm1g0FcLPc7AYcjJodgtfLzeIc6F1kNlBpls2Y
fc65kSVma7A/TZh1QSs+bbA4aVYIi6AARivMGhaY/UyMMewJYo7DDL/NwlN8
/of3uacZjpSQC0ylzaZhE3ecWOIxGnR3kdlRyK00Wwf/ktPGQrOvyekMcQdX
mF2FtcSug+tp91WMG9jXyXUk4TWq1rucmYNyYlbAMFyDGLkshXcyXqtqHo6Y
fZAyu0Iv1lNPR9zs3jJiwFZivgtP5Bf260RgtqXUc1OO8+Q6Rm2j8IxYz2F9
GD9Ljjnsb/BpwX682Oxb7GSxWSnsqDLbCbuxd0Eeux+y1NzB2V44W2N2qdrs
e+4/yp2DxF9Avk3cHfCtjlw20LMGaIQmCDJ+Vj5p7DOB566Zv6KW+rj7XuZb
IbHmIn5e/Rynn3fgNtSt4iz0kdNZ+IQc2+EcPR6AKXozDb8QYxiKiZ2Apoxr
QzNqxO5c4fcpZ0t5j9Sr2+Fde9QDaGFme6GXek9CD3wBF+nHBYjyWyzpd+iu
YrSXqHCNSWv/kNMjqGR2Fcu8x+r1ZOC15sihjdpf0qMXK33GmvUtzozBXBnf
4HfumoVH3PUY9seoIeY+8tVMNJsB+pWOukalB9WoWj9b5b2+z5k+7v6P2ubV
QzTYV+RvSG9Jmpa29WZmQs1Ku7X4ZOjdLP1ajT1FryYhh8bWQT7w2Lojy/w7
qLkdzpHjebjP2T8irklps4bzXebxAuyRtGtTGtVbWI1Pbcw1JC39TY8exv3N
6+3vYWYTC13DO1P+5qQVaeZX7If07EGZ91C9bKWnH8IP2D9qBsywFDJo5S3Y
lvG3oJ41Y3/M2Y/gCjG+g9a4z0pv8rfAZ6BZaKaabRx7edJzVK7SRDT8pt/2
xf0ta0Zz+B+nF8ciPgPNop9c8lBDb4IS17S0vY3Y26GR+W2GP9HWXzBEzMGk
7zjtut3McFeR56zcpQFpQT3qj7oGpUXtJO2mHNQnPAfloh2sXSyNS+sl1Jwo
c81Je03hW9ZO1G5UjspVGpAW3qv2WWqmFyL+RnrCmlSbNCwt34EZOFDp7187
bJ538nbg/tJYJnDNSDsBOafLXaPS6ilyOA2F/FYAKWJVlbkGpUXteO36mfCu
PD3sL/YZapbyka92Wj7cIdolVfikyv1N6W39FPFavuTP6ivyv5ZyW9+GsHuW
+iy1E7M1vsO1y6V5aV87dEe4Q7RL3gC6mvPU
           "]], 
          PolygonBox[CompressedData["
1:eJwtk29MzWEUx09Fbn9Ideve7u/euqXVaPr3JkIxDNlq8jdsYmLzQkKb+ZNS
ra5stNn8y8YUb2KsshlLxrzIbOpNii0tcoWMXmATPs+e58Vn5/k9v+ec833O
OU/irvLi/YEishqmw2CiSP0MkTfYg/Eih2DCEvHx8yu2dbZIG2xyimyEulCR
pACR9awnPSIPCHYkROSdTWQEImaKnJ8m8gTfx9ADP9gbDhap8YrkET/foNbL
wcW/ZdiUcJEzxE6KFImKFYmGneQuhUmXyAI0pc0SmWPnDISGaO1DaO+JEfmG
ll72HrJ+BPM4m4PPhEvHULE60dIB1V6t6RR2LXkLoIJ8gUEiZeS/niByjv8v
wthziwTBCqP1t03nVzrqWK+gjp4oETv1iIEQ4jdTg23UqDuCOkAiay98Ic8T
7ljB+Yvk/kS8C9gl5MmDs0bDXjRs4OxG8FPzj/A4TmSMuN3YWgfaoRqiiHeC
HHXErIUSp86/HbsAzWHUZQyfhaxz4/Vd1J181G0P9TuD/UWtfsIDOEzN7lpa
j9L1j/otYi+AvQL8rrFexb0L0VgEbeRuBRd3f8U/J7YUHTvgMucG2FvI3mu0
VqBrALuZ+2yBNJvW0ISGLvpz38ybmrsucg9Si3/U+T36R0HQH0zNRvHL8ejY
udjd5CqD49TyLf+PeXWfVb/7id0Hw/hUEmJftEgmcTKgypwf41wGM5MO2WaW
/qAhG61ZkOHQfS5kvvrJ0wc11PcS93Hj66ZvFsw1M1xJXQZYV/J/3KHro+r0
lBoeRfNzS/dU9TaOfSesMbVd6da1UTXyO3SMz9jb5G6Ha2Y2r2KL0boOHPg0
45tp029YveVLZr6S6ambu1jQO0vnf0b+rehLJ/ZNdBeSvwjuWLr/HZbOpXL+
MG/vu5oDerIYLuMzH9/r2BR0pobq3qkepqJnmL4lYy0zE402PQ9qLhqpTQPc
iNX5b2GXsp8Pbs73cT4B+9ejez3l0drVHXw2/T+evUzOZ8G4eVMFrC164oYp
u56dQDRc4Q4tIVq30l9PXUaI24D9EKvfT7p6Y6z96ps5iwQ73GMO/NTlpOl1
lVO/MfXWOrlDB5SE61q04Ntj3mgbM1HOnB0AHz5p5Ggnx2nWTWA3/Yp263en
3t8cYibBkHknL4n7H+gSyDY=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.661316437305641, 0.5361175977751454, 0.43031238190339316`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlW1o1mUUxs90bnvm8+Yztz17XtyeKWZuIGkzbWIFYlPRNl+iT7oFWmSl
+UZFCqIuRalPpRASfbCEwE9+iywcRibO7AW3qZGksCTpRQsDoX4X53z4P+d+
7v+5z7nOda77/CvPb1n96gQze59nIs+avNm71WbPYrc2mG1i88sWs86pZsdY
PyiYXW80q8UnmzQbaTJ7jPU17PZpZmWCjVbMxnjew38658bazCbUso99I2c2
XGW2tGy2IWV2jv257WafZc0Ia9X8vMO7n/D5OWN2o+B5lX97wWPOm2z2FrmO
sp7F/ni92Xz8h4pg5bnEOkPsAWK2gmd22qynxWvZTE095LtM3uXYq4FtIO3v
5PMEvlUtHqeBOG+3ea5F5L1CXfvw/7sOjjhjrL/l/ZYpYMdnU8nsXrPZ63Dy
L3YW787WmNUQZ37a8y4j7xH4/QCfNvYnppzztewV8Z9HnAF4ukGOas7ehY9b
nD1ELc3wczBhdprUFezT5DjO/i64mpF2/tWH4TbHdhk7p9G5Fcdzw38n/l9k
vBcJ8l9POub7vP8UTofw7yL+48TKg2EBtoBPAp/fCLYZvw+Js4cYn5DjDj4f
Y/8sO+Z72Iv8/4/1OnBVFb2Pi+HwoeBkJvZknF2Iz7ZWs8/BM0Kefv6vmcTD
udk53/+R/XzZ1yfIm0w5fmmqD/6PSlf4HGh1fjrAfyEwnMeOZ7ynOXo7hTjD
xM9i15NrNetV5NoXdQ3iO97o9d7BdgcP9+lJZ8L5EU/fVVwzuiu/gydLnBfQ
6eHo7yHsr9G7NHE2FtznRWwu5Xik2VzoTXuNgW1/nfdV/Rorudalw16wDMY9
EgfPJByzerI1/KWLSuhEfOzOuI/q+yE0/D22PTTzHNo4XnINS8t7612H0uOq
hMeUdo6wv4D9/rxrSPvdzX43hO0v6lqe8vu7CE7OU9c4PHyNfTnps2KUWdHV
4D7ybcr6/R3BZ0P0cRAsK5K+1t4j7T4rHsV+EzFPcrbU5Jgn1ft5xfmF9d2Y
J0/BYX8uaim7PhSzG+yv5LyWDvZfi3Ul73devSgQrxccH9GLlSU/o7NLiHE4
NCAtaE6plmWc64geaWbMiZkp7S8sOwZhmRy61f3rSPuM0qzqjHUX5/qKrv+1
Ra9HdS0Fz0sxo6Q7zVbNwyXTPLcwfJVzLsTJqSafF9LebWI/OdXjK09f1NUD
PyuLrv9ebE/ZeRA3e0Izu+jvjphv0ojunu7gFXh4EDxrxjxc52txPxhn/yi5
DoRNc/1M9EgzW3Nc+G+imY3Rd/Vc91zxNQ+kS+mzknZehP9N6p0RteubYDEz
pdnbcdf+KXovVYs0q7mjXhzDd2fUIu3UBD+6o9fiuzaK/R/E8+hB
           "]], 
          PolygonBox[CompressedData["
1:eJwtllloVVcUhpca5WZUM5ib3HuT3BhzlcSYKI2WqlGrQRxQlIq1DonTQy2K
YgfTiK0DJA60L1rRRFFweHECJ3DAglpUGlt9cXpQnI1oiVBaUOP3uw7kg8M5
+6699r/+tXbi85dNW9rVzDZAEnTGzN5DtJdZDKJ5ZhFo72n2EmakmX0Bx3ub
nYCveJ4FU/g2FXpEzLrDrFS+wc4+ZjsgkWLWH2JhYsICnhdCUo4Zf9ZMEj14
KC80K4OBUAHN5NIERVlmcfiS38yE9lzygdMhs1OwlTXb4NNis2HwCVTDOWKe
hevJZn/B6EyzUVComBDPICf23t7N7EE++3GmJjhAzgehJttsJLzm2z9wO+7r
t7L+Ds+XiHURLnOmP+BEOtrA2iKzdfCSd+1hX6O1r9HmFexD2/0wiP0roI49
6rNdQ2k5B03nwib23Ai5aBmGpKhZN9jM3lvgGLGOwmE4EvGYit1JLAn7hlw6
oKaAc8NEfjsBpnDGqbCQMy6AOp7rYRIxJsJ3xPgeNqJtM1SR+2Bph2Y18DmM
hVGsqYG37PEO/o14LVXTASHXRNosQftvkr0mqs19avgAjnLWI/CCs7anuebS
Xp6Stzaw53qYTYw5EGHPIWh/rgt66BlPDIYOvr1RDdDkctw9IC9oT+39M2vX
xjxH5SpNpW0t3q4m1mJijud5e5F7QTUuoS7lxCiDgVAhbxFjKCwip8VwirOf
hBIO3C/Ha6BaHGLPw3AWDc7AXHKcl+UaSssfedcYcg/Ki9JYWt/G07dy3ePy
ehU5VGZ4T6m3lnDGryGJXLtDAo1KIQvNsuE5PIOr1PIaVBGzErKpeQ7sZq9d
Mc9JuT3Kdy/rvMUZ3tPq7RZitMLvnOlC0EPqJXlG3mkiVjOsINflMIhcK2E6
a6bl+J7aezV6NhZ5T6g3nhDzcZCjcs2n9nkwjli1MBmPTipwT8lb0kza3SXW
PbiQ57VSzc7z/BgewUOdBf7nDP9leE+oN/Qb/bYNT1yPuwfkhVXQAG1o92ea
ay7ta/WO2MPkh8Dj8vpOYrSEfIZpllWzdij8yhl+6eMzUbOxIvBKKSSKPSfl
ppmq2SpNW4KZqNn4nj59By14pTXZNRgX9Kh6VTm3BZ6Wt59Kw3TXVNpKc2kv
TaWteki9pBmrWXuDvf8OeY+oVzQDNAtGwxiYzx71UEwN+kIV7yoLfA/tpUbu
DHJUrlfx7pVMn7mnA02kjd7pm2aIZok0kTa30rxX1bNGviWs6Zvpmkt7eVLe
VM1Uu678tktv95y89xNnWBP2GaBZECOnaLq/07ebvLuR6e/0TXeU7ip5XF7f
yx2yp9BnpmZnObmWhbxn1buauZq96jH1mmaqZqvWaO1wvPUZPGWPZ/At71ZC
T557QX/2SMR8hmmWaY3WamZoduxi79YgB+WiO0p3lXpYvdwQeFF3nO66keQ4
IuoaSIu6sHtRnkxN9ztQd6Fqqto2UKtCevc31jQWeA1VS80EzQZ5St5KQctU
6Mj3tfpNGeddxZ3yQ6rfubp7NbM0u5Szcv/4PwBcpJcuRXzGaNbcYc3dZL/j
dNfpjtFdkyCn0pDfcbrrPgBUGCiK
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFlIlFEUx4+74zIzLqOjjqklKkqaLS5ZLiFhpqaO+VBpqWkRUWlqRvVU
iINBUIRBRARavuRTr71kRiq5ZGRukZAgaFhpYCDU73K/hx/nfN+931n+99wv
rv5y5SV3ETkMXpASLZLlIdIcLJKInwSJ20USYC8M+YicDhTxhjferMWK5LEn
H2rsIqfAxNqYm0gnMaxggTu+vCNBEPve8fyV9SL2rbB/FSIjRMZ5t2wRicJ3
QL2/SB08J8cPcvVjrdE6jg27gzjxUBYlUsm70ii9X32XGS6SATnwhAavELdv
m0gvHDeL/CPeKPHq+H4P/WYTL1P1DkXU+ox45Q7i2kSccNZPpAE2idfhKbKB
7eP7XihGl0l0ySBuqFUkBNaJ40mOX9h1+vtt1/2qvveFiFTxfI84TmwXcV0w
HKvr+oBtCRW5CnZ6CYdzkfROTY1YF3V1QSf0EK8iSKQJ35M+2vDr8OuhnRqf
0vstem/GbwF/evEDM7hYW6LmPLRu4tsL1JWDfwAWqecbvMdfps4R7BD6voVB
yCBvGH0WBugaGsnbEIZOcI337VBunEstOSbpSdCo2qzPQJ1Ff6COPRyhNVPa
FfPNK7Z2mUSO4peAF+ueYAnUM+KGP0M8d+LNYTvQ5zqcNzRaY99nepmG3cbM
pmNf0s8APEDX+1Bn1jFmibGKNiswTT+vyZEcrPVX5+CkBidxK7AbxrkuMiPD
xB+BAnzklC3qP4juuTDr0HNXRh+trLfBT+pbg2TyxrCWT+xRdBuBeXTLRIuL
5N9izyPOI431VPamwSH0KoBCeMhaPGtHjLkrwubynAd/jflcIE4+PRRAlVH/
GbPuW/VvZd2HffMUHsF8RFq0Xkq3LHLY6TEHO0f9s7DKPhP7l7ETPI/DjE3H
WMDGovlj/G7m+SM5p2DTV8fZT5zvnNkSpMaI7IRkGESzbpOefXUHEmL1PyUJ
W843PfSZQq0l+KUQhk42KHXo+1mBnYoTuY0G09hd7EmHJnI3QrVxxzyoLdus
/yEvjDur7m4tGtTAQJi+O61Bej7UnLjsup+72JPM1gmYMGZ4TP2PDD0iA3RN
qjY1C2om/vjqmj5R0038G+rsHfouHlO6GWf9BdvFdy74D6hPvQg=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.7111302696322288, 0.5536240564202721, 0.4010288510788176], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlX1olXUUx8+u0+7m7t12t7vd3bu73a2kmcOhxNZi4lqZ9GZzRCChYUQ5
CEupPwyDhSyzJbSS/pmtMDSKMEJEGSlFTWqYsRaUcwXFZpijKfa2clufw/f3
x8M5z+85v+8553tenrrHnu7aHjGzYzyLeJ4sMavnoCVu9mvMrAB9VY1ZZ7HZ
QJ7ZI0VmG9Jmv+fzvUqP609xtjtqdjcYqxNm74Ezzt3L5WZT2PRy/g/fL/J+
HX2wwOwENjegN3I+iK8zvLTUm71YJvtvube/jmexWX418WEzQgxPgP9ggXy5
z2eIrZTzlkqz4zHF80IOv3H5Wpo06yCHIuJpRw7Wms1zfhSM5nr5bUXOhjjd
/8vkU4HfvchpcJdBzqZCsw/BXo9+IU+4jv8WOHtqxJvz1x58XSOWWxK66xht
4H/O/bXIn8G9Ffw6YsymzHo4vwy3O8qF43jPL8Unfq6Sy0/BfiItf+53Httt
MWGuAbMjqbyOFKhmXrsx+LstK962Esu/3L8dnDlkQ6F4G6hAD3HOwc0pcCJg
foa8P2O2Eft7kXeA2wfmGs6vxqWvR2+KC/M6mDuz4uZ98CJFwjmNTZocTi8x
q0YeCb0xA6YlpftZP/mcJIYviX0oIRzHuxITnxm+byw1W0DfRz9cA2srmE3E
vD0jrpyzAwFnJ2fV8HKKGNLIRby3EWcE+R3vQ+BU4neA/hni7lfEO51Sfc/g
/3t8fIr9BWS2RPYLWfn2GDqJ5bmobMY5G+fOKDhd2FQE+2F8rS5RLX4hj9HQ
295r3q/Ov9fhEjVoJc6LyIPcnwHzHWQHzzj6uqx4d86d+wbexzhfgTwYlc1d
Wc2G19prXpZQXiPkNRmVX5/FxlpxtQuubioXtz4fw8WKv4Y4D9dq7uaIv4xn
AE7udPuAWQL+J1HF+Tb6G4HzhzKqk2P+AU5fmKO5mHhxfPczlVHdfU/4vvBZ
fgW83aXaMwPweSUtv2vB2x9VvsvBeBWOVsBVP9LogeP0wA/kuFArfR6ZDXXf
hN9nA+YWbB4gz2psOmtUe6/RBLZTSdV0hh5vYhd8wU7YzN2zzE8P+ghyH3Vq
9hxTisljuwfbqjC/lchLpcqlm9puS8i+O6Ee9V6dBGc07BOfuV1hxs+TR1fo
bY8lGxNXY9gsD3O6jnv9lcJ3P+0hBuepM9y9D97OlqnfJsF4tEi5O6+DYW8k
k+rxD/I1Y0vCXKyKq1e8vj4Te8mnDbt+/FfllIvnNJ5Trb3me3Lat753D1Cb
aXBeR2ZDb3vsvo98L70LBy0x+fwR/K9T2qfnUtoXfu7ft4SY/Z/THNc+PJwT
F85JDpv/oqrjhhrl6fn6nLmd27dy71zIxXu2NfSY8/dSQnltxu/KUOtG5Jsh
/pNg/8W3Y8T2J7Ih5O7193n2nvF94LPhM1II5zeGGnnencRzgruRKnHnvh4H
57cw4zuI6+Ei9fBrnB0K+9BnYllS/0T/Nx4NvH2U0b/He+Y8+B9ntAdm49qV
XgvfeeVgFYN5M9jfhL6diKqnvTe6+Z7KaT9EYvqnevyHqEtelWJejOwL8+K9
Mxv2fBLb4oAfq9Au8N77Oy0ePcdeeO0rUJ+vBHM4oT7zndobOO9B/x/FjjDf

           "]], 
          PolygonBox[CompressedData["
1:eJwtle1P1WUYxy+hFJCDh4dzOAcOcDjW0gYtn04vpAdYnQO12SRf5GoZKJbz
gA0cFGa1WGta1B/Q5EXNwnI552qNF73rQTAK0hLMlkZluVwG1HLN+nx3/V58
tvuc331f9/Xwva67vnNPe0+emb0EN0Cu0mw3PLfC7HkoLTYLQxXrajjJemyJ
2c35ZlPsmyo0+wrOR8y+h6dKzfbAzoTZE7B9uVknjCbNjsADIbP7oanc7E5o
wuZGuBe798FijdkCjPNtAl6IsUd3cWcN5+aKzH6ETNwsC8eqza7j9ysEcZz1
eu5aB3NVZj/BKe6cgJMwDpdLzH6Dv9j7N8TwuTLi/+nbKXyfgBy+dMP+WrNn
YVWF2Wq4DLPc9S93/sy6Fxsf4d9W/OthvYC/87AB39OwBdsPwZoCs7UFniPl
SjlVbjvK8IuzHy8lv/h3kdguwDixTUAbtMJubOVghvXZuOdAuZgnJ8X4c4Xi
DXE+L+T20vgU53eWOzLFnmPlup2abIZWfGmDs9j8FjYSYxMs4/xSuIcaNMMi
NV6Af+AaPM63bbA2RZ7hG2yfgd46sz6YjruWxvDpNOu91KCvymui2ryOzdfg
B3y5sMJjVKyj2DwCF6EwiGcT5+KciUEX651wkNocgNEo+2F/0vfqzC+c/ZR8
Zon9BP+18bsPn3vhdnK1Br5Dq+fgEjX4NeI1Vq1nsDUbdR/kS0XYLBL2O3X3
k7AL3qpzvQ3faHaYdRc2dxR5jpQr2ZAt+ShfpdFMUEPVUj2h3uhUb8BKNJeC
h7lra9hrotpIM9JOGzl+g3hSxJdm35/k7mrQI+qV6xWuRWnS2P8gGtxU7T2n
3tvL9z7YzH/tgeal/dXccSs0wLIgnuF6fE+6lqXp2aTnQLnQnbp7V5ALaUba
+ZAYP4BDxDwS9Zmh2dFPLgYqvQfVi4pRsbZwXzPcRex3w381rhVpZo7/t7Hn
sRKPQbGsIv5bUq45ae9q4F8H/TLPegHf5sNuU7avkIPfIYpPlbAeH9eVe0+q
NxNJ7zX1SCzpPape1UzSbHqzznOhGo+wfpueOFzrM0SzZEvMe0vn80M+UzRb
lGPlejHm2pMG30EXX/JtEqZgGg4S7wGo584UZFlnoBXaoCjh96smjcTzGfbe
Dex9UuYxKTb1sHr5PLk+t8T3fM7effg6GMwsza5j+PA+vMq34Zj3rHpX/+mb
fJTto5z/gu9D+PAiDMI+mKn0Wa+ZP0mfHCXG92ADPZSGr/FxusBzrFxPxtyW
fBrD31bOZ6EfPwegNuSzXDP95ZhrUFpUDVVLaULayCPGfAhpvsEz2Bos8zdB
b8NptHqmPnhDyn2maLZsD3prJXfdFLxZersy/JdN+Bujt2YHWu2Kukb7gxmh
WVHKHWEoxVYZtLBuhqRqBt3EnCv0HA0FORoMaqraaqZcCjQoLeaqfD5pRv8R
cg1IC9KUtPU0MQ+EXfPSvmJUrNKEtHFbnWtdmm9g3cjdDYVeA9VCMSiWDnLV
CSPEeCjhb7De4jtKfHZohpRXu8aktW7u6IG0alnhmpF2pElpUzVVba8Fs185
UC4eZaY8stw1LW03Yr+hxG3IVjbib7H6p4X1/8ugMZ0=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFtIlEEUx49r3mo3L6uru7rqquGamhlhbG2kUWp0U4lITEoxSFwt07JH
C7qQChnRi5eip+ypiEokpShKVCgxy1QioyLL8CUqSqvfMN/DjzPfzJk5/3O+
M+OqPFJSZxKRQgiAmVCRd7DNInJniciPGJHSMJF94Foushantw4R/3AREzyK
wuJnMoNd5D5jP6yV/ZFwDl8be1qwMctE7LAmWCQbouKYJ3heiMhG9jxmrxf7
OUJkFlxOkUS4gG8+2jzMdbCnw0+kkdhdjLuhxyZyA8rMeq2FtWq+/3F2MeN8
5gtgwNDaj31BzFHIXiqyGj7h72HtC3YRrevRnEW+FZEilVBv1uuzrA9z5gjk
UZNcWLToHM+zLw+9ubAFJpnbjP1GPefgKuN55jqxERAOYdCHZiu5RaFrgTw/
EjeacQyUMy5mz45YkSZinYTvxDOTWwq6GojZCOXMPQkSWZUkkgpuuGbEe0D9
DlhFDlp1LiqnbM71subPuYsJIiv8RVaiYZw8X0El+VXARfJNJ+9WbB3rtZDO
uWPsbePcQfrjJuvPsD7qWQuZnJ8BC0Ydf2OnHbp3Zhx6Tfk0EPcYTBDvbiD/
i3FPIv8SPOhLIsd6/NLADUXxInH4/SHuNH3Sx7qNekwwfgNVaPCSx1k0mqmH
BXzM1UCA0ZtFzA260AseavSUmnUzl2bk5Mbe4l/dDtX1UnWbJl4zfiPscTNO
hXnqNkn868QvYVwMe6CX+O1oNcXq+gZiy+j5/XCJs+eYu+LUmpS2IZc++7mh
SWmboqcf4necOGHkEg5bo7H0yVF0FTAuhOpofS92U/Maxj7o5j91QYdN+yfT
217qtgF+cd4Z/EfJqYAY+bA9Tt+TEnVniJODfjf1D6QmQTCOnpcwBiH4jVh1
bVSNvvLfmqmpnTya+D4Bk4b219joGL3uxFah4xCsM2qeg53h+z20Gz22V/UB
Ou5BKbH7mYuz67uj7tBPeqcDfbmqv+iPTLCwNxS/SOwUdZgGHxprYJPxphzm
rA/or6B3WljPUD0aot8Y9dZkJOm7k5Wk3yz1djnsOr4Tu8vou53x+r6re/83
QfesUKtT5HAa2sizFRLZP0rtJ9V/M96BTmo/xPcwpJBLMqSatfZQm55X673B
ukcuO/WZ6uxYYgwQy4H9DycUv+U=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[
        0.7609441019588166, 0.5711305150653988, 0.37174532025424206`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlU1oHGQQhsfUJptNN8nuJs1mk91s0ksr7cW/2CiURGpIiShR0EKjYqqS
QwwhAQulFcyh2jaHgggeLFixJaJRNChIpR4UY/PTJiFi488hWEX8OWhKVGz1
eZk5LPPt7HzvvPPOzLetTw73PVtmZmf4bOLz1FazbTeb7d1idrRotrPcLFVp
9nC9WQO/9yTM+prN/uBSQ9rsfr6/udnsIL7XCdgBSEfGbKDZ/c9gj9Z7fA3x
U8T/hH+0YDbOZwr/EPhnydVOrqWSWVON2Ys3maXh0N3sZ/l+5t4s5wF4zOT8
7nf4u8CZx9+JLXL/AjgF7BNRy2PYXItZKzHjSc+nu8JoJO4T4stSZmN5sww5
1jmfCz7vYAvEf0DOl+rM7k07nwzczpf7XfH5NGu2gf8t7laA8zw6LOF7GU49
nGfR5J6i+7/OunbS5He0aawy28PdY9x7tdYMCtaGTpPwThB/nNgz4d+e8DpV
bwW5roDbS8wb+Ebg9zbnSWpaazWbqDC7ir1U6727W30oOM/6WuchPoPkvW+T
a7uDz0U0T/P9I/JWR70p6l0puSbSRrUrXpqeSDtP8f0w7XdPcf6NuF7ifsXO
ZJxzAs7r6H6AmNvJ31rwmeni977IpZ4vR3+/p789xHxD8d3YfMlzvpB0TopX
T2YbmV1w1pJem2qcJFc2tN1Mjb0ljzlI3n2B+Rp6roSGj+C7As4vzMy3jV6/
amlDvFsTrqH2YCrlMavEbEt6zGnqnU74LHyR8X4IU9iP5nwGJol9v+g9Gqrz
/kmTwYzPlmZsO7O2H84P4t/ZZNYf52W4XybfEe5W4VsNzhNgn0t6365xPhI7
e7jo/dHO6Lfj0aNVeI43uv6LSZ8V8Rmo8r1VL16h0P/Yl0PgjLb4bFyIftfE
3I6iw1hwvgjGcqX7tesnC553Ajsc74ZmcHfgq+fCOh+7817orLmbixnTe7BQ
5zOvnVCdqvddOC8AOIz+89jFOH/JLJyMGte2+nxoTm7Avzrp/mn8/UnnoLdK
O6m+7C04rvBva3NdpM/f5LwRvZsj9ityTMPtOpgdcD0NubuwI6HVWIvXPVPu
mq/F/ir/qdCqj54OZn0ONY8dtT6fh5nPx6vJj4aH8O3ivBusDfwHYgbKmvy+
cKS95kncxLE965zV29msz8k1vT18/xx9urGj1Lyf83PYsynfEb1bH2e8xwvg
jMQbOIydC5yVVucnntqnzkrvqXZiX+APgXep5DzFV/OkuXqgyedVOA+BMZ9z
bTSzc7Hjq+z4et7r/SvvOyx92unFn9w/IT/2loSfNzjvCf279P+zxesaa3Dt
pGF/te+5cD7TnvL9DuKvCj/v5x/z/u5oHv7h7p2hod6nXZX+fv5A7U9H7Xqn
xVWc9T4txft5Hfz2kve9M+V7Kx20u9JOtasnQ/E+H2O2F+Ou/hMW6dO/8LmM
zZV8L5pL/qZoL/Sm/g95Dgvu
           "]], 
          PolygonBox[CompressedData["
1:eJwtlmtMlmUYxy8BjYOAvJze94XnBay2YDNN2+hD0sRUWE2MvqSrPIWB45DY
pvMwK9uyg5VWnzTIWZquWplfapVfOiBoGWS2pbAsJcAKKXV5qt/f6/nw2+49
z3Pf93X8X0/Zsrb61iQz2w0p8GJg9gJMzjW7GRqiZo9BZqZZFlTkmZXDlVSz
q3C9xKxsnNnaCWb/sT6dbfYLXGTPJTjHtyNwFgahM82sA/LzzQqgLWLWCls5
62XYwxnvwLUizoZXseWVwM/U2VUxs5kwxJ5heDZhthken2TWCH/yzR+wkz1v
QhM2N2b6Hu2tSMd+mFNoNheKS80+m+A+xFk/wLcLIIlvkyGfdR4ErBOwBZ+e
g22csR3qsPG9ZLMZBHFxlln7RLNVcCTH7Ci0EMPmXLdBtshm2T51stk0aMGG
ZtiEzU9BjJhEYYSzzsFeYrUHdhOTt2EFdzbABfZcLPQzdNYjnP0oLOfOZfBS
ATGFWTzrwr+h8TwjHl9zx1eQ4HkJnIdRKCI3xTA+bnYPsdiETzexTuLd5xM8
RlHik4ftudCNjz1wP+/vU3zxsQoCvjnEt3PZ/wnfHeCuj+QXMYvDt1F/V84d
R1lvDdy25dTeQfLfGPG17oxx1uoSr62D8CP3pXLXUfbWcsZD7N9ODLbBED4P
Qzd7PmZ/Jd8fKfWcKXcL2bcIaojtPKiG2XCZd//C09j+DGxO91rogTXcXYF9
5YH7IF90h+5q4s6VUEftzYdZ1F41nCw2+xly8CMS8TN0lmKSwJ7fuWsQmolt
C+zDpku8b8CfnpjnULm8jZyWT/YaU62pB9WLV0s8ForJKtbrM8zWwXnOHoP9
4XkbOe8Y5z2I7fWB51y5v86d12AZuV4Od+Lzw3x7lRz0Ef/beTYFLvPNlbjn
UPka5P0HqX6H7vob/oEWbGqOes+od6KsC6Neo6rV/ezfB5W8u0tQ05WQS9/k
QYIYBoXek+rNWtY1sAZb10JT3GtRNbmCdR93Lhjn+T3O+jg+/gCFxD4KI9T8
cIH3oHpROVfupQnShipyPhPOY8MYtGFDa5HHULFUDagWejmzL+Y+ytepxHoa
fBPWp2qwi/Uk7sqGTMgq8B5QL0izpF2LsGkh9GP7QNw1U9qpmlHtzA5rUT2u
Xh8MtVIaKa3cwBnrQ02WNteyl/DYGHpTT52dxfYzsJc73oUafJ4Hd+PrTDjF
nSfjnlPlNiu09SRnn0rzGm4KNUhatIS9i2EDNb4xxzVCWiHNk/bdypm3ZLvP
8r098NpQjXwa8RmhWbGO9Xo4hG9fwPfc1QvJnJ000Z/pnZ7pXT/rgXzPuXJ/
At9+ghRsSM7xPdqrnlBvLOGOpZmu4XPCmlHtyCf5NsRZw7A632OlmLWxPsOe
32A6sZoxyTV1dzhzNHuWkrslcKSMHJf5TNJskgZUhDNFs+Ut2KU1Nu6ADuiE
w+zpgg7u6ITX+GZ74D2iXllNrtrDmlPtSTOkHVvI0fNwVjbCX/gwmuYackNL
OCM38Jmo2ZjOXRnFbqNs7YYeOBZ4L6unK3O9hnvDHlGvyGf5fhrbfoU3qInX
89wm2fZ+wntLGhqk+YzOD2eSZpNmomajZqJmo3J0ItQ8aZ80RdqSzFkpRW5T
dxgTxaYp4r2jHpLWywbZMh/f62BO4Nqub6oD1whpxWx6894Mr0nVpmKu2E9H
M+5I955X7x/G/q6E+yTfdoW5Uk6VW2mutHc0nH36Z9C/gzRJ2vRhwme5ZvqB
hNsk26TZ0m5phrRDM0SzRDm5kZuIz0bNfM3+Fmq1FXpLPZ7SrO9YfxlzrZdG
78n0HCvXTdi+MkRr9bB6+clw/mkmRVlfCFzbtX8scI2+HGq6tF0zNhZqsLRY
mtMfaoC0QBohrdA/mf7NVEOqpSnS/lSf6ZrtO/QPBQPZPqv1D1FZ6jWuWn8C
H1fB/6z+e3o=
           "]], 
          PolygonBox[CompressedData["
1:eJwtk91L02EUx7+5VVs5S3uZqTPcCpwkvfpWmfSGaAahF2H0YppE0LaWQpCZ
gYFGeqFFN5VB4EWhEuS/ECRYIF5lpSBuUVYX5TRFoc+P53fx4Zw9O88533Oe
88upj1SHkySVwGo4sV46DgsZnHEwh92zXdoNMzlS91ppGpu1WcqEOY+URlyU
uMv4dbDfL1U5pE9p0vBWyYX/MFW6lMz/EMW/AVezpH7unnZJE9ukWSd3sDPr
pBh0c7cLeiCVHG+4c2+D1Aa3vFIt8f3kK0JHIbRkS7vWSHexz4h5CiP8HyHu
I/E1aGwlz+gmaqAz5jF1rHrl1H1HXCV2BdqIGyNuEX8JEhvpFY6htQ/NB9Ge
65beMrMear+n5ggUMLsDEKNWAXHT2AfQCR1Qtoq75JnaIk1CKvo6OUuht3/2
zPNTTD9WX4MwYPVHrSp6+0WNSfoa4tHaffQMd+And2ZhIZNZk+MvtjjLaC3D
OsjvhLitK0BsLTrOwSF0MB4dpUYp/hEI8na5sMK7D1N3GTtPUAKWIMh8LjC3
xXTpPH4hszrFPKvA4zbv0IrWINrzIJJh9qQ5w8zHmtNF3jXAzBux9WhrsGZg
689zmXlbc1+gxjwkIMispui/FA7DyWSTo44cxdQugq/2fEaJf8HvPuucnWxE
5zV0nvWZ/Zygv2r8GuhA6wBnUbS2498Hv8t8Ey/REENXHJzggCQ4g5Za+kjn
fy98sXd4iHphdIVgwt7/LnoLUNsP4+RdJvEYdZvtPW7C7mWe+yDN3olq7sR4
izj8gO/wG/7Q2zgzDnnMzlZQ9zp5QxCzv9F8t9kba3+eU+8z9SqoF6bnCIxC
Bboec9YLj8DvNd9ZAA0+/Gxo4vwbd29iX3HnNTyx378Evwe/F1rwb0O5z9Sq
xF6xv+8G7A7eZCd88Jrvccxr9svas/+Z76Hl
           "]]}]}, {
        EdgeForm[], 
        RGBColor[
        0.8107579342854043, 0.5886369737105255, 0.34246178942966654`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlX1olXUUx0/N1b27e+7dy9313mfeXadB6R9j/2lFZgvCxDGnkTZxsGmD
FrvrhRiBvc5RUlGyLBFzlWLrVRga9E8RRLVUqLbEyLnSCpogGPbqiD5fzu+P
yzn3POc553u+5+Vp7h3cUL7azMb5VfA7WWt24Cqzh6rNJpvNLqMfRy7KmFWi
X2kwO5E3e3eB2coIf55t48WeerPDJbPd15gdQo7UmLUTeDRtNhZ5HMXbhN85
9C3YCsSa4d0ccrDRbGul2cPIobTrD6D/WvR39+H/XcFsjrxTyKHY7FPi30ye
viqzGJ88uGJ+h7FPgPcr7F3Efwz/nU1mLWB7BnmA39vYt2exJcxeJFdqkdlN
NR5zF7FXgPMiMb8mfwb9DPoqMMwS9wg+f5GnosZ9hrGXk24/i/35wGEZDgcW
mm0Gcz/yTn7r0e9AfllntgYMXyBrko5tBFxLC87nabB/xLNeelJcbPZT3v3H
sd+OTwf6h+jPYt9HzBIY7qt3rsT3D3mvXRzUEacZ/Qw1tle5Pi1c1H+Q+AXy
z9V5zFXErgwcvkOtY7wzAT/7kUfhag79BTgZwGeWXKPo3xQ911Lynw61v49/
V8b1QXg4Vucc3hh5DNUyw/8manuU2odKzpf8NYM/4n8e/U1i/5zxXO28W190
/KpJ+ZT3OWx3Jx2zsJ8Kc/Ie/hGxLmkemLFE0KfR/8bvKD7/ImuZs1vBlEE2
BK464Wd15BhPYrslcvyq42XmYw+8/Ub+SXq2Gvw3kL91iXMoLo9kff73pL1m
vas5WrbE6+rGti5yDP9obsMufJzy2dIsnaPuzshrF9+aV81ta6PvofZxmrzL
yLdRuwvmK7H3tAXfixnftS5iNMHJK+RqQP8DztPXmj0Otj8X+u5oh7aF+P/F
XrNqb4u8TtX7CPadYd6eRh4Pd2ASWQ5zfpAeXg7xf0du5tlL2BPE2VF0Hs6C
a23Yhb3490TOibi5J+UYFjT6/KmnaWLM5x3/ILIq75i7q3z/tbNPgG0dvxR9
XBv7PdIevUHOkcj3VPu6KXJOdIc6Arear6fg5xTxnyw4R8pVgd5LrlH0PuSF
sCPav3Tk9nvzjkn+OfmHWjS/2k/5X1/wGyEMbeQdSXi/tjPzexO+4+P4t2ad
Z81XOszqLH1OJb2n2teWsLMz+AwHu57LT/7fos8kfTbSOW5R0ft4m/YuzIye
TwR/7cRU8Nfz78PeqSevFZ0rzdEv/K+G242x74Z2RLdEfVK/NDv1Ja9lS9Lv
grg9Ueczqvg7iP952JfPkA+WnId5ZDbsnfa7D9zXwef9OX8mH814W+h1R5Nz
J/ur8Lc+dmx3xX431fdOZm/FYt8j3ezu8I0YA/vWoGv2d4XviGKvqfa8/Tm/
R7pLw/i+Fb5rU8zmJXioJdcA7y0P/Yqo74PQR93sjjCH5/HdTT0X0I8lvDfi
/JMGv4+6dbqRuhG6Ffpm7g/fSn33NiS9Rs3LfMJzKefr4Sb3JJxr5dUcTYR9
Wc67/bHjLCOz4b6tJM//SJweaA==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlmtM1XUYxx8D7IAc7to5wDncVm1dNquVBmVltJlGzmqj6aJAfFEbFxUq
J2LmetFFc7FsNrHM4ua8Fa5e1tZtUaKhrqSyDguagKvEpqnU57vn/+Izfvx/
t+f6/Z2SuqZHGq8ysw5IhtZ8szf5+xkfn2M8HDU7Bb+nmY3CGN9GYXmW2Qr4
grnPoSts1g0PzjZbBPdD5Wzfo72LWbMEjsbMzs5gf5LZMcb/cMZ5KC80q4CZ
nJ0CV0MIaueYPQU18CSczDE7AdXsfTzmd+ruT3OxGcZ0J/yZavYXxIrN6vBn
3UyzOONlsJK7p7BhJ/vauGM95M4yy4Oj2DIIFZxxF1zC5n/hRc7eDJXZ+AY5
6eyBNexdDU3QDF9h2yLOP5Ni1h8ya8HGtdDH973wAHdUwhRrz8MdjG+HBOMR
6Enz/dtIRnXE7Nkit10+5DLeiE3tkIkNWdDH+l6YZu1/UHQNfsINfLsRVuBj
Yob7XIYfQ/jwPVxhPA0niccJ6I5zN9RgyxMwxLfj0MjaBniac56B/azZBzFi
G4cNUc+lcvoS8y3YthaaoBm2xDwWPzP/GuMybCsNbJStk3lmEzAGf8A97FkA
f2eYnYO3WLMd3oAO2M+afTCJDWehmZg2wVZi/Tp8xLcPoYE1jXBzgdlNBe6T
fHsMGx6FLzPJFXSRww+ghbNbYQlzi6GTs3aFPCbdgc/yfbSEei5xG2TLe+zZ
DeXYUAGdnLkTjvBtEKqIyWl8304+L5Ofi+T4Asxj73zZyHxD2GOsWNcwHmH9
UmI6t5RYcNbdmd4DtUEPqBdWkvt6SDB3gF4dJ8bbsDtKTvZQK73s34W9qziz
Ptd7VL16GzVxK4xzxgQchn71GDGohc2qiWTP5zz2JUXddvmwLOw5V+5fxvZX
oIoaeajY79Bd12HPtZDFmdkwAgnI4M5M2Mp4CxzE9kMQCnutq+a/Jn4DJd6b
qtfvGC9g/qdAL4aJ3/VRj41iVMfcnWjGfEjmrBR4nxjsiblGSCtUw0NBjavW
FXPFvp3YbIy7JkmblAPlYhVn1Re6D/JlE7yQ6TWiWjkc8lgr5o2proHSwtPk
9FdYGnftlIZeDrlGVQc1p9qTjbI1ibOSoQ0b1+d4zan2VHOqPdW0ajuDNeF0
1xxpzwgxSQQ1qFqUZkm7pJnSTtWEakMxVqy/Ze9AutekalOaMxXUoGrxIr1x
ocA1WFr8asxjrZi3xVxjpDXq6ZZAEyuCHlWvDhCrb+Bj1nwCk/TshHqXM6fg
gDQj7G+I3hJpprRTGi2tlgZdCTRWWhshx/nc3UUM8xnPCepPGlYd9jdBb4M0
TFqmO3W3NEXaMkhuj8AOfHkbfol4rqQ/97I/IxKczf9pEdfcRPCm6W0bJkan
YIi547A75rWo+ztj3iPqlQ3c2Z7tmiXteodaeDfV37DyoCZVm6p51X5/0Gt6
o/RW9WHL3rC/kXoru9nbA8sDvZbPcXxfmOu9qJ7cFHWNklaph9XLHYE2nsGW
cbgv7L7K53nFnoNzQY6V6xi2Fub5m6W3SxorrdWbrbe7l5j1ZLkmS5uladI2
abC0uIzaLIVRzhqDhxlXhbxn1DuHqP+DgQZLi5uDt1FvnN66Y/oNALMYp8Ma
bF6d7WfoLMVEsdEarZVGSCtUY6q1KLZFsrymVFvryNXz8ANzPxa6TbJNPsiX
6XzXQmnipXyvCdWGfJAvrbypLRCBKNwCc4u8x9RrzcFbpt8E+m2wMIiv9Oo3
6uN/4UlnaQ==
           "]], 
          PolygonBox[CompressedData["
1:eJwtk1lIVGEUgE+pZc3c0SlnnBnHDXoIWzDqQQIzoqJEUTTKHnxISHLCmVxa
xGk0x2ghUhMrJNJSXKMgei6CMEQraky0NCMJyiUyDKoH7bv89+Hj/Pf+Zz/n
Ty7y5XlXisgeiACPJlICu5wiOWEis+tErsaIXIGNa0R2rxIZSBB5gM5MuMh7
9BzRIk4YiRVJxiYGmyGzyDB85/4blLpErATwIOfs+IVy7u+uEBmz8g0z4MFH
AX69yIBFxLJaZDFJJDVRZBt4yaMULpHDVnKJJqeT+NqAzQH8pUeRO4RzDoNn
NpEFCtTwfdGwqUeeIN8SqCW3UWyDyLdrRd5BDz67oZN4Teh3I18kqNoHkS3E
vwn/HCJPsM3S+7VeJAOasb8Bx7lr5q4I6TeJVMOvJFXPb+SpOJFC+uGLU3e6
Tit+FulHCX6y0MkGP/lH8C9EPgHONRDkvg5CTjWDUeQmYqbAfvqWy79MZBu4
sC3k/z3O93XiRab5N86MOjh3wlNiTzI3J77n6Pm8RfVB78dfo8Y/yExmZyLn
HJeaqT7bHfRwO0xr6i6Lu1Rq6sXfUfxu5rwFvMb8F9Bz07t4GMRnP76HkR+Y
2UfoJ68+SNPU3RB3NfQ8ABo9aGFHU7F9ie4AJKLXil49ej5jn64x6y/sxDR8
Ju4UTEIHtkF8/MDXPMxBNrvxCH/HIkUek1+bW6QM+3KrmrE+6wpjVmfpS51D
xbvsUHPW511szNpCLtXk7ocF4vwEj7GbxXa1b/repeEnA39W/I4Y+2khnkb+
FghwPg933CqnduQyuktg4tzAv0jkCHFD8Ik+TFB3OvE7zOr9lDLrWv5fgHF0
x2DCrd6njfyi4lQOMci9zGkf3KIH+fSojH2vhNOwjP8lGMZmihg5xLhtVjt2
kBjn8F8FNfT3OXXspL5qzn5wYu+AID2q4u2c4fwGm9fwKlbFyqNHDcS9Dins
Yhc+DvMvZFJvrytR1a3X30MORdg8RLcC3Uqw0tdosNjVO3GTyxHybSS/AmQv
sfvAjD8T5JOXmbpzke3EaQO7Te2/y6besP6WG/E9i14T8pBh81VTu67v/H9G
174I
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.8605717666119919, 0.606143432355652, 0.3131782586050911], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlV2I1GUUxo+lNrO7Y64zszP/zZndReiibrSidqFYC8WkiyjMDIs+KISE
dQu3iEqDEOkmkZRVBBFTErdWpw8vgqIukiALnHbbIjJzcXfti+gDtqzs9/S8
Fy/n/M+cj+c857zv9Dyy6e6ByyJiJ+dyztVXomN4bHHEjx0RZYzXt0QU2iO2
zYmY2xbxVFfEuvkRGfIr/I5if4a4Zrv938Q2kfQZ9O3E3D43orsScRj7DdTZ
lIt4sjNiFz61UkRXxT5LkOtz9pGv4pVHudcsilgrnNWIYsIgLOfKETlizyJX
5Y3/D/Ra6iXo485CxAl8LhF7qdW9tPJ7Hgy/Y3+f3xsJ28v4v4TPB9TdcZV7
U4976OMc39vnUQu5sW78dfDPS/z0gfdGYlehD5J7c8J8LXXfJv4hau2qOEax
p/H5tNP+NxE3AtfXoOeziIucX/H/F9ne4V40nzo99tL7KPXf4vShN5CTPRG3
4rMMTkbq9jlW98yETRgP1SJ+Af9B5AjYVoBhM/ruNveYw3ZX1fZDYPmiO2LO
FRFjyM/5vg6fV8Hzc938jNLHKxX3NYxscgbRx5Gn2qyPoc9SYwP+TxQj+ulz
L/oB+n634B7/zoxDdY+AYQL9AfRe/JeV7L8H/611673YptMslrAvv8HLebBt
LJhrca59yS805t3kn11oHjR/4RCeBnWWE3McDGeIO5z4eY+c3/HdwH5bwfPQ
XCapc7HbvWtH7sicZ6rF3InDvfQ9W3XdJvYGs1tKnhPIHTljG8T3LP18zLzW
g+vRtHsP4tNXdO/iYDizLtuGtPMl5Nq88yjf6rxjdW86015pNx9uc913Onwf
tD+6E2/UzJU421fyzjy3IGIocaJZnWx3L9qLcupLd32g6NiBguenWWg+y8l/
Hn0cTpr0PqodQN5SsD6G/n3q9376XUONM/C8DvlN3Ri2guGTtHvazdfTfmof
d6Z96Kf+wZxj71Fs1bP7tmpOxcl+fr+36nkdafG90v2aof4Pi4z/cXAdTXdN
vvr+vy/yb0MfJ+fzcP8Z5wL6KeRr2KfRP0L/MLN+Enm8xziFV2+Kduwfaj6b
Oc+WzHdG+6B9bKZ79ELmvRHnX6MPpfkO57zf4vbPTt9n8bMFfvoTzzcjF6f3
TW/DCr6nsK8u+73WmzlU8RutnMo9ke7yfQu8Q7LXujwPzeVp5jCd3tIic58B
wxh5fiqZd/H/F1ydTpyMwMexku+C3oOlCbPuaC69q/ORo63Oc6Hk90L+Uz3e
e9WdxufFvHXdicn0HuodraV9HsD2ZfpP0f+S3mjtvO7NRKt7X1n2Hosr7dR/
fxj7YA==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlUts1FUUxo9STNsZOjOdPuYB0kYTja+g0YXSQBTQBNpqq4RqEcIAbQTT
aVGERWtLXwtcGVpQKrSIkQpWRUPVjboQQdBQYvERWUDKQ+sjgQgqYPD35fwX
v/T2zv+ee+655/tueSZb23Sjmb0KObAyYZaBBmiEB6Jm90NlyqwKmpnLQknS
rBTmTjObAz8zdxImImZ33GA2qmD8vog1C+FXxpPBGq1dwpo6WAr1cAtzt0IT
47Osb5zCWv7vIWY3dEIXnIL9Ob7Hvnyz9cVmL0IztMB//H4tyFG5vhAzWwfV
uWaPQ4xxNOZrtPZ6wnNVvL3E+5uzXobZ080q4C7m7oSFpeQDh242+wq+hIPw
O7F+gyZ+y8JbYbPdsIk6dMIPnOF7eJdzjUAOsadAF+NueDLPrBZ6yK0XdrHn
EKxgnIGVfJOBU4VmpyFbxF4QZU0MzpRQc4iQYxRqqPUT8BQshu44e8U9B+Wy
lDX18BqxX4e2kFkrXCrj3PA548/gjwKzP2E1e62CWWmze2E+MebBKHt9DPOI
/QhsYq4T+uE+avks97eN8TRihUOek3L7hrMdhU+o2aewjdhbYQN7bYTjfNPH
2seI8a36LeVjza1jvH+G94Z6ZITxPeR0Nyxjj+XwHrFH4BlqXw/G+Dq/5/I3
b7rXVLVVT6g3xrizY6V+B7qLduZejvkd6C62klM/9HBnvdDGHbTCIvauhH7l
q/6mBpOQIkYSdtIbgzDKXgegibks3E5Nbkv6nepu95HjXiigDyNQR4wlcdeE
tNEV9P4Wat0HZ/n2DFTxWzW0k9vDCPgLanK1zDUoLR7h26P5rilp60fGP0GY
HEJQR82fhpfIfT1sgI3QBq1QRC2LYZSzHoAH2eshOELsr7UHOZyEw3Ao4hqV
VofzXUvS6Gn+j3KWSNw9Ql7RQez2YA/tdZFcLkADPdxY4h5TGXiGvKMNjbZC
O3TAR/Ah5HJHeTH3EHmJaqbaXeGu/027hqVlaVBafBtN7oEKaTvqOSgXxVCs
cWKeKHYNS8vSsLTcEnjLGGuOw6PUZIH0wtrLKfdIeaV6Qr3xPGdYC3PYcy4s
px7LYJCYQ3Al4dqQRv5hXMtcDVTxTTXUcoc18AZn2gG7+e1NmE3sikK/A92F
aqraykPkJdKgtLg40L48W96dgiS8zzcfwC5qPQQpzpSGAea2QxV7Vpd5T6m3
5KHyUuWgXM7R6+dnuAakhS30XV+B31lDcGadXZ4gb1CPq9fVc+o9nUlnU01U
mxV8m4Fr5HAVxsnpBLRwd81p9yR5kzxnVqBxab0j6AV5uLxca7RWPaJekYfI
SxRDsX4J/OMwGplkPEbPH4PtnGEg6j2v3ldPqDekYWlZmpA2mumBbNg9Vl4b
JWYk7T2gXjgYvAXyMHmZPFxevmom3gmFfBsL1mjt+ZTnopwmUn4Hugt5rrxX
GpfW9QbrLR5n7ruQe5i8TJqVduUx8pp3YBj2sNfwTL9D3eVqztAQ955Wbxdw
hkjYPUZekw+hhM/pt/nUckHM32i91WvIbS2cK3dvkcdMlHsPDwY9qd68RF5/
BZqT9nqpRQ88Ry3XRH0P7SUNSAuvkPvmIn9D9ZbKo+XVqrFqrTVaq5qpdnqD
9BZpD+2lM+qsqolqcxOxpybcQ+Wl8lx5r94svV3qWfWuenwgeIP1FicDbegN
1VuqnJX7TmLsiPiboLfhf39+RyU=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFtIVFEUhpdpNqaT5jiaOjojPtaDRA+KRlYjZZaSlBhdTMmEBO0h6SGy
i4lQDyFpapKUWN5ovJRDBUUGmalJ6tgElk2RmVhQZlJo0XfY5+FjnTl77X/9
e619JiavOLNomYikwHLwXiOSRczy4zfPvpBkEUmEBCj3EvkdJFIP1yDWIFLB
xo+RaKwWsYMpQMTgwzuzSF+4yDTPzUaRXpPIU/BEqj3TxFY02qA2QqTOWyQu
RKSK52qQUJFKzFkCRRbRWoLL7HlCXgd51atErsICub/gj66xyV9kb5TIJDX2
EJ+zvx/++iv/Rjx2o3UXrJwzwZfnaJEiNIvBTF4I+KI3j3c/Ygq5n9G2E1vY
0wpVYSKHWb9CnEXzKzw2qj0G9oxxVhcU8m6KurPBIlvphx0WbHiGUvxv5oz1
1LWhs529VuLalSLroJj+bqAVXWgP0v8hOInXfvaU4cEfAqCTGh0wgXYBPkuo
66R/cejlMo9S9p+B98yzk3fJ5L7EzzA84P19iNXrV5A/gx8XOl+IN9C/CaVo
j7Nezl5vZuYDR6mTD8/0OfdqOegc53kInev0vSFQzVib9Tdd10F/z5N7Ds7C
evozxnnj0TrIeiVz6+HsTpinRz8hVZ+Bm73jnMNBjY146eEMTkiCRKjR53KP
+oNoDsBp3fspopuc15Ct35FGarTS0xZwQDz3oZ04Tp0p7T6ZVX3NxwhneAVJ
ZrWWTPyAlgca0fuO3i1iEDUDoUefQRexDj9tnNNM7m48Zoap+6Hdk3/4miPv
Ied5ZFA6TVHKp+a3mP4XwaQ+v3fEDt1rNO8v0tdL0M39MOPrDfO8w7PDor45
7dtrR3uGvcPUWtLrLRLLWLtgUndBuxNbyOtizUONt8xuAlx6v0eJHrP6vqeJ
P6g9BzvxmgYNBvX/cQKdfKvIEajhXTY+C3hO48w7oFbvRR8+0+nTLnDp92aU
mEe/ciEnVN3/VGrso/9eK+iJTc1Km1kOMzoELptacxOb0LLTg0G8voABGApX
Zx8hBpBvhCir8mUi7kf/ADTj6zaUhKk+uvGXgf90yLeo/6Nt5BXyfR+DIqgi
L4Le15FTCy3Bqn5nDMap56RuBj39RB+n4D8CJ9lC
           "]]}]}, {
        EdgeForm[], 
        RGBColor[
        0.9016590413639903, 0.6241476034099759, 0.29514302822837013`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlX9o1WUUxk9Wc9/de3evu7vt/nB3LiYaUiJkmQQbFJqaG06CguEfmxSo
qJsul3XDLANRQTDyVzrFjQURLjIrijaCCPzDTXNZMFmhGSQuRNwkCvo8nPeP
y3nvuec973Oe85xz69u3tG6eYWan+TzIZ3nB7DyHzphZJmf27UNmWeyJhNlI
mVnrHLOXE+6vwf9OxuwO8beI764yW8p5YdbsWNLsDInHa8iZNusid1nOv8vf
y+/5lNn9B8w+JV/7I2Yf4m/E38P9BvwHKszOcZ7PuZ/zfeJvE/PsbLNveK8T
/y18Y+WeX+/05M3SD5u9jt3AbxeIf79o9hdvHyJmFf5marhILcd5d3+116u6
P6jwd9/lzebw7ml8Me4Okucm2H7Ff5baf8FuJ+8C8vRgf59FHcTfBNtc4oeI
eQz7TNY5ETcXQs4+cj7Be6vAuQg7Qe1LiL+Gbal0/0L8HYEH4doeuH2x1qyN
GobB8xT1fcJvK/H/Ruz3kfPzJT1ZBj8ruJsiz1zyzqP2x8E4WA83M82Olvsd
3b1I7j+SXqOBOQ0/r1BXsc7sJ/KvI2Y3/vOB5yXwXFVwbsVxR8LrnU/M2sj7
O6o+82nHfwo7TFw3eEbBtTrgX4xvadL7/iYYl0eOs4V3Pk95f9XnA6EvT4N3
H++uh5+92E7q/FvcYsdDXxrBUgpcvYZv2yzP2U7OlaHvL2DfCDq5R/yOECOe
ykNdHSnvtzg5XOuaE7fT+CcrHdtQzPUq/Ju4W+L715odcmzMu96kuxmcN+K/
TR2LUl67enik2uMnwXM15zHvwe1A3LW0m9y9Oef/efz7glbPoredaZ+dqVrv
jWKew/cW+RvJvw2MvcQtpt58FPqB/6Tmq9JjDpNvReT4NX8lMFXDyS7soxmv
V5qayruWpKk9kfMjnioK7m+KOV/yJ/D1830UPJfI3wC27+hLGzx3h3eFUbWp
xj5qnQyz83Hc945q3ECetsh1WFvnmlCP1E/NpOZIu0E1KOcPRdeTuH0p71pX
/F3q6A5cDYLhP+58AZ5mzvk6zy+9awY0CxP83hR6epCe/1h0POJ+OuH8vE3+
XWHvlbA227V9Bex/xlyTXfhb5vjOXItthf81vHs07jMsfUqn02Gn/VPwGdC7
el+ak/a2wkGSO2XcHcs41+K8Fwwfhf4ewzalXQPSy+WwZ8aTvh+l1WHuHQ96
mwLPpYzn/DnjmpA2xsB4r+Dx0viWyOddcx+FGlVrY8AgXXyWcG6lxz1p17D0
Lq3rPAGeqXKfhSrej4GtxLtJbDzy/bkD/FeDBqT9fnZUFztqAFsf9FOX8/7p
Lf1vDCd9J+i/4nrcc8azvhOlgSeLvsvE4XVib4Qdu5XYmTnv9Qj8v1pwTjSL
I0EDcX7fyecK8T0516Wwacf3hZ32Vdz5Fc/a69eyzpU4E7/KqX2Qr/batQ+q
wrmMmOagh9U1Ptvq3UDO51+8/cv5f26lD0I=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlm1MlWUYxy+TgHOOBw6vAYdzgNa37EOtzaRatsKtLJuUbSa9rBa4cPHS
am5Z+KGw2lptBepqKyBc8WYgatoysyW9AE0UDl9MwbUh5pcEZ6nV79/1fPiN
+zzPc9/3dV33//rfVDzbUP3idWb2LqSBLTP7N2IWyWYI04xTUFVgtho+Kzbr
glDMLAxneTYLZ2AGtvLuVXgdWuDOqFklxPLMcmCCOcdhFd/eCy/EzfYvNbuH
IF7OMusJmX0Bn5fxF5qZ0wSDCbMh6EnyHHqhD2oyzTZCd47ZbkgyZ0O62SsZ
ZgMVZmOlZqNwkHeH4EAh+0EL422wltj2kfiX7P87+e4ghnZoJcbtsIfcB+Bc
vtk8fMyzj2CWuM9CTpjcYJA1h2CqyGwS9ueyF9zB3BUwV8IaJV5T1fYaz/6B
o9ToOzgGI3CauQ9Sj2aO4hTjcmpRBg3s3Qhh1gjBYeL+NuoxKJYzMAOfsHYX
uTSTfzf5byOXFrhSbna13Odo7klqOgmbqWE9JFm7DJLMT4CRyxJ4hNzWwsQN
ZifgIVgDx6jdCGyi3nWQDwXQS216Yl4z1W4Xse6ENmiHzexdD/eTaxXcxp63
5vs3+lZrau02dNgO19DIVZikBlPwFxq4nHBNSBvDvNsLIeaEIY2aLYV0yIAo
NfmZejywhPdx14C0sJ2134JK1lgJKdachvPEMA815PBkzGuu2uewdy6s4d0H
lOcIaz7M+H3WfC/umpF2FmEhy3tGvdNGrT6EP9jzAgywRz9cpMYL2a5ZabcB
DTfCObQ6BxM8OwEX2fNPqOMsNhV6zIq9nDUrYIIYjsMYjEMs7rkq51zGW6jx
SfT9FJpaRZ6drNUBcWpWCnU8q81zDUqL0uhcUAPV4h1yeDviOSrXW9DC8rBr
QFpozXStSXOPhrxH1CvaQ3v9r6l8j1GxnmaPemK5TIyDUdestCvNSDv99Ewf
rOPsquE1arkVTqHR36CQWAoi3gPqhSzGUVjHuBpGie2XsHuQvEgeI6+Z5Jup
iPeAekE5KTdpUFo8wJyvYCfjHcWuCWljL2cxBAOwp9R7Qr0hTUqb6mH1sjQ4
HHikvFIeJi/bleleJE+q4fdhfn8DKXKchi7GnbAeTTye8DPV2arGqvVM4K3S
gLTwBLXYkOUeKC9cQY1uopaV1HQl4++J+SiMk8OvgQfLi9Oo7fUxf6Z3ozAG
09QiVe5ram1pTtpTzspdPahezCTWEDxDrk9HfI7m6kx0NvIYeU0TZ3kw8PMt
/L6bOXfBMGvsW+aeI+85xNl/De3E0BbUXLVXT6g35BHyivvyXLvS8BtRPwOd
xUa+qcl2zx0MPF3e3h91bUljqWL3eHl9B3M6S/3O0t2lPbX3EXJp4vsLxHsj
df477mM9W2S8nJreDI+Rw/pcv4MGgx5WL48E3q2aq/aXWGOxwD1UXqo5mitP
kjepBqqFPEHe0IFmPy1xD5QXZgTe1cvcPvkDe3QnXDPSjjQirfzIu5+y/Y7R
XaM7Vnft7Un3JnnUpUw/Y521ekS9UotHPx94trx7PPAO3VG6q17K8rPTGdbG
XaPSqjQqrWpP7f0mMbYWuafJ2xrIpRFWM67K8f8J9L/BD0lfT3f8COPGkN+1
unOvML+uyLUrDT9X5B4oL9Sdrbt7lr1ncr0GqkV6sd+NuiMziv1O0d0yT+3P
53mPq9cXAi/+DxkIY1c=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFtIVFEUhlel5lxMRx2dxjEbMCqMxIdARPGpi0YjTgSaU4qlBkpe8FZk
GOX0UA9BEaSGmhMW3oIo7UL6XFGazqhRRBlpSUaEZlTUd9jn4WPtsy9r/Wvt
tY+zuNJ9fLWI7IRgiDSIWMC7QeQpCy2MT9tFollswlpNIjFgiRKJgMwwkcEg
kRmbyA2HSBcUh4psxleDRWQiVuQV+KEbf63hIjeNIltWMc8ZPwSgkXhJISJm
4uVHixyE/RtFXjJ3nRhz8SLzUGMV+bZGpBo7HoEPCDAOQUO4mTyIuQsWOfuA
fW34ObUO7bB1vcgI+47g732kyAeYtin9b7DP0PUcfjO+x9xfbBVUQyv6dqCl
A1uCz1Jdo6bVblBr7awZiW0Av65pHGtNoH4QD/nss2MfoeEh/EFTOTpbqOUy
+a1QlzrGK4x/QXKcyF5qvx1bSN2LwMgZA8xSyzvU1MT4WIxIGVTAVebSWHNz
X7lwAEaZS6FWNvY+RlcesfOIkw996O6FQbiPlot6flqeKXr8HOpnoF6hcI06
5+LDxZ2Os2eMM2PYNvy3Qx+xeyGcujWxb5b9Hr4LoIpxKnPv0NmDlsOcnaDm
3Yx9sId7e0GNXNhStJXBEDX8iv4VfP8jf8GHF98tcBYSqdkovkO4h8ss29FS
Ti4VcMmh6pHFWgF96YEi4hVCJ/qL0eLD7otVObmxLtZyYMApUr+WGmP7yLsf
AvjxQxOavqP9DHbYrPx0czadPRnQQc2z0JWJ3k7GXXCbe78Fk8zVaZrJZ8Gk
/DTjx0LfRMIwsYe0N6L36ybsD6t6U7uJvcR4GT6RWz9+pjgzz/izQ53X/NTp
72QO/1XoqgSfWe1fZD2Y2EFwjj6YJMZJYkzTb1OQSs1riOWnVkusR3H/jehP
Z38GHAIPNOhvthabzD2kEa+W3JMYb4MEfD7BdyJ2hnxeG9Vb0t5UrN6HVqwD
rXEwgtZq9N3F93nwwhX67ijxL8Sp2JqGZv1/9BNtb2NUP33ERuDfYlT/Ce1/
0RameimbXjITJxt9vUb1drQ3tECeX6DernI8YVfvQXsXnjCl3ck+N3pzwaf/
t1w2lYuWk1v/R+Vge+iTGvrFS91KuOdSMOtvwGRTPaf13n+GXMFq
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9096165225663206, 0.6440413064158016, 0.319811219955594], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlW1o1XUUx89qzv/uw//u8W737sEtkCAIsyBQohSpiCxjhIK9iaAyMFsa
pjJzCEZFRr5QM7BoJaJWN1plUqYjZQotYUO5Y6mMXlU2oQcitdHnyzkvLufc
c8/j93t+5/Y+9ULfupvMbD+fm/n8VW+WqTHbXDR7qNlsA7ZqYja/w+wIDmta
zH5vNCuh724zK2bNBtFfKZst53sz+u0ZszeazJ4hdn272VTou9E7W81+ouCQ
6pQ9VjmON5hdxr6I3x8mvo0eTpNvCJ+OOWa1qdnH3WZ34nMYOUz8z+jL8X8y
670toMe1La6r3xWR5xHyPBb6FPoRaj2PPo3PSKP3vAz7Tr4/Ta1dyP42n1Gz
dlD7Duzn6OVsgfrUXdkFFvPMNtYxG3I+PQ3gfwrMTobPq8ybdvpcmk/fZVeO
OXz/Cn1byexlatQRO4TvpRbHp8LvW0ruI9/z5L1OzyfyZi9FnpGC86F5l9Dz
XOwDtWCFvN7u3PWD0xh5j9N/PzwORq2j8LsqdTy3k+MLcDRiZ8FyosvrbiD2
CjPfTeyt+K6jn4X0MAaWh+b5XIfxeS5wuIa8q+j5N1FnaatzNE7/S4k9Rf4l
yDPRzyjyb/JuJOcF6h5LvGft3UzsmHhIiPma2D5mby25z4vtvpfSV+L/KN/f
kg+yttuxuoW6NXm3r8C+j9gp9J1550w9H+wFt8hfh6wLXoTBQMz7A/NONvuu
JuQ+m3G78BgL/TX0f3vMCnPN/ulx/sRjIxhMZn3GM9juA8970QvYboT/YOrc
Czfx80Hs/PvI4cijd7M58NTu/1j2nRxH9sPfAXDowd4X+VPyv1vwnZ/Qzmd9
5y9Sa0e9+zfV+75qb5cRV6GHL8k5jHw2cf2zTsdReH4LbvcHj2vzzrcw3AoG
V4Ov/dTK4HMMnxyyGm//O/Jlw67fX4/dFt5J7O10zrEWntV271v96x03Rc+a
9bfYyV+QD3Y7L+KnGPdHb1o7rd1+IvW7ox50k66AeR7MryLvyXjPW4jbQ64S
OfeV/X4pTy/27wOf0ZLvunb+AXj4M+7kNHq1x9+g7lA1uNZef5h4XWEgPsTL
GHk+Zbf+oNbnyP+IzzF7TdHvmnpeTeyJqKu70p1zn1l8LxAzS+wk8vGi96Cb
LV7F7yHqvBf3TZzviLvxDXztTf2+vc2tOBn3Vu+4EL2tZvbFBc+5puhvTO9L
t2RT3I3bsNdnXNdbP594P9Uuv9fiS7f2nXhre5BbU8d8BpxG497qv0I9qTfd
tokG323t+EfEXCL2IHJX3vUD6G8Gp/ofWNjgPWvfxyN2PbEX451qLyx1TveW
fR7NJd5G4j4PMFcl7t4nrf4+xV2OnT8dfWqn9F+lN/gr9SvxjvQfMpI4j5Uu
33vtknZqJnZD/JwrOY/ao/8BaIkI9w==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlllslGUUhg9LpJ2tnbWdDp1pMZBorFtU3KhtkMUllrhgrK1xSzEKGmvb
tFDjcmOLSvRGQCHg0iIqEFGgiokK18aApgVkk2laoNUbtXW58Xlz/osn+fv/
33xne885rX38uXufnWlm62E2LIubLYVi2mwUBsNmA3AkZXYUtpeZbYOBWr7B
LyGzE9BUY7YC7oI7YTncAZG5Zl0zzM5gJMbzJHdNQAIbSXgqabYKDmXNDkMx
YXYOBqvNdsAQPhwAi5jNgJFSs2F4hXevwjx+UwsFqIGzGWzBKTgN1+fNroOp
ErNpGMf3MdjI3ZtgbZVZD/wV5QxkuaMSHsKnZviXM/9AO88vwGPE+ih8VEEO
YGnaY1OMx4grVzCrgiSxp+CRcrNW6MCHTlgDq6FALmvgK+4agvnYXAAXsHW+
2nOoXCY5k4BLiHkO3FxpdhN0kqMu6IjhF7TlyGPOz+js6sDWQmzfUO45UC7+
xN8/YAqmYR93fQkD+DAI7Ty3ke5PiKmD5/f4zbvQhg+rUp5D5VI+ybcQPpTC
PeSiqcI1IC3cB/fDNLFMBTlULus5uwj2Ucv9cDU2roIroA6G+HYAbqEWt8Ip
7jxZ4ZqT9rbiy5bAJ/nWA93QjC8PK5/cORRxG7KlnHcEZ3RWOVPuZFO2C9Qq
D7vR8h4Ik8MQNFDLxrBrWFqWRqXVo+TsCAzDSNptyrZ8km+N+NgAb6H1t2EU
X4oQwVYUJqnFBHzH3d/DlfRAXdxrotp8QA3eD3lNVJsENuNwnOcTlV4z1S6P
jQL0ovF1Gbcp29KctKeYFJs0JW1dBpdDOzafh6eJ8Rno4901aHc/9e7nuQst
dUIvPr4I31KD//j+8izyQp/s5e/PYS0+rYOLxHgBfiKGn+Ec/ApjvBuf65qR
dpq4c0XMNSqtbuLd5pTnQLmYR0yXKq9h76Ui/jSmPYfKZQuaa4URcjBc6RqR
Vpq581rOfop/x4j7SXx+AqLYiMFOcv9xxH2Sb6W8K8n5GZ3tIeZuaCCWxqRr
VtpVD6oXw/wmFPeaq/bf4N/BsNdQtVxZ7b2invkQ/xaTo158qSeG23jezt3b
4HbuXpL0nCq36ln1rmaqZusW3m2FhpzHopgejHnNVDvNRM3G5XxflvMaqpZn
+XYm6zVRbeqCXnqAsyuhJO+1Uw1n513j0vouvu1O+MzT7FuE7Xo4zOw4VOoz
V7NXM1ezN4K2omVeA9VikJzsiPtv9Ntp7vgbMmguHcxAzcKDnPka+rijH97A
99ehH9bDjfi6MJhpmm0jQW9pB2kX9fCuG96kJzbAArQ+P+M9o96ZJKcTSZ/h
muXaCdoN2jHaNdK4tC5NS9utnGmp8pmo2TiL55nwG3f/DgmIw15sfJFxm7It
H+WrZqRmpTQoLeo3+q1qoFqox9Xr2hHaFS9lvbfUY73BjtKu0s7U7tyJj2v4
dpIzp1O+s7S74oEv6jH1mmaoZmkrNWgp8x2nXfdD1rUmzf3I88WU36U793D3
3WnvJfXU8bD3mHpNNVat1aNjQQ+rl6VBabFIzkZzPoM1izWDNIs2UsN3Ij7z
Nfv7OPtauddUtVUPqZekeWlfO1K7UjNZs1k7VbtVO1u7Wz0aDWauZq/+J9D/
BuP4eh52EetnZT5DNUv/B5BUPh4=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlEtI1FEUh4+PnNEZR20addR0ZlFBm9Ig0iCUEoNIw8hFaYugF1iJQqmN
4Uayh5GLHG1RKOn0UkPTMu1dWIuyskxTE1GyUBSisKik73L/i49zuffc33nc
h3vPkezD/iKSDougLETkaJDIgQQRB0SCL0KkCQrMIvdxehEnsjJSJChA5Bjz
yxgvh2YHAoEit7EhzFugbolILcy6REJNIjPYCNZHCNoeLtJtEekBFz4J8C5G
ZDUxYm0iyfiN4fcIvzf4vIWWxcSB7GiRc8TyCxVpdIp8ZnwFG4KvBWqXinih
IFikiLS6yD0hTCQe/MjVin+8FV20+sDK3i7mtqOXTJx18I1c1pLLDLYT3w64
ECXipO45ahuLJy6Uk2sYtf2mtmz230XH5NS6Sn+FTetMo5NHbrvhKetPoBc8
6D20i5wh5mk4HyuyF/8q7Bp6kgR17HWqA0Irx65rcrA3GpyQQ5wdEEhfPMQ3
Y3fhm0T/zrI/A63NCvZmQJBT52nG+uhTEzygR/vQHUan2sjBi8ZJ8q2EIXwW
mPtg1hpKS/VL9c2Czhd6OwXzLt2Pvy5dj6rrFL2rBDf9s1Pvc/q30Rj3Mq5h
zQvbiJcFq4h/g7V8cm8l7nfitmB/oP8TfhF3Hk7Ql3L8RsmlhHMN8RNJYf04
Yw/0GffpdYw+U3W241bdIxM9uolvM0wSbwLG4RAal6i3Cv1h/GqpLQX99ZDG
/lS4jF4sug3Y9+TfD+28iw7m9tOfUDStsGDRb6KVu5yKzjPG6ar3vLMuuGXs
acXm4p8HWfQlE7ZCFLlswc9rnH8Ndpo8Zuy6D6of+aFaNw3dIu57J2deyrgY
SmDOeHtlNn1f1b39RO1DMAiJxHhJjGEj3kU0RxiPQpOb9wU+t/4XDvIfmOhR
I2VVEMvMOBiKyKcQ2oyzekwP2ul/G9wx/opgYiw49Nv7hx1g/0f4So+moJC5
CXLvD9e9Vj0fNO7cALaHOv+QXwXz/vQhAHbCBuYS2ZOr3heks74JfMa/UM0+
D3VeV38JtRUzLonW/4T6L2qc+pzrsIE2fa71Mfrdqfc3qfKCcYe+X7PkXGr8
A7Oc+1Xu0zXojdP/4yvsPea7Icv4pzKx9dTfAP8BBsTHgA==
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.917574003768651, 0.6639350094216274, 0.3444794116828179], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1lX9o1HUYx59Z5m237+5257xdd7c7E6KkXxP7QeKwTDRqNJb2a4ZkgRst
C4vI/ohgI1xmpP2xohYq6JFQi0XmsT8iJMIIiinNmic2BdPmj37gzMh6vXk+
/fHl89zzeX6+n/fnublrn+1cP8PM9vBdwbeo2ey1K83+qDer0Ye8r8nsRM7s
MIZDSbOPU2YHasyG55qlSmajV5k1cZ5MmB1D/2Bkdm3W7AbkSp3Z+Gz3fbvW
P8mT6NYU8cVmjDzVjNkGck1wvny1WT/FTKXN6vCPsGmdY7aT2trRH0n5J/ld
dIewWYOcIOdE0JcLZt3499HTvdS2Iu02P6JPN5KDmFNx8pC7jNxD7VMxs1ex
L2P7QdLrVN9pfj+K7wbifxFi7kdex13XTLMXGszOJbzfVvS/xD2+8iynnvn4
ziPvK3mzy8Rcgb429PUpffW0mF0Hht2cp7GbgXyWcxrc42DyJ+eBOq/hJ/r9
m7uZ2ExSbzXm9YxS16ngu5J+P2vy2VU4Hy65XrGvob61xHkM+yJ3R5ELnIPg
8AD2S8F/ScblezLep+ILy9Yw0xFquciMI3ppA6e7G70v9VdNu173Z2tdf4L4
dwZe3cG5l6+MvCByPgnnMfiwMnL+tKcdI/k+Msd7Vu8p9INgfhD9AH5LA7aX
yLsZ/D/B93P6+JXf+5nLSzHnomJ+j+2/9c7bXcgX8m4vv3kBhy+Z2w9gdB79
InItDzWMcx/LOn/EoyfqPG9EXRPIC7Evcf9GqG0TtdUiL6aGWTnvX3EUT3gJ
nwvUdTHMN09d39X7W9CbUK2quRObOP5txGngTAXOHAWTCr2dQf9Owbkuzh/H
71yj97WXeAOB26PoniPvzeS9H64W887Py8iF8Bak0xuQfR9+zwROzmKG62a7
73vo2lIev4LN49QwTA1b8d2VcUyEzZGAySp4tyPtb0pv63ZijSH/Q5y/An+O
c78l73G25f1ONouxLcR9D/SxD7qooYy8scW5Kw5nwbwm8plqJ2UDtx/ivifs
lt3sqKEW91WMKjZTYP4z52TB7buwz6XcXnM4k/a875P3dewOY7+JPE+F9/5k
zrETbqeocRvY9iKXkReQKwNut3G+iM1q7J/GfmfJa+iMez7l/YjY3Tm36c05
58S9LZHvC+Epjm+OXN+R9hlr1vPxXR0wUeyB/+vkPB34fzLvPvJ9kxg7uKti
8xZyf9K5qvckfmjuX2M/HfP6b6X+PVmfo+apPSXuiYMHk9679tzGrM/3eea1
sMG5Wk/MjpL76n2sSrjvt8Q4D7791HBTs+934TwIzr2BYx0N/n5U21bi3Njs
9rdwflPwPaB9LH6Lh+LjfWG/af+Nhv38e8znp/ji0YehR+37Q2HPi5vaZdpp
24lfH/a88kRJx03YD4R6fgOT9UXnm3aJZin8r6fOS2EnTxe8T/Wr/672Bu9L
768Sci3JOu/F/2XE/CrUpve6j36WEXOceobCztH/m/5rlbdYdIwUU+9S/BZv
tyfcR7679QZzzklxcyTEHOa8K7xHzW0k8rdwDPk/KZooVA==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlm1M1WUYh28VDDgvvB2g40HO0SYWtdySzXS2hLIkZZLDqEzc/JJtDTeQ
FiStSZ/UaNVqabMRTkgKobetJrTBssmHssBS3EC0Wl9EbUsK2qrrt/v/4dqe
83/e7vt3vzxn2e692xoWmtlbkAYVCbMNUBc1exL25Zs1wXCG2Qg8xrgKLjKe
gPURsz42blxk9mWeWUuu2YtQVmh2N5y73eefYj6c72forP6lZgMwFDIbhGs5
ZjNQU2S2FTZnmW2B0hKzFfANe89A/RKznbCGtfdrT4q9cANuQme22ekFZo3c
Ock5z8XM9sTcJ/nWFzfbjS3lrOll/FUYOxiX8e0E63u44xV0mGT/B3E/U2df
xoZpmMDmXay9yZ6fGbdjy6v8jiDiHFqksyYNlmPbHRCGEBzhrKNwifMnIIM1
mbCB/Q9CNhrkwAzja7AS7e+ETax5tMT3aO8etHsWBorNPoE3ufMNOMHZ3dAR
cdtk4zF+N6F/I+yDZriP+Z4gXp8Sr6v4fwX60O0U/MDd52AttqyDVmLYAvuh
DVo5owU6iM3r0J3lZ+nML/j+N1r9BYfYexhq+LYVulh3HKrxYRr7ZtLRBP3e
Ye5tOIgth2CMWF1Ey+dZ0x1yzaX9HGfOQ3+e36ecUm5NFXmsFfMEc9lx9113
1OJrJ2vuYVzNty7Ge5lvgO+w5XvoCflduvMCd9dxxhOQwdpMaIP9gc/yvTPu
uaEcqcCXR2BjvsdAsRiCQViEhmnwX4HZv3AhkzvgOj4vXEzeKMeI4ynm+iBE
zYRzfY3WHuBbe4HHQLFQTig3lBPKjXpyahfMRjz3lIOtzEeJYQT62TsAyaTZ
KP6d5s4Y+hWzNxH1GCvWqnHV+gF8b4+5DbJljL3jcJRvR2JeY6q1UmpoRcJr
SrU1gA39kMvaPJHvta74qDe8jMZtUIgdRUnPIeVSBTZWQjnj1YXeM9Q7alOu
j+qzJuU2ybYd2PgM/EEujOPvGPqtQadetDkJU6y5DNXYsAUm+HYp5D1EveQM
efItjHDncLbHVLFVTs0FOavcVU9Sb7rFmln4nDs+y/QzdfZ73L+K+3tUXyXu
k3xLQDFMYeNk1G2SbVVotQkaGTdBklorCXtOKDdks2yXhtLyH86YT7pm0k45
pFy6zvgGvI8Px2A94wegLO65rRwvZXwLW//M9JpV7d7GmYthHJ/OQy93n4Sr
aP0LvLvUa1H18jv+bov4WDWUEfQU9ZZQ0Msq8aECurDp+BLvcep1g0Hut+JT
S4FrJu3S0SINVuNjeYDGxrcFUe8R6hWvoVFHwnuQetGv2Phb2HO4P6gR1Ypi
qFjW4PvjWR4jxaoCGyvj3kPUS9Tz1PteYm1rkfss39Uz1Tt3sqceUnHPNb0J
yxn/hCbnc73Hqtc2B71TOaPc2Y6mtYWusbRehi+pmNeUaks1qdpsJjdegI/x
7aOQ54RyYweaPR28YfWBhtJSGkkrxVSxlc2yXTWl2tIbqbfyQ2zrgbP4MApV
Ke8lqpnNKX9TMoI3SG+R3hS9LbpTd4fQJivP31i9tRHOCEMUsuFh1jwUvEl6
m9Zx91r4kTPGoIg9hTCMDSMwiq9nc/wMnbUSbUrhXuZWwV0JrxXVTDX+HUx4
7aqGDzNOoWky22tCtaGYKDbTnHGl0GtYtaw7dFdBynuZelpD0v9jlAV36m71
CPUK1ZxqT/8Z9N9BPsk39XT1dr15evu2pzz+0q8u5RpIiyHu+jpAY2kgLeaL
/b+C/jPMMv4f6GNMDA==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlG1Ik1EUx88qX+b2rFKn1rZUQokoLbOSolLLrCi0SCuqL2akZArTLO2F
SAkLZhmUTFCiiBUFRWAlfgizKD/UB2dkyERXEdV8oQJDIfo93OfDj3N27znn
/s957l1ySdWeylkisgnC4JVZpBee20VMc0Q6sefniZyDGpvIQYJKHSI78dNJ
rIgVSeF3KlTAIfZrbSpezzviUDnHsF5i2+C3VeQStdclEBstcgqciSIOiE0S
6Q4XicYGiR3kjA7qPLCIPITcBSI5kA3LTCITc1W+XmcF9RqpO0n9606RR5x7
OFLEN1/kHlzTRALs3yI3L0ZkKziJtbA2RZ+J1EqC2kUiJ6EOfLPpCR0r40Q0
zjNHiazCz4Td+IUwFC/ipsYw9ihaS8FGvxs5P5NZbGG9gP1WzopCpwWsxr4F
m6P3BafR2svaD7QPoPcDPCPnsd4nfjt1OuAzfhC+OVX8T2w/cd3ElTPDaZiB
LuMbmtjT6MsGd9B7GzqZlY+9p1g/cf3wEf4x71xqj9LfCAwbfReR+x2N9fh+
+qsjth4+oXkQipllCbMKukT60PMW3oCP+PvUO8v+GZhiP4zvO4N9j4530MT3
GETLFWyDVeW8JieOXuNhf5zSNc693ItfBHeZYR9xJr5pAT0UwgS1xmGEOiHq
BbBX+d0MWQnqzq3HVtOHG44b97UMG4xUuqbRVY3OGkhHQxr8sas78hc7Ru8h
6CF/mH4TWXPZlb/Yrt6O/oZGDQ1PNNW33n8Z92kJZ5zAJnGnkmENfjxrU5wf
w+9YA92PMKv4cmKyOHMtrDbiM7ANnHcRQsZ3caE1j3WNWQU4Lx9/G7xkvQc2
G/cwG2viXgq0LuTNoH2M+K/M/ot+V5jRUtbymfEvdDUQ+oL9FGqlgpcZjTG3
Lva2s74DmpmhB1rAz/mNaM2g/gbizA71JvS3MUCuX58xvV2g7gA12piVFzzM
apI+NOLSjLe8HFuMjn3gxd+FriH8G/g3oUlTd+cy+eHkRUAudzUHWoz/AA/W
zf4Bcvu4C5X4VfAfoVGw8w==
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9255314849709813, 0.6838287124274531, 0.3691476034100419], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlV2IlWUQx0dzt/Oe77Nnz8fuOR7P66opokHkRWKR67qxZutitUrJLtVN
FGWUSrhqxHYVJaKQtkEgluReSB+QEGjhRWx3djRQM2yXMggWrSWJIuw3/J+L
l5kzzzwz/5n5P3PiZ3dufXm+mR3nu4uvrWGWaDeLkG/yTWB8oNPsI77znN8X
mR3ImH2/wOyVLrM9RT7sm9F3dsn+KvLfRWZfEKeVNvukYJYjzuG6WYazr/DJ
I3fwe47kVc4XFqSPl8y+7TZ7D/+l5PywYvYM/meI827KbHQeZzWzXu5/jv/t
nNl02ex99BH0Fj6/cHdtSXE9Zg95jneYbcD+0kKzTZz9hj6IvJqS/hh6Oz5N
9Cw+P5K7hX4F+URGmHPknOA7Q8x0npqT8h8C4wIwz+FzFt8q3zH0sSq94TuK
Xsa2tyr7fuSXVeE5kdTn+hC2d0KNfzfJFWo/hqwn1cNu9CJfP/aC2+lzE/8K
chD836AvBv8/3B+g/z8zw0eC/Vd6GFNPDfzPY6+EOOPYj4DvD3yucfeFxWb7
8LmYZdb09h58BvHZTpzVYFgDzhtpxfScLyZl76iKB86HOeznE9J3wZFbOc1r
Decz5DCwXeH80Uizmyorn+fdHZtNBs6MY98W8q4m/nBO/hewT4c415H1MGvn
1AbiLuFoHbYT3eJwb0r1O+bTxLifPuTxbyPn25G4vQI5ALeG2oiD/WBNs/CZ
zDblM8G91+nbU/RkX0W9cGzeg7P4XfM+wKWurPq8NS9+OE9S1DGZ1t0xbA+D
LUGuvm7V6fX6nLdzdwv29eS/HKmuO8TsLaiui+gbI+le67pgH0b/KaOY64mZ
DnyeItcoOBrEWU7s2fC+1qYUy++mifF1LG7vIvZbedXuPZgK78t772/S735A
PzaGXvXVdN/jnC5pX3jPh+HYg0H3XfJ4Qz3vJ/ZYUryNFqnv3lvfMXnmd4iY
9ya0C7x278GehvB7HT3oReYeI1fRzyL9XO48LUtfiewB0wBx4pq46Dxc2aWa
Hf8FejDd0BvppO5CrHp9xyzNKtdBzg+Hd9FfFC+dny3OlwUMf4LTwtu/Q/wo
8ME5myuJD8WSOOfcmwHvKP5ZsP2eES+9P+ma3qrjudVUPs97CJ9CU/vBd5jP
xmd0hFz1wDF/0w/VxJle5M1Ycbw+55/7VPC9HnbaJDl3h730WlX7znnifEkF
zvRV9G69bzPUWA57w3l9M7xl38FPhvfoO3heVvP1t3U7+HxK7FVhV/sOGAp7
72Py7OhUn322uTD3DPIv8B+9mzfFHsrkVa/v3Y6mOOM7Lwp7742kdrH7nMRn
tigMjmUi/Gc9R0++q+t9+X/RSMD8WV37zvt8Lta8Hc8K7p4K+8fvtfD5D2w/
IG8k9P/Y3tB/iddyskP71/EcAM+lhPwvcb4/7M+9yJEw96eRp8J8fe8uC1zd
nNXbcPzz0f8HmXnvNw==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlVlslGUUho8rXafTmek6S2dcEpe4MEXB6IUKGKqBSEkrRhOMEUOrgkaj
LFouRCO0ggFDaRVj20SIitbWJS5RUxUTt/ZC1GinRkpMBEpbUSytgs+b8188
yd/O953znvXL3L2mfvWZZvY0nA1XlZvNgXWlZuthutjsJIxGzQ7Bu2Vm78D7
8AFMpM3qzjUb4O4Y3/NLzG6EZxNmW+FKbFwBU5w9CT2c6Yb6QrNlUFhgVgCz
8ZmFZJFZAtLYyEAs4/ZXnGFWyvcX+Waf57sGaelNmvURwKP4H8gzG+LuIKyo
MbsLNobNWuCeuNlKOMhvn2Lr8rPM8ivN7uW3lTAnROywqdrsyWqPWbHnImbD
0MHZzkrXJG010ghbuLsZJlNmf8Il+LgYFmNrCWxA43p4W5rhNP87BX8Q+2F4
ChuboAmbzTCE751oixNTgnNHiO8wHINxSGErWeY5UC6miLGf/KSJaQN5LMFG
CHo58xZ0U7MuOEpuxmAfPl+HEWz/CsupxW1p9yFfj/Dbw7CKGJqgIuRapGl/
tddctZcP+RqNkdOY25TtOmq9CJZTy9vha2x+BVE0xKAWe9mQ51y5/4m7P8IO
YnkeslX0AvQRSz+k8VUTxKzYz+FuGD2d6OlBzyucfY+/J4l/e7Frlvb74QHY
zZkXIYm2FOzA53bYw/feQtcorQ3QCGup9WMwQU0mIYeN4bjf0d16NC2FkQry
Bzm+h6GBHDbCMc6MhV2ztDcGtv8mthPwcca1SvMnGZ8BzYJ6Rr3zBDl6HGbI
2b8wl566GmLkqCzmMSk29bR6u42YW+FW7iyN+oxp1jRDmqW/4HiRx6TY1APq
hT2c3QsjfOfgQ74/inqOlCvNgGbhOWLbBtfS+9fBEs4shg60dcI2fG+F3dTh
JViAj/kwzezPwAtp750U8V5I7T6jNwbgenJ3AyQ4G4/4zGp2VXPV/mV8dcE6
tK2FA9z5Ae47z6x9FjnCXjPftfjOQh82+iMek2LrQkt3oEnavsfmARjC5iAU
caY4QN/qUfVqS4HPkmZqhtm6KOTaFcMY+ZhK+y7STprmuxefb0bcpmz/Q8wn
oJXZaCvxmqg2ypFypZgUWzf0VPpMa7ZVA9VCOVVub+bOLXBple827bjL+D4I
v1V5j6hXXuP71SrvQfWiZkizpJnUbKoG04EmadOO0q6ay5l5+d6zDcEO0C7Y
yJmWhM+wZrmOs4vgZ3z9AhP4GJcvfI5AOzHshFZy0BbxmBSbdqZ2Zzbf3wbl
a5x+r8VWNuhp9bZ2pHblg/TyQ3ANzAv7GZ3VjGpWtSO0K97A574gZsWundwR
aJAWzYhmpYm7zXCUWI4kvIfUS40p3x3aIcv4vpOY7oi6TdkuJwdlsJrar4Ev
6dH9FT7zmn29gXoLF3L3ppTvcO1y7Xjt+kPkbLTUfcr3BdTy/KTPxIKgR/uC
nlHvRCr9LdKb9Dv9v4vZbo/7m6K3RT2v3l+F9qY8n0HN4vFgtgfR9B1sQXtr
UJNc0CPqFb2ps4M3XW/7ZnrwGZiF7byw94B64T9iOQVpNNck/I3SW/Utd74p
9zdab7V8yJdsyJZ2oHahZlizrJwsDHpGvaMcKpen0Wqc/x9cb0iL
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFlIlFEUgE/lMuaMMzo67uPYiBaRliVYoLgWrkVUSEq2gvqQliWlaQ/a
S1pJQZpUoFGgD6FtQmWFki20ij6olWRSEJiaFEGZfX/3f/g4Z+65Z7/zh+8u
3bx/oYhkgisstYlYXUSikDHeIiuhEo7Cct22wshFk8g88qqPSOoiEW+HyFfO
vAiyI0gk3iKyFqoCRJrxqUSeWSzSCF1+Ip1wHSIIle4hkmWlBhg2cOAm8jFU
JDxYJIN4kchiX5ES8PYUsUB+kMpViHxOnmdgCiE+ZxZkP7EeQxp2A2fvqa3P
LNIL1XpNAZyV2IkNRRDMIGzkMBDLHQapYQ7fAaQvsaxwMFDkLb41+I6FqlrH
kfnYCmCbQfWUwrxqqOM4LPMSsRO7gNhtzOkKHCB+GWR7qR6d9HgeCheI1HHe
hN4Mx/xFtpOvg1l/IuYE5DK3L8x8xFP1rfUfR5w1YMSnBVsCuW4z11uQo9/P
RBZTXxF0UdcFasrC/pQcDuzZ7KYf/Qm00WcrNNLnDDW105uDGsJgnjiz+IZQ
yzV9/3eYaSx3V4MzRNlDsYehO7Q5ENtBHB969wMbhDNzK/OLtKtdaTuLoBcn
9BBnlr6F/c0HKt0FfYo40/CTun9AJW8yStsHMteo9Gr0FPacCqfJfQrOgpk6
O6gpyF/p7eh1+JyAJezwEfVtoB8negQkkicBqvQdHEG+sam5bSX2C/SXcI76
ujkzUXc9dTeAN3fX4+OP7CVPH5TgUwy1RmWzYovD9wa+U5yvQo+FP+T+DePs
qYIRVDCXGIN622b6eECeh5CMfxKk6ftzo/aFvAEL8Sbxuci8LsFf5jsHCcyr
yZ25hYvs453shT3QS46T2Ny4Y2Afrna1A20XO8N4kzBAzTex/UKv423VQgG5
NlFTOjEayF0P5byDJnqrQHbh3wk+vJd31GdGDuM3gD7mq2zanTHifIAOT2Ub
xdZMT7uIc9lf7UDbhc2kYh8OUP9j7f/cAPXQbVT3W7g/xN1BMDPLu5yZkGnB
qtYMZDl5DkEK+kbO8rxUP1pf95nbPfhuUG/TaVez1ma+jvonqC8eOUO+aYim
lmjO8ujdqvfZQ+xJ7n+zqG+W9u1K1nMlIkeJPwIe+rw/k6tM/66UIl9R+2tI
1r9dSUHqm/f/26f3tIVZ5BAjF4b079QgcVr53Qb/ACYCw/8=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9334889661733116, 0.7037224154332788, 0.3938157951372657], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlVts1FUQxgeqsF267dJ2t+x2d2VrKYohxDbYEiQxpiUBhCgkvYQXo0EC
pkCCUEi5CAETqQmIWqFtmtJqAqgk+MADDxQVKDGaFBqKIXJR+oBQ0gVUSCHi
bzrz8GemZ78zZ+abb4b0O2uXrhkvIu18WXwnIthxImezRar4Fk8QuZ8SqXlO
pPlZkb5ike8miQwAvlkoMhoSiXC+Ky4yearISfDCWWdM5PdnRPbiH+DOSjCt
2AdRkUogrZNFDvr5wVyRG4UWcwi7nPN6ctjAO++FRdIkWAFmUbbdXRUQKed+
C5h0jkiUO/u5u5o8r3JehP8v78xKivwE5kSeyDT8i7zVwt0ycl0PpqdAZF6h
xZ9N/LDnH8JWBS3OU+LsiFuNu+PGi/KTgqcUuVXiZ6j1+7TIXPDb8kWexy+d
KNJYIvLlFLiAhzZsFXd4Xnq518Tbq8C/yd3jnO8lhzzyLA0Z/gD4CuoJcj4H
/AL8YnKbj10BPxc43875dPyF5PYSdshr31JETXnGTxJ+luQaZgaY1/g7Tfy6
qOWqOZfDTQf5jIDfw/u1UcM0YI9wvgFMN3l+MMn6Uk2cMmpcRj611JjwXkzN
sZq19lJ+jxG/hLu95HMxafED5NwAv/3c7eatRcR/G0xb0t7Qtw5z1gPmDpgX
yX2JY8L8PiNumHHk8hu9u6B4/H0x6+kT+tYMnxn825z/FbQevcXve7KNN+Vv
NrVFqLEcW59vOrmXY5wqphHMF+R3A8y33P0mZv4x7Ltx09tM4r/gvH0UMl2q
Pgfh41NwV8B/jv0kZP5nMdOZ6k11rbwoP9F867H2+jbY/gLzb4WM0zGd08+M
1/KUOOE808zrCZGcQsPfAT+cMA2oFpbFTGOqtaj34iFzvM77qHP2EPw5tPE4
YfrTmCcjNnuK2QxmW8AwjxLWP633Y95qcp43YhMe/zo1XfK+DGB70HEXtR/C
lrlOlids/pWrPvj/2nfOOfqzL2iabAb/ivfoZThYi67q0FVT2mZe42i8Yc7u
TjTNDXrMzeS7usR+ex/b5VrqxFbz/apzhH2SNH62ws8aj6/vnC+2Xac7b6PP
qWKvxXzeybHD91s79iuvcbpqwHeXzsp17+/SoOlS9am753LQ9PxGge0X7Zfu
rYzHV82qnpRnncuI77fKlGlO/Z+J8+oU40o56y6w+JfI8y5fFjVmklab5v8n
sUdSts9jcNjsO+TDsH3q/5KyHmgvfqQn9T6ntdgzvqNUd38kLX+d3WHnXneB
9qHO/67zPTC2C333liiHActtJGl5aD4PUrajdQbv09t/fLf8x3kfHDbC7fki
m0/FbEJrNdmWj+5OnRPVv85BL3e38u4p7Gn3BwO2c3X3zgrYrtH8da8c9f2m
e0X//1Bule8fnAfV5ibfD3/z/k7fmbrvF/pOHiXmGY9fwT//Az5l/i0=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlltQlGUYxx+kQA67sLss7HJYWU6TmR0gtYPZCGQTJUzQQBc6WV0JgVpj
ZjRipV0Uhya7qKxmsrPdZJgXTd0EiWUW2NhMoWhd6EUaNphFF9XvP8938Zv5
dr/3e86HN/3Qpva+BWb2OlwB1ybNlsLFArM/4HKxWUmm2QrezfHcvNCsCVZG
zG6DgZDZDtjMN1vg6hyzxfBOkdm7UBo2S0J7oVkHPJJr1gPRhFkM/uLsZdiB
7AHoR+aTsDQfW+DbCrOjUBQzi0NnFXKyzGqyzbp4/oiz++FZvt0Fr5aYvQKr
0HE7fIWMXhyrwodkFDlx9MLv2DILN2J7A4zy7iDUo+tWzo5lmF3Hcxvft0IT
sWiGMDaEYm6TbIumzSIwlGc2DD343A2rytAPy/FxWcJ9lu97se21wEbZ+hT/
9UPOIrNcaM91W2XzBO+/xNZMbBkhSeM8dxH7ThgoN9sJUXRG4IFSsw1QxDcx
iEAUsvEpC8LYWgC/kqONyicyZ3iuQUY1VEIa2tDRCt8Qm6PQhA+NsAufdsNi
YnwVXE/Mb4Aa3lVDGqqgh5ycz/Yc/UlcKvCnHEqxpQwu8t8s/JLCFugipp0w
icwpWI8N6yCB7GTEc6hcPsG328VCr0XV5HnO7SF3x9C1ld8fkpdHsXlLodsk
22bgFOzhv5fhN87nEsuXOP8w8ZpE9vfwArEYhB+o1QvZ7kM3vrxP7N6Leo2o
VmSzbC/ChziMY+MYrMa2Rsjk+wXwBrLfhG2c6UJW/5VmR7DjBDl4DN2zxP94
hdesalcxUqyeQfbTcDOxvgUuoXsOlmDbNdDHN70VbpNsUw+qF1UTqo3nqNXd
0E1Me+A+ZHXAGny/E2bw4RSsxrZGeJCa2wB/wzx8jS1Hij0nyo10LglmgmbD
IXr1U2ihRu6GS/neK+qZldT5d3x7DPLwJT/Xa1S1ehc2tsCKlMdeOWjguQ4f
a2FvJTMIRjg7XO49rd6eQv5kvtsoW4+HPZaK6VZiW4tPNWD4klHqMVPsOlVb
8HzIY62Yv5j0/zqDmCg2NelglkAf+S7BhmLYhK7N0EvOprD1fmRs5PkM+k/D
NDpOws/wExzAhk8KvSfUG/PE5p+4n5kOzujsGXJ3GtZRq+tj7oN0q+ZUe0PE
fLDAZ4RmhWpItZSixxdBRp7Xumq+GTvPkfOzkIUv2VCIzoJgxmnWXeBdOMv9
34e+OnTUwjBnR6A45e8lcz/vG8htfY73qHpVM2xVMAM0C7aR48ehmLiWwBTP
kwmfiZqN28s8VopZP89vx1y3dEhXDVRDGqpS3kNFwQzVLNWM0ay5g2/XwAFq
/OOo65Au1YhqRT7Il6pg9mjmavY2kON6GKX2DsI4sRyDBLYmQ75DtEu0s7S7
1APqBc1QzdI5bFqb5fOrDnsmOHs45j2j3tEO0y4rQXci7DNrMqh51b56Tr2n
GaxZrBmqWVpITUfg35TLlo6bcjyGiqVslK3qUfWqZohmyQcxz43ip1xqR2pX
aidpN33B+89jHlPFVjtYu1gzTbOtKoi1fJAv9yZ99msHdCR9xmrWagdoFyzn
v2VBDBXLCWJzuNR7VL2qHaJdkk9OQvBZ3HeTdtShuNegalE9qd7ciQ0Dud5T
6i3dCXQ3UI2p1rRTtVvV8yPBDtIu+g/frcDvCLornMXXc/m+I7UrJVOyT+LT
dMx7QL2gO4PuDtpR2lU/cuYEhPAlDEPYPBj1GlYtS6Zkt/JfW9TvPLr7KAaK
RTTYpZrxmvXaYdplmrGatfv45q2oz2TNZs3ElmCHapdqJ2g3aAdrF2tGaFao
R9WrunOMBjWuWl+LznuSPvM1+1VjqjXlQLmYD2a17gy6O+gOo7tMJbLS8D90
ujlq
           "]], 
          PolygonBox[CompressedData["
1:eJwtlElIlVEUx/9mg6nPtHzqc3i+J4Zpi0hQgwgaVNDSysKUlKRNtCgtygYr
UmqRI6WWVohDi6Bh07CIRposCjTRopwi22ShuMiyhf0+7gfvxzmce+6553/u
/Z53d2ne/jmS1sE8aImQ2uZKl7C1i6U6cDmkCKggttpXqiKWt0TaCg3EB8m/
6pIS8Nvxu8gbImcYZpzSX4gJlGp8pOQQ6XWYlMZZGxdK3fhv4K6/dAc6IkyN
a9izkZKTpmaoO8ZZ36E+gJ7gYpS0h7VWbAl5u+AHef6I6SGvLFYqBRF7MF8K
9uAvkmaDyGP/JDqOOE1Nq3amW4oiLxvr8Jg9IdgONHTCn2jpFedNY2upUwch
+MGwwk/ipxfB0s8YaRwmwJcav7Ar0e5EUwo6j6O/AobROgT5nNFDXiG202H8
Ao+pYdUqd5peK7D3mNd9CGRfACSHmbqp2Bk/038W/X9BzyDU0E81TBHLYW0C
W0y8CG5zX6PsbebMt8zuAmeEhXLXzCcStjOjbZDEfLPRnYBtDTIzb4kyda36
seS44Yx9V5XYTNYzIB0KuPMy1ofQMgiPvdLJBdJT7ICf8Z/gH0LXYZi05zbM
2kP6fATZzCsLCtHppee1zPOm3f8Nl5mjNc8m/M/Eah3mbVpvdBOUoO0rdUdg
FJrouxGu01cva/3oDmKvA4JdJv8j9Wro4QOa4tmTzhvIgM2QC3ExZm1pjIlb
6//sN3KKfVP0+BztBcRTeMupsMPuPx/7G63T4MO8BLOcm0a+m75q8WvgHDom
iC2zvjPurh4SuYNx5tPuMfOy5tZo6z6PXW7fVy55B6h1ENbTVwPfRQa5G+gt
HcbQ3IfOW8xghNxR2ML+vcTKrbnh57jMN2x9y5ft/4V4ejoWLh2FExBO/ipm
Nc23FocfTW4P2nvhNP16OXcNZ1XiV0FfqJn5J2wT/TTDO+K95FXjJ0ISeHnv
HnCDLzN4RiwTze/R3ugwb8l6U1dc5v+nDdtPHwP+pqZV+5utcRTroK9A6Kbn
feS/pL82j5lll8e8devN74w2/1PRvLci/GL4D9CwvbQ=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9414464473756419, 0.7236161184391047, 0.4184839868644898], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlltsFFQQhoeLbLd02+1uS9kL225TKFSlQWqjD4q2BB4AS0AtDYJCUFGQ
a4BwSSUk1MRYMBFjuQgqXoKQKIj4oCYSK0UQhAcwoAF5kUSpNKghNoJ+438e
tnN6ds4/M//cNj9/6YwlA83sHJ9BfF4YYraYTy/nHwrNxg8wK06ZLas0W8N9
RZVZfLhZ+2CzMmS62Kz+DrMTaXSGmn0KyKSMWVOFWTMY3aVmX/B+HfdD+H5r
1qwLzIklZud5uxHja/Nm85NmC9D5DN36YWY3ub8SNdsJbhr8Hcj3M9L3d/ly
s2ucr8fNevhuLDrDud+Az6vw82/87QEzgk51zmwCbw/hz6Iys5mlCnY1dup4
PwCdUzGzPvx4LULM2G3g/wv4+UEC/3OKq4O3cyqFPx+ZIJ527puwXwnO5+D8
if9TixTjHuw8N0I4b4DzM+cbnKcm9Z3rTEf3EG+Btov8uV1glgP/MWy2Vptd
wp/HkSMjOs/Cxnh43wz/45B1+Pow+t+hPwPcefizDR/64uJnHzwdTytHJ5H7
g13Pw+sx+TOHd62Bk2lw0omvD3LuAn8FOKfBuRP+TvBdA3afwee2iOrE85EC
5ww43eR0P/4vA2ogmL2Bz2vIq0WqmSSYG7F9AH9a0V0a8Bsz+vh5JXc3o/Kn
FZtHwPoL/L3YmVSpGp2M7CqUn3XU5McpxT4T3RXoHcPWI9z9xP8dQPVj69vg
fw+yn1r5l/tnyxW/8+D5qc2pZi6CkQ5xtXB/Kqlcz4LDaSnhT0fW5pWT1XnV
h9fJXOK4FBOO1+AvIb8P4MMEfE6CuZ3+WFklTMe+HPwcCv4mfLjbuUXm4Wob
XNUgDydUS16bVWB1cH8ZWw/x3R7OzciJBTo3cV6If7PBr3H8iGrIff0yqX7s
I65xpeq1MXDSQY4mE1emQnXg/HuvfJhUjwzDnx9DXM7TKwH/TKF62zFXEdOo
vGz9gU5nheK9H53u0KdfI2ty0ndfagrEj/M0Hsyj+NCIfDqmcwPn4qTq6iz1
E0lotviMuVog3jzPE6LCcbzhFYoli4yX6977rLFAfFbDT2PooxvE/VFU9fAE
uidy6qlTyB446kf/GLIm1Kf3RIIYs8RYnhcvzs9efJjL+yucv4lrBvmsmIes
J4avsLWAmPrLxblzvzjM1ecrNSM8v/XorA28eb2c9RmBzk102qo0Jy8Vahb7
242cXwz58r4ZG2zdlVJuPEfLOa/H3hYwx4FXm9S914j3rdd5RUxz2edDCzr3
hVp1X7rjiqs0q33ge+F8oWrLcTq4ezSn2dWKnFWtmmtDji2SXbc/ktzfwrda
5Bg+tzmPRh4J/K+Gm1H05q/g7CK+XaGvfbbFQ7y+i7aEGbWbHJ4m9nvBOYtc
WKTz95yPZzSn1uTV547vefb95H26uUx16THeQv9oVDPTd8tc4nyXvE+hXjYH
3hZx15CVjs/XHVXy803k79i5HtE8fDKqWvVZuC+lfPl+mxJ88Fhdty/oL6nW
/zX4ubVYdZXM6/u2oHNP6FOvnZMhFy2cXyqR/95nT6U1T3wv+e50/cHDNE+9
bt8mL70jNEuvIYf6XCPGQuSAtPbXyLh2qsdYVq46dlvprOJ3HupKtNe9BxPY
/STUQzG6WzhfgP/OlOrY6/kc+hvCzF+fFe/Of3NG+ft/15CHkrjm8LaY5qD3
dSe8tYS95jP+1YD/MjqjQ+35HPK97vu9GszlBfLtH3w8E+a2c+M947k4gH4z
NbSI3DVVKmaPPZJTfXu8zvG6vHbcRHQ2JdQjvutyQd85mxPqZDZyd/itMqhY
c8pr4GBCvy18PhxIKh6P67eUeHQ+64u0tzzGwynlxnP0Du8yUcXVXqY95D4c
zGvf+Cx/L6M+dP538nZaVLE7B70p+em/Td6KCdN36ZrAue/59sDbKN79B9EM
XCE=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlVlslFUUx0+rUtrpTNeZOjNOp1PbKZBIjRh9ci0tCSWpVlwaUYPyRmlN
TC1UQlsj9QEENRQXqgK1JBJeLEUeJBEXqA9qNFqIS0ubiIpQqQu4RMXf3/M9
/JL73e+ee8/yP/dmHu5s7cg1swG4HG5PmG26zCyPyamwWQV8mmN2M3PdV5ot
S5utm2c2y9r9SdZVmr2d6/bfzze7pxq7PLNayGbMWgrNXsTesO+NmS2E31m/
jbnF/CuPmp3ju5wlxYzbsf8J2z7m9rH/m6Vmj/LvS9aPMR7GnwuMe9jvSNys
gTWHGI+y5hbGbdifwv4+7Os4f12wn76v5vsUe0xBDfvUwggxvQ51jBdAJ+vn
WH8eOhiPJN1We8i3k8R4ArryzR6H5hKz5XArsdwGy6rMmmAyxTmwN/B3DT62
Mb+I/P5LonPYc38Z31WeW+U4wdpufGzLcx/ky9m451Y5nmVcm/Hc/h8j/8eY
W439EuwPMt5DPT7J9Xwk8W8K3ybhovIOLxPPSyLCGP68yuwPeKaImsAA/m2G
0/j2HRyIu++/sP8g/sWYi0Iv4z6IFPvZ+l/E+Kb5XkvV9Hr2Pc3HtzDNWTNQ
TY4ykMWnOmih5jOsvYRNc9RzptwdJc53YUfY95YPb+DLRJFrQZp4SDWIubak
sRXse471Z+ERYlgDTzMegCF8fgVqMl5b1VPaWBX1s+XDg4xXkZv7oSvE3lCd
9FwqpzWM72ZuJdQxXgDbGW8LeU6VW8WoWL8h5kk4jk/HII7mEvA+Z7wHH8Cx
qGtIWnqO2J6HL7D5HAaZ2wm92GyC68jJEsgt89j/usJsnO8L9OMo/dgFDzAe
x+Z4vp+hs6rwLQ395OLJhO+pvac5YwaG2XsvdLBXJwyXuTb/QaNZ1mfzPX71
2BG0tSvu9ZbmhuKuEWllOf+aYQ963g2vwmuwoszrJ5uTBWa/Ua9fYSe1fwF6
yNkGeAI2wiAa2gET+HYCGompfZ73xIdJz5lyV4wOSuCrsN9VurMe47xWfLoT
7oKVcCCIRz23MOGakrbUw+pl5aQ/0Ly0/1HKc6scR7D9mT3m4Ay+/whnOO8H
KMS3cLn3kHppCz5vhaWBv7ojm9KuIWlJMSrWoxVm70CMnFdAdaX7r/ushnGW
82thC75thSbWNEoDjHuDOf3TnP4pRxOBZqSdMD4Wwg3k+MaYa0baqYdr4Q5s
Wkr9DJ3VSM6WBneW7i7Dt0sxvzN0dygmxXYe3+ZgQ8bvZsXYkwlyUuA5bw1y
rtx3k7v1UJdwLakGi9hnddq1Ks1+Rl/so5YjUdestNtOTddCOX5EK/yN0Vuz
lvUNafdBvsQ5OwHjwX/5I60cDu4r3bm7w65BaVE9q949iM1oxntKvVVf6G+R
3qR64o4wFy71nlXv6s3Q/a837V7ui2c5e3ula1xaV0+rt1VT1TbCXLjKe0q9
1VXltVWNvw57DVSLt4jxMMyl/L/8nU35naW76xp8XRzyO1l38y72HoLN+PgU
pMh5JRRh8zF6bSAHeaX+hukt0xunty4HW4Nucrw+6m/AxaAH1Yt/l7it9gjp
fuHMnJBrQto4xBljBf5G6q3cGPRqH7XsL/YeUC/oztXdK41Kq3pT9LbojpkO
3gC9Bf8BziM8mQ==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlG1MjWEYx68InVOdTu/nPOrUseq0qJZyGEPJxpylRnZsYdMwLxE2sjHS
dNpsKoT0whcy44uID75ozEsqfMzQ8MHLslVqbU3ld+9+tvPbdZ3nuu/r+t/X
fT2Pu7xy06FZIuKDOdAeLdIG58NFBoJF6p0inkiRNChLELnFoh3YBdCE78ZK
hEgQrLeLrIPZNhGDWKshkkqeFGh2iKyaTb4okWvkugqv4kTyqNGDXcX/leAP
EbnP3lPkDeb5BOIW89wdRk3YSh0/fCC2hL17eTY4XyTAni/YJupfgUvovghN
sJO6xZzJZRVJhPnx6GSvA5tHvBs/F/uIWBekk8cDC6Gf+pXke2fW68eGsSYc
TsSKVMFxmKENk5x7inh0kMgy4jP4Qo27xIfI020RuY3fAb4Q3cvtnNPJ+QxI
MHUFONMBzlgBBfj54Fe5OIefdd9dIt8g1s2eeSIN1N3Cf9dckVKXvgN1F1No
+Adp3MMUeVOxW+E0ed7Tj5/cyy8Y4+xP0edizzD+CKSzbpo9GdigUJFZcMGp
Z6LRqfOq/NZEkT7OEYEN525tsIO+dVHjMHvK8LfByQR9r9XYDZzBB/uT6B+a
7cnsBRsEyF3G3nT0BdBWB9VwBo6YMQ8xgzxf0fwCzbn0Mg9CyWeFaqvOW4Hf
YuhZvIFNQk8yjNLXEfCad7+b3J4Y+gRtaPjN3hbsEP29TH+H3brfqu/xnC8O
JsjdybpxbAyzfZo8P7inYmIl8JZ62dQ1uJvNaCyFB+R5z2zUEO/EfwhZ6MmE
HnP9a2w5OY+R+5RVn0edy2CtE/6iIRVNqfgd6L0NuRat8w/PljInXshBSz21
aulzu3mmNLQ0sL9RzQ6zFgNRUMhoFVm0RqXVwbostLxAy3ND+68M3R/Vpz72
F5Avw6LrKx0nuJMqKKGnL+nFUXrqY90GmORuAtQYJB5J3+2whvu7Sd587BP+
P4ZRNNeqd5F+vmSeJon3YmPZFwfR5rxHYevpWUOofm/U+5Nifo+81PqMnk/w
EfjJanRuNHUVYcfo/7iJ8hfx7BmxbGwb/WiF6/H6Pa5DVyUaDsEd1g7wbB/+
ChIvB7/53k1TtwT9zcTvoeccd1ALu8J17iynnjk1e2fpcTX0mn3swdrQmIlf
49J5Vf5Cs0drQ/S3UX0jcxy6R15sBfNx0ET50eYc2rF7wvS39U2c/l6q7+Z/
SSHBVg==
           "]]}]}, {
        EdgeForm[], 
        RGBColor[
        0.9494039285779722, 0.7435098214449305, 0.44315217859171374`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1lnls1FUQxx9Hbbew3UIvum1pdxPaeivWI4qAomJCBEIoglSJCHihFQmg
HEIJlwpCCVRTMSAJV/EMGIlREyCiiTGaKBIxWE4TDSFAIEQI4Ofr9/nHL/P2
7byZ78x8Z97LTGwe9WLXEEInXze+LRUhNOcgC0LIzwthQ24Ii1EoTIewEIXD
RSEM6x3CDaw/LAvheF9+8/+b6C/uFUIu+3eWhpDtGUKyewjdWTdwdqb0Oftg
TQj3dAmha48QHkV/Lev70P0riT5+x6J7XWEIX2GzjnW/TAh9wZBGvpUCD/v/
VIawqU8Iw7H5WT548T2Ws4+D/el8Y9sJtlrOHcn1+bn8NwGd2cib07Z/PX7+
LHJcS9grZX0SPPuqyAcx/sy6Hlxj0sY2DtmB3aHk6QzYF5WHcIAYlyLr4tkF
6D8DznXCj+5FsC1n/UoJeUg53gHEOw17TeBq4b9PikPYDYY1YOta6rzlII/3
dowTwDMJ3ynOnMT+vByfn8/ZpgrH/gTy/oR9PYWvN8qcq2X4vJxxHa8gq7Bz
NxiukKfL+V6vAP/mWPepWeqI73owjATn/DzH+xBYjoDzEuu2hO2JH+uR/aJN
2buA3nHWU1TPfPPhR+wVsL+L/XxiGRbrPoc6zsDHAHydR2cQdpeB+RB+Oioc
49BqchFzOxeb24vMJXHqcKxdAevt6J8H2ypstFc4nyvhWCLP+VKuhlTbpmx/
AW/vvQZMyMey5kkTMo/zG7EzGgw7yNcs9j9FrkKvP/rv1Zi74nA9fjsz3m/l
/xUF7gX1xJfRfm3C/oVDfTQb/fHYfBU5NmtuiuM12ByMzXZsTsHHVc4crDJH
xdU+2CspM6+mppx32VRcqplqt4m4rvZynveS135Jc1hcfi3HfsW3c6XO+QVk
S+zZ5krXMxFregrZQh4+Jsf7sXuAc21guZxyLeYkjUnYZhPjw/y3h3Uje4Nj
fQeCYXzWfdifGG8sdN4mE98+ONoNDLnoFLK/i7PHiPdZvhNgbUbugJdH0dmJ
/IjcNmBnEHY68qzzHDqthcYmjDtjvTbwf2fkxjDwvJs2NmFczjecdTv2poPj
N2p0kFgmJ83bs8R3Jtf5Uq5aYi8sQC6KudpW6dgUo3r6pazPTENeiv3+PPEN
iTlZjf8jBeb2iWLn9L/clnsmis93pc2FQ7nGtzTp2bIEnW18nazXJN1XwnmK
mp4rts2jBf60/lvcz5g/f5CfdOy7fT09EzUbNb/ris3zvfg9g/3T2D9X7tgU
o3ixNua2E5uNWWMbnXVv6GwpdZ+ZcCwHyPnWYvNffdDM2RHqkQr3hnpkN/m+
CM+vYH8L+dlc4vW2EvNDPKnPeG6K5y+kzMf82DuNPWxzfY3nrHiomS1eqMek
UxftjMt6XkhHnF0ROaCavFPgHG8EW5eU65Ul7vdrjFO9/nbCs+4sMY0mL9+S
n1Hlnvuah6+XeYZq7t2E7ZWx949xdmDGWH5n73Rf+xLvfki5H2vBNTfj+T8H
mY69n8LOpWhTc1q5U7yKW/2sOq5NuZZaa6YujPNKc2tpvB/Xlfm+UVyKrzHi
n5F0TpXbnyrdG+oR3YGry11H1fO7OOeVg69rjGFMD89lcUxcbk143mrutkWe
fF9s38Kgu1rxKw8vU4vpWd8Zuovaa4xZHBwZ3xLFfXxvCbN6SLNAM2EWfj5P
mp9ny92f4v8k9npmPOd1fx6L75CTeifEu1vzb0zkzO0Vvg+kX4ROA5xaDWfS
lc6p8rmHvN6R9ozSrDoV77KtVb7/VPflnLs2vmc+KPK9cSi+MfQW0X3dAM5U
nGkFyIVp11czvi3y6hcwt2JrPxhuxf4tVV7fJl/Vnj0PVLuH1ctDydm0OK+a
kd/E+bkX2VTleMWvEXG2qJ4ro1/xa2qse2WZ66AZr/p1VBmz3hoHo68Kcjkx
vjeeTPsNoZquKvNbTXNPd/ivxa675sS8hPtLfVZb5ZqqtnoLap7oLfBIwhh0
j837/z1Grf8FI/14yg==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlllsVVUUhhegtLXl9gK1w7ltb+8NpbUYWrGCgjII2gegNVKSIqU1JSCI
gAUtgwyBROMEjYaktQqUsYRBMSbSBzHWiCIFX5Ty4EBKHB4QAsaSGBn8ftd5
+JJ9z7l77TXtf51E08qnVww2sw/gLtgzzKwTPh1pdgLeu8esHcqKzMZAdprZ
Xv43bqjZxYRZC89ehh/Z8xMcKjD7dZBZ9RCzw6yfyzBbDHWZZvNgUA6b4Zfh
7Id2aIMz2Wa9IsvsAg79y99Os57I2Y/ALd7dhrlRs1r4KjA7BdvxcRtczjP7
E8ZwRhmUc2YFvJBvtizfn+ldFzYPwhV8vwp9EbNNd5uthIMxs9nsmQW78akT
JvBsPKzmzJfgD/gdHks1mwyrkmav4m9nCv9hXZ5uNhZO49u30Btz+9d5/2LS
fZJv5cRSASPxoYdczcRGa8T3aG8vnIUdMX9fzft23p/h90bsVWLvQ373FvIM
zsF3EGCvMMX/f43fPeT6C8gZYZYLmdQvApPIwaOwihia4Sax3oLd1LJmkNd3
D+tafP4Ze/3wTNJ9lu/92LiU5j2h3giofQzWUYu1sIr1asjkXQT2cfZ+2Btz
32RzLvYyiXEq520lxijrhextUu9Ry25oTnrutrBnLbEd5V0L/71Js57DfhW2
75CPSdh4gvXyODWH52EZXMXGFYhTs6Ko50C5GODdjbj3nHpPPapejRW6vS30
31XyUsqZozm/Ds6T7xH00HCYSk9Ng8exsRnfmtkznfWUhNdGPTGZ9V7s7YEY
ucqHUYH7rhiOEMtrgcf+fw5Yv0Gtqji7k/1vsm7H1zYoJ9YKGMKewfANd+s0
vMueLwf7/lbWHRHPr3qmg1wfJYYjqb5He0+Si89gKD2aAj9k+V3TnevL8hgV
q+5DF/vrk1575WB+0u/Y5TCnyu3ZsFd1J3U3nyXGxjQ/U2erhqqlNEXa8go5
qU/xfB3jrP082zfMfZJvS+6lDvARNo7Db/j0eqgH/azjaEEh5JKbPCjh7JO8
n0j8xYHXRLWZDjMgg2fpgWuEtGJRkfeKaryY9Tr8mZ/id1RaoB5Tr8nHDaxL
A/+/6nUf68o81zZp3KJQ86R9JdS4FJYqBhjFWcUjveaq/SZ83wy13LE50ELP
rcl2H+XrZJ5NgVJsfR/q54Fc9vIsgPHkcgJ8jO3jMAfbtfBXWD/l6O8s1yRp
UyU2H4J/8r2X1FObed5Y4LZ1Rn2Ba4a0Q5oobdyFzZ3KFWe0Qilnl0ADdhqh
GBujUl0DpYVt+HuJfu7mjGjUNURako7tDKhRvmCAHr4BDweeS+V0fOAxK/YN
2N6Y7zNCs2IJd3Fphu/R3nJsVOS5pkhbZFO25ZN8m4lPs1L9juiunMdGH3TD
CXiQXFbCvKT3sjSyLuk9qF6UpkpbG+m9BjhFLF/D7YRr+wD5eyfNNUXaIk2T
tq1P8/7TndbdbuDdAmiChXGvsWqtmaLZIh/kywMwDtakee4usv8Q8byd6rW6
nxyNLvA7oLtQj08L4EDM76buaEvCZ6Jmo2aqZmtXxN+rnzV7quIen3r6SdbV
/Hd2tvegenE3PuzK9RmvWR+Juj+q6Sf4k8Ge9FBTpa3KsXKtnlRvdoT6LQ16
P3BNHQhzoFxsx6dtOT7DNcvlc12oJyUJ13DlTjksi3rPqnevsb4e9W8QfYtI
I6QVqqlqK42R1rwV8dkpvctIeI7qwxqqlppJmk015PIpWIEPyyFKzMNhRtxz
Iw1Yn/CaNYUxK/ZjOV4L1eRwjtdMtZMN2doxzGunnGVGXVOlrfom0reRvhn0
7aAZoFkwNnCtUrzlrC+k+qyRHvUkfCZrNt/m+R3Yyt4tUZ/xmvU9RT6bNaM/
Z70z/K1vsg7W/wEnllYK
           "]], 
          PolygonBox[CompressedData["
1:eJwtk0lIlVEUx/85pOl7Tjn7csJpEWlECmEDbcMU0zJoIBPUjB4WZjnkgEOL
tAxCF6VSUdqmpECJFqU5bBogQmrRI6lFZqFhCAba7+N+ix/nfPcM95xzz5dU
6i485yVpD/jCqVgpGKUMuS1QyoQ/MdKij7SEnA+QfsJUiDQJsS7pJv7RyEli
XsME3CVX6ybJzbmft9QeKlWhn4U0p/Rhg9QdJvVHSwMwHyddpZC9xKT4S6nQ
FC5dgTTOdm+UnseTyyF5U8tkhBQaLIVBFfo1YleDpHL0CggizgkLTtNPKTXl
kDMbkl3Gfz95x+JN7hfIDvw7bSz9BDWVEOsm7zpxa1CM3zixjcReZx7d0AW7
6Ocfc9m+RfpITBZylNrGYAZ9GqZgAT/fzdRHPa3MxYMeiO6AVPQU6CDfLD22
IR3EBEIAjBG7zhwHYQAKmEUGfi2RSOpKh8/0+4l+qhOlInIdgmfkmcOvF5s7
0dgvIN9gewvjDpM7lvd4GSW9ghswSJ+d1N+F3g33sd8DN7V8p8dHzKOW/bgI
dczqJGeNyLogozegt7AjrfCYGlrYiXzue4I+ApXcWwHvIs2OtNFTp917J7Xe
wbcfjjIbJ/l+OM2bWm9r1W3VX2LbDiN/J0m/YAEOUPsQfvVOM/N0fCusO2EI
PNwxjCzl/DQU0FM+jBBb68fMkInUnQDL9v6PkqsGptGLOLtE3GXwpX4nZ8n0
kk4PGTDHfnwFH9vmhZzhexomIswOT1k7zO6HQDhsZQbl7FAueW5R8xHy5BF3
EBrZ2QaodxnbPmwPiV8j5kGEyWvlf4/9Nr3noVfzPufhjP1elche3q8Pjtu7
fSzOvJ/1jtZ/bf3fhTGmx2JkDO8eDa4ok7eCfcjiPBPKmMU3alkhXzM0wQ57
/3u4d4nZLcKwXecqdwz6m/k+TTL+VpyHXr7ACn3mcm8N/e+krnxyu4nPRs+B
v7Z9GdmLfx8kkS8RPNhnqa8H/+ZI81+0I+PpJwH+A2Wvr+c=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9573614097803025, 0.7634035244507562, 0.4678203703189377], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1lnlsVFUUxi/FOp12lpaytJ0y7QxKJCIMIFtiWBRNTCQaEAxrKTsSihak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           "]], 
          PolygonBox[CompressedData["
1:eJwtlm1MlWUYx68OQhBwQEA5vHvYMlh+UMO2tvIlqC+1NAJaagbSdJN4Ecst
tXjJrK1EoCX0oU2cG29ptcnEslqrCQxnH5q46oOMl/WhVvOYm4Vgv/+u8+G3
3c957ud6/d/XfcK7G8sbAmbWActgYIVZP4wnmE3A5rDZ3P1mj8KTrD9JM+uF
tclm62BZulkMjOexHz4PmtUE/JtdhWYLfHOU51meX+Z5Pc9rWM/ADp6/yTSr
w3E5vrfhb4T35+FUvFkf3M4w+wdmsDsLvezpgQi/3YL4JLNj95ndxcelArOP
ss264QR0wo+8/wE+TjE7CWex+Vm8x6zYT2NzmlgegzL8Li03W4QkckmGK9gY
w/bT+Jhg/ecDZn9AZZZZFSwkmv2X6DVT7eKwGQtHqM1bUJZqVprqMSm2Dvwd
h7l8s/l8z1G5tlLTNjhMDNX42048R1hH+PZmqvuQr1lyn4HASnKAdeypjzXb
yTeD2J2gJuMZXiPV6m9s/gUD5DIIzavM9kMjNMEwvw3BHHvm4XnW2/K8B+pF
GN+r4AK5jML6kFkOtejHX0nIc1Sui9R2CTZR641QwnoD9FHLU9BGrO1QHPJv
ZWM160PEeILep8SZhahHPjXKgyVqfA+uY2MKqtlXA3HYiIUibBbDFXKdjOas
3K9le6/UsynWZbmuDWlkC+u9xLon2Wui2kjD0rJ8yNf72HgPGqllE7RSgxbq
+w42fuV5jFpchhC2snI9JsUmTUlbr6KBWlhg7134mpy+glG4CD18ezLVY1bs
Rdh/O+BnQmdjIOi91PMjYdegtHiPXI14z3FezsIQDGd6DVSLV4ilGnrJpQdS
8bEcRtBiO5/OccYuotepHGqU4zEolkP424y/CzH0kt/b1StoxFYT7C90Le5g
TxPrOs5YDfaq6Fd9gcek2HTGdNbUc/X+cdZPwLO8fybNY1bsP9O7RHx9Sj/2
6Vzic0+sa/gMsYyw53ymf6Nvl6hBH/6P4X+RdUqB+1YMLyV4TVVb9Uy9q42+
1zzZxTqU5mvNmO+xe4saRLL8DOssVxR6veW/kvUQOQ/meg1Ui6fCPhtq2VPK
+nVq+zuxl5NDKefnJ+p7FarQ2ovwHXTFuAYvsb6T7voOYH8Dz79pPqq3sBF7
m8K+1pk/F/QZoFnQhZa6YWuW+5LPA8k+QzVLNWM1a3cW+ixVDttZV+KvIt01
IC10RmdhNrMjJ9E1I+3cJLcIHI72/1t8tNGLBGoaDxXUshIO5rg2tOdN9l7N
9716nozOMM2yD3j3YdA1K+1K02tZ10TPo2qyO9tniGaJeqBenM7x2ksDvUHX
nLT3GtRDMjaS4Ati+RKG2d8c65roIs7+oGtT/vp518lv1wK+R3tXU4sH4Si+
3oUOYjie7TNZs1kzcSA6AzULlYNykU/53open4MKalUJmdhfCTd4Nx12TUqb
EeI5QP2n2XMD3kDbB2Fvkmtdmp/ETnOh75UGpIUievEQ1HNmGuAMMTfE+sy5
HvQZrVktjUlro1l+lnWma3muI+Z9eX4n627WnRiJ3pm6O4vpTVG+z3zNft3R
uqt1R+mu0ozQrJjVHQBZ+T6Lpdnb6a55aX9eGiX2X4I+C3Wnt/BuS9j/G+gO
1V1aH+3dw+SyJsX/Q+i/xGVm4tgKr5lq14WfbnihwM+nzmwl6zvReaga/Mu6
JNvPjuIZTvc7LxC9A3QXaMZo1qhH6lUrObdk+MzV7JWGpWX1TL37HyoLTJ8=

           "]], 
          PolygonBox[CompressedData["
1:eJwtlFlIlFEUgI+2OKajY4s6MyojoRVp2eJSgUVvQUFZKkGmbZpJGaIpRGRi
pZUrJZSGttECpbbZQkZF+dRK9mBBmkXRJgbVg0t9l/M/fJz/P/fcs917buTG
/JQd3iKyCsbBvwkiozDLpYo45LNAkacQbRdpHivSFCpy2ynyke9T6DomidyC
xlBdb0Yex8cJuIL+MiThZwz+urFv9RdZj92hEJEK/FZCTLDIZHRxyA++Iv2Q
zp40WAt1Y0T8JqtP43umR+TReJEZyNf49Mb3fJfGMjF3EaMIfuPPj73Hg0Q+
TSRnyAwX6cX+nI1aiT0Cu/HxnPjZ1JWK7RooZm80ukJkjIOYEBohEkjcEGQf
cXohgLi/sXuIj7f47gE36w7sXMga6sxkvRq5kNwXQQm5JaPzQveeWL3wCwah
MkT7cxhp8xPxgV3U2YO/QqTdiuePrCZ+DXwkZj8U07cyjq6H2tLZlwbxbpEV
1JuEbKeHbXCU72x09chE62wSkLHUOAtWB+ieRNYL+S+CnejyIQNdBz2txU89
9dXBA/IaIr9lAbrf+NmCrhtdDjLD6vm6cL1L5k59weYzJJNrE2vzwkRe2XVP
tkf7aPp5Bv8J6MKobS8xS2E/51QOB6GAXBrpwRHyb6D2PdhVmd7A3DD1HY8c
JNYvaGe9DTKmiHxjbxaygXyOwUPOJY/e3qP3XeifgA+6A17Ux95+6vsAX+lB
BX6/IN302AWBxPvD3iCkx6V5DXHW4XxHwDdrT5RN6zb1b8Q/4yJLyWcT35vh
Jbl2YleA3Qj3YRTSzL2EIvrzmVxKqbeB7z7itaNfw38qFFv35B1r0+nbDHhs
17wcLr2v5t5eIMZJ/JTj+yLflyCamh3ottKHaXxPh1zy+UEdW6doz0zvjjFD
G8j5Evlt43zyIIY9MyHOX+c4lpkpseZnBboW4pyC53Z9V2a7dJ7MXGUROxOW
27QXU7GLsebbjf1K/K+CYfo+BHlWTv2m55H0iu8L3Ikq1qohAj+ElTp8d9Pz
N3Dfup+dHp0JMxv12NXBHHyf5xFMp7Ywa25/om+lT22T9O6bGTht3cOWCJ05
M3vf6f0AwQaQ1+iXm/7lcObX+b4Bd9B/MvfJqXNs5tm8lebNPGvXtbusldGr
fVAarGfgxscWp75Jucgo7KPN2fnpnc00d5OcumAHfd8OL6x78wy5gD0p2P3l
rLKJk2PXd8e8P6PB+vZ4k99Nu+b/E3sPviIdWrOpvdWp9+uqU99o81bXWm9Z
O2eaTx+66FsZfbOBL6TgexjdEs4wGZvF8B/CyOpB
           "]]}]}, {
        EdgeForm[], 
        RGBColor[
        0.9653188909826328, 0.7832972274565819, 0.49248856204616154`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFlnls1FUQx18LbM/twRa2291udxGQYjUIIYjYIKJBBaKASiQRaiOQECgN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           "]], 
          PolygonBox[CompressedData["
1:eJwtlm9M1WUUxw//7gW5lz+C/BMu9/Z3kBjkXDpjy1ZzttoqS9MtBF9oIkPX
LPQF1fRFs9IKF81KozSHtVZcjUQEm6lbb9SCsmy9sNCQF5UxJwVln6/n9+K7
nfs8v+c855zvOd/nJlatf6w11cy2g3TweI5ZLQsH08zqZ5ptzTTbApZUsgcK
Y2YF4L0Csy6QBD3gT765As7lmn3C+f04q4uaLUqYtYbMVrOWxPe3rKVhD4I1
cbMQPjNALsgDQ8F+G/c3s/9oltkjWR6DYmmeYbYW9LCWBPPLzLbxbTpnvufs
v9wxBX7NNhsBKcT6Twrn+CYV+0nWloF55DYfbOKOevYLiXEzdlu52XMgM2KW
BcZL/ax8HMZ/F2dWcFdV2OxOchvlzG9ge6HZDrCUHJ4IclJuJ6ZxH+fPUo9m
fHUT+++c34q/SeLYh78t/B6l9nuxx+JB7VlrJY9Ocn5TmI4NPiLfl9gvYD+b
/Q/wNxb4m8BfN2vVYY9vNvH1xdyXfPZj91eYHQFfgMPgS/wdA0fBAEgv8Hgv
ZcAj9w6Qw1FwmVqPgRbOrAO7iOVtcHuJ2W3gafJcC4ajzoU4mYu/l+mHbaCH
WibBIfyPE2sK9b6Inz5qXcK3Xaz1Yg8Wc2excy7ul+ZTT7CxyOxZsA4fzeB1
1t4AG6hXhzl/z2CPiHswSi0vg7PEk5rqNZtDPL9w/wVwnPWvwE6+6QBV1Koa
XCKni+BDct8PRio8VsWcn2dWEfP81L8x7J2gAyzmzgdBA98/BU6T8xnQGfWz
6uck/K8gp+VZzukNbuEvxP5V/HVi59FDuYXOibj5IZgn8bEBv+9zZhn5/szv
z4n3WrZzr57q4vwtcHEzOMi5Q+Cuct9Xj8zB7ibXK+YzuRheVxF7U8zv1N1R
ah8BcbhMgGp8VQUci2vNhGZDPaHeqIl57cXBOLEtJKbl3DWX/rsv4TOoWdTM
anZ7SlwblNMQ8YXwlRHxmdPspVCbeMj5ugpP16hZazB/fdSyhjOzQA29MBvU
cccdYZ/JfdS/NOZnxXkxdhE5zABDfDsMymPOhTSmDHvhTc6lfn+D/6+pTwu1
bef3MP56o363YviDWNrinq80YyN2ObnNBPlwNV2csXYs7hojrfmM3D6N+Axo
FgaCWatlrw6cwv/JqPekelOaotmVHuwhlgf4PS/sNb0fe5ye/wu8Akevgnp8
bU7zeBZgTxT47KmGquUUOU8WeQ1UiwOB3jTg83n8tUddmzTzIc6G4t5b6rH0
uPecek/7Yfavk8N/YDW1WAOS9ExPoc+QZukU9kkwqB4GP1LDlWG/r537ZgX+
byXeqrhzIm4005ptvTFLAg2VlipH5aoaqpabIq4V0oxU1qfwuSfsd7yAvZ7Y
WsFpeukMMGp8nbxrqU1dmWusavsO3//N95Ngd9h9yNeChO+rRvdg7425dupN
7MJeSb9cMOekEfvuMu8facJ31PJIqXMhTvqxe0u936QBu6KuqTe0le+bspwD
1UYzqdmUxkvrpbHS2teYmR3gPNrzU573mHpNPaPekUZJq6Q50p5Ijr8N6oGP
+e5F/DeGPZ9z7E0kPHe9EbUJfyPUb5qhAzn+BustlkZJq9qD+OTjfI5rirRF
miBtkMZJ697F3g3CcedWHGfG/Y3WW91IDk3goUr/L6AZe7jSNVPaqZnR7JyA
3xb6MUb8Rh0WTXNba8fh+96Ea4s4a6D+oSLXTmloGvZb0txcf0P0lvwPlsM7
JQ==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlGss1WEcx38UuZ2DyMERR7ppNNq6aDNr1YtKqxi2XhQWquWwprBWKqut
TRys0FW16cLaDimrqMmbJLosbVqtG6FWZHoR0ee/5//is99znud3e76/539C
03MSrI4isgGcwNMkYpwhYnYT8WBtgBQvkWTICRYJdxaxYoddRIrwP+8j4sNv
X1jhKbIcYj1EQmaKxPuJNLK2Qxl5/Mk76C0yZRAxUaw0UGQdeddDS4jITxqZ
YO2EvzO00UMrxASItJNvJXaAOv1QYhQJnCXiHipybrZIDUSTtw6/Jn+RPcTt
hibqZrF3F7sZn3i4zTqDvYfUeEe9PkifI/KD/jKwn93VehfrSer8gzYPlafZ
pHJouco5H6fnMO5UyroMSvDbiN9i/KxokQMh3PMve8HYaXoS8o+i3wg0o18h
tSzcKZQzCyw0qRzh2Ja5Ivcgj7t1of0aC/fntwPrPuLtxDdCnEWdr7UozTTt
NvmpOWzBJtFjMpyk9gnwRDcz+hmxIdxvGfPoDVRz1uY97CoyBAnEWsixFeul
x5Qa1Qy0WVTjWwVdviLPucdVckeTJwp66NkRferorydIpBteQjB+Dug3jzml
IEcKdcJYz4chM28EvsMwsUPkvsj+BTgPCxxEOtH0EfXaIBgNiun9Nf6vzGrd
a1Y9ab016LOux/7m/mMwQu1fcBMdR/FvwNbS42Ww6LN6Ru+r9XeXZVD+Wpz2
VrU3W4mfP7HTnJWT0wY3uNsd9uqx2cS+IPYw51P0Ow2t1NnL3Y9S5z7rB9Cp
6/YUW40ONdBBr/uI7eAtnSWuCh67qF7riemnjwHI57wWPWqoPcF8JiGLupmQ
EaC+z/3kS9RnGOehvk/tO3Viv0J7itRNY47pkI9uO6hRyHxr2b8C0cwzCt4E
qjfyFmvndy89j3P+Bd+vcITYVM6PmdX70t5Zua6RDWvmdxA8QY92MLBnJYcN
LXL1/xVXekoiZzIs4a2FwxnybecdXDMqbTSNxnxV/T/YbPZjObex/sbbH4RS
1qfhoH6fPOx7cp3i7X7EVlCvEjJd1LxuMa/jaFgMMfiugkTyRpF3p6/a185z
8buO/zbi0vjWU+ETdypgBt28iaXoHAkR4MzeIk+loablIaPSp4jcbqHqv8uA
tXPWCFY9dzY2grhIOECePCjwU//Jl7yVNppGJld1nw/k+A8jttLp
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9732763721849631, 0.8031909304624076, 0.5171567537733854], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1lmlslGUQx6dAj2V33+32ot1ud7uEK2AxpARDSyPgASIlXAECgSofBKsU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           "]], 
          PolygonBox[CompressedData["
1:eJwtlW1olWUYx6/ZzjZ3trPtnLMXz87Os0eKTPODGvSyJGfQbCp4RmAEWS16
O4FOSrISDPatYrLVRhGtPKvV2sm2aTNt5sj1DkEopVgGvYJ9qCiiSbZ+/67z
4Q/3c1/Xfb38r5cn7N7RtX2Rme0BpWBDpVkHeL/R7ATI1Zt9h8KjJWY/RM32
Ljab4zuImI2lzD6vNlvg4cOXmI0mzC5DZz26JcjXIJ/n7klkdWVmv1aY7WpG
FzwCdoPlodnl5WZf4PsZvofiZu3o7+JuCP21yO/n7R34LMTMBprM+sEgMQ6B
YeQvgh/rzH4CY8i28P4+7L3GuSdj9irfad5vz7iOdI+kzY6CLHc1yHrR6eLc
ga02fHdztyEwW9dqdgN4D1/Hwde1ZmfBPfByb71zIC6e4v1Fct1U6/y0chcl
3jFy6uF8OzZP8720wSwE5+DxWzCCv53IHiLHrfg70mL2DmjH53oQJ6YqZAtw
OoT9iZjHdh1vbuLtB8Q0B3JLzB4ELydcV2+SvD1Tg1/Qg82doCXjtVBN/kH3
At/z4gi7o2A19VsFviKv06of579BGTbKQYGeaObtFD5mqsx+p0Zx7O3WHfZ+
IafzYAs5ZkHbYq+taryCePNJs/1gL7w8AWao0btNnoNyEUfiahW4Hv1C6L2g
nngh7jkol3J8VYC20HXVI3342giHO8q8hlPY+rja+VB/LiGffxNeK9WsEnlv
hfOfh9Ms7ydjzq1sdGJrGbnfyPsQ/fGU96Ti2Yr8NvSPgRmQpxdG6r1m7cWe
Ue/Ih3ypJ9Qbv5H7GfUiNiewfTDh3InDQLWOuS/FqFgvoD+fdB/yNZnyeFS/
Kc534eNO8Afc/QneTPn8yd8Bzj8HXq+3uDtIvVpjPguaibMpnwHNwjQ4DPpT
PguaiQW4C1LOnTj8jO9tcD++yOdrFC5eSRTl7IAV6J4nh84yr/lV4qbVfa3U
POF7Dh8nQJ4ZHAEfYeND8Cx2BsEs+q8X9TvRrwzdlmxGOc9WuG/NeIFY9sFN
X9J3inbLRnpuDfJB8d3gM6vZvZrZuAa0cLcM+QDyDOdribk04pyq1usC3zWa
sfbAe0C9kKfmC6HvBMk00zdz3o/Peez1oLOZ7y5izoLHiOlx8BLyXMT7cy3y
HLE8AKaZo8ONzrm472a27gZ1gfeWeky9vzrlu1Q1vTTqPS5bsjmM7U/AnojH
oFg6Ys6dODwKl9+E/q0anONcl/H6XsReDec3Ur6rZF+7uwGdbSXOdyPnWwLf
TZoRzUpt6DLpxELf4drlmmnN9mTUe1s9/lfSd4x6VRx/Sf8sJfcQXEHuy8FE
lfemevRpvk/BwcniztLu+rQ4Lzl08thuTvu/SP+kNOcpdsdkk7/R21n0j4OT
xHQKrMTmlY3+T9O/7ViV767/dxj3w1G3LR+D5Dqd8tlTPxziPECP9oNxfBXS
PuOade1E7UbtIO0i7TDtsk2B94J6RrvouRrfLeJPu/5tevD7Up/5iLhKey+q
J7OahWqvjWoUx/+h4n7Qm+eR9aa9t9Xjt6Lf1+TzoJncx/k//ZwXZQ==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFlIlFEUgI/bzKgzbrlkms6IYWkGKVRYQkavRWkUFKQZRVka1INaUVI9
FFQuaFGUhFIEBZHlnrYoCtG+Q4tSGKa0WtiYUd/l/A8f5/73nnv2+3sKd+SW
+IpIHgRAmkckxS7SGCLiTRCZgBNBInVgd4u02UQCkT/5HoPxWJHv/iK/kEHB
nEEZ56/R2408MkXkMPhgx86eH/IHOl4/7EaJJIeLzIDPTpED2EmeKnI9VKQZ
NnO+Cd6jX+4j8jYM+5EiDggI5B72CrDndWpcDvwtmy6y3MKsbey1cjaOzm8r
1naXxmRiO4v9SWI5h/RifwK+OkTCuZOA7T342QtnqMsVYhgm1rOs6yE/QWMo
RIYRUzgkR4vUUNAU4vewToIhh+bui94+fO6Hijgk7IP12D1EjgP4eQd1UVqf
k8hSaryLu6sTyQXssI08iqAYmvH1J1RjNLHmJIncp3+LkWXx3IdAcj+NjU7u
diTqugs5gv6o8Uc8tTBCnE7OIohzlLo5sVPCHHTx3Q2JEMG5G9mOfgf8Jr9s
ajqJjCbWGLiMz0uwGXszmalj1KyKXMbJqRL5mhq/gWJy3g4jlq9PyHru56B3
jTm4Ck2QRY2WM5zZcapv7t2gt7/Y60S2QTv4s+8HLdTlAzE1I3tiRO5ALzRQ
q1pqlT5N5B/nD5iDH+QwBiuJfwXkQR16maHaT9PXW+in4SuKWrxi/RISWcej
Fxup942dR9jzQS+D817Wf+lrFfsF5LUB1plZ5s4Dch8gzkEIsObTH7k2Ah1I
JdZZcJS+XcTGlXCtv+lDMX6DqdVH9Ifcuh5GHieOStjC+gX2itxaC1OTOdyL
Ym/MoW/HvKGH03V2dtL/Pvb7oZZaX2LvLrlXs64BO2sbjAfrO6knh26rHl3I
uexnwDN68xSeQBEx38ZHOzN2Cr82p86hmccF9GQ+ZMEK7HXQ7yXWzD6mZoXE
vdGtc2Tm6Rn9mEevniAvkPt5OGd84D/do2/JvKkuax56yCONfFMh3cp7tqkb
+5nMYj217CGO3nj975j/T7U1m9/IYyO5FkKpU+faG63/IvNPSqUeB9n74tT/
hPlftFk5tiJnWucpyK3EXhSk79W82zBYg54LGUJvl6LnQnrQSYJF1NJG/Aun
6T/U/EtbOW+Bbvw1UdM8ZqOReBsg1LJRwdlzq0bbWFdzVgPHrNnx4c5sdNNj
tK6mvk9dOiNbWffTp3vk3oe8aWYdmvBdwt1PJke+JyL1rZs3n23F+Qobgy79
z5e7td6m7nvQ3Q2rQvTNLqRXmXARH/nsr2Q/N0Tn3Mx70lT9789A/gdXIevu

           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9812338533872934, 0.8230846334682335, 0.5418249455006094], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtllls1FUUxi+U4rSlna5Tus1MCwXSUsQCYS0WIshijEUTEURElAjYCg9G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           "]], 
          PolygonBox[CompressedData["
1:eJwtlFlsjVEQx6etq/e23G5aequ337VVotagVEtJNAQJItFYYk+UWkOIJZaI
CA9oVQl6K629tgiNNUEQxIO1eMFDm4g9KdVaf5P5Hv7JzJlzZv3PCc1eMnFx
pIgsB63AraDI0NYiN5EzfSJ3Y0TugIWpIsVgKvYQ9l3YpZ3I8RBvIkR6Romc
QK73iqzCVIwexd0PjvmbzJ33yHmg0cN99CHI3/HdCL7j+wf41Mb89eF91w7c
SRHJAf0TRAaAurYiHhJeiz0nIDKDGKnoO9FnIv+OE/kFVuBrJajmTRXYiN9N
4B3vve790bz3+ykDvQL9HHo4TWQ6eq9okYHUc40cTtCY1+TkTRL511HkL9hN
jBIwopPIM7cf+cj7OdsHqnhbDfJAv2jzmZdBDOJloy/gzXD0adQ2FWTzZhA4
ir079gnYW6hnBzlvBz+poRlkhyw39RdELiOnpeT+i57eo/dH0KtBD2rJAonE
SAA13D0N3jLTN6A8mTzB4ViRSlBH3S+BlxyiQQW2MKhixtfxPwv/28htsWP1
5tKPRchBztLBeO5NAOeR50VajQXE6+szLqmPOuq5lm7zV47cJt8N2CvEZjAu
npjkUgHKyHkv+EctKZF25w9yjWOz6srZUGLlZ1gvi8Aw5MEh643qOchhuJUZ
YfMLJ4o8bC/yoL3NSGdV5hgXlEPt8NcUtN7rDLJ4f4kedvNYDprLOmpcC4bQ
q1zgJ2Zbt8fa6+Yk44LuyBR85QaMq8rZl3CvV9DiKQezkJP8FruUs1JyGene
V/sb5bpju3CH/JvgwVnsnT3WryZide9gu6c78xn7jYD5Up/J+K53rP+6gw3I
S0O2i6ovQ56Saruq8yhEHuSYrDMajJzv2K6qPgK5hninwEd6+Qncoxf3eV/E
nYPM7W+i9Vp35jL3etDrMcgpnBXE2E7qbgqzjgCr04wbmuNK5Fdx9l5n9izO
OKvcPYDfg4m2U7pbk+l1IWggZj14ga868Jxd8uHPz/snyJFu/7Q/X+jPJDjX
mVgnqWcffhY6Ni/ldDHyhSSblfLbg9/5jslqL9K77EQD9vWcfcX+KN12T3ew
nLdXyMkXYf6vZtifqX+n/kn6NylHlZv6J9QwHy96tMsh5VIt86uMMr4l+K1G
rXUVvVsNfrYxLmhNBfT3W6zlojntSbad0d0J04tKMD7efCmHLwZsx5Q7yqEz
AfOpvjUHzaWRGrbiO4jdR/xjAZP1rAuxese7vcFHH+QHcPQ+6IacGW9/iP4l
usO6y5vT7O/QGW9BP00Pv7a2GsfE2kx1tmOpZRw46dhu650zyIdijVvKsRLy
e+v+37oja7DPpadzQDOzbgHl1LIX+LDFgFExxj3lYE+4eDnDZqMcqEVuCdk8
3qPv5C/KTzHuKIeGIz917+tMHyP/B3PX+L0=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFlQzVEYwL+st+hWpFu37nVvUZbyoMKIF8zYsuUBIWMZLxTvmLGNdaxF
jaVCRtlKmDaZycSIGg+2wRiG0WYZmeJWE37fnP/Db77vf863n3P+3nVb0rL6
iUgaDIQloSKLwWMXSWThrVMkLlgkFh4HivgGiDhYyxsp0tBfpA7bwiEiFyAO
YuEG+zH4liL9XCIJ2C0dJvI3SuQftLpFWqAd5g8SaUNOCRKZDHvYv4HvLmQ8
/uMhAfYRo2O4SE+YSDf4wO4nsgYfP2oTeEauXnybkA0OkTD2c9h/gv5Uv52m
/ghkEbEuQ3cIa3BkKLWwNx67IHofTZxy7Hqw6YUO+nxJDWX094lcn8FO3YFQ
z1ye08caj0jBCJF8OA8xlDXL3/hrnHRsvditQGZ4jM9aZGeASBeMJncwOUqp
5xD1HIY3TnMO75ALyb0IgvEfgm+QlV/rqGReFdhVINfT8waIxGcr8U6Tu4Ea
n8AL1rJZi6AfF3264Ttn8w1KwkUuMoNx2O0i906wWzXdpKakSJFUcqThsw3/
7dDKPbhKLbex7SR3F7xmNq8gEj0bexeyDmrQ65GXiFUEM+l5BrRYMZqR08iR
AlNhGee3iX4b6eUp5FDfeeqLpr5T9JwDs6mlG98q5phBPash0apzIrKFPM1Q
bc1nk01kr3XHlqOfYe9siJmrzvcecXqIV4Os9JjY1R4TV+NnWzWcRJ6m9lzI
46xz4Rf+O6g5nnhN9N8IK1lvZ37pyCLoQ+/GbjD92OAu5xFLLXf0fLFfBIVQ
AD+tO/cDGUAN/loPc35IjoOcV61V6xy7mYXOJFnPCVy8jxDqHIkcS54xMAp9
mN5xYkxH9yf2EWynoqdAjLUfjfzAvf0I44aaOO4wE0Nj3We9Fi5Z/VxA7mHW
a+ljN3I//R2Ar9b7TsK2ih6qQ8270fdTzv5rfH2sZeLfzE/oPetfWG+GVu5s
C4RYd72Ns5rLzOfAUThHTceRxczNTd4rTvPv0X+QN9DsHws390bvTyV6CWv3
kA85s0ewAD0V8tHjmOk89HSdC3oiPivRV0Gx9S6uWPm1jkJmXgCTvCITBjN3
ZLLN3PeoKHP2ege0Z+09hRksoQ8f/ZzAz4WPw2v+g/o/7MPXxX6a2/St/etb
0jd1Drss7AuQf0LN3HpCzRnoWfyOwBZ8sFn/kwHmTuvdzrSZd/eAOCfp6QTU
cqYb6aeMt32VXhLotxqfa+jXYYfN5Mv3mrejb0jPU881zGtqD0fGwxj0BK+Z
hc6k1GFilzvM29Y3rnda7/Ytp/mv3kb+B6/Q9KA=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9891913345896237, 0.8429783364740593, 0.5664931372278335], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtl2lslFUUhm+pbWem7bSl04WZ6cw3LkGhSkXUiuBWqBYXkKgR0CqiRlMs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           "]], 
          PolygonBox[CompressedData["
1:eJwtlV1M1nUUxw+P8AQkD28P8sADzwuyaLmSTAjdwlZJAVbWhbNQWi2vKLrC
1YXrbRVZOoGLojBg5uYAEWpTkcr1YrVZreUKbc1WFy3WhCAn9LLq8935X5zt
+/v9zu+c8z0vv1/6kSfu7wyZ2atIJvJnoVnlCrNmFq+sNLshxRn4mwyz1Xlm
n+Wa1YLPsbe7zGyU87mw2WXk9ojZ8bTr3oKNE+C2BPfBJTh5AHxtgVkNUlpu
FkOOxswOYetb7iwWmV1Mmp3JMmsglh/A59GdQSorzBLIIv4b0D3LnXb8746a
HcP+H/i/Df8fFJv1cDcLGxux/2tgL8qdX8AjQbznriJG9HeWuS3ZXMj1PZ2t
RaebeHtYbyH20/iIwWekxCyE7n72RsELq8x+R4q5G0X6Ys5dOagiXzN5Hstp
9Gvh8R8c/0Wm0DuFZEY93hx0moj3MvEXorufvQXw+rjZO9ibZL0OvLncdXVH
XHfCJzfs8e8AdyLnWYex8Sg4u5S8wO8w5+PUtrrUa6saL7HuyzfrRSbYn0RG
4Hs9/NNIAr5/IQPgduw1kr/3sXkT9u/B3jS4P+FrxRfLIXfEdyPxvY39e+FW
VwkHZBof7yH1+KxDkuQshezK99gUYxj/XyCd4Cn2ssjTU+Q0Cf4caUt6DIql
lpg2EtsJ/NXgbwvnrVebjbGuYn0Q/3fgPy/i627xJV8R1tXB+WbO+4rc9j58
tlKPg/gbQI6BJ5Dv4NcEv2Z8Pkz+H4TzS+Y5bwMfivqZdGbQLUj4mXRms802
pD1W5VS57c93buJ4Fq4vJ7zXapG94CvFHqtiFpc36bHZkPdcP7gZjq0ZzmGC
80tFPjuaoTHiHWI9iNTRd/XI39jcFvJ6VhLLhxWe75X4+Ai8tsB7Uz3zeMrv
6K56VL16odxrrXp+D07FHWsvAa7BxjVIJryykOfjPivKSTd87yI/w+KD/RD9
sRR1LuK0DD4S8/dFHK7Db0ugr5oWcn81PXIF3X2cr+E9isW9dspBKfi+qMej
nkug/2TQL8rxdnrlIpzGOa/XPHA+DN8hZI5781HvgYNBvtUrjeX+Xml+LhBP
edx7SzHFwbdS001IAz28QQLnBuRZcvAc8jr1ew1ZIo5l5O6Y95Z6bIB8fsUs
fFnpOtKdK/ZZ18zPF/ubo36YRxqJpyjpd8UpAn6GHJ5B92vq2VRllh/xt1V7
7xJ7RdprrX5bD95a4GfK/w71Z6Avjnv1dpR6L6gnnia/W5OeO/nrIv50nr9l
qtEBuPQG7+Gn3OmOe8+qd5XjLnLZkHbfmtFRdI+Uez+LXw7rrjL/O/SH/EPe
dkW8NnrDfySecMR1decwd/dE/f3bRn06It5D4iJOysVS0N+KZxm8Pe66utPB
rKyIei31XmaAJ1P+V6mmneTmJDV7I+T/TQd17eB8Juz5MfVWib/16tlh8J5s
19WfMgjXIXI0mOszp9m7Oci/YqoDvxjxWdBMZLG+tMrvy+cceCzltVY/a7bb
U/6W6w15KOVvkN4i+ZCvZNq5yv5b2O5J+2xoRnrBPyX9r1N8P4PvrPJeUc27
sfdCMJ+q4YGI/5n6O/Un6i//OOWzrTf9E/DJlL/tWk+l/E9RPpWjx8BHU55L
3R8HV+e4vvJ/POE9p3ppfjTb0/TbKf1BcGlBNuF/Mew9r7ewJXjftDeBvRA1
yijwmdHs/JZw/op/Frwmz98O9ec69P8HDPgnsQ==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlElMk0EUgF+BYqEtiJS2bNIaFYJLxLAKBESsgieJGiASjHpTy2I04kmJ
0biwFlkMRIkXJRL1IJElceEiiIkIUTwZLi6JgnhQ8KLfZP7Dlzf/P2/ePuM9
WlPmDxIRH5jhXZJIf6jINPJ7mMgP8MeILASLfLaKfFgtMgfH14ocg+gIkS/o
t3tElsNF/kB8nMhKiEgcshU719U+sofzt2AMnVEYcIvcRW8QWREvcogAypF+
dGqg1SJyepXIfa/I/jUiZfDLiQ0Cro4U+cl6Cc4niDTAjBH7DpvI1kSRLXDP
q20MIM2cCYElbC+TT4C89hBjOH5LkKn836Tic4kksu8jxhHWo5CHHxex5iIz
okQyo3SMKtZabB/ERz2yzaPrEUC6HCJu8HAmCVKJq8kkksXZUP6bYd6u/e/F
/y721+HjMLrZxJkDLeg2Q77hfzs6meSVT3xXqUc66ww4h53X7FfFilyOFrkC
0xE6rjriekavnoMPP2H4+2TX/lUcneyfQK/bq+uo6jmObgF5JNP/anpyxECt
0/jnY+89OoucX4Al+EZf5pmNHOLNhgMWbbcLu/XUsg6CqMsQZ01IIe5XxPIP
f+3kGojUPVa9Nhl7F7DRHqP71YEcxvcIBOj1Dex0Iu/gsx/2MUdN1KAU2Yuv
PmjE9kW4BDZs9EbpOqh6vDRyfIEc5P8D2ECvS7CxHvmRXOfgtlX76sBXCnZ+
k+dmdDeyToY36ExBn1XPeht6WfxvRq+YWAvIodCie6J6U0mPJvBx1q7vg7oX
3Zxp4mxXkr5z6u5VOvU8VCEd5BINhaxj+VeEHKJGT9QsUMtJztZib4Tch+Ep
bGPWxjnjpucucEIzZW/Atpn8irBjcem8Vf5q9tUduIm9rypfj55fNceznE2j
HzPIaXJtZP3WyFvl32mccUTod0G9D8XEcA0fPrfuvZqBMXo8Css2vbebvWBj
JhZt+s6qu9tILjPsn6FWJnobBAnGuzLJXjLfKVCKzRKYIA8/e1PItdQ+ETKo
OanKLHp/makVyMbXhHojkHlG3XI9+j1S75KaLTVjp4w37yTyMTYfwUNwUNMW
4k+36T7sdOr7qe5pjV3bzvHovqj+VBi9Lo/V/lUcPUav+616vtSc/Qd92MPx

           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.997148815791954, 0.862872039479885, 0.5911613289550574], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1l3uQVmUdxx+W3Rf29rIs77L3Pe+7KFAYhIGwiwksty1wUjKL0qYAYSBj
U8q4hMG6gCwiC0vYqohMReRlRieCxG3CkJlmFAzDnehiAtVMNkAwDCVJ9PnO
9+mPM7/nPOd3v5/c/La5y/JCCOP7hdAfeO/QEK5xca4whM9kQtjD3W9rQthf
H8LfwOnNhfBYNoQzqRA2AfsaQphXEMJXakOo4NkNk1nQTefZBe0L0L6U9f2n
i0Pox7kOPg8WhTAbnN3gbObuMPz/zv2/B4UwE5rHwc/n+wB4b+E8nW8rS0LY
i9w/JSFURd22QftrnpfAWQL/PybGeRf4ZmUIieQi66MF5jkDPsf5thuct4D3
l4UwDHub08jDtsoB+AF4AT8054ewHJl93OXz9CLvfLw/B9xUwQX8DuKrTnQ4
C88y+CwbGEILny4PDqEJ+m5wxmJXKmMdZN/z0F7n/BzwhXj+EP23ZG3rneh1
I/rdxXkYcB20+8FpQ7cdWdsxCvzHhoTwde6LiMMjyJ+fsp73R90OoVsLOo3E
xofg8SVoT4DzRWA3+hVBu7wuhGkR5/kYW9kiPW5G/y7gVnDXYlcrbOeWh7Ca
7xd5hkNzDzRvc74XuAOd7gP/aXJhYp79Jhs2DnF8V5SG0MC3WcQjC6zHnrnQ
/qfBsRfOt8GZXRXCFHTrLrdNHTxvIHtVnf25E7oZafNJ4FODT5uUP0XOLeXY
dHhU8q0FnCrgkIjzAd/Hk2993N9Sb12l8050P855Lfefgv+xeD4BPALN3ehz
CJ7Xyn0+Cm03ft6CnQXoPmaQffUJfPYa9qzm/jBwHfac4347PngGnRvxSQL/
ldwfI5fmV8MXmoWcf0LOzil0/iiP8spM2w7uzfj3KH4YxXlsPH8cWAjNNGiL
gX/mPQX/+5DzjVLX7IF6xyEVY3EJ/e9E/xex5YZKy3qR+H63xHyKKv2u+wLO
U9BjF36YUOeYPhJzbAb0+3jvxe7z5OhJcG5Sn0D/q9y3UiMP5mLe4tsfw2sP
913gn0bPgejzHrA95fMEvn2u1vjK95Xw6eWuqsaxUYyy8OvNuFdtxTf7M86L
/2adl8rPLvQtyTp/tnH3e3h2oNsfgEuhvwNZb6Td19RD1EveT0ybj46t4CxG
1lPI3IMMwha6+T6O+/c41wG7B9mWgL0N+OUvnH8H7gN1zgHlQl6h+1sr/Ftj
T1MP2I5uw7F5YYOh9FE9h0L3zKngTK5yDreRdx82uEYuI3cceizgPB44Alk7
sWskcFG97d1Rbn/Kl4rRP1F+PfeN2HKoxr00L+NeqZ75+VrXg+oiV+M+on7S
Cd1ZZOyD16oS9wX1B/WSgtgnN3C+EmlVW/nl7reXEvtCPllGfXy52jwvgXsm
8jwN3Ja4vlRnx+ud58r3dtnFuQkfbkTOmpRlK1+Vt73wyRvkutsM/wvRxvPA
FRnbpZmwI3HcT8H/yWLHtIu7lox7/qS062Ji9JX6qeIwC1t+1uD709jaDK+7
4HkV+wo0H3g+C96jsVfOaox5A4+9la431V0b9XcUnGvgzE47n6TDbHj+CBl1
6Jbi/vWIcwTYPNi1cwA9H4j1q9l7kVqaRG1eGuq+o/6jxPxpzP8mcudj0L8O
nzHA4iH2p3qPakC5oRwZVmqc0eBcyDi3lePKl/5xxn0/0iom6vGa3erzm6K9
jwO/lfFdJ37qQ9cfcP9O4rxUfr6fc82rlufVep/QXvF24npWXY9E7jfBuxu5
y4G/SbtnnoTndxLrtIi7U6XeA26r8a4hfOF9tdbv2kFOxRrvSdyD1Iv+wXnq
YMs9yfkZ/NCCPrvK3YNVU+opv8g5ry6Wu06US3uR1Rxnt2ZOS4lz8pecPxn7
3ivk4D3Vzo3XyMl+GddXf+CqxDNydeL51R57puyRXW+h8xOJ80G5+UTOcW9C
346c60KzqDPO919h0+hoV3/8Pydne9Xbanmmc67RrBvqmZ5Bn25wlmDnHfTD
7fG8DXg7+o1A1tS0dxT1+XXg7OM5A5+FyHkzzzyFtyDuFcqzTQ2O++S0dz75
/wh3X+N9Evdr4H1GMwlZZ7PmoxpW/S5Mu37ezTr2yoE6/HwF+6+i85PUcgr9
qsAZADzIs4LzAeC0Qtf7RnA2JN4H2qE7GfuMerDyty/mcE/OftCO04Xc+ei5
Hn13FbkWtF/k4u6h/toWd4Zz8F5VZluWQNdTYd2eAi4rsz0vZ62H9FEfkh/l
pznYfgBek+B5A/rmEveJxcXenzQXxpFHHbXWZwMwS7w+gPYWvn8v7mPSfUTK
s0Hz6eHEPXCNage+4zj3ICcv9tvLietf8dE8TAa6ro9lzFf8b0XOv2KsNfM3
FNqWanQ4HWec+sGUaItyRPNVbaZ2oHuuauRWbP95jMsPuX84zizNrodKvb9p
11M9qC5uy7pv6jyv2nkgW7SHHI470glkXs86poqt+rd8qBi8HHcGzdunB7sG
NR80G3SeptkE/Rj1cf2bwHMstJuBjbHPfKTMe7D24e3EbX2Fc+Yd7h/F/gXE
YnvaPVc1qP1lcozLXzl/odD1rrr//8zeib4z47+Seox2TPVJzRXt7tqdX0H+
s7HnPIs/nsu5flXHmpGKnWJ4MOrWUeGeIllTq/zPoP4zscS5rb6hfBodY63e
vzru4Lpf1OC8Wdzg+tOephl2E/7qQe6oOv+PKV5XiNGEmBvKQe21minX0edV
fL6UWdMLXBt3GO0ynbH21QO2xv1H8Vkaa191M7PR+KLTfJU/9I9VEHNV/2Sa
qdJrOD4oT/vf7FX0+h9mVupE
           "]], 
          PolygonBox[CompressedData["
1:eJwtlllsFFQUhm8L7QzttECZQttpOzMgIAYxQmUPS9nKkgiIKBFMWAqKCiI7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           "]], 
          PolygonBox[CompressedData["
1:eJwtk0tI1GEUxU+pM87DmV422qgzQ5tosjLEqDb2Inos1HZJ0IwW6KIWRa9N
FOkEEZQD1hTRIhG11tYiSEnRTURBL6ggq6UJFgWp1e/j/heH8/H97z33fPfe
fyp7ouX4Ykn1oAT8TEiJIs7LpImwNAmucM6BhmrpDUH5UqmV8yEwnJLO+qXH
8Psa6R3ojkgx7oq5O0/+gE+aQne2SvoB+kot51HKdJ1+ZVCqAMGYtLNYCsAX
iduBp99LJR+1/NWW73Q+odeP7jn027mfwlcbnAFZMM/9HFiflMaIq4Xn0PkD
nqDdSY1RvnfHiSf3Op6HV+AJvEb7PjlvE+bJedu3RNoLfMRVEd+3SnrB93vE
rUOnA0+dYBDtdrQH4EbytgfNj/OVLpPGia/DywbP1+oy66PrZ7ZSek5uBp4g
bxJsTFrOpqS9x73rL1gAefrWyKzCfLtK3+uIuwa38IaDwE9/K+hzLmJzcfM5
g/ZpcIm604uk0HLpdjl9QacAPw1II6AoZTMsgQfRGgLNIakJPKPeArXG4V0r
mReYBlvxPgP7ebsPlMRsfgfQu0ntXlAA9eTegufR+kfdB9QNRJl91Prl+vY5
YXvzBT4ZNu3vaB8hJhM1P85Xlze/y3Hz7fwPlZvuQ3iEd75EpxWvIWqGwf6I
+R9LmifnzfXL9S2Jzh70dkesjqs3S91t1D8VNo/O62ZmfZe4BjgNCpxr4a/s
yDcQ8vb4AjlHiT8WtXv3/Y7X718h8+N8HcbLKzyN4vejt9sfEtZb1+Mm/oUO
5tHDPNayw2kP7ryGur3U30JMP3vZhfYMc/XzhtKI7bTb7R7ObcTleGPCe2dN
3GbqZuv21+3xjZTVysP/Afqyk5c=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[1., 0.8863401503817098, 0.6306377819657059], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1l3mQVdURxg8DM28ebxhmgwFmue8NISUFTowYK1IUsgyLzKiAWiBiSlBW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           "]], 
          PolygonBox[CompressedData["
1:eJwtl2lsVFUUx29LO+3QOgztYKEt8+aVaDQi7hpRq4VWiS0qxgUUSdyoKJGo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           "]], 
          PolygonBox[CompressedData["
1:eJwtkstLlGEUh38zk6njWOY4MenYzKebdlltEkxtEeZWKcV2koYi3hIld5bk
bZE3rKD2rooo8oJBaokU1LL/oNyUkTOWBdJzeL/FwznzzTnn/Z2L19rT0B2U
dAay4Fuu9BWunpRKj0h12PVS6Td/vsX+OS4dQAWchQsRKU5cNXHBpBSA4bA0
cFRqwe/F74Hv+M/4totdJW8FLselcXL3qTF/QpqD2wlpkbcac6Q3RdJ2SFrD
PiiQpuEWGtphvlD6EpDa8EP4QUhT+wVv7GEboB9/MOw0mTbTbfqH8qUPvHvj
lHTXk25mS6PYTyXSZwgRE4SpmJTh/d08qdbXWhN3/Vhfw9S5A63UaSYuHJWe
kt+B/ifYBfIeQob+xsi9FHd9W//LzHgJRnljj9z72CnyJ2HDn/c7ZvAK3Y/o
43XS7cX200nNDmjijWvEXcfuEJtLXPi0q2G1Nm1f/P8eK34Hok6P6UrRbzl9
l2G3UtIhudspV9fqb7GHNXK7qZtmLxk4j+5zcJF+EvRzhZ3nkbNCbgQ7ww5m
od6/ncqIi7e8WDFzo8995hbFL4J+f9d9CXdLdlOdvNeFrseeuwe7ix/oSZM7
FnN7sf2YHtM1QvxHamTR46S/r4mYm63N+Cdze46+X0l3I3Yrf9FwAB4a/qGz
vNjdlt1YSY67h3ueuwW7iXr8Kr69PCb9B8/YdaY=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[1., 0.9118040902291668, 0.6783826691796877], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFmHuw1VUVx/d9nnPuuRwu9557gcuF3/39tCmYDLLSeIiNcBFRIF4ioGjI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           "]], 
          PolygonBox[CompressedData["
1:eJwtl3twVdUVxvdNwr15cRNCgiHccHJO7bR0qrW+EUTHgCAWqEGkRFGKQFLB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           "]], 
          
          PolygonBox[{{8710, 1961, 2849, 8706, 8707}, {8707, 8706, 2851, 1962,
            8712}}]}]}, {
        EdgeForm[], 
        RGBColor[1., 0.95, 0.75], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxNmHlw1VcVx+8LCe9BkkcIWyCB8N4faoUWGEdty1IszlCRBoSp2rJVwCEt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           "]], 
          PolygonBox[CompressedData["
1:eJwtlVtsVVUQhqentac9p91ApYUeCid7mygYEuyTYisqKKCJgG1QQaC1rQGi
gBi8ABGtlxANLUhKjLc3vDwgVYMXBFtTMYSgFIkm3uKrRh+NRaEPfn9+HyaZ
f2bWWnNfac+2jq25iNgGVUHfJBGd+YgOaEsaUZ1FvAs/ID38emTLwbdgvLsu
4sFixIfg96F69EXoCPwb2Bfgn0b/MfgYNBX8HPgT+FehCe66qjZiJCxrQD8D
Ogk/VBHRxv3j+PMn+A9oE7rJlojtOfuwgfMb0f8I/wN0F/ql4Pk5x7AVfTOy
t+Bv5Y2Z8D3ov8/b5yng0/URZ+HPEU9fc8Q88He8PYqsBX0+cyzKQQ18ew1v
wp+tjDg1PaJ2Nr5jP4JsFvoO9CXsL4IfA1+Lv89U+Mwg/lyJ7BL6XvB0+Bzn
H8XfO8Dd6C9Cr8H/ohqgf4f71mA/CX4C/BL+93FfBfInwaXMb78N3V6I+Iv8
VqD/G7wD3WruWww/jr+H0XWlfmsT8X46I+KmzLU9g2wR/E5iGg3ndAX42zkR
S/DvZ/Dd4OXccTTvGteCV2XWqcaq9ZvTnOsT4CZ0T9WZ/wxqBH+F/7Px7xL4
cfDD4Paca7w5cwyK5TAUyjf6C3m/WQdeQD4fyjmme4hlfr1rtQs6nvpO3a2c
DZGjtchKxPoIZ75Ub2fO7TI1PboWbPqviNgLXkQv9pcjhlFtqI54Fv5G9K+g
/w39r1PxH/wv+Bh4O/b/NOA39hPIRqllb7N7STay7W627QJi7oJ/b5bfUg8c
gT9ODTZj30p91jW4JqqNZNJVQjfDL8Pn+1PPnGbvTvAD4JPEtJ+7m5AtbHKN
Vesh/D9adk6Um92qAfwo9q28fRkf2qjVRvLxe94xj5XcM+od9XBbjXtYvaw3
9JZ6UL2oGTmTeEdoV+iOr8FjiXMtn9ega8/cW5oxzZpmRrOjnCv309B/lPdM
ajY1w5rln9Sj4AT8Qd49oF74IvFuqOLszsw7QbtBPXsucY+p17RD9pCrIXw4
iP1l3jwEP9DoWmpG9jV6hjRL45x/kfM9qXOrmdRsDpedS82wZnkX9kmNe/YF
7Oeh76r2DtMu608922qv0v8+ylflXLkfLLv3ernvZWq1ELwS3A2+Af7CFOKH
vxo6D1+F7DT8HKgSfoJ5XMV7qzkzSD+eL7uWivF64l2Xule0I7UrT6SuvXpU
vaozOqsdMgB/b+re2YLsc/zbUfBb2mkryt7p2u2qQR/+jiS21Uzdx9klM927
munF8AeLjq0Tm/2cv6bsWVKO5pb9B+gvUM33FP0H6C/QztPua21xrTTj18Ef
KDo32kF7OT9W8CwpR5PE83rBuVKODjR4Z2h3aOffhm5l5l7Sn6C/4fnEtVYN
Vcv/ADSp8ys=
           "]]}]}}, {{}, 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkD0vg3EUR4+0QVst1aJvSI0WLF6iakBiEiSspEgsiITBgJhs0giDYBEb
6iMQIVbMPgCjVSQcw8l57u/5P/9775MvrU2vVgErkqmFvTwkOyAhhyG4zsKN
vMegaJ3zzGMSCvrAs505uG2HilxGYMZsVrrMu6VHzprg2OxINq376uDF8x/e
NxiHO+/est+9HvRdi887uklv62Z97rmUTkuVjIYdWI/pjM5KqBUu7DHh3Rvm
v20Q8DkoV+blRjg1r6TsXw9vsuw3P+YP5nNpmJdv83Vne3LHBetFeY66sz2K
MiQnCRjWQamWgNRKjYxIWCL/M8m4/6VOF9wvpheto3pJ1+uSefx/Z+sGvasn
9ZS8usOns++7Q9m8V/fLgHyZ/wHDBTY5
           "]], 
          
          LineBox[{2106, 4318, 4319, 5517, 5516, 2491, 3059, 8820, 2107, 4403,
            2130, 8821, 3772, 5689, 5688, 8535, 3773, 7348, 3774, 8536, 3125, 
           8538, 3779, 7355, 3778, 8537, 5891, 8539, 8540, 7420, 8542, 8541, 
           3195, 8545, 8546, 7426, 8544, 8543, 6072, 6073, 4700, 4701, 6211, 
           6210, 2675, 3781, 8822, 2196, 6215, 2215, 8823, 3785, 3369, 8732, 
           3372, 8633, 8634, 8635, 4856, 7615, 7614}], 
          
          LineBox[{2362, 7926, 4238, 4237, 7067, 2963, 3722, 8824, 3721, 7010,
            3716, 8826, 3717, 3692, 8809, 3791, 8808, 3790, 5241, 8782, 3687, 
           8781, 3688, 8783, 3654, 8558, 3789, 8557, 3788, 8807, 6850, 6941, 
           2439, 2325, 8065, 8066, 7975, 7976, 7977, 2339, 8722, 2947, 8694, 
           8695, 8786, 8787, 8448, 3715, 8078, 2961, 7995, 2962, 8079, 
           3740}]}, 
         RowBox[{"-", "0.59`"}]], Annotation[#, -0.59, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNj88rgwEchx9xwDRsWdaI/QNS2HH5E9YcpJUWxnIw7ewscXVy4uJgnEwt
v9XyP4zDdnCgMBcTpfYcnp6+n+/n/b7vG18qpDc6gJS8dsNeGKr6YRR++yET
hR89r+97YWYcEnLuflpPyfEw5OKwKlnzvF6Tvz5Y0Y9BWDCv6mXnxRAkfebb
/aW3W3rWedP7zTG77rvsd8qdu3ezLf2mr/T/CBx650i+BuHW+UaupWGnLgl7
T/pZLswP7K77X/v253TRbNJ3JyMwocsxeOmBU/tnkndf0ifSGICdIfgM+E12
m3rXuWJ/W9fcf5i1AVEJOHc=
           "]], 
          LineBox[CompressedData["
1:eJwVkbsvg1EYxp9WmvTiUloVrUu/r5OBweIPoCkVkTSRYDBIpIPbwNDatIvL
4LaIYjHZaGuUNIqpSdmNpGIi1EAkfh1+ec553ue833vOZ8wux5YskhJw6JKu
vdKuW0obUgrKASnXKBXxbyCKl2ff0yFdoWPszzh32S1V0T78L/SC/Rt9smgO
Vmt5NA8VhxTxSSPQ3ySF0WG8CTv9WS+gGfoWOPNC/hn8Tsndxkz1Upwzd9Tu
odos2Tqlb7RAzc76g/w71LVIn+g4xMAK0zAFrqC0Tz1Ofg52WPc2SI/0nmGW
c2b4xbulVgSLR1qj7kQdsNIu7aEH0OqXvPDDjCH0CK9E1mZKBm9hRUPoEBqG
Ud5lsksa5D0j+D7eeB5vEZ64t4fvJ5gxCUEwYRPPhGPOvJKpwAM91vkHp3gn
8MedNmpZGIBt2IIA2Qy5f+ZmRzc=
           "]], 
          LineBox[CompressedData["
1:eJwVzrsrhQEYBvCHDA4lgwwI58TMLKPNJRkog0FRLlE2GVyO8YjNJPkXOAdl
M7CTEkabzWX3O8Ov9/ue837Pe4qLmzMbDUmmuWhL7jqSUjE5bU3OupHdyn57
kz9qnj/Md94o2G1my16D2ciL/MscLiTzOgbNG9lOe7LNrGxV/0N/8sg9E6Vk
nDn9Ve81rrjhmk79azrXWWHZ7hIt9m+7kn03mnj124JbJ745rve60+PepDll
d0zPpXy3L9ljgEPKfMrP7Tz7/okqB/bL/nNF9xAVe0eMMFp/lv24+c0/xPIy
0w==
           "]]}, 
         RowBox[{"-", "1.18`"}]], Annotation[#, -1.18, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0ltoz3EYx/Fns+zotAP+hu0/UbJWjtm4MIWxufiT3HCzsmVpS+QwLH9p
0oZoIacruZBy4ZRDsYvVSsbFKNwYceFKWiuZw+t/8e7zfZ7P8zzfw++XbO7Y
0p4VEUNYnR8xmowYnxuRpJW4WBhxrTyij56ij0ojuulJ3LaeoCYH7/Xk0onY
OzliH92PYfk34g7rtPpt+naLO6dGtNHtmdjswcqIQ/zL6i+hkTcgl+JVqFkn
3srv4fWif1ZEK23BLrzkt9mjWv1TXrE4V/1OXjZ9IvcYKfueMfcsTqMXPWhU
04R6fZvpGpqwb7c3KcWxioguzMN8LMCI/R6Y/0X/Z6TtvVT+BO2m/+T+4r55
tWbcozX0u77l/GVYguPqP6kbwevMnex9VL5VPkmPoBN3+RvMKHOuOjV73GUV
XZs5N8LsLtx0z028PN4t6ypzfpToM3uhfJVcEr8KIkroGL3AT0+KKKQHE76H
XDM9LBdyA3Mi/hT7/jMjrtMbqOH10RbeeVqUuW9RxI7MefVn0QM0RQflR2m2
up80h/bL/Z7mO+lP5/Gt22mTO+TOMHeK89B8JMx5q+8dns92Z73D1vV61k+P
WClerL6WNoi/mfGQX8dfob6AN+4d7pRFvOBdoWPir95jEb8ar7xhhf0/et8P
aPKdGnFVXQPdiKHMv0/L1Z3T+0zPf6eEcs8=
           "]], 
          LineBox[CompressedData["
1:eJwNjj0vg2EYRg8x0LTxFaoJpYMJqcZkqKapHyBNJE100ZgMmqYSYSZoO0je
GLqLskt8hAQ/gMloEgtBxGIwOMPJ9d7Pde73eRKlcn6tDViU2wiE43BnNvoh
5HfNvB+xk99u2LArxnRCMDcGFeczu+sE3Mh3H5x0wopnJUnpTMtfGKbMpCx5
fqF7pLenH5iFLkgPwaV3ZM2MlL3jYxQ+ZdKdd/NNOqJwLC050L/y36d+Z/Vf
7Lecf4Zh03x2nh+EL6k6L+uvm4e90PQNgVnVrUjSbsYuo/vqex7cfZRVu0B3
wXdO6M+aOfvdAWh3p27uy7ln2+aOPPXAuHv/NrY1bQ==
           "]]}, 
         RowBox[{"-", "1.77`"}]], Annotation[#, -1.77, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0l1ozmEcxvHfNnvYvM3rHs+eZy/aAcmZMAfItNkcWDuTVoZJqa3UpinR
CrNSezPmrTlwwEPNyQ5QpiknqFFYeUk5EztDJD7PwdX3vq/run//+//vX3Wg
o7k9LyImKTMvYros4gUNVET005X5EZdwlGb4wzhEN0siZpdHfMb16YgveHWF
Hj0uiriDWSpaHLFJvt3smiVmVUWM0AnelgURr8z6pt+yMqLWvka/R3ZN960s
WRxRXBpxStYmS1gX0j15Nf7ERCbiNz6yf0iNzjzP9ZZGPHOuyZxOXmA37sO/
/CH57mTEdd44juEYb+PCiH/4gDfFa11lDnZhjyzfu770zMvLIn7xU6mINK3h
J7Hb+3z1vt/lszR3UUSDLIG35D94d3Gn71dHSd+1lBp96/HKiG1658sj+qhT
fpj/kX+I/x4P4gdsw094RN6lt8M+a1+L97HdM1PmllGDfBflu9tpqlsdUU+9
eiX6fbjWnK3uNeMdC3TzqEB3Tu6e/ERuBtbTOt1hZ0Zy93LPQRygpM5r+R68
wG/GSs8vpyZnpnSe5s7JRilp/nGdapywP2l91H326nfoH/OvTNtPyp7QFO2X
vcFWPCd7Z30WC3VvO3+G328/YT2IvfYXzaqQ37D/o5+xTtMG2kxZ/n+oGWxG

           "]], 
          LineBox[CompressedData["
1:eJwVjjtLgnEUhx8Jwcowu1mQpjQUFQ1SFuEgXb6AS2gXukxBqDhIY5ujlV8i
ggYXhehjNDSEUHtB71hLT8PD855zfue8/8xZtVgJAfuyGYGXUUjNwquuTMKl
PA3CnW5LOAYLzhdlKW4/A7dyYb0ShQ176SnI6bzO2mv5vaa3rSeG4FsHcuKt
L/0pO/I2B30JvPWh36Vg/j7hDbMd3dYk4dq3FsfgRj/4/1V7A2kISd2d3WnY
k2fz685y0jTfM9uVsvX8iHvmf31bVi9bn9o/l8Ds4/++t/LOas669qt6y/rH
eWkGGtbNcbjSx9aB+UPnRzKcggNdlj+7zTEn
           "]]}, 
         RowBox[{"-", "2.36`"}]], Annotation[#, -2.36, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNj88rw2Ecx1/TDsyvsfyqzXwpZbhZTWu1pZQjJ00ouQn5A1yVi2SK264j
xUVN+xc4uzoNB7HDhBKvw6vX83ne7+d5eoKN3aWdELAiv63wEoNXHR2GLlkf
gTVpRuBzCBp6VR/YK+pl+e6FjJ1ZuU1ATmelZvdyEK7kzU6qEyquF+RYAuf7
bhjVJecz+xHPHdqd8Z6a2VcHzJvtmbWYvTtPm1UCuJBFuyHnvzic2L8ZgGuZ
s19P+h9pmpXt7vuv5x7Y0lX3Nu3/9PtH/aFjnsnrghzZy+mspF0ndcq3J+xO
6jHnpzY474Mp83HvC5s12uHUvTuzbV13foxCwjztuw+ui+7/A5/kNt4=
           "]], 
          LineBox[CompressedData["
1:eJwV0l1ozXEYwPFnF+oMO7MX2xiHXWjFykvkJebG1Jk05GJsUbgbBxeKcrO4
WLkQGlvobDlKay9KMpMtLpS3Imq4kdwQqZU685J8zsW37/P6+7/WHTi6K1MU
ERM4Xxzxuy6icVHEBl6PgWREitdiDfrkDZxPRUxjrDLiG3/FF1zQr9HvmhVx
ppblN8xM6q10/n61en4sn8Bxs8eQMd+q18Eb+bSd1bwK+8SjiyPuo9vOQ36A
FrPv50d8wE4zKdd6K64WX9KvkB80X8nd8qXm0/qfSiJmmPnITfLxCs/Lk/IV
cyKW44j5DA7hMDoQdtqctwd/7JQ69469FvN3eQe36zWbK9O7p7bNNYfsDmMA
m9S7zDTyoDytf9tcUt5kr4Tzzh5Rq9e7xcVqP9Wm0CC/yVWF5yzMuOYz910r
zs+MuKL3cmFEkfqJeRF/S90/P9EbrfEO8a/ct7ST5az6iNo1bubthVh9yDcp
9x8kkcBJ/VbOqfc683l1xFOk1cd4Ky/jX2UR52ZHLBEPihM8zJ1qOX60wLfH
VfFZ7sQ657VXRezFd//Ga9d5g1N6Pa63O2HG/Gbeop+d61w7Oe7HuFreu5vG
Z889xT/QJ77snKz3+M5/1M898l6+yNf5hfor/Af583MW
           "]]}, 
         RowBox[{"-", "2.9499999999999997`"}]], 
        Annotation[#, -2.9499999999999997`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0l1ozXEcx/Gvoj2wccY2B7OHtAszF5soLOOCJcRuLBJxQxopslAWSim5
2SRPkyNSw3Y8tWMWoeHGzcrkRgqxC8qNHWleu/j0/n4/38/v4f9QuXN/874J
ETFAlydHDM6IeEZDsyOe4zXee/VV7CyP6JoW8Yvfo/+sTmNW/zQvIlUcMarP
mSqvvkJZmcfW9VHbnIgnmKER+U0lEfWyW3EJnjRvyY24mIhoxZf6lLp9SkRh
aURVfsR8vMc7w/uDZ7GW12T2Ajvs8xYvYKoyYrOzDpvlYAElqJt/qShi3Uz3
NEvjkPwHOlAWkTs9op/3ymxvMuIv/yCGZ3lnPuhunTJFcyPO45uCiGqz15ic
FXGDV4O19Ftdh/O8l1tYjXfwLq235rj3cFv9T26MHqkf0AazXkxTlr/FWaP4
09nHrGmsilhFuyoi9tBummjvh+45Ce/LlluTwWH3Wm6ffP4RuU/6GrMFtJDy
fL8duJ0S6uJC/4N8nfwwJnllvI1YgR/H72fWb68mfYd1azCj3yZT739p1h9V
L1MvpVb57+YjNCD/Fb/QOZlD5m10Xd2Op2RP4Gks8a1K6Zs1P2iRZ+8b3xdr
+FneTWfVqrtw8TitbfCdG9TdvBXqRlpJPfrV/F5cqx9T/wcQvnM/
           "]], 
          LineBox[CompressedData["
1:eJwNjz0vA1AYRo+IpEVTJZRoS4WkP8AgJulkkqixMVQTg4GfYDb4aoRFrCJM
RBpCDLoxSXQi7VJdSkQqdBFnODn3vc9zb+5NLq1lVtuARZlPQEbqfRDRYQlJ
KQS5UWh2wvcQ/MqGnXazWgDWXd/rmzhcSdrujNzZn7J7rU8HodELJ/pYZmVL
tuUhDHu6IPt2g55tdcOcd/3oDuesZyfM350v7X/olPOK/WIUFsz/YrBrdmt2
7l7arD4CF85Ns8MkHMlbxDc5FyVvvzXgnyRq/0k/S8HOmfmmnnae1HGdkJRn
xvWYVIJw0A9fXb7PzqfecX7pgWX9qmvulfWw98Xk0XXWrOr+P+SpPe4=
           "]]}, 
         RowBox[{"-", "3.54`"}]], Annotation[#, -3.54, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNkD8ohHEcxj8ncf5zcv505NXVlWJVFhmMNzAadK4o1BltFoukeIez3Wpx
gy5dLlxKGQwsNkVdyKhusPj3GZ4+3+f7PN+3t1+Q3VzIRYCMemmD+25Y7oNS
C6zLV3c/nVCTK/on8wMZqmQPHMm8erYfxCHVBZNyQuYSMB+FHXur8kQfOm+0
w6OdeCt8yy191n7ZvKLe7BQC+JAlsz2zU7nfD3V3RXmpT8egKsv6Nb+VGoBx
dWY/KcfUop3GUWhS6WGIymaVtx+a39ktyAe5ZH7sf757cy2L+k/n6UGYUlVv
ZrydVedmF+pKbfdCwwhE1K5zpQO+7NftZ+weurtxV5O3MjYECd8zlH/6Od/0
V/4D9o48/Q==
           "]], 
          LineBox[CompressedData["
1:eJwV0ktIlGEYxfFHokkdL1PZPS8TBCVFSBCIuWhl5QRZYuEmcBNIqURhF6hF
0CrcGJYtxCaKLiuniKKmpESooJtRbmpVke4qqISofi4O//c957zP9843X7qj
e1dXQUQ8obdlEU9XRFyiHdURGWqmHL8pHbHVehtdk5+0v46Tss3WDdRXFDHE
22A9jFdkM1URl7GW18/LVUQUWyfpiyyFZXQmaab81OzzdXrxMPVZf62JOGhG
Xr8Lp+0P6DfKW+2P67TgPqzn7ZWN6mzn9TvzwfyP1CbvmZ1Be1IR1fL3yyPq
9PM4SimdDvlcv6XQ+kdhxHr7Wjpm5lEq0m/QbaR7CyNqZN/0ctafKyNu42Bp
xJ1lEXN0O52ZsO/A17hlVcQJ86ucq6Q/+u/49eat0b+JJe72l1+MGXdN4g3+
avlGfKX/Xf4Cr2IdL2TV+Jw3zKswe9q9zlmP4yHP3O9O/8q9T+ykseKI+0sj
5un0uPukbIJGeLfo4gLvmj+AA2a0m5HyDSSojVrpNL+F/3BJxHlnx/AxNZm9
Dgucfbkyolt2tiRiLS8tK8Vyys73/cmH8Mhic7EZM7TJmd24k6Y9I+95RWb0
6ifwrv2M9zO8KOKX35/Q/41Z+wf6M/7DKfmU7+KTdzgi+8kblD3DrP0F+Rv5
BD3ijdN/DcNzkQ==
           "]]}, 
         RowBox[{"-", "4.13`"}]], Annotation[#, -4.13, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNkMsrRAEYRw9KXoOhwXiU25Sauv4AWbK0YcFKTTflUR4LyRI70czEymNj
oTBF0+SRslGys7GzMslOTbFk4SxO5/vu7/fdbjeIlieWqoBIdrshK6OtsK/z
0tMIcf0Ug3I7POqYe865koQb98D+nf5x/2qASb1hft8Ht7JqNtIPD2ZDZrPu
lTY4NyvIp/NpHUw7v7TAcRccyaH9tHehjJtdB3Bib9P+np6qh5S9kjdpPSBz
3pQ67cqYvUtdkO847OirJti2X9Q592H71Xrd/d3Omj7Qvx2QMHvVCz7L++ys
Fy5ky3lFL0rouwbthPLh99ToWknbyZindDYBb/6jSM/IX7Nd/+u8c9GbjC67
P9tJevMPXp88TQ==
           "]], 
          LineBox[CompressedData["
1:eJwV0l9ozmEYxvF7Zdps85ph7Y9552BZab2zFify/8ARbc1ygE3hQG3SDElm
tXKAtHqZHBjbwRz4W8oYOyFWsgjLnChkciJaTdP47ODq+9z3dd3P8/x6fuV7
W+taMiLiBe1ZHtFEm8ojttBmuj4/YgNupPW0m39bbxdOq//SKfqgdxLHsQPH
sL8koo/+qKcoRTU0wKvCG1iN/ZiWq7TuxruLIvKsz+p/LYs4jwl1V07Eaf4J
da/McWxXn7P+loy4gIf0zuCguUfUYd2HvXRkQUQ9f42ZRnsNm9mq7uZ9sn9h
dkSDfDa26u2Qf18c8Y5S8kM4TAmZZn4ONqpHC5xrr8NUqX8U2yjLzMMi96AH
MoN4H39m+UYcxy9LI/Kd05PnbL2LeE/ujnWpvYrpo8wb/QP2rJJdPXsn9S2Z
t1irnrLOcO9JLDJTSCtlR/kp/r95EWWYpKsyBfwr2OWsCtyH+2km4R3NzNUb
ce4cvOmezfYe41XzLi+MOMhLY5q3k5dYFpFJDVRPnfrb9R8X+iZzT3P9YPJ5
5mbyI16XRryiFt4KmQpKumMulmDnkohrcsewjRqst+Fa+9SaWYd16u/OGHJe
lrrdfpk47bufL3Z/3gBOe4dfeqv4NTRh/cM/MEGfvf+kd/xNPfIj+JIuzb49
v8x3PFE/o/9793f4
           "]]}, 
         RowBox[{"-", "4.72`"}]], Annotation[#, -4.72, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0l1ozmEYx/FL0obHNsNstplHZCUvacOBNsopB9pWXia2yEszG5n2Epba
gYTCdiTW6llmxpGlqNGEaTmZA5RCKQcrkgN6xmcHv77Xdf9+93Xf9/P8k3WN
u07MiIhRSmZGXMuJmCiMuIljCyNeUvfsiJ/4iz5nRXznr5T9JlOB5UURP9R/
5kakFtkj/wIzEhG52RHb+Nupcn5EB27FCl4ZbwvuzIuostaCO/S31RfU56lk
TkTB4ogjsquwAd+a0ezctFyiOOIfPrfvBu8Zjsjl50b8LonYT/WUoAY6TtnL
Ivr4d804Zn+Pev28iHf2H3D3e9ZnLvAO3ixs56V5bXi0wNutXcQuuqW+gn/d
s3hJxBSuxXW02m+SvzSi1cwV+gHZMhzEzbiR1sgccp/D9N55hfKTzh+SGTL3
IVWpu52dI/tFpsW8fuv11ofxDu+Rug+f6DP8D2fM+6gvNa9J3UjjMjXO3E1Z
/ss6PDh9V/lX+IaqnTGKnc7IpCq5PPyU9G2YNWLOU6qxp9x3sIlO29PLK5I7
J/9YPUxd6kbfS61Mi3wHtuo7p78t/jilZCbN7sfLvK/WLmHC2gNr1+3p0fdi
9XL3oT20j/bSBrlSmpBJyaRwDE/ymugsr53aaJD3mncfK/UV9EHdLHeK0vqp
6Xd6x4DcVfwPKOR1dw==
           "]], 
          LineBox[CompressedData["
1:eJwNkM0rA3Ach58p5WX24nU2artI7TJSSk4cKVIOilbEiLaDHBwU5YAyLydO
HFkphxV/gYv8DSQ3WlE4KDyHp+f78vn9+vVLzRYm8gFgXsK1MNgMfzWwYb0f
h+EIHOsDideb0RF5aoKQDkrR+q0dKpI0f9MAH9avdTCp1+zXzazqMfuvRsjo
b73grKIvOqEkL9ZZPS0PYehyfxaDU+9KJyFhP+6unIJz37lp/kj3OLs132e2
V/Lmozqny20wYu5Kl+Q9Crt6T3Y8c6iLMmD2txUC1o9m1oLwaX9ifa9z9lPm
l/S2s8sO2NIFvSJpdxl3GbPP/l+VrpZuM1n3o74zYd2vh9zPtcBPCJb1olw7
m9FZufMfY575B7fkOWQ=
           "]]}, 
         RowBox[{"-", "5.31`"}]], Annotation[#, -5.31, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0l9ojXEcx/GvXYgdOzOzjW1m0+YZF9zInb/z54JFRqb8qZMLdHKSnDIS
F+YGk/ypU2u0dmq4UGQ3uyBsonPHFI0kSk3txh3ltYt3n+/39/38Pr/neX5P
Sya35+SsiBjB5qURHXjQELGdbsMW9LREnMVEOqJoll0WMUTz1hIc0HejTV2P
6aaIq/MjCvwFvr5URLX1Pv13syn1bxQXRpT0b3GJ/zxvz0wu/0F6GL08o+bL
50ZcUDfQ+/rT/GvNc7Sd7rNnoNkMN8z7aQGJPS/rI15hL+87+gar+I/SqYqI
Cp5ftFtfqpZt3yd9IuczPaOfzT+6OGJQ/4znHh3RZ9TD9Ja+Un4aT/RP0WX2
mO6iN2nes3+cE/HCu39Z4hvL3Yoy2e3OXoFHvCVZK+Uk+jb8K4+4Zv919Jtf
Me9Vt6qP0YRetFZLx+SOo0z90FlHnPmhMmK1+d0FEcfNchhUp519wv1mkUIG
h/AHdebP69wnHZvHS8vtS+FvVcQp2Z2ya3iy8hvpIjR51su1EbvtGeDbSfP6
LnUn3U83WdtBzzW6c6xXd9CNqJL1usadYVx+kQ5j2vdYY77OuT/VrXSD+aS7
++a/+jGjuGPtPZ3Abb6v/o1m3v8Wt2jb
           "]], 
          LineBox[CompressedData["
1:eJwVkM8rw2Ecx18rB8xmmF/Lr638yGW0RXKXWqFFOWgHMUoop91WChfblZCb
syT5C1xc/Afk4kAONIkiL4d3r8/7eb+f5/l+n/jiZnYjAORVuhpiHXATgVwz
LKjzGliR32EoyEA9JOyM/HcbICNz+n7nRB1UtcCje5IyqR+0v2a+Yz7qWqgW
7uSq2bxZXt7qD8wr8lPdO9MKP85j9kvOe3ZPZFl+eV7ReycaYV/2dcKMc7QN
ImrdPcMypa7tD5mnVNHOZRwu1LQ+FvL7euDQ/qndsnmvaw9yQJ65dmWWbodl
/btnLcmk/sPOlNzSF5pg1jmrnu2/yYrq9h1f5Ysq2QnGPFtmuuBJ7uq3VU8Q
juSxmnTPnPmv/zUehbBv+QcoSzfp
           "]]}, 
         RowBox[{"-", "5.8999999999999995`"}]], 
        Annotation[#, -5.8999999999999995`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNkEsrRHEYh5/Jwm1cxmCMGJ0apDSamZpkYyVFcq1ZyMbGRuycJjWhrDRb
kbLyCaT5BEpSyh47yc4taTY8i6fnfc/7O///e06wvr20FQE2JN8A1+0Q64M7
Pd8Fs1JthB0dCm0QOE9LMgZrelWGrIMo5HTNXFaPdEPGZ7vWWV2wjzbBvX6Q
omfd6hs5NvOlf+TJ+k+Pmy0lYFKf6jOp+M6v95XddaoDjvRgv7tav3pHvAc2
zRf0p33V/JjznJTNXAZwoJMtfquzhA7NVnx2otP2z9bD+sL+yrPySc+TD/MZ
PSrfZub0goRxWNaL8mb+Xaf8f5Fed9P1KXdzz0dzNT1j/2J96HxfBprhXNe1
wrT5FedFmeh0V70n/3AoOC0=
           "]], 
          LineBox[CompressedData["
1:eJwV0k+IzHEYx/FnT1g7u2PMzv6zmLENrZy4isbag5RaMknKn+NmdqlNonYO
OCBL7R5kkkgKF5Kb/GkZaQ+7ySoxbZuDQrvlsCkHrzl8ej/fz/P5Pt/f7/f9
ZY8PDZQaIuI5Vbsidq+LeI9nshFDuYgS9ahP4gYs4kHKq/+sjejABbySjLjZ
TPZeWxmR4rfSvN4ibl0RcT8d0YtTvLL8OdmzNCJ/GIexHy/K7cIdNKjOYQ+d
tmczbqQDsrfXR9yhMfPyzq6o8/LVzoh26/3ynfjBeov8CfyZiGiS+YHTqyOO
8lJ6BazxqryceT30Qr3YHfGbftFd/UPOqDVGPO6ImLA+IjOntxc/85v5s3gL
KzTAH8cbNOLdZ5dHvPI9vtnTb1YfNTi/1/kPZTPOvYd563/mXLfvsnMqvEu4
Ca/ypvVO4SivlTdlXjPOtEc8SUU8o216D7BUf3ZMOCtJw+64DctmNKrP4188
RjNNEUuYkX/Z5n7xLS+BLeYswwJ/cpXvhmkabPFsMl3qbrMuZCIe6Y+t8X56
+/RGeUvev4g7rffol/WLvsd2dR8WrJPyk60Rb+hd/Z/B15jFBfeZxiQ9VX9x
j19pzh1/r5MmZD/iJxqXqflX/gOn1mhI
           "]]}, 
         RowBox[{"-", "6.489999999999999`"}]], 
        Annotation[#, -6.489999999999999, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkL0rBHAYxz8Mwnk5b+fo7rrDoHTR6YrCJOWlGygZTAalKzYdx6CMN9jo
yiB/gswGi5QyWcSg6wYZiJKXOh/Dt8/39zzf3+/p9yRWNubXq4CsGm6C1SCk
5Xg77MVgVC7KBTVlr9recTfEArAvvxuh1GbP/rS615droUbfZx4zlS54rYdH
+aR2zfxGYVPOeX5vhQGZ/M81O1+m1Jl3TsJwqh7MFOWhKug3ZcjZl+bDMu/5
wPyY/GiAnJk3uSTT1rL2WmXZWsZaj/P71KT+JwKfquBbxU44UhPmc3JHlVrg
xf6W/7rTr8nZOrgKuRvv3MobFfBOSqbVtrmks/r1Q/qvDoh6TpiPy4i1Zd8M
y14ZVxV3++xe82bPfX9GZtS1ewzaH3TuhX7E2h/NlDw8
           "]], 
          LineBox[CompressedData["
1:eJwV0k9oz3Ecx/GXizb272f/bGY2aweOdkBJzewgtTK1KEXKwU8zak5qO+Bg
mMMkUcpIQ/4s5SBxkFEO1rQiZi03QilykofDq+f7/Xm9Pu/v5/v5flv3D/Qe
XpTkPs1UJMdak7dYXJ0col/6v83JhtLkJ45UJZdWJBfp3NKkwK+hBd4PXCd3
oyZZgyN0QG7Ynn48SIP2bMVuOim3BTdTUd2KbXRUvscZ1qp3yl9vMU8/6hnt
eEXfLj/VmNTre+UbsM5aUaYW12MHbeR9KU/2yhbM6sQ5/VS15/Hb6In6U4nz
r0y+0i7z+2huSXKnIblHe2TmeQu0XX0Ze7CKV06zslfxvNk7rJ/FMf2gO3jm
Xp7SR3vGrN/ij/Mm8JvnjuMsb4ZKnPe0zBn+GzOP4JC+RuY1vxynlycPliUP
qYN3E/t517Dg3LE2sMp9qIfNKFUfxz+4j6bLkibZ+Xp3Z/0lvqIyaxXmLMZO
/fOCeVhNxcrklH2N6iZ7TtQlt/mjTUkXr4c3ZO239+3D3bSNP8zv846b1F3Y
zZ+sTSrteYyP6IW1Zmyh796/+r9Pk+r3vuUHmvd97/p+n9UX5N/hhH5MZs5/
8g8GHWPk
           "]]}, 
         RowBox[{"-", "7.08`"}]], Annotation[#, -7.08, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0k1oyHEcx/GPk4c92oNhm9lFXHdASo2W0FazLKstKxy20ibKQdllDh6X
5iArhxFjzUOKklyE4mBiJTWjHWVCKZF47fDp/f1+P5/f99////vX7+tv61uQ
ZII2L07+rko24Hc8VZpcrE5O4BCeLUh+rU5+0yf+N5yjkYpkP/8ADcgexB46
Ir8Du4qTQZkO3KLvVa/BZv0h+RZcp2+Tv2JfF/+o/d28tby5lckm3mus0dfz
e/i9VKFejw20UX6vTCeVyjdiEz0r9zz+j0XJI/UH/FqbfKY9ntdO00uS8RXJ
LeqUmeW9l9upvqRuwd1FSQl/SvYyDulbzc9gkWePmBXidRw228Y7j6P6MfUX
+0ZxCqfsXCh7kn+a/8rOfjxM5TIv+YU4uTy5U5bcowbZB/qrsq14zexfYdJX
l1R6hzKqUVfRgMwffMPvxkmslp+pSnbxnmPz/B4sMG/CRnqy1HkclO8tcfd4
0+xFTXIDh/EcbeUdX5Yco5/+l3bsoO0yA/M+vq30Dngb71KxMw/xPj11phbr
aM53eOy+yuZz6o/udFw/464ncFZ/Qf4djumHZab9L/8B+Clmkg==
           "]], 
          LineBox[CompressedData["
1:eJwVkD0oBGAYx39XlI875/vzzkcGg6LTTWQ5icWiZDMoZRAD8j0Zb7ApJYnN
IKRMDLcpk1K6GM5lkESpy0fhZ/j3e57n/3+f9+1tGZ8Zng4AU+q6GLqr4KIU
whEIqUvrtPMh56eFsCyf7H9KoEk/Wgbrzm71fmVTEJrDEJEf9p36bdXQrpas
4zKmiorgSo6Yzcgxeey+yQK4Mbcon+2z1gfuWqmBXs/syDP7pPmc/pfqK4fW
KAzIR71DvQdZWAujzjrkm/2C9bvssd9w17JcUynz83JWJc1syi11Z70nd9WJ
+VgdvJpNyJw88s6U75yr8D75bb9qndG//896Jq8ezkO+z3/Mb/RNKm1mUPar
rPWn/rq5qP+6LV+cBfzfeKVn5L6zhF6wwZn9hLu65B9DCkGz
           "]]}, 
         RowBox[{"-", "7.67`"}]], Annotation[#, -7.67, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0t9rz3EcxfGzG2Yzsx/GfLHvaPkLJFGsJVu7sGZRW3PhZhOm/KqV3bja
sItdsURLmSR2pSZKGuFCRBnWuFlJLW7U4spjF6fn6/U65/P6vD8/Go+d7hwo
SXKPJsuTD7XJzbXJQiG5hffN5tfw8RtvyqxqXfJUv6h+jtv0M6uSaSxZnVRU
yqkfUHmVnThLB9QL+Eu2qy75g4N4kZpdM7Yp6S1N7sq9Vr+iJ+oRO19i3Xr3
wxa8ZlZWnRxUt5fxsQPncJ4m7JtsTI43JP9oiFeHBaotJg04xX9oR0mFPRuS
2zKPcBJncZq3h1ddk3zVvzEfqE/e4jCO0Arv4OPm5Ozys+ibZSdwP4659o66
XGYcR/W7zT/Jf6FWdal5p/l79zqEP5z7Ou+x99DG/4yHsV6uG7dikeacocNz
dNFP+XZso36ZGf4zbNqSvMCWjcleqvSturGXdjrTDv6S/TW+60rnP6Uvqgu+
9zuZXcvfGLfrj8qf5w9Sz/I/gjeoT93BP4lN/pl+3IdHzC6pe7BVf8auE3hB
P2TXOezTj8ssOvdv+m7fX1yiK/Kj/DEalr+Kl+k/zDhkiw==
           "]], 
          LineBox[CompressedData["
1:eJwNkD0oxGEcxz+i3HEOd95fY7jhitQtSBeTxWSwGUiZUEjumIwGm0wWJRlE
rpRiuM0qSpfovBRJLN4yyGf49vk+39/3eZ7//2kbnxmeLgCmVHEjBNVEBYRl
qRooha0GKApDosqS3HD9GoW0/CqDpP0feWM22AI5GZBFqt3ZibNCu28lkK+H
Q9dLdr6b4VfN6bMB2Nd/lnunnX51bD8m4+ohAjvOr+V6HazKWTmvsu5Zlim1
5p5u2asW7HTJDjWiD8i7EOzZf5Rlrsfsb9d6l+uknSP5XgmbZn3O0nLX7N7s
qQle1KV+0u890I96Vr4GblXEfkYGZUIu2ovLmOrUf1T7z6rVPS2e+ae/CsKK
fPWdo3ae5YVvljLLOBuSObMzs5D3hdWpvsf83PwfXPtBsA==
           "]]}, 
         RowBox[{"-", "8.26`"}]], Annotation[#, -8.26, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkL1LwlEUhl8lyH5p5a+y76/BQSgEF2kQcrA/IKipIWqNCiEqB8nBtkYD
JyklLKLIEIOgWtuiKFpCKihCbCmTBqHH4eU57znvvZd7RuaXp5YsklbQcBPs
kEwYR7Y+aaFNckADTTRLqV5pF/nIJeEOKrVLG7DikALkqzCKd5E34BX+gcwF
jEMrvbIhFXukU3oRer8D0h8KU+fgMfpplRaZh8idk3dDD3o1pX3mlzbpiToN
Z/A35Le6pWu4Drc544fjaJWcF46iaeoG2IiOyL7ZJTv1HPlMF2/hA2TyMIEv
O9kL/IJZei/wvV/6RPfUZ/AEzXJX0SU9Iyd35WABbZLZY74G3fgx+N3Jn9Eg
Zyz0atSP7DwGS+zNJPMBw/g7dhqsz/GVFv4MJ/GH5A+G+C/zW3r/FVJH/g==

           "]], 
          LineBox[CompressedData["
1:eJwV0k9oz3Ecx/GXg7HfZmwzZmbzc5eUJC47yCS2mhNNyWGWhIVaTNz8Pey0
La0W+Vn+H6xWXDQHF6ORNZJaK2HlolxIHju8er7f79fr+/5+Pt/fr3jkZMeJ
RUnu0dW1yXW6vCIZrEr61dcqkr/rk0v6L03JBfypH1qZdPFP6/vkz+IxfY98
K97gP5S/Twd5M545zNvEa9d38W/yhhd8dS+eoUN2zTck32mb/Bt8R80yx/ll
5UmN+vfSZIt+q3wnfzN2YJVnJtckb+llbfIKJ+ioercz7KFv65L92E6fCnbz
i3RAph7rqKc++UOnvG9Q/uvypMK8QJUL+2uSJVhGrZ774DwzctvVQ2YDC1ln
uoOjtNN8BFuwF8/RYv5F7KPXzjHjfR+pWmbHsmTcO6b1Jd4Y3sI27KBHvMfF
pKk5qXWPBqyjbuqiUV6JRpz782rfGt9jux37sI3K7Rio9I2qk736jbwiXjF7
ZjbZ6P7udVfdif36FnvOr3JP7MZfvs9sXTJHu+SmcYoK6jH85/eolI2d4/oJ
+Q34wnze/Z/jU2w0u8374bd9YvbAbNZ/ZY6G1VPmJfP/x1hkug==
           "]]}, 
         RowBox[{"-", "8.85`"}]], Annotation[#, -8.85, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0l1oznEYxvFLOdhjmw1jbDZbOZRyIC8pB3KgZbVJbXlKrcbBZBxR3kqa
5MCJWWshITGh1MqRKFPMmmkttWVN8nLgQHmJFh8HV9/ffV/Xff9+T/+nsaO7
9eC8JLdorCoZqExma5MZuuN8rzT5rH+tkNQuTR6rvy5MvvN/00+ZLSuTX/iX
V1qRzOFD2cKiZAIrypLtzrPOM/TNrv3LkgO0Vb4Dd+jtKUluynXjiJ2PnM+a
bahO1ixImnBYr1evZHHSj616zbxxnKAr9o3hLvt67Olc5S6qojoq6vfrP2hM
7trRsjy5Yf4FTpkdxwka4m0uTyqXeCNO6b2UO7YiOUnz/d4z+tv4p9VveNex
oN+LfbSJN1mXbMQhd3a7e9qedzRq/wwOmivIvnd38AM22zvHO0TVem3qNjuK
uFr91kxrQ3JZ/dH+AWxW75N5wh+mp86jOELlvkdLTbKb1nvfTmyiL7wurPF9
u+qTenytfkUbzHz6n6GimSP8Mu9vl6nBq+pO53X+A2tpr/ykN7T7b9zmDdJ9
Oi/zHJ9Rn/NR/mH5E/I/5Af0jutN80/hH71zvAsyl9Q97r6I/wDFNGl2
           "]], 
          LineBox[CompressedData["
1:eJwVkL1LQmEUh38ShDcrvdZNM03agqb2CzaULYEgNjUEOgQJmZTRckns4y8w
aLQPqYgbGlEQ1NxaFM5BQ0RbHzQ49DQ8POe85/e+93JGsoX0kkdSEeKGVOiX
TLwzLC0GpOCQFICkT/qJSAlcw+Pk9vAuvPdJa3gdbO6UsQMWWQPf9UhPZG5w
e1Daom5hlz5CvoFLnP3G+A/cxC58+qU8s0my113SKM7RvwSlOvNbL+9QH+BZ
+nvy22FpE6rkc3gBHDIzzFfxGH0Gd+BOOOOOH/tgnju1kHQINpnLbt6h/jDZ
Cz6ir5A/xi3O3qLSI77A5zDHbJnZ6wA7460mvoINMvvMs/znCnUKT7Pjb0uK
cUdk2tTPnDm4DCa5Ei7CAzua+J+zz69evo2n6E/Jn8TZLb1434A/U1dD7Q==

           "]]}, 
         RowBox[{"-", "9.44`"}]], Annotation[#, -9.44, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0l1oz2EYxvFLqLE3zMbGNmuHUpTUktFytPxjS02tiGYH1CZ5SSFaO3Gg
JKyFnNmsiFo5UgrlrUVLtBJNGwdTCiHFZwdX3/vl+t338/T8Gvb1tvfMSTJM
F8uS/kXJJbyzNPlal9zGqYZkktbVJ6f1fqxKThYnh1Ykx+WXeR7xPqFz4roF
vhMP0RvecdrNv4Z/LXXxXNer5tslLsY++lCTdNo/jZO0YXYHHqZavh48QF+q
k1bcRuv5d+IOKuF/pTdSmjysSG7iY/l+ccEZBuVTtclVbJO/XZg06nfKO3g6
sEreuzz5SwX5p/JkO/6T3+LvwCH8iC3qL5ckW/C9vMcdRouSC3ZsNu+P2i96
zX/G3LPUot7HP9e5+/GU2jP9Cb5mebl+E46auwnH1Sec4Sk+pxH1I+YP4YBd
nXZWeJdjVE1H6Yp6F/Zju/7YsuSaGS9KzBMX7GvDSjPerUxO6A3otaqt1qvH
Rrq/2E79u3i+ykzcg3up2TcHsZu+2TFd6RxmbOUpm90jLxLfw1KcpzYfm8zb
SD/d/7d/4TvN+IceeLsa3htmffbWMzQ8+y/oN7rHoHhM7T8ts2cV
           "]], 
          LineBox[CompressedData["
1:eJwVkc8rg3Ecx98O9Bj2PA/DxlguXJWLmnKYHbTaQVpyUJ6i5vBsyXJZW36d
HabcWKORSBL/gutqWspFKaW5yUEr9trh1ev7+b7f3+fnmJNacNskbYIRlP6H
pWqXdBGSLjuluX5pHr690iyegYolpfEWWLaUx1l4pt/AQVOyB6RxvMY14wbX
p7eKi8y51rpbeqBjeqR3nGJepn9D/kL+xd4UWWZQKpPtkJ1hl7lOXsDHEO6V
SvgUVuh7/JIXrui34wTPdMh90/ROcGyEZ2W9TuZAgTO7eB+eOLNIvgQ1Oue4
BG+snR5pIiA90o/gOnsb7Ll9gGPsfZC94lvmAN/oGteY9+g08B9UWRtDUgf4
+M5ZnIcw/W2cgU86R3jSRzYqTeNf5h+IcsbkH9mQ5MwBucU7unTuWd9BEwg7
QyA=
           "]]}, 
         RowBox[{"-", "10.03`"}]], Annotation[#, -10.03, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0k9oz3Ecx/GXtsOYDftnY/uxuSBJSVuKkhKlhAuKMBeKtaYobjuJlZKD
ouXiz2pyUHLioJj9abOUhNW0cRj5GyJ5/A7PXu8/r8/7/fn2+TYf7th1YlaS
G5gpJB/RX5NMNSeTWLMk+b40+Yoz5UnH4qQLl3kGeJfPTs6Jm2i//CZe8I5j
P/8q3r20lLbz/VuU/MFq8Rs6gX3zk2k6iXXFHbQTjTxfKpLj4g8NyQ76Tr6W
f4rulpfzj+r1yR9V+w76WH5EvN0djtJetQHfMohhHFK73pRcw6d59usXnKml
JXRncWd9ckl/qMqdxbfnJHtomd5TtSe4V5b08FzAJvVW+ybM+8k3SS+qbyze
Q++32pgZ3ea3qo3qjWGZ+Dw9i7fOjPO9okO0zbk+e7r07tj1QNxkRwGnvEu3
efX0JDrxFyt4hhcmI7hqzuDcpEat2owq+roxeYnTett4tmClOQXagvsLkmf6
d2lPnTejB+hBbHBmq3nHxJ+993StmfLNPBW0kk6oPdd7SEvUStXazFuPH97t
l//gG2YqkwaeOvTyv/fWM7hV/Bf0W3zvFfGI2n/XhWm8
           "]], 
          LineBox[CompressedData["
1:eJwNkc8rg3Ecx98O8mP2bGx4jG1RDnZYcqGtdsBBKykOTpYJoZ49MbdlSQql
HXZwIsmvm7T8DW5S1g6Uy2qXx02ShLwOr16fz/fz/n6fb9+nd8GeztRJykK0
UXL1SH/d0lVYuoDrJmmsXZqAd0NK4Dg8eiUbZ8HTKuVxmayDX7HRIXmh3yMt
cuYkZ6+TO6U+hi3q+RbpjozRLFXxIWsZ1h7wBn5jbYjZZqd0Sb/NWRb1Gjhk
ivgIYm3SGZ4j+4mXsWlKASixJxKUCnzfJneCk/Q5asMtLZEpkt/HYfp78jPM
Z6FC5hw/4zSzgT4phQexw1qiS1qlt3yAk/Q1znrBN/Qmb1ShLsMOmW/8C0/U
DQGpHnwu7oJjZA/wKJ4KST/cM+KX3Lxlnn6Y+ov5B4yzx88/GuF/rJDfZb4H
FpkSvoV/6qFCRA==
           "]]}, 
         RowBox[{"-", "10.62`"}]], Annotation[#, -10.62, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkTtIQmEYht+OQ/eLt/LazcUCCSJqCSJBaopwExpCCBLEoISgsbUWw62Q
aCiC5sZmUyEMqqFwEK1BopsRBFZPw8Nzvv99z38u/1B0LZxokrQD/hbpqEeq
uqUTXLNJj5Bplex2yQG1LumLfJRunU4Qz3gkk1kyOqQLOkX6JWxmdndLc+Rh
8iprL2SxXtbIpslCeIU5Sr6LU3DOdQb72iRvnzSCQ3geNrnnjv3uwWyRLF7J
inPss092iYv0/Kw1BqRb5g38Cz+wzV6uQckDDjA6JSdepR+DZuZZ9gxCCPKs
pfEexB3SIrnhlGzYiyP4mecekB/CslUqDPE+kIUM+dSwVOa5efqnzHb+2zvd
z//96d/QK+AK2ThZGS+4pCf6cfzK7OYc6jjJPNHOv8Q+ziJCv8T1AwTofOMG
RLk2cU4GLNG/4huv4bifZ+EcJOmEyVM4y3oarzMnYIt73uh8wBj/rcI7Bji7
MzqT+A8zIVTW
           "]], 
          LineBox[CompressedData["
1:eJwNkb1LAnEchz9tZV1WVtf1YikNOYhUUAQ5WMPhUnC0itGbCmpJYNELEQ1F
4eActESBU/RHtLUUDSWOLdcQNESkBD3Dw/P9/j6f33mcgZVNJ98kqQjhZskz
KP0NSDfD0jXctkhzPZINX+1SFMc4m6C7xBzHDnfMTumT3YUaudEreWHUK62S
p2CLzhW+hAPmZJt0gSv0znEV5zh7ZC7gD/Zxj7RtSjtwxLOyOAMunTKe6ZIC
Q7wjrrN/wzp3zD7JgnvuhMhLvGeeTpzZhj1mw5DW6JTpn2I/+wN9h7xKXuLs
jmwyKC2TjeEEjmCXPGpJafasj+cy2/BO/w3XwOyQXvAzHNP5xU941i+94ky/
tAFWK7+PzyDGnQXyBu8b6pYOmfdhijnM9/+hM0/fx380zZ6if0JeIK+M8K3J
FsmSZLtkCfwPaENB+Q==
           "]], 
          
          LineBox[{4925, 3403, 4918, 6388, 4916, 2259, 4898, 7562, 7547, 7555,
            2413, 6344, 4061, 3383, 4777, 7538, 4794, 6350, 6349, 2727, 6389, 
           6390, 4065, 7567, 4925}]}, 
         RowBox[{"-", "11.209999999999999`"}]], 
        Annotation[#, -11.209999999999999`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNkU0ow3EYx78jwrz8Z2PMvGytjERL3lIaLQ4upiVy0CQXhSzKwUFO46KU
C8uJlPPKgYOTTHkJZYuDIqWVNDlJPodvn+f5fb/P8/v3/7km54ZnTZLWUVu+
dGSTmuAGaq6lRstmKVknpdAWfqhKCqII9QVnl2i/RrqFV2icfC6+r1gKk2mB
vw52Ub9AF/2oIbnhK30r+Qj04Pexx48yRdIau+JwBb5DH+d3LukeJazSd7X0
hWzsOsRPVLK/QGp3S13onNw1esqTJsifwD3y6RLJSdaBrMyZYA6aqZC28Y/J
JUqlXRig96Nccl6+I8r+ELls+mkynXhhWIW3iif4WCgt8N8eYCNe2i6N4SXh
FWcezgzmLMigXuSelFNa4rsGyMzDDuhlZqdciqG4RRphdpM6TD0FA/TdZPth
kLMoO4bgIOxHDjwD77lMuuE9T+EZyiLTg9/LvRn+XQP84b0+eA87/hs0wxgz
f7yJqA/IfZKpJ/sPfHRNPQ==
           "]], 
          LineBox[CompressedData["
1:eJwNkEsrRHEYxh9l4TLuM8e4HM6QZorEFKVRMzbTIZfBUkadkHKZ0jQuTbKh
GD4CC6VmNVj5BFaWFsjSpZGUhYVZiN/i6fdenvd9//19TmJqrUjSJhppkkbR
RrUUr5TGiZ1yKWtJA+TnsB8Ot0lht/TVKEVgF7U+uN0ipVGAOAbHUIRdvxVS
Bq+XXQtwCd3XSSH6PyXSa4P0Av9MycR/w10DPlB/LpOi0EbLzIThIMrXcpd3
dCM/muNGEObwH3kli/wOjwl3yfeIZ+E+dFHbglHu2WiVuBMG0GWV9OFiDu88
u77rpQIawmPRP+SdQeI0nCjlTfR2mEnBddTDzJshvaPbGmmFXY/EB8RZOEMe
wx+HSWonzVICLkIHtdPz03PjfWJ/3iN9IgPPJH2bu9PkvdBDXuDvr/ivC5TD
f9oqnaFiesc+/gjfNX/Zwcw/ZolBqg==
           "]], 
          
          LineBox[{3401, 4806, 6380, 4805, 6343, 2412, 7554, 7546, 7561, 4897,
            2258, 4915, 6387, 4917, 3402, 4924, 7566, 4064, 3401}]}, 
         RowBox[{"-", "11.799999999999999`"}]], 
        Annotation[#, -11.799999999999999`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNkc8rw2Ecx9+SMvN7mzHfme/SlG9itYMQjsKydpSVcVAO2IHLkoNfm+1f
cFCy08bJEcXJcQdJnEwkNTntsOR1ePX+fJ73+3k+T89jLm9E12skJcGySQc+
yURTMNstbbdKETQMcbt03ivl4Axm/NI0TDilskcaaCZD3kJ/6cfJH5Gz8Od6
pEm8apN0jOfGW0XL9I8OaQR/FEpd0lu99OeVDPL3zL2DzwbpGu8WNskXTWkN
HaP/aGcG9xiEAIQgCHn2pDulDBTJGMzapd6nXkRt9Dctkh1dos+SN9EEfj/z
L/C+GtnH2gpexS290k/h+/DT3DNInUR/DOmQ/B6ZHTSBDrHnvYO7w0Ob9II+
QYo6hy5w1jzZGFqgryNvoFv4cc7z4wXwHKw98x/fLslD78IP40cgytow853U
Fd79krcqQJ78CX95CrV4Wd7LInfFm/ax5x8HzEVX
           "]], 
          LineBox[CompressedData["
1:eJwVkc8rw2Ecx9+rEcPGZmzNr5m2IraUX4klXCjKsuTAF+3iQPlRDk4Sbkop
sZzsP1g5zGEncRhuwxy4iJQDuREvh1evz+f5vJ/n+/R8vbOLYwsmSdvQWCs1
QxOsFUm5OmnGKu2VSwaOeKQl6gzr4/QnNVIU39BPks9jHqI3yLTgIDax1svs
gEwDa8vsufNK9+BjPkDfB2H4KJE2yCXxOn7GIdazZL8KpEuH9IQ/qyVHKb1b
uoBHi9RWL3XCOdkryJGbIp/Cx+TfbJKH7Au2Yztnp7mbDZvp513SPrnT/+/Y
pSPcTx+GAHfxww7fiZCLQoxMB7MuMKg92AUJzs8W871KaYL8Lc7Q+8g4mW9y
ro16BY8USq3MV9nTjdshwJ7DCikOyTLemb271Ab1HI7hYdam8VYVd4JR6iE8
CG7OenDyxnDN+Wc4DSYyPcy/ebcgfQqbcT688l+s2AJx9vzwX34hQeadN/Jz
1z+X5Utk
           "]], 
          
          LineBox[{7545, 7553, 2411, 6342, 4804, 6379, 3400, 6386, 4914, 2257,
            4896, 7560, 7545}]}, 
         RowBox[{"-", "12.389999999999999`"}]], 
        Annotation[#, -12.389999999999999`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV091rz2EYx/HLU9kY9sBmz/tlxMGGkmyNAweyNBGxaNNSUrKGA1GzsZmH
P0DjhDwczYGWAw9tMcSU7MTwE0rZPGwStSTN63fw6X19r/tzX9d9X9/vt6yp
eevBKRGRpLGCiGvzIm7Pipg6P+JSWkQaZtDonIgZOI3u8lTgSorMiFU4yHsP
X+BrTFLe3IiNhREbZkbU8XWJO6lBXDs7omVBxCR/N+6T2ybXi/V4RW5xutq5
EVV0RK0VWEmPrTVgUVZETlFEAt96HqYd9oziV7pmT771M/o38lzEKs97xdvz
Ijp4A7swURpRTmutl2IJHea7byZ9tJ/vAfZTZgYt1Ju+6lGWsIeK6WGZ89Ej
+qBulVw1ZZnZUXf96AxPsyN+4yueyuKIVr2OU6+6bdieOof8evrDl8iJSLc3
yX9Irtv6Barxnibz3cGZmtTv4Bn3vEf8C39SNU8n72lqsfevHh3i985wAsc8
18iP42f3WSP+hIH/zKJArUHv/okeI+7Tb+06b7P9Q6k7Ot9L7Mdl7jkgvsW3
SNyD58xtyBzbsZVOietxF/WZXbpajeLzvKX43bs/wPMFa7FArsnahPf5Tm6d
XKFzFdNy8TF9f6S+K7VO8rTRav6dWIEjvpVnvqkkDlOX+CreoDp7dqt5Uzyd
twCXpvrzlGMCs+TemOs33/NCuRy5Tfptpi1yuZhNE2Z0h3rNqYf/cknE89R/
ZO2smZyn22a5xJ4B+f8yln3g
           "]], 
          
          LineBox[{7544, 7552, 2410, 6341, 4803, 6378, 3399, 6385, 4913, 2256,
            4895, 7559, 7544}]}, 
         RowBox[{"-", "12.979999999999999`"}]], 
        Annotation[#, -12.979999999999999`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0t9rzXEcx/HXidXMxmztbMNxnNnkxq8mcuFWdjHJ7NB01CiUGvEHSGlp
uXIlu5gspbhYSzG1m1GWopRWuOJmVhI3btTmsYtXz/fvz/fz/n4q56+eHCkk
Gae59cnOtuR5czJWSe5QYWvyTnyinDxdl0xvSV5uSP5Si1yRTug5joPY0ZhU
2W34Wk9lU9JQTLr5V9i7cDN/TUPyDKeof2PyGB/RqJoFnMfv5nzEs+3JaTqo
5ybeott6fsn/ob0tSamU9OJX85/Ifcbf6vrEih3Jj9Xz2WX2Nhoz6xwO06z6
Iay530R9MsJ+heNmftLT05XsoCk9ZSxRFw02JUt6q9jamTTjnP3M281lM97i
LP+6GZXtyVr5I2bWYTd/1LwV31hQe0HNMvsfHWJ/w1O+p1P9pDOW+ItU1bOA
A3gJK2qHsUZv7G0P7qMbeu6582F2j9qHcmf40/Y5gBfxvtiyM65hn1hN7K59
Drl7P/soHuO3m/XFv23FD/heTy8eoBVvZT/uphl2Pb7wXhbdfQYb+Q/UF1bf
FX9SzU87+Q+avlUz
           "]], 
          
          LineBox[{7543, 7551, 2409, 6340, 4802, 6377, 3398, 6384, 4912, 2255,
            4894, 7558, 7543}]}, 
         RowBox[{"-", "13.569999999999999`"}]], 
        Annotation[#, -13.569999999999999`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkT1IQlEYhl9dyop+RK9FRdd0kgYH+4FaixCHiCyKO4RhgUOCDeEcUtAQ
TS6BIEJDWENQQUNRVBhFzkFhEW7Rz5zR0/DyfN/3nvfce87xxpKTyzZJaXTY
KP24pGKrtO6V9uEJs2qzdATr3PTMgvCe/pf6AQ7S3zmYwTIyWqRbOMZstF6K
tEmzcLNLsqhXDCmJavhZONMkhclk8c/xc8z8DdKQR9rGS+FtwRD9JZ4F55Hp
lBZhHEVZ/warKM/6V1hBA6ypwWfyMeoKtLdLGdb7TGmJ2XC3NIIS1G68cfhO
5gPtstcjmW9qi8wGDP37/OsaXhEvw6wfbxrOoTJneMFf5cxn/G8chjlrgTpC
5gDuITsZA3agBBkfezmoTeqLHslFH2UfD7ymf+Kup3iXU95jAh7DhV7uhHcI
cN83+J/MSrCPvsA3d8hd0X918rboD+JvSlc=
           "]], 
          
          LineBox[{7542, 7550, 2408, 6339, 4801, 6376, 3397, 6383, 4911, 2254,
            4893, 7557, 7542}]}, 
         RowBox[{"-", "14.16`"}]], Annotation[#, -14.16, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkDFLQmEUhl83q4tleE0ouNgW0aRFfyEagrpC4RBIQy1GDf6CNHCIIHAw
IiwSCmlsuEhSpBhFDjoKCuFqWqMGPQ0vz3fec853vu8EY/vrcZekOBr4pMKE
lApKSfQ9LTljUtaSbkakIrl34l/4AZdM6Q2/Bg1DMselV85VtIl6//RK6Rkp
Cg/9zEFDes5gBq3QkyGfRY/UNGAJnnLfAbkTGJqSnqndhpfE1qR0BXeJ7VGp
AxvEOerr8JN4kZohXIYtvFtyEeZ28fKcf2AfRek/hvfULFBbgE3mH+GFyW3B
C7waXpu3Jdy8k7fswDyxzV0Oe1qFd/guekwYQHv0GNCNLM4l9viEbPr83Fnm
3GSPG+za8Uhr8AHGZvkvO55jfxXyX3hVOE98zR/O6Xsh7jF3gP4A60BJCA==

           "]], 
          
          LineBox[{7549, 7541, 7556, 4892, 2253, 4910, 6382, 3396, 6375, 4800,
            6338, 2407, 7549}]}, 
         RowBox[{"-", "14.75`"}]], Annotation[#, -14.75, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwlkD9LgmEUR49D/nsFK/wzVIYN5RB9BHF0EtQgcEoraKm+QaPgGjUIETQ0
9QFCwigQXcShtiSamoOmoMUjDYdzeZ57f89933zrrHYaAqoyzMBhFo4SUNSX
+tGz11V4k/4S7Eeha11OwpV3F/IXgxP9q8fr0LDvJw3fsidjiZuVcibQEe/D
EjFnQcJScrZg38siNDfcQyp5qElVpgEMzB5J3f5n/SS5eY5vB3JsndXEoaOj
+mEFelL37TvnDty/792n9YdMnLl2p6ne9Zvf9bm+92x7GdrWDXN2rDNr5sum
9ZezW/rWvpy+Sfz/vxm3zi5H
           "]], 
          
          LineBox[{6381, 3395, 6374, 4799, 6337, 2406, 2227, 4891, 2252, 4909,
            6381}]}, 
         RowBox[{"-", "15.34`"}]], Annotation[#, -15.34, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{5987, 3232, 3964, 7395, 7396, 4645, 2183, 4651, 6013, 4569,
            5971, 3226, 3963, 3227, 5824, 7390, 5820, 7335, 7332, 3922, 7096, 
           7094, 2567, 5768, 5771, 4462, 7317, 2142, 7257, 2122, 8591, 7255, 
           8137, 8136, 3038, 5465, 5579, 5462, 5617, 3099, 4441, 8139, 8138, 
           2554, 8152, 3909, 5780, 3911, 7320, 2143, 4540, 2163, 7382, 5818, 
           3219, 5949, 3172, 5987}], 
          LineBox[{2405, 6336, 4798, 6373, 4908, 2251, 4890, 2226, 2405}]}, 
         RowBox[{"-", "15.93`"}]], Annotation[#, -15.93, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{7099, 3777, 3921, 7331, 5825, 3170, 5973, 3962, 5986, 3171,
            5948, 5951, 5817, 7381, 5816, 7093, 4470, 5766, 5767, 3910, 3153, 
           8153, 2553, 8141, 7258, 8592, 7256, 7316, 7315, 4461, 3154, 5770, 
           2566, 7099}], 
          LineBox[{2404, 6335, 4797, 6372, 4907, 2250, 4889, 2225, 2404}]}, 
         RowBox[{"-", "16.52`"}]], Annotation[#, -16.52, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[{2403, 6334, 4796, 6371, 4906, 2249, 4888, 2224, 2403}]}, 
         RowBox[{"-", "17.11`"}]], Annotation[#, -17.11, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[{6333, 2402, 2223, 4887, 2248, 4905, 6370, 4795, 6333}]}, 
         RowBox[{"-", "17.7`"}]], 
        Annotation[#, -17.7, "Tooltip"]& ], {}, {}}}], {
    DisplayFunction -> Identity, AspectRatio -> 1, DisplayFunction :> 
     Identity, Frame -> True, FrameLabel -> {
       FormBox["\"X\"", TraditionalForm], 
       FormBox["\"Z\"", TraditionalForm]}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], Method -> {"DefaultBoundaryStyle" -> Automatic}, 
     PlotLabel -> 
     FormBox["\"Total dipole trap effect on 1S0\"", TraditionalForm], 
     PlotRange -> {{-400, 400}, {-3000, 3000}}, PlotRangeClipping -> True, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.02]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
       FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           GraphicsBox[{
             RasterBox[CompressedData["
1:eJxFl3k0FFD7x0nayxKVJUmkZIkkSX1bpVSKFIoWoqhsrUKSLUpIyRrKWlTa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              "], {{
                Rational[-15, 2], 
                Rational[-225, 2]}, {
                Rational[15, 2], 
                Rational[225, 2]}}], {Antialiasing -> False, 
              AbsoluteThickness[0.1], 
              Directive[
               Opacity[0.3], 
               GrayLevel[0]], 
              LineBox[
               NCache[{{
                  Rational[15, 2], 
                  Rational[-225, 2]}, {
                  Rational[-15, 2], 
                  Rational[-225, 2]}, {
                  Rational[-15, 2], 
                  Rational[225, 2]}, {
                  Rational[15, 2], 
                  Rational[225, 2]}}, {{7.5, -112.5}, {-7.5, -112.5}, {-7.5, 
                112.5}, {7.5, 112.5}}]]}, {
              CapForm[None], {{
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -102.35199246281914`}, {
                    Rational[
                    15, 2], -102.35199246281914`}}, {{-7.5, \
-102.35199246281914`}, {7.5, -102.35199246281914`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -95.19025938072187}, {
                    Rational[
                    15, 2], -95.19025938072187}}, {{-7.5, \
-95.19025938072187}, {7.5, -95.19025938072187}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -88.0285262986246}, {
                    Rational[
                    15, 2], -88.0285262986246}}, {{-7.5, -88.0285262986246}, {
                  7.5, -88.0285262986246}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -80.86679321652733}, {
                    Rational[
                    15, 2], -80.86679321652733}}, {{-7.5, \
-80.86679321652733}, {7.5, -80.86679321652733}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -73.70506013443006}, {
                    Rational[
                    15, 2], -73.70506013443006}}, {{-7.5, \
-73.70506013443006}, {7.5, -73.70506013443006}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -66.54332705233278}, {
                    Rational[
                    15, 2], -66.54332705233278}}, {{-7.5, \
-66.54332705233278}, {7.5, -66.54332705233278}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -59.381593970235514`}, {
                    Rational[
                    15, 2], -59.381593970235514`}}, {{-7.5, \
-59.381593970235514`}, {7.5, -59.381593970235514`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -52.219860888138214`}, {
                    Rational[
                    15, 2], -52.219860888138214`}}, {{-7.5, \
-52.219860888138214`}, {7.5, -52.219860888138214`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -45.05812780604094}, {
                    Rational[
                    15, 2], -45.05812780604094}}, {{-7.5, \
-45.05812780604094}, {7.5, -45.05812780604094}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -37.89639472394367}, {
                    Rational[
                    15, 2], -37.89639472394367}}, {{-7.5, \
-37.89639472394367}, {7.5, -37.89639472394367}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -30.7346616418464}, {
                    Rational[
                    15, 2], -30.7346616418464}}, {{-7.5, -30.7346616418464}, {
                  7.5, -30.7346616418464}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -23.57292855974913}, {
                    Rational[
                    15, 2], -23.57292855974913}}, {{-7.5, \
-23.57292855974913}, {7.5, -23.57292855974913}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -16.41119547765186}, {
                    Rational[
                    15, 2], -16.41119547765186}}, {{-7.5, \
-16.41119547765186}, {7.5, -16.41119547765186}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -9.249462395554573}, {
                    Rational[
                    15, 2], -9.249462395554573}}, {{-7.5, \
-9.249462395554573}, {7.5, -9.249462395554573}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -2.0877293134573023`}, {
                    Rational[
                    15, 2], -2.0877293134573023`}}, {{-7.5, \
-2.0877293134573023`}, {7.5, -2.0877293134573023`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 5.074003768639969}, {
                    Rational[15, 2], 5.074003768639969}}, {{-7.5, 
                  5.074003768639969}, {7.5, 5.074003768639969}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 12.23573685073724}, {
                    Rational[15, 2], 12.23573685073724}}, {{-7.5, 
                  12.23573685073724}, {7.5, 12.23573685073724}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 19.39746993283451}, {
                    Rational[15, 2], 19.39746993283451}}, {{-7.5, 
                  19.39746993283451}, {7.5, 19.39746993283451}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 26.559203014931782`}, {
                    Rational[15, 2], 26.559203014931782`}}, {{-7.5, 
                  26.559203014931782`}, {7.5, 26.559203014931782`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 33.72093609702907}, {
                    Rational[15, 2], 33.72093609702907}}, {{-7.5, 
                  33.72093609702907}, {7.5, 33.72093609702907}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 40.88266917912634}, {
                    Rational[15, 2], 40.88266917912634}}, {{-7.5, 
                  40.88266917912634}, {7.5, 40.88266917912634}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 48.04440226122361}, {
                    Rational[15, 2], 48.04440226122361}}, {{-7.5, 
                  48.04440226122361}, {7.5, 48.04440226122361}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 55.20613534332089}, {
                    Rational[15, 2], 55.20613534332089}}, {{-7.5, 
                  55.20613534332089}, {7.5, 55.20613534332089}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 62.36786842541816}, {
                    Rational[15, 2], 62.36786842541816}}, {{-7.5, 
                  62.36786842541816}, {7.5, 62.36786842541816}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 69.52960150751542}, {
                    Rational[15, 2], 69.52960150751542}}, {{-7.5, 
                  69.52960150751542}, {7.5, 69.52960150751542}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 76.69133458961271}, {
                    Rational[15, 2], 76.69133458961271}}, {{-7.5, 
                  76.69133458961271}, {7.5, 76.69133458961271}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 83.85306767170998}, {
                    Rational[15, 2], 83.85306767170998}}, {{-7.5, 
                  83.85306767170998}, {7.5, 83.85306767170998}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 91.01480075380725}, {
                    Rational[15, 2], 91.01480075380725}}, {{-7.5, 
                  91.01480075380725}, {7.5, 91.01480075380725}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 98.17653383590454}, {
                    Rational[15, 2], 98.17653383590454}}, {{-7.5, 
                  98.17653383590454}, {7.5, 98.17653383590454}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 105.3382669180018}, {
                    Rational[15, 2], 105.3382669180018}}, {{-7.5, 
                  105.3382669180018}, {7.5, 105.3382669180018}}]]}}}, {
             Antialiasing -> False, 
              StyleBox[
               
               LineBox[{{7.500000000000001, -112.50000000000001`}, {
                7.500000000000001, 112.50000000000001`}}], 
               Directive[
                AbsoluteThickness[0.2], 
                Opacity[0.3], 
                GrayLevel[0]], StripOnInput -> False], 
              StyleBox[
               StyleBox[{{
                  StyleBox[
                   LineBox[{{{7.500000000000001, -99.92428633329467}, 
                    
                    Offset[{4., 0}, {
                    7.500000000000001, -99.92428633329467}]}, {{
                    7.500000000000001, -69.57795971423843}, 
                    
                    Offset[{4., 0}, {
                    7.500000000000001, -69.57795971423843}]}, {{
                    7.500000000000001, -39.231633095182175`}, 
                    
                    Offset[{4., 0}, {
                    7.500000000000001, -39.231633095182175`}]}, {{
                    7.500000000000001, -8.885306476125928}, 
                    
                    Offset[{4., 0}, {
                    7.500000000000001, -8.885306476125928}]}, {{
                    7.500000000000001, 21.461020142930323`}, 
                    
                    Offset[{4., 0}, {7.500000000000001, 
                    21.461020142930323`}]}, {{7.500000000000001, 
                    51.80734676198657}, 
                    
                    Offset[{4., 0}, {7.500000000000001, 
                    51.80734676198657}]}, {{7.500000000000001, 
                    82.15367338104282}, 
                    
                    Offset[{4., 0}, {7.500000000000001, 
                    82.15367338104282}]}}], 
                   Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], StripOnInput -> False], 
                  StyleBox[
                   LineBox[{{{7.500000000000001, -112.06281698091718`}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -112.06281698091718`}]}, {{
                    7.500000000000001, -105.99355165710593`}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -105.99355165710593`}]}, {{
                    7.500000000000001, -93.85502100948342}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -93.85502100948342}]}, {{
                    7.500000000000001, -87.78575568567219}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -87.78575568567219}]}, {{
                    7.500000000000001, -81.71649036186093}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -81.71649036186093}]}, {{
                    7.500000000000001, -75.64722503804968}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -75.64722503804968}]}, {{
                    7.500000000000001, -63.50869439042718}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -63.50869439042718}]}, {{
                    7.500000000000001, -57.43942906661593}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -57.43942906661593}]}, {{
                    7.500000000000001, -51.37016374280468}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -51.37016374280468}]}, {{
                    7.500000000000001, -45.30089841899343}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -45.30089841899343}]}, {{
                    7.500000000000001, -33.162367771370924`}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -33.162367771370924`}]}, {{
                    7.500000000000001, -27.093102447559676`}, 
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -27.093102447559676`}]}, {{
                    7.500000000000001, -21.02383712374843}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -21.02383712374843}]}, {{
                    7.500000000000001, -14.954571799937177`}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -14.954571799937177`}]}, {{
                    7.500000000000001, -2.816041152314677}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -2.816041152314677}]}, {{
                    7.500000000000001, 3.253224171496573}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    3.253224171496573}]}, {{7.500000000000001, 
                    9.322489495307822}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    9.322489495307822}]}, {{7.500000000000001, 
                    15.391754819119074`}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    15.391754819119074`}]}, {{7.500000000000001, 
                    27.530285466741574`}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    27.530285466741574`}]}, {{7.500000000000001, 
                    33.599550790552826`}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    33.599550790552826`}]}, {{7.500000000000001, 
                    39.66881611436408}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    39.66881611436408}]}, {{7.500000000000001, 
                    45.73808143817532}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    45.73808143817532}]}, {{7.500000000000001, 
                    57.876612085797824`}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    57.876612085797824`}]}, {{7.500000000000001, 
                    63.945877409609075`}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    63.945877409609075`}]}, {{7.500000000000001, 
                    70.01514273342032}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    70.01514273342032}]}, {{7.500000000000001, 
                    76.08440805723157}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    76.08440805723157}]}, {{7.500000000000001, 
                    88.22293870485407}, 
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    88.22293870485407}]}, {{7.500000000000001, 
                    94.29220402866532}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    94.29220402866532}]}, {{7.500000000000001, 
                    100.36146935247658`}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    100.36146935247658`}]}, {{7.500000000000001, 
                    106.43073467628783`}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    106.43073467628783`}]}}], 
                   Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4], 
                    Opacity[0.3]], StripOnInput -> False]}, 
                 StyleBox[
                  StyleBox[{{
                    StyleBox[{
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-17.5\"", -17.5, AutoDelete -> True],
                     NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {
                    7.500000000000001, -99.92428633329467}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-15.0\"", -15., AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {
                    7.500000000000001, -69.57795971423843}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-12.5\"", -12.5, AutoDelete -> True],
                     NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {
                    7.500000000000001, -39.231633095182175`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-10.0\"", -10., AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {
                    7.500000000000001, -8.885306476125928}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-7.5\"", -7.5, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {7.500000000000001, 
                    21.461020142930323`}], {-1, 0.}, Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-5.0\"", -5., AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {7.500000000000001, 
                    51.80734676198657}], {-1, 0.}, Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-2.5\"", -2.5, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {7.500000000000001, 
                    82.15367338104282}], {-1, 0.}, Automatic, {1, 0}]}, 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}, StripOnInput -> False], 
                    
                    StyleBox[{{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4], 
                    Opacity[0.3]], {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}, StripOnInput -> False]}, {}}, {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}, StripOnInput -> False], "GraphicsLabel", 
                  StripOnInput -> False]}, "GraphicsTicks", StripOnInput -> 
                False], 
               Directive[
                AbsoluteThickness[0.2], 
                Opacity[0.3], 
                GrayLevel[0]], StripOnInput -> False]}}, PlotRangePadding -> 
            Scaled[0.02], PlotRange -> All, Frame -> True, 
            FrameTicks -> {{False, False}, {True, False}}, FrameStyle -> 
            Opacity[0], FrameTicksStyle -> Opacity[0], 
            ImageSize -> {Automatic, 225}, BaseStyle -> {}], Alignment -> 
           Left, AppearanceElements -> None, ImageMargins -> {{5, 5}, {5, 5}},
            ImageSizeAction -> "ResizeToFit"], LineIndent -> 0, StripOnInput -> 
          False], {FontFamily -> "Arial"}, Background -> Automatic, 
         StripOnInput -> False], TraditionalForm]}, "BarLegend", 
      DisplayFunction -> (#& ), 
      InterpretationFunction :> (RowBox[{"BarLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{
                 RowBox[{"Blend", "[", 
                   RowBox[{"\"M10DefaultDensityGradient\"", ",", "#1"}], 
                   "]"}], "&"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "18.536016139990423`"}], ",", 
                   RowBox[{"-", "8.160773240685269`*^-12"}]}], "}"}]}], "}"}],
            ",", 
           RowBox[{"{", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "17.7`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "17.11`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "16.52`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "15.93`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "15.34`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "14.75`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "14.16`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "13.569999999999999`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "12.979999999999999`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "12.389999999999999`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "11.799999999999999`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "11.209999999999999`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "10.62`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "10.03`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "9.44`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "8.85`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "8.26`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "7.67`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "7.08`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "6.489999999999999`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "5.8999999999999995`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "5.31`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "4.72`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "4.13`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "3.54`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "2.9499999999999997`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "2.36`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "1.77`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "1.18`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "0.59`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}]}], "}"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
           RowBox[{"Charting`TickAnnotations", "\[Rule]", "None"}], ",", 
           RowBox[{"Charting`TickSide", "\[Rule]", "Right"}], ",", 
           RowBox[{"ColorFunctionScaling", "\[Rule]", "True"}]}], "]"}]& )], 
     TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.801381795399836*^9, 3.8044004343777514`*^9, {3.804400732675813*^9, 
   3.8044007899240875`*^9}, 3.8044009124180937`*^9, 3.804401599714405*^9, 
   3.8044016785739155`*^9, 3.804401720180295*^9, 3.804401835254877*^9, 
   3.8044019059179187`*^9, 3.8044019458012*^9, 3.8044029617803106`*^9, 
   3.804402996312286*^9, 3.804403033115391*^9, 3.804403081983186*^9, {
   3.804403129693915*^9, 3.8044031522852073`*^9}, 3.8044032048682146`*^9, 
   3.8044032509228487`*^9, 3.8044032943363323`*^9, 3.804403347938398*^9, 
   3.804403389684786*^9, 3.804403459108756*^9, 3.8044034981579895`*^9, 
   3.8044035488728905`*^9, {3.80440358470194*^9, 3.8044036112284575`*^9}, 
   3.804403666749633*^9, 3.804403758466879*^9, 3.8044072678616047`*^9, 
   3.8044105250399046`*^9, 3.804410591351697*^9, 3.804412789637432*^9, {
   3.804412851739984*^9, 3.8044128646487226`*^9}, {3.80441289467344*^9, 
   3.804412918652811*^9}, 3.8044129537748203`*^9, {3.8044131443627214`*^9, 
   3.8044131594915867`*^9}, {3.8044131997918916`*^9, 3.8044132251583424`*^9}, 
   3.8044132777723517`*^9, 3.8044133238439865`*^9, {3.8044133639772825`*^9, 
   3.804413390136779*^9}, {3.804413438461543*^9, 3.8044134564045687`*^9}, {
   3.8044135165740104`*^9, 3.8044135726442175`*^9}, {3.8044136224530663`*^9, 
   3.8044136485945616`*^9}, 3.804413708095965*^9, 3.804413746367154*^9, 
   3.8044137907366915`*^9, 3.804414045244249*^9, {3.804414126518897*^9, 
   3.804414154417493*^9}, 3.8044145401135535`*^9, 3.804414659960408*^9, 
   3.8044147162986307`*^9, 3.8044238077676334`*^9, 3.8044238444817333`*^9}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[
    GraphicsComplexBox[CompressedData["
1:eJx0nXmA19P3/5MUhZJE4tNiWpRSqSxJtyxtSo32VO9plpqZpnnP8m75Wj9k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     "], {{{
        EdgeForm[], 
        RGBColor[0.148, 0.33, 0.54], 
        GraphicsGroupBox[{
          
          PolygonBox[{{7378, 1061, 6771}, {7791, 1061, 6773}, {6771, 1061, 
           7705}, {7795, 120, 5494}, {6770, 1061, 7791}, {8207, 120, 5623}, {
           7705, 1061, 6770}, {6773, 1061, 7797}}], 
          PolygonBox[{{7797, 1061, 120, 7795}, {5623, 120, 1061, 7378}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.22325787206184144`, 0.37180992892324527`, 0.6104795944706134], 
        GraphicsGroupBox[{
          
          PolygonBox[{{7785, 119, 5491}, {5491, 119, 7790}, {5469, 119, 
           7785}, {8193, 119, 5621}, {7378, 1680, 5623}, {8215, 1887, 6164}, {
           7375, 1680, 8213}, {8208, 1680, 7375}, {7377, 1680, 8208}, {5621, 
           119, 5469}, {6164, 1887, 8272}, {7702, 119, 8193}, {7795, 1887, 
           7797}, {8272, 1887, 7796}}], 
          
          PolygonBox[{{7796, 1887, 2444, 8607}, {5623, 1680, 2120, 8207}, {
           5494, 2444, 1887, 7795}, {6768, 2120, 1680, 7377}, {7792, 7791, 
           6773, 6774}, {7790, 119, 2122, 8211}, {8210, 2122, 119, 7702}, {
           6772, 6771, 7705, 7706}}], 
          
          PolygonBox[{{8211, 2122, 6770, 7791, 7792}, {6774, 6773, 7797, 1887,
            8215}, {8213, 1680, 7378, 6771, 6772}, {7706, 7705, 6770, 2122, 
           8210}}]}]}, {
        EdgeForm[], 
        RGBColor[0.263232245736739, 0.39401791429818833`, 0.6479159126740889], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtk01sjHEQxoeiRVptt7ut3fVGd9ktm1Vpm4iEpKQXWl/tpT7ShESQsm2l
6Ik44EIikaBCRYWTGyfdVqJuGlJx41JaXNx8nJr6PeY9/DPzzjvzzMzzf/71
x/o6C4vN7ASnhHM5anYbeyVrdjwwSy8xK8TNXlaZPV5hNsO/L/VmY8vNvmK/
Zczm8XenzJrSZjfJacZWrzVrKzWLB143VG42in2XdMzTYO7JOI7wllI/jb8M
e5DejeQOywfrKfFX5Lwg/zt+NuX91Lc95d+KN2A3VptN0Kt/kdleZuhhhkgd
c8SoZ/Y77BcJ4wVmu8D3NeLd9GyuMWvh/AjzlP+beFnMORE3NzhP8MeJz+Kf
wu/C7kiYvYGj3rzbRKXjPGTu7ew7SK/P5B0itgs7y6w97DiHfd/ofbvTvqf2
PQrOpYxzIm4GAp9ZO73OmSXB30nP2sB5LiF+LmL2i95N/CvCwThnlTnX4rwq
cE7F7T3seIPnLMDP9bjP+Snp9zUa3nUsxNd9aif1Fbdj1LeRU8TuS3vNfmxv
2Evaaan0Wc6Q/5YdN7PjFPYZ+38A+zA7FqiPUNuHHaS2vcwsSq/+cF/dVU3W
c5S7odpxhZnmXibBeQTefTj5y7IjOdfrf42BEeWswx+Iuy6KoTZ+1vpepeCX
M/cQ+BXYzoTjz+TcilPtkG5wbUvjH+nXTt/WqPMhzQnz7EqfT7NpJs2Woi6D
zxjWkfF+6qt705tQjbiuJd7B7ufj/q24cFrDXnPUFkMc4W3hbMN/Tjwfcz7F
6yYOtNrFjN+3eNCd3IX7rZwEmEfyzpU4e5Dzf/PcS7De+96qc41KqxG4t9XO
3QS7TGRdt9KvdH4y4rqYTjrP/fT6k3U+xetC+L70zq5mXTPSjjiVVjXPcN79
A3BfFfP3pXc2Ge6inUbqXQ96B1Ph7uKgK3yDNYFreU2Fa15z6W402z+CpqIp

           "]], 
          PolygonBox[CompressedData["
1:eJwtks1vTHEUht82QluZ6nTuDGZqYu7VzjC5Kmk3hAVpbKaibSJpkaa6qa+o
UGKDkGArkQgSNsI/oCtmulA7TYvYsdBQbOy0Vm09x7E4yTn3fL2/59zC6PjA
uXpJu7E1WLBVqjRIPeukXxulqRKWkHa0SvOxdDYvRRRebZRuFqgnPkXfNr6l
8W8UPGc1s21SqigdJZ9qohY/m/fZtmMiKz0pS382sD+Q3ndKn+jZR+8delbT
Un9O+p2ULqWkBPl69NVhi+SWsNVNUg19VbPSf0u4Zm32HuvtbpEGmHULDfdJ
9aDnNv582XPbed8X3pdmXoD1saMfO23vwy6yawJbpGeS/iv0L+H3RdJT/Jdo
HKF/LCPl6lzzQ+LmyGun6YnIveiQ9uL/gNEkfopdw/DohUeGfTVmPiM/TM8U
/gI1FeJl6r/jrw3h1OgzZtAzHjpbu8E34q/wf0We1ZomXub9DwLXZNpWdkon
4fEGffvhUQl9tt3oM/WPiDubnFED9ffQd2E9b4DnQdgegemWZmdeI14IXasx
yWb8H7F/pQ2mr2F7jPiD/MbHY7+x3do0PS47c2NvO/Lt0uWsszAm5+E+Q/2u
wGfEGddgWoz5YdiGJWd7lzjCPxP7237ybQ/11dBvbUyTxL0wZOw/RofwZ5nf
xfznxEPMO5Bz7cbIWA3yrTvwGqu91uFs7QbX8U/E3mszq/ArhX5bu9lH4sGi
/8vGdKjomkybzZxjXpKbt2Bz/PfvsK7I32Jvfkv+L0pygsk=
           "]], 
          
          PolygonBox[{{8273, 8272, 7796, 1085, 6796}, {5622, 5621, 5469, 2429,
            8577}, {8578, 2429, 5469, 7785, 7786}, {5492, 5491, 7790, 1886, 
           8606}, {8214, 2124, 8215, 6164, 6165}, {8195, 1860, 7702, 8193, 
           8194}, {7376, 7375, 8213, 2123, 8212}, {6769, 1060, 7377, 8208, 
           8209}}]}]}, {
        EdgeForm[], 
        RGBColor[0.3102764756977867, 0.4127489211717461, 0.6366745318581701], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFllts1EUUxmfpAi2UwrLd7XZparsru9V2KYgPXtBQiEZSQMFgizYBlMRY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           "]], 
          PolygonBox[CompressedData["
1:eJwtlFtslGUQhqfbLe02tFrav/vbNk27q7sbV0TBRI3EtBAuajkbpUUSRKsR
0a6owRDqsSgmaowYwiFg4p0iV6gXhgIRY7wQgjEeYiAesIAXxitFuEB83rxc
fPnn+2fmnZl3Zr7+h2orxzMR8RgnyylUIta1ROxvi3g/iZhb5JvxvyK6DbMj
uq6NaG+IGOyOmFXGD8fF2Hyfj5iH/TvN9pHvC6WINTMjhsG7GbwH8P8Y+eI1
EQe4b+hF3xjxRi5iX3/ECD4fNjvGyTkRL2OzDftb+NfUGbGVGD1gn6mPWAr2
Me4DGedwnvs051K9/32O7iPObRn/+xTdZTDngX2J+PuqERPE+0rYdRFbkM/1
RPxEbefh4o5O56hcb+2ImM39Ave3Z0QsaIrI9EUcBPOvesfYT6yzhYi14L3O
fRr52cS1qcbHqbWDsxD5GWq6F91bnO3Ii/BpA/8b4o/gOwR+G/iH4bevxTay
XdBt7udzjlXdI/VqM/5F/A8Rcwv+l+H8NXxfLVsWh+JyquBYspHtnZ2udS71
nYCbjV2OrRwTch0hxgfY/0iNq5Af5d8jnHHsapyfbyI23H+JzS/IK8h5DP8x
8JM0orXo3HZwb0Fux7c16xr/hK8lxG+scw+2azbgc4J87yPf28n3SMW1XtSQ
XhfxD/UshI/30O9E/3zJs1BBvxO84ZJz1YxM5h1TseVzAd9deduqZy9hO5l6
VlXD9cR6kpqe4LSR5yzOCvguNXhmdpNfBc7+yLnf5YJzUC7qeRe1/E2Mh7OO
WQN7fZdnRTNzgt7uhcMH270Da8DbDUYN21+peRTfH/LeJXGUcL+n4Fnei/4c
+Z4tWV6L/4BiVz3LwhT2VnyGsu7vAPGXU/8k9wPclyHPAO/bnDloQH43te4u
auy9gdjgzwd/EPwS+KvAuzvrHG/E9ky/uZXNEmz74ayWNYevoG+i/42cPNyl
nGFi/JdzDaplT8G7LDzV/hwxJoi1C36uIP8O/lTu6o4j17DpaDYn48hjYG5i
FBbBaTNx1sHhIfyr1H9U70fZXApT2FPc7896H0dS28hWb8xo0TuoXVSMaeQm
9DPr/AbkkK+knr0S83K44jdMb5ly/CIxh+JSb9yL8JHrc27KsbXXM6JZ0Ux/
gn40dS6akaPkVk3NhXq2mvtT6dXZ4f4v98HUvVQN28reCe2GengcuTP1rqlH
m3q9w9pl7ewO9rEdn8+IvR6focQcikv960D3W9W914yv7Pabpfz05hxBf3yO
3z696V8jP02MjZyl1LmszzOoWdROfJc4hmKp56cTz5BmST2aQj7V417rjXiT
3dhc9NuhN2Ax+/M/U8bgPA==
           "]], 
          
          PolygonBox[{{8204, 1679, 7374, 6764, 6765}, {8271, 8270, 6163, 612, 
           8269}, {8202, 2117, 6763, 7781, 7782}, {7704, 7703, 8195, 2114, 
           6761}, {6767, 6766, 7788, 1884, 8206}, {7698, 7697, 6763, 2117, 
           8201}, {8198, 600, 6125, 8199, 8200}, {8605, 2443, 8606, 7793, 
           7794}}]}]}, {
        EdgeForm[], 
        RGBColor[0.3599271858574809, 0.4301980525377729, 0.6074868939368163], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVWFoVWUYfrE5773c69m0nXu6Xc+992yeM9Rh/UjKIeUSdeYMRjF1Cjqn
M3VbGAk5J6ZSECIUaOIUIvrloIki6ApGA0UUEYn8YdCaWoH6R9EkitHz8Hw/
Dt93vvN+7/s+z/u876l09bf3TTOzS3hewDMZmW3ImN3D+kve7GLWbFZitqjO
rBnfR2KzYexvYT8UmjVhvwD7vTifWTZbkTLrL5j9hLtDuHsf53tgt2mGmR+Y
fQP7cdiHjWZvYr+KMWFzHPvz2D9GrOYq2X+G9yM4/4754XwS/j7yzI7hfQxr
gucsbNthsx1nWRdnh6e7U3VaP8Z6FZj6XjT7G/YD8PNHWnh+wLc5WOdi7Zgv
v2ux/uxyY44r8azD3kMOU7g76CmnNOJV4K8beFsQN6pSHjeK2n9QULxdiPsU
65m8Yp8D3gy46sSdbvh4lNf92dhvxPfFnnLbHYqL0xVwi/1S2KRx70Gt2ebZ
8r3AVy1Yk005s6MZ8duLmM/x/XcTbuLnO/kib8S8BLFe8VS/FPwuQ+2qsR6o
E8efAm8pJz0Q77fVZnemgyM8HZ5y3u74Jc/vwb7V4fIC5c38dyL3Xx2H5JKa
qs3o/XVffv8sChPzJK5B2LztqQaRL0zUTne14s/Eewty25ORbu45DVAL5Jv4
iZ0a/DctP6dC1aHhZbNrKcXh+0Hk3QI/F6H59U5n85H/tlBYWKuBeuW2D2um
XnGzWD/3lAdzIE8Vt6cGJ7LipSkjn+R0NJEd+2w1cF3B/hP48Vx9n5WkL/JO
zmsScbUT9q3QzSVgmQCvdTgfhc/bedWEdR2pEg5qlHf/KcknfY/M0fe7Bfnj
XfJFvXTlpKGF9Xp/lbic1pcGwrospxr0OW7J3ZNE38hHLpTmd8B/U1o1ZZ2+
apJe24D1VEV89oTin+f005wVLmpy3M0TzpWvga2T/RYrZp/T9HU3iziTyDdr
QM4P5eXrHdi/5qv+F2DzfqIaHI/k72ZaMdYG4vlHfG9oFA+HcPalp14i3lKj
OCE3W1KaL9T03Vi6WgGfx+Dscg36fqHm03+u1m2etE6dUzsPa5X/80R8fohY
A7HymQY/Z2PNpYZI9WGPsUYv+cLHGZkGh2XYpCri+EqN6s+ZwdlCXqhv6vp+
UTkxtzd89RP7gb3QizotB55sWfEYN46Eh7haI2mOWul1Z6cdlv5Amn+aaAZw
brD2Pa5fOAOYI3VADdD3oIvLXJkP9dpWFqfvlqVpamAS61+xYo3n1e9l5+eL
gri/U5SOqech7DvdHO7B2VuB+D+caFZS/7PwfU2seXcYPveXND++h+Ae5mXD
XjkQa/6eyEsLJz31Bec48QWhYjBWV6gaUivUCWcqtUcNT0APT4DxN6wXYmEf
hs95gWZCR6JZw14dxTo1Xf3Aml0ryv/WgjRBbVRF0i41fCJSXvTPe1tdPvwX
cZZT39R2tzsnN+R1iTunv41OJwcD6bwCjY8l6qV1jj/mRg0zFuOQB9aA9SPv
7Mddbg6MuP8KsbNu1D11wtlGXLw/w5c//luo2ctOtzW+ZhX/83Pdv3hlrFj0
yzrxPrlhDuSPPHCu/g8MQzb7
           "]], 
          PolygonBox[CompressedData["
1:eJwtlGtozXEYx58YdjnHzsx2Do6z/f/YmVt4oVxSbrnNKNEwck0S5hJhlmu8
oqghIyUvXMpcEhslK5IpSbygsLkVSlh5Qcvn23NePP2f3//5Pbfv831+wcqa
eRu7mNkqJAvZVWY2jO+zHLNa9IakWSOG/vy7W2TWkTabHDU7nG92sa/ZPs71
2Cbnmu1Hv4FPbcRsHPY+2HcOMHuErbOb2Q70GaHZX2I3cOdB3Kx7qdnUbPx7
mH3n3AufkfhOwD6HWImUWZjld7K52w3JQlqp6ymyHPsyZBO1bUaCcv5R3zFi
XCfWCZp5FDM7391sTLFZFTW+I/Y67Eewt5FjlnlN7egfy7y2KdgD7IUpr62K
8yjOefSwPdcxqEmY1XG/OuI1q/ZT9Dc81zHpQb588i1CL+BfDH0+csj8zgL0
e0gJserwP4f/HHy+FZg9xl5LrqbQsf1Hjonkq8T+FfsT8LgEDiO5czTXe96P
/U8/YtNLKZITOAbCYir2P+T6idw07+FX2mMolmY0m9hN/LuAfQnnZvSDac+9
lRj1xBrLnYcxx1TY5pOzGnymEyNKrBT4t5jXVFLuHBAXlhJjL1gN5X5bxPs/
SW+N/BvP/U/Uew19EfYg6vnbQ7+ju5rZEGy9qOcOeiUxBxO7gH8xpILcs5EI
81przpko+owy524T8WeiVygf/mn88/B/H7hN/w7Av49wqgPf9b3NfowgHzEm
0d80+tvA/c9J55IwFtYdJWa/JdqNIueIuNJMvCJqnUtNq/AdT8wtxNoQOhdU
4wfuRzJ8EmYh2G5K+Kz0T1xTj+r1LPG+UPvCoWb3OV8jXhX2PdS/m1oCzk+S
vpPaTWF4n/wHiLcy6vMQVxqo4bl5j2fQR2X4o3/DyH8q7rPS/nel1iuc6yI+
n0Gcy0LXtTMvqL8l7rVpf7Tb4oi4ohkvTjunxe1Ozoc5v4o7NsJgfeg7qF1c
DsbbqWf3AOf+ikLeIvSZmfdCO/SmyHdSu6maboHHbc6n873HgeVes2rXTp6M
+ww1y/f4j6a/q5Chp/mb1oj+IXSuaSf6YK/p61wWp9eknCPiijCvAvu2DF/0
RrZQz+ukz1Y73ck5r9S5Is58I3924Lu4Gs5sS3pP6k07fHy4YyAsxOmXcZ+p
ZqsdqyfJpIRjpzdAb0Fz5j3QjsaKfSaah97cy/gXJxxLca6SWt4S41fMMRJW
7Zl+9eYsFDdSzh1xaG/gb7Teavm8wzcrg6d2tJX+Dsb9bRYG2p3/UyrfEg==

           "]], 
          
          PolygonBox[{{8576, 2428, 5468, 7775, 7776}, {7372, 7371, 8204, 2118,
            8203}, {6762, 1058, 7373, 8196, 8197}, {5620, 5619, 5468, 2428, 
           8575}, {8205, 2119, 8206, 6160, 6161}, {8181, 1857, 7694, 8179, 
           8180}, {5489, 5488, 7780, 1883, 8604}, {8268, 8267, 7787, 1083, 
           6794}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.40957789601717515`, 0.4476471839037996, 0.5782992560154625], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlV+IVHUUxw+57c6us61XmL3j6M7OjnDvBKlF9RAsuWDW2p+XcpWKpLaX
EnbEIGo1aneDAoPE2O0PWmxPJYJaD2IrUvgiVg+B1UMitW30UERpFhIhfT99
78Pld++Z3znne77ne84Mje96sH1dRLyvZ5me3o6Ika6I7TKuyCNOlCP6dC7r
8Pt9st/UH7G/J+KWtREXhyJWyzaT6vdaxPO6d1cr4rje23of0PuC/Ad6Iz7R
eUj393VH7K5E/JI6z9VB5a07b1nnaCPiSdlXVvWt52HZ75bthSziN4GsKvaE
7LO6UxKGB/Qc0fsbso11ONer+n68bt8p5fx8TcTrnREv6X1b1b9/34yYl21O
eGbkd16YftZ7Jvu9yrWoXIlybdb3Rt3/THh7C2x9ilHTnW91p0d3zqfm5ml8
E+Ut2/+rbmPO9dsV1Tlcivhr0JjANi6Mj4nLd+UzLgwz4ugf+U7r7NRvz6on
i4OumThHlXOd6p1XvGlhaMh+VfYfZJ9UvHMlc/Ga7MOK95DidKlf65XjbWHb
pPNAYp7AfkfZ/RtUn3aIt7rOLZntozp36O47Zef4oGaMfyjmVtkny8YEPnBe
En/nCp7/lq0lfIhrVnkXus0HuT7KHA/s9HxTyToYU9yLirlVZ5JbizcXdWAn
FlyD+x7FWN6w35drrA/4fEKcTVXNDzzRY3q9XbanEmsYLS9lPls1awgttXXn
bIH/mvDfti7iG+VapbtNcficuCuvta7hihzog7omdWc6dX3MxO8brK2fFG9J
vKyU70TT/cF+pNAKmvlafs8k5oKaL6v2EcW/lJs39ESOF+U3krj+ibp5oc9N
xblVcQ6n1hu9oS/URo035NY1vYT3vYn5HC74JedyxSsJW6XLNZMHDZDrTvGy
R/FPKM9bnfZjBqLgnBkdK7Tarlhrr8h/VPeiae2/KWyzNdumhOf6hvu+s2at
wDnckxsMffL5tdgP9HlVv+dkqcBADeA4VTEvB+V7Qe//qs4tunN6yDF2pbbB
AzO8Dw0r7/0N9/Nw4n6CG/yPqI4fM2t+UefLuWflvZrnht3CN/1gxqntTKXQ
95D3IjtwvtA9mr1R/DxaxIcnekB88ByoWgvssL2ZY+7JzMFcyTUcqnu2D+pM
quaePUQe7Phvy80tHMM9O4RvYsAPcdAde477cMI8wMunqbGw59iP9OJKxTzB
9f+7uMc6Qa/0l9jU9mdu/tj3HyfGA65Gyyf/CZtbznta78cGXNvRAfeTfcJ8
0gviMIdoFY7QNPsKvtEf3JKDuPSNGcSH+tApNRKP2Zkt9IrfRnE2l7pX6JFe
EvNk7r3LffyoCd7w+aLiWepoeq/RO3rYTp0HfcEJcwsv1yrm6jvp8PZ+c80O
OJ55Tx7TeSp3Hvboin7XttD0rHKHej9MfTLT/wFU/gEK
           "]], 
          PolygonBox[CompressedData["
1:eJwllEtI1FEUxg/jpGljajDN+JhR/9WMQQ8iCgJJwcJHrSwL7UEZlRQaBVJp
hBoUSBRGWmGBy0ToBYXZomgXtQh6LIroYbQIgh4uyiT6fZzFgXvuOfd833nd
8tZDjR0hM2tBwkjOArOLXFTnmv1Mmy0sNnsy2+x4ltnVpNnNFOeI2eYCs9VR
s7PIAOeaHLP8+WaN6EfQ56FPct4aNztDvFaCPyDej7THvobPEPZOpJvzpUyz
f5wLif8qwyyPNx0xsNA/oqfRB9Hfl5sVc14Dh3ps94mXyHUO4lLL3esM9+nF
/wb6N/SV6NfRp/A5B1YlOU2VmrUHznUD9oOcd5NjM7n2Z5sNl3uOyvU5+lPO
bdj3I/VlZg1Ine6wz2B/y7ku5dyquVuE/qbEc2sFr7+IegbORTW8pdwCr49y
mCCXKt7s5O0X4r2Ieo1Uqx1wLKS+S9Eb0CewP446hrBOgvGAc33gXKqIWcv5
E5iDYEfJ6WbCrAef0/gvI14W8fZh34tkk1MOMhk4ljiJWw+c6uhdF/paevmZ
fEYyfSY0G8Mlji0MYY3j3xT291vw70WfjjimsL+nfRY0Y+3Yp+nBHyQP7Hxk
CEwN5DveNOEbYR6P5ri/ZrMFn07mtAq8Gd6Nxryev+nxberZWuS9VY+fwO1R
zGuRAeYk9jE43IHLeWIuIf+P3F2JeM1V+1TgtVdM9Wpdhdkx3o6hD8D3cuC1
E0dxPQBeDXjV1DcXbsNJ3xVhCOsZHLaG3GdWmfdEfIT5CezxwGurGvWR7yak
MuzxK8Cbm3bums8X5JKEz05mZZT4I8T/kPLcFfMh9uXUaCTkPqX4zoFPbtg5
fMW+HX2bZhjebcjLmMeWTwFYfTHfHe1cA7EPxXwXtVNF6KHAd7EZvt3o8+C4
J+Sc24mbR4x7Ed8J7YZ2SvF1l49tIvC/Qjkr9xsJn83Z1Ock/QwHvmvCENbi
uNdCM7iF94ejvpva0V1Jr4FqoRkJ6OffUp8NzUgm9o1lvnviWECsrpRz1w5p
lxLUqCPsNevBfiHuve7jbj22qrhz1Uyf0jwmvdf64/TXbU77rOoP01/WG/dY
mpkyxY777ArjF74rFvjsyUe9usubwWzfqVXwH4p57vqzTuh/KPddV0/09/0H
PSi/jw==
           "]], 
          
          PolygonBox[{{8190, 1678, 7370, 6757, 6758}, {7690, 7689, 6756, 2111,
            8187}, {8184, 599, 6123, 8185, 8186}, {8603, 2442, 8604, 7783, 
           7784}, {7696, 7695, 8181, 2108, 6754}, {8266, 8265, 6159, 611, 
           8264}, {8188, 2111, 6756, 7771, 7772}, {6760, 6759, 7778, 1881, 
           8192}}]}]}, {
        EdgeForm[], 
        RGBColor[0.4592286061768694, 0.4650963152698263, 0.5491116180941088], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVVuIjWEU3a7DzDl+1Dn/7xjnzJnR/x+XeEHGwxmjYZBkqDFNTm7FUEZJ
brmLiAf33Arx4JYiY4RcXhSlhBfiECWXSHnBuK1lfQ+n/c3377322nuv/U12
3tLprZ3N7Bh+XfAb7pk1xcyG4HzGN1uF88XQbCV+D3ua/c2aHU+Y3cX3VM6s
WGnWXGr2GnZ9ZDYW5zachyTNHsHnXEJ/874ddl7KrKKrWe+02VycMzg34bwi
bnaiVDEHfHFYjZw3ke808t6CPYLfDpwPwb7LmOVLzEoQO6VKsVNhC8Ac1cPs
Db6/Qe6FwGuA3YnfKZzbwLE/eO+C/1D4v2CtOG/Ft+5pYXYgdo7j1gl3aXDb
hr5chs/QhHqzAtxGoMZXOF/B3b5K4RyA9UNxJnfWwb4x5gNwq8HtPWwR98uA
uR/3IxE/BvY84u46fOZhzpq48raARzX4HAVmO2IbPdX2wMUSY3tKPs/KwSOh
uM+ot9rTHOnXEIkn+dag1nwPzaMCPZmNXJsC9Bm+U6gD09w6YupdHWJ+oJYJ
lZorZ1WLuNuY1yH4vAb/67hHehsIO7ECMwb+ZNi3oXDvwHc5MGvj0tA4T7GT
THe7Pd0zD/3J4bAnfTDfeOC049uLrObHOQ6DzYLTW9xXwX6LhNUaqF/syVz0
by1wyuOqZVlCM58G3+aYesT+vHcz+pSRbtjjrojtntSsNuCuEFde8iypUj09
YfPI9wNYGyNxWePqYl9ZA/kXgNWEvtehJ6mYdILP//eKOukE/j8zmst32A++
NEm9bwyUe0BO82QOcr4RSaMz8b0hLd1yt7iXaaefXxnlbU4rN89l8P/oSwdl
uG9Bbg8xi2FXIu6kJ32Py2m/uGf3yoXP/TDg1IJnS0oaYX/ZW2qTmOwd58R5
FWEfJ9SPfEIzKZRoBkvSOvcFn7aYOHDuxKA2iXMpVD/P+tJIwelnS6TcNYjN
JnXH9+mJL6xekWY12+kn7zi8DFUT62SNVyP1i+8Z59Ds9uV+uTjw3WIdY9zb
OMvNkX0lL+qYuIs8vSmsi3VwV8mf+9Tm9Lw2FP5BcPw5WPNP4u55Qt/rYTfh
22j41OP+SySNUWsd7t0rRf7fTsPUMneIO0MO1CD3lnpdEugN+QqMBahhLOb1
BxitvvTXD/heUnPjG1kMhcNdZxzzUj+5QHXNAE7oiRv3/EIoHXL/6h3/MvjE
ItVPTTVGeu8GAWN8Tj3fG+ht4NypBe5Bf4fZGGhPryFuT6Ddr8tp91jTuki+
5EF/vqOsmd+IxxmwL0FS3PkW1vRRvew137+i8+c8+T+PM2VNnDExu6U19/no
2eRQfpvRsz6RZvrUF0dq5pR77xhXB99UKH5L4fMPKv/1MQ==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlE1IlGEQx8cwdXVtM8h3W811V9jdEKuDRHpwVfwoqcgCW6Qt6lAaqBCh
fahoURB1qNCwDlEUVBRRgRmFlZeKIIjqUpRaniyKIKgspH7TvIcH5nlm5j//
+XgmtL1jQ/scEdnCSeXUR0RWekUiPpHMgMj8ApFCFBUZIr+DInd4O4Nuazbv
MZFR7he4d3Gv5R73i/zBvzIT27BIM/6JdJGjHpH2hSKtvPnQDWPzyhHZR7wE
8jIwcsD6SYwfnCf5Ik85N3k7ga4K/O9RkQXgJ8HbBp9VhWD6TbcHzIwikUnw
hsCrxqcQ32/4xNEf4X45YDZqq29t+G5E/w77VvTH0J/yWy7nsVmLbQp8n8O9
nNo8g78fmzJsm/HpJtZ7zmp0M9iMI2eBlxDL0Ys8zLnIvVnrgZxCPYLUswz+
0+TZiU+xWIwu5NqwYWkOD6lPKvY7xXowF7knJHLAYxiPqU+W3+pbBd5f8JbC
+TixXuBTnGs90F7MgFeB7Q1i7PVaDppLnRtPOb8lP49bnzHuIfzD6Kc85nMF
PsvxacJ3hHsO+exy+6kcP+KfcPNTjr1w7cFmQIxDL/Jpx2qn+Qq+gZjFUs55
yAO8FWdaT2LwXcIZ99qb6hbBP8A9niNSWiIy6NprjLRc66H2UmekDS7pnArk
FdQnie4R8c96LWetdS54tFsucXeQR0Mma4x2bD8EzVcx0sAqceubxKkPbq8d
q4XWQGd7XZHNzgSYpfAZB2/EYz0eoz6fg9Z7rVEjeANw2u2zHJuoT0OhzXYZ
+hb0fVHrndqo7Rfut8V69DVqf1T/ah42AZ1HN57+4X64TYZt9tTHn2t/TP9a
OfqGiP0J/RsF5HMfvKGQ/VWdqSTx3+Qbl8P4z8K/hh51ZtsO0F1w0DEsjamx
z/HW7bMdcAi89VHz1R41Ivf7bXdoDbWWLQGbXY23ucBmQmdDd8Ig2DVwhMJ/
/FrkEXee9U/5yGfCzS8fzCawF8esN7ozdHds8ltuaqO2uhN0N+wH/5b2Hr2X
U0fd6znzorab1mATw7bInX/94y/J/4E7H8rpHvcsOMfT7U/o3+hwrBdqo7M0
S78r3fmZdmyn6HxoDU8S91fQdqtifHIspsbWGZ2CX6Y7v4qxA91Vx7grJ/2b
1yK2m/R+Hflu1GqhPdBeVMVsF2jMauR/onzFCw==
           "]], 
          
          PolygonBox[{{5618, 5617, 5467, 2427, 8573}, {8162, 2102, 8161, 5617,
            5618}, {6755, 1056, 7369, 8182, 8183}, {8191, 2113, 8192, 6156, 
           6157}, {8574, 2427, 5467, 7765, 7766}, {7368, 7367, 8190, 2112, 
           8189}, {7766, 7765, 5486, 2441, 8602}, {8263, 8262, 7777, 1081, 
           6792}}]}]}, {
        EdgeForm[], 
        RGBColor[0.5088793163365636, 0.482545446635853, 0.519923980172755], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVV1ojXEYf5wx29k5287FOe/rxTk7m9735LOQhAnzEcnHzKglTFFspDY2
bOOCuBAaLkRy4SMfST6GWEkkF2TcWMNaJIXJzUoNv1+/c3F6/u/zf/7P83t+
z8dJ1+6o3B4ys7P45eD3Od9sXcxsAB/3cV6Mcy/OozJmu4ea3fXMnsR19zFt
tiHP7HSuWS2ctAVmVbA5B5s/uN+CtyF8f/IlA+gXQQ5EzJpDisU4k3F+hfN3
nP2Q3tPPHfjLc82qh5vNLTHbA3/deDsDd5uSkkdguxv+q6Hf5QsL9cTT7sjf
IHBGoCuHn2p81wF/A3JdAR+taflfi/Mt+G+IKs9m6PcAUxPk5lKzJXjXBX/z
MrKZC/k6JT/98LcNONthM6wMd2HhZ47kj9jIoeMpx6vAeQz2V3G/BPazXNne
RpyKEmEvhO443npR+TrsietFuK9A7APQPYLum6OcBoHlAuI+iOnuNzAdBRd9
0J/J5lidlA3vGfsh9IWQ9Y5wUHcccceHVad6fLsJsxp89wLb0bC4OR9S3U4j
r9k4twaqaQtkP371sLnpiXfyfxL+pyYUexniXAHGmqjs2EfkxoNdbkKxT5WK
d/K/F/Ii5LscYe2A/414dwn+z8JPeVTfXXH1U1kWJ2tJrEUJ1aMD+hOlyilA
jn2wL4Z+K3SNYWFh/docYelG3AFwVw7ONyHWs1Hi8wt0LWmdyTHfMh++rwzE
Wzvsiz3l1ehLsgfIxbCk+nAoZL6nvCpgczAmDvmeumkR4SDGnTH1L3tnV0Tz
wpow70M4L/BlP98XPmJ7CryXHNmmkONjR7Wah/NHX7X7AHndl89rkC/jmsMh
sFmYxc08+IZvO+GjyRcO9vKqmN7ym73LHi535YN31N/w1Ssp2EfAz23YF0DW
Oaone5Dzyrlmbcgje4M9NjumvMiH60uSM+bO2jP/dEI1yEdfjSmCHezf5uiO
vcGatmf3zj7EHVsm323A2VMq/la74ohcXQauSZ74zklqF5Ir5rA0qXnn/uAu
404LB5orzhd3Cfcj+25ORjPAfEZkNJ+c0xeoy8O4erozrb3Gt2vg442jPcN9
4/jKJQG5MhA/KwLFJIe0+5fSrigA/lZXeTE/5s+35JdYuK842yMz4tbLaCa4
X7hb/o5WXtxn/ObOIS+Dce3T98D8FXfTMQvrkVN3XPt9IXD+gH4G9P2QPwNx
/iNQz7LPyePz7OxwbqKBdOSYs86+Z234X8G8mB97hXz3+JpDzsF+7nJXPcI5
/o14MxH3V0pxOKfkl/8H7KflgXYE++A7zuMS2gsTy8Q9e4v9xPkiHvIZdcUn
eWXe/L+hrykTxGncV97EyHm4F4iru4H2PnutDj6qXPHH/voPSNb7ig==
           "]], 
          PolygonBox[CompressedData["
1:eJwllF9olnUUx4/v++r+tKm7cM/jHK7nnbzPsOGFmIi5obkUQ7TNNQSZ+OdC
MWcU/sk/bXlhBCEKUykIogsrpl6ImiUqSBDiheD0RrElEZo107tBEPn58r34
wfmd8z3nfJ/vOb8n2/J+z65CRPRzSpzt5Yi3cVyoi6jLI57PiNiN/0BNxP4s
4hC+lQD3g1mSRhRng+Pex/3PJOKV3LnbGsCR+4h6G2ojPiU+hj2C7zyxo/he
a4xoaiNeH/E9vq+JPaRHE9iF1HirErGDnOm15iRuF8H8BPYbfAvIH2+J+JvT
DY8eTiuYP+A6H3yG3d5K3YJ7zKLXHPI7yT8N5gp2LXwLJde/A/9f6XmK3v1g
Oom3c1Zh/wj+Bvb1zLlTwV/F7qJHZ8E5Y+R+COYA+FNTIv7DHsE3XjSfb6lf
BZ9h7A74/EPvjXDu53S9yvdyHoKfKLrmNfAnqfFVgzVMG91TvVP6JWDXtFqL
EXyrsZ/lrq0c5XZzPmiwhr9jL0OD3fWegWYxDP8Bch9Qr5vcGmrsqTVHcX0n
d0zfpG8bTayVZl5PrBruVfqGJr6FM6/Vs5Xm0n4rvo5qTlXEZHA3m70r8k0w
t5nwGSgZP8g+fcn3fZFZE2mjndHuNMH5B/qt4P5vjfWR9tcT25rhbxXvoOov
ov4T6o9lnp12Srt1gnil4Jl8BH4T/BaDPcq8foHbXnx9dZ65Zn+G+17u67i/
zn0lM9oEfgs16lPvmGYrzFmwQ6m/ZR98mtuco9zbcLiFfTz1rA4TX97mHdOu
aWdHsUuzrZVmptl9l7i+duIc9Xemno00e44e76bWZzP3y5p96rfZy31Iu029
SZynaPEX53GLtZFGTxO/Ub1VafoA+1LZ+RN8zyD5n4sz8WXMdBr7txbf4pJ3
pkKvy2XHlKNcvWG9Ze1QBv5+s9+CNPsMrbsqftt6g3qLPzdbe83gGdw+zt37
CPEh4svB3yt6fkOJfYq1U39Ko3deemqn30TP8dxaSKP34HcxtxbSqJf7ybJz
xV+7P4P6d4t+Uzupvx6t+tD/Dfhshm9jxW9tzjQ0mhuxtM2zVc9j1PskMbdH
1FgBdmrq3ZBGW6l1KffuSkNpmafurX9oD7H/M++jdm4f+ZPK3hX5FBtIzE0a
pMRftJibOFZT62Dmf7P+0avpt6diLsofJvclbNHFWA==
           "]], 
          
          PolygonBox[{{7760, 116, 8168, 8171, 8172}, {6750, 6749, 8162, 1677, 
           7365}, {7762, 7761, 6753, 2107, 8178}, {8261, 8260, 6155, 610, 
           8259}, {8175, 2106, 6752, 7681, 7682}, {6751, 2104, 8166, 7687, 
           7688}, {7767, 1878, 8602, 8600, 8601}, {8170, 8169, 8168, 116, 
           7678}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.5585300264962578, 0.49999457800187974`, 0.49073634225140117`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFVW1oVmUYvlHz3V7cTh+c95zpdt4vO+fdViJqrWhbmyMxLJzT8YrJBKUP
yA/URp+4qEVhP5RUrD+SE9QCf7g28gOXBP3IiDQieV0pI8GUwaIfVjC06+J6
QNjL/ew593M/131f130/+Y3berbOMLMz+M3Erycy602ZTWbNXiyY1aTNXobt
9MwOzDFbDp+ukll/jdne0Ozj2WaP4+B27P84X+uLj5r1zTWLZplVId51xGqp
MvsDtjZvthjrX7HejdjrEecnnF0P/wb4r4T/84lZI77txb3XYrODuHcsMLvk
6/422D24eyfOdgDLKvxOAPMUzlYlwkzs0/AbhP822CeAvx9xnjTZiWqtaV93
eb2Bu8pY78ddC+Dfi3UT9n+o1j79P/V0LzGfiHX2GPyvYP0P/Dpx7/e+fJf4
2iP+Mv4P4VOH9Rb4tz1gFmCNP+vE/ij8KqhNY1F1aYYdqpb/PPh8hm8tqE85
0h2M2wW7A77twHMePm8DWx3WQ1jnMto75IsP8nIB/AzPUX2IZ3MgDD7uH2o0
W1prdgR2Amdewvdu2BccLx7un1XUfbNhx3FuO+7bB79v6+VD3+m86nUH9hdw
/BR4udtgtgt8rQO2OnAVFVT3HGwAnCcRY78v7GvTws+8H/aUe21Ge7vhcxv7
7Wndu8JTPsyFOiI35KUGGhjB/s/Ib5XTWyWrvLnP3MYLuut32FeBrRXnJ3Gu
0IzviJNvFufUDbk8ldL+IuR5KC39XzXpmzrfgNyHC8I2AlvxhWsZ7EOxuDwN
LH9F0moZdXhvruItAC+rXd89nVOfkV9qkrhYc9aoNVT+7wDnWpxdiLwuZoXl
c094/s4qDvs4hn8F/ivhfzxWzVn7txLhJN73HYZH5kt/1OE4bBdwbED8Z3LC
TfxnYXfG4pc835cRD7t8cfWY0+qzRdVoRVH17vVUc8ZucT21LNb6XXB0uFFz
5Bx0NBAoTlcs7JwD7GFqczQlHe8L1Jv9seYI+SXP6/D9FU/+xM7/2TPsP2qF
fHCmMOYnsGtCaW4kUR9zxrHmHci5D+eXwu7xpFv2Eu9k7sS/Oi/Nc27Vl6S/
gVD9xFqxry8F0mc60Sygjo4B8zz4fuCJ0wF8+xc+baEse5haZ204g3gXc2It
Bp0OyRfnLTnjmjpqTUmHrHOzr3M7YnFDjt7EPcOJNE/t33K9OSNSXalJxiy7
WfoN8NzveucyfL+rV3zOddaP/c+45Iq8kveiL9uBe3sS+SSIcz0U7g8Re3FG
Ov3K1xylTtiz5x1mYudcue3i/xkot5mRuCSnrMOmSOvaUDkwlyngbC8pJjUY
lDRLOVMnXV90R6oBOWD9bwQ6y1nF3qNPCjHvNGifdSJXrc6fdWF9+OacC9Sr
v8V6Y4jruUQzl3rJlKTXUVfbitPqGtT160QYekPNb+qMZ6g1Yub6IPw+Qm0P
wH7hq05tiDlYUswJnD0a6D37MtZ8pHZOuv6mnobcDKL2U4mwn3J4Lrj3+rU6
cUxsfJ85i5nrTfhPJcK3OdS7y/6o4K4bWfFCfm4lmlF8H07797TQ7d6RadSy
z/HHd4zzgGf5jT3P3h+DbcooR+aaB6Yx+OQwh/9rUj89iHtTWe3zO7U/5nL5
H6ewJuU=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlVlIVWEQx4c0l8u93hb0unuP1b0uZJGURSqpFNFCUYohkVCgQVZkSVmS
QUbbg5VJvRRloBFIaEp7BNVDREQ95VIhFFFU2kv1oNZvmvMw8M2Z7T/z/ec7
ztbdG3ZNEZFaJBLpCojs94qMxIpkZIrkzBI55RGp8okcThTxOyJpOObHiEzj
PIzPJuxJ2Mux580WWYC9xi+SmStShv03uSrJPRAvUoFPis9iNHZdmO/U247/
yWSRUte/nW8PwRKHf1W0SDX1yoKGSbE1YO/E/gi54LUYjT2LZHssZ4jYGyHz
XUz+APmbwHwIWZMushYpyhJ5BbbLxBRzznX71W85CSLL+LYXvBeJ7yf+WjZ1
4kQWRYi8pNdPGSIFYEun52ep4MOnxG8z7KZ2FPnqyfeYfEHNx7cUzv3gLeE8
gKwUwz/IeRRM3fTbj7RQeyLNcmuNj9Q6Qr8FXosfpI+d6EnoHej30H/iM4bE
0HssUocU+wzDVLCE0Ye8NiOd1U3wtvrNZ5S7mIae57caK8DzjW+F2I7xrRNb
GFntt5l/wN6E/RfnPXxrw5aUZVzRnJrbyTUu3KGfj9TuCxtXDvHtEvY16C1i
eNZyvgWmYo/lLMT/Fb3Mp/elxE8yi/P0W4ntBf1O0G8PMR1ifOrl/DfNfDVm
E/mr4Nwe7I/4Fk2ut9xRQaTVHMc26ViuJejP422GOssANeqoVQseH7lrsI9g
T8iyu1SOBDjPo0YFvfTh76P+F6RHbN5fOZ+hhwaf8WsV848PWe6i6ezQXDiN
vhB9DjliybU8aFxXjFvggoccvV6buc5eOahc3EzOVOr3ufPSGcQl2A7pLunO
bCN+PVLB+QQ91YG/K2S96g5dD9md6d0pJzZQqwi8f7yWU+9iPM16Vw4qF6PD
tss6k5iwcUp7VY7sILbGnZdifs38hhzjag4xj+NtB3UX9Q4PUD/o7rPuwGvs
Y8go0kjcQcdmorNRjifiX+7Y26Nv0EbHOKRcUszN4KlONqyF9Pw5w2aus9cd
bgXfDHLg+v+OZ3KuDxk25cBezvfd+9cdvQuOBr5VeG0ndDfeue+d3nGAeZ9z
35s29Knoq91679Hz0ZsT7a6UL/qWHs+yXdAdH+NuGsMWq/M+GLYd013TN/I2
+r4ke2tOR4lczTbOK1bF1MZ8I9KtV+WgcvEp/H6CfKf3H0hlusslZlYCt94E
XK567K7aHeOGcmQjvqVB89UY3ZUH5LziNw6XgX0k0d4mfQM7wDMcsrda3zx9
+wbd+1ZON+v7nGrYdQd1F4O5tov6jziK/z+stt+b
           "]], 
          
          PolygonBox[{{8144, 2096, 8143, 5615, 5616}, {6151, 1877, 8178, 8176,
            8177}, {8570, 8569, 8568, 1053, 7362}, {8163, 2103, 8165, 7363, 
           7364}, {7757, 7756, 5484, 2440, 8599}, {6153, 6152, 8257, 2142, 
           8256}, {7759, 1053, 8568, 8571, 8572}, {8174, 8173, 8175, 1851, 
           6119}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.6081807366559521, 0.5174437093679065, 0.46154870433004735`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVm1sVFUQHWpLu3TbZau7b7u0+9XyXpfaJoAmphYKmAgGQeiWRAg/LH5F
RBSLpsWiqJQmKihF4YcGPxABjVq1Ek2NXyEmBqVFo1IbVEpBsBEhMQYRjedw
3o+XO+/uvLkzZ+acu+kV9zavzjOzETyX4TlSYfbceLM5KbPmmFkXfhzKmO0K
mDWGzb6BUzRuNob1NdfMqzLbCZ/18K2qM2uF32rECHhmxflm9fCdhv3D8A/D
/5lK/AY7U202s8ZsTYnZDKyb8f0+xJmLeM14fwT7j9Wb3YczGwoVi3kwnxx8
8+DXA3sl7LMJs5fg343vEjjvL8Q/grOewFk5+JxwzNa6ypm5H8LZi4rNDmI9
lDQ7UGA2Ognn4qy2oPxuwXkNJTpjDr79GXshfLsTeyNlyq8zptqJQSZkFgmq
TuI0PSisQog/d5zZ9qjZFDxPTjCrpX+5cCAeV7jyLUL8R1HzScR8I2u2GDnO
K9X73qxqOe6o1uPI4RTeCxH/HvRrWQTxkE8r9s5h70LabDLsHvhvvtKsGn0p
wV4OzwrYLVifxdMNe1taPe9A3tfkq4fcb8M8HEbcEdgpYD8FuV+P31ch7lcB
4cQzzlcqh00Vwn4bap+B/XcxAw5yfccTxgMFihlOy/4dmDdizlrQ34UJ9Z4z
sAV1HECsJawXtZTj+6uKzI7CXh5WfJ4zhu9d5BFBvH2u9tj/TC0wBXb16O/u
uHp5CjFc2ONgj4c97Mrm3h2I2RvUe09cNbZ76iV7WoI8Lndll2H9MCI+9OPc
z5DnU6j9W+R2V0zzwtn8zdP8nPY0O7mgsHoL8VchfgSz2pwW1uQNecIZ/6dS
uBCf4rR6yZ4WInYFejAV9m70tM1VzPuxbnUUmz1f6Cl/1vEp8tyP+MPYX5AQ
zp2wC2KyiT37yLlnL0eT4tq/yGFHWj78blZKOXC+XsYczsZMri0Xh2hzLk9P
0oxx1poy6v9HyOuMXwt7/kpWs3wMcTbizD+DypU5zgsLJ/KA3CmH3wD6l8MZ
g1gfzJdWcD46/dxuQm7rHfl+j70ixC+Dfy38Z7uKMwvrmaRmiTP1C+yrMUtZ
4NQXV9xG9OLtrLjWgbpGY+JWGnP0N85oBX/fBAa3oq4bsD/o6HvG+QnxqmPi
xBb8/h3ep2F/WVw1sUesi7z6ISg/B+fdjFqiWBd42r8Ray5ffKHGcUboQ30h
L+nDGEsTWrvj0i/24HXk/nW19GJXVnwlT8gH6tol7iH/UuhPEzjcl5HWEOsm
4HM+IA5w/tkr1+f+i/D9APsbqONJ4fAFYvTi+3bkdS3qPuHHp46e9O2DKcWo
9uOk8E0bYo0HLyZSl7AfSktPic0a5NBXJcy7gMlKR5zbD58leN8AHNqhi0sR
4/mw+OxE9X4UuQw46gv7Q22mRnPO2DPmzNypu+w18fzRlYYMYV3k3zUPIH5D
THX1+lrHGeV8cqZuC0nHP/f5vi4tvaPuBZL6nZpDn4sR6Snv0h1R7fEeGE5K
x6hnxJa4cp7Zk6fD6j91hPE/wbfxMvWXNWzycSAePJs+Z3HOlxFx+D/sbaxR
7X9gRh7y5+mFuHAknncDp1cdaQi1hFhSo4jne55W6iU5t9g/t3SC7mBq015X
9+MeXzupmcSd2sH9qT4PyceHHfWcc0xNLPLkX8g1LC6zH4xLzSE/2QP2gvc/
NYGzwVjMhVgwH9bM2geTqo019nrSLMa5WKm7kXck8SInybnJ6O2vjs6hHhyL
qLY7M+ILucL82QdykHFvD6n3vKfJEdZMXTtXol5zXnnvcgY+rhAnyc35yKcL
9nL0emZKdzY1kv9HmmrU9/648NkTFkacb+bbwtpxHwRQw/tYC6KaxR7k+Xhc
OaVqpXHMrQ5rXblympjV3F26w/MUmxrC+GOeVt4//O/FmgqzqoNncUanRzWX
88HFdZ70ucPTXUet4Az1O8KAGk9NId/J+1iN+klN5TwTP3KJ/GEc2tt9LlxI
CHv2nvMzFBG+12XEU84HY5HfnEnq4f9OvHAd
           "]], 
          PolygonBox[CompressedData["
1:eJwtlllslGUUhg/dp6WtU5nOFGtnZWba2hoFE1MppZggBhfa0UhjLywRjYhW
LDFUBRUKJO4W0AuTuqBC9UIEJBLcYoyJiLYYt9qgsoo0cUmMAW3U583pxZec
bznbe95z/j++rLfz7jwz28QqYM1Pm82ebjY3aJYMmR1KmXWUmeVYI8jrOBvg
rqHUrLDabE3GbCGKazDSEjGL15gF8s3uKjIrjprNi5l1l5j1cF/K/YG42faA
WTn7/ch7E2Ztpa6/G3k562rkXcRQgu3r68xuKDa7DBvdM8324P8d/L+Azmz8
F0fctny04as447q38WYhb8+rN/uj3Ow0b/YmueM+R7wb2Xei+yRrGPlhztqy
ZmvZD7G/j32E/Tfk0AcuKWKuIN4rie8scitv2hVr0vVX4WMe7weazY5XYY/9
JvaDCcdqJW+eRv6EmHummS0Bzy/A8w3iO8XdogqzN5FX4H+Q/Ur8TxDrxqzH
LpuynYt47Ldwv4f7U2GzG9lfSv5fRx0jYbWMGHPEG290/Rn4SyAHqe/hfMd/
RdgxF/Z/gtn92LudfUWp10C1uIgYq9BdXmm2AdtDYLoDbPt4EyOXBWC+rchr
MF/413v9pVOCvIUYNhNLD6sTuYw1Umj2MevkBWazIo6NOHQd/m/Gxxzifxyb
H9WajfG+Js852U7sJ4k5l+f8Onuh2XoweQisj4HPBuT16N9a6f4V+8GY108x
bMXWFRHPVxx4AH/9NY69OC6uf1DrvhXDOHjOzToXVOMn0G3Neq13gcEwWISy
Xitx5kHuN7N/cYpvJ9g/i89trJx4zLqXHHLksgj9RvTHudsX8ByVay9n/UHH
dDLkHBPXtqDzPbr9Ga+VelC9+BpnE+B9CW9eAZutnD3PXRf1CVOfSWzOynOf
fbw9GnG+DRHjALFeg71vp7tP+b4z7Nz4Epsz0p6jcn0Mew3Y28FZH+87OZvD
3W91bks16MDexSnnmnquCWybpvhzFZx/Dv0Q8aQDzoFfqf932Psr33M8gO9/
qGlZgXNa3F6Cj3uCzsmjyIa//3izlDp3sWLgcyzg+dchr8Lej/me8zPot6LT
HfQ3h5EXk+/lBc65FFj01nqvqGd+ot5/13msAfi0r8lslDWzyvnxOblUk+PS
cu8B9cL7tc5FcfI95Oap/MVBcXE84f0aRmc3vh9F56mgz7yKasdQWB4ihk+R
Y43ea+ohzdK3mzwW2RS2b2XclmzIljgkLolDH4Z85mn2aUaNIU+CVUuxYygs
j0cdW52diPpMVu8Kky5yHw1776sGAXz9wmopd06JW+vCzlVhvCDtmAt7cWIn
+3/jnovwF/feDXttp2FvnPvBsN+Js6vZj6Wd26qRaqUeVi+Lo480+8xUrcTR
a4mlLe3cVAxrsXU647NQM/MOcvkq6rNQOf7M/fZ6r53svYz8er3PXtVrJ/Jn
MZ9FmhGaFa+GPR9xchhfRUmfdbJfgDya8m+hZvg58Lop67NePf87+464zzrZ
07djcdK/VZof+lZUqh8DPl8068rj/m1RT0zQD0cS3rvijLgjTinWdmbUS8S7
usZl5XCQWOqTPnvEyTCx/BB1LuubWQgeVeQQArsEnDrX4N9c9bfOzucuEHX+
im+JGrcp2+K8uK9/AP0L6Ju9X3xL+iyQT/kWJsJGHDlDLY5EPTfleIZ8ijJe
e3FqBGz/B+PeH/M=
           "]], 
          
          PolygonBox[{{8154, 8153, 8532, 2402, 7279}, {7764, 7763, 8255, 2140,
            6789}, {6745, 6744, 8144, 1676, 7361}, {7278, 2401, 8529, 8153, 
           8154}, {7758, 1876, 8599, 8597, 8598}, {8152, 8151, 8462, 2340, 
           7145}, {6336, 6335, 10321, 3455, 10320}, {7146, 2341, 8464, 8151, 
           8152}, {10324, 3456, 10327, 6335, 6336}, {6746, 2098, 8148, 7679, 
           7680}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.6578314468156463, 0.5348928407339332, 0.43236106640869354`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVmlslFUUvUCBlnYYsJ2NtkxnOp2FMgyiBmgroAkomKCpDU3FPxCNAUML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           "]], 
          PolygonBox[CompressedData["
1:eJwtlllslWUQhkfKVrocSkvPaUuX0x7OQjkHIRqWVlATRTAhphIa1BtcYsBQ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           "]], 
          PolygonBox[CompressedData["
1:eJwtkL8ug2EUh59ItP0khEZo6Rf9I/G1QxOTgdUNtKmFyQUwiDAbKmHhCqwM
FjfADRjEIhIJwdhuFaPnzWt4cn455+S8v99b293v7I0B0zIujWWoS74Jg0lI
rNkK7OTgfQma6pacVqAvib37PBSsczXnCQwXYUZdlCf7qwV4DnvuP1RiP8wH
7mXuz6rPUziT73lY896PuptBR07a8FGE2wYcqF/Uh+04CzsL+inLm288GqKk
vtH35hRcWz+9+SUT/17rZbjw/qWM0vjebxrzhFx3vnNl9r63e7IluZL/IxtV
2DbPejX2w/xYL696OrL+AUnpLlo=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.7074821569753406, 0.5523419720999599, 0.4031734284873397], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFWXd8VFUWfoSQQMgkZJJM5iWZTCZt5k0yE2BXlr76W/3ZYAHdFVxXqjQh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           "]], 
          PolygonBox[CompressedData["
1:eJwtmXd01FUWx18ggJJMlJbMAMkwSUhmAhnASl/3HF1X174KYkNRqdKbUtQV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           "]], 
          
          PolygonBox[{{6594, 6593, 8051, 2045, 8050}, {7570, 7569, 9251, 2831,
            9253}, {6518, 6517, 7667, 1846, 10661}, {5747, 5746, 10670, 3655, 
           10669}, {7668, 1846, 6116, 7563, 7564}, {8438, 2314, 8440, 6593, 
           6594}, {9258, 9257, 6443, 3566, 10506}, {10663, 3652, 6519, 9414, 
           9415}, {5968, 502, 7944, 7946, 7947}, {7671, 7670, 7669, 502, 
           5967}, {5750, 5749, 9141, 2790, 9137}, {10502, 2831, 9252, 6441, 
           6442}, {10508, 3567, 10509, 5749, 5750}, {12244, 5179, 12246, 5746,
            5747}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.7571328671350348, 0.5697911034659866, 0.37398579056598596`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtm3u81VP6x785lTrVrk51zv6eOp3OOXuf8/3uOrswYyIZxmX83HmpQbqM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           "]], 
          PolygonBox[CompressedData["
1:eJwtmnd8lcXSxx8SIEgJECTJA6Sfk5xzSLFcFUW4KoqKKOqrWJAivRd9bYjX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           "]], 
          PolygonBox[CompressedData["
1:eJwtkUsvg1EQht9KWolLUxW9JdrQot00ghK21kgkrPEDXBKJtUsqNjYkWNix
bJFQ4mMlhLqs/AILKxvilrg+J6eLJzPfnPlm5p1pGJsYHC+TFAE37Eeldpc0
HZDycWkHlut5KJeaEtIK8VXYI28XzokNVEqX2He+C+R9Ymv4xw8F/AN4CNm3
D/xfcPAVk4LkhCCflHJwl5KGvdJCWEpAHAK8n3okL/n9QakP/Phn1KjFLtZJ
WQjjXxCLYEeZcQSuqDdEvWvsFvTib2OfqfkCR+g7hBlyO9BdNPp5b4ONtPTm
lzLM0II+HzqbsQ45J9BKH4e5fNSZJGcKfogfM8Mjem/wb6O2j+n3Cn/kL2G7
yHUxS3epl+nZSb17/s3ErEaj1ezG7Oi7VPcLm2uUeiqkqoDVbfSvl2ZdS1vd
Rr/Zv7nDHHvdrJZmk/Z25oYe+j0Rc2Pnw3ZHxZS9gbnFP5h1UEE=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.806783577294729, 0.5872402348320134, 0.34479815264463215`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFm3d41EUTx38QQBRpIVzuCCGEJHAluWDXV7FXFKQoChZEULGCvhZU7CCg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           "]], 
          PolygonBox[CompressedData["
1:eJw1mnmcz9X3x98IWWZI+cx8zIaZMfP5fMaMpfT4flsQQqIisiR7i11FipQi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           "]], 
          PolygonBox[CompressedData["
1:eJwtlnlwzVcUx28kiKwzleS9X2Upnvd+v0fb6CCxZDoUUypMN4qqZdpJWtNa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           "]]}]}, {
        EdgeForm[], 
        RGBColor[
        0.8564342874544233, 0.6046893661980401, 0.31561051472327833`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxNW3d8lMXWfgMkAQKkLZu6SWB3Q7ZkV+4VsCA9FBFRigqWT1Es9C54RayI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           "]], 
          PolygonBox[CompressedData["
1:eJwtmneAlEXSxl+ySNhhF2bDbBjY2WV3Z9hFD1GUEwExEVQQDzF8iuFEghjw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           "]], 
          PolygonBox[CompressedData["
1:eJwtlF1MjmEYx68lLB8pH3kfSr0rnveVk0yFg1ovhVpTbzVnNsnioNLSxgHj
wKQD5DMHFstWzZg5oKLF1CSfbXQgWzjhwGoMcyS/a9d98N//fq77vr6v6wlW
N0TrY0QkD8wG61NEskBvpsiSBJF++HyySBtISRUZmSuSDDcjH18kcgg+lSbS
ArauFtkCbnsiHfEipWtFLqJ3AQTRGUU3De70ReIXipQE8Mn7OWBfhsia+SI1
8B5QDQrDInHY2QanE1MGiCBfwbsCOA/kg370+8AAeM/dIHwZn5dAMTFcw8YO
uJ3vK2A/5zvIauEb6SKT80QOJokcJ4cTYNNKy72P3Nq5vwqm8TMFfmp8+PgF
V+LnHOcKuBxEQSXyNJXBZaAc/AG/QS75/lhAzXyrl9atEb9f8N+Nj5ugEwzg
dyn+NxNHV7rd97g7fRNBfww7qdj7it1v4JHTeZhp/dM+5rsa5dAPId8c6lhE
jC3EV+h6pT17voq+gowgenEisdRokO82+jWO/jNiHEmy+msfJrCzG3sf4BfI
R8EQ5yiyp/AMOv9ADLZr8RULTxLzBnr+2be+aH/OgjNgOTMxjK9l8Gt68hc7
3z3rqfa22s1EMbJE7irxkRASqcLe4pD1VHubw7kO2WnqcpT3x7QXxJsK3qKz
C9038EcXf6tncc64Gmotg+i+o7ZFxNkApjhnB6x/2scy4tkJGonzHjaa4GG+
h8CRgMWUGDLfGkMrsnpkG5FFeFMAynTu0I3Chb752+5bLbQmFWHLswr2iT2U
YrOlM/aAmO9yV4fuE74fg5qA1faTb7OqM3vdzXUHXOJ24JZn/jUOtam2X7l6
v4SbfJvPZt/2Xfded1N3tBQfifjo1t0llyjnwwHLW/Pv8u2+x7d9170fczU/
6dnuTLt90L2IeLbbRWHbOd293nXsr/5z4ANuR+97Vm+t+wS2s/CxN2B5a/6z
8JPFzAaDNsM6y9lhm/fcsPVeZ+A/Q3G65g==
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9009720443473032, 0.6224301108682577, 0.2930133374766396], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFWnd8VFX2f5EkkAQhjUl5M8kkM2OYTHNVQJCiCKgEBE1gURQVy8IuYsHd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           "]], 
          PolygonBox[CompressedData["
1:eJwtmXl81dXRxk8kiYQgCQkEwr1kv4bkbrUWEBSwCFQWUTGiCG5RLCqggG31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           "]], 
          PolygonBox[CompressedData["
1:eJwtk0lPlEEQhstJFPcIyIzxG5mZyO37Jp40kaBxI8rVEONFD/4A/QF6UzlJ
BC6CYsQFgorGhRG3gVlURgGJy0EvHlxjUDZlMS74VKoPb6q7qru66n2rEwcO
7T4YEpEqMB9cXCVyAfwIROYVi0xhsxUiGTDji2xeIbLPE5l26ynsrohIDajn
zAnQCDYuEWnALgNLQQ95XnN+jrvpuMhD0BMWKS0RySVFvhL/S3wEe5zzdSCb
tHge28y+BVRFKZK6JjjXxv48uAa6wDi1VJJjL2+MufUodge1VUcsp+b+iG89
sVrOeexXgxz53uILkb+N/s+B8cDemsT+5uxz4p3KC+dDYFPUOPqJr5t9Cpzl
Xiv4jm+O82PYyqitRwPjp971oj19oZYNxPZ4VqPWWsAXw/cM20GuduDHRIaL
RJLYLNxlQB7+IvAzCD/bub+GO4+4M7JW5Bs4w3sFfKcDq0lrU51UrwHOxYkN
+cahctkOtqLbJewdp1cqsHnQubjKehjflcD4UZ6OUMdhcAvfK2LdOi+Oy0xg
tWsPypfy1uVy/KHe++xreC8btn60ryf0UkZPhaRpqtpe5n4nyBF/t5Aesfs9
W+eVi3LugiY3d6mwzZfOWYfr6QG+XvZ9DrpOh+2tfuUPTraBaEJk3SKR8oTp
qbrec3Xexf7zrM/bgc21zne1Z3o9hcsF7Iv0TXJtAXnfdHnsm1/jJWAx+Yqx
CbCcdRO1HKWmY2CnZ9oMcmcl8TLljhl6g683sHn1nF/jcZcjVmG6q/4zQPBN
Y2fJ18/dZu5OsJ8EA0mbnaGk/W3946WurpNh01S1/ezm85Nv/ChPN/HfAKcC
y9uCbWR/HT0a4qaVavbB/bP3vnGhnOjbWkOrm81fnvWsvacD67EvMD1V15fU
VEtNL7Czrqe6sL2vdfwHJvjLbw==
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9089034676954971, 0.6422586692387426, 0.3176007498560409], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFWGl0VdUVPglkBvPCwyTk3vfynnkPkXdvLpGitICiDDKVMkmAMiioVasi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           "]], 
          PolygonBox[CompressedData["
1:eJwtmHlw1dUVx2+Ql5AESEIwQH4vm3mPVt7v5Se2VlvBDXABrYiSALKoqFMd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           "]], 
          
          PolygonBox[{{7299, 7298, 7664, 1845, 6114}, {6609, 6608, 8247, 2137,
            8246}, {6610, 2033, 8030, 7300, 7301}, {8017, 2026, 8019, 7354, 
           7355}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9168348910436911, 0.6620872276092276, 0.3421881622354422], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFmXt01dWVx38BEpIg5IYbkph7ycMQS3MfP6pY8K21VaBgLWixigUVEFtH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           "]], 
          PolygonBox[CompressedData["
1:eJwtmHlw1dUVx2+Sl02EvJiaBN4jeRFiU16SHxUUEAXUVlYXgq2K0CAoS7UC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           "]], 
          
          PolygonBox[{{7062, 4216, 11320, 7552, 7553}, {7553, 7552, 8417, 
           2292, 7063}, {7060, 2289, 8413, 7550, 7551}, {7551, 7550, 8409, 
           2287, 7058}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9247663143918851, 0.6819157859797125, 0.3667755746148435], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFmHmQ1NURx58sewDCIjvssszMsrgZiixT+0PAGDWJKfkjiTlEkKoIiqi4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           "]], 
          PolygonBox[CompressedData["
1:eJwllnlsz3cYxx+tHpSWtlT1py3Wzqr5fYtumdlimT9mMjuMZEPqqtZ9hUod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           "]], 
          
          PolygonBox[{{8122, 2086, 8121, 5613, 5614}, {7754, 1049, 8563, 8566,
            8567}, {7558, 7557, 9596, 2989, 5895}, {8565, 8564, 8563, 1049, 
           7353}, {7658, 1843, 7659, 7554, 7555}, {7555, 7554, 9584, 2982, 
           5887}, {7752, 7751, 5480, 2436, 8593}, {9592, 1382, 7559, 9593, 
           9594}}]}]}, {
        EdgeForm[], 
        RGBColor[0.932697737740079, 0.7017443443501974, 0.39136298699424477`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFV2lslFUUvUCn24i202VKZ7rqTEn5OmVHXEJcYoDEBPihUUsrJAp0Q4FS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           "]], 
          PolygonBox[CompressedData["
1:eJwtlntM1mUUx48iF3kDjNtLLy9yKV4NXkHlFqzNZa3Sv7y0+iNl6R9euLlC
pCw1pTDADLWWkEwgrTVZF1cWbV5Xa3nrj2w1a+s2Vxapc+TMyejz3eGP33ae
55znXL7P95znl79y3ZKmyWbWyTeFrz9sNhpjVsLmfuQFfIl3mh0JmL1SaFYZ
NPttktlN1stLzMqjZi3TzF5L48s2W41NP7pm9l5l/XIG+1PN3oozC2SabZuO
TTw69p5HtzdiVn+HxwsWmC0NmRUlmHVgP0zslVlmO9GtJbkfZph9mWtWjH4J
PsbJZS3xBojXR04X8syq2BtONTtM/C3kNhv/I+hmEmNOxG1k+zg2U8l/btRz
Hafmp/LNzrFXSS2NsWY78H2EdYj1u5yJx3f+3WZtiWaLk8zykHvw2YDveSng
V4x92HNXDafItQz/6/F/nfOPcP4g+jr0D1PTAeRLxPiX/Kdxfuwusw/JIRFd
Mj4T8H0F/Rj6Y+Rbw/nBsOdag80A8n4wWQQ2W1kvAKvgLLNJyLc4k4VczZlL
xL7NegW1jBS6Tnv3obtIzN34ayKnfUVmf6C/EfA7rkBv1FSR4nf0Jvl0ov8U
/RD638FyVdDz/Rof7+WYXUb/X8DvQHcxEPS7/RP95+i3RZ07ynEr8mnivxTj
mCwCr3J8PgF2z4HZXvizBptR7M9gsxp5GTXPwTYd/qRS3zlsDnJX19mrQ39P
yPGZCmdvs86Y5dxRTZnI7fCvLt45KW4+U+C115LP08jxEcc+h5pvgMf9+NhI
Ljepdym1PMB6M+uH8Nkd8j3p1CNj6PqKnDvC9EfVFnXsY/DfhtxJ/EbidxO/
m/ixxc4d9dwZYveGvVZh2oP8aNhrUU+tAtuY2eAPtofIYUPUz4xO8OFjcmmK
Otd/IqdG5F3kczrZOfwt+XwPX5ZN8Z5aAV8WZjl3tNePrn6G19bCXhm6y6X0
ebrfQQP+5pHvG+ir8PcNfPqV/PrA7wR3lspdXCDG2WSPqdh/Fzm31YMbsP2H
dSrrVs4coP7JWY69zryOriLqvaGZUoncyjc0zWu+VepndFY9GGGezAfPJmh6
L/FPwp9d5NCK/QHybQSv+fRoQ5L30FXWeZyvBs8kMIoFuwfVw4luI1v1qHpV
PqqI/QH2G+PcZjbxEvE/nOAzrI3YI+R8NMZruoLcEvW7UU+rtzUTNRsHWdez
7sBmEP9fUG8n8jW+tBT3IV9fgWlpmtd8MuQcEVf2ifPE34T/j9DtZq83wz/J
uoOcTOeIuKKZuKbQZ7Zmt3q2A7k+6r2jnjlPbutZB1kfYv1dts8YzRrldJV8
ktk7muA9s516X1D8WM9hM/Ie9NfQz+Q7luscEBfE8S7sPwk6N8XR4/R/XMSx
F781634Je22KoVibyPH9gPdcj/iU7blpBjUTb12hxxKG49T7c9jfFt2J7qaW
dVmc15ROv5dnOZc1Ixvg9sLp/nboDXkMfLvw91nAe7qP89ng35jqOSiXxSGP
pxov5vkbpXmmmd8bcY6Jawf5mpDnBr331DPqHb0Reis0E/9Cn1Dib8/b6ifW
J3Kdu+LwpRyfqZqtzdjkY/ti1N8yYS7sn+XMUMBnpGZlbb7P1nfAp5rebM/x
t0o2G7Gtifoslf0WatlR5NzTzO1CHir1WaeZ+mTYc1JuerN2gsf5Eu91vYl6
G49M3Kdm7FnqPxXy2OKsuFs2Mb+FobA8XOqzWXeyHP/bC/zt1wxpR84r8Vp1
B7qLukLvFXFY/xLCVNjqDo6D1f/mc0Ym
           "]], 
          
          PolygonBox[{{8592, 8591, 11323, 4217, 11322}, {6736, 6735, 8122, 
           1673, 7352}, {8132, 2090, 6739, 7656, 7657}, {7753, 1874, 8593, 
           8591, 8592}, {7748, 7747, 6740, 2091, 8135}, {8129, 2089, 6738, 
           7747, 7748}, {8410, 2288, 8411, 6735, 6736}, {7657, 7656, 6738, 
           2089, 8128}}]}]}, {
        EdgeForm[], 
        RGBColor[0.940629161088273, 0.7215729027206823, 0.4159503993736461], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVltsVFUU3aGdmZZO7QjMvePcO6+GmUnkdopUHkU/FCXaCoRqojGKscRo
61T40ARiokTkQ6UWTFSsaRFtYhANKZUSghqfUUlFElMCQRKJjRojfviDxFdc
K+t83Dn7nrvPfqy99j5T2rz1zi3zzGwGTwOen3JmyxJmnxTMfmsyuzdmdg+e
vVmzrW1mN0dmt+bN+qDzKXQ8rKuuNkvj7C346cP6GWzsgfwu5Nmq2fHQLNNo
thE2NkFuWWQ21Wk2Cp0T0BmBvV2QxyCPQf8izvvQ74X+TMVsd9IstsTsSei8
CJ0B6Cxslu8JxJaD/zyeQ5C9drPv8S2DdTQwewR7T5XNViPuTtjcWzIbx/4Q
9ndj33f6r8HPgg6zEHbudzHS7mL4Ww2/a7B+DZ0jBeHzM2K8Dvtd2H8Z+3+3
4CzsrIjrG3UOQ7c/ptwfhN59sBuH3feQ+59NiqGOZxi4FuBrOc56HZLTWF+p
KDbmdBLyH5C7IV/GMzDf7ArWZEI+TxI7fG8BVni1HVnly7yZM+Ue4Hz5WtUq
AXuPlRXfS4HOZdt0NgPfRcTgd4gHzOVX5BTGxQXWmH6pQ99vI46ViOdguzA4
Bp1pPCMl8WQt/GaxP4W9yZhyYC43YH0eMRRg4zmsp/C+AXZOt8sPuUfctrg4
Ge9yH9gB618gf1WQffJxUYc48AAwbqoIi8mS4mA850y+GQOxWpeW7TnkdSmp
+Mmt7ry4tz4rftP+GuwdTJm9k1K9D6X0Tr49Hml/FhjuQB4HUuLMWdcL7Iml
RbO7Ue9lWK9JiFc8S12eIYeP+uL5jKvzcFLnv6lIPobvE2nF/iri2VdRLIa+
WOWLf5eAyXizcmeN30+pTsz5rZT80dcgPj6N79tgZ76nvmP/0T99k+tHoXtV
wtUyFCZ3ZNXr487+adcX7I+1bibUivLzpsOBPUaeF2vwEyrfcayNCdWdcfS0
iVvMl7UlV9gL7AuunBGsJfOKI++RQNwYKotvHy1QnMS23iy/5OW0q/Um+D4O
nRXAqb8m/W7IDRXx/iFffsgP+qJ/6hM39mvg5htXzgdi+HlOHB1GLFfi4if5
xJkUOJ1HI+FwCjofu1lALrMXOZeYO2cT5QBxDZSFw8NlvXO/q6gZQQzJT2JW
d2eba5rRs0VhQUyasHcmEEefiDQnlrYqL2LPucnYdgLbzlbNaPqkHebzXSBu
7keNzlV1dnMGNauqN9mj3GNtaJO4kyfsL+JFvhHzZKv0ya2ejN7fqCp+zj7m
cL6o2diXVf/9npQ+7xn2JPMdqmr/+ozstbqYGTtzo7y9TfZ59kKgus+Fmin0
1xPqHHOm/lgg/xewfz5Q3X+EXKoptjnENZ0Tn4bBjbKnnNh//EadF8rCnbgN
lsV78v8/Xxwk1uThmari5Mz+0t0XvDd+cPOHc+gv14/sS96RxITYsObEgjjc
5otnXZHwYM7M96Kv+cx7iRwmd5nP6+7u4P3GecNcGE+np1odToun5Cu5PZmT
vA32/o3Un3f54iBlxkcsaKehpG/cvzES7xgb85nnKV7e1Ssj7TP27XlhTuwH
q6o37w32KXuYNVvoqT7873Cgqpr1ou5HSpo5UyXNIM4i/kf4NtBcq8PPM5Hm
3U6s/Rnx4yxsNC7RjBp1c5SzhnNmT144sf69ziZn/3on3wQ5VtF9WEyrz9kf
E6H6kz1zO+QPgXsVHPgA6z+R7C/O6r5kXb7AfuipV/h/pysjbtcR27688iZn
n400c3dh/R9iDzzX
           "]], 
          PolygonBox[CompressedData["
1:eJwtlE1slHUQxidtt+3SVloK3XX7drvbsPsmsrVoFfAz6sl6MNGDxo8aIX5Q
SiSgCT1JRC8qoiYq1rSKcBABI1ZaiZGYQCSSYEkUhEQTEzFqUjh4scSP6O/J
08M/77z/mXlm5pmZf3ndpnufqouIDZwGzsVKxN8tEasaI+aQr8tHXGqNWL0o
4oO+iHeTiP2ZiH3tEZtrtpFtqSMi3+876QbBOrEs4vXuiLXYX8ZmNbpnOPvb
jfEduvpCRGFxRAsx6qsRoyk5IG/i7jV0jxCvCHYPpxP8X4l3PVi9/HfxPzWA
79KI5cQb6zGmsOWzFP124n1KvCnufsd3qBgxQKH3NUdcU4r4jbv5FmMKewT7
3djv4cyC9RnxZzjHeiOOc+bhYD1cDLRRF9z8Qsw8eCl4X6Afrdl3L/FO4X+Q
/BrJDyriz6siMisiXqa+O8Q38r4+czvB/6IusKn/lfDdCPJgzdw9AN5O8Brh
aCLLF5sM8tdVY/3B3Unkb7B5v901qJbHcuZWPh+XI04T726wD+DTSbzN3I2h
y1HDNHXejE9DU8STxBsHawb/Ha3Gv7HPHItrxdiA7TH+7+H/fuyPiwtsfsg6
p9MU3QB+IbvAMVhvV63XfOxCfpC71ib36DnwttKfZ9GNgjeG/EbVtvJ5E7n5
anMxB99Z5PGF+qV/B3mYeKPIV4I5TT4lbDZiP499GXklM7FGs4P+EPpcv2dX
OSiXa0ueDc3I9/CxrN+ztoN5PMA83lY0V+JsC7Fu6jM34uAc9Wa4S7LeoTXg
/Zi4FvW0Dr4/YkYOcuawvcipLztXzey33d4x9V47MMh8TaSeDfVsEvku7tra
/D+LbawwPx/C39PwdwMxjy5xDspldqHfrfgM5d1D5asZPIzt3sS9exSMn8jn
EjswkzHGWvg6l3rWt1P/Huo/0+1Y2vEtxLvQY1/tgHZBHImrlficT72z2l3t
6DCxOvjv7vBOPMT/JGdbo3um3g2WPHvifxtYd6JP0A+B+Q/xbq/5bVBPJ8ll
Cp/JrHuq3qpn8tUM/UU9R3u9m8rvCLpxMMcW+03bmLom1SZOd/N/eWG/P8c/
oV/vpeZOPvJdl3dtstFbcCb1Lun/bOo3Rm/NEfgbhr+fiXmI/5PYVMB7qeJZ
7KWmFyvmUFzqTTxLPSMVz7ZqXl/xzmp3VeMnyKtyxtZOabeWF8yNdvQU8/8w
+iuYp8PgPQ/2zqJrUQ6vIm/NefY78a8r+43SW5XA3xL4e6FmX82AZuEE/H3F
+S+nJjPnBXOpN/1L7m8F8xbO43D9BGcocW16Q/4Fq6nqt081NCu/xLE0A5qF
t4rmZhq8XcgXEsvnuRvoco7KVTMyge5/fLXppw==
           "]], 
          
          PolygonBox[{{8123, 2087, 8125, 7350, 7351}, {8131, 8130, 8132, 1842,
            6112}, {5612, 5611, 5465, 2424, 8561}, {5478, 5477, 7746, 1873, 
           8590}, {8562, 2424, 5465, 7741, 7742}, {6142, 1873, 8135, 8133, 
           8134}, {6144, 6143, 8241, 2134, 8240}, {8110, 1842, 7653, 8108, 
           8109}}]}]}, {
        EdgeForm[], 
        RGBColor[0.948560584436467, 0.7414014610911672, 0.4405378117530474], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVUloFFEQLSchSY9RCDrTbezpyYzYHdDRJB5UxCiIqHhwOYkS3OISwSXi
dhEiKipuh7gv0aABEdzGFfSkoIkigusloqggihcXxAXE93h9GH51/fr133/1
qia3aPXsVQkz68SvBL+3rtksOO5lzfZUmSX7mc0oxS9pdhjf82Bfz5j1Irgp
Z7Yi0v6RarO2MrOP8OdwflEoOwX/Q9j/YA+BPSapvDzTESlfJ/xb4PtcaTYJ
34cQ/x3xPvwjQt3VH/b0wKwO+22w76d0X+tws2E1yFduNgH7d4C7HvYHYGwv
U3wT8CzGuxysF4D5AmJqKswuYt3umC0sV1xjpPv3I/8l7O3E+aJvti1v1oKz
GU/nmWcJ8s0F5l2VwvoHOB2cHY6zu11x8BWxjUPMumDvxNkM7GOwN3rCPrNK
HH0DhuYqcdQOez3wrEOul8CzHOt55DyD/TXl+n4EPG3IMxV5fsDeC3uBpxz5
cuWZB/9k+HuA5TK46IavroB3xfib4W91xBVxE0tLpfAcLVM9yMXanLidGKj+
hX6qWWmonKXVyku7iNiRsB/ATmC/JJRdgpg3qNdW5D0DPvchbivuXgpfY6D8
vOdVSlyMy0tbrPtJxO/wxCG5PBlJkyewvoiE5znWKZ44ITfETS2tow6RcyV0
PQb3dJSJV9aAb+BZctcSKX451lOI2Vyq+7pdcUgu53uKJd8bPOVgPVmrwY7i
WZ9BjvZYh88VOu970g915Kdhowd+5aVP6o/aS6bVG+fgnxNjHgXMCfAwkJoB
lgFp9eETxNR7et9Z2Cd8xTC2iLixsEfD/yelO176+qb/KvbTjvRHjd7Pqj/+
wd8TSs/dWIemxdc7X+9g7fiWm77mw+2sakWtMW+voz4oJNQz7J0bWWmJ9eD7
2Wc/K2Sz/1lH1oy5qUHm71urGhWhmURa53t9vYFvaUCvn3J1z8C89Erd8puz
gO/qQOzBUP4DWEfVqqa3qsUXeWvwhJk9TNwbXHH4GBzuD1TLfYHmF+9oR55N
gd6wMRA+4myoFQesN/E/HSx+S3LqW/ZrslbzdFbM37WYH86YJynh8PLim/3P
vIUa1aWPJ00ecPSGuthv8BdxPg8+p1VrPrJfFobqSfZjAfaVuN/Z99QXeef7
OUOpu/GR5h1rtCzSHGfM8Ug14Xwg7tcZabIDd97Kqmf/utIo/ewzYmqKNcX5
y7Pvsd7LiJ+7GfFLnje50gLrSz3wP4A9+SxSD5EL9tHItN7/3lef0e6KZyv1
u9cVJmL4lBImYuN/Av8/WNsHofqG+ak3vpt1bIm1xznItzKW+qeeDwfq7UOB
Zjr332X0H8Z6/w5VW+qEOFkzxnfFuqQeT7vCRGzs6dac6v4lpRnAmc4c12M9
cJ9++jhr/gOYcAbM
           "]], 
          PolygonBox[CompressedData["
1:eJwtlEtI1HEQx6fdJd2tDlK7+y93ffyj3S5q1kWN7CBmoGUFXYoozcoNeoGp
BIFhkdFuHjTF8hFI0aXIR6c6FeQahNATYkOrQyCdCqQ8RJ9h9jAw85+Z78x8
Z37/4uZzB856ROQg4kO2OiJtfGjEOB0XGUYCa0SSeSJXgyJ/YyL/vCK1xKTD
xBeJ9K0UOYK9BT2wWaSV3DvY7WBlIiJD+JdywcoX2e6K/PKLVOKvdA1TsSsC
5IZETlGvxmc9lJO/REwKvYQePuD7HuV7jsgFMBrIfR833yAYvdgv8Lv4W7Br
sKNgJDyGWU3sO+SwzzCP4qvbIFJEbz30OE2vK5zsLMTUFzAf87Sh3+fbdXze
YpEQtYuxk8w/R3+N9N6F/ca1nrS3bvDm0Vupt7ha5Ar9XML+Q0wiYPV1tknw
0vDpx55ALydmH7Fd5L8KGqZi6w5GwPLA/0w2/njYMBVbOfbA37NCkf0e4+g5
+jHHaulOPip/zDhGbD49ZtjHbsfwlZPRuO1Id9VEfmeBcahc6s4+oQ8h43k2
Q4R6PY5xc5n8bXDV4djulbNV2Anir/ntRpbRd4LZCHY331LMW8W3Q+BlsOfQ
HyP9fuuxDPxv7NPvs5nmmTcEHyXoCTi9DRdNSMZr+7iJvwNZ5zFOn5B7Mmi1
tGY1tUti5tOYdmIH+HYRXx8x48SORox73fFbuLiF/3yOzayz683q7d6g/ixY
P4N2O3pDjwrtJrQX7ekp9U+EbVda00d8R4Fxq5woN/fCNs9v/AP4p8KGr2/s
NXYD91mPLID1FZkN29tTTpbxP3Tt7eh7eeDaG9C3oDe5VvljnlH6W0+9z8zT
meVH+yslP5Xt9wd2M/aOuN2+vpkIu9xFv7VIKW+7DJlgRjfX9rFAbhLMxVx7
cy+jtiP1acwksRXknuG/shF7Grsly4fesJd6/THbpd683r7epN6m7mSQ3Ltx
+xfpjdY5tiPdlc60KWQz6Wy6o17ipwqtltb8EjVOlBt9gwmw+mI2q3I+Ri/j
EXurOoPO4rh2i+rXWxuJGFfK2TB6FTUqkT3sZC8yE7Pd6c4mwUvH7Db0pvW2
/wOEVrsc
           "]], 
          
          PolygonBox[{{8239, 8238, 6142, 605, 8237}, {8589, 2435, 8590, 7749, 
           7750}, {7649, 7648, 6730, 2083, 8115}, {8118, 1672, 7349, 6731, 
           6732}, {8116, 2083, 6730, 7737, 7738}, {7655, 7654, 8110, 2080, 
           6727}, {6734, 6733, 7744, 1871, 8120}, {6729, 2082, 8113, 7654, 
           7655}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.9564920077846609, 0.7612300194616521, 0.46512522413244867`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFVVlsjFEY/VCq02n+WP6ZSZepmer/T9ApRVF7hVY0NMSLiFpCpZJ6szxI
SCMaW4ikxB5LgiChYnnxgqhGSiK2oMKLiAdiDS+ck3MTD5N7595vOd/5znf/
1Mr1C1v7mtlR/Prh9yg0WxMx+5Y2m+SbzcTZ3cDs+wiz/tj/LTc7U2pWmWvW
W2J2NW7WHjW7D5u6QrNYjtkHnJ/H2SLPrAk+hrvDeWYXU2ZLELc/4i/F2lhg
1gGbLpg0weYObL7ApjgBHPCfCiwfsY6H/W7YzEZ8H/Grk2Y7YNMC/6qM2SHg
vIX7AdgvwNnWiP7vxfkFrD2Ic61Y2IhxJHJdQq6HKdXAWk6iphclil8LmzWh
8p4GzlkuL++vFGvPs8mwKYVNW1ocfM4TX1lg2OUJw03ELR9oNh/2fWKqYzNw
HYRvA3y74XsCHK6F/wHgeoa7RtjUYj0XFVf8X5lUXnLAfMy7Hesn2GxEriOw
yUfebZ5q5jqqwNXv+sh+rsPZMdw9N+HdGVX87kD7TmDJxnR/yVcd5JS1kFf2
jP3aD/uX8B8CDBXDzBajxsph6nMUcYbCpjcubqmXWsch6xgcEy72h36LYFOB
u2ng5DF8SxKqj3vylYFdGdZlyNnmq9aOUHqZC5sq/F/lSTNbsD/lC2MF9FDq
C8uIQHznO06Oh9rXJ8RfXoHikoN6T5yMzYiv9oS45FzQl5ptcTyM9pV/H+Kv
DIRnD+ruiMiXPNag5vmo8Rp4aMH9NE/9GJ0rTXJGimLimFrOZuQ/BUVvSIj/
CM5aQvW7Cmch1pGeeKFOeU78k12uEL1o9TQ/5HCerzyvSqQ/nq1GvC2F4v4p
dN3si7+aUPPBHIyfDbTfhLp2pxSfecgBcZIHcnYu+l+7XH8G0kKRpx6Qm3Ge
+OJZ4HSSFxN29nZ4TPHYQ/aEPeNdXcL1KFTd9Q5bp3uL3qGuN26WeXbD9Z39
3xBXrgrg6XU8kA/ONrk7m9YcMtfDtN4v9mUuuHkWap6XI/+9QDNTDZtViBlB
zL44extXL9/DrysuHn4Hel/IYw/W/IxmZ2NCeqdeyXWT09YTp332jL0hT2ud
tqkbcj4RnP8J9LY+iEvvnBPGyc1oPovL9GbQhnVSQ+zRjDK9v5zPy1j3pNT3
6YjZgDqHYw6vI8+vQP58p+clhbUPML52nNQ7vfCceZmPeZNl0hxx/onrXeD7
4LuVuqfm5yTlz/ycp6x7W66WikNy+dvpkHokB/QnD+w5Z55957eF9qzxnptB
zmKO09xqxJkwSD3id4v9Zy+oidvuPeG7wu8ccfxIy5b80J4z2u4wdwTCfxIx
xyQ0U82hvlXE8zUlTVAbE7HuigvrCvj9A4x16yw=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlE1IlGEQx0exzHVtKVxddFddV9+V1LXUMoykLqUUJkmHKLIULQy0k3YJ
DIoki4pgi6QsKKjAPlbCunQpyT7UIDKiEOpmHaLoAy2o3zTvYWDmme//zDzh
1u6tXckish1KgYI5InU+kU6vSNwRWRsVmYJv460PXTlvDnIucgry90KRDo9I
WYZIS0BkL/az6LvQn0I/ki1yHPlLmkgNtpXYfEZeic9V5EHs0/Dtxf489r3o
m5D70IciFkNjvcSnDtsIcr3PYj5zrCatrTlVZFOeyH3ki8j7iVFVIvKcHJs9
lmMjsZPx8eBbs0SkolyknZgnxOrpiFpNymsPK7BPEC/us5rSifcY//Vi/YzB
P4H6vYaZYncWeR9yNbIf+Qp0GD4d/0vEv4k8gBxDnkYuJ+Y48eLkjMG3g5cX
/wvEHw6L5EUMC7UpyhLp5q0XnZ9h3Q2KvIoa9ppDc/1w5/EA+1zsT1NPJfxb
fM7AfwjRN1gVLQIX7NdFLPcbbGLYe6hhS4bVqLX+n4nPZtZJrlthqy0T+1E/
swhYb4qxYr3MMd0wNqXwQ/n0Dc1i+wnagc0CbK8Tb5xevxLvEbb1yAPIl7Nt
97TezEIj5RXTIXRPoRtei6GxJhVTsZ6nFAvqbfaZzTz569z+OqnxGLVOhq02
nuUh9awutFk2IU8jN+CfBbbLwShB3UfQ53vsBoL4+916dAcm/TYjxUN3qo3a
kgK2i9vAt7zAdl7j644k0C8ssdnoTFPhD/IW9VpNE8T6g/wbKsW3DKoocGNR
0wb2u7LEetGd1N3sD9iua4/a604X3xZyzFDfPLEaqaeYGKP0883FW3diDH0t
mB0S63EN/EnsG7xmo7OZcPHSm+9Bt8sx7FTfAv+3mHxiGAjynGOz1RvVW9Ub
0FvQmK3o7uXb7ukOzhDvqIuv3mAS+1dNj1VQK7W1QbsDdis6X/1rfjo2K+3x
F/zHkM1KZ66zfx00rLSnOfxDAfs7NIfOsjHHsFBMasmzGLnUZzOIOfbn6Gz0
BnrwvUO9t6EEcUegPY7tqvqo7zX3vxgkX1qW/Yn6N+oNp2Abj5pO7+Mc/Ko8
u1294QNg+y5ks9Kdew//wv2vdKeXEu8fXvi7Kg==
           "]], 
          
          PolygonBox[{{8119, 2085, 8120, 6139, 6140}, {8096, 1839, 7645, 8094,
            8095}, {5475, 5474, 7736, 1870, 8588}, {5610, 5609, 5464, 2423, 
           8559}, {7347, 7346, 8118, 2084, 8117}, {8236, 8235, 7743, 1069, 
           6781}, {8560, 2423, 5464, 7731, 7732}, {6728, 1046, 7348, 8111, 
           8112}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.9644234311328549, 0.7810585778321371, 0.48971263651184993`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVVlsTGEUPoa0o5mJDG7vZMost+29ZWrsjS2hgniwBSGEqorlwZYgnqwJ
YomlQYPYQ4KkaSPSNy/aSqQqkfCgeEQ8IE1qi+L78t2HyX/u+c9/zne+s0yu
YcfS7REzu4DfQPxmBGazB5mdTpkdSpstgtwEeTXO0XGzUzA+mTArjuuuschs
L74LkNcmdf/VM+vE7wDkedB1OGbtg816c2Yv4X8zbO/B54tAPrtx7sP38qhZ
ddbsDWxXwWcvAH2D3I9zSkQxnsfMtkCuKAW+ErN0uVkEbzthM8o3+4hYW5HH
SkdvNyT0nr6JdQ3eXg6Uzw28e+eaLYHudsbsAX4Lis1+QJcA/mror0H+5ejt
qxFmScS7BP0e5DXRE65W2DQj1lzE6hmo2MQwCvy9D/0/gu/NJcqdHL0diXwQ
qwdnEfTb8DaKu4sJcUJ8N/HmGOI2I24L5BxymA/MrSOk3wE+ryBuTUL5k3f6
rgO24bD7AN0ZX3FvJRS7MSNs5MnPio9+YBwAPrOwOwIfhSpwDAxjcE7Ii+cM
8h4Km4WQuzzFJobP8DMW8XbBz7KseoV9cT4Qj+SzAvr3jvJcg7deSjXpA7Y8
fhWo6WicbY7yac4pH+qHwe/YEM/RpDgjD+R0MPDUwOcdT/VgXcbnVVfy1xXI
H31FcTcpLTw74b8l5JAcE8tdxJoTEUbWgTI5WxgXb/VhTQtp9S51g4BrdxiX
fZFP6e0b1LQtI25/u7KlH9qRP2LjbDzLKb89sPkCOQv5BOTiKtkX4ZwJv014
U1uuXMntrrCfyMFD5FEolc2scsUnR7xLDsE38urgYPuS/1Wq12hDW95RHw2x
sf+I76eve+Z0P6f7BlfckcMa8NDiqv85B48dzUB3TvWmzeS0epc838toFskz
+eZ8H41pxut99Sp7djH0m2L65sxx5skje5z9wFqSB+4gctHhy0+7r/4jN+OS
2mGfYvpeh7t5kOtwngK+w9wLwHvA0y4pg/3BhOz5Lp7SHK+F/XFXdWF9Gn3h
LeO+8ZUHe5n7j3uJWNe74oqcrfDUR09d7QZioN/atGz3pzRzjEkc1b7uGf/V
SPUb55U2xEc7xiaGJ7D944ob9hq54E5mX70Od98UT3uXXDKHbke71Qn15Jp3
0wPhnxZoZzFufVhP4mGPnvNVl7O+/huIZV9a76nnrqRvYqM8Nyks/B9oCoTt
Is7drvyx91NJ5c06dLriipxdRz4pzPgNnJsC1WUjzrJS7bI+7qgx6t2/lcJI
bpnjAF89Egl5Ym+wR3/46r3vOK+6wsgdzxqwFlPh/z+TwOy6
           "]], 
          PolygonBox[CompressedData["
1:eJwtlEtIFGAQx8cH666sxCbbLuquutru5mO1KMn0kKYSlBXRRfFRSuqhxyEj
OkiZVJTRQ0J7UIGlXVKMoG5dUoMwg8AoLbtFdBLLHpDVb5gOAzPf9/9m/vP6
slsO7z4ULyJ1SCKy7BNp4CCGUREUSfeLdGBXYpdHRGqwT2DXY9/A/hoSuYCd
lyLyCruF907syQSRuLDIaLbITZedPUDv8Yr0ekRKkkVcq0SuYQ9it2OnYxfj
/wjYHfjvJr4jKlKbYhjFphKvgPs2t8gV/F/krJ+7Wt6v5P1x7JPYWdhx2CXg
N4I/A34CfD8ck1KMg3LJyBG5Hm8xkojVytkp+G5PEllP/BHsx2AH8BfDXyGY
DrAjnA1y9yJk9VCfA/ieJsdR3qdyNoV+1Gf6HPUoIP50xGqlnJW7+lBf3fjP
xf9z8FXgneT/E/xDn/Ff5v0k9nCmSMApcoBezQRELoetFjvxUYyv2z6rzyL4
Pu6inFV7jNNT9KmI9U571kitG+DvSLaY9ehNfrtrB/MabCVvWnm/wPs36FvT
RLKJH6M+74n/KENkV7ydjcHt72q4w8e/QuRbnvVce69nAp9LyKcE43gLrtvw
edBjHObRY0HLTXO8j7/GsNUuC/w58KdD1ludyR70YvBFSDW8apDNSBpvzzrg
A7chfNxD5uH6EckkRonHZvKJ13LW3Ifh94NYpRGbffWfRi283M+6jK/O3lTI
Zk17rr0vyBLZ47Sd+Q2/RfIddxnfBfTvYfOtNdRaliJ1HvM5jf7Fa1yV8x14
NoGvcVvPtHfqQ33pWTN3SyHbFe2R7t6asO2azlgn8WfIuc9hnLqoxYagzbLO
dC++lsI2S5rzJPjMHJs9ncH6Qqup5v6SeGXUYm2+7Ydi1qFX5Ngu6E40g8/D
X67baqq1bUeOeYzDL6/tgHJTTD7Y8bDtotZAa1EFxy3IW3rzDrkasd3X+lZT
/8SozaJy6MSeC9js6czo7AT/89d73eWuoP1V+ocU+S0nzU13tghf5dyXIRH6
FkXO+6y+OpN74bYpYrlrDprLH+Z5IsFmeJ/uYsh2QXdS/xbdOd097fkE+n7e
f3bbH6R/0WzAdll35APv74aMm2LawA6F7C/UM717FrbdVf9j4P8B4Bi87A==

           "]], 
          
          PolygonBox[{{8105, 1671, 7345, 6723, 6724}, {7647, 7646, 8096, 2074,
            6720}, {6726, 6725, 7734, 1868, 8107}, {9021, 9020, 9024, 2711, 
           9023}, {7641, 7640, 6722, 2077, 8102}, {8099, 592, 6110, 8100, 
           8101}, {8103, 2077, 6722, 7727, 7728}, {8587, 2434, 8588, 7739, 
           7740}, {6278, 3432, 10286, 9020, 9021}, {8232, 8231, 6138, 604, 
           8230}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9723548544810489, 0.800887136202622, 0.5143000488912512], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVFtLVGEU3aWlE8Z0m45NztGZac6Mt3RMocgsIRUqKqSHCuwimfRQPVQQ
ZBcDuz4EZWFREXQRkcBeeouKwoi0m1gURb8gukBRQdFarO/hsL+zv31Ze+29
v3j77tZdE83sFL4cfDbb7DTE/ghkYPY2ZDYtYXYP/xCWhtwCfUsBfDyzS2mz
/KlmzYVmV/DfAf0Z3K+G7nzYbE+u2RD0PdA/gr5zqnQ3kDSbMduB/2rIjZXS
FyfNXiFmOfQv08rHvOvhe9Hl6oOswxebYnYQl52IvQS5lsGuCvZZ1gP7QWBP
Fcg/5ZvNRPyGqFlrvtnaPOTAfw0uP8OuFrJuulke7HPJBWL347wJ5xbEvonz
Gpy/l+n+dwr+GdVTAbkkqZqOgYcQbOfAZybsGiPy+wo8Q0Vms+C8DBi6clU7
fV7EhG1x1PEO+wPAG5QIawayMk++xEO8xx2eikA17gPHH/BVwO5CsdmEQDja
oXvt+NwEbN2Iux021Tj3hWRDnMTE+J+AZV1C9a+HrIJdB+wPwu92kXDWR8U7
+e+GfBoX188okbsYmJthUw2flfDth24spviN0N/EfxFsrkPuBb4kMJQC72f4
P0ScL3HNHGdvRkL5mJc8LXZn9pOzRhv2+01Mtfci5kdPfL2H7nJYPJPvDYHi
M09VRvPGuWNvWS/5HI1ojhZC9oY1x7T7GBH3KyLil7mYs8HhqfAVm3uRdf6M
cx85f+HchfO2iHCxdnJRj748h/1ccPwnpX4MAFsU/yPQL8L9csT3YT+AnG3Q
lwLPCPSn45rfOuS9G1EPfcilbg45j7znnDN3o6/zX3Bzy+F/B/xNBcLNHTkb
aJeueuKVZ9awICyuWdeJuHqa9YV9Z1jz2h4WZub6FohPzlGiRPY/PeWnHW1o
y/nhmbPMHSP/nBXaz0f8rZ728V9K+5R0s3oO9U/m+wLZGhan7M2wp17+QP5n
aXE1mhYv9JsH/RE3/4d9vRk9rsamQsXsTasmzjzreuzeE74rmys1R41J7Sfv
j0aEkb3juxDKaGbyIR8E2lW+MWVhcU2e+Wb0urdx3L0PfCe4x7SjTVdU/Rsr
0jvEOlljDuKugv+kjGaRutfo495C6XMz4on7yJrH3V6w55xN9pL1/AoU94mn
PrCXrId8EDM5qSnXG56FHA7UpzuwT7m3lXvPeWXtg5D1vjBzNrNu99n/a3Hx
ecjXDrDnteD5pCdO2hDvPzAlxXc=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlE1IlGEQxyeV1NhlMTW31XVd1313dddcUw+CUULloajYoOxQqFDSQTuU
nsyPoCKFArUPosI+pFL6unSLiqIgK0KJKJKOdenrUFlQ9BvmPQw888z8Z+aZ
+c8T7tiX7s4Qke1IFvI1LPIwV6SW8+NCkRn0afRy9HvoAxyCS0See0QCfpEp
7GewZ6O3F4n8RbZki6RzRJwykafoV7FlgtkGtgc96rGYz8COhURGkY/E/oQM
Y2/xWA1fsLeWG3YX+eexN0dE+ij0CkWv5pyH/Q2+u8GcB3vEb7b9+NTERZa6
9jXgXxRaDRpvEv8n+Gfhs9FLXp/I9YBIfymxqL+T+k+h1+P/Gfxm8K/B17n6
YfC3wV9AOj2WQ2v5ib4BfAj8VMhiaKw93A0Se2uZ6ZqjhlqH3H6OEF+W0cuY
SA71DFJPVYI+o1e6+kTAeqK9WUfOY+Qq564F21F9jyNy0K2/i7vj2C5Rw0Xk
ZonILaQKeyXSxlvakQ9BkQJ6VUJNk/itD1jt+oYUfgvk+IVUUHcUyaFfm6hn
nPgp6psjZgJ8H+UvEO80+F6fvXcI/E7Haq3izostXmbcUEwT9grs+WJ8iHJu
jBm3OvDvx/8aNZXinyTee+oo5m6Vz3o+iv84/ou9llNzv0JPuPOspr4M7pZz
zsV/Ef5JcuaTu5d83WHLobmUs83Ykryv02scaoxYD7WXL8E3EbujyGIp55X7
BdjrfMbZNuJfDlkvq4k3j28Ce9pnO7DgWA+0F7oDSfRpd3+0B3fp37ugYRWj
2GHHdlH5NcL5h2Pc1Znr7O87xm3l5APOxX6rVTmlu1ofs9mo3sD5TpFxRf2V
y8ox5ZZybAb7Ccd2Sd+kb1POqV05eRZ7V9h6pz28wexng7abyqE5zgOlNnud
R4zYv6P2r+gb/0Rt53XWEXIcoJZDhcZ95ewEtpTf8LojuisaQ2PpjMfI/y9q
f01DnsiKapuxzlp3OJPZVToWW2eus2917O/SndnB+W3QuKScWhuwGeus94Kv
jdsfoPGUQ7Mx47hyXTmRwJ6Km+857uqxhSL215xEX4n+zbG/Qv+Y75wfOfZX
KGeVu7UJ89Ud6uGt/wHnpbG/
           "]], 
          
          PolygonBox[{{10189, 3369, 6237, 8943, 8944}, {10133, 3334, 6213, 
           8902, 8903}, {6721, 1044, 7344, 8097, 8098}, {5473, 5472, 7726, 
           1867, 8584}, {5608, 5607, 5463, 2422, 8557}, {10245, 3404, 6260, 
           8984, 8985}, {8084, 1836, 7637, 8082, 8083}, {7343, 7342, 8105, 
           2078, 8104}, {8985, 8984, 6261, 3406, 10249}, {8558, 2422, 5463, 
           7721, 7722}, {8229, 8228, 7733, 1067, 6780}, {8903, 8902, 6214, 
           3336, 10137}, {8944, 8943, 6238, 3371, 10193}, {8106, 2079, 8107, 
           6135, 6136}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9802862778292428, 0.8207156945731069, 0.5388874612706526], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFVUtIVGEUPqblKA4xxjQ62rx05t68KgZaVKvITRZFEaUkPa1NVJDbUDMq
MZBCjZ7Qg6CH5apoI0UpWRb0JnrthNqUGvSCoO/ru9BiOPf+95zvfOc75z+T
3Lpnze5pZtaDXzZ+u5Jmh2aYfQqbTabMtuebTcFOZcwuFpiNRMy6Q2an4HMK
/mvhtxM2EYO/7zMB+6FUPh9hCxDvIckZxO4G/rJcs0r438szG0fSOL4djsh+
xvftQbMB5HgA3ArP7ArsCcdso5+rHLEeMEoCZqsQ4yLfW+AURM2O47cix6wt
pvw7AnofQuwA8o0BvwE15QTFf1ZUHLqA8TttNh38f6UV15Kr2DwXeIgpLgOn
lOL7wWcEWIXI3wruLThzguI6iPcFOA944kAM5uqI6ZkcB0qlcyF87mcrby5i
LiVlNwOj11GcA5+jjjjXF5mdD6kvt/HtJ/w2wP9q3KwJNSwFTiPs2bh0/obv
Eynxe+LonedRYI454kuNF6G2fvgshs3D+xdoVZdSX6k5tf/l55qbMBt1VG8z
+DxzhM887AM5sJcv5qhPz2GDAT2zX+8jspfj6nN7vnpNfanzdOg9HNZ8fIUe
+2LqRTVyHYiLzzi+P56jZ55RjxZfE+pF3doRdxIYtcgxDF5p6JIEt3LYC3HN
zxL0IlomDiWwNZ64BMBhId77cF7pKp6x7DfnqD6kWt/5tfQD74bf92rocDMk
PV8Dq8oTr6fQ6S5yHwDOHdgock8CYygjy3PG740oD+eLfaXm33FWh/hH8Kl1
pB3zDmKOuuDXAU5boEkFenMMc/WyVFo2BJV7vh9bXCQ9WAtrqvXEsQY1ngNO
D3A6w9Kbz5zXn2FhvgCmucJsLdJdZZ+7IqqZ3Dn7veAWhrZ9sB04j4FHJ+yt
sPpxLSkMzjG5VUQ1H53w91zpzz6wJ23+bGyK/L8fV/27cxr+VVW6Pz/S0rvP
1/wJcr1BrkLkbQxJW2p83Y/lnqMvdw3xX4U187UpxTGG/jZb/PfjfHm+7j7v
DGeA/Wefsl3VwT7zTvSH5EMcYnD3jfu7i/uSd4930MN8znPFg7M2e6b2AOuh
TuwPaz4dEQb36EpgbyvQzmrOyHKHHcnovDuje0M/ftuHb6uhbTqhmeXdJO9R
v56HsOvxy8FzE+yHsJ4b8XzSUb3ceVlR8UlltLOoIfvgutLwYJH2L7HXwafH
n2nOeDKhGeb+4A779//BvsekA/8TqNlyX9s/aeXK8ncz62L9rINzSKy/sGTp
1g==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFlI1FEUxg9q5QxFGYz/wXRsxmZppp32TawIsl0ikqTdXoqChAgSDaOF
gijKFuuh5SmSeip6kaKMLJMsbaGot6CXbHlpgaDfx+nh8P/+99z7ne/cc86N
b9ldsyvPzOqwAmzBeLOdRWa5IWb9ZWZTYmaTscRoswpsCf5m/NvwN7I+BtvB
uaDQ7EK52Y0435DZEEivg/tKzU4NNluNv7HEbCwc6/N8LQueGDFbAd8DznSC
18B/hf/qYZBmzFoSZrGwx1TsFPGS2Hy4KrEaOLbD3QbfB2IVcuYxR5s4EwLn
2LsErQfgP4Ke8+WuVZqfkV8T/mUkfgL/Zfwt+IfhX4nG9wH5E38G+OBQs/sp
s3spx+vQMxO9s9AQYf9h4rcTP6jw2M1YCbgbzna4R8LxBPwFKwcvhKMWrvNp
7gkt1ey/AF7L2rt833OE+OtSvncR8dLEm4qegZBrkrZz6D2LvSaXN1hLxHNR
ffaT28+k2cN8r8dG+BLwdea7nj3874v43eqOrZh1ON9yPod/BHhQxvO5izsf
vIoatEoL9elC76bAucX5l1gNgXMrhwyxvmHX0L+FM1XEak17rm3wnU67RmmV
BmmZytpT9u9Vj/E/Iep+1Vi1ro54fxbA8QFcm3CsNfVuQ9R7R5pVC92Z7k41
6ABfCjy37+g7gbZp/+9T+io5P496zsWec5e92CH46uE7A99M+MZlHKvHcuCX
ZT4rii9tnyPeC+qJ09Tla9x7W/VU7QtzXjvFDIGPoWHrUJ8BzYJ6Sr2lGvSA
jwZ+9hN661KuUVp1pz/4X87/Md0HGk9yd0dTvlc5Xgy8hsKKcRzfoqjvVQ0e
JfyOddeax1/gxeP9XzWYDt/HUp8txVCs5pjXTjNzALw54rOlGcvGvMbSp/xe
gfv/z784xf2DmPVhn3HN+m96ZhCxiofjyzIj+JeGvcfUa3pD1F/a84e9HSmv
ne7wJvkNKIewc35PeE7KTRxd4Lqo96r2aG8tnO1FXtMM9btV6rM+inpdpV6T
WHttXuPJ4DnUvBV8mzMbOBtTjxb5G3cn4m+k6q83I1viM67+j6M3idZRFf4W
KKZiq4fELc7Z4N60z5b0vQD3pB3rTegGJ0f726k38xf5VpW4VsXsI/aYlMeS
Jmn7B+9Rwc0=
           "]], 
          
          PolygonBox[{{6169, 3274, 10037, 8829, 8830}, {8085, 591, 6108, 8086,
            8087}, {6719, 6718, 7724, 1865, 8093}, {8089, 2071, 6715, 7717, 
           7718}, {7639, 7638, 8084, 2069, 6713}, {8583, 2432, 8584, 7729, 
           7730}, {8789, 8788, 8792, 2564, 8791}, {8830, 8829, 8833, 2590, 
           8832}, {7632, 7631, 6715, 2071, 8088}, {8091, 1670, 7341, 6716, 
           6717}, {6085, 3235, 9969, 8788, 8789}, {8227, 8226, 6134, 603, 
           8225}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9882177011774368, 0.8405442529435918, 0.5634748736500539], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1VEtLlFEYflNLA4cJF82lmXFmzO/7HJsWlmlGSGaRhGCWhSWVF2yRFCht
MixEUansRmRYG2sTRL+gggJLu0CBEBS1rF2RRQXZ5Xl4PheH5z3nvd9OquN4
87EcMxvGycX5WGi2Jc+sF4+twKUBswHQl13Rl4CTIbMOyI06Zl24fwLdCRxx
9D4GbMGpA70P2JgnGdrcnjVbg/tczOxF3Kws32yiGLohye+FfAonCbrEUSzP
QR+BbrUrugrYkBVvMA0fOFvBbwG+g50MbA7CZm9IdtKwkw/Z24WS++6I/gas
jJqtAG82Lr1dQckeAK8eMvuBM2nVYBq4B367wZ8HfQ0+VhaYXQWeSSvGAeBj
6AxB9xGwFfK9kF9VYnYI8eTh/Wep2Y9S0b+AVX4MJQkzFzppvDvAGujcYt7A
Nj+eUdj4Ch9n8f4ZeBD2+6G7CTJRnAm8h4Cv/Xx6Umaeb7MPun/gbxnow6AX
fPo3cBJ5dwdkywGeDqr/nqf4mcdLv1/DyDeVNGtC7iXAMfgog8xJ5LHBVX/Z
5yG874C8i7zaYa8xX7yeoPrI/jkJyVyHzVMJvbG3FQnZHIGN9zHNTnNScpRf
Df7ycviBrQLg25BiGylW7fm+gIGOlMtvFeQjSenOQ3YKMtt8mUxUPZ+Lq/+c
Dd7nHfFrs5KlXd5zUZ8TQc31GNALaCbME3JGuvB2JajazbiqZVNWdeUe8U7+
zoBkGgKyRf3+qHJnXWcLVTvWjbvJ2rFGd1GTIuBGyG7GCaMXk8XKgbHXZeWP
fmbTmm/O2PqoYuc+Mn7uHuv2Ki4eZWKo1UVX/EbYOM89h/w5R3e+f4jJB321
wn6Fq1jXucqFeSzOIrEvrN3gjkTCypm5k3c0pVw6U+oxe702LHvMmzqsOf0u
7iGxPiwd6tZE1Sf2pxL8+4h1EPoPgfdCoh84+iP4B0zj7bOjOfjiaM5Y83Lk
Pu7neyOkfeBecA9zPMW8xO8z+849vIkaRlD/2qhmbXeB4u7ye0td7gp59PHM
le6sq/4x/jeov+NJx/W0u/xbivx+sC/8J6r9P2EYuY+7qssF4J2YZPifPXG1
w0+B7a7mpsPVf8F428LaE/adO+3480hexlO+ZcC/fi//ATNJ5VWW1D5zj7hP
U/5OsKb/Ad44xHQ=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlN1rz3EUx89sbKutsWG//Wbb78G+399vD9TWTB4SRqSVeWxatFmbsqgt
NyM0E6J5SoQL4QYX/gEuKGzcUEoRd+ZCkW2RjHm9O7v41Dnf8z7vzznvcz7f
eMfBLQdmmNk2ThYns9psRYHZQJ7Zo8DsceC2vkWjfmR38m2IWLzcLMbZPc9s
D6cnblaVbVYI2X7sAEwCbJqcySqzMjD1c7iLbz8rzXYQXzMdz4P7d7FZM/mb
c+COmbVFzM5SYCt8w6HZQurrATtKTjt+S8JsLfG7+BNwjQdut4ApADvOncXY
Mb7FiSVjzp2Gr466f1V6LaqpttbsSoXZ/Bzv4QO1jMHfleU1/MCegq8Ovg5y
TsFXFHW/Cb8N/+0CsxrwW8XBXauIl2BvgC/gvnTMY+pRvS5Pmh0Gfwf+ZdiJ
wGtVzRlR10TaSMMUsevUF1H95L8nv4GaJjPN1oPJpd+RhGt1FL5h7IEK7yWb
b1VwfaK+Zuxe4h+xs8lZR+5t+L/B/67MZycNrpLbmvBcabwTu5Qae/Gv4Uex
TweuhTSQFgNgVhPvJn484TNX/ZrxdrB9Ec+VppYyy6n22geJP6SfQe48wfnM
noxydgWurfil/dyk52/KN5tB/nl2IDPf+33Kfa/LXBtptDLqO6BdkAZviDUk
XesucqrIz0g512Uwi8GmUx67gV+PP0FN45wodimnI/Tdk363uG8EPwX+DPga
4o3lPtt2/Ar8sWKfvXbgJn1dBD8T/DHiaeLnAn9LelN6e3/Yx1nT89fufk34
7umOl6H3qF7FcQm/P+FavyJnKX5j6LbeiN7KC/wg3znEpZpV+xcwncRORlwP
zTSV8p3T3arhb6X3pN42wvEPfBF+Iec+u/OAsyjifJr5EXp/EvgstVParRDO
zny/Q9p380/oyzWbDf4e+f1Rf4vSrAR8U8T7045eCF0jaaUenqsX/EMFPvOh
0Gem2emOgLv2ht6bMMI+K/bd1RsZo7ap0HvRDmmXvge++8LoX1IScT31hpeE
PkPNckQ7iF8fui2MtE+Wey/qaR+9/QeMqqPn
           "]], 
          PolygonBox[CompressedData["
1:eJwtkDtLA0EUhQ8SH4HYrITV9bnrC1mIfcpgYS2CheBKCJgqQrZMl2wwFvkD
SSxNEYP5BykEU/k3FExrCguLfMNYfMzMufeeOTN+8f6isiDJgUVo7kony9LH
ttRgn8D+kbSXkaqu9O5LE1gNpAz00ErU2vSMoc7+FS1H7RQ2Q8mDcAfflFTz
pDLzcVq6zOKL7kMf7RlumV3C4+/QzhufEVqC9ob/L3qKfeTa/v5/HpMrRguo
HdP3siUNoEv+9RWpwzql5xta9J3Rd01fD32D+hPrD/oMInLdwAG5zvmLhJkv
zp9Zm9lkv0PL8xaHNw25x+GNa3CFZwHvB9feZe58RCuidV37Z+bv5kynM2U=

           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9961491245256306, 0.8603728113140767, 0.5880622860294551], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFVUtsTVEU3doEfenzXFp9vPbVvfXuee0lPkXFhETiM9BERQRR2kqIil9i
oghJEb+KEqLpoAwojZlEJOKfFjODShiLgRYJJRIN1sq6YnBy9t3nnP1Ze+19
/eY9DbsLzKwbqxBrTMKsp9isHvJQYNaM7wFndrvI7BaWD/250GwQchLnyzyd
Uf8U+iHIs6GfB/0VyJOgP4B9L9Zmk+7yPz3uHIPcxrd4sxK+zsPXDV93fubM
+ivMduJ8XanZxMjs+Ficl5u9K0OMCLyr0mxNoLi/wP9k3NmQMls8zWybL78T
oOvAveXjcAfvvmNtxNsK6N/Gdk7gvDGleHj2ORQG43CnGqsX8gXElsubtSTN
2tPIE/p+YgZdLfy/B26n8d3ktM+IlNMY3L+K7wLcO4TvkirdPeLp3o+csK9A
jmec7i9LC/sZSflmHq2eMOxwshfC/kCxcCSG25zi6AEeDVgFkNdiXwh/FyHX
YW/DdznkQ9ifOdnfBF+vK2Q7Fal+rOPDULZosxl318PPG+iX4N4mnD2C/NGX
bjDWu1A86YfezwrzHZCzkbA9DfkU7MxPKIdVCWHEHC95+qb8nZggt0bU53GR
fM2B/q6nXAYhDxcpTtaJuZIDzIHc4VtiSswKYv1qT7Zo53BCtWD9yCfy6iw4
0OfpjHrGWBvHyRyYS1VWvGe+p5Brerr4Qk51V0r+WiZekld95cKI8a/H/cx0
8TmTFUbEqgr60kj2g6z4wdj+APOD8JVhHE58Ye3ImZaE+HEPcjvsHIGdLeBP
j6cz6mdG2l/i7QLY7ITe5WUjE9shlp0xnqM5Ycf+uxVjsh3ynEBYz8XeNk19
koHt+4j7KHC+g3xXJOWb/k6GwvhPDeaAEzcrI/GVWLZAN1qjmRHi7rpQMnUD
vubJC+wjoWrK/s5CzsLXvjJhRpkzhP7JS3Jva7FqTN/twD81HjlUCkvGx9hq
8sqXeLSHetMFm41OPTkrrf4mD8iB2kjYVOc1C8i1J/H841v6uulrrvWS86Hi
+oZcCiPFdRa62U69mob9CYF6JoV9kVMtWGf2Hnn6LZSO94kdZxa5QY6wX9kn
7JFkJI5xhg2FmtvPyzQ/2GPEmn1QklIvMCbG9iun2jD2jXj3yolLnPfk6dJi
1aMhlHwCNkfimUmOs+eIO3Mb8tVTw77u8n/Atw9CnRODX07470fuvTGvOMub
PPGqPp6V5GOd05zYnFLunU7zgf8HzkDOdubMGrJOrNG1QL16nTMt0Ax5Hoi7
9PUBfTEcqC8+BcKJvuk3zMsGZzk5Sp916MHf7n8PkWv8nxG7qZFiO4g+6Heq
A/8PpVWaG1Owt/r65+3C/hexYvbO
           "]], 
          PolygonBox[CompressedData["
1:eJwtlOtPz3EUx09lKKUl6f7L75e+30iTUNbMZc1tI1az0IrKI8xt84BiTKTc
5jLGEzGbaJ7ZzGaIVrSxeZC/wMwUHrjMxvB673hw9n2f7+d8zvV9PtGW3bW7
4s2sCRmHnA/NevmuSjK7AK6LmcWDd6SZLSs1yy8x28yFo4lmEXBTpllCstll
9FtRs3ncycW+DR/l4HOh+7qKfhZcgY9qfC3lTm1gNsS/liSPOQjei78IZ3fw
N4C/VmQPeD+yA5wbMduObdpEs+4CfOPvMP7ecaeJ+5VIt3kOC8Ezi81G0C+g
zwK38G9ekts0g38Wee4J6D/AYbHbDqIH4LnUP8Z5MzEWl3oP1AvltI18epEr
4HL+zeasClkL3ko+HdT3FWnEVxw+v4FPZHrtT7jzgbuP+TcKXoLNI/BfcmrH
9gH6H/Bm/pWZ2zeAvwTuq4Z/n8H59CMPqcyhXiQGXjGBnmB/DP9bMhzrX5Sz
1tBnoR5sA3fhYyTRY3SC32N/fLxZKv3toL/dUZ/1fmpaTm0VxFiAvMw3G0au
ZXqt8jGJXp0OvBbpZ8D9geeqGp+B6wOvBbe2AZzKnbfo9fhfhP8XHNxNdI6I
KyfJoRN5RazXSK44l+oc/JbpHBFXdGdITsltaqpz8jvzvIfNkWSPX0qsrv/1
yEcbtqVZzh314zrn/THn62rkObiOHHrIZWWK2S/6tT7m/ddO1IKnFZodAvdh
sxHbnVHnqmb+hnzH0J8mOifEjY8x53srMgYeiHmsS5yv4/xTzM8UU7Hb0fOS
nOPi+k30+ehd6GvQJ5c4F2voRwq4L8/xJupLR8+ivqFk34cD3E0vdH4p5wxw
YeD9m0K+0cBrUC2t1FsE/1+GzkXlPBz6jmtfxPnbUeeEuKEYczivyvHYykm7
q5iKrRrawJXEvAi+z51G7g4wn55k76l6qx3TrunfKPl0ZHku2sn53C2GwyGS
PZ1RI9Wcx6X4zDQ79US90b9Toc9cs9cOl4GDwLmnmsPAfcq3cqoAl+c497UD
vfRyX5bPXj1T734Vea/Ug99FznlxXRyeDG7AfkaK90uz7irwt0pv1mC+vxF6
K/TGRQLnnLinmd6IOQfEBfl4rvcs4m9pIz3NZp5xxf42KZ948MEcPxOnxW3t
kHZJnH8Y+BujfRMHR8H/AJyYx9w=
           "]], 
          
          PolygonBox[{{8076, 1669, 7337, 6709, 6710}, {8218, 8217, 6130, 602, 
           8216}, {8579, 2430, 8580, 7719, 7720}, {7630, 7629, 8069, 2063, 
           6706}, {6712, 6711, 7715, 1862, 8078}, {7626, 7625, 6708, 2065, 
           8073}, {8070, 590, 6106, 8071, 8072}, {8074, 2065, 6708, 7708, 
           7709}}]}]}, {
        EdgeForm[], 
        RGBColor[1., 0.8830577531962389, 0.624483287242948], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVVlsDWEUPqlGidbYe3OZub3TmGnUdRUpQVBbGiWq9SCxtMSSEEuR2Ana
pq01lki8NK1aXjzbnkq1lsQzz0hoq/HiwZb4Pt//MDln/jn/Wb7znTPpbftr
9uWY2R08w/B0pc2G42BLodneEWaH88yO55oVlJpVe2ajIX9MNeumcdJsIs7G
wuY53q9Brywwa4D979hsB2RtxuwA/IzJk1+/yGwF9CAwa0KsCDZH4CeI5GM6
7N9kzQ7B5jpshrK6e9c3+xvL/+usfE+F3gafZTh/lW82E/JlrPMeyA2wyYF+
Cjb1eP8Mmzp+L1GOGxDrUiybi5BVubJpgH0dalmFuNNwtgD6Vpx/R35PIsmF
uLsW5x04Hw6bTbj/EfpmyD7UNRY+eiC7s8Lnnq+aGLcT38672kPUuAO6B30r
5Ff4b4ef/kh17xoprDPw24vzGZA1+PYBZ+XI4TfkWZyXw+dhT/mzjj2eMFkC
PRurjhWwfzBFsWYB8+1p5V6B80b4/ARf86GX4W5Fvt5bPOFJvEugp/IV+7Qn
3IjxBYfdatzdEitmJfRnkXJ7GumM+ezMUUzithT66BC5QY6CPOMwZi0zQ8lM
qLqZP++eg686vJ+PxMeSPPn76Gpl706Esj0GWRMqTjVkNe4sht06hzGx47ei
SHWlHAasPchRHL4zv4nFZrcgxxfLBzGgzYtQ/OqGHAzFx37mXqw+z4FcH8ln
LWRHqBzbIf18cZ5coT/mQH2lw5vxpkTODjxqjsTDJkgrUL+rXO3sN+snZ+s9
4VVcoD6xR/TBWWU8cpBzRP/fIvViEHK5p34RF84Ybf7Eyoc8YE7kJPnIWSaf
OfP0F5Qqrg95NCluc75LAunkO3vL/Ikn+8b5Ye/YC8ZmXGJLnhEP9r3O1UJu
cA7pg30hR9mbBPbJGuyXZJEwIR7sxws3/2szwo71+5H6wb40JrSbWNO3ULPB
OG1p7QXWNAm2mzPaf3OhXwtUM/fT1ZRZDL3PF8/ItwR8LnIzWRZqRzBfL9SM
sdbaUFxhjstgfxl+xiP/eUnNP2dzdlI8Y38OJlQf+0ocOZ+sexC2992u5s7u
d9zbmFDNrL0n1BySFydD7Vb2/0Fa80Du92DPlyPeOMS4iFxaXV1vfO0v8rEB
Nl/S4ntzoWaSs/mwUDuIvXqF736g3d6W0jyzz7dh0+WLN9zlvb78M85bXzzY
mdbuYO86ce++r53J3dkCuzHIrTklrHl3d1rzwznKoN6BSJgT+wGXJ/P9P1vu
v/O+UHfZN8akT2LdHWtOnkO2xuJQW6ye899HrtwMpN9w8soInbNO1js50D6l
v3e+vh9ydxmf/z/mEDh8UkV6qA8hrwml6m8mUC7sHXv5KBLvH0P+dHP4C/If
1YLzDA==
           "]], 
          PolygonBox[CompressedData["
1:eJwllEtIlGEUhg+OpIE2WukM4ow6Mv8/OFi6saBF94hCKi2ILmqRtYgulhR0
pTIxTQIrggiiqGzTuhsEXiopaJ3rkii1y6JFWdHzchYf/3m/c/3Oe85ftftQ
08EcM9vGyeVMp8zaEXq5nEJ+FpidKzBbFTWblTVLgBPgYvRDVWbHy8wC7Nfl
mc1H/yZhFiLPzTdrQNdMjFnoV2DfhNwSA8s3YvYzbdZdYVaEbQafcXRziLEx
6j57iP+OeNFct+nBtrzEbN9sMPb30I0Scyv608QcQf5RY1YS9RrLqXWKGB/J
lUQ/iVxabdaB/Q1wCfK1pFknsQ4Qf0slNcX8LY3gOHgTMZYWuP9Elb9Zb6/g
rhLdBU4rcg13+eRvTPlb73A3jW4ROU6Q7y53Dcin0C8D7wWfRL7LWQ/ukA9y
lPM94vHmIF+lvqPUc4V6xulnDXcNOc7Jc+LXhWZjyPt5czW9e0BPivO8B+qF
albty7HZrH4EXtsG9AXY1xNvJuIx65AfYj8ccY4GkSsCf2sG+xnitZJvAtwJ
TmedM3EnzgrBzYHnqgf/w/5Wyt8mnzZ8j6X87aq5HtxX4bOimXlPrDFyjke8
x6+Re7GxQuf3Bb693NXQrzbiJ7Neg2qRzSVsM+Az6gV4CJzIuq04FbfqkXr1
gfw70H9K+aynsX8ZOofq/S703bzlYuDyEnxy8F0MB/OodzXxEnCT5a4H3Rr8
f+E/GnP+1dNJfP9wtxbdADYLsn4ki9OBpHMgLtTDt+IOXCQey+k/ZzT02pRD
uVSDajlLTY+J/yjm3Glmnga+o9rV2+g/B86BuNCMngeXo28FvwLXEruo2ndB
Nf4Fx+POj3q8MHTOxb12YCP+L3j/4XyfsUHq/R362xVDsS6DcwqdA3FxP+G7
Kh/5Lgg9t3JoFsSpuJVPP7ojcY+lf9AMuCvuu6OdTWf4xnw2NKPJwHdCu6Ed
vk4/v6P/xikhdynna8y5Emf9zFp3zPdBM9aEf1ml77r+YRn8vwTeO3GoXX4S
eK/VY+3ecOizpZnR7NTGfb610y3obsZ8fvTP6cK3Numzp56r9yvj/l7tfB/2
O0OfRcXQrmyPe2z900bQ7a3y2dA/sB35P/Lst6Y=
           "]], 
          
          PolygonBox[{{8077, 2067, 8078, 6127, 6128}, {6707, 1039, 7336, 
           11024, 11025}, {11030, 11029, 7714, 1062, 6776}, {7335, 7334, 8076,
            2066, 8075}, {8554, 1831, 7622, 5461, 5462}, {8220, 8219, 7707, 
           1861, 8221}}]}]}, {
        EdgeForm[], 
        RGBColor[1., 0.9084383079104597, 0.6720718273321118], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1Vl1sVGUQnZRK2mVNuXTp1nV/78Z7Se/uLWjCi4EHEkASAUEgIqC1CVL6
YJEQIRggiiX8k/CTSIKYEHAJ8Y1QjEBpi30g+tYm6isJP20qSHxBFOs5nI+H
m286OzPfmZkz87XU2bPykzozu4JvCr73ms3+ajKbqDe7gO9og9l5nP0Zs6+o
y5n14uxp0N/PQrOdCbPpZbMjkBdB7vfNXsc5B9/XiHkqrxi/I8YwbDqgvw+b
XZ5ZBvIB2MQps3Z8wybdK07fDRuDvB5HBb9/ntB9XgSswPkGYuZTwkQ81ZTw
0+7VwCybhPtssxOIsxi6GuLs94SP2Khb5PSb4Xsb8hPEaUX8PY1m+0rAGyqX
M75qwlxGYX+oYLYUxatlzR6nzdZCTsPv55zwJiEfKUj/EL//lpY9/fJF6el3
HvbsQXam2a/O5hhsPkqoVn347XhetYkRswCc55qU8zXkOAacbcD2B+RJyEsh
zwlVw88gry4K78m8+jnhcijCvgb7QeRYy6l+7PM+6Eegb4DvKsg3IN+FzfXp
Zpdx7y8vmX3rCR+xdUAe572mGrFWG0LdTQxxqH4zl6FQ/GDND0LehFy6Usr/
G8ebs776wH5cqtfZ5eSbvno24Itz5MJTxHngC88YzsgXngpOrywuzMC5q6y4
u8uKxbuZ8z3k1g/7+ziH8F2EfAtnI/xHISdwbvfFyx04l/ni5HKcG2G3FTYf
41yD/m2D3F0SB8ln1rqEs5gSFxd4io+WPMc45urG+1nndtOcsD8n8rKtOXve
09Mobm3zxM+dkNc1SSafiGvS2azxhH8+5Lc93cH4rCVrSp7/6XhLnnaWFH9a
JL8R53szI64NxJrBqpvDHEAtA5+yRekqbn6J5f0mYXuzWZzj3OzICGtLJAyb
XE+/AMc+QG1Op3UnZeJ8J1De/7Sh1pDnQ9+bFr/uJLUfiJd7gDOzPpSuHMmH
vgX41UXKoxfyf22K/a7jNWPSjn3YnZQdOTucFP4HsDsL+VZadaXMfnEGLrg9
sC4Unkor6hDKL4s7K6HipKHvCxT/e8S5Guge4hoLFG9qpI/yj9AlIuXEfcDZ
Jr4fAvGq6urMHXzJ7T3WgbuSfR+JVffRWHPLPFfA92Gs/f4oFi+5c8kz7gvm
Nh5oLieT2o2cf/ZjL/QDyMV/GX1FLn+HmvsIGB+jnlzR3+W073j/BOwHQ+3U
WdA9gbwQvp/Cd3+o+AtaNbvUP98hCcWnz4FQ978Wud0EDDnE/DJQ79hD1pd1
ruZ1B/0Owy8bCA9xsUfcV+xTKhInt2cUl/E/DJUD7/8p1Jxyr3puz7LG/0L/
VqQ4iyPxhTNMzhAv3xXezZz4rjBuu3uD6D+vWTuHfepyM1fnbGK3H/g+cTds
Sev+ktsV5Bp3KzlBHnHmmTN5xNkmhzgrnG3WhRzkm8oZYF25o/vcPFA3G7l0
V8Fl6Oe26B3h28l8uZ9KTj4ImzsQlrTIljkQP/OY8JQDZ5o2xD8EPs2CzWAs
/JRf/I9Af/oyH97BXtKm4O7i/QX3fv8PogUtDA==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlOtrjnEYx6+0Yg/iseV5zI6Pum96no2RldaWFhs5zNBic5gVyos5RBMh
hy1zCiMklMy88E4hp50sp5f2FywxmkN5g4jPd5cXv+7vdV/H3/X7XldB4/aV
TaPMrJGTxnkemt3n2xAx6wePTpi9TTcb4KSDD04ze4WuLMOsBrx4stlg1OzM
GLOmfHQzzVKZZvuw+YP/o8BsGfE+4v8Y3JmNTMI1E8yiSbPCXGzR1yFnIu+I
mWWPww777gKzpeT8CzbiLQcvKDTbTb5+bFLEbyFmuXmNreD56Leh347ciP8w
/9aZx/gMnoVPG/IU4hWDq7A/gP0g8eqRN3Iuoy9G3wD+wn22ch/16FaO2Tti
PiXWM857cAn371M+7l/L/ZcTrx05MZ768S9FrkU+SPz75C9DbkC+jjyEPBe5
ArkcuRr5NfmKyNdPvvP0ZiX6G+gXEu8H8eYhL0XegP1h7GckvLefOEnwKWw6
8a2k/tPgPGLkcvKoLZ/TnOW9PoR9C/XvxScr4j1QL9Rz9f4Opxe8hH/H0f0l
3/HQfeRbT4y9xOopMpsOF24il/B+vaFzRzX0hP5POr3pVOrdgv+udH+TN/Tz
U+BvM8IR8K/QuSMO/gSPTfpbijMRcE3g/ecqtgL8MPD7iwMPwEcD5wJttCPg
c3lmZzkvyPWScyL03uiN28CTk36XtcT/Bvcu0KsBvTXDcBE8CY7vx/47Npew
LQqdO+JsIXh96FwRp9aBe0icy/sdw78zx2dEsyKObKOXHTmuE6fErW7615Lm
PewF5wTe/3z0vehvY4/rSEzF/sh7bYo4J8SN36FzRTOn2Wvj33Caz+SJQo+h
WIqRTez2XL+bOCaufSXnmgz3kW81fB6O+owfoPYB9KXoO9BXcv+WmHNVb6BZ
0Mxr9mXzFttIwneFOC/up+I+W+rRVXSxuM+uergHeVXgb6V4qwP/J5042QzO
C/ytR3oC7ov57Igz2g13Yz5b4oBm4UrMZ0Mc0O5Szar9Hu+3CDwny3ePOLWJ
+nfGfbbEuQncty7usysOv8e/Iu7cF2eeIqcSPmuaYc3yhwLfBZpJzaY4Iq6o
p1/oR3XCd5d2knZT6//50Q7TLlMO5dKbDoGvc2ZHfOY0e9op2i3iSBe1d6Ov
iviO0a6pSvrdnkw0O5nyGlWrbLoS3nP1XjGvgfsKfLa1c7R7dGfdXRyPgmNJ
nwXVGE96j9Qrzexm8D9kf+KC
           "]], 
          
          PolygonBox[{{6777, 2126, 8221, 7710, 7711}, {8079, 589, 6104, 8080, 
           8081}, {7624, 7623, 8554, 2420, 8553}, {8224, 8223, 6126, 601, 
           8222}}]}]}, {
        EdgeForm[], 
        RGBColor[1., 0.95, 0.75], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFVE1IVGEUvc9GTFvopPmmCXXmCe8l87NTEBErIvsRB0UKtJXkooLJFlGC
BQmG1iLaJBG1ilatgtqJk7Zob4uWmWG2yW206hzPjRYf3333u+/ee+4535ef
vjFerTOzRawDWFdSZk/heAe7r2BWg/ND2exCyew8zl5GZmfgf9ts9hn+fvi3
EfMjb9YL+wvsDdhjgWKOYl9B/Cz+PdxtdherEb5Ku1nSahZjfUOt7BGzY1gt
qN3mdivWky58HzR7jP1RUfmGke80aiXI+QC1RtHTSfw3gn0Y/iH479BuMLvc
rDiuGcTMmfB9NGEcxXmMuHqcz9YJ4wr863n1UsM+j/21yb/ss+H3VKJarDmI
9QfYi6ibKahuiH0A/j34m+BfSpSfs9xB3g7k+o79REn1K5Fy7GMxzYYzIgeb
mHUA7NWc2cWcZtbXrm/6z7ULB2eVTikfv6cQdzylWRB7U0GYD2G/mlfspw7N
hBxxLsR7KSWMtUT2aEnYqQ/iv4bvV03gGXw+hL2VxnlJi/ZeWTySwxbEr2XV
M3tvBM4e5GqIhK3NY8h5m2uAeZn/HvZtnwVjfpXVJzXF2NDjWYcagkz2NZh1
P2O/poWrLpDNeRVQuxfnPZGwEWMN9nhJGH9Git3y+P5A/RADtc1c9FMz1MWS
CRO5HjTlZf43IXDFwrl/n1xXs6G4pwYWQ+FjDDGSK+qVfJFDckQe093iqRl7
V6d4nctqjqz9DHmm8+KemlqLxOVqpDq8pxif3Y9l8+6yR2qOetuNZVPLtyLd
lzCjeqx7E3YxUW+8f+yZ3HAmzyPNooiY3Uha2Yk0qwWf16r3cyqjM8ZMZqT3
esdYicUf3xJySJucjvgd3wDG97HmPOC8Lfv9DF0/nCP5qgZ6a5iD+JmH/xEz
OeqEFiu4L7mctJd1vRI37zU5pQbYO/XDWHLDuVddE4Hr4TrWpul+z7smhvxN
+acN1uT82Qt39jPj5+S61+8944iV8+D3beeCnPxOpE/qlLNnD5z/hPdDH3th
T3wrXzgv5Ge97O9JWVru9/mc9fec7zr1Tsy8N9RIj/fK87Hg/12YcOwLXovY
/wLnfLcl
           "]], 
          PolygonBox[CompressedData["
1:eJwlkT0sg1EUhl9UVA1Vf9+HtNqKlrS+WFiFxc+giUWCSVgM1MSAxECwiEVi
YDKaDFbFYidhRUItGpuYPDdnuMn73HvuOe99b2phdXqlWlIPK8T68aSxOqkQ
lhJJ6RnOwFNRKZKTtruli4hUXyVtoY+6pJaw1bhaj5r5qPVwvRpydreW5gsp
9uF27l6xN45OJm1WL+ddCek2kEo1UrZZukMPtUlvspnL/XhISxXO+zBdj95g
DXN3CV5HF9I2awSeQn8y8536OPyBzrP3Bw/COfQ9ey9wI3yHPmdvkvtF+Az9
xVqED+Ayuok3F+ETOIaewF8V73mNSYf4K1Ezw/km5zfoU8+8Og87GWnXMy9u
ZgF+iNMnZBkek2UlsF5uxjd61rfZrmcpK635Ntt5+oUjA2Teapl10q8UWHYu
s5sOadQ3L+5N+9Tfe5aNy6BM/aVnWbhMr+E9MsiG7A99/ucpsL9yb3xEe75l
7Wry9Mv7lpX7gzm46FmWzpPz9g/O8U6h
           "]]}]}}, {{}, 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{5711, 9085, 9086, 9041, 11626, 5686, 8278, 6847, 11968, 
           11970, 11969, 11062, 9755, 12298, 6000, 8640, 8642, 8643, 11573, 
           9807, 6021, 8676, 8678, 8679, 11577, 9857, 6041, 8711, 8713, 8714, 
           11579, 9910, 6060, 8745, 8747, 8748, 11581, 9960, 6083, 8780, 8782,
            8783, 11584, 8546, 11019, 11018, 6103, 8079, 8081, 7624, 8553}], 
          
          LineBox[{6777, 7711, 8224, 8222, 6129, 11031, 11032, 8582, 11588, 
           10028, 6167, 8821, 8823, 8824, 11591, 10075, 6188, 8859, 8861, 
           8862, 11595, 10120, 6210, 8893, 8895, 8896, 11598, 10176, 6234, 
           8934, 8936, 8937, 11602, 10232, 6257, 8975, 8977, 8978, 11159, 
           12014, 12015, 11657, 11658, 5705, 8302, 11987, 11988, 11078, 11080,
            11079, 11403}]}, "27.3`"], Annotation[#, 27.3, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{5404, 7588, 12270, 7589, 6846, 7591, 12225, 7590, 10993, 
           9756, 12226, 9757, 8641, 9760, 9759, 11003, 9808, 9809, 8677, 9812,
            9811, 11006, 9858, 9859, 8712, 9862, 9861, 11010, 9911, 9912, 
           8746, 9915, 9914, 11014, 9961, 9962, 8781, 9965, 9964, 11020, 7627,
            8550, 8549, 8545, 6707, 11025, 7335, 8075, 6104, 8080, 7623, 8554,
            5462}], 
          
          LineBox[{8220, 8221, 7710, 8223, 6126, 8077, 6128, 11030, 6776, 
           8581, 6775, 11028, 7725, 11036, 10029, 10030, 8822, 10033, 10032, 
           11043, 10076, 10077, 8860, 10080, 10079, 11045, 10121, 10122, 8894,
            10125, 10124, 11048, 10177, 10178, 8935, 10181, 10180, 11051, 
           10233, 10234, 8976, 10237, 12233, 10236, 11054, 7826, 12234, 7827, 
           6873, 7829, 7828, 8277}]}, "25.200000000000003`"], 
        Annotation[#, 25.200000000000003`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{5461, 7622, 8073, 7626, 6710, 8076, 7334, 11024, 7336, 
           6706, 7630, 8072, 8070, 6105, 11021, 11022, 8548, 11585, 8787, 
           8786, 8784, 6084, 9963, 11582, 8753, 8752, 8749, 6061, 9913, 11580,
            8719, 8718, 8715, 6042, 9860, 11578, 8684, 8683, 8680, 6022, 9810,
            11574, 8648, 8647, 8644, 6001, 9758, 11564, 8616, 8615, 8612, 
           5982, 9717, 6656}], 
          
          LineBox[{11613, 9015, 9014, 9012, 6276, 10277, 11608, 8982, 8981, 
           8979, 6258, 10235, 11603, 8941, 8940, 8938, 6235, 10179, 11599, 
           8900, 8899, 8897, 6211, 10123, 11596, 8866, 8865, 8863, 6189, 
           10078, 11592, 8828, 8827, 8825, 6168, 10031, 11589, 8586, 11038, 
           11037, 6133, 8216, 8218, 7720, 8579, 7714, 11029, 6127, 8078, 6712,
            7709, 8074, 7707, 8219}]}, "23.1`"], 
        Annotation[#, 23.1, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVj8FKAlEYRj9r0SpaVITpZNPUjFogOMmIb1EQgS4iDQoK3et2IoRKdBkt
WgXRK0SQC8OghdseoEVBgUoESdNpcThzz/25d65ZrGyWQ5IqYMxKXyvSN1yb
0gj/wCApmbZkQYfuYBtG9C28DW/0As5DQD/BdZhcks7wKYyvSnf4HlL0Nn6A
CfoH/oQN+hAPYIreM6Qjzj6EEuTmpWn6bVS6iEkvc9yFn5k7xj688o59Zm+Y
yTDfZW8dRxckD1v4gH0T7zDr/7+J7/Ci1Oe8S84Y4gj31Jivs1/FYdYeczGc
diQXqvxvFnuwTN/FRbii7+ES2PRz3IA2vYWbkKB38CO8059wF9bovziAGUsa
i0shSNFt7ECGnsQJcOl/jPZFZw==
           "]]}, "21"], Annotation[#, 21, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNkL9LAmEchz+3FTgVYl3547yyS9EhMLIIISJoCEKsEMSiP6CoVhExQqdo
CQt1bImov6Dx4IKGhoOGqK2hJciGaAh6hofPfZ73+7733lm7+4U9Q9IBpNPS
z6S0HZKuLGmH/KMbphRPSId0F39EOvQAfpNs0j/wLbJMH8a3yA49EJe65Cnd
xN+Tt/QM/o4cSEmDkKXneX+fdRe/Qd+CEizh/bCUZH8jKr2wfk624Rmfw9+M
S0Occ0128Iu4J9YueH4kj8n3oFSEWESqkBPkJT5B5pnv8fzN2SbnpHBNvmmG
tGOSBb+sTZNJ8HnPCveanZJGR6Qa96xDA1bxVfZl8AVmX5l9gzX8GfPLeJc5
Dx5gHe/hy/hP+hf0oYiXw//Gh2zuBWNQwjv4E/wcfR4WoIL/BzUWQiI=
           "]]}, "18.900000000000002`"], 
        Annotation[#, 18.900000000000002`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVjk8oA1AcgD9JcZNCxNiYaZuYpojUro5ymCO5bq7KfydxxOImJ3+Sm5s4
KGktfxYn7i4yDhonn8PX9973fu/1gtOz49kKICNfUfgJw68cBeFEzushIJ1d
EJZbW14ubBFJ2ybl3fYh17Ze2bBtSm0I6qRgG5RL25X025LyZEtJyfYpE7a0
vNrG5LEVipJqhoM2OGuBQ/3SCDn97Nm23pI35zP+4dSZEefvPBvW4QCM6rjO
eh7VU86uu064DrXDt+8d+0ZZh90vOF/0nbJzM5KMwIAs+rdVoQHm7PPeX9P7
vrXkOue9Fb0skZj/8s6O3HhnT+9K1J7XBSnZH/S99Ngru6FKmjqgRldLnz2m
4zJkT/w3Sdr/AC8oRSw=
           "]]}, "16.8`"], Annotation[#, 16.8, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNkT1LQnEYR39Gq0OQJL5rZor5VjQERgnmB0gwCCxzrxYbU1oCCwokEISi
iAoLwj5DcINoEhoSwrGtJtEl8QwP557z/LncF29xf33PJGmXiUak4Yy0MyU9
eqUiNAWkMZsUgiX8nX4A53AzPQ+r+C/9BBbwSfo5vMQnfNIVrOF2+its4Qv0
F2jgPnoPGniO/gYHeJjecUrf+K1bumO6+Cq95ZBu8GfYhGnaF7t7rj9hDf5Y
pA0m5OK5YBQ+0OMww/knrvvc2++RFmmnvEMSBvEA888uhZc5uzQr2axSheez
wyR+Rj9kH8OznI/DI7xOv2C/hhucz8AGfk3/gHn8j74F23iTPh7k++LWab4v
TISlecaNb/JfYuyP6cv4CpNitukjYJlA8Q==
           "]]}, "14.700000000000001`"], 
        Annotation[#, 14.700000000000001`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVzr0rxHEcwPH3LWSlozjOebrLwzHowhl0UspmlCjCoJzVYLpsEgs28rAh
km4zuUXXmUjR/QEmeYwUb8O7z+/3+n5+336RqfToQgCYt+MgxCthoBH6LR6D
DtvTm/Q6LWSlWolt6zX6ewO82k0UCraml+t57dq2tE3L6GX6obZvs9qMLekB
fUXLWFLrszn9y25DsFwN7fXwUwXZMHw7o74n62A1AtPudfu86HPCOeR+pzPl
vK+FQeeZ96Q9f3J3xzt2rejZwf/0vgvnuTunzmH3Hz17sBH3izbuv43ZZwt8
WEq7sx4tYTntynq1ggW1CtvQ1q1Ly9mL//Bsk9qExbTL/2+0vLVprRbWsnai
HRnabzO8tcIf13BEug==
           "]]}, "12.600000000000001`"], 
        Annotation[#, 12.600000000000001`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNj7FLQlEYR3+GU0FTUsh7mQkV6Eu0QQmyLYuioSloUJ9EkFCbNTYECiIO
gQiBFTQFETwl/A/UxEloi8glGoWWaukMH+eecy+Xe/326d6JS1KOaXmllSWp
OCMlAlIBRnGHPgHPcJOeh+P4A/11UUrj3/NSCg7wO3odbuI9ehJe4zX6MYzi
9/QIPMIr9AQ08Uu6AdfwC/r2rOTCrTkpzGzgZb+0DoP43zTv9km7nF2lNVnH
oe3hL3AffjF1+pspNeAH3OH8M2vHkJ5gEyZpn+xtQYf2zt1DPIT/Lkhd/ID3
deAPHqC/wAYeozuwjRv0KrzFp+g38Ar30G1Yxkf8oQQz+CR9GZ7jfXoeWrib
7oaH+CM9C8fwsCX9Aw10QHQ=
           "]]}, "10.5`"], Annotation[#, 10.5, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkE0ow3EYxz+2m6uwmJcpXLyMG0pKLl4u7i6S7IC4TM6Oyy5eUpvLSi5e
ppYDJ6vFQSt5Ka0sk5Oz5CCfHT49z+/zPH3/v98/Mr86u1IDLMtpPfQ3QCUM
pWbYb4U9yeg79e/6V31Sty0H+rD+pwO+5akbHiWpr9MXdfeS1qVkS1+rP9Yd
SUy3JJv6gL5kfsr8DbPjEtP/yrN+sB2iQggKbfDXCH2eJ6p3icCie6P26/Zj
1pkmGLJOWsstMGXNmbPm/MvdEzNO5dNZ1lo2L2+9dOfKei0fzioy7f6bZJwl
vF9edyPjuhcZ8S1DctcFtzKsK0pI1yC7uh0Z0BVkrQcOzXowK+h9En47Z96c
fbr6DyRgH9ef66O9cOE5K2eyoA+aF/RN/88ISWs=
           "]]}, "8.4`"], Annotation[#, 8.4, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwN0Tlo1FEUxeEjZDQpXeIE4zIjLmBcCHGJQQtF0LFyqaKJkIBizAZqYSOi
pnABiSDoCKLYWJhCRIKNuKBYGNMYidiKS4i22hj0Kw6/ueedd+/9vyl3Dx4Y
mJXkBpXqk8KqZDY9Kie1OId+r0lGNiSHFydz1yUdOA/HGpPetck49uB7PIFn
liSP5Tvl5ssdwQX4wflp5x/xJE7gKUxTctOcW1RcntzGKtXwC/TO7yfFpM3Z
KI6pVyxK/rq7R+9jK5Pj1EMTpaRuvd2pT33NjBa53e5twevqfv4APV+W7Nfn
szv78Klez3ij+Apf05RveYFfcQSnvVE7bV+aHMWd+JK/C9/iG/pnVrOeFd6w
d2wz95z+LbxGe501u2qPbfyDsjNYMfMS/zJdoS+yZdkSXVXfkd8hN6xP72q9
GpIH3mMj9qmr/LtYUY/z9+I99X3+JHap//C78ZP6Ib/ef7KQvun/nTbZpca+
m7HT3B+8C2aep0O8omwDTfN/UiuvIL8Vu+R/8YZkL1IH7z/2MVv0
           "]]}, "6.300000000000001`"], 
        Annotation[#, 6.300000000000001, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0E9oyHEcxvEHSVEO8p+xTXZANmsIB8VFSjSOQg6mjQ3ZpvmbZWObEAeG
mOawkxNlB+KiCAfawcqfomyYJQeUeO3w7vl9P8/n8/k+31/RzrrK2lFJenBn
SlI2NVk7L1mD7/OTIayc5ntBMoyvGMI3dOsv0V+ktxCDegewXP/xRckJHMEx
HEWn/gL9H2Ynk2Yl7XOSn6VJGz3Pm8x7z5vIa1X7wWuhp3gTeO9443nNasO8
k/Qwr7VYH1YvTF4uTl7gOTpkKabXZe2fkVylb+g1Wm3ugJn92IfR05NL6q/5
F+gres/sOG9pKUia7DqEisLksgyrvOdckV6sk6ORrqdbZvp/tJJ+NreZ3pe7
nj/kzt65yUa1fnsu2vPAuc7ef97XrH8QZ9zfhtPoQDueyfPWzFO6ycwGu27b
242+kbqcS2VahoqRbHbX2FuNKpx1LlffIcctM11oMHfX3EN3ble/qXYDB9W7
1HvVt6mv8F8fy/zE/3hEf/v3jXb9oX32jimzy/mXcz395L6/cn6Ru8G+spJk
CUpRy9+LrXaVu2PAzB7nj2Z206oRz52d5q6gyVt36euRZay7/wMlL3PC
           "]]}, "4.2`"], Annotation[#, 4.2, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0klsSFEUgOFTQhtDS4S2hiIUQVSVmFmaiWmDUG0pIUgISkMIERYWtCUx
RRAsaog5lhKxsxJzDAlqrpmOvrf43//uOeeee+97t3fR2jlrUiIi1aOsZ8S5
HhELe0e0HhqxgNM4Fb8GinWNmDcoYj5mYy7moOPgiAt5ERdRjcu4hPvdIoq5
BIUowlIUZEY0c+jbxFMHREzCFExGurWuii/pHnElmcvX+KF+pfyYl/EjXs7D
9Wuh10xzU3gWT8MMTMceNS/t8RXqh0TUYbC55+39sffl/NHZSvgDL+P+1nyt
vkE+T20jD+VquSfeV/JXtaX8hVdwvvxRax1DGzVtUd8l4kEvfbi9cbukj3we
VvnWBcn+0UG8I5rUPVTfyBnG6Rgmn48bWRHH+QQ6i3dBC2d/ob4lZxlnotI+
VuudIrbftwz+ZPwF8/3jeXgl9tF4J9blRuziCvO28wF+pOctdZ87R2xwD9Zj
IyblOKvYaN+mSt0O9Yd4D5fps5vLeSsOWPsgFumzECP0nGBemrW3y29DlXwl
7ohXyLeVy3GGHhjtnKMwUs8xPBZ9xPsm30XdYfWtrP3G+B3e4lm2tdWVYzO2
oAxH1GaY009NLsaLjcMA/zkN37wP0+uautpkjFT8wHfcTfYmf5z39nFnklxy
l8Wui/00/oUM/MFv3EvWlD/J+8wpTWqS/y12U+yv8T9kox51qBHvJH+KJ/o+
K9Q/NV5sz0tQiDNymWI13rP4fXJvnLvR/Aa8l690V075V1P1WKnHc3VF6opR
grNqcsRqvffkb9ysR7P5TbgtX6XHaT022ft/f9WpXQ==
           "]]}, "2.1`"], Annotation[#, 2.1, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV1NtP13Ucx/E3ihJ5IrZAOVPiygPemc2yEkeYlgoqaZqHMm2ZeAQFVBBw
KzOV6kYvRHKelxetra1/oCsC18GWpNacF+W6KSfaosfn4vl7fj+fz/vzen+P
v/INDbVbMyJik59bhRFZ5REtpRGnpkW08mBBRPf0iL+t1T4ZUYdlmKjumbyI
YWu3iyJ6rG8vi6gy3sbXrDU47jefywO8jX+Xt1L2bV4lZzXWoEmvOfYsV3NH
3hn1PSURNcan+Ka1PY73Ih8taE61ct6Utxbr5GzAc6lW3vPcOzPiT3l18nrl
nMZm8184xyuoNH/R3hl8ibfMiJhr/ay6Z+37wP7D+BDL1TzGuRiPHExAc3FE
gftRiI32lHEp5qsfrnRz1WyV24B5ss/LnqPuI/Mf4wjq1U7kSXgc+chDi+wR
PBIZGIVM/OO6d/Fu7JC7E1WyL8o+Zu44juITdOMN+cVcgkKsNi7iVvlZXG08
mmv4ER6S38hNaJTdhPnyL8uf6t7e4GZze7EHD9TXm1+BxgrnhZ04NtV5YLvj
u3rVWl+Kb1x/B37Lj/jL/EK+7nkMYr/xz7yPZ3vGbXzL+CYWqVtr/9VJEV32
D/As87Oxxny783jBnhfTPj070Il11tZj2PoO70iLc27FHddR7bq+5lLXWob7
6X1yH4Y4g//l9fwgvWP8kE84p2y1C4z7jBdyP2dyF4/mXfoc0KMNffLL1b9l
/j/rb3OGc8ziTH6HR/BGHpneefkV3qFs1/gyP8pP8VV7B/Ctmv3yDmAf2vU4
iO/0+dR4rvp76T7wfd4kN5vfTd84b07PmXv0eVpujroazuVp/IMe36NPTbu8
g2hDhx6d6NfnM+OX1A+pqeKH/J7ccfw+j+EtPJZP6zNdboG6BVzElXxNj5/w
o5pOeV2pR7IehzCQvlnjJepHGddyFp+Tu9ieC/wqn+fXuFefyem7SO+3cROX
cB5361PAuz2XMTL+8G2O5bPp+5N7jscZL+IvUx5/xfX2Vzuu48vGS/lS+j/k
z9NzSv8Bxk8YV2Ayio1P6HcSjfqNT/dM3SvetcOOJyAHr6tdhZVYYs+v6m/g
FwziOqZY+x9XCdMx
           "]]}, "0"], Annotation[#, 0, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV019M1mUYxvEbl5pobY4yDUEJs80isuYohWUaM8AMFV4okxZ01AEtcbWW
HmDmGc0/HUSulSksc8xo5sw/cziVWTLDP+FybrZIwTSUStFS+/wOvu/1u+7n
fq77+T3v++bUvrWoPi0iVvooHxexIS/iY9x4PGIIUzMjeh+L+OLRiJ/5MroA
PZ5Po9xzZW5ECi3Z+vIjSidG3LZnPk2T9bmMYv5LOoduos/Td7MiHtL/Np/B
L6PjaO+DEUvlnqdL5NbgVf41WikzXWapfd/oL6PtNGVfcTKbtvLzaAstoe+Z
k2utgR/PL6eZtE9+ndx++rrsOtTybyTvY85me1qwBd/aMyvHOWTV4GnrF2X0
Y82UiArrv9n73AMRh+hc/pKcaxhC++SIZr1D6oP8DbqR/2x8xACdKa9Jzlqs
xz79B7xnB5r5lP7zSa78bOe4yefTuc5SjDz7t8ppcNZ/rQ2z5z+6LfnuzBik
hXo2qW9BK/ab0Sn/MNr4av0DZhSb8UOi/Ej1scjACv075NxWv4e/Q3fym+X/
Q4vkf6e+C7vRof+o7B+T9+CX6r8mt0R+F53H368+CTlYrX+/nDQ5mfww2pF8
n/LzJjmj31f9hIhzdI/ah/rX4He+F8PlnqF30eUP+z2hS3/TNOege+UtlrOb
rsIV99ZIa9RW05/0FMh7hV/vbovM3uiMjXIm+q2PkntWfjrtp3/gI/1N2Oc8
fXyD7/Z7uk5tq9pBWiOjQ63bO53ABrXj7qQbv/C11m+5jwq5x2gp/4R6IYrQ
rL9RfRUKknuiH2Cb/Ds0nPOs+q844j/8aXLv9JT8frUR1ocjJX+q93oET2I6
ytzBfOR7/8N6jmC059n2jaGdfJs51+mz/GX1K7iKQ+acNqMH1/k3nTtdX5U5
02SP1T+DlstfiOn8UevHkOF5kT330S5+uxk36Rz+lnq48zR0mnEmuSeM5OvN
uFdftRl5sjP1F9BK+Sk8xZ+03oMsz3Wysukpvt2MEXIW8rtk7cFeXDCjyPdb
iAP812aU63/ZjCz6Dj9b/QWUoFX/Wvc+QX0dvWzfJVxEt/Xj+FPPi/6LO5K9
zrfM2RpQYfYoZ7g7+d/pa7NeYcYSs3Lp+/wC9RSq8JWcT8yYrN5M/zbjLwzi
hPWTGNDzklk79TxjVpU51ZhhVp/MC0i3PgajcU5OtX1XneF/Llj6uA==
           "]]}, 
         RowBox[{"-", "2.1`"}]], Annotation[#, -2.1, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0klsTXEYhvFP1NBEaVGKorclprYszXNSYoopkRgSYqqpiAUSFoixphi6
0RIRK0FICDGrsUj1tkVLWBASO0JiSvy6ePrc9zvf/+25557EopIZa5pFRBd/
LmZGFBdELMcyNHaNqCuMaODZAyNudouYyTd4FvfrHFHp81yfH/A8vs+r+Auv
4M+8ks/qXqpzCRZjUXbEFfOFvConInWQPX7lfx0bEHEcR9DN+aM825l/uRF/
8Qf19saZ1/FBzrS3nzvyAZ5uv9ZeEjWotTfWPMmlnGFvL6fzPj6cH7He/XyX
1/E3ful+Wvn+LdECe80KXVvRPWI8V8gF5oUYiE/223sm+T4PwDg7Y3HId3wp
16AaL9zDEru/O0WkyM1RYC8fxbpH85im52veHxk6P9pP575yH4xyfSRKdVfJ
z/AUz3UvtvtL9/b+ETuwDVs9jy2YYP6tR0QRV/IDpOh4ws05NxFR5vztvIhb
uIZhvuctz2iwe7vNw+V75g/xCCfs7zRvbf5YTuVd8rks/Z5rS73V5i24Ui63
XyfXogoj7N+xP0R/kifLRb0iJmEyTtrfbd7GfIqcxnvk8/qr9LXV26gnjZ/K
p+x/kN+jHiPt37U/VH89T5Hn6JmH+bhqv9q5TOcXyJ2afi/5ov4kZ8lpvSM6
c418uul3ljPQGiX62pkP0/9G/1S5WM9qrME1+69d7+l8iZzDb+RL+hs5V87S
k+AG+Yz97nI2OmCtvnTz4fob9E+TN+jZiE24bv+t63nOb5Z78Tv5sv4av+tu
v/su9Dbf6Z3Jdn4iX2h6znyeJ/BX70SOcxvlnryJE5zgH96tXC7Vsx8HkNR9
mA/hIPJc/2mvzP+t4FldvBs8k8t5kv7/nDWvrQ==
           "]], 
          LineBox[CompressedData["
1:eJwV1G9MlWUYx/HL5XzlmjUsUMRDcvwDRpYHaq6JMWQVmCW8sFxbsbXWJrKF
qxdtvajVWnOjqBWa/VFHh5lNzZhpdkCwjaZCurWFOWQYlCBoy+JlfZ4XX373
/buv63c9z/2cUdzUsmXHnIho8Wd5YcTBVMRseUR6ccQx63fui1jFv7o6opSO
0w3O6ssiNmNkkbNlEVfoJvuOfGH3RtSpbUtHtOMDTMi6X+4a7LY/IKNW1vq7
I/LoQqT55RjTP3JXxMt6npG5DaX8QZxHiZ5JZ1N4wpzmJREFvLn6FtOMGbdZ
Z9XWy61DFb+ALkIFfz3G1UyY0yrnOTOexzr+zxhCWs91Z9OoNOdZcw6rvy7j
KO3VP2X9VknE73rHsEFPPz2DKfcyi6y6t9UfkfOx+g78xd9L92CvO5umM9gl
6310qz+l/jjt19/B+0PmOKrNKCyOWIIyz1XjuXapm9CfRRfmqD9ED+Jz+TeT
mfiC34nv1efk/0AH5B/i3ZQ9gxr5A/QnzOPfia/VtKl9Tc83co5hPv847cZ+
M/6mt/At/wROJ3ekvp+e19/Lm5X5Dx414yw9hzx+CkfVtKt9M3kuObnke/H7
aC86zShbGrEah4vcsbOr9BQ/w1vrHp6mQwXugv+qb3iZnnC+lT/IH7b/FZew
x29wzKyTzkfs31A/SX9R16S+Ql4ezSXfhx/qc7Rdz3vo4vcl74de/kXP00MH
vEP3Kt9oRcRSDPOX0xK863stdJaPtfw0/c5779azwvoTuo5fiaIkI8Fz9NA+
jPLHcTb5XdhXyazGn7xauhFtyQzPnY9y68f1f6o+UxrxGa1WW5XM0F+BlPMh
egE3+LcwqO6ifbO8FvzL20lb0S6zUHYR1lhv1r9P/cPy99NGtU8lz6N/I0qc
X6KX8R9/rnu+oO6M+n3yDmAer4tm8aHMlOx78IB1o/5O9Y+o/5K+IKMJjfIa
sNL5OWeDOCmnBym/ryH7YXm/4TRvlF7BRzIfc1aHav4WOu0bXJPdYD1Ja/k1
2GRfj6zf6XbPswMN+l8xs9iMUWfzV7pP/3Nupz/quYMuQIe6F52/hCf5rfSG
OTPydybr5K6S+Wi2344uc5aZkUZG/zZzvlJ3zXtmZOb0V9LXvf9D9EFU6Pkf
ief0XQ==
           "]], 
          LineBox[CompressedData["
1:eJwl0klL1WEYhvG7jR8gpfBkE1GWNkCgVptqoYvctUpz1aw5HUioRUatGjbt
wlUEpUbRgLVR6UPksnlYFCh07OSAGv3CxcX1f973fp93OGfrqb7jvWuS3EO5
PmnfkJS4jQv7kq51ySt1k3qMD/BrniskRZ7ni9uSbvTgyaZkYE9yCb3q1CQ3
tiTju5Pr/MDYfQzhoF7jeuzfmEzyIfVD4yMYxU35AeO3eMk+fcb6UcSYfZqd
rcStm32jBctyX/cm3/ENt62tWO8uvqvR5E6NOGasjuux4qx/MavfNfkSL6uX
sMv8TrypTj5b/wUfsWCfTzwoX8WVWIu77tAg36J/LQ+q5/VZwCKuyM/xH5Rx
1fwOuQn9P1j/W993PMvv+bL82e3JGZzGHfkpY29xEj+8TwdPy7f/z3qbNj6B
I+7x1PxhHvFOR7nHnudkhv0ejzBj3bTMDH6iylkq0Sn7XN1gv2fcyC/4l3w3
l/i8PhfQicf6F/XuR5d6Rf6l/uXC6v/qHyrgbLc=
           "]]}, 
         RowBox[{"-", "4.2`"}]], Annotation[#, -4.2, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV1G9oFlQUx/EztwSdSwttqW1zbPq4zSyn29MiSs3QDHU6eqHvdFpGZCoK
Fv0x0MhFm0P8Q6K4ialIK6SmVq7MoSiIQSFWikydBU3JTN9Y4ue++O53z7nn
/M6993n2lC56c96ynIho9KfjkYickohcPDcSRRFr5foqIj6gvWURl9E5NuJr
5NjfWRmxC62jI7ZgaGHEXvGAMRH52Cb3IC3Aqsci7vEK+xn5gfTK4xEXeOdb
X6Tj5CuQJ85FW1XEa87zOuboX27mCDMO26vmOXF8xCT6mZ4srcUadcX2RyEr
X0mvmXOVf5V1L31Gvg7l4jK0m5MxowJZ/QvN+VLdt/YaeX6vfwldVx6xlL6K
t9V1e4cTuOFdnlS7T906fROs19N/5f/GaTWn0J/v++k90cJrMzrVdanfznMH
tsq10za8Y0aeM/XHOOup+pvUX+D1Mc1TG/hVfB4D7Dfz3ojd8vvxnbpj/M/w
O4sDcr/Qn/Eezx59V1Kv/F+0wx0+SZ+7dTMdLJ+Pa+JeDDJjO/8dOCR/FD+q
2ym+y/P/9F5y/TK+I1hrxk19t1Aof5ceNGOjnv+sW2mR/HDcEd/GYDOecOcJ
OFjs7ex10G61PfQyVg732aubqKYaH1kPoQ+h1jpj/4a6PrSMiviGjk3npQVq
BmGYuiytw3H5c/ZPmvGVu4x09mKclxtNy7DBXYbaK0S1fHl6A3fZpmeM9ae0
Tr4GRckjYUYXPYZL8ldxWl13+h444xS+01DyaMQf9krpDHGzWYXONSndszRi
Op8XsVs8TV3WZzqFPotauSy/Evs/0fXp7vL/4BY+FC/juQI1/G+nfrpa3GpO
kTmT1dSaM4vHbOwRv6yuAfWYKp7Ou8ze77RJfC99zv6PcvGnuJ3fHrzE+wG5
WXS/eJMZpWbMUPOUGfN4NGCv+BUei7EQM9NM3hl7Z9yvT3yEz1F04br4N34X
0cj7B7nFtEe82YyZeg6kN5Wvt56LL9K5xS/geXwu3ud3Y7a9Sr9zbzjXzdTj
XKvMXY074oL0PcQa/t363qIPi7eas1Rvp5o58iusV+JwOru4AXNxKL25fJUZ
5WbUi582Yz7/BWgR1/DbwPddd2+ideIjIyLuAxzk1WM=
           "]], 
          LineBox[CompressedData["
1:eJwV0ltMj3Ecx/EfNhdmc2EO5ZiwJOFWGeaQHIpsSmT5b8xhY2bMsXIhh+GC
OcUWqqE55bAhLlhTOcwWYtFJionN6cIN8+ri/f98n8/z+X6/v+d5/jGRDRnr
u4UQhvjpOyCEQ6NCOIz8kSF8GRPCm/EhXO4fQqf6Ct3NL8A612uROCSEFfEh
RDBf32baqueb7Bb1VzqPPxdLXWejIiqEBvoO1fxW2q5nhP0f1LG0ll+DRtfv
kWBPrn0R7LR/Me/BuBDKzc9UX+rax9+E5TI5eDYwhDbajn5m1ck16nkl+1L9
mkbzB+CTTAfi7cmmy7DRrBly9/VclJ2pvkDX8VcjSyYTT+xppM3oZVZ115n1
1MnWqF/SPvzeXc8q04LR9syjacg1a4pcpZ5S2anqEprNz8QcmVTU2FMe53vg
bazz88r05MnWq/NpI78BFTLXMcKeae5NR7pZk8y+p+esbJK6mKbyZyFZJgmP
7SnWew7PzarmlerZ2fU86l20jv8CZTKlGGpPET2DJ/x4uRI9O2THqrfTKv5D
HJU5gip7DtCDqOTfkTuvZ6vsXfU2+nhoCDEx9tKRNBbl+o4ND+E4nvK7D/K9
zdg11hnxyP18WoBC77yH+3nq+cO8b7z1/zvh2d/Qk/S0s3+mf+xbIZ+LikTv
D3v4V2iN7DV6FV/9VzvRJJdFlyCdvwAT/Hf/OtfMwXbwT+EkavXvNasQN+Ru
4xZuotmcbzItNJs+ct6F/Awswj/zZplX5F4KPU33y0xMsA8Rfftcj1cXRau9
kzTvYLW+dLrfdQn/IF3peg1/FT3k+jJ/j75CfDfnB5I8w1qZZLrS/p+83/iF
ybwDss32RflWLbSnb9JELzpXlvOl6JmNVHR43jg9He61q+vN+EjbkMP/D1jo
x7M=
           "]], 
          LineBox[CompressedData["
1:eJwV01lvTlEUgOHFhZ9gnpoSYirxAyS0iCHBRak5rbggtDW1SkPcVBAzoXQw
JLQ1luiEEJTyBwwxX9A2plJEWjzn4v3es9dea+2zz95fSnbuvLU9IqKXn799
Iw6Mi+ji/dzNB/kwlw+OeNM/ojU14i1njo44Ln54TMTPARFlwyM6+ZBxv5SI
SuMKlGL2wIieYyOGeM4ZFJHCz3tHTJH3Ii3io/lUsVYu1bOda4zbOF3Oeznv
cF4sX30ar+AJ/E6fDDkvzb/GK0wU/6T2hF5feNewiM88Vd51+c/kPEWJeLY+
O+yp2X4e4o/nLuyUVzvUvuynyruXc7d4JVegXO8zfBZl+pzmU9ioplHtfTUV
4qVo17cNada6yrXYo9derJFboGaVWJma1bxPfC2vwSnrXNb3Cq7qdYkvokjN
HbUtaq4lcXyX34Hx1rnBdTio1xHkyi1WkytWoSaPj4qv53U4a50mfW/ipHgD
12O7mjy1lWoqxY8lc/LrMcE6TXwLZ8SrkC+3RM2G5N3VbOJq8UIuwDnr7Da/
B3XuVLe7lDXS3eMi83fNF4/y/fpFLHWO//QId3DakIjpaBavMX7AF/iH9SaJ
d/Ji+bfdwY/Odmwfc9YYwx+Ms5z/bzVb9L7JRXyLt/Jy+8yUMx+z9JyN0eq+
qx/FM41noNp8FX6pK1TXwAXcyJt5pT7LzD/xDlnyF2IRerh3C3g+MpN4cr/l
PZb3zxqPeLKcFg6+51vk6NVsnM1L5S7Bdvus980bsEKPuuScsU38Gl9Hjnht
cs9QLP5V/2/Jt9Yr3doZmIoOsRH21iQ+R+95mIt640b88tyQ/K+d0X8m1cFJ

           "]]}, 
         RowBox[{"-", "6.300000000000001`"}]], 
        Annotation[#, -6.300000000000001, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV1XuQz2UUx/HHsjNEm5ncsrEt9pbWJZEmyy67bhVlShm0lXXN7IppmpKY
0LrkUi22mHQRtZXpak1RTWZTFtmKtY1WbVIUFRmDotfzx3s+38855znn+T7f
7+/7S32gZFRxoxBCcUII77YOoWebEAo6h5CP4V1DGIZD7UO497oQCjEW4zEO
m9Rnqk9T2wUFavNxUP0i+cUoxd3ZIYzGOvUd1X/ZPYSdCNZc7BTCzxkhNOBZ
+dbytWL78aZYBRaJT7D+AWwW/0b/PHNqaLc4IzmE6+hTNJsOV/e0uqVYgn3q
ctV/TbvKL1SXRRfQa+lKzLCfv/kS+hdtmyqv/tNuISTrN/XqENrTKXSbmrP2
ee6aEBLkG2G1WL5ckx4hJOJffmRKCD+kOT/U4fi1IRzDXW1DKJKbiBc7OBe0
ECunl9MU/UrVv6D2eSxyTgsxLtP5Y7Z72dUxhK1ie+h/uIB21l+kl7AT2+S3
44mrQqjMcj76bqEfiR1r53z02kHL6An6mfgOVOF6a7LUZuIr/m/5teo6mLGR
nuH3itfgWzyp/gu1S8yoorvFTqt5SW0VzRG7SU1BlxCGYjg28De5v74Ywefw
A9WlmvGedeesq9PnEOpRKv+d/HIzvqW1YmfVvKl2J71FLF/NaL3GYCw28v31
z0EhX8Dfpi7NjAb6NN/cWSehJY7F+1BbhWb8Ur4+noH+Y+it/GR9pmE6XucH
qR2IGfxt/Fh1Wfr/FvfKt9HnKiTjJF+jdh9a8cv4I+qq9S+kI/iZ+jyMR/AO
f5faOzGbH8nfr66r/vVi2fQfsf2uz9DDcS/OZ7fe2+knOC1eJ36KHqT9vHcV
4u/xY/j36Tj6l/f7Pvohfy/9gBbSSd71qWbewRfRUXQ6rVd/GOn6HVBT7p2r
pZPlpmACJmFiRHyaXg9ifDwrlMSZ4hPjDNyDIkzAa37zGXKdPeNOqHY/u5Bn
37mojWvj+0D/pAdoub2swSb5t8TeoJvpSLmT4kNpBT+YvkGH0LXmnPeNOIdD
vjUPWTMD9a53mNffdbW639V/RY/TXXGf9rZWbhg/yv3dEt87+oc5d9AhcS4d
TG+nz5hTE79F2KD3rZ53ifUbXVeac7PrOnWL1dfSRfFZxTM05wW5PD6fH0SH
0t/NSXbuA/g7fYf60/Z8qTlvx28nZujdx5xi62e6Pu/9qbNuj/UL1G/2u5lP
q/n74/NT15vvxd9Ie7vPPhhk3StxrndtMHr5NvaK77V5y3zzhuh9jTlH1XWk
g/hczFPzs1gD6jGX/0zv9nqk0B78DeJ9cTN68p3FO6En3z3OiGdhRoZ+TfSu
FW9MU/kOmBPffbHv8Ln373G+r321MiOJduG3iWfIr3KPifqV0eXyK5Auf6W6
Eb67fegsfpn4YpzCBvVV8T/L+nf1eUi+h7okubPxe8i3k7s63jtS+PPx24U2
fDJ/yvVc99DYfneb84l4Nb2U7n8C0+MexT7GFjzIrzO3uRm/Wtuav0w8CS3R
lj8ufgxN+Sv5BtdzzNiv31a9K8QraQ2/F7+qeV1sU3yWKOJXmNHUjO+tTeIv
+Z01lkuMc/g8uVz08Lxb8Inue7YZr+r3qt6rYy+6nl+Ho2rKxJ7Dcozn55mR
qEe1GU34P+P/As7gZb6796sbTvAJfJW6R82Yqt8KvefHXnQSX4Rf1NynXyH6
2ddoPtO+svxnp+mzPj7/+HtCDl6K/2PimfFd5l/kU1w/YkZf/R7T+zXxR2lv
vheOqCnRvxgDzPiRn2ZGphmJ1q6JM63pimyU883EmyKdXx3P0n3PMuMK/abo
vUZ8Mm3BX4bDalaJlWElfuDXWx/MrHQGF7zjPzmTIziKlfF/TC4HH/i9n5dP
sKcnnc//yp6Htw==
           "]], 
          LineBox[CompressedData["
1:eJwV02tozmEYx/HLoZTsBYXNcc7n0yhnyV7xUuQUYxE5liJy2mxCUkQWY+Sw
nIqG2eaY86ZIrJhDbIoUxWIOkc//xff5Xffv/l3X/X/u5/90yV4xeXmjiEjx
MaRtRG2PiDpUI3NgRE/etPSI2+o7GN4v4h69ixHqkT0j1sk86RLxFM8wfEDE
Yv4u/nfrBvzE/P4RC3C/fcQ786eYMRWzzX+QzGwXMSqZT0fTWrle8uvpDPlv
5tZjjnyl/H25MXIP6FhaJ9dbfhOdKf9bdm6StT/OfhXN6srDPGTar7SfIz/V
8+XSikERV3AZ5SjDw86+h1x9G8/fMWKS9UTcTIsYT2c5a2Nf5yLTegKy5ffJ
/tCTZX82cu3nYGu3iHzM7O3OzJ9O13q+i50izvFLaQN+oJUZufbzcMbeX/oP
6c4utj6Bo3id6p74ZXQVfU4P8A/3idjgro7QZXqKeIdQiBqZNbIpzlhJq60L
+J/VX5Aqv9d6D3ZjKW8JSuX2mLcX57pH3PKdqtzldd/1tvoGLeGfR4HMPjR3
xkK9i7AreV5apGe57Bv1UrqTvwPzrOfiknPy9W5BoVk3zL6rp0z2prqcFvEP
YpvMVjRzzlO9z5J7MitD7rSe7bJDk7unf/i/8FjmES4md6Z3NbaZdVWuxu9S
IntNfYHu4G/HWpk1aOqcVHtpGOa37U/f6qmTHaB+RzP4g9HKuiX2u8+SZB5O
8cvpez0d/E8q1B3pWf5plFpfQhPn/HTeL3Tnt+C90vPS/BT1C9qVn578P2S+
Yrdzjtk7jkL+SZrhHWht/il1G1rEP4hi6xNo7JwKd3EFn5J3wJxi95Zn/hf1
ZvqR/wHlyXuGBn3/AVgOwX8=
           "]]}, 
         RowBox[{"-", "8.4`"}]], Annotation[#, -8.4, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0d9PzXEcx/FXfwT50Sllp5DqVtnpyhUhbRpXhq2apGbdyJVNbrLRMIu5
4oqaC1ciDhVDuXDRxrWtS3eHkfE4F689v6/X+/15f97f77fxzGjfhZokD6lp
U/K4kFQ6kidY3pbM4SI/i7/2JF3NyRK/H780Jt1Yor9qw3ieKvIxXNY3ijWt
yQvn3/EvccncV7hAVxqSAl/2/Lw2ObUjmcc3fFG+hKv8aflnXObb5IU2d9Ul
m1uSWmrgR/jd+MHMevyIvXY5SsedWXD/OT11asN4SH6Q+tVW9L7engyY/9Nd
FXq7NblYzbGEi3hWvqL/AP8J7+o/Zq8e/r36bf4W3aGv/IC8T32GnywmD3Ct
Okc+ZYd1322D/6Z2pD1p1zuu1oG/3fXHzhvYbc8Sle04ZMYg9fCHabW6E/V7
PkEnqYtv9p6duAvH3FU2q8VzkVp9sx9m3dibXPMel+r9/y321b8TJ/hp+VXc
xw/KO3GSvy+fdb6XX2vy/viUfyT/joP8P/kQrvNz8pvOTfAj5lzGaf6ZfAan
+FH5dbzHz8v/AwTGbCM=
           "]], 
          LineBox[CompressedData["
1:eJwl1XuQjmUcxvFbJgqN87JOa8mKCWVSGzr80b+pdBA5tXJuHdodO61Dhklk
JSTWKbuUsMuyK8dGMY1qsGuxpmGQTDaMVRZbdPjc0x/Xfp/f775/1/Xu/T7v
8ySnTew/oVYI4Zo/kxJDKGoXwncPhrChSwiHcIre565/bxtCNeXQbXqhRQi9
kkJ4Hpvgi1gfF1vrZG5JQgh1zHU131Vdz3UK7uXfUS/Bvn8fCmGIfdutZest
UE/FYvXxbiGctr9D5xDe7h5COrV3ndEhhEwa3zyExvZ1t/9jc01dN6FV/Npj
Mn2q3woTaaj+HtxL+fpf4z46on9ZzhWay3ce1dabxr+79R70MD1Kj1CltVR8
knpSrs+1jIbr/6D+kQr5H8XDVKpfw/tP2si7gBrozeGf6Lzyk0PIo3WUpL7p
fL40v5E22XvX3B0qM1OsV0JbqaZlCAvlpuk/I6ePc3gM++KzeNn5PY291d0w
FXtjNf/V5v8wvwZzeMyneXRVToW5Dfq3rK/DalxgbZic5eoq9TK8jrm42/6l
eE29CK/iXPtvyJmrvqSeh5X4gf77dEbOCXML9a/of4SXMdE9EZxBC7xr/le9
w7izYwhZ8hv4/FNwm7qY5tAqPuP1VuJsdQGV9wjhJJ2gDGuF5jJxi7Ud/C7w
rcHGcmbFewfP6b3n+jzOjOfMbzqeVU/FM7Hvs58yl6GuUGfiKZyhP40O+r9K
zb2rf1o/C3+KvtYGyZ+kPq6eiCdwMhbZn47l6nF4LObZXyFnkc890ve2GEfh
ev119FUn3yUu1x+jPx9H41J8Xc5IPqV83sIyHIUFctLifakehkcwm8dJObPi
78P8bByG+fp5VCInNd4b+m/qT8PhOAdfk3OMz33q7/F+LMff5JRhXfU3WAeP
xP83npu5AerM+DlxLe/PaLucxzFbf5D+BByIWfiKnISuvmd1c1yNLfCSnKa4
Ut0IV+AXPPq4f4rUP6u34T69vbSHtsrphTv1f7G+GS9gCfaXc0veJ+qbuBRv
40U5N3CJ+joujs9DHr3l5Jk7G88Ld+vtit7xO5Kznlp6Jo6xr6B9CJ1by8PR
8f7Wz7OeT8V+9yW0y/Mgmf6ScYeq6G+6S+fis1RGXapW34O16CX9AiykTbSV
tlA7/oW8t1Ap7zLaz7sLtbLemhpSW2oTz5JPCnamZtSBkull/YnyJlE6vUOT
KYl/Ee9tdIN3NR3i3ZO+9V0foP1Uy9kcjL99Z3gY71Ufwtq4xDm9yn86vzfU
U3EwzsAnrBXzXpvi3nU9mta4TvQ8bEV95JzkU8/+oVgfK3BzfGdgQ/UIfABP
4QA5OXzT1B/iiPiuic9wvjvklPMe43oslbnuK+Mpek7OOfON7R+LTfB8fP7K
qcSEeK9iM7yIA+Xk8h2rnqIehyvUR+0/4NkQvL/GyRhP/8gZImMo9ZNTZX+i
/dnxnRXvNSw2V4Pt4rlgG6zGwXJmepY1avv/O/s/X8NMtQ==
           "]]}, 
         RowBox[{"-", "10.5`"}]], Annotation[#, -10.5, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkL0vw0Echz+NIhES0apqNX1BW0UEi3hpGAgGEktnjcXQVgkWFiaJMpht
JBaERJjQrQspCb9fkLAwiD9AdfF0ePK5e+57d987fzw1k7RIysB5vdTjkMab
pTEYCEv9cIRvw4dxQbDjbLCP9+LLcBb4CkmfsId34F8CkgknuGPYwtfgz3Cn
sIpbgXW8Fb+Ly8AkbgIS+CIYTdKQT/ruoieywim9e6UINWFo6ZRuWLuGAON2
iECafffUL5Ixv7ThlqrJTTKPN1ul2Q4py7zI/JX5Muf+NdIXWSTTZAoWIAoF
3BKZJX/ZM8LYYN8dGXNJVZxvAzvUgQN+OH+KzFHjoy8/7HBvgn6TsM3YyTtc
8EbNLf0+kI+lXjzcCdP8wwfM8T9xKKfWCqM4E4ZxUTCC0jMM4vLgwbnhEHcA
vbhc6V/ppwBJXAIiuD76MnEGPMFaA+ew1o2/Yn4JFzCPr8VX8t5/TShXQA==

           "]], 
          
          LineBox[{10507, 6443, 9257, 6441, 9252, 10505, 9251, 7569, 7946, 
           7944, 7303, 7669, 7670, 7563, 6116, 10665, 7667, 6517, 9414, 6519, 
           10662, 6511, 11171, 11172, 9087, 11669, 5723, 11670, 9089, 11174, 
           11173, 6371, 10672, 10673, 9136, 6520, 10670, 5746, 12246, 10668, 
           9133, 10323, 11891, 11892, 11890, 11674, 11894, 11897, 11895, 
           10326, 9138, 9141, 5749, 10509, 6444, 9142, 10511, 10510, 6373, 
           10499, 10500, 10497, 11926, 11924, 11925, 10496, 6440, 10498, 6437,
            10507}]}, 
         RowBox[{"-", "12.600000000000001`"}]], 
        Annotation[#, -12.600000000000001`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkLFLQlEYR38GhRkRgpaVWWZpQTU0piS0OAgN1mJjTRkoQUOgtkWTQhpN
jRm0SFC0GERrQgphWFI0lGhSf0AtHYfLeefcj3fve871WChqkBRnFYYk/5SU
tkkBl5SCPvyKboNJ3ENPQCuep7c8UgTvoG/CBp6jX8IV/HlcCsEL/IQeh962
0xfgLp6hL8NJPE2fgEH8gB52SCZ8cUzax1fxYyfz0EfrZO9tVJpm/h3G7NIL
jELXLGczm2Udse6ZL7Lqw1IJfsAHZj9hD/vf0Ax/oBW2YC9MzUhNnqvMfsFX
OMh5NXjLOY/wDoa5n7jXGqzQ6gPS34g0h3czX8Y3+L4S7MLd9JpbusH99AKs
4g76OczhdvopPMP76Tswg/9yr0O4jffRl+Ae/kRPtt+HG+kWuIVf0yPQjM/z
X/4BnHxNLA==
           "]], 
          
          LineBox[{11906, 10322, 11893, 10320, 6336, 10324, 11896, 10325, 
           10374, 11908, 10373, 9140, 10512, 6445, 9263, 11701, 11702, 7930, 
           5782, 7951, 5783, 9261, 9259, 10504, 10503, 9250, 7568, 6434, 7945,
            7302, 7672, 6117, 7562, 6115, 10664, 10666, 9419, 9422, 5830, 
           7982, 8365, 7929, 9424, 9423, 9420, 6521, 10671, 10667, 11905, 
           11907, 11906}]}, 
         RowBox[{"-", "14.700000000000001`"}]], 
        Annotation[#, -14.700000000000001`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0L9LQlEchvE3yMzFosgrUqYJlTrWaqlBECX9HIKagmhT0kmJ/oCmEKOt
NR1NF2mJaGkriMqkQQyihqgxuJbPHT58z33OQc+9/p3UWrJL0j4qQ9KUS1oM
SAuYmZQiKNFD9DAtCIPmwhndR++hdeNzQvpAgW7QX8ekBi5oZRzRnfSq1ZCj
ZXFIt9HztGMkaEtI0U08D0txnxSFwy39jEp25izP617pxC+dIsH6gLnM3Paw
x3oDdc6vMh+ZTuYTs5/Zhy3OXfP7Odbf/Ncde5u0/xHpgfW7IX0xbzjTYr6h
zZ6JFc43scedd9HLne2Yp9UxR4vhZZxnRGj31jejeVGknWOados/7mAiQ0sj
TLtCw3oHxGhRBGg1XNJqGKQN4DckdQARL0d3
           "]], 
          
          LineBox[{6787, 9260, 6786, 9262, 11042, 11041, 6372, 10375, 7920, 
           10327, 6335, 10321, 7919, 10372, 6369, 10658, 10659, 9421, 11728, 
           9418, 6516, 10657, 7357, 7358, 5466, 7943, 6433, 11040, 6787}]}, 
         RowBox[{"-", "16.8`"}]], Annotation[#, -16.8, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVjjFIQmEURr+SwIKkRbSwnhZoBNHQmlA9chCheBRtBgYtPXUKjKLn2mRh
S0OrgSANKkFYizRHjiE4RRHGi/ai03A5nHN/+G8kk7dyA5KyTGtCMmels6CU
nJFKcBlv0kPQwefoJ3Acv6G7McnGh+j7sI9X6LdwC+9OS5uwgV/RHRjH6/Ql
eIyX6RaM4ef0KFzHT+m7U5IPN8PSGpPGLyPSNlzBvey+DOmbsWh9uAFtv5SC
R7wtMIeMS3ti/zspfcBB9i78ZNoh6RU+wjT/etntwDfae0Dy4Av4KHd18D3u
fIYj/3fTe1HpAV+l38MubtBr8Bo36BVYxQP0ArzAf7irDA/wMXoCFvEXugNN
fJgehFn8jm5DP744L/0B1JpDNw==
           "]]}, 
         RowBox[{"-", "18.900000000000002`"}]], 
        Annotation[#, -18.900000000000002`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVzz9IAmEch/HvQSph4ZSKSXUZFSVNtgbJqUuE1xAtQn+WCEposElbg0YR
oqW9Gv0DIoJLhKNbkRINUUQNLUEg+tzw8PM+74+7V3M/u3ViSDqm8oQU80ub
EWmD4ovSOt3iy/gKFqVJLEQ3uImPYh76WZC+qYQH8ddZqUdVrEKXuA+vYRUq
YHk6x914CSuSjaXpFO/TU1i6CEmpGWk8KA2mJS/T4jkzJV2Z0jVt87vA3GHu
sW8zv9j9oE8yeN7FH3hfnr1f3v2GZzAPZ+/OXoBvMh/Z+WMecObibIRsZ5+O
uOMhjXFHL6WwZ0pilvOf56UurWEdimAm3WN3tIq1ycAG3OMMy1EUa1EPe6EE
ZtEcVqcm1qAA5qf/JWkICWxDkw==
           "]]}, 
         RowBox[{"-", "21"}]], Annotation[#, -21, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVjz8ohGEcgB+LdCSn5Fz+fHeKM1wZzCwOXVnIKSxuEOm+m5XhjtFEx6Ks
WMRyKV1sMrMK2UykJCSP4dfzPs/7Dr83kS9OhXXAqlOLQyYFOzGY7IVtOapX
7YEs62l7SXbpp/b3fgj1BntBvuqH9gs5qz8kISfP9QP7phzRq/ZhWdIr9pwc
0Cv2lJzWt+yFbmjVJwLIOsv6fgIW5Zje5B3/3bcLtp8emJNhG8zIefnmPNnr
9W8ZkUu+//V83Qkf8kbmbS3efemfzks7NOqD9qj73Okr7ncrm/WU/bkPrvSM
/VI+6oH9TB7rSfuRPNFj9nW5p2PflWt61J6VG/q9fyvLcT1ij8uiXrOHskMf
SsMfjBlAFw==
           "]]}, 
         RowBox[{"-", "23.1`"}]], Annotation[#, -23.1, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNjz1IQnEcRW9RRKk8G/owTdPUHApxsLVRHzRJTS0hhVBZOLgkqDVKswQ6
tAvaEvixNWZbWw2itjWEYUOLdIbDfZzf5c993uRV4nJK0gU8LUnRZek7LH26
JL9TqrqlCtS4bXOLbEph8IQkNzzgfXgrbgF+tqQRlPEO/NAn9aGNa8Ed3o5v
45pwi7uBIn4Of48rwyHuALL4Cbyzp7Qm7W9Ii6uSjTRIk0yxr+qVMvSO+S7y
nSRT9I/IE3KePCVfeKfAfUx37JF+weD2R36tSBbee6UzS57Rt3GzQoL+ENJs
Owc72wyI4z7AxMVgEOR/YQ/3BkGcHx5xDdjFdWEGNw053DXs4J6hz7YemLg4
BHAdqLBpwJ7GulSHPHv/AT7oQYg=
           "]]}, 
         RowBox[{"-", "25.200000000000003`"}]], 
        Annotation[#, -25.200000000000003`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkU8og3Echz8ijUl6tZk/4fXfRrhx47aaTbm8tpSSlPx5l7K2oWQrJxc1
c5ErdqIkpdZctSNHtDQXN2pXj8O35/c8v99bv/d9zWV7fqtKUpwJuaXdXmmP
STIno1KQdtUtzcIELc68j0hvzH2b1DckpTzSOP0QmvgNvTIoRXEn3Ya/+CU9
D8N4qUdagI/4Bf0IzuAP9GmYxjP0CPThWboXWvgxPdYpufEgd5tjtvFzU1qH
AbyJvUZoc3aVVs96BUZd0hJchD//08U5vI59A25yvoH1c4dUA4twjeZhz4HX
Mt8tUjM+QXdxn1d8g/u9QAMfpn8NSE+4n16An7hJv4M5vJ9+DW/xVvoBPMOr
6Vm4jxv0EEzjH7xbCgZwJ93y8f0Yi++b4V8Ux6Qp/tEp60lY5t6Vdt6L5xzM
Dv4HuoVFBw==
           "]]}, 
         RowBox[{"-", "27.3`"}]], Annotation[#, -27.3, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkU0ow2Ecx7/Iy2Vq7Y3Rsi3bSpvioJxwUN5tUlscUFK2tlbKjaYoxclB
Eyt3N262KY7WUG4cjM3N0W7Mx+HT93k+v9//6fk/P+dKIhSvk7QP8+1SzifV
2qQsKfZ5suSXbnukkQ7pNyANk1HcoFV66JXCbqlIRsgbp7RMLWuRPDDpkabg
Hf8Bd7gAbOG2odElNUEBNwCXuCvw4nzwjBuCCu4TxnET8IobA5NXMkMcl4Ay
bg7MDskCSbtk7JIeO3Hkl01qJm3UGsh6qNKf4m5FemL//dSi5CoZJ2PkDvV1
coPeDOsk62m+NfFWVtJCBskD+l84p0bfJoS5WwTS3O0EWnizFH4XtwfXuCwY
8Yf4HC4PZVwF7Phj/DeuCgbeuBXc+HO8i/m4oQ/XD/fMoQB+6hfUF5jFIpwy
vww8UTsjf8g1etLUgszTwD5Elqi94Rzd0hH/NMrZM5w7C0v4PyMnU4s=
           "]]}, 
         RowBox[{"-", "29.400000000000002`"}]], 
        Annotation[#, -29.400000000000002`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{6768, 7377, 8208, 7375, 8213, 6772, 7706, 8210, 7702, 8193,
            5621, 5469, 7785, 5491, 7790, 8211, 7792, 6774, 8215, 6164, 8272, 
           7796, 8607}]}, 
         RowBox[{"-", "31.5`"}]], Annotation[#, -31.5, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{5494, 7795, 7797, 6773, 7791, 6770, 7705, 6771, 7378, 5623,
            8207}]}, 
         RowBox[{"-", "33.6`"}]], 
        Annotation[#, -33.6, "Tooltip"]& ], {}, {}}}], {
    DisplayFunction -> Identity, AspectRatio -> 1, DisplayFunction :> 
     Identity, Frame -> True, FrameLabel -> {
       FormBox["\"Y\"", TraditionalForm], 
       FormBox["\"Z\"", TraditionalForm]}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], Method -> {"DefaultBoundaryStyle" -> Automatic}, 
     PlotLabel -> 
     FormBox["\"Total dipole trap effect on 1S0\"", TraditionalForm], 
     PlotRange -> {{-300, 300}, {-400, 400}}, PlotRangeClipping -> True, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.02]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
       FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           GraphicsBox[{
             RasterBox[CompressedData["
1:eJxFl3c4FV78x9HSIolkZDQ0qKQU0lsqsyK7IpuSrLQkM9HQIA0tKVHS0LIq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              "], {{
                Rational[-15, 2], 
                Rational[-225, 2]}, {
                Rational[15, 2], 
                Rational[225, 2]}}], {Antialiasing -> False, 
              AbsoluteThickness[0.1], 
              Directive[
               Opacity[0.3], 
               GrayLevel[0]], 
              LineBox[
               NCache[{{
                  Rational[15, 2], 
                  Rational[-225, 2]}, {
                  Rational[-15, 2], 
                  Rational[-225, 2]}, {
                  Rational[-15, 2], 
                  Rational[225, 2]}, {
                  Rational[15, 2], 
                  Rational[225, 2]}}, {{7.5, -112.5}, {-7.5, -112.5}, {-7.5, 
                112.5}, {7.5, 112.5}}]]}, {
              CapForm[None], {{
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -102.63023478135845`}, {
                    Rational[
                    15, 2], -102.63023478135845`}}, {{-7.5, \
-102.63023478135845`}, {7.5, -102.63023478135845`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -95.49195376798389}, {
                    Rational[
                    15, 2], -95.49195376798389}}, {{-7.5, \
-95.49195376798389}, {7.5, -95.49195376798389}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -88.35367275460932}, {
                    Rational[
                    15, 2], -88.35367275460932}}, {{-7.5, \
-88.35367275460932}, {7.5, -88.35367275460932}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -81.21539174123474}, {
                    Rational[
                    15, 2], -81.21539174123474}}, {{-7.5, \
-81.21539174123474}, {7.5, -81.21539174123474}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -74.07711072786019}, {
                    Rational[
                    15, 2], -74.07711072786019}}, {{-7.5, \
-74.07711072786019}, {7.5, -74.07711072786019}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -66.9388297144856}, {
                    Rational[
                    15, 2], -66.9388297144856}}, {{-7.5, -66.9388297144856}, {
                  7.5, -66.9388297144856}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -59.80054870111104}, {
                    Rational[
                    15, 2], -59.80054870111104}}, {{-7.5, \
-59.80054870111104}, {7.5, -59.80054870111104}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -52.662267687736474`}, {
                    Rational[
                    15, 2], -52.662267687736474`}}, {{-7.5, \
-52.662267687736474`}, {7.5, -52.662267687736474`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -45.5239866743619}, {
                    Rational[
                    15, 2], -45.5239866743619}}, {{-7.5, -45.5239866743619}, {
                  7.5, -45.5239866743619}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -38.385705660987334`}, {
                    Rational[
                    15, 2], -38.385705660987334`}}, {{-7.5, \
-38.385705660987334`}, {7.5, -38.385705660987334`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -31.247424647612768`}, {
                    Rational[
                    15, 2], -31.247424647612768`}}, {{-7.5, \
-31.247424647612768`}, {7.5, -31.247424647612768`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -24.109143634238194`}, {
                    Rational[
                    15, 2], -24.109143634238194`}}, {{-7.5, \
-24.109143634238194`}, {7.5, -24.109143634238194`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -16.97086262086362}, {
                    Rational[
                    15, 2], -16.97086262086362}}, {{-7.5, \
-16.97086262086362}, {7.5, -16.97086262086362}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -9.832581607489056}, {
                    Rational[
                    15, 2], -9.832581607489056}}, {{-7.5, \
-9.832581607489056}, {7.5, -9.832581607489056}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -2.694300594114484}, {
                    Rational[
                    15, 2], -2.694300594114484}}, {{-7.5, \
-2.694300594114484}, {7.5, -2.694300594114484}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 4.443980419260085}, {
                    Rational[15, 2], 4.443980419260085}}, {{-7.5, 
                  4.443980419260085}, {7.5, 4.443980419260085}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 11.582261432634654`}, {
                    Rational[15, 2], 11.582261432634654`}}, {{-7.5, 
                  11.582261432634654`}, {7.5, 11.582261432634654`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 18.720542446009222`}, {
                    Rational[15, 2], 18.720542446009222`}}, {{-7.5, 
                  18.720542446009222`}, {7.5, 18.720542446009222`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 25.858823459383792`}, {
                    Rational[15, 2], 25.858823459383792`}}, {{-7.5, 
                  25.858823459383792`}, {7.5, 25.858823459383792`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 32.997104472758366`}, {
                    Rational[15, 2], 32.997104472758366`}}, {{-7.5, 
                  32.997104472758366`}, {7.5, 32.997104472758366`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 40.13538548613293}, {
                    Rational[15, 2], 40.13538548613293}}, {{-7.5, 
                  40.13538548613293}, {7.5, 40.13538548613293}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 47.2736664995075}, {
                    Rational[15, 2], 47.2736664995075}}, {{-7.5, 
                  47.2736664995075}, {7.5, 47.2736664995075}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 54.41194751288207}, {
                    Rational[15, 2], 54.41194751288207}}, {{-7.5, 
                  54.41194751288207}, {7.5, 54.41194751288207}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 61.55022852625664}, {
                    Rational[15, 2], 61.55022852625664}}, {{-7.5, 
                  61.55022852625664}, {7.5, 61.55022852625664}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 68.68850953963121}, {
                    Rational[15, 2], 68.68850953963121}}, {{-7.5, 
                  68.68850953963121}, {7.5, 68.68850953963121}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 75.82679055300578}, {
                    Rational[15, 2], 75.82679055300578}}, {{-7.5, 
                  75.82679055300578}, {7.5, 75.82679055300578}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 82.96507156638035}, {
                    Rational[15, 2], 82.96507156638035}}, {{-7.5, 
                  82.96507156638035}, {7.5, 82.96507156638035}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 90.10335257975491}, {
                    Rational[15, 2], 90.10335257975491}}, {{-7.5, 
                  90.10335257975491}, {7.5, 90.10335257975491}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 97.24163359312949}, {
                    Rational[15, 2], 97.24163359312949}}, {{-7.5, 
                  97.24163359312949}, {7.5, 97.24163359312949}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 104.37991460650404`}, {
                    Rational[15, 2], 104.37991460650404`}}, {{-7.5, 
                  104.37991460650404`}, {7.5, 104.37991460650404`}}]]}}}, {
             Antialiasing -> False, 
              StyleBox[
               
               LineBox[{{7.500000000000001, -112.50000000000001`}, {
                7.500000000000001, 112.50000000000001`}}], 
               Directive[
                AbsoluteThickness[0.2], 
                Opacity[0.3], 
                GrayLevel[0]], StripOnInput -> False], 
              StyleBox[
               StyleBox[{{
                  StyleBox[
                   LineBox[{{{7.500000000000001, -90.39318161557348}, 
                    
                    Offset[{4., 0}, {
                    7.500000000000001, -90.39318161557348}]}, {{
                    7.500000000000001, -56.401367266170766`}, 
                    
                    Offset[{4., 0}, {
                    7.500000000000001, -56.401367266170766`}]}, {{
                    7.500000000000001, -22.409552916768057`}, 
                    
                    Offset[{4., 0}, {
                    7.500000000000001, -22.409552916768057`}]}, {{
                    7.500000000000001, 11.582261432634656`}, 
                    
                    Offset[{4., 0}, {7.500000000000001, 
                    11.582261432634656`}]}, {{7.500000000000001, 
                    45.57407578203737}, 
                    
                    Offset[{4., 0}, {7.500000000000001, 
                    45.57407578203737}]}, {{7.500000000000001, 
                    79.56589013144009}, 
                    
                    Offset[{4., 0}, {7.500000000000001, 
                    79.56589013144009}]}}], 
                   Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], StripOnInput -> False], 
                  StyleBox[
                   LineBox[{{{7.500000000000001, -110.78827022521511`}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -110.78827022521511`}]}, {{
                    7.500000000000001, -103.98990735533457`}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -103.98990735533457`}]}, {{
                    7.500000000000001, -97.19154448545402}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -97.19154448545402}]}, {{
                    7.500000000000001, -83.59481874569293}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -83.59481874569293}]}, {{
                    7.500000000000001, -76.7964558758124}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -76.7964558758124}]}, {{
                    7.500000000000001, -69.99809300593185}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -69.99809300593185}]}, {{
                    7.500000000000001, -63.19973013605131}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -63.19973013605131}]}, {{
                    7.500000000000001, -49.603004396290224`}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -49.603004396290224`}]}, {{
                    7.500000000000001, -42.80464152640968}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -42.80464152640968}]}, {{
                    7.500000000000001, -36.00627865652914}, 
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -36.00627865652914}]}, {{
                    7.500000000000001, -29.2079157866486}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -29.2079157866486}]}, {{
                    7.500000000000001, -15.611190046887515`}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -15.611190046887515`}]}, {{
                    7.500000000000001, -8.812827177006971}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -8.812827177006971}]}, {{
                    7.500000000000001, -2.0144643071264294`}, 
                    
                    Offset[{2.5, 0.}, {
                    7.500000000000001, -2.0144643071264294`}]}, {{
                    7.500000000000001, 4.783898562754112}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    4.783898562754112}]}, {{7.500000000000001, 
                    18.380624302515198`}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    18.380624302515198`}]}, {{7.500000000000001, 
                    25.17898717239574}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    25.17898717239574}]}, {{7.500000000000001, 
                    31.97735004227628}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    31.97735004227628}]}, {{7.500000000000001, 
                    38.77571291215683}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    38.77571291215683}]}, {{7.500000000000001, 
                    52.37243865191791}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    52.37243865191791}]}, {{7.500000000000001, 
                    59.17080152179845}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    59.17080152179845}]}, {{7.500000000000001, 
                    65.969164391679}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    65.969164391679}]}, {{7.500000000000001, 
                    72.76752726155954}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    72.76752726155954}]}, {{7.500000000000001, 
                    86.36425300132062}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    86.36425300132062}]}, {{7.500000000000001, 
                    93.16261587120117}, 
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    93.16261587120117}]}, {{7.500000000000001, 
                    99.9609787410817}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    99.9609787410817}]}, {{7.500000000000001, 
                    106.75934161096225`}, 
                    
                    Offset[{2.5, 0.}, {7.500000000000001, 
                    106.75934161096225`}]}}], 
                   Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4], 
                    Opacity[0.3]], StripOnInput -> False]}, 
                 StyleBox[
                  StyleBox[{{
                    StyleBox[{
                    InsetBox[
                    FormBox[
                    RowBox[{"-", "30"}], TraditionalForm], 
                    
                    Offset[{7., 0.}, {
                    7.500000000000001, -90.39318161557348}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    RowBox[{"-", "20"}], TraditionalForm], 
                    
                    Offset[{7., 0.}, {
                    7.500000000000001, -56.401367266170766`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    RowBox[{"-", "10"}], TraditionalForm], 
                    
                    Offset[{7., 0.}, {
                    7.500000000000001, -22.409552916768057`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox["0", TraditionalForm], 
                    
                    Offset[{7., 0.}, {7.500000000000001, 
                    11.582261432634656`}], {-1, 0.}, Automatic, {1, 0}], 
                    InsetBox[
                    FormBox["10", TraditionalForm], 
                    
                    Offset[{7., 0.}, {7.500000000000001, 
                    45.57407578203737}], {-1, 0.}, Automatic, {1, 0}], 
                    InsetBox[
                    FormBox["20", TraditionalForm], 
                    
                    Offset[{7., 0.}, {7.500000000000001, 
                    79.56589013144009}], {-1, 0.}, Automatic, {1, 0}]}, 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}, StripOnInput -> False], 
                    
                    StyleBox[{{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4], 
                    Opacity[0.3]], {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}, StripOnInput -> False]}, {}}, {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}, StripOnInput -> False], "GraphicsLabel", 
                  StripOnInput -> False]}, "GraphicsTicks", StripOnInput -> 
                False], 
               Directive[
                AbsoluteThickness[0.2], 
                Opacity[0.3], 
                GrayLevel[0]], StripOnInput -> False]}}, PlotRangePadding -> 
            Scaled[0.02], PlotRange -> All, Frame -> True, 
            FrameTicks -> {{False, False}, {True, False}}, FrameStyle -> 
            Opacity[0], FrameTicksStyle -> Opacity[0], 
            ImageSize -> {Automatic, 225}, BaseStyle -> {}], Alignment -> 
           Left, AppearanceElements -> None, ImageMargins -> {{5, 5}, {5, 5}},
            ImageSizeAction -> "ResizeToFit"], LineIndent -> 0, StripOnInput -> 
          False], {FontFamily -> "Arial"}, Background -> Automatic, 
         StripOnInput -> False], TraditionalForm]}, "BarLegend", 
      DisplayFunction -> (#& ), 
      InterpretationFunction :> (RowBox[{"BarLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{
                 RowBox[{"Blend", "[", 
                   RowBox[{"\"M10DefaultDensityGradient\"", ",", "#1"}], 
                   "]"}], "&"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "36.50357117075011`"}], ",", 
                   "29.688835532587166`"}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "33.6`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "31.5`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "29.400000000000002`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "27.3`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "25.200000000000003`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "23.1`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "21.`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "18.900000000000002`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "16.8`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "14.700000000000001`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "12.600000000000001`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "10.5`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "8.4`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "6.300000000000001`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "4.2`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "2.1`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"2.1`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"4.2`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"6.300000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"8.4`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"10.5`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"12.600000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"14.700000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"16.8`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"18.900000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"21.`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"23.1`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"25.200000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"27.3`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "GrayLevel[0]"], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}]}], "}"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
           RowBox[{"Charting`TickAnnotations", "\[Rule]", "None"}], ",", 
           RowBox[{"Charting`TickSide", "\[Rule]", "Right"}], ",", 
           RowBox[{"ColorFunctionScaling", "\[Rule]", "True"}]}], "]"}]& )], 
     TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.801381795399836*^9, 3.8044004343777514`*^9, {3.804400732675813*^9, 
   3.8044007899240875`*^9}, 3.8044009124180937`*^9, 3.804401599714405*^9, 
   3.8044016785739155`*^9, 3.804401720180295*^9, 3.804401835254877*^9, 
   3.8044019059179187`*^9, 3.8044019458012*^9, 3.8044029617803106`*^9, 
   3.804402996312286*^9, 3.804403033115391*^9, 3.804403081983186*^9, {
   3.804403129693915*^9, 3.8044031522852073`*^9}, 3.8044032048682146`*^9, 
   3.8044032509228487`*^9, 3.8044032943363323`*^9, 3.804403347938398*^9, 
   3.804403389684786*^9, 3.804403459108756*^9, 3.8044034981579895`*^9, 
   3.8044035488728905`*^9, {3.80440358470194*^9, 3.8044036112284575`*^9}, 
   3.804403666749633*^9, 3.804403758466879*^9, 3.8044072678616047`*^9, 
   3.8044105250399046`*^9, 3.804410591351697*^9, 3.804412789637432*^9, {
   3.804412851739984*^9, 3.8044128646487226`*^9}, {3.80441289467344*^9, 
   3.804412918652811*^9}, 3.8044129537748203`*^9, {3.8044131443627214`*^9, 
   3.8044131594915867`*^9}, {3.8044131997918916`*^9, 3.8044132251583424`*^9}, 
   3.8044132777723517`*^9, 3.8044133238439865`*^9, {3.8044133639772825`*^9, 
   3.804413390136779*^9}, {3.804413438461543*^9, 3.8044134564045687`*^9}, {
   3.8044135165740104`*^9, 3.8044135726442175`*^9}, {3.8044136224530663`*^9, 
   3.8044136485945616`*^9}, 3.804413708095965*^9, 3.804413746367154*^9, 
   3.8044137907366915`*^9, 3.804414045244249*^9, {3.804414126518897*^9, 
   3.804414154417493*^9}, 3.8044145401135535`*^9, 3.804414659960408*^9, 
   3.8044147162986307`*^9, 3.8044238077676334`*^9, 3.804423855774379*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJwUV3c8V+8Xl70iM9uH7E22cK2SkL1l7733ngmREiohhBD1lYx771FIhAqV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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in X axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.801381795399836*^9, 3.8044004343777514`*^9, {3.804400732675813*^9, 
   3.8044007899240875`*^9}, 3.8044009124180937`*^9, 3.804401599714405*^9, 
   3.8044016785739155`*^9, 3.804401720180295*^9, 3.804401835254877*^9, 
   3.8044019059179187`*^9, 3.8044019458012*^9, 3.8044029617803106`*^9, 
   3.804402996312286*^9, 3.804403033115391*^9, 3.804403081983186*^9, {
   3.804403129693915*^9, 3.8044031522852073`*^9}, 3.8044032048682146`*^9, 
   3.8044032509228487`*^9, 3.8044032943363323`*^9, 3.804403347938398*^9, 
   3.804403389684786*^9, 3.804403459108756*^9, 3.8044034981579895`*^9, 
   3.8044035488728905`*^9, {3.80440358470194*^9, 3.8044036112284575`*^9}, 
   3.804403666749633*^9, 3.804403758466879*^9, 3.8044072678616047`*^9, 
   3.8044105250399046`*^9, 3.804410591351697*^9, 3.804412789637432*^9, {
   3.804412851739984*^9, 3.8044128646487226`*^9}, {3.80441289467344*^9, 
   3.804412918652811*^9}, 3.8044129537748203`*^9, {3.8044131443627214`*^9, 
   3.8044131594915867`*^9}, {3.8044131997918916`*^9, 3.8044132251583424`*^9}, 
   3.8044132777723517`*^9, 3.8044133238439865`*^9, {3.8044133639772825`*^9, 
   3.804413390136779*^9}, {3.804413438461543*^9, 3.8044134564045687`*^9}, {
   3.8044135165740104`*^9, 3.8044135726442175`*^9}, {3.8044136224530663`*^9, 
   3.8044136485945616`*^9}, 3.804413708095965*^9, 3.804413746367154*^9, 
   3.8044137907366915`*^9, 3.804414045244249*^9, {3.804414126518897*^9, 
   3.804414154417493*^9}, 3.8044145401135535`*^9, 3.804414659960408*^9, 
   3.8044147162986307`*^9, 3.8044238077676334`*^9, 3.804423856926445*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJwtWHk0FPz3poS8trGMXYYZYzczGGOdj8lSJELCG7JmXyZLb7za7IqoJHlV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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in Y axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.801381795399836*^9, 3.8044004343777514`*^9, {3.804400732675813*^9, 
   3.8044007899240875`*^9}, 3.8044009124180937`*^9, 3.804401599714405*^9, 
   3.8044016785739155`*^9, 3.804401720180295*^9, 3.804401835254877*^9, 
   3.8044019059179187`*^9, 3.8044019458012*^9, 3.8044029617803106`*^9, 
   3.804402996312286*^9, 3.804403033115391*^9, 3.804403081983186*^9, {
   3.804403129693915*^9, 3.8044031522852073`*^9}, 3.8044032048682146`*^9, 
   3.8044032509228487`*^9, 3.8044032943363323`*^9, 3.804403347938398*^9, 
   3.804403389684786*^9, 3.804403459108756*^9, 3.8044034981579895`*^9, 
   3.8044035488728905`*^9, {3.80440358470194*^9, 3.8044036112284575`*^9}, 
   3.804403666749633*^9, 3.804403758466879*^9, 3.8044072678616047`*^9, 
   3.8044105250399046`*^9, 3.804410591351697*^9, 3.804412789637432*^9, {
   3.804412851739984*^9, 3.8044128646487226`*^9}, {3.80441289467344*^9, 
   3.804412918652811*^9}, 3.8044129537748203`*^9, {3.8044131443627214`*^9, 
   3.8044131594915867`*^9}, {3.8044131997918916`*^9, 3.8044132251583424`*^9}, 
   3.8044132777723517`*^9, 3.8044133238439865`*^9, {3.8044133639772825`*^9, 
   3.804413390136779*^9}, {3.804413438461543*^9, 3.8044134564045687`*^9}, {
   3.8044135165740104`*^9, 3.8044135726442175`*^9}, {3.8044136224530663`*^9, 
   3.8044136485945616`*^9}, 3.804413708095965*^9, 3.804413746367154*^9, 
   3.8044137907366915`*^9, 3.804414045244249*^9, {3.804414126518897*^9, 
   3.804414154417493*^9}, 3.8044145401135535`*^9, 3.804414659960408*^9, 
   3.8044147162986307`*^9, 3.8044238077676334`*^9, 3.8044238572214613`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJwt2Xk0VP//B3Ap+xKSIlJmzCi7isp2SfayZA8hS1EqREmyzNh3lYmsSVRC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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, -19.},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in Z axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.801381795399836*^9, 3.8044004343777514`*^9, {3.804400732675813*^9, 
   3.8044007899240875`*^9}, 3.8044009124180937`*^9, 3.804401599714405*^9, 
   3.8044016785739155`*^9, 3.804401720180295*^9, 3.804401835254877*^9, 
   3.8044019059179187`*^9, 3.8044019458012*^9, 3.8044029617803106`*^9, 
   3.804402996312286*^9, 3.804403033115391*^9, 3.804403081983186*^9, {
   3.804403129693915*^9, 3.8044031522852073`*^9}, 3.8044032048682146`*^9, 
   3.8044032509228487`*^9, 3.8044032943363323`*^9, 3.804403347938398*^9, 
   3.804403389684786*^9, 3.804403459108756*^9, 3.8044034981579895`*^9, 
   3.8044035488728905`*^9, {3.80440358470194*^9, 3.8044036112284575`*^9}, 
   3.804403666749633*^9, 3.804403758466879*^9, 3.8044072678616047`*^9, 
   3.8044105250399046`*^9, 3.804410591351697*^9, 3.804412789637432*^9, {
   3.804412851739984*^9, 3.8044128646487226`*^9}, {3.80441289467344*^9, 
   3.804412918652811*^9}, 3.8044129537748203`*^9, {3.8044131443627214`*^9, 
   3.8044131594915867`*^9}, {3.8044131997918916`*^9, 3.8044132251583424`*^9}, 
   3.8044132777723517`*^9, 3.8044133238439865`*^9, {3.8044133639772825`*^9, 
   3.804413390136779*^9}, {3.804413438461543*^9, 3.8044134564045687`*^9}, {
   3.8044135165740104`*^9, 3.8044135726442175`*^9}, {3.8044136224530663`*^9, 
   3.8044136485945616`*^9}, 3.804413708095965*^9, 3.804413746367154*^9, 
   3.8044137907366915`*^9, 3.804414045244249*^9, {3.804414126518897*^9, 
   3.804414154417493*^9}, 3.8044145401135535`*^9, 3.804414659960408*^9, 
   3.8044147162986307`*^9, 3.8044238077676334`*^9, 3.804423857631485*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beam powers: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "10.4`", ",", "1.0129253308128545`", ",", "0.5418745985135789`", ",", 
     "0.13074600000000008`", ",", "0.00994784`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Beam powers: ", {10.4, 1.0129253308128545`, 0.5418745985135789, 
   0.13074600000000008`, 0.00994784}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857643486*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 1: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "20.369572713332317`", ",", "20.369572713332317`", ",", 
     "0.45231961050429204`", ",", "2.140393499501831`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 1: ", {20.369572713332317`, 20.369572713332317`, 
   0.45231961050429204`, 2.140393499501831, 2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.8044238576464863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 2: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "20.369572713332317`", ",", "20.369572713332317`", ",", 
     "22.204013497918506`", ",", "2.140393499501831`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 2: ", {20.369572713332317`, 20.369572713332317`, 
   22.204013497918506`, 2.140393499501831, 2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857649486*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]X for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "328.62115597662614`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : ", 
   328.62115597662614`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.8044238576524863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Y for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "651.945334726099`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : ", 
   651.945334726099, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.8044238576544867`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Z for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "316.8794532982526`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : ", 
   316.8794532982526, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857658487*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Grav sagging: \"\>", "\[InvisibleSpace]", 
   "0.5812363775478009`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Grav sagging: ", 0.5812363775478009, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857662487*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Absolute potential depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "18.564740143146942`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Absolute potential depth: ", -18.564740143146942`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857664487*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Edge of the trap between tranport DT and sheet DT: \"\>", 
   "\[InvisibleSpace]", "21.125085048579294`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Edge of the trap between tranport DT and sheet DT: ", 21.125085048579294`, 
   " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857667487*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Trap depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "41.17493731036334`", ",", "4.010301634259455`", ",", 
     "10.514332758478316`", ",", "6.010023148769077`", ",", 
     "0.9236908554379949`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Trap depth: ", {41.17493731036334, 4.010301634259455, 10.514332758478316`, 
   6.010023148769077, 0.9236908554379949}, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857669487*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap depth: \"\>", "\[InvisibleSpace]", 
   "8.197981983615296`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Effective trap depth: ", 8.197981983615296, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.8044238576724873`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.804416368113109*^9, 3.804416368290119*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Max shift of 1S0 by sheet + dimple + tranps: \>\"", ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
     "10.514332758478316`", "+", "6.010023148769077`", "+", 
      "0.9236908554379949`"}], ")"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}], "*", 
    RowBox[{
     RowBox[{"kB", "/", "ctePlanck"}], "/", 
     RowBox[{"10", "^", "3"}]}]}], ",", "\"\< kHz\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Detuning from radial molasses laser beam (+40 kHz) to the bottom of \
the dimple (no transp):\>\"", ",", " ", 
   RowBox[{"40", "-", "56", "-", "54"}], ",", "\"\< kHz\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.804415323055335*^9, 3.804415348681801*^9}, {
  3.804415454702865*^9, 3.804415487179723*^9}, {3.805653430303548*^9, 
  3.8056535189046154`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Max shift of 1S0 by sheet + dimple + tranps: \"\>", 
   "\[InvisibleSpace]", "363.558304840084`", 
   "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Max shift of 1S0 by sheet + dimple + tranps: ", 363.558304840084, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.804415487393735*^9, 3.8056535202186904`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Detuning from radial molasses laser beam (+40 kHz) to the \
bottom of the dimple (no transp):\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "70"}], "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Detuning from radial molasses laser beam (+40 kHz) to the bottom of the \
dimple (no transp):", -70, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.804415487393735*^9, 3.8056535202226906`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Calibrations results", "Section",
 CellChangeTimes->{{3.790785816008213*^9, 3.790785823887664*^9}}],

Cell["\<\
Calibration of transport guide waist is provided by beam profile measurements \
from 170822 in onenote labbook (2017) 
=> 92 \[Micro]m M^2 = 1.22

Calibration of sheet DT is given by beam profile measurements of 171216 in \
onenote (2017).
=> 14.5 \[Micro]m vert / 110 \[Micro]m hor, M^2 = 1.6
Calibration of sheet DT from average Thomas Fermi radius of the SSBEC giving \
650Hz trap freq
=> 15.7 \[Micro]m vert (rest is the same) \
\>", "Text",
 CellChangeTimes->{{3.790684622550062*^9, 3.790684667470631*^9}, {
  3.7906848431336784`*^9, 3.7906848697592015`*^9}, {3.7907612223443193`*^9, 
  3.790761334490734*^9}, {3.790774505976181*^9, 3.7907745117915134`*^9}, {
  3.8013819184988766`*^9, 3.8013819896749477`*^9}}],

Cell[CellGroupData[{

Cell["\<\
180224 (2018)
Runme1802250002, vertical trapping freq of sheet DT (fit at 2\[Pi] 980 Hz)\
\>", "Text",
 CellChangeTimes->{{3.790783943276099*^9, 3.790784024028718*^9}, {
  3.790784100698103*^9, 3.790784103561267*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{"0.900", ",", "0.150", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"0.0159", "+", "0.0065"}], ")"}], "*", "0"}], ",", 
       RowBox[{"0", "*", "11."}]}], "}"}]}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"14.", ",", "27.", ",", "28.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "28.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7907839782490997`*^9, 3.790783978554117*^9}, {
  3.7907840638709965`*^9, 3.790784090702532*^9}, {3.7907841932753983`*^9, 
  3.7907842023099155`*^9}, {3.7907852059063177`*^9, 3.7907852061213303`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
180224 (2018) runme1802250005 and Runme180504003, vertical dimple frequency \
(+300 Hz) gives about 27 \[Micro]m \
\>", "Text",
 CellChangeTimes->{{3.7907841468737445`*^9, 3.7907841560162673`*^9}, {
  3.790784644155187*^9, 3.7907846947370806`*^9}, {3.7907849837086086`*^9, 
  3.790784987652834*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{"0.900", ",", "0.150", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"0.0159", "+", "0.0065"}], ")"}], "*", "0"}], ",", 
       RowBox[{"0", "*", "11."}]}], "}"}]}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"14.", ",", "27.", ",", "28.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "28.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7907848673809547`*^9, 3.7907848696480846`*^9}, {
  3.790785197299825*^9, 3.7907851975028367`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
180130 (2018) S15+19 horizontal transparency beam, 80.97 Hz with vertical \
dimple but no horizontal transp, 89.4 Hz with both, which gives 41.5 \
\[Micro]m. Also, included angle of 53deg between sheet and hor transp beam\
\>", "Text",
 CellChangeTimes->{{3.790859226646062*^9, 3.7908593730974383`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transparency", " ", "hor"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"PowerTab", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"0.120", "*", "0.95"}], ",", 
      RowBox[{"0.011", "*", "0.9366"}], ",", 
      RowBox[{"0", "*", 
       RowBox[{"(", 
        RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
      "0.0136", ",", 
      RowBox[{"0", "*", "11."}]}], "}"}]}], ";", "  ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"MsquaredTab", " ", "=", 
    RowBox[{"{", 
     RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], 
   ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"WaistXTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"14.5", ",", "27.", ",", "23", ",", "41.5", ",", "92."}], "}"}],
      "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
   RowBox[{"WaistYTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"110.", ",", "27.", ",", "23", ",", "41.5", ",", "92."}], "}"}],
      "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Theta]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"90.", ",", "0.", ",", "0.", ",", "90.", ",", "0."}], "}"}], 
     "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Phi]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "90.", ",", "90.", ",", "53.", ",", "0."}], "}"}], 
     "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"X0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], 
     "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Y0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Z0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Lambda]Tab", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
     "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
      "\[Lambda]DipTransparency", ",", "\[Lambda]DipTransparency", ",", 
      "\[Lambda]DipIPG"}], "}"}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Alpha]Tab", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
      "\[Alpha]Polar688Sr", ",", "\[Alpha]Polar688Sr", ",", 
      "\[Alpha]PolarIPGSr"}], "}"}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"atomic", " ", "unit"}], " ", "*)"}]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
190415 (2019) S13/15/18 vertical transparency beam, 95 Hz gives 23 \[Micro]m, \
consistent with direct beam measurements\
\>", "Text",
 CellChangeTimes->{{3.7907857229818926`*^9, 3.7907857867375393`*^9}, {
  3.7907858346752815`*^9, 3.790785844048817*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{"0.480", ",", 
       RowBox[{"0.150", "*", "0"}], ",", 
       RowBox[{"0.00646", "*", "0.9"}], ",", 
       RowBox[{"0", "*", "11."}]}], "}"}]}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"14.", ",", "27.", ",", "23", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "23", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], 
    ";"}]}]}]], "Input"]
}, Closed]]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1366, 696},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1990, 44, 252, "Input"],
Cell[CellGroupData[{
Cell[2573, 68, 210, 3, 70, "Section"],
Cell[CellGroupData[{
Cell[2808, 75, 150, 2, 29, "Item"],
Cell[CellGroupData[{
Cell[2983, 81, 198, 3, 39, "Subsubsection"],
Cell[3184, 86, 652, 15, 52, "Input",
 Evaluatable->False],
Cell[3839, 103, 459, 11, 31, "Input",
 Evaluatable->False],
Cell[4301, 116, 94138, 1549, 331, "Input",
 Evaluatable->False],
Cell[98442, 1667, 4581, 133, 385, "Input"],
Cell[CellGroupData[{
Cell[103048, 1804, 1655, 44, 172, "Input"],
Cell[104706, 1850, 574, 12, 31, "Output"],
Cell[105283, 1864, 583, 14, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[105915, 1884, 254, 3, 39, "Subsubsection"],
Cell[CellGroupData[{
Cell[106194, 1891, 182, 2, 30, "Text"],
Cell[106379, 1895, 3197, 71, 67, "Print"],
Cell[109579, 1968, 1446, 37, 112, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[111062, 2010, 108, 1, 27, "Text"],
Cell[CellGroupData[{
Cell[111195, 2015, 4276, 99, 352, "Input"],
Cell[115474, 2116, 1425, 24, 23, "Print"],
Cell[116902, 2142, 1400, 22, 23, "Print"],
Cell[118305, 2166, 1299, 21, 23, "Print"],
Cell[119607, 2189, 1297, 21, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[120953, 2216, 161, 2, 27, "Text"],
Cell[CellGroupData[{
Cell[121139, 2222, 4534, 102, 352, "Input"],
Cell[125676, 2326, 1659, 28, 23, "Print"],
Cell[127338, 2356, 1627, 25, 23, "Print"],
Cell[128968, 2383, 1521, 24, 23, "Print"],
Cell[130492, 2409, 1518, 24, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[132059, 2439, 112, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[132196, 2444, 4401, 99, 352, "Input"],
Cell[136600, 2545, 804, 16, 23, "Print"],
Cell[137407, 2563, 812, 14, 23, "Print"],
Cell[138222, 2579, 689, 13, 23, "Print"],
Cell[138914, 2594, 687, 13, 23, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[139638, 2612, 4478, 98, 352, "Input"],
Cell[144119, 2712, 798, 16, 23, "Print"],
Cell[144920, 2730, 772, 14, 23, "Print"],
Cell[145695, 2746, 685, 13, 23, "Print"],
Cell[146383, 2761, 683, 13, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[147115, 2780, 170, 2, 27, "Text"],
Cell[CellGroupData[{
Cell[147310, 2786, 3150, 65, 172, "Input"],
Cell[150463, 2853, 602, 13, 23, "Print"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[151138, 2874, 99, 1, 29, "Item"],
Cell[CellGroupData[{
Cell[151262, 2879, 63494, 1194, 1652, "Input"],
Cell[214759, 4075, 2549, 40, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[217357, 4121, 155, 2, 25, "Item"],
Cell[CellGroupData[{
Cell[217537, 4127, 37389, 734, 1212, "Input"],
Cell[254929, 4863, 6406, 87, 31, "Output"],
Cell[261338, 4952, 391337, 7185, 372, "Output"],
Cell[652678, 12139, 482036, 8603, 378, "Output"],
Cell[1134717, 20744, 34710, 564, 228, "Output"],
Cell[1169430, 21310, 13126, 210, 224, "Output"],
Cell[1182559, 21522, 16210, 261, 234, "Output"],
Cell[1198772, 21785, 6748, 97, 23, "Print"],
Cell[1205523, 21884, 6817, 97, 23, "Print"],
Cell[1212343, 21983, 6813, 97, 23, "Print"],
Cell[1219159, 22082, 6663, 94, 23, "Print"],
Cell[1225825, 22178, 6658, 94, 23, "Print"],
Cell[1232486, 22274, 6658, 94, 23, "Print"],
Cell[1239147, 22370, 6555, 91, 23, "Print"],
Cell[1245705, 22463, 6603, 93, 23, "Print"],
Cell[1252311, 22558, 6641, 94, 23, "Print"],
Cell[1258955, 22654, 6803, 98, 23, "Print"],
Cell[1265761, 22754, 6571, 91, 23, "Print"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[1272371, 22850, 146, 2, 72, "Input"],
Cell[CellGroupData[{
Cell[1272542, 22856, 898, 23, 72, "Input"],
Cell[1273443, 22881, 379, 8, 23, "Print"],
Cell[1273825, 22891, 458, 9, 23, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1274320, 22905, 105, 1, 70, "Section"],
Cell[1274428, 22908, 726, 15, 144, "Text"],
Cell[CellGroupData[{
Cell[1275179, 22927, 227, 5, 49, "Text"],
Cell[1275409, 22934, 3796, 98, 252, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[1279242, 23037, 309, 6, 27, "Text"],
Cell[1279554, 23045, 3695, 97, 252, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[1283286, 23147, 313, 5, 46, "Text"],
Cell[1283602, 23154, 3959, 107, 272, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[1287598, 23266, 265, 5, 27, "Text"],
Cell[1287866, 23273, 3539, 94, 252, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
