(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   1281025,      22963]
NotebookOptionsPosition[   1276547,      22820]
NotebookOutlinePosition[   1276913,      22836]
CellTagsIndexPosition[   1276870,      22833]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SetDirectory", "[", "\"\<C:\\\\SrBEC\\\\Mathematica\>\"", "]"}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "change", " ", "folder", " ", "location", " ", "to", " ", "find", " ", 
    "the", " ", "right", " ", "packages"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ComputerArithmetic`"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "SetDirectory", "[", 
     "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
   " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LaunchKernels", "[", "4", "]"}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "put", " ", "your", " ", "favorite", " ", "number", " ", "of", " ", 
    "kernels"}], " ", "*)"}], "\[IndentingNewLine]"}]}], "Input",
 CellChangeTimes->{{3.7286202174860296`*^9, 3.728620217703042*^9}, {
   3.728711424316966*^9, 3.728711424667986*^9}, {3.7318186909359274`*^9, 
   3.7318186914469566`*^9}, {3.7362219622568893`*^9, 3.736221963848092*^9}, {
   3.750685517644865*^9, 3.7506855815085177`*^9}, {3.751015397460146*^9, 
   3.751015405152586*^9}, {3.751686861017559*^9, 3.7516868614915867`*^9}, {
   3.7789356108208427`*^9, 3.778935614772069*^9}, {3.7809130088505454`*^9, 
   3.780913009292571*^9}, 3.7915557935610447`*^9, {3.795004814206807*^9, 
   3.7950048152708683`*^9}, {3.800438737167503*^9, 3.800438741826769*^9}, {
   3.8056523838976965`*^9, 3.805652384190713*^9}, {3.8145192979683084`*^9, 
   3.814519298974366*^9}}],

Cell[CellGroupData[{

Cell["Potential landscape", "Section",
 CellChangeTimes->{{3.720181220017393*^9, 3.7201812301199703`*^9}, {
  3.7812432431539845`*^9, 3.7812432476842437`*^9}, {3.790852550797225*^9, 
  3.7908525633169413`*^9}}],

Cell[CellGroupData[{

Cell["Polarizations", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 3.6822405592526093`*^9}, {
  3.8044114867119093`*^9, 3.804411492690251*^9}}],

Cell[CellGroupData[{

Cell["Polarization projection", "Subsubsection",
 CellChangeTimes->{{3.78472774766945*^9, 3.784727752293062*^9}, 
   3.784818115542671*^9},
 ExpressionUUID -> "a554e5f6-e751-4801-a640-66c03871f646"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "Folling", " ", "the", " ", "aproch", " ", "of", " ", "Jooks", " ", 
    "lecture", " ", "notes", " ", "Ch11", " ", "and", " ", "12", " ", "\\\\", 
    RowBox[{
     RowBox[{"public", ".", "uva", ".", "nl"}], "\\", "fnwi"}]}], "-", 
   RowBox[{
    RowBox[{
    "public", "\\", "qgases", "\\", "groups", "\\", "strontium", "\\", 
     "RodrigoGonzalezEscudero", "\\", "Bibliography", "\\", "Lecture"}], " ", 
    "Notes"}]}], " ", "*)"}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.784816505715234*^9, 3.7848165084811697`*^9}},
 ExpressionUUID -> "2b7f1ea6-f698-4c2b-a3dd-2ffa39938ac4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Coordinate", " ", "system", " ", "used", " ", "Follows"}], " ", 
   "*)"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Assume", " ", "quantization", " ", "axis", " ", "on", " ", "Z"}], 
   " ", "*)"}]}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.7848158997291517`*^9, 3.7848159219015875`*^9}, {
  3.7848160063547964`*^9, 3.784816007667451*^9}},
 ExpressionUUID -> "d6550d01-3937-4090-8a90-461a75dd3d1d"],

Cell[BoxData[
 RowBox[{
  GraphicsBox[
   TagBox[RasterBox[CompressedData["
1:eJzsnQdAFMf+xwVE00xMLyZ5Ly/+U15emtGoMU2Nxphijd1YsCRq7L2LJfYe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     "], {{0, 377}, {954, 0}}, {0, 255},
     ColorFunction->RGBColor],
    BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
    Selectable->False],
   DefaultBaseStyle->"ImageGraphics",
   ImageSize->{795.0909090909079, Automatic},
   ImageSizeRaw->{954, 377},
   PlotRange->{{0, 954}, {0, 377}},
   ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]], ";"}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{3.784816518432972*^9},
 ExpressionUUID -> "6d2adfa1-a756-4458-a5c3-46d0e54c05ca"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Polarization", " ", "of", " ", "light", " ", "decomposition", " ", "For", 
    " ", "example", " ", "Right", " ", "circular", " ", "would", " ", "be", 
    " ", 
    FractionBox[
     RowBox[{"-", "1"}], 
     RowBox[{"\[Sqrt]", "2"}]], 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["\[Epsilon]", "\[Alpha]"], "+", " ", 
      RowBox[{"I", "*", 
       SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], ")"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kvector", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Alpha]"], "=", "  ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", "\[Phi]", "]"}], ",", 
       RowBox[{"-", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", "0"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Beta]"], "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"-", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Spherical", " ", "basis", " ", "for", " ", "the", " ", "unit", " ", 
      "vectors"}], ",", " ", 
     RowBox[{
     "assuming", " ", "quantization", " ", "axis", " ", "on", " ", "Z", " ", 
      "direction"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox["U", "+"], "=", 
     RowBox[{
      RowBox[{"-", " ", 
       FractionBox["1", 
        RowBox[{"\[Sqrt]", "2"}]]}], "*", 
      RowBox[{"{", 
       RowBox[{"1", ",", "I", ",", "0"}], "}"}]}]}], ";", 
    RowBox[{
     SubscriptBox["U", "-"], "=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"\[Sqrt]", "2"}]], "*", 
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"-", "I"}], ",", "0"}], "}"}]}]}], ";", 
    RowBox[{
     SubscriptBox["U", "0"], "=", " ", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Typical", " ", "light", " ", "polarizations"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LightPolarizationCR", "=", " ", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SubscriptBox["\[Epsilon]", "\[Alpha]"], "+", 
        RowBox[{"I", "*", 
         SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], 
       RowBox[{"\[Sqrt]", "2"}]]}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"Circular", " ", "right"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LightPolarizationCL", "=", " ", 
     FractionBox[
      RowBox[{
       SubscriptBox["\[Epsilon]", "\[Alpha]"], "-", 
       RowBox[{"I", "*", 
        SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], 
      RowBox[{"\[Sqrt]", "2"}]]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"Circular", " ", "Left"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LightPolarizationL", "=", " ", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SubscriptBox["\[Epsilon]", "\[Alpha]"], "-", 
        SubscriptBox["\[Epsilon]", "\[Beta]"]}], 
       RowBox[{"\[Sqrt]", "2"}]]}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"Lineal", " ", "45", " ", "degree"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LightPolarizationY", "=", " ", 
       RowBox[{"-", 
        SubscriptBox["\[Epsilon]", "\[Alpha]"]}]}], ";"}], 
     RowBox[{"(*", 
      RowBox[{"Y", " ", "axis"}], " ", "*)"}], ";", 
     RowBox[{"LightPolarizationX", "=", " ", 
      RowBox[{"-", 
       SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], ";"}], 
    RowBox[{"(*", 
     RowBox[{"X", " ", "axis"}], " ", "*)"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.795005671685852*^9, 3.7950057011645384`*^9}, {
  3.804408605228098*^9, 3.804408624033173*^9}, {3.804408966934786*^9, 
  3.8044089672088013`*^9}},
 ExpressionUUID -> "52ba7409-2956-48c5-8c17-134a563bf3f3"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"10.", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"20.", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationCR"}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"pol", " ", "=", " ", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"LightPolarization", ".", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["U", "-"], "]"}]}], " ", ",", 
      RowBox[{"LightPolarization", ".", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["U", "0"], "]"}]}], ",", 
      RowBox[{"LightPolarization", ".", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
     RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], 
    "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPol", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPol"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044088294759235`*^9, 3.8044088301069603`*^9}, {
   3.804408933577878*^9, 3.804408950305835*^9}, {3.8044089809585876`*^9, 
   3.8044090769830804`*^9}, 3.8044114067873373`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "0.0025980272461017862`"}], "+", 
    RowBox[{"0.007138021193792534`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.12278780396897285`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.339422116079567`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.9325545995921158`", " ", "\[ImaginaryI]"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.8044089511698847`*^9, 3.8044089873799553`*^9}, {
   3.8044090533187265`*^9, 3.8044090773741026`*^9}, 3.8044114070913553`*^9, 
   3.814517481374406*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.00759612349389599`", ",", "0.12278780396897285`", ",", 
     "0.9924038765061041`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.00759612349389599, 0.12278780396897285`, 
   0.9924038765061041}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409053333728*^9, 3.8044090773791027`*^9}, 
   3.8044114070983553`*^9, 3.814517481379406*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Application to the SSBEC case", "Subsubsection",
 CellChangeTimes->{{3.78472774766945*^9, 3.784727752293062*^9}, 
   3.784818115542671*^9, {3.8044113684461446`*^9, 3.8044113815838957`*^9}},
 ExpressionUUID -> "a554e5f6-e751-4801-a640-66c03871f646"],

Cell[CellGroupData[{

Cell["Polarizability 3P1 and orientation of the Bfield", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.804411142965248*^9}, {
  3.80441129824813*^9, 3.8044113385044317`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Polarisability at \[Lambda] = \"\>", "\[InvisibleSpace]", 
   "1070.0000000000002`", "\[InvisibleSpace]", "\<\" nm: \"\>", 
   "\[InvisibleSpace]", 
   TagBox[
    TagBox[GridBox[{
       {
        StyleBox["\[Null]",
         ShowStringCharacters->False], 
        TagBox["\<\"mG\"\>",
         HoldForm], 
        TagBox[
         StyleBox["\<\"\[Null]\"\>",
          ShowStringCharacters->False],
         StyleForm[#, ShowStringCharacters -> False]& ], 
        TagBox[
         StyleBox["\<\"\[Null]\"\>",
          ShowStringCharacters->False],
         StyleForm[#, ShowStringCharacters -> False]& ]},
       {
        TagBox["\<\"\\!\\(\\*SuperscriptBox[\\(\[Sigma]\\), \\(-\\)]\\)\"\>",
         HoldForm], "76.13020612399345`", "189.54863819001014`", 
        "227.06173742557797`"},
       {
        TagBox["\<\"\[Pi]\"\>",
         HoldForm], "189.54863819001014`", "113.64330535956125`", 
        "189.54863819001014`"},
       {
        TagBox["\<\"\\!\\(\\*SuperscriptBox[\\(\[Sigma]\\), \\(+\\)]\\)\"\>",
         HoldForm], "227.06173742557797`", "189.54863819001014`", 
        "76.13020612399345`"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxDividers->{
       "Columns" -> {False, True, {False}, False}, "ColumnsIndexed" -> {}, 
        "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[2.0999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
    Function[BoxForm`e$, 
     TableForm[
     BoxForm`e$, 
      TableHeadings -> {{
        "\!\(\*SuperscriptBox[\(\[Sigma]\), \(-\)]\)", "\[Pi]", 
         "\!\(\*SuperscriptBox[\(\[Sigma]\), \(+\)]\)"}, {"mG"}}]]], 
   "\[InvisibleSpace]", "\<\" atomic unit\"\>"}],
  SequenceForm["Polarisability at \[Lambda] = ", 1070.0000000000002`, " nm: ", 
   TableForm[{{76.13020612399345, 189.54863819001014`, 227.06173742557797`}, {
    189.54863819001014`, 113.64330535956125`, 189.54863819001014`}, {
    227.06173742557797`, 189.54863819001014`, 76.13020612399345}}, 
    TableHeadings -> {{
      "\!\(\*SuperscriptBox[\(\[Sigma]\), \(-\)]\)", "\[Pi]", 
       "\!\(\*SuperscriptBox[\(\[Sigma]\), \(+\)]\)"}, {"mG"}}], 
   " atomic unit"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7223605702948856`*^9, 3.7223606601650095`*^9, 3.722360803942258*^9, 
   3.722363884038416*^9, 3.728059793197576*^9, 3.7385584120832872`*^9, 
   3.7385800450062733`*^9, 3.739525298765008*^9, 3.7395259111110325`*^9, 
   3.739525964949112*^9, 3.739526222495843*^9, 3.739526346978963*^9, 
   3.73952716305964*^9, 3.7395274859951105`*^9, 3.7395275368400187`*^9, 
   3.762606972718157*^9, 3.762607140501753*^9, 3.762607895081913*^9, 
   3.769850159467898*^9, 3.7698502183422656`*^9, {3.7844614557190924`*^9, 
   3.7844614806335173`*^9}, 3.794991431113338*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]3P1IPGTab", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"76", ",", "190", ",", "227"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"190", ",", "114", ",", "190"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"227", ",", "190", ",", "76"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Bfield", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0.42", ",", "0.74"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"from", " ", 
    RowBox[{"onenote", ":", "  ", 
     RowBox[{"190508", "-", " ", "SSBEC", " ", "-", " ", 
      RowBox[{
      "SSBEC", " ", "reservoir", " ", "local", " ", "B", " ", "field", " ", 
       "map"}]}]}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BfieldNormed", " ", "=", 
   RowBox[{"Bfield", "/", 
    RowBox[{"Norm", "[", "Bfield", "]"}]}]}], " ", ";"}]}], "Input",
 CellChangeTimes->{{3.804408844202766*^9, 3.8044088745235004`*^9}, {
  3.8044091034285927`*^9, 3.804409108747897*^9}, {3.8044113143010473`*^9, 
  3.8044113179772577`*^9}, {3.8056521129672003`*^9, 3.805652113160211*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Effect of the sheet DT", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.8044110985977097`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"ArcCos", "[", 
    RowBox[{"BfieldNormed", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"0", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationCR"}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pol", " ", "=", " ", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "-"], "]"}]}], " ", ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "0"], "]"}]}], ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
      RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPol", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diff\[Alpha]PolarSheet", " ", "=", " ", 
    RowBox[{"\[Alpha]PolarIPGSr", "-", 
     RowBox[{
      RowBox[{"Norm", "[", 
       RowBox[{"normPol", " ", "*", " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"\[Alpha]3P1IPGTab", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}], "^", "2."}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DepthSheet", " ", "=", " ", 
   RowBox[{"11.384484435042038`", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "ctePlanckOverkB"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diffLightShiftSheet", " ", "=", " ", 
    RowBox[{"DepthSheet", " ", "*", " ", 
     RowBox[{"diff\[Alpha]PolarSheet", "/", "\[Alpha]PolarIPGSr"}]}]}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPol"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Sheet depth on 1S0 at dimple location: \>\"", ",", 
   RowBox[{"DepthSheet", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz which is: \>\"", ",", 
   RowBox[{"DepthSheet", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential polarizability 1S0-3P1 from the sheet on mF=0: \>\"", ",",
    "diff\[Alpha]PolarSheet", ",", "\"\< a.u.\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential light shift on 1S0-3P1 from the sheet on mF=0: \>\"", ",", 
   RowBox[{"diffLightShiftSheet", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044082612934256`*^9, 3.8044083847984896`*^9}, {
   3.8044084172363453`*^9, 3.8044084391265974`*^9}, {3.804408496642887*^9, 
   3.804408563356703*^9}, {3.8044086650335183`*^9, 3.804408665886567*^9}, 
   3.8044087628051105`*^9, {3.8044088334571514`*^9, 3.80440883360816*^9}, {
   3.8044091120900884`*^9, 3.8044091900175457`*^9}, {3.8044092575084057`*^9, 
   3.804409302565983*^9}, {3.804409373810058*^9, 3.8044093974804115`*^9}, {
   3.804409448958356*^9, 3.8044094492753744`*^9}, 3.8044094864124985`*^9, {
   3.8044095860421968`*^9, 3.804409601217065*^9}, {3.8044096990636616`*^9, 
   3.804409702382851*^9}, {3.804409792598011*^9, 3.80440981355321*^9}, {
   3.8044098580337543`*^9, 3.8044098646001296`*^9}, {3.8044098972059946`*^9, 
   3.80440990621751*^9}, {3.8044099367192545`*^9, 3.8044099806397667`*^9}, {
   3.804410018519933*^9, 3.8044103647667375`*^9}, {3.8044104017968554`*^9, 
   3.804410406019097*^9}, {3.8044111922810683`*^9, 3.804411195545255*^9}, {
   3.804415159982008*^9, 3.804415184607416*^9}, 3.8145175260299597`*^9, {
   3.814517574397726*^9, 3.814517579124997*^9}, {3.8145176583525286`*^9, 
   3.814517658594542*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.06515704238190168`", ",", "0.3490318100401301`", ",", 
     "0.9348429576180983`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.06515704238190168, 0.3490318100401301, 0.9348429576180983}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}, 3.8145174961282496`*^9, 
   3.8145175275990496`*^9, 3.814517579393012*^9, 3.8145176591245728`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sheet depth on 1S0 at dimple location: \"\>", 
   "\[InvisibleSpace]", "237.214166088422`", 
   "\[InvisibleSpace]", "\<\" kHz which is: \"\>", "\[InvisibleSpace]", 
   "11.384484435042038`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Sheet depth on 1S0 at dimple location: ", 237.214166088422, 
   " kHz which is: ", 11.384484435042038`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}, 3.8145174961282496`*^9, 
   3.8145175275990496`*^9, 3.814517579393012*^9, 3.8145176591275725`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential polarizability 1S0-3P1 from the sheet on mF=0: \"\
\>", "\[InvisibleSpace]", "53.258563535911605`", 
   "\[InvisibleSpace]", "\<\" a.u.\"\>"}],
  SequenceForm[
  "Differential polarizability 1S0-3P1 from the sheet on mF=0: ", 
   53.258563535911605`, " a.u."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}, 3.8145174961282496`*^9, 
   3.8145175275990496`*^9, 3.814517579393012*^9, 3.814517659130573*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential light shift on 1S0-3P1 from the sheet on mF=0: \"\
\>", "\[InvisibleSpace]", "53.990109983925265`", 
   "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Differential light shift on 1S0-3P1 from the sheet on mF=0: ", 
   53.990109983925265`, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}, 3.8145174961282496`*^9, 
   3.8145175275990496`*^9, 3.814517579393012*^9, 3.814517659133573*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Effect of the vertical DT", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.8044110985977097`*^9}, {
  3.80565200770418*^9, 3.8056520088372445`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"ArcCos", "[", 
    RowBox[{"BfieldNormed", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"0", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationX"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pol", " ", "=", " ", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "-"], "]"}]}], " ", ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "0"], "]"}]}], ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
      RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPol", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diff\[Alpha]PolarVertDT", " ", "=", " ", 
    RowBox[{"\[Alpha]PolarIPGSr", "-", 
     RowBox[{
      RowBox[{"Norm", "[", 
       RowBox[{"normPol", " ", "*", " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"\[Alpha]3P1IPGTab", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}], "^", "2."}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DepthVertDT", " ", "=", " ", 
   RowBox[{"6.010023148769077`", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "ctePlanckOverkB"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diffLightShiftVertDT", " ", "=", " ", 
    RowBox[{"DepthVertDT", " ", "*", " ", 
     RowBox[{"diff\[Alpha]PolarVertDT", "/", "\[Alpha]PolarIPGSr"}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPol"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Sheet depth on 1S0 at dimple location: \>\"", ",", 
   RowBox[{"DepthVertDT", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz which is: \>\"", ",", 
   RowBox[{"DepthVertDT", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential polarizability 1S0-3P1 from the sheet on mF=0: \>\"", ",",
    "diff\[Alpha]PolarVertDT", ",", "\"\< a.u.\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential light shift on 1S0-3P1 from the sheet on mF=0: \>\"", ",", 
   RowBox[{"diffLightShiftVertDT", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044082612934256`*^9, 3.8044083847984896`*^9}, {
   3.8044084172363453`*^9, 3.8044084391265974`*^9}, {3.804408496642887*^9, 
   3.804408563356703*^9}, {3.8044086650335183`*^9, 3.804408665886567*^9}, 
   3.8044087628051105`*^9, {3.8044088334571514`*^9, 3.80440883360816*^9}, {
   3.8044091120900884`*^9, 3.8044091900175457`*^9}, {3.8044092575084057`*^9, 
   3.804409302565983*^9}, {3.804409373810058*^9, 3.8044093974804115`*^9}, {
   3.804409448958356*^9, 3.8044094492753744`*^9}, 3.8044094864124985`*^9, {
   3.8044095860421968`*^9, 3.804409601217065*^9}, {3.8044096990636616`*^9, 
   3.804409702382851*^9}, {3.804409792598011*^9, 3.80440981355321*^9}, {
   3.8044098580337543`*^9, 3.8044098646001296`*^9}, {3.8044098972059946`*^9, 
   3.80440990621751*^9}, {3.8044099367192545`*^9, 3.8044099806397667`*^9}, {
   3.804410018519933*^9, 3.8044103647667375`*^9}, {3.8044104017968554`*^9, 
   3.804410406019097*^9}, {3.8044111922810683`*^9, 3.804411195545255*^9}, {
   3.804415159982008*^9, 3.804415184607416*^9}, {3.805652011606403*^9, 
   3.8056520121354327`*^9}, {3.80565208534562*^9, 3.8056520855556326`*^9}, {
   3.805652139954744*^9, 3.8056521904826336`*^9}, {3.805652233091071*^9, 
   3.8056522334410906`*^9}, {3.805652270069186*^9, 3.805652281046814*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.34903181004013006`", ",", "0.8696859152361966`", ",", 
     "0.34903181004013006`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.34903181004013006`, 0.8696859152361966, 
   0.34903181004013006`}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}, {3.805652088122779*^9, 
   3.8056521152653313`*^9}, {3.805652180137042*^9, 3.805652191169673*^9}, 
   3.805652234138131*^9, {3.8056522713572598`*^9, 3.805652281412835*^9}, {
   3.8056533900362444`*^9, 3.8056533976856823`*^9}, {3.8145175012215405`*^9, 
   3.8145175304072104`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sheet depth on 1S0 at dimple location: \"\>", 
   "\[InvisibleSpace]", "125.22856327328311`", 
   "\[InvisibleSpace]", "\<\" kHz which is: \"\>", "\[InvisibleSpace]", 
   "6.0100231487690765`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Sheet depth on 1S0 at dimple location: ", 125.22856327328311`, 
   " kHz which is: ", 6.0100231487690765`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}, {3.805652088122779*^9, 
   3.8056521152653313`*^9}, {3.805652180137042*^9, 3.805652191169673*^9}, 
   3.805652234138131*^9, {3.8056522713572598`*^9, 3.805652281412835*^9}, {
   3.8056533900362444`*^9, 3.8056533976856823`*^9}, {3.8145175012215405`*^9, 
   3.8145175304102106`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential polarizability 1S0-3P1 from the sheet on mF=0: \"\
\>", "\[InvisibleSpace]", "101.48287292817679`", 
   "\[InvisibleSpace]", "\<\" a.u.\"\>"}],
  SequenceForm[
  "Differential polarizability 1S0-3P1 from the sheet on mF=0: ", 
   101.48287292817679`, " a.u."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}, {3.805652088122779*^9, 
   3.8056521152653313`*^9}, {3.805652180137042*^9, 3.805652191169673*^9}, 
   3.805652234138131*^9, {3.8056522713572598`*^9, 3.805652281412835*^9}, {
   3.8056533900362444`*^9, 3.8056533976856823`*^9}, {3.8145175012215405`*^9, 
   3.814517530413211*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential light shift on 1S0-3P1 from the sheet on mF=0: \"\
\>", "\[InvisibleSpace]", "54.31006142581513`", 
   "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Differential light shift on 1S0-3P1 from the sheet on mF=0: ", 
   54.31006142581513, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.804409130759156*^9, 3.804409156824647*^9}, 
   3.80440919078459*^9, {3.8044092578404245`*^9, 3.804409302927004*^9}, {
   3.804409374780113*^9, 3.8044093978454328`*^9}, 3.804409449713399*^9, 
   3.8044094866755133`*^9, {3.804409587685291*^9, 3.804409601955107*^9}, 
   3.8044097029768853`*^9, {3.804409801165501*^9, 3.804409813943232*^9}, {
   3.804409858595786*^9, 3.804409864818142*^9}, {3.8044099023632894`*^9, 
   3.804409906936551*^9}, {3.8044099378543196`*^9, 3.804409980964785*^9}, {
   3.8044100264943895`*^9, 3.8044100966994047`*^9}, {3.8044101278301854`*^9, 
   3.8044101401518903`*^9}, {3.804410204964597*^9, 3.8044102090518312`*^9}, {
   3.8044102678571944`*^9, 3.804410275252618*^9}, 3.8044103100306067`*^9, {
   3.804410345288623*^9, 3.8044103651717606`*^9}, {3.804411180310384*^9, 
   3.8044111962362947`*^9}, 3.8044113456118383`*^9, 3.8044141989680414`*^9, {
   3.804415161271082*^9, 3.804415184898433*^9}, {3.805652088122779*^9, 
   3.8056521152653313`*^9}, {3.805652180137042*^9, 3.805652191169673*^9}, 
   3.805652234138131*^9, {3.8056522713572598`*^9, 3.805652281412835*^9}, {
   3.8056533900362444`*^9, 3.8056533976856823`*^9}, {3.8145175012215405`*^9, 
   3.8145175304152107`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Effect of the transport DT", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.8044111080262494`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"ArcCos", "[", 
    RowBox[{"BfieldNormed", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"0", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationX"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pol", " ", "=", " ", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "-"], "]"}]}], " ", ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "0"], "]"}]}], ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
      RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPol", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diff\[Alpha]PolarTransp", " ", "=", " ", 
    RowBox[{"\[Alpha]PolarIPGSr", "-", 
     RowBox[{
      RowBox[{"Norm", "[", 
       RowBox[{"normPol", " ", "*", " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"\[Alpha]3P1IPGTab", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}], "^", "2."}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DepthTransp", " ", "=", 
   RowBox[{"0.045476998995589886`", "*", 
    RowBox[{
     RowBox[{"kB", "/", "ctePlanck"}], "/", 
     RowBox[{"10", "^", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diffLightShiftTransp", " ", "=", " ", 
    RowBox[{"DepthTransp", " ", "*", " ", 
     RowBox[{"diff\[Alpha]PolarTransp", "/", "\[Alpha]PolarIPGSr"}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPol"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Transport depth on 1S0 at the position of the dimple: \>\"", ",", 
   RowBox[{"DepthTransp", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz which is: \>\"", ",", 
   RowBox[{"DepthTransp", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential polarizability 1S0-3P1 from the transport DT on mF=0: \
\>\"", ",", "diff\[Alpha]PolarTransp", ",", "\"\< a.u.\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential light shift on 1S0-3P1 from the transport DT on mF=0: \
\>\"", ",", 
   RowBox[{"diffLightShiftTransp", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044082612934256`*^9, 3.8044083847984896`*^9}, {
   3.8044084172363453`*^9, 3.8044084391265974`*^9}, {3.804408496642887*^9, 
   3.804408563356703*^9}, {3.8044086650335183`*^9, 3.804408665886567*^9}, 
   3.8044087628051105`*^9, {3.8044088334571514`*^9, 3.80440883360816*^9}, {
   3.8044091120900884`*^9, 3.8044091900175457`*^9}, {3.8044092575084057`*^9, 
   3.804409302565983*^9}, {3.804409373810058*^9, 3.8044093974804115`*^9}, {
   3.804409448958356*^9, 3.8044094492753744`*^9}, 3.8044094864124985`*^9, {
   3.8044095860421968`*^9, 3.804409601217065*^9}, {3.8044096990636616`*^9, 
   3.804409702382851*^9}, {3.804409792598011*^9, 3.80440981355321*^9}, {
   3.8044098580337543`*^9, 3.8044098646001296`*^9}, {3.8044098972059946`*^9, 
   3.80440990621751*^9}, {3.8044099367192545`*^9, 3.8044099806397667`*^9}, {
   3.804410018519933*^9, 3.8044103647667375`*^9}, {3.804410410636361*^9, 
   3.8044104330616436`*^9}, {3.8044106312079773`*^9, 3.804410753591977*^9}, {
   3.8044108143234506`*^9, 3.8044108297133307`*^9}, {3.804410884366457*^9, 
   3.804410884755479*^9}, {3.804411026070562*^9, 3.8044110538101482`*^9}, {
   3.804413470604381*^9, 3.8044134765937233`*^9}, {3.804414057645958*^9, 
   3.804414061824197*^9}, 3.8044151685234966`*^9, {3.8145188079392805`*^9, 
   3.8145188235091715`*^9}, {3.814519115314862*^9, 3.814519115938897*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.6149608081659436`", ",", "0.4936055194583818`", ",", 
     "0.6149608081659436`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.6149608081659436, 0.4936055194583818, 0.6149608081659436}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, {3.8044151695575557`*^9, 
   3.8044151894536934`*^9}, 3.814517534862465*^9, 3.814518825668295*^9, 
   3.8145191166549387`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Transport depth on 1S0 at the position of the dimple: \"\>", 
   "\[InvisibleSpace]", "0.9475869069430568`", 
   "\[InvisibleSpace]", "\<\" kHz which is: \"\>", "\[InvisibleSpace]", 
   "0.045476998995589886`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Transport depth on 1S0 at the position of the dimple: ", 
   0.9475869069430568, " kHz which is: ", 0.045476998995589886`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, {3.8044151695575557`*^9, 
   3.8044151894536934`*^9}, 3.814517534862465*^9, 3.814518825668295*^9, 
   3.8145191166589384`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential polarizability 1S0-3P1 from the transport DT on \
mF=0: \"\>", "\[InvisibleSpace]", "62.51712707182324`", 
   "\[InvisibleSpace]", "\<\" a.u.\"\>"}],
  SequenceForm[
  "Differential polarizability 1S0-3P1 from the transport DT on mF=0: ", 
   62.51712707182324, " a.u."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, {3.8044151695575557`*^9, 
   3.8044151894536934`*^9}, 3.814517534862465*^9, 3.814518825668295*^9, 
   3.8145191166619387`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential light shift on 1S0-3P1 from the transport DT on \
mF=0: \"\>", "\[InvisibleSpace]", "0.2531641498844232`", 
   "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Differential light shift on 1S0-3P1 from the transport DT on mF=0: ", 
   0.2531641498844232, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, {3.8044151695575557`*^9, 
   3.8044151894536934`*^9}, 3.814517534862465*^9, 3.814518825668295*^9, 
   3.814519116664939*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"ArcCos", "[", 
    RowBox[{"BfieldNormed", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"0", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationX"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pol", " ", "=", " ", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "-"], "]"}]}], " ", ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "0"], "]"}]}], ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
      RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPol", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diff\[Alpha]PolarTransp", " ", "=", " ", 
    RowBox[{"\[Alpha]PolarIPGSr", "-", 
     RowBox[{
      RowBox[{"Norm", "[", 
       RowBox[{"normPol", " ", "*", " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"\[Alpha]3P1IPGTab", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}], "^", "2."}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DepthTransp", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"41.17493731036334`", "+", "4.010301634259455`"}], ")"}], "*", 
    RowBox[{
     RowBox[{"kB", "/", "ctePlanck"}], "/", 
     RowBox[{"10", "^", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"diffLightShiftTransp", " ", "=", " ", 
    RowBox[{"DepthTransp", " ", "*", " ", 
     RowBox[{"diff\[Alpha]PolarTransp", "/", "\[Alpha]PolarIPGSr"}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPol"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Transport depth on 1S0 inside the transport guide: \>\"", ",", 
   RowBox[{"DepthTransp", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz which is: \>\"", ",", 
   RowBox[{"DepthTransp", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential polarizability 1S0-3P1 from the transport DT on mF=0: \
\>\"", ",", "diff\[Alpha]PolarTransp", ",", "\"\< a.u.\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Differential light shift on 1S0-3P1 from the transport DT on mF=0: \
\>\"", ",", 
   RowBox[{"diffLightShiftTransp", "/", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< kHz\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044082612934256`*^9, 3.8044083847984896`*^9}, {
   3.8044084172363453`*^9, 3.8044084391265974`*^9}, {3.804408496642887*^9, 
   3.804408563356703*^9}, {3.8044086650335183`*^9, 3.804408665886567*^9}, 
   3.8044087628051105`*^9, {3.8044088334571514`*^9, 3.80440883360816*^9}, {
   3.8044091120900884`*^9, 3.8044091900175457`*^9}, {3.8044092575084057`*^9, 
   3.804409302565983*^9}, {3.804409373810058*^9, 3.8044093974804115`*^9}, {
   3.804409448958356*^9, 3.8044094492753744`*^9}, 3.8044094864124985`*^9, {
   3.8044095860421968`*^9, 3.804409601217065*^9}, {3.8044096990636616`*^9, 
   3.804409702382851*^9}, {3.804409792598011*^9, 3.80440981355321*^9}, {
   3.8044098580337543`*^9, 3.8044098646001296`*^9}, {3.8044098972059946`*^9, 
   3.80440990621751*^9}, {3.8044099367192545`*^9, 3.8044099806397667`*^9}, {
   3.804410018519933*^9, 3.8044103647667375`*^9}, {3.804410410636361*^9, 
   3.8044104330616436`*^9}, {3.8044106312079773`*^9, 3.804410753591977*^9}, {
   3.8044108143234506`*^9, 3.8044108297133307`*^9}, {3.804410884366457*^9, 
   3.804410884755479*^9}, {3.804411026070562*^9, 3.8044110538101482`*^9}, {
   3.804413470604381*^9, 3.8044134765937233`*^9}, {3.804414057645958*^9, 
   3.804414061824197*^9}, {3.804414496953085*^9, 3.804414504486516*^9}, {
   3.8044145691682158`*^9, 3.804414570753306*^9}, 3.8044151940859585`*^9, {
   3.8145183649379425`*^9, 3.8145183734264283`*^9}, 3.8145189195066624`*^9, {
   3.8145189661583304`*^9, 3.814518966868371*^9}, {3.814519090685453*^9, 
   3.8145190986489086`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.6149608081659436`", ",", "0.4936055194583818`", ",", 
     "0.6149608081659436`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.6149608081659436, 0.4936055194583818, 0.6149608081659436}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, 3.804414571448346*^9, 
   3.804415196434093*^9, {3.8145183711072955`*^9, 3.814518373797449*^9}, 
   3.814518921777792*^9, 3.814518967463405*^9, {3.814519092487556*^9, 
   3.814519099497957*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Transport depth on 1S0 inside the transport guide: \"\>", 
   "\[InvisibleSpace]", "941.5076138856529`", 
   "\[InvisibleSpace]", "\<\" kHz which is: \"\>", "\[InvisibleSpace]", 
   "45.18523894462279`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Transport depth on 1S0 inside the transport guide: ", 941.5076138856529, 
   " kHz which is: ", 45.18523894462279, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, 3.804414571448346*^9, 
   3.804415196434093*^9, {3.8145183711072955`*^9, 3.814518373797449*^9}, 
   3.814518921777792*^9, 3.814518967463405*^9, {3.814519092487556*^9, 
   3.814519099501957*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential polarizability 1S0-3P1 from the transport DT on \
mF=0: \"\>", "\[InvisibleSpace]", "62.51712707182324`", 
   "\[InvisibleSpace]", "\<\" a.u.\"\>"}],
  SequenceForm[
  "Differential polarizability 1S0-3P1 from the transport DT on mF=0: ", 
   62.51712707182324, " a.u."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, 3.804414571448346*^9, 
   3.804415196434093*^9, {3.8145183711072955`*^9, 3.814518373797449*^9}, 
   3.814518921777792*^9, 3.814518967463405*^9, {3.814519092487556*^9, 
   3.8145190995039577`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Differential light shift on 1S0-3P1 from the transport DT on \
mF=0: \"\>", "\[InvisibleSpace]", "251.53996212127544`", 
   "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Differential light shift on 1S0-3P1 from the transport DT on mF=0: ", 
   251.53996212127544`, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044106793707314`*^9, 3.8044107542010117`*^9}, {
   3.804410816156555*^9, 3.804410830771391*^9}, 3.8044108850064936`*^9, {
   3.8044110270616183`*^9, 3.804411054163169*^9}, 3.8044113486000094`*^9, 
   3.8044134781808147`*^9, 3.8044141933347187`*^9, 3.804414571448346*^9, 
   3.804415196434093*^9, {3.8145183711072955`*^9, 3.814518373797449*^9}, 
   3.814518921777792*^9, 3.814518967463405*^9, {3.814519092487556*^9, 
   3.8145190995069575`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Effect of the vertical transparency", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.8044111080262494`*^9}, {
  3.804414670342002*^9, 3.804414677282399*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"ArcCos", "[", 
    RowBox[{"BfieldNormed", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"0", "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationCL"}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pol", " ", "=", " ", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "-"], "]"}]}], " ", ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "0"], "]"}]}], ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
      RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPol", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPol"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044082612934256`*^9, 3.8044083847984896`*^9}, {
   3.8044084172363453`*^9, 3.8044084391265974`*^9}, {3.804408496642887*^9, 
   3.804408563356703*^9}, {3.8044086650335183`*^9, 3.804408665886567*^9}, 
   3.8044087628051105`*^9, {3.8044088334571514`*^9, 3.80440883360816*^9}, {
   3.8044091120900884`*^9, 3.8044091900175457`*^9}, {3.8044092575084057`*^9, 
   3.804409302565983*^9}, {3.804409373810058*^9, 3.8044093974804115`*^9}, {
   3.804409448958356*^9, 3.8044094492753744`*^9}, 3.8044094864124985`*^9, {
   3.8044095860421968`*^9, 3.804409601217065*^9}, {3.8044096990636616`*^9, 
   3.804409702382851*^9}, {3.804409792598011*^9, 3.80440981355321*^9}, {
   3.8044098580337543`*^9, 3.8044098646001296`*^9}, {3.8044098972059946`*^9, 
   3.80440990621751*^9}, {3.8044099367192545`*^9, 3.8044099806397667`*^9}, {
   3.804410018519933*^9, 3.8044103647667375`*^9}, {3.804410410636361*^9, 
   3.8044104330616436`*^9}, {3.8044106312079773`*^9, 3.804410753591977*^9}, {
   3.8044108143234506`*^9, 3.8044108297133307`*^9}, {3.804410884366457*^9, 
   3.804410884755479*^9}, {3.804411026070562*^9, 3.8044110538101482`*^9}, {
   3.804413470604381*^9, 3.8044134765937233`*^9}, {3.804414057645958*^9, 
   3.804414061824197*^9}, {3.8044147025278435`*^9, 3.8044147028548617`*^9}, {
   3.8044147701537113`*^9, 3.804414774910983*^9}, {3.8044148618989587`*^9, 
   3.8044148622769804`*^9}, {3.804415208774799*^9, 3.8044152359053507`*^9}, {
   3.804415528424082*^9, 3.8044155832672186`*^9}, {3.804415621245391*^9, 
   3.804415662960777*^9}, {3.804415878989133*^9, 3.804415942648774*^9}, 
   3.804416260459952*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.7468027597291909`", ",", "0.6149608081659436`", ",", 
     "0.25319724027080914`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.7468027597291909, 0.6149608081659436, 0.25319724027080914`}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044159262698374`*^9, 3.804415929351013*^9}, {
  3.8044162558326874`*^9, 3.8044162607839704`*^9}}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["DT parameters", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 3.6822405592526093`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipIPG", " ", "=", " ", 
    RowBox[{"1070", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipTransparency", " ", "=", " ", 
    RowBox[{"688.", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Polar688Sr", " ", "=", " \[InvisibleSpace]", "343."}], 
   ";"}], "\[InvisibleSpace] ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mAssSr", " ", "=", "  ", 
    RowBox[{"mSr84", "/", "au"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "au"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Spatial", " ", "coordinates", " ", "where", " ", "we", " ", "want", " ", 
    "to", " ", "look", " ", "at", " ", "properties"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xOffset", " ", "=", " ", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yOffset", " ", "=", 
    RowBox[{"0.", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zOffset", " ", "=", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"powDimpleFun", "[", "Att_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"0.0383", "*", 
       RowBox[{"Att", "^", "3"}]}], "+", 
      RowBox[{"3.0901", 
       RowBox[{"Att", "^", "2"}]}], "+", 
      RowBox[{"82.973", "Att"}], "+", "747.63"}], ")"}], "/", "1000."}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"powSheetFun", "[", "Att_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.000736"}], "*", 
        RowBox[{"Att", "^", "5"}]}], "-", 
       RowBox[{"0.068407", "*", 
        RowBox[{"Att", "^", "4"}]}], "-", 
       RowBox[{"2.264870", "*", 
        RowBox[{"Att", "^", "3"}]}], "-", 
       RowBox[{"29.112936", "*", 
        RowBox[{"Att", "^", "2"}]}], "-", 
       RowBox[{"37.638786", "*", "Att"}], "+", "1419.847969"}], ")"}], "/", 
     "1000."}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AngleTranpSheet", " ", "=", "6."}], ";"}], "\[IndentingNewLine]", 
  "\n", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"transport", ",", " ", 
     RowBox[{"transport", " ", "retro"}], ",", " ", "sheet", ",", " ", 
     "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}]}], "}"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerTab", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1.", "*", "10.4"}], ",", 
     RowBox[{"1.", "*", "8.66", " ", "*", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"120.", "/", "184."}], ")"}], "^", "2."}], " ", "*", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"120.", "-", "87."}], ")"}], "/", "120."}]}], " ", ",", 
     RowBox[{"1.", "*", 
      RowBox[{"powSheetFun", "[", 
       RowBox[{"-", "9.7"}], "]"}], "*", "0.95"}], ",", 
     RowBox[{"1.", "*", 
      RowBox[{"powDimpleFun", "[", 
       RowBox[{"-", "12"}], "]"}]}], ",", 
     RowBox[{"1.", "*", 
      RowBox[{"(", 
       RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}]}], "}"}]}], 
  ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "W", " ", 
     RowBox[{"for", " ", "@", "DT"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "9.7"}], ",", 
       RowBox[{"-", "3.9"}], ",", 
       RowBox[{"-", "12"}]}], ")"}]}], "  ", "=", 
    RowBox[{">", " ", 
     RowBox[{"SSBEC", " ", "main", " ", "data", " ", "set", " ", "  ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0.575", "*", "0.95"}], ",", 
        RowBox[{"0.145", "*", "0.95"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
        RowBox[{"0", "*", "10.4"}]}], "}"}]}]}]}], " ", "*)"}], " ", 
  "\[IndentingNewLine]", 
  RowBox[{"MsquaredTab", " ", "=", 
   RowBox[{"{", 
    RowBox[{"1.22", ",", "1.22", ",", "1.6", ",", "1.", ",", "1."}], "}"}]}], 
  ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"WaistXTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"92.", ",", "92.", ",", "14.5", ",", "27.", ",", "23."}], "}"}], 
    "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"WaistYTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"92.", ",", "92.", ",", "110.", ",", "27.", ",", "23."}], "}"}], 
    "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Theta]Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"90.", ",", "90.", ",", "90.", ",", "0.", ",", "0."}], "}"}], 
    "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Phi]Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "AngleTranpSheet", ",", "AngleTranpSheet", ",", "0.", ",", "90.", ",", 
      "90."}], "}"}], "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"X0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "37."}], "*", 
        RowBox[{"Sin", "[", 
         RowBox[{"AngleTranpSheet", "*", 
          RowBox[{"Pi", "/", "180."}]}], "]"}]}], "+", "0.2"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2."}], "*", 
        RowBox[{"Sin", "[", 
         RowBox[{"AngleTranpSheet", "*", 
          RowBox[{"Pi", "/", "180."}]}], "]"}]}], "+", "0.2"}], ",", "0.", 
      ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Y0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Z0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "37."}], "*", 
       RowBox[{"Cos", "[", 
        RowBox[{"AngleTranpSheet", "*", 
         RowBox[{"Pi", "/", "180."}]}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"-", "2."}], "*", 
       RowBox[{"Cos", "[", 
        RowBox[{"AngleTranpSheet", "*", 
         RowBox[{"Pi", "/", "180."}]}], "]"}]}], ",", "0.", ",", "0.", ",", 
      "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Lambda]Tab", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
     "\[Lambda]DipIPG", ",", "\[Lambda]DipTransparency"}], "}"}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Alpha]Tab", " ", "=", 
   RowBox[{"{", 
    RowBox[{
    "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
     "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
     "\[Alpha]Polar688Sr"}], "}"}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"atomic", " ", "unit"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"{", 
     RowBox[{"transport", ",", " ", 
      RowBox[{"transport", " ", "retro"}], ",", " ", "sheet", ",", " ", 
      "dimple", ",", " ", 
      RowBox[{"transparency", " ", "vert"}]}], "}"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0.", "*", "10.4"}], ",", 
       RowBox[{"0.", "*", "8.66", " ", "*", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"120.", "/", "184."}], ")"}], "^", "2."}], " ", "*", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"120.", "-", "87."}], ")"}], "/", "120."}]}], " ", ",", 
       RowBox[{
        RowBox[{"powSheetFun", "[", 
         RowBox[{"-", "9.1"}], "]"}], "*", "0.95"}], ",", 
       RowBox[{"1", "*", 
        RowBox[{"powDimpleFun", "[", 
         RowBox[{"-", "11.5"}], "]"}]}], ",", 
       RowBox[{"1", "*", 
        RowBox[{"(", 
         RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}]}], "}"}]}],
     ";", "   ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "W", " ", 
      RowBox[{"for", " ", "@", "DT"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "9.1"}], ",", 
        RowBox[{"-", "4"}], ",", 
        RowBox[{"-", "11.5"}]}], ")"}]}], " ", "*)"}], " ", 
    "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.22", ",", "1.22", ",", "1.6", ",", "1.", ",", "1."}], 
      "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"92.", ",", "92.", ",", "14.5", ",", "27.", ",", "23."}], 
       "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"92.", ",", "92.", ",", "110.", ",", "27.", ",", "23."}], 
       "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "90.", ",", "90.", ",", "0.", ",", "0."}], "}"}], 
      "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "AngleTranpSheet", ",", "AngleTranpSheet", ",", "0.", ",", "90.", ",", 
        "90."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "37."}], "*", 
          RowBox[{"Sin", "[", 
           RowBox[{"AngleTranpSheet", "*", 
            RowBox[{"Pi", "/", "180."}]}], "]"}]}], "+", "0.2"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2."}], "*", 
          RowBox[{"Sin", "[", 
           RowBox[{"AngleTranpSheet", "*", 
            RowBox[{"Pi", "/", "180."}]}], "]"}]}], "+", "0.2"}], ",", "0.", 
        ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "37."}], "*", 
         RowBox[{"Cos", "[", 
          RowBox[{"AngleTranpSheet", "*", 
           RowBox[{"Pi", "/", "180."}]}], "]"}]}], ",", 
        RowBox[{
         RowBox[{"-", "2."}], "*", 
         RowBox[{"Cos", "[", 
          RowBox[{"AngleTranpSheet", "*", 
           RowBox[{"Pi", "/", "180."}]}], "]"}]}], ",", "0.", ",", "0.", ",", 
        "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipIPG", ",", "\[Lambda]DipTransparency"}], "}"}]}], ";", 
    " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr"}], "}"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"atomic", " ", "unit"}], " ", "*)"}], "\[IndentingNewLine]", 
   "*)"}], "\n", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Power: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.719734073769492*^9, 3.7197341228395596`*^9}, {3.7197341865133104`*^9, 
   3.7197342789691334`*^9}, {3.7197343148477635`*^9, 3.719734336700366*^9}, {
   3.7197343764349933`*^9, 3.7197344120350423`*^9}, {3.7197344514142857`*^9, 
   3.71973448305433*^9}, {3.7197361695534525`*^9, 3.71973652993395*^9}, {
   3.7197367287202907`*^9, 3.719736825700424*^9}, {3.719736863871477*^9, 
   3.7197368791314983`*^9}, {3.7197369247040195`*^9, 
   3.7197370245241575`*^9}, {3.719737184228448*^9, 3.7197371935384607`*^9}, {
   3.7197372908300533`*^9, 3.719737365114664*^9}, {3.719737398126776*^9, 
   3.7197374618533916`*^9}, {3.719737517591997*^9, 3.7197375178019977`*^9}, {
   3.719737585322091*^9, 3.7197376399442005`*^9}, {3.7197376841172633`*^9, 
   3.7197376898272715`*^9}, {3.7197377431993933`*^9, 3.719737889667735*^9}, {
   3.719737927819822*^9, 3.7197379435098433`*^9}, {3.7197380047919617`*^9, 
   3.7197380477640553`*^9}, {3.719738224646333*^9, 3.719738225226334*^9}, {
   3.719739819974985*^9, 3.7197398206549854`*^9}, {3.719739887487097*^9, 
   3.7197398877670975`*^9}, {3.7197400449833655`*^9, 3.719740045333366*^9}, {
   3.719740312335746*^9, 3.719740312475746*^9}, {3.7197403835278645`*^9, 
   3.7197403850878663`*^9}, {3.719821996481608*^9, 3.719822001997924*^9}, {
   3.7198220621013613`*^9, 3.7198220657915726`*^9}, {3.719822105493843*^9, 
   3.719822109667082*^9}, {3.719822161757061*^9, 3.719822166407327*^9}, {
   3.719822208055709*^9, 3.7198222117679214`*^9}, {3.7198237503968167`*^9, 
   3.7198237509768176`*^9}, {3.7198237831788635`*^9, 
   3.7198237898588724`*^9}, {3.7198239502711134`*^9, 
   3.7198239509111147`*^9}, {3.7198241242633643`*^9, 3.719824153265425*^9}, {
   3.719824211517519*^9, 3.719824252869594*^9}, {3.7198242873516583`*^9, 
   3.7198243196737204`*^9}, {3.719837823583614*^9, 3.7198378987177553`*^9}, {
   3.7198379468598375`*^9, 3.719837947929839*^9}, {3.719837995351921*^9, 
   3.719837996601923*^9}, {3.7198380967420607`*^9, 3.7198380970420613`*^9}, {
   3.7198382877323246`*^9, 3.719838289962328*^9}, {3.7198384641025677`*^9, 
   3.7198384643025684`*^9}, {3.719838531044673*^9, 3.719838531554674*^9}, {
   3.719838619129826*^9, 3.719838619309826*^9}, 3.719838684291926*^9, 
   3.7198387330140142`*^9, {3.7198387736260843`*^9, 3.719838774556086*^9}, {
   3.7198388554882135`*^9, 3.7198388563582144`*^9}, {3.719838902520297*^9, 
   3.7198389032202983`*^9}, {3.719838986942433*^9, 3.719838987212433*^9}, {
   3.7198391303526306`*^9, 3.719839131262632*^9}, {3.719840417788425*^9, 
   3.71984049419853*^9}, {3.7198406187707143`*^9, 3.719840619910716*^9}, {
   3.719905054109453*^9, 3.7199050737994804`*^9}, {3.7199060923484554`*^9, 
   3.719906100058466*^9}, {3.7199061624505644`*^9, 3.719906163720566*^9}, {
   3.719906196412629*^9, 3.719906197752631*^9}, {3.7199063525548563`*^9, 
   3.7199063530148563`*^9}, {3.7199064525380077`*^9, 3.719906462448022*^9}, {
   3.719922144132188*^9, 3.7199221493821955`*^9}, {3.7199221815242577`*^9, 
   3.7199222077563066`*^9}, {3.7199222404183645`*^9, 
   3.7199222409083652`*^9}, {3.7199223100624876`*^9, 3.719922310582488*^9}, {
   3.719922357614565*^9, 3.7199223578045654`*^9}, {3.71992239366663*^9, 
   3.71992239405663*^9}, {3.7199224355186987`*^9, 3.7199224358386993`*^9}, {
   3.719922469890757*^9, 3.7199224707307587`*^9}, {3.719922530632856*^9, 
   3.7199225322328587`*^9}, {3.7201606252342777`*^9, 3.720160628840484*^9}, {
   3.7201730442847676`*^9, 3.7201730451358166`*^9}, {3.720173190240116*^9, 
   3.7201731993096347`*^9}, {3.720173247575395*^9, 3.7201732477894077`*^9}, 
   3.720173285526566*^9, {3.720173320860587*^9, 3.7201733234547353`*^9}, {
   3.720173364994111*^9, 3.7201733672892427`*^9}, {3.7201734215763474`*^9, 
   3.720173427280674*^9}, {3.720173470132125*^9, 3.720173472943286*^9}, {
   3.720173566256623*^9, 3.72017356655764*^9}, {3.720173683311318*^9, 
   3.720173684201369*^9}, 3.7201741942425413`*^9, {3.7201742531269093`*^9, 
   3.720174253699942*^9}, {3.7201742940902524`*^9, 3.72017431712457*^9}, {
   3.7201758083938656`*^9, 3.7201758099729557`*^9}, {3.720180328271388*^9, 
   3.720180328585406*^9}, {3.7201806002729454`*^9, 3.7201806007049704`*^9}, 
   3.72018140949223*^9, {3.720181724486247*^9, 3.720181724597253*^9}, 
   3.7201818653313026`*^9, {3.7201821144325504`*^9, 3.7201821148715754`*^9}, {
   3.7201822608799267`*^9, 3.7201822611589427`*^9}, 3.720182378003626*^9, {
   3.72018247808335*^9, 3.720182478925398*^9}, {3.720182547301309*^9, 
   3.720182547962347*^9}, 3.720182654228425*^9, {3.7201828061421137`*^9, 
   3.720182807422187*^9}, {3.720183360003793*^9, 3.7201833604458184`*^9}, {
   3.720183414743924*^9, 3.7201834150529413`*^9}, {3.7201848613202066`*^9, 
   3.7201849357254624`*^9}, {3.72018496715226*^9, 3.720184976040768*^9}, {
   3.72018500649151*^9, 3.7201850570264006`*^9}, {3.7201850970656905`*^9, 
   3.7201850989948006`*^9}, {3.7201851572601333`*^9, 3.720185159441258*^9}, {
   3.7201852260940704`*^9, 3.720185226629101*^9}, {3.7201852616201024`*^9, 
   3.7201852635282116`*^9}, {3.720185341325661*^9, 3.7201853751045933`*^9}, {
   3.7201854524520173`*^9, 3.720185456458246*^9}, {3.720185852238884*^9, 
   3.720185854181995*^9}, {3.720185884528731*^9, 3.720185890064047*^9}, {
   3.720185981268264*^9, 3.720185981762292*^9}, {3.720186411158852*^9, 
   3.7201864115118723`*^9}, {3.7201865075153637`*^9, 3.720186526702461*^9}, {
   3.7201866649373674`*^9, 3.720186735660413*^9}, {3.720186917196796*^9, 
   3.720186919614934*^9}, {3.720186951679768*^9, 3.7201870534245872`*^9}, {
   3.720187088828613*^9, 3.720187102890417*^9}, {3.720187190237413*^9, 
   3.7201872672848196`*^9}, {3.7201873194828053`*^9, 
   3.7201873362667656`*^9}, {3.7201873976742773`*^9, 
   3.7201874140382137`*^9}, {3.720187462436982*^9, 3.7201874646341076`*^9}, {
   3.720187511310777*^9, 3.7201875163470654`*^9}, {3.7201876386170588`*^9, 
   3.7201876576211457`*^9}, {3.7201876933631897`*^9, 
   3.7201876984614816`*^9}, {3.720187743972085*^9, 3.72018774475513*^9}, {
   3.7201879895351305`*^9, 3.720187997171567*^9}, {3.720188283798961*^9, 
   3.72018833972616*^9}, {3.7201886960805426`*^9, 3.720188729831473*^9}, {
   3.7201900034323187`*^9, 3.7201900099566917`*^9}, {3.72024544489887*^9, 
   3.7202454753026094`*^9}, {3.7202455655027685`*^9, 
   3.7202455680619144`*^9}, {3.7202456150726037`*^9, 
   3.7202456155406303`*^9}, {3.720245658944113*^9, 3.72024566379139*^9}, {
   3.7202456939011126`*^9, 3.720245694157127*^9}, {3.720245886740142*^9, 
   3.720245888816261*^9}, {3.720245952024876*^9, 3.7202459609863887`*^9}, {
   3.7202462358368483`*^9, 3.7202462416468563`*^9}, {3.7202462956109676`*^9, 
   3.720246298710972*^9}, {3.720246406543135*^9, 3.72024641008314*^9}, 
   3.720246643135479*^9, {3.7202467104675894`*^9, 3.7202467408176312`*^9}, {
   3.720246788287697*^9, 3.720246788477697*^9}, {3.720246831309776*^9, 
   3.720246881871866*^9}, {3.720249855124486*^9, 3.7202498722445097`*^9}, {
   3.7202499266066027`*^9, 3.7202499267666025`*^9}, {3.720249979878691*^9, 
   3.720249980178692*^9}, {3.720250039650789*^9, 3.720250039980789*^9}, {
   3.72025009069287*^9, 3.7202500933228736`*^9}, {3.7202502108570633`*^9, 
   3.720250224367082*^9}, {3.7202502749691715`*^9, 3.720250308879218*^9}, {
   3.720250408659356*^9, 3.7202504090493565`*^9}, {3.7202504392093983`*^9, 
   3.7202504583794246`*^9}, {3.7202505265815353`*^9, 
   3.7202505320615425`*^9}, {3.7202505913636446`*^9, 3.720250605963665*^9}, {
   3.7202507560158863`*^9, 3.7202507662659006`*^9}, {3.7202508056259546`*^9, 
   3.7202508370759983`*^9}, {3.7202508860580816`*^9, 
   3.7202508870980835`*^9}, {3.7202690803201017`*^9, 3.720269087170111*^9}, {
   3.720270034685447*^9, 3.72027003670545*^9}, {3.7202700716575155`*^9, 
   3.7202700782675247`*^9}, {3.7202701196195974`*^9, 
   3.7202701223796005`*^9}, {3.7202740675530834`*^9, 
   3.7202740680330844`*^9}, {3.720276648361673*^9, 3.7202766586116867`*^9}, {
   3.720276812983918*^9, 3.7202768167539234`*^9}, {3.7202815621345186`*^9, 
   3.720281562774519*^9}, {3.720281662286667*^9, 3.7202816626866674`*^9}, {
   3.720281710328745*^9, 3.7202817154587517`*^9}, {3.7207791762553525`*^9, 
   3.7207791862653666`*^9}, 3.720781067202996*^9, 3.7207810990060587`*^9, 
   3.7207811677301674`*^9, {3.721128157070932*^9, 3.721128195819148*^9}, {
   3.721128248279149*^9, 3.721128254961531*^9}, {3.7211282913126106`*^9, 
   3.721128292862699*^9}, {3.721128779887555*^9, 3.721128780029563*^9}, {
   3.721129757507472*^9, 3.721129790841378*^9}, {3.721130293308118*^9, 
   3.7211302953942375`*^9}, {3.7211303824512167`*^9, 3.721130382846239*^9}, 
   3.721130449387045*^9, 3.7211305112905855`*^9, {3.721130582994687*^9, 
   3.7211305889670286`*^9}, {3.721137585980235*^9, 3.721137590984521*^9}, {
   3.72138433762089*^9, 3.721384365044459*^9}, {3.72138446857238*^9, 
   3.7213844734666605`*^9}, 3.7214566882425437`*^9, {3.7214567641198835`*^9, 
   3.7214567645769095`*^9}, 3.721485717648896*^9, {3.72148596923489*^9, 
   3.721485999667631*^9}, 3.7214864469942164`*^9, 3.721487139612832*^9, 
   3.721487360555469*^9, {3.721487403498925*^9, 3.7214874269062643`*^9}, {
   3.721489159766378*^9, 3.72148923830087*^9}, 3.7214894079405727`*^9, {
   3.721494619480902*^9, 3.72149464495243*^9}, {3.7215764359042506`*^9, 
   3.721576456089405*^9}, {3.721576514209729*^9, 3.721576524058293*^9}, {
   3.721576862167631*^9, 3.7215769379309645`*^9}, {3.7215806227807436`*^9, 
   3.721580628194953*^9}, {3.7215808491452017`*^9, 3.7215808561464157`*^9}, {
   3.7215809279677477`*^9, 3.721580930493353*^9}, {3.7215809780816402`*^9, 
   3.7215810901650476`*^9}, {3.7215816241029406`*^9, 3.721581625445543*^9}, {
   3.721631047917037*^9, 3.721631064414336*^9}, {3.721657873684622*^9, 
   3.721657916823089*^9}, {3.7216581071889777`*^9, 3.72165814551717*^9}, {
   3.721658524074822*^9, 3.721658528098052*^9}, 3.7216590210792494`*^9, 
   3.7216590699200425`*^9, 3.721659117742778*^9, {3.7216592020466*^9, 
   3.7216592225097704`*^9}, {3.7219800238946486`*^9, 
   3.7219800510762978`*^9}, {3.7219805320391736`*^9, 3.721980532475974*^9}, {
   3.722000753355342*^9, 3.72200077254644*^9}, 3.722001753475546*^9, 
   3.7220018561694193`*^9, {3.722246973820743*^9, 3.7222469815401845`*^9}, {
   3.7222477334541917`*^9, 3.7222477573175564`*^9}, {3.7222478475507174`*^9, 
   3.7222479338386526`*^9}, {3.723977446428788*^9, 3.723977457911445*^9}, {
   3.7239775282574687`*^9, 3.723977529945565*^9}, {3.7239823429118514`*^9, 
   3.7239823697343855`*^9}, {3.7239824061024656`*^9, 
   3.7239824066194954`*^9}, {3.7240284629445157`*^9, 
   3.7240284862198467`*^9}, {3.7240286235977044`*^9, 
   3.7240286241137342`*^9}, {3.7240286666411667`*^9, 
   3.7240286672362003`*^9}, {3.7240299837334995`*^9, 3.724029984492543*^9}, {
   3.726386193186821*^9, 3.7263863463070326`*^9}, {3.726386529961662*^9, 
   3.726386530841663*^9}, {3.726386581551733*^9, 3.7263865818817334`*^9}, {
   3.7362229404596663`*^9, 3.736222942892805*^9}, {3.7362284669972506`*^9, 
   3.736228494780899*^9}, {3.736228554950204*^9, 3.7362285588970103`*^9}, {
   3.7506827706227446`*^9, 3.7506828001024303`*^9}, {3.7507447978931875`*^9, 
   3.7507448747175817`*^9}, {3.7507451323263164`*^9, 
   3.7507451429239225`*^9}, {3.7507455231936727`*^9, 
   3.7507456299067764`*^9}, {3.7507456759024067`*^9, 3.7507457396580534`*^9}, 
   3.7507628821605487`*^9, {3.7507632576910276`*^9, 3.7507632583510656`*^9}, {
   3.7507633942118363`*^9, 3.7507634361172333`*^9}, {3.777712543623285*^9, 
   3.777712557211062*^9}, {3.7777125914280195`*^9, 3.7777126283381305`*^9}, {
   3.777712677832961*^9, 3.7777126796810665`*^9}, {3.77771281977908*^9, 
   3.7777128289496045`*^9}, {3.777712864315627*^9, 3.777712865965722*^9}, 
   3.7777131752134094`*^9, {3.7777132612973337`*^9, 3.7777132768242216`*^9}, {
   3.7777134400495577`*^9, 3.7777134448428316`*^9}, {3.7777141973898745`*^9, 
   3.7777141974798803`*^9}, {3.7777185879289994`*^9, 
   3.7777186027008443`*^9}, {3.7777186332625923`*^9, 3.777718638518893*^9}, {
   3.777718674985979*^9, 3.7777186920239534`*^9}, {3.777719203975235*^9, 
   3.7777192075854416`*^9}, {3.7777192786515064`*^9, 3.777719281768685*^9}, {
   3.7777195254266214`*^9, 3.7777195524281654`*^9}, {3.7777196056112075`*^9, 
   3.7777196058992243`*^9}, {3.777719651440829*^9, 3.777719674504148*^9}, {
   3.778932899483763*^9, 3.778932902496936*^9}, {3.7789329481355457`*^9, 
   3.7789329515467415`*^9}, {3.7794201280365896`*^9, 
   3.7794201356610255`*^9}, {3.779420263037311*^9, 3.7794202652324367`*^9}, {
   3.779796993954721*^9, 3.7797970140891576`*^9}, {3.7797977145519924`*^9, 
   3.7797977813567095`*^9}, {3.7797978329308004`*^9, 
   3.7797978332896013`*^9}, {3.779797873801273*^9, 3.779797873958273*^9}, {
   3.7797979041251264`*^9, 3.779797904437127*^9}, {3.7803217969585505`*^9, 
   3.7803218211595883`*^9}, {3.7803223793974104`*^9, 
   3.7803223798174114`*^9}, {3.7803811986908293`*^9, 3.780381233274808*^9}, {
   3.780381274329156*^9, 3.7803812755342245`*^9}, {3.7809122528493047`*^9, 
   3.7809122536983533`*^9}, {3.78091233232485*^9, 3.780912336256075*^9}, {
   3.780912847662326*^9, 3.7809130042772837`*^9}, {3.78091858581553*^9, 
   3.7809186104509387`*^9}, {3.780918703730274*^9, 3.7809187063284225`*^9}, {
   3.780918756026265*^9, 3.780918756330282*^9}, {3.780918822149047*^9, 
   3.7809188236551332`*^9}, {3.780982186543598*^9, 3.780982190995853*^9}, {
   3.780983047042816*^9, 3.7809830514170666`*^9}, {3.780983778188635*^9, 
   3.780983778833672*^9}, {3.785418378402396*^9, 3.78541841220533*^9}, {
   3.785418987387228*^9, 3.7854189882902794`*^9}, {3.7854191202708282`*^9, 
   3.7854191206898527`*^9}, {3.7854191761170225`*^9, 3.785419176401039*^9}, {
   3.785419418823905*^9, 3.7854194202359858`*^9}, {3.7854200534372025`*^9, 
   3.7854200575994406`*^9}, {3.785420209750143*^9, 3.785420212734314*^9}, {
   3.7854893914688864`*^9, 3.785489392262932*^9}, {3.7855669704574156`*^9, 
   3.7855669707514324`*^9}, {3.7855670127978373`*^9, 
   3.7855670131188555`*^9}, {3.785646044958697*^9, 3.7856460536451936`*^9}, {
   3.786089149985133*^9, 3.7860891533713264`*^9}, {3.7860892534500513`*^9, 
   3.78608925378407*^9}, {3.7860894252318764`*^9, 3.786089425586897*^9}, {
   3.7860894770158386`*^9, 3.78608950046618*^9}, {3.7860898389955425`*^9, 
   3.7860898397795873`*^9}, {3.7860898713603935`*^9, 
   3.7860898843021336`*^9}, {3.7906831868889465`*^9, 
   3.7906832057400255`*^9}, {3.790683261038188*^9, 3.790683276717085*^9}, {
   3.7906836140073767`*^9, 3.79068362227485*^9}, {3.790684595510515*^9, 
   3.7906846144826*^9}, {3.790685040982995*^9, 3.790685042245067*^9}, {
   3.790685085263528*^9, 3.7906850854215364`*^9}, {3.790687216244413*^9, 
   3.7906872166754375`*^9}, {3.790774328169011*^9, 3.7907743414947734`*^9}, {
   3.790777976213803*^9, 3.790777981502105*^9}, {3.7907781110085125`*^9, 
   3.7907781149687395`*^9}, {3.7907781758802233`*^9, 
   3.7907782606150694`*^9}, {3.7907783267238507`*^9, 
   3.7907783428567734`*^9}, {3.790778374318573*^9, 3.7907784039022655`*^9}, {
   3.7907784593344355`*^9, 3.790778460441499*^9}, {3.790778525998249*^9, 
   3.7907785261232557`*^9}, {3.790778610106059*^9, 3.790778611931164*^9}, {
   3.790781636534161*^9, 3.7907816381392527`*^9}, {3.7907834754343405`*^9, 
   3.790783483683812*^9}, {3.790783566592554*^9, 3.7907835667235613`*^9}, {
   3.7907835975463247`*^9, 3.7907835977573366`*^9}, {3.7907836700344706`*^9, 
   3.79078367036749*^9}, {3.7907837860561066`*^9, 3.7907838845437403`*^9}, {
   3.790783914873475*^9, 3.790783915700522*^9}, {3.790784039391597*^9, 
   3.790784039605609*^9}, 3.790784076630727*^9, {3.790784206366147*^9, 
   3.7907842073162017`*^9}, {3.790784272829949*^9, 3.790784273008959*^9}, {
   3.790784354303609*^9, 3.790784356404729*^9}, {3.790784520473113*^9, 
   3.7907845216861825`*^9}, {3.790784839774376*^9, 3.79078484124146*^9}, {
   3.790784965359559*^9, 3.7907849656605763`*^9}, {3.790785181084898*^9, 
   3.7907851812709084`*^9}, {3.7907854122781215`*^9, 
   3.7907854214796476`*^9}, {3.7907854756707473`*^9, 
   3.7907854762017775`*^9}, {3.790785527557715*^9, 3.790785529512827*^9}, {
   3.7907855886272078`*^9, 3.790785595153581*^9}, {3.7907856288145065`*^9, 
   3.7907856955383224`*^9}, {3.7907861851593275`*^9, 3.790786235609213*^9}, 
   3.7907865567945843`*^9, {3.7907866674599133`*^9, 3.790786693876425*^9}, {
   3.7908523250843153`*^9, 3.790852336968995*^9}, {3.7908524840214057`*^9, 
   3.790852485459488*^9}, {3.7908529560104017`*^9, 3.7908530841587315`*^9}, {
   3.790854273072734*^9, 3.790854288026589*^9}, {3.790854324969702*^9, 
   3.7908543412506332`*^9}, {3.7908545306444654`*^9, 3.790854630276164*^9}, {
   3.7908564653151226`*^9, 3.7908564682352896`*^9}, {3.7908568106308737`*^9, 
   3.7908568334481783`*^9}, {3.790856865084988*^9, 3.7908568664170647`*^9}, {
   3.790856914273802*^9, 3.7908569326678534`*^9}, {3.790856978983503*^9, 
   3.790856979210516*^9}, {3.790857217728158*^9, 3.790857217854165*^9}, {
   3.790857298809796*^9, 3.7908573245922704`*^9}, {3.790857365126589*^9, 
   3.7908573661006446`*^9}, 3.7908574090291*^9, {3.7908574440441027`*^9, 
   3.790857523243633*^9}, {3.790857554983448*^9, 3.7908575574565897`*^9}, {
   3.7908575974088745`*^9, 3.7908576271435757`*^9}, {3.7908576713101015`*^9, 
   3.790857671424108*^9}, {3.7908585669733305`*^9, 3.7908585701195107`*^9}, {
   3.790858744133464*^9, 3.7908587445504875`*^9}, {3.7908588025378036`*^9, 
   3.790858821081865*^9}, {3.790858896516179*^9, 3.7908591593322115`*^9}, {
   3.7908591899829645`*^9, 3.7908591932511516`*^9}, {3.79085961649736*^9, 
   3.7908596179834447`*^9}, {3.790861670407837*^9, 3.7908616726739664`*^9}, {
   3.7908626240233803`*^9, 3.790862628930661*^9}, {3.7908626606144733`*^9, 
   3.790862662075557*^9}, {3.791608883817178*^9, 3.7916089114447575`*^9}, {
   3.791608974636372*^9, 3.791608980916731*^9}, {3.7916092266227846`*^9, 
   3.791609420483873*^9}, {3.791609452482703*^9, 3.7916095064987926`*^9}, {
   3.791609546372073*^9, 3.7916097520958405`*^9}, {3.7916098325804434`*^9, 
   3.791609839650848*^9}, {3.7916099345972786`*^9, 3.791610032198861*^9}, {
   3.7921343518390646`*^9, 3.792134357576393*^9}, {3.794817040853264*^9, 
   3.79481706456962*^9}, {3.7948172059597073`*^9, 3.794817227388933*^9}, {
   3.794817477473237*^9, 3.794817495126247*^9}, {3.7948185188558006`*^9, 
   3.794818545713337*^9}, {3.79482662314734*^9, 3.794826633199915*^9}, {
   3.7949915332671804`*^9, 3.794991618112034*^9}, 3.794992242123725*^9, {
   3.794992340835371*^9, 3.794992414614591*^9}, {3.795004859031371*^9, 
   3.795004869648978*^9}, {3.7950051389193797`*^9, 3.795005180907781*^9}, {
   3.795005249365697*^9, 3.7950053402368946`*^9}, {3.800438954382927*^9, 
   3.8004389999935355`*^9}, {3.800691773352851*^9, 3.8006918343163376`*^9}, {
   3.801381369468474*^9, 3.8013813745827665`*^9}, {3.8013816820963554`*^9, 
   3.8013816856885605`*^9}, {3.801381725272825*^9, 3.80138174826714*^9}, {
   3.8013817854892693`*^9, 3.8013817880464153`*^9}, {3.8044004485715637`*^9, 
   3.8044004717578897`*^9}, {3.804400547689233*^9, 3.8044006689361677`*^9}, {
   3.804400722337222*^9, 3.8044007232682753`*^9}, {3.804400901365462*^9, 
   3.804400907910836*^9}, {3.804401427027528*^9, 3.8044014274475517`*^9}, {
   3.804401487222971*^9, 3.8044014879820147`*^9}, {3.804401588421759*^9, 
   3.804401591810953*^9}, {3.8044016737486396`*^9, 3.8044016749487085`*^9}, {
   3.8044017094316807`*^9, 3.804401711573803*^9}, {3.804401777207557*^9, 
   3.804401827761449*^9}, {3.804401878934376*^9, 3.8044019005336113`*^9}, 
   3.8044019406939077`*^9, {3.8044027861572657`*^9, 3.804402802096177*^9}, {
   3.8044028337929907`*^9, 3.8044028627996492`*^9}, {3.8044029291034417`*^9, 
   3.8044029372619085`*^9}, {3.8044030609229813`*^9, 3.804403073856721*^9}, {
   3.8044031064275837`*^9, 3.8044031093567514`*^9}, {3.8044031440767374`*^9, 
   3.8044031469068995`*^9}, {3.8044032391351748`*^9, 
   3.8044032423633595`*^9}, {3.8044033270572033`*^9, 
   3.8044033274182243`*^9}, {3.8044033782981343`*^9, 3.804403378490145*^9}, {
   3.8044034265508943`*^9, 3.8044034486031556`*^9}, 3.8044034890794706`*^9, {
   3.8044035407574263`*^9, 3.8044035980237017`*^9}, {3.8044037512124634`*^9, 
   3.8044037535255957`*^9}, {3.804407046728956*^9, 3.8044070488070755`*^9}, {
   3.8044072537517977`*^9, 3.80440726183526*^9}, {3.8044104636743946`*^9, 
   3.804410467145593*^9}, {3.80441055783078*^9, 3.804410561063965*^9}, {
   3.804411157771095*^9, 3.8044111581741176`*^9}, {3.8044126239959583`*^9, 
   3.804412632735458*^9}, {3.8044127003853273`*^9, 3.8044127199634466`*^9}, {
   3.804412757207577*^9, 3.8044127859042187`*^9}, {3.8044128195171413`*^9, 
   3.804412916565692*^9}, {3.804413137032302*^9, 3.8044131772256007`*^9}, {
   3.804413221283121*^9, 3.804413223143227*^9}, {3.8044132558901005`*^9, 
   3.8044132707419496`*^9}, {3.8044133177326374`*^9, 
   3.8044133211408324`*^9}, {3.804413359459024*^9, 3.8044133868695917`*^9}, {
   3.8044134268328776`*^9, 3.804413452832365*^9}, {3.804413489883484*^9, 
   3.804413570039068*^9}, {3.8044136013838615`*^9, 3.804413614905635*^9}, {
   3.80441370329469*^9, 3.8044137061688547`*^9}, {3.8044137376196537`*^9, 
   3.8044138024853635`*^9}, {3.8044141172903695`*^9, 
   3.8044141209415784`*^9}, {3.8044145156011515`*^9, 3.804414536165328*^9}, {
   3.804414642920434*^9, 3.8044146570432415`*^9}, {3.8044237652302*^9, 
   3.8044238025303335`*^9}, {3.8144331787779446`*^9, 3.814433231283948*^9}, {
   3.814516032543537*^9, 3.8145162323969684`*^9}, {3.8145163012399063`*^9, 
   3.8145163725939875`*^9}, {3.814516443662052*^9, 3.814516514899126*^9}, {
   3.8145165900634255`*^9, 3.8145165942556653`*^9}, {3.814517152633603*^9, 
   3.8145171547337227`*^9}, 3.8145171930689154`*^9, {3.814517247995057*^9, 
   3.8145172526183214`*^9}, {3.8145172960638065`*^9, 3.814517306461401*^9}, {
   3.8145181256712575`*^9, 3.8145181305375357`*^9}, {3.814518569133622*^9, 
   3.814518574006901*^9}, {3.8145187602135515`*^9, 3.814518763728752*^9}, {
   3.814519152396983*^9, 3.814519155962187*^9}, {3.8145192252501497`*^9, 
   3.814519252378701*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "10.4`", ",", "1.0129253308128545`", ",", "0.5418745985135789`", ",", 
     "0.13074600000000008`", ",", "0.00994784`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Power: ", {10.4, 1.0129253308128545`, 0.5418745985135789, 
   0.13074600000000008`, 0.00994784}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7916099387095137`*^9, 3.7916099616888285`*^9}, 
   3.79161001486187*^9, 3.7921342855112705`*^9, 3.7921343582194295`*^9, {
   3.794817034607907*^9, 3.794817051428869*^9}, 3.7948172280049686`*^9, 
   3.7948173848759413`*^9, {3.794817477989267*^9, 3.7948174959882965`*^9}, {
   3.794818522411004*^9, 3.794818548023469*^9}, 3.795004871023057*^9, {
   3.795005292690175*^9, 3.7950053331024866`*^9}, 3.8004387058327103`*^9, 
   3.800438748298139*^9, {3.800438956399042*^9, 3.8004390005185657`*^9}, {
   3.8006917462373*^9, 3.8006917847285013`*^9}, 3.8006918377425337`*^9, 
   3.8013813423419223`*^9, 3.8013813781149683`*^9, 3.8013816863465986`*^9, {
   3.801381727322942*^9, 3.8013817492981987`*^9}, 3.801381788689452*^9, 
   3.804400424892209*^9, 3.8044006724153666`*^9, {3.804400707351365*^9, 
   3.8044007257914195`*^9}, 3.804400908520871*^9, 3.8044015922149763`*^9, 
   3.8044016758407593`*^9, 3.8044017123178453`*^9, 3.804401831748677*^9, 
   3.8044019015096664`*^9, 3.804401940970924*^9, 3.80440295582697*^9, 
   3.804403074250744*^9, 3.804403111183856*^9, 3.80440314744093*^9, 
   3.8044032432724113`*^9, 3.804403327840248*^9, 3.8044033792511888`*^9, 
   3.8044034489571753`*^9, 3.804403489316484*^9, {3.8044035429815536`*^9, 
   3.8044035984417257`*^9}, 3.804403754036625*^9, 3.804407263845375*^9, 
   3.8044105097810316`*^9, 3.8044105629170713`*^9, {3.804412762818898*^9, 
   3.804412786546255*^9}, {3.8044128484707975`*^9, 3.8044128625095997`*^9}, {
   3.804412892838335*^9, 3.8044129172037287`*^9}, {3.804413142117593*^9, 
   3.8044131574584703`*^9}, {3.8044131958186646`*^9, 
   3.8044132235882525`*^9}, {3.804413263666545*^9, 3.80441327144199*^9}, 
   3.804413322012882*^9, {3.8044133618481607`*^9, 3.8044133879066515`*^9}, {
   3.8044134373274775`*^9, 3.804413453923427*^9}, {3.8044135072924795`*^9, 
   3.8044135711911345`*^9}, 3.8044136168177443`*^9, 3.8044137068128915`*^9, 
   3.804413741038849*^9, {3.8044137855083923`*^9, 3.8044138125839415`*^9}, 
   3.804414122401662*^9, 3.804414182032072*^9, 3.8044145367053585`*^9, 
   3.8044146584363213`*^9, 3.8044238032233734`*^9, 3.8144330270822687`*^9, 
   3.8144330962252235`*^9, {3.8144331998391495`*^9, 3.814433231614967*^9}, 
   3.814516005588996*^9, 3.814516233098008*^9, 3.8145163840396414`*^9, 
   3.8145164500734186`*^9, {3.814516495217001*^9, 3.81451651671323*^9}, 
   3.814516594638687*^9, 3.8145169877951746`*^9, 3.814517155428763*^9, 
   3.8145171937479544`*^9, 3.8145172535303736`*^9, 3.8145173071604414`*^9, 
   3.814518132069623*^9, 3.8145185749669557`*^9, 3.8145187647978134`*^9, 
   3.8145191573552666`*^9, {3.8145192308544703`*^9, 3.8145192542318077`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Display DT potential", "Item",
 CellChangeTimes->{{3.750746832403555*^9, 3.750746845568308*^9}, {
  3.7507472053488865`*^9, 3.7507472064959517`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITab", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTab", ",", "WaistXTab", ",", "WaistYTab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTab", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITab", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighXTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistXTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighYTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistYTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTab", ",", "WaistXTab", ",", "WaistYTab", ",", "ZRayleighXTab", 
       ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", "\[Phi]Tab", ",", 
       "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", " ", 
     RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
    RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
     RowBox[{
     "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTab", ",", "mAssSr"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gSaggSrNum", " ", "=", " ", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"gSaggSrNum", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
       ",", 
       RowBox[{"{", "1", "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]X", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{
               RowBox[{"xx", "+", "xOffset"}], ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], 
              "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"xx", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"xx", "->", 
            RowBox[{"(", "X", ")"}]}]}], ")"}], "/.", 
         RowBox[{"X", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Y", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"yy", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"yy", "->", 
            RowBox[{"(", "Y", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Y", "\[Rule]", "gSaggSrNum"}]}], ")"}], " ", "/", 
       "mAssSr"}], "]"}], "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]Z", "=", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"Abs", "[", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"XYZDipPotFun", "[", 
               RowBox[{"xOffset", ",", 
                RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", 
                RowBox[{"zz", "+", "zOffset"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"zz", ",", "2"}], "}"}]}], "]"}], "/.", 
            RowBox[{"zz", "->", 
             RowBox[{"(", "Z", ")"}]}]}], ")"}], "/.", 
          RowBox[{"Z", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], 
       "]"}], "]"}], "*", " ", 
     RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDepth", "=", 
   RowBox[{"XYZDipPotFun", "[", 
    RowBox[{"xOffset", ",", 
     RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TrapEdgeByGrav", "=", " ", 
   RowBox[{"FindMaximum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", 
         RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0."}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "\[LessEqual]", " ", "yy", 
        "\[LessEqual]", 
        RowBox[{"400.", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"55.", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", " ", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDipTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"TrapEdgeByGrav", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PosTrapEdgeByGrav", " ", "=", " ", 
    RowBox[{"yy", "/.", 
     RowBox[{"TrapEdgeByGrav", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{
       RowBox[{"xx", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], ",", "0.", ",", 
       RowBox[{"zz", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "]"}], "*", "ctePlanckOverkB", " ",
      "*", 
     RowBox[{"10", "^", "6"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"xx", ",", 
      RowBox[{"-", "400"}], ",", "400"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"zz", ",", 
      RowBox[{"-", "3000"}], ",", "3000"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
    RowBox[{"Contours", "\[Rule]", "30"}], ",", " ", 
    RowBox[{
    "PlotLabel", "\[Rule]", "\"\<Total dipole trap effect on 1S0\>\""}], ",", 
    RowBox[{"PlotLegends", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<X\>\"", ",", "\"\<Z\>\""}], "}"}]}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"ContourPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"xx", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
        ",", 
        RowBox[{
         RowBox[{"zz", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
      "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"xx", ",", 
       RowBox[{"-", "400"}], ",", "400"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"zz", ",", 
       RowBox[{"-", "400"}], ",", "400"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
     RowBox[{"Contours", "\[Rule]", "30"}], ",", " ", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Total dipole trap effect on 1S0\>\""}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<X\>\"", ",", "\"\<Z\>\""}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{"0.", ",", 
       RowBox[{"yy", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], ",", 
       RowBox[{"zz", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "]"}], "*", "ctePlanckOverkB", " ",
      "*", 
     RowBox[{"10", "^", "6"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"yy", ",", 
      RowBox[{"-", "300"}], ",", "300"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"zz", ",", 
      RowBox[{"-", "400"}], ",", "400"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
    RowBox[{"Contours", "\[Rule]", "30"}], ",", " ", 
    RowBox[{
    "PlotLabel", "\[Rule]", "\"\<Total dipole trap effect on 1S0\>\""}], ",", 
    RowBox[{"PlotLegends", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<Y\>\"", ",", "\"\<Z\>\""}], "}"}]}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"xx", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
      ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
    RowBox[{"10", "^", "6."}]}], ",", 
   RowBox[{"{", 
    RowBox[{"xx", ",", 
     RowBox[{"-", "700."}], ",", "700."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in X axis\>\""}], 
   ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{"xOffset", ",", 
      RowBox[{
       RowBox[{"yy", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", "zOffset"}], 
     "]"}], "*", "ctePlanckOverkB", " ", "*", 
    RowBox[{"10", "^", "6."}]}], ",", 
   RowBox[{"{", 
    RowBox[{"yy", ",", 
     RowBox[{"-", "300."}], ",", "300."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Y axis\>\""}], 
   ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{"xOffset", ",", "yOffset", ",", 
       RowBox[{
        RowBox[{"zz", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", 
    RowBox[{"{", 
     RowBox[{"zz", ",", 
      RowBox[{"-", "1600"}], ",", "1600"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
    RowBox[{
    "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Z axis\>\""}], 
    ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
      "}"}]}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Beam powers: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rayleigh length axis 1: \>\"", " ", ",", 
   RowBox[{"ZRayleighXTab", "*", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Rayleigh length axis 2: \>\"", " ", ",", 
    RowBox[{"ZRayleighYTab", "*", 
     RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]X", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]Y", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
     RowBox[{
      RowBox[{"\[Omega]Z", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Grav sagging: \>\"", " ", ",", 
   RowBox[{"gSaggSrNum", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Absolute potential depth: \>\"", " ", ",", 
   RowBox[{"PotDepth", "*", "ctePlanck", "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Edge of the trap between tranport DT and sheet DT: \>\"", ",", 
     RowBox[{"PosTrapEdgeByGrav", "*", 
      RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Trap depth: \>\"", " ", ",", 
   RowBox[{"UdipTab", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Effective trap depth: \>\"", ",", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"PotDipTrapEdgeByGrav", " ", "-", "PotDepth"}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.7197386048911114`*^9, 3.719738605608152*^9}, {3.719738648634557*^9, 
   3.719738676855596*^9}, {3.719739932359174*^9, 3.7197399377291813`*^9}, {
   3.7197399752412496`*^9, 3.7197399870912657`*^9}, 3.7198221739167566`*^9, {
   3.719823712196764*^9, 3.7198237279767857`*^9}, {3.7198385766077533`*^9, 
   3.7198385783877554`*^9}, {3.7199057240019007`*^9, 3.719905739391922*^9}, {
   3.7199058264440594`*^9, 3.71990583412407*^9}, {3.7199058651741133`*^9, 
   3.7199058719441223`*^9}, {3.719905913506194*^9, 3.7199059152661963`*^9}, 
   3.7199222698204207`*^9, {3.720173300657431*^9, 3.720173337943564*^9}, {
   3.720173722037533*^9, 3.720173742179685*^9}, {3.7201743683204985`*^9, 
   3.72017437254574*^9}, {3.720174482765044*^9, 3.7201744958137903`*^9}, {
   3.7201745402443314`*^9, 3.720174541739417*^9}, {3.7201746186378155`*^9, 
   3.720174668615674*^9}, {3.7201747081059327`*^9, 3.720174725602934*^9}, {
   3.7201747596758823`*^9, 3.720174780074049*^9}, {3.720174854079282*^9, 
   3.7201749148787594`*^9}, {3.720174949256726*^9, 3.7201749757732425`*^9}, {
   3.7201754634941387`*^9, 3.7201754807061234`*^9}, 3.720175598122839*^9, {
   3.7201855281053443`*^9, 3.7201855286313744`*^9}, {3.7201855692646985`*^9, 
   3.7201855724428806`*^9}, {3.720185621443683*^9, 3.7201856630040603`*^9}, {
   3.720185735696218*^9, 3.720185739544438*^9}, {3.720185912814348*^9, 
   3.7201859139234123`*^9}, {3.7202455310867996`*^9, 
   3.7202455323388715`*^9}, {3.7202457217307043`*^9, 
   3.7202458625817604`*^9}, {3.720245916877866*^9, 3.7202459196840262`*^9}, {
   3.7202459868828697`*^9, 3.720245988715975*^9}, {3.7202460767705545`*^9, 
   3.7202460773205557`*^9}, {3.720246107360617*^9, 3.7202461096106205`*^9}, {
   3.720246142012685*^9, 3.720246147742693*^9}, {3.7202461996647835`*^9, 
   3.720246201824786*^9}, {3.72024626607891*^9, 3.7202462667389107`*^9}, {
   3.7202469651740007`*^9, 3.7202470153380957`*^9}, {3.7202470697001905`*^9, 
   3.7202470764601994`*^9}, {3.720250120114921*^9, 3.7202501308849363`*^9}, {
   3.7202505029515023`*^9, 3.7202505060615067`*^9}, {3.7202691420522037`*^9, 
   3.7202691515622168`*^9}, {3.7207799442924137`*^9, 
   3.7207799554324293`*^9}, {3.7207810440109515`*^9, 
   3.7207810454109535`*^9}, {3.7264045192662487`*^9, 
   3.7264045476483073`*^9}, {3.7501623752658863`*^9, 3.750162380690197*^9}, {
   3.7501624362433743`*^9, 3.75016243913054*^9}, {3.7501629648146067`*^9, 
   3.7501629806835146`*^9}, {3.750163037752779*^9, 3.750163041703005*^9}, {
   3.75016322152929*^9, 3.7501632660988393`*^9}, {3.7507472360466423`*^9, 
   3.7507472934519253`*^9}, {3.78124152793388*^9, 3.7812415464759398`*^9}, {
   3.80440074363244*^9, 3.8044007884990063`*^9}, {3.8044029878338013`*^9, 
   3.8044029881458187`*^9}, {3.8044030251399345`*^9, 3.804403028493127*^9}, {
   3.8044031174822164`*^9, 3.804403125340666*^9}, {3.8044031868551846`*^9, 
   3.804403201605028*^9}, {3.8044032823846483`*^9, 3.804403286692895*^9}, {
   3.8044036528608384`*^9, 3.804403655175971*^9}, {3.8044105747787495`*^9, 
   3.80441059052465*^9}, {3.8044129461773853`*^9, 3.8044129494805746`*^9}, {
   3.804413638376977*^9, 3.8044136401380777`*^9}, {3.8144330766881056`*^9, 
   3.814433081150361*^9}, {3.814518143855297*^9, 3.814518148320553*^9}, {
   3.814518525272113*^9, 3.8145185287823143`*^9}, {3.814518749388932*^9, 
   3.8145187539451923`*^9}, {3.8145191600834227`*^9, 3.81451917507428*^9}, {
   3.814519217342697*^9, 3.8145192442482367`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[
    GraphicsComplexBox[CompressedData["
1:eJxknQVUVc0TwBHBQEQURUBREQzCQFEEBJcQkO4GaSmlkZBuFKQkpNtOxJYx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     "], {{{
        EdgeForm[], 
        RGBColor[0.148, 0.33, 0.54], 
        GraphicsGroupBox[{
          
          PolygonBox[{{3145, 113, 2559}, {1560, 113, 1455}, {2639, 113, 
           3145}, {1473, 113, 2639}, {1455, 113, 2619}, {3090, 113, 1560}, {
           2559, 113, 3090}, {2619, 113, 1473}}]}]}, {
        EdgeForm[], 
        RGBColor[0.21082396815117793`, 0.3649022045284322, 0.5988351447765], 
        GraphicsGroupBox[{
          
          PolygonBox[{{2560, 2559, 3090, 3091}, {2640, 2639, 3145, 3146}, {
           3091, 3090, 1560, 1561}, {3146, 3145, 2559, 2560}, {1474, 1473, 
           2639, 2640}, {1561, 1560, 1455, 1456}, {1456, 1455, 2619, 2620}, {
           2620, 2619, 1473, 1474}}]}]}, {
        EdgeForm[], 
        RGBColor[0.2514062065189525, 0.3874478925105292, 0.6368407330891778], 
        GraphicsGroupBox[{
          
          PolygonBox[{{2621, 2620, 1474, 1475}, {1562, 1561, 1456, 1457}, {
           3147, 3146, 2560, 2561}, {2641, 2640, 3146, 3147}, {3092, 3091, 
           1561, 1562}, {2561, 2560, 3091, 3092}, {1475, 1474, 2640, 2641}, {
           1457, 1456, 2620, 2621}}]}]}, {
        EdgeForm[], 
        RGBColor[0.2963427906727993, 0.4078520989584918, 0.6448655799239774], 
        GraphicsGroupBox[{
          
          PolygonBox[{{1476, 1475, 2641, 2642}, {2562, 2561, 3092, 3093}, {
           2622, 2621, 1475, 1476}, {3148, 3147, 2561, 2562}, {3093, 3092, 
           1562, 1563}, {1563, 1562, 1457, 1458}, {2642, 2641, 3147, 3148}, {
           1458, 1457, 2621, 2622}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.3467485073756301, 0.42556656808728216`, 0.6152341042903644], 
        GraphicsGroupBox[{
          
          PolygonBox[{{3149, 3148, 2562, 2563}, {1477, 1476, 2642, 2643}, {
           2643, 2642, 3148, 3149}, {1459, 1458, 2622, 2623}, {1564, 1563, 
           1458, 1459}, {3094, 3093, 1563, 1564}, {2623, 2622, 1476, 1477}, {
           2563, 2562, 3093, 3094}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.3971542240784609, 0.44328103721607254`, 0.5856026286567514], 
        GraphicsGroupBox[{
          
          PolygonBox[{{3635, 984, 3628}, {3628, 984, 3643}, {1975, 812, 
           3150}, {3158, 812, 1975}}], 
          
          PolygonBox[{{2564, 2563, 3094, 3095}, {3095, 3094, 1564, 1565}, {
           1478, 1477, 2643, 2644}, {2624, 2623, 1477, 1478}}], 
          
          PolygonBox[{{1565, 1564, 1459, 984, 3635}, {3150, 812, 3149, 2563, 
           2564}, {3643, 984, 1459, 2623, 2624}, {2644, 2643, 3149, 812, 
           3158}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.44755994078129174`, 0.4609955063448629, 0.5559711530231384], 
        GraphicsGroupBox[{
          
          PolygonBox[{{3629, 3628, 3643, 3644}, {1479, 1478, 2644, 2645}, {
           3636, 3635, 3628, 3629}, {1976, 1975, 3150, 3151}, {2565, 2564, 
           3095, 3096}, {3151, 3150, 2564, 2565}, {3096, 3095, 1565, 1566}, {
           3644, 3643, 2624, 2625}, {1566, 1565, 3635, 3636}, {2625, 2624, 
           1478, 1479}, {2645, 2644, 3158, 3159}, {3159, 3158, 1975, 
           1976}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.49796565748412275`, 0.47870997547365335`, 0.5263396773895253], 
        GraphicsGroupBox[{
          
          PolygonBox[{{3645, 3644, 2625, 2626}, {2566, 2565, 3096, 3097}, {
           3630, 3629, 3644, 3645}, {1977, 1976, 3151, 3152}, {2646, 2645, 
           3159, 3160}, {3152, 3151, 2565, 2566}, {3160, 3159, 1976, 1977}, {
           3637, 3636, 3629, 3630}, {2626, 2625, 1479, 1480}, {3097, 3096, 
           1566, 1567}, {1567, 1566, 3636, 3637}, {1480, 1479, 2645, 
           2646}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.5483713741869534, 0.49642444460244367`, 0.4967082017559124], 
        GraphicsGroupBox[{
          
          PolygonBox[{{1978, 1977, 3152, 3153}, {2627, 2626, 1480, 1481}, {
           1568, 1567, 3637, 3638}, {3631, 3630, 3645, 3646}, {3161, 3160, 
           1977, 1978}, {3098, 3097, 1567, 1568}, {2647, 2646, 3160, 3161}, {
           3638, 3637, 3630, 3631}, {3153, 3152, 2566, 2567}, {2567, 2566, 
           3097, 3098}, {1481, 1480, 2646, 2647}, {3646, 3645, 2626, 
           2627}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.5987770908897843, 0.5141389137312341, 0.46707672612229945`], 
        GraphicsGroupBox[{
          
          PolygonBox[{{2568, 2567, 3098, 3099}, {3647, 3646, 2627, 2628}, {
           3154, 3153, 2567, 2568}, {2648, 2647, 3161, 3162}, {1482, 1481, 
           2647, 2648}, {3639, 3638, 3631, 3632}, {1979, 1978, 3153, 3154}, {
           3162, 3161, 1978, 1979}, {2628, 2627, 1481, 1482}, {3099, 3098, 
           1568, 1569}, {3632, 3631, 3646, 3647}, {1569, 1568, 3638, 
           3639}}]}]}, {
        EdgeForm[], 
        RGBColor[0.649182807592615, 0.5318533828600245, 0.43744525048868643`], 
        GraphicsGroupBox[{
          
          PolygonBox[{{1980, 1979, 3154, 3155}, {2629, 2628, 1482, 1483}, {
           3640, 3639, 3632, 3633}, {3648, 3647, 2628, 2629}, {2649, 2648, 
           3162, 3163}, {1483, 1482, 2648, 2649}, {3155, 3154, 2568, 2569}, {
           3100, 3099, 1569, 1570}, {1570, 1569, 3639, 3640}, {3163, 3162, 
           1979, 1980}, {2569, 2568, 3099, 3100}, {3633, 3632, 3647, 
           3648}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.6995885242954458, 0.5495678519888149, 0.40781377485507336`], 
        GraphicsGroupBox[{
          
          PolygonBox[{{3641, 3640, 3633, 3634}, {2570, 2569, 3100, 3101}, {
           3649, 3648, 2629, 2630}, {3156, 3155, 2569, 2570}, {1571, 1570, 
           3640, 3641}, {3101, 3100, 1570, 1571}, {2630, 2629, 1483, 1484}, {
           1981, 1980, 3155, 3156}, {2650, 2649, 3163, 3164}, {3164, 3163, 
           1980, 1981}, {3634, 3633, 3648, 3649}, {1484, 1483, 2649, 
           2650}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.7499942409982765, 0.5672823211176051, 0.37818229922146046`], 
        GraphicsGroupBox[{
          
          PolygonBox[{{1965, 394, 2542}, {2610, 394, 1967}, {1982, 396, 
           2573}, {1984, 396, 2660}, {2276, 396, 1982}, {1959, 803, 3102}, {
           2270, 394, 1965}, {3657, 396, 2276}, {2652, 396, 1984}, {1967, 394,
            2633}, {3693, 997, 3696}, {2660, 396, 3657}, {3103, 803, 1959}, {
           3695, 997, 3693}, {1961, 394, 2610}, {2542, 394, 1961}}], 
          
          PolygonBox[{{2651, 2650, 3164, 3165}, {3157, 3156, 2570, 2571}, {
           3650, 3649, 2630, 2631}, {1572, 1571, 3641, 3642}}], 
          
          PolygonBox[{{3165, 3164, 1981, 396, 2652}, {2633, 394, 3634, 3649, 
           3650}, {3642, 3641, 3634, 394, 2270}, {2631, 2630, 1484, 997, 
           3695}, {3696, 997, 1484, 2650, 2651}, {2573, 396, 1981, 3156, 
           3157}, {2571, 2570, 3101, 803, 3103}, {3102, 803, 3101, 1571, 
           1572}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.8003999577011074, 0.5849967902463955, 0.34855082358784745`], 
        GraphicsGroupBox[{
          
          PolygonBox[{{2653, 636, 3245}, {3695, 634, 2631}, {3165, 636, 
           2651}, {1695, 624, 3111}, {2270, 541, 3642}, {2269, 541, 3108}, {
           2652, 636, 3165}, {3111, 624, 2572}, {1572, 541, 3102}, {2266, 541,
            3121}, {3157, 624, 2573}, {2631, 634, 3650}, {3238, 634, 2632}, {
           2571, 624, 3157}, {2651, 636, 3696}, {3650, 634, 2633}, {1723, 636,
            3174}, {3171, 624, 1695}, {3245, 636, 1723}, {3103, 624, 2571}, {
           1716, 634, 3238}, {3130, 634, 1716}, {3108, 541, 2266}, {3642, 541,
            1572}}], 
          
          PolygonBox[{{2611, 2610, 1967, 1968}, {1985, 1984, 2660, 2661}, {
           2543, 2542, 1961, 1962}, {2277, 2276, 1982, 1983}, {3658, 3657, 
           2276, 2277}, {1966, 1965, 2542, 2543}, {2661, 2660, 3657, 3658}, {
           1962, 1961, 2610, 2611}}], 
          
          PolygonBox[{{3694, 3693, 3696, 636, 2653}, {2572, 624, 3103, 1959, 
           1960}, {3121, 541, 2270, 1965, 1966}, {2632, 634, 3695, 3693, 
           3694}, {3174, 636, 2652, 1984, 1985}, {1968, 1967, 2633, 634, 
           3130}, {1983, 1982, 2573, 624, 3171}, {1960, 1959, 3102, 541, 
           2269}}]}]}, {
        EdgeForm[], 
        RGBColor[0.8508056744039382, 0.602711259375186, 0.31891934795423443`], 
        GraphicsGroupBox[{
          
          PolygonBox[{{3127, 808, 3125}, {2299, 410, 2017}, {3694, 410, 
           2632}, {2552, 393, 3626}, {3130, 808, 1968}, {3171, 813, 1983}, {
           3626, 393, 2531}, {3172, 814, 3175}, {3236, 839, 3239}, {1966, 807,
            3121}, {3243, 840, 3241}, {2269, 393, 1960}, {2017, 410, 2667}, {
           3168, 813, 3166}, {1985, 814, 3174}, {2653, 410, 3694}, {3119, 807,
            3122}, {3109, 805, 3112}, {3106, 804, 3104}, {1960, 393, 2572}}], 
          
          PolygonBox[{{3239, 839, 410, 2299}, {3245, 840, 410, 2653}, {2531, 
           393, 804, 3106}, {2544, 2543, 1962, 1963}, {3112, 805, 393, 
           2552}, {2572, 393, 805, 3111}, {2632, 410, 839, 3238}, {1963, 1962,
            2611, 2612}, {3108, 804, 393, 2269}, {2662, 2661, 3658, 3659}, {
           2667, 410, 840, 3243}, {3659, 3658, 2277, 2278}}], 
          
          PolygonBox[{{3241, 840, 3245, 1723, 1724}, {2612, 2611, 1968, 808, 
           3127}, {2267, 2266, 3121, 807, 3119}, {3104, 804, 3108, 2266, 
           2267}, {3166, 813, 3171, 1695, 1696}, {2278, 2277, 1983, 813, 
           3168}, {1717, 1716, 3238, 839, 3236}, {3122, 807, 1966, 2543, 
           2544}, {1696, 1695, 3111, 805, 3109}, {3175, 814, 1985, 2661, 
           2662}, {3125, 808, 3130, 1716, 1717}, {1724, 1723, 3174, 814, 
           3172}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9001935129563529, 0.6204837823908821, 0.2905998901646938], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtkc0uQ1EUhVdE0Oakz9CSijKoqKp3YNQH0JJSCeGVSCp+7p0y4kmY+AlT
ZoSBb+XswZfsnLvvWnvv1dg77Z9MSarDNHSStAafFekLylmpgPWq1IUFvs1D
HRrwNCc9Qpt6FW7gGu5npAfYoO7CLfUdrNSkZXhF+w3++PcXnvF4gR/eviu5
x72H/DuGA7zH1axp7RFv+8EoetzbgqWUNax1RX2Zsoe9vIN36fG2mfIMnsU7
eTd72GsL7+1a7unFDt7lHO8zaFIvwjG9R1BQl3ABk/C09wee7zCk3oUB7KSs
YS3f2Lf2jcu4gW9hTWt7Bs9iDWvZsxk7tiIDZ+EMnIUzaEeGnfAchucgZiwi
I2flTJzNJGb/B2J3R9U=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9082455443785303, 0.6406138609463258, 0.3155611875734439], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtUTFKQ0EUHBU/f5PNb7UxEJSgEcXK3gNo4QUEIYUQFTyApxBEYmMhiNgp
WinYWliksBBBhMQLiIWg4AzzisfOzs7Om33b2t7f3BsHMM+aYB1UwByJxQK4
ysAhca8GHBHPjAF35DeoeaX4ZhKYJd+jZpiAJeI2+Q7XzJqivk/9GvE08Wnh
Eh7WgePCGmnfuVeQL/rck2+SvxRfWi+P68IZlOU28CrxeWQT91c6v97RbxiL
+0jOWZF/zPZ/oL4bWD3PItsWuc/I8538ZvmfNHxfPiPyP8maBeqR7CPvTsxh
metz+Ot8p+Z5PmWX8C6538h8kd1PnprHoO75aE7tmKEyjuItLzxfiTm/lf4P
/ct65b34VnYP9RoQ/wNoFD0A
           "]], 
          PolygonBox[CompressedData["
1:eJwlj8GKgXEUxY/BjO/zsVJsKJGSpSFewAN4AzZDiTfwHrJTSuJVLCxYzzRh
O2OlLPxud3Hq3P+559zzLw9n/embpBxIgJ8PqReXqjw+U9Imcl6MSWt4HZih
wFyDf4Im+Aukf7CK3D9nZxxKW+ZSzOcd/Bg5t7cD/B543hnPPim18bRAB60L
Fhm/bR2W8BudrmCANgRlkEefoFfgk9DzrYP9xTIt2/RvbjXePct06/obuGY7
jSxz2v9mnS7wMTsj8EXuKPQd2zX9gfeUdr91OMJfSfAqeA==
           "]], 
          
          PolygonBox[{{3661, 986, 3660, 2279, 2280}, {1691, 279, 3120, 3123, 
           3124}, {3118, 806, 1964, 2613, 2614}, {2664, 2663, 3660, 986, 
           3662}, {3170, 3169, 3167, 280, 2271}, {1726, 286, 3173, 3176, 
           3177}, {3129, 3128, 3126, 285, 1715}, {2546, 2545, 1964, 806, 
           3117}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.9162975758007077, 0.6607439395017694, 0.34052248498219395`], 
        GraphicsGroupBox[{
          
          PolygonBox[{{2546, 621, 3124}, {2656, 637, 3703}, {2271, 542, 
           3170}, {3703, 637, 2654}, {3177, 637, 1726}, {3686, 633, 2615}, {
           2608, 633, 3686}, {2280, 542, 3661}, {1715, 633, 3129}, {2615, 633,
            3224}, {2614, 633, 3118}, {3170, 542, 2280}, {2538, 621, 3078}, {
           3124, 621, 1691}, {3078, 621, 2536}, {3267, 637, 2656}, {3132, 542,
            2272}, {3086, 621, 2538}, {3117, 621, 2546}, {3129, 633, 2614}, {
           1573, 542, 3132}, {2272, 542, 3140}, {3662, 637, 2664}, {2664, 637,
            3177}}], 
          PolygonBox[CompressedData["
1:eJwtkD1KQ2EQRa9iQp758tyAjXXchC7BJdgpGEG3osQkz0ZrbbXVMoKBBLTU
SBIX4E8X8VzmKw4MM3cud2Zr/3ivsyppE9agsy4dwThJE3iCYYqeZ59NaQE/
hfRbhMbaZxjBNVzBAdpDuKxLFczYmTej59kwe7/Se4ExTGAbbbseHva6p76D
XkvqZ1wPoIKNUiphTpYFvOPxBl/U33COx1kKD3vtUu+kyORsH2imRXjY64Je
FxKaVoobfas97b1CLXhg9gin7JyUkdnZq5xt2ZD+GnGTb7Onvd3zzDveva1J
N7XI4Cz+0Sz/2L/2Db7FGmt9o2/1z/y7Uf69MznbP2nqTw0=
           "]], 
          
          PolygonBox[{{2654, 637, 3662, 1460, 1461}, {2536, 621, 3117, 3114, 
           3115}, {3115, 3114, 3118, 633, 2608}, {3140, 542, 2271, 3137, 
           3138}, {3266, 3265, 1726, 637, 3267}, {3085, 3084, 1691, 621, 
           3086}, {1461, 1460, 3661, 542, 1573}, {3224, 633, 1715, 3220, 
           3221}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.9243496072228852, 0.6808740180572129, 0.36548378239094403`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtjr1KA0EUhQ+RzRg3WU1vs23IU8S0YvARtkwREYS0loJYRpagjWJKi0Be
wKSwCGwgQgjERshPEysfwG+5U1zON2fOnDtxcnXZKUg6ZQ6Y9pF0i76WpW0o
nWCu0WVgfsr9mLtz/A/0uSIN4O6hvckz9aI08py/m8IXZPZOmtMVwgs0w2/B
c3TiO3dkdn7vA3yMH8Mv8JPf1UfvnPV8kf111jMj+8k5YW+VP/Q4N/BTdOWM
H+H3wDJ/Jek6kjb4N2iZyeAQbZCrwU106IzP4Dffn++5x4/wv+HI/7OC/pQs
k+/5B0eEMDY=
           "]], 
          PolygonBox[CompressedData["
1:eJwtkD0OAWEYhCfYj/3JisQFFDS2oKLgDBIH8LMFiYKChNIxXMAR1iVInECy
FOKndQAz+bZ4knn3m533zdTi1XCZA1AlBXIOgEEe2FMvPKDI2ZCXC7zJj8R8
C+lJfSDiW5O06G2TeQjMSIe6SxoGqJMePX1y8Gy2dlw4nxwgcaxH3g3/fWb7
k8BmKluZyp5ST8iWekduvr1FNx2py/x2zeYHbx3TO/LsDu2KjM3WjnWWoSx5
5NWNujUtAXdSMTZLmQF9X2Z+XNuJulEn6kYdqIs/1HsoMQ==
           "]], 
          PolygonBox[CompressedData["
1:eJwtkDFOQlEQRa8Q/eB//2PhBmjZgNZoazSuQFwAxFi4BRJCCUEjFhYuwEpb
tbPABBMaCywUotFSO/RM5hUnd/59b+a++dXD1n6zIGkdlqG1KjVhHKS9ovSd
SK8laQrbeDW8a7w+dZ26h96sSLeQ5tIIr4K+l6VZxOpJyjlnbXp/+f6BKV6O
18HbJHMDBnHuC94lVKlzvA/uf8JznDNGB2SewgUM4Q1vjbM52k28nqWeZZlb
8f314Pet74t7u3iPwfe2/Z/i7iN0ib5C2XMsLwv+pkrwnW33s0y6whuif/yn
BRzbP8A7yr3f5tzRs4P3gM4Tr++pD8hswEnJ55xnPsNm/QO+WzzC
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9324016386450626, 0.7010040966126565, 0.3904450797996941], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtkTFLA0EUhJ+Ru9vbk0MwfyCFVmmsLbW28A8IqcWLQkhAbSSIoPYholiK
jZ1YpREEBX9DSmOhKSwEQeIM84pl597O+97uXKNVbe3WzKyJNY+1UZpVKPzm
ZieZ2cGc2Qj6fgE16F4wO4TnCjpBfRilp/AOUf8GZID9K1O9wvlTEIc8cslf
gufPNWdep9LrmNPEauMuHzjfgd6HroOzV+oOM/DOwDqC/oGnnsp/l5itpPI/
JOqhXgNjOcozQn1SaBZnsp+cC/BW3cP57GfvdhSXdTLOfe4tGMfQAe99ge4E
3Y059Vw/Qr8W8tC7WKr3OWhRk8d8mU8f+s3ntjHr1PN/z5Uv87yJej/53aBv
1vlP+u4f5+onh/kN/L9cYq95tsys8t7PTDPYW8CzGcXnm/4B/HFN2w==
           "]], 
          PolygonBox[CompressedData["
1:eJwtkDFOQkEYhEckLMp7T8TC2ltooYfwBtBgBQ0mWngEWgETLTR6AA0kUEOH
iSbSiQlUED0E32QtvrzN/P/Mm92jWvO8kZN0CHn4TKQPyO1I23CyKx3Dd5Dm
8FPiC8/wApWCtA9JJqUwQ/uCHtodlMnag0e8TyFqnlnzbFmUFvDK7A3O0E6T
qHl2QGaTgjdb7HOu0aUKV5yvs9jRXcd4JjAiewj3qfSQxs7ufsusA2vOqxAz
nGXNM3vsvSSzBX20wX+ms+2xtx1iF3dacc8//v0LgZ0iXOCtZ/HN/Ha+s+/u
He/20LowZfcdNmysN4A=
           "]], 
          PolygonBox[CompressedData["
1:eJwtkL1qAlEUhCeGZNd1XaJvkMY+tcTGPoUvINjEyj8MMQR7wReIinaKtRKx
skkTxQUFU1iotUXS2AmBfMtN8bHDuTPnzt7bXDFTCEm6gSsYRKQ+fIJ9KS34
TlzpHbYYTszaHt6w1L2QfixpxdkaklBhR+JaukenwIclfFvG33akF/I1yDrG
77P3wL5Xzhv4Ntz5BWP0CNLki5T8xTPDWyJzR/aRHXnoeKZX0O+NeQtsMhYc
w8YfQkfxuRDxzF0fttSL0gue0WdmD2SnrtFlfFV4giF96sya9Nmh9zD/f6Pg
rWL8cxz+AAtEMGE=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.94045367006724, 0.7211341751681001, 0.4154063772084441], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtU79LHGEQHb0fe+u3uycWaUXEQtDSStD+wGAsRdGYRhAMFioasBSSQsuQ
UxLSnGkDQUUwSIIYhQta2InmtFAQ/A+EvHdvio+Zfcz35s2bb7tm3o7Nt5pZ
BSeHsxrMHgGMR2avkd8if0zNbnCeWsy2S2afkb8DflBEPfJp4DXglTbhH4H9
KJu9QH4E/BPw98i3MrM0E96Buyd5s9O8eGPU9yBPES8S5KgpxGbB8Q+IV/ie
A96dqXezF2qHcHohfhBxy3u1QMMs6u6A/yyY1YvCL1HTQPzjfamDek4x698g
fvYZa5e2V4hL4LkHz2omL+jJVNB95pz/d0k8nG8zkTb60Q/dA+BZR6wXxLOC
mqrrrCfS2syh5dI13MTyjpznwPqch3yjkXrS+19eQ7+fwVUB/x5iNVO+m8gv
cv4D50TQ/A+4e4b8GXktyHf6XCrLa+Yb0LuWaRf90PbS98v952Lh3NUt7pfR
q4FYLaoX5zj2PbL2je9iBrEVeCfyEuKk61kJ8ogzToPjS6SaHGraE3GS+9A5
87HucQf0gvPwm3y77sNipj2f+K6/psLvwD3sb+Z7pB3Qf77TRfdtH9i1+/Mt
aH72Zf+FSPhO0DvgG2ik4uVd7mE5SBd3VXMe8o24h3wjzX/L389/yvl7mA==

           "]], 
          PolygonBox[CompressedData["
1:eJwtkT0vg2EUho+P9n3bF61ofwBJTVYDMzM6iqFqMfjq4KPC5mMRv8BQISIM
JMxsyo9AWpNvMyGuO6fDlZz3fe7znPvcT3dxPj/XbGY90AqDSbMBuA/MHqAc
mdUQFJrMlqkLcbN+hDlIpMw6O8zScBOaVWGf3gqs8W8ddmOuVU8f+hfufIYi
mikowQLMtJnNwhJ3LMIZ9TmEKe+vwkja7BgPv/hJtZjtcM9fgm8YYtYwPNFb
hwvOLmEcXtHXYVK7tHv9wT6P1Nf0XsEGus3APchLBk9ZqEU+SzNLnB+FnoXu
XOUsSx4ZOGHP05h7lvcVdGU4pOcA3pjxDtNx30U7ReyWwXNXI0NlqR11fguj
1Huhe73jO8/3WNpraXSXNNLqjSYi9yAvObz3Jj0TZfPN7J8GqjVTs7/w9hn4
m+ntlJmyU6bKdpt6K/CMlNU/5hNQDA==
           "]], 
          PolygonBox[CompressedData["
1:eJwtkD9LQnEUhl+0q1bXajDXaFDoI6hQe5CDH+G6CEJ/hqRMG9SMoN3SQcSg
uammhqKiIGlpzEIHSYr6AkHP5f6Gh3N+57znveeeRWcjs+6TFAULTmekE2jB
EY3WlHQQlGrwPinlqfWmJYf+0C/liAk0SSiTl8BCF0O3T56l7sAu+Qh9gfhN
/wtCtrRArY33h/Geo9blfQbzzEUgRW0J3QrxIujly+SDEDvAC/tEmb0lr9M/
hDhzMbi2vD2zfPcc3R+6J2IFTRWKZq9ndJvot+ABn3s4pj9Lb4B+wvzTHd/9
pD6GV9u7UZOZH96/xtP1fjQ73eBziW4Vn6a5rXvjRljao59mdhtNAfrMvUHD
9npr7t2o78CV8egw5zd38xEjAe4E/4t0Pao=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9485057014894175, 0.7412642537235438, 0.4403676746171943], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtk01IVWEQhqf0eu69555zM4JoVxshchdtahktozIhycA00mih1ML8QS9h
paQUEZFRpIEltOuPllG0CCJ/oIQKUokybgS2KCjCet7mWxzmPfO938y8M/Nt
aumoa19tZsf5KvjiollmldmxKv+E960xW46wEN4UzKZjszx4FluC00CAmzmz
b3yD8CfgNnPWBj4IfkDMk5Vm94t+Js4C3M15s1HwO/H5vhPnPPf2kG8btWTh
vy543jns3uDX+QhnzcQcwvZzZ5k4bVmzy/zX4E+VK2M2w921qVkh+HVenbp/
HXYwci0zxDjFV6aGbmxD5LgLfDHjefupeSv+afxb8M8GveP4VsDD4IfgI+i6
AS6Dv0aOO/EtBdyb91pV82nifIi8D9vx9yVmJ8DtkfdF/h9ws3x31Vs4reGu
dM/TixpqayC/cfcwWv7SqzPobELvAHaAOD3wJ+GPw5mEM4Y9gK+xMtxH0wv8
u8C3AqebPF1F55SwvxPn/MLWFv3eBXqTTz3+T/wl8Bc4U/g/8/8U/AnbB9/g
7K9yndLVAndj6j1UL6/nXeM1fPPcecLdxcRnqdmV0Fof+04eJc6OyDW0cnci
9hpUy7mc71458XloLh+zPiflmgOP5Vyz9ld7Jyzth2KftXatB5zivxP6nQZO
b5ivZtvJ2W3qvEqujshnpxlqHupPD7W/j92vc+lXHzbIF/iLseuRrmH4r/jP
EfMltjFyLdJ0KeM9WUh8JtKuWM+zHkd5RrMeR336wx40wV8peD5x68gzFeKf
JfZY6InervQplzQOhfe1SB+eZb232qP1ee/nI+15eHfax3LY7Uri1Mb+RvRW
tLua9Vvw7jB37fuVxPs2mngsxazmvD7nujTbkTBH9aA65N2Z+iyF7+l9VHjd
/99D2L0+bGfq9egtpjnfK70h7ZbwY3rSG3ZbO/4P9qOqgg==
           "]], 
          PolygonBox[CompressedData["
1:eJwtkrsvRFEQh2fZtXv37t27Db2QVXgkCjUNBd0iBMlahAqhvBuvRBQISolX
IyToSFQkNHT+ASJIREJBI/GMbzKKL5kzM2fmN3NOad9oZqRARGohDPO+SA4j
EhJxsScdkTr8Z4Uij57ISkJkGZrjIi2wDXvk9hIX4hsxkXXIpERaoaRIpBj2
IyIH8ELOM2Rd7sA0NHL1kvuf+OfomaV/BzWrsXeJB9hjSlTkw7PcTkRvoe04
Yf2z+H6wY77pTVPDw26nt4SsXhv5Oc694BCLw13K5k2Tdot9hG88bD3PmWPB
t11oziJ2BfOmoT8pMgAhz2ZXDWv4Nx3T9gY59IbRVJiwHeguFhybd4j8RezM
v74r8quYNU/NAMaoNR63nenutKf2DnzT2o2ePHYN96vhhB6nMBK1Xan+bddq
aK1hjcG7ZzGd8ZD7la71Vg26q66oaUviC4gtRayfzq9/o4RaxVBPrQbYiVnu
KjsIqD3v2uw6o87axCyN8IX9DZfkX8A9eQ8wA68hy9e/8OTZX9M37OE8lbK3
1PNyxGbQWVSDatE/om+rGquwp3zbjc4zgT3oWFz/1Czn34T9FX2vJLG8Z9pV
Qz/9bvBdQxmay+EPytRdvw==
           "]], 
          PolygonBox[CompressedData["
1:eJwtkssrxFEUx8+YGT+/GT+vlC2RsuBfoMSClGFjwzwoO2KBmQkLYWGBhcxi
5BHZIluMUpRmjEIp8o6wsDcen9v9LT6d03l877nn3rJQf1tflohUgBvWPCKr
MJon8uYUGcdu54psQThHZJPYiiVyDwf4d9g48SUYoi/uwNITgSi8kD+k7g3b
6RXpghj+BrGhHK2r9OupnaH31xRpwG+E9gKRNvCBm1yM+mVLz7CKfTJEnmEi
X8TvEpnCBrJFgtk6rvI/aPupz2B70OyGEMTQq2JeHzWtEEEvRl0Ue23ofAv5
WfrmIOXW+xijtxr9GqgjXqvmN/TsJdS/09+LH+SeH/ifUERPmt5C7DF3OIEU
/Um4pN9H7gKb4O4HMImeSSyJxqlX+ynsDblb8HBPEyyo5N652Cs0pzl3mV4n
Wi74gwC9Dkufpc5sZsYmWLTfYMHSb6LeJgzvfIYONEZsf9ir96P2FMD3w4P9
9vPs5Mqe/8vQ/0b9n0NmSUCaWg+5M+wOMw4y626+zqmaJ+KPSg8GmP2IWAU7
Kod7U9+nFH+fM/bUnUz9v14569zWnjb0ztTuMvANxfa+15nvH252bJ8=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.956557732911595, 0.7613943322789873, 0.46532897202594425`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlV9olmUYxp+5vX7f+73v+32r0ElHSSWLOrCiaEctgyLzQNfKDrTaJ4IF
WmwQa3NuFRjN2T8Kp7Zc87OoA6EZSGWpmKhBi6ikQZCxJFALOsk0qX4X13Pw
8tzP/Vz3fV/3n+d5F9ef7to0L4QwztfMN1QLYW1LCMOsB/hOoPyrCGEMuY5+
G+v2KN9TCuHvPITdTSGcRb5YGN/g/OfWENqTEH5h3VfBjiBtnF+bhXASuR38
JLiHiHkBzLvIG/CzFv3dJdueQb8KeQ58P3aPIq8H8xjy6ijvLYfwCbiN8Mnn
h3Ar+m70o+jXlOxTvtdjcyexBtIQDoMbxmcfvN6qhvAAnKfJoy9zrHpmHrJ9
GN9HsOlB/y36y+TwB/II8vfYXA9mBn/n2a/D/1GwdWK/ic9esD2ctYB5seYa
qVYthXMQ/7PIDeR/8Lmp5FqoJhl2X7VYr/3LnBX4/CkzJ3E7QJztcOhEP5ab
h/j8h/xR7rzG8b+z2Zxl089+B/vnWAcL56saq16q21LkvbFf13DeOc/6hXC4
ixw64NTBOkzdRjmbAttbcT0Hq47zTJNjrYv1VJzXE9f/CfGH5zL0NyPvSY2/
BGYcDpnyJb8t7HfB88mye6xaPQK3ocRclmM30+x5U32+ztwj9WqycO6qwcdl
+9+IbV/hvqg/B+PMvEcuR9lfBWYa+bVYz1nwTfMdSzHbye00+htZp4jxFPg/
8TdRcR0m0W8ou2fd+K4W1uu8Cr4d+V9816I8Af5L8G3Ic3APhWveqHgv/Unx
St3TovAszMR8O/HVy34h+KWJcynAbQPfhX40c2/E4TTY5ZnnsE5OI6nrqTs0
Hefkcu77Iz+qjeZPcXYlzlP5fgifJdicwOci/G1tdf1173tL5vF7q3NTjrfh
49c483vA7I+xdOcmYq/PoJ+quf4vge8pOdY7cJyNdThedt1V/5tYF1WcewP8
vjiTms3JOJNvc57XnG+F9Xb8fIf+DtZBvgvIQ5nrK/9XY7cZ3Br5If5glAdq
zll86rqbcD0Gh3OFY2quVPMHU98RvT2NxO/AldSxxUFvwOPxHVAf6lF+g/Mh
6jWHrxHWsdg79fA6OP1ArBtYX0h9d/SGDUR5JfIrmfH9+NsZ67ka3QeJbRdj
2xZrpXm5j/0s+ntZu1PfQd3FJZnlrtS91Z3X3N+SWe4CU604L71zCwrPpGZT
d1Vx1c+Okv8dW8jr1cR5DXP+G/oVxP0i95uiOdc/YVVmW3G/Ev8jmhf1VZzv
R/d5vNefESspPFe6Q99knhnd3fdrnlv9B/QG6S16tuK3WJx/BHsoN4fDuX3J
50H0p3Lj9U/Qm6736/nMZ8J8mnouFesQuv8B52jnPg==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlF1ozXEYx39n5+y8/c//nG1lm0upmZeQlVpu5IKYwnEsRbLNXqiNzm5W
G0MoIyVDpmy2g3vDFVemCW0NYRYpxYXNncW28Pn2nItvPb//8/59nue/pP5o
uq3AOVcLQuB2xLkB8C7q3HvwCPkhKI47VwK++M55OKzH9nIhdgnnengvDTj3
FrmPb7vRjQadO1fk3BS+H8EvYs2CHDEuYH8AfZR3j+dcmvcR/Ouwa0w6dwgs
x24F6Aibfhp0YluJzXPkjWBHzLnylHM+vq0Ufy9l36QbBRXYfsCngXrKeE8i
j/BtLbmzvMuJn0tZrcXEGETuBVdAEqTAY890ddg/Qe4OW75joJ9cWfjoxb+U
HAF0M7yfBo2f0+iryJcJWE2r8N/pmU4c7kLuwv4G9i3Y7Mc2jc8mdG9AFfq/
cFqJfBP9AvK+iHEhTi5iW5K03tRjDu43RMxXMTLo14XNX3zP418IQqCU72Wg
HQ66C4wTcRPyLZd8CpHTYatdnC+mnj0gAxr53gTa8JlH14f/ceyHPHu/YB4t
zDdOfWNB+5ZDV+bb/LUvi5DbEpZbNWSp5W7KZrmWXrLE3oL/ZND6S6Ivjdvs
5CPfbTHjXhzXINeT4yv66+g7iL/Sy3MRsFnUascCZtOOrj5iuyc+L/G+n7J5
ayeGU3YDuoVQnruT+fnLZ5B8ldSzLG47q93tQu4EPzQn7Vp+/qqhgvjVxKwO
WQztblPUalU9DehfE3MiZjeoW/yXMK7EmaOfV9i8BJ+w+QymkP2g7cAIsco9
231x4iPP+taLZqBZLMSMS3G6mfdw1HZP+/wA+Y9v8k9izCFnimyWuukB6j3l
mU4724z9rZhxoX50G7pZ3a5uXrffn9+nrdgPIM8U2WxlLy4P5u9BNzONfi5h
tvL5nbB/hHZX+5gkVzc4Ab5h+x0cjtruab+0e+pZvesm29H7vvGnf1QSecKz
W9aMxz27CcUXv0PU/SxqXIrT89TfGjE+NLM79N9M7iZwBvks2I5PDbhK7Gug
I79/2rG9+I7T6xhYTa9rwH8JJqiV
           "]], 
          PolygonBox[CompressedData["
1:eJwtkcsrhGEUhw+GMYb5sDCxopSxYaXIAllIZuUSQqKMHbKQYWY+5X6LXIf8
A0p2LCQWNuQWouSeUC5L1p6391s8nfc95z3n9/vOl9HaWdkRKSKZEA3DhsgQ
DIItQqQ5RmTOOscT52EBvu0iX9ATJ2Iy4CheJJe3ObDH2RslsktcShBZhDCU
k9skVwbd9Ljp3WLGNlTTVwWpTpFDamnEfPKNNpF+9HrBD8+JIh6MPhHrHCL1
ECLfxLugoWeoWSqv6n2GnhEgZrhErvGQTrygdgkDzHmlPsPMEHcTpvBXzLtZ
YgUevdCFl04I8h2r1ELEWjw68RqORZNzDdxDAvU7p36v+h6Z+QCZlv46WqPc
R+CTOQfkfoh+WObsY16IfhOS0U6CUnpvqZUR17hPoGtyPmPWOexbO/9Ar596
ANzsIQU2qN9Q8/D+A413eIM2/umAQ+9V7de09ljAjB3yLWic4uEYTiAI3+Qa
7Nq7+oYSzq30TNE7BuPwh/9fuLXrPU7jLdulPSgvWXjzxOm3qufF+qdFvDe4
u5QX678EiXnoXqFbSN2HZjv4+K42mDS0/rSh96X21o72CloBvvEfztxhLg==

           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9646097643337724, 0.781524410834431, 0.49029026943469434`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1lm1olmUUxy/X89zPc+/evftxtVwRkRS26QcjsFwra2BY6nLJtAZFtBrO
ZVO34UusvRQZMzE0e0Es1laaQSPKQsJ0mEWhYkLgC1F9agUOKvxQzQ/9Dv/T
h5tznnOd8z/nOm/XM7tt/cqushDCYb6r+O6MQ1iIIE5C+An+SWSn4L+tCOEh
FL6BZsUQOuCvTUO4sRDCcfSbSiG8lIXwIPwa7FaaPfwyzueWh7AZvr0yhGF0
WmeE0Ij8NPar4TdjuzYXwkm+P/ndzVk3dD+6Y4lka/G5E3kvOp8h3w7fh/xu
+B3o/AX+K4lw5udD6OLsKP4CvyegU2WSLUa0F5sV/N4YCeMKfAvyyVTyAeI/
ib+rOfsDzCPceYjz+ZF0LR7T35IKrw2dcXQG4N9AtjXTvRYS4zX8XkOuKsF7
iu8S8sPIhj3+r5HFkXD2EPeucuGcg28mjkb8nUC/oyi/lo80Uc5roB2xct4E
3wtOs90TvoEY6rj7ddAmfP2MfDXyi36X5/Dzndf0EuftjnMBX/vI12Xk70B7
sfkd+aZEcVv8G6jXTs95W0E2Zmux5InzcWz/AbsP34uRtyKfG+lex7jXBLJ6
vumgXjHbBeAdzKvfrO+Oee2shosS4TwKxjzvpXH4s6l6aTc+P8TXWfxWo/93
hWL4F3o/3zz4ByqkZ/r3EfMd3ucLoCv4mpDXIt9QUI1/TNRrhml98HlBOEvA
2VhS/PXYbSmpRlarA57zGuhIpl5s4XyMmF/lOtPYfhWr7ta/L8aqVwe+3uWb
Cf8JMR7iq4L/FDqKTiv8YKTcWQ6tR6zGZmsYg7H61vrXfJiv29GP+N1GzOXg
VKea2VnQHDgNOcV6JRX+CBjHU+VhItX9rNZWo8mc9FfBHyhX/1gfbY+Um4M2
g85vwzbP2Q3Ynytqpqt8Zi7mZWsYF4i/gnjOQ7s8z4bfEimf/WD+UBTOeehd
Bc2U7Yz1mfrfdk8V9ifgZ8P3p6qd1fB1dJ4Gdyl8Z061sPnPe05y0HWcPYN8
DN3RTPx70CHPp+2JW8A/DX8zdFakeOx+NV7r+ky7pdPxPy6qjlbPOW57G36i
MsVp+VzuM74DnOFIub0HnIyY2oktAeOjWDuwB9tqcBbZjKPbk+rutgOeiDQ7
tnenUvXDy9gl4N4ETgx9K1ZcnQX1kNV6qqSarMtpj72fiX8WnV3YNGL7GnTU
5/F7MFYl2iGPJNqDVscznFd6zGmq2lsP2O6sjGRrGDMi3b/b90fkebD5m3B+
wHM+SGzFRLIlkXb5TN/dIz4Ll8FZFisnS6HLna/2t6LK93lPrHm3PbHf8zmd
aubN9zj8QKL6bU312+T2BlpNbE6sJ79EJ8cdj0CPOt9Prt72mbWaX5+ob61/
rZcnfV7uLSgGe/dsX9hcJYneFcuVzdA27vwr+nvx15cqHovrUKIcWi4fK0hu
56dc/kWselvdn0/09gx4f1mvWE7qkNdWqm+tf8/4DO5Dp4ez3+xdAPthf6+b
E73TtmNr0dlU0Hx+kGmP2x7+paQdYbviVs73+KztzvSG2Vv2Zqx72n0b7N4+
v/Y22h43nKFMPsxXHT7nFIRp+7jn//8A8C/4Ha3H/wNCeQzS
           "]], 
          PolygonBox[CompressedData["
1:eJwtlElIlVEYho/Tf+/tXv1vWtG0yBZNm2gg1MoSAsOSwLQICuJGmVJWKqk5
UIsKG4wWDQSKUjbYAGlhE2hWELhqgGhYtGogXRhRC130vHz/4uU/3znvN5zv
e/+TnThQUpXsnNsJUkEi6tw6vj/YrGE9mGEH5/gMT3Juaci5JeBU2LnTYBrn
b1Kcq4XTxv7XOP74bktybg32s4hzT0E/sR6B9fALQQaxfLAVzk/4m8BReJXY
VfhOxm6HP57uXDX2NuwJ1lODfFXkOwx3MObcAGgiVjNY7Tu3krPv4CS1VFDj
GP4T+LfgnwXKU+w+V+HPgL8w1XxaPfORr3LobsXYQ/iOEGMXsb5ELVYTdiv5
I+SeA3c2e+8538FeBf6VoIvYhzy7m+5Yi28HMf8E+V+Tf4S9X+A5dx8CD33r
ZRbxz+BbC6cGvCTuK7AZTglYhs9y8CFsuVVDF+dFnOVj38duTsMnbLXGsD9G
bYbKrR5MoRcvQQH8YjhDrD9FjSufF8TKo55SF/SI9fSo9UP8ebo/dg72OJyw
9ELNA57VrNr7yJ/J+TD+ZfSyOmraksYi8BpAPWhkvwk8hpOaZvluaJbUkAt/
EMwi31LP6lcP2+llOfYecBZuGzjmm/62UF8e/BnUMB1cg9MN1oZMm+Lkk+8z
dgGx6rAXwZsfCnqBfYBYB+M2e9VwiPUd6ikjfwo1PsKOeqbVxdgj2Nd906vO
+7FjnvF1J91tNG5aFqeaXImwxVe+Gvr/D/svOIuu2kBO0P999KOb9f6QrdXT
B2HTmLQ2ir09ZDPX7D3sJHJfpEcXQC+x+mI2A81CGpVWb/mmNem9h/WJsPkq
xhPq2UCPikCCWLs806C0qJ6qt7/hjIEe/G6D3OB/Us2qXTPT7KSRFfQuJ2Sz
Uf+bOG/xTX/ay+WsLm5r7dWznkvt2eAtvu/AHmrZDY6wbgTZqifZalbtvWGb
xzdqOI7/lTRba0+z0p10N/0jG/G/FDEt6s25zLo0br3Rm7GXWB3csR10UkNX
hv2z0p/exIEMm7lmL59O3zSh2Wu+d4nXkG6zUY56vWXpVqtmrtnf9O0tk0ak
rXueaVGaPB+zN1Jvpd4IvRX9QXzxpa0szjIn2Zuqt3VBoF/1byb8Qs/+TfUo
E3uVb/+25qN/Ow580EzcFvAf7D69ng==
           "]], 
          PolygonBox[CompressedData["
1:eJwtk0tIVGEUgI814zXv3LmTUm1cpJU0uSmrbeAiLAfLRlJchDQ2KigFFT18
lUEPUmdhGRQaqVNQgQuNjJzKWoQthKhFYlCrpKBNIqmt+n7Ov/g4Z877P+dO
YeJU/OQaESmFIDzMFklDeUikZK3IfuQeV2Q37IWDBCfXibyDtzCHLUTcPDKc
I9KEnu9RJ1fkEdwivwzbV0fkL/5l6CC2HTqhinpn6VeB/0RA5LYv4kME8qi/
HjzqJanhI7eQM0tOMTKOrxpWsC9DmpwWarRSq5PeHfAb/RC5M8zRFcEOl+Ew
NbrJfR9S/wfkG+aYhjbyutlFxthgGobDIg9g0PrmWVY7+W1QxSzfqBdHfsF+
Cf8YOQPE34Fc3pygR5AZfeIjsIr/GLYV5A9mXIAb9L4OGeoE8L1GvoBJeEnO
ceo+Q1+iTh39RrD9QV/0dNdm55vQm82u6Nls93uFuCR6I6To1we9IZ1zB/02
2pwNnu7b7L3S3rre3AY95uqMZtaAp+/JRqbYeR+UYa/LEjlDbpej878iZ4rf
GWigTgL6fb3zAPIeM96FWuK+06uSvM/EfoJh9M3UcJlz1N51xNf9mD25OfpN
hJlhiHffhzS2Uagh9yf1TlO3mP1vgyicx1ZC3Dnsv9BrHY03eR/tfh9zv0Ji
i2CC3uPwz94qSFwPuYvkppAXmOMiPMX+xNzYUV8vvijsQ49Rdxf2Ukfvbu4/
RO0l6g0ia+zbj5r7UKsJrvJ9LvDeaxH9rs33HXP0Gzvi6s7M7uagANt2+0bz
1h5sN2Gno/+TrcQfsP/l59jyeH8+/Ae0uYF2
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9726617957559498, 0.8016544893898746, 0.5152515668434444], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFlllsVlUQxy/tt9z73X7fd2kLQnhQRCUUHhTRh1JFArKjCYZqkKgBERRo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           "]], 
          PolygonBox[CompressedData["
1:eJwtlm1MlmUUxy943u7nebif+5YQoT6UW+lKPqS9zLTmmpmWaZtt1Mq15svS
NBCCWrPRC9IsKcNMxRdMESFJWmm2ykRJwczmNCiB1mZ9oom6tVqvW79/5/7w
3851nfdznXPue/yiygUV+c65JhAHR3PObePiszznjkD/nLTz8phzJb5zT6Wc
+4NzOdiSdq7UN95+5M9knLsncG4GhurBV+imQrO1mXMBdC0yNeAEdnrBR55z
lfD/wt6urHNT0H+c81Lkt0AfLHDuAEgglwRLsLkYvANvE8iGZlsxKtY+bK5H
/xpiWoXe++h0gkZsvwEKoLOghRh2gkvcLUK3EJ1R6K2B+VYML5PfRe4KsVWF
TIB8JecKUA9vDeiiRn/C30jtfkqQFzKd6C7mzqM2HdhbiG4Nd88SWzG6Y8E8
Yp0PjsGvRfd5fPZAZ8hnU9xqdgzbr6PzTNxi/BJ/p4i9Dt4Y7P+CnU+RqYL+
l7tPoH/ARgPyuzivI5YGYliC7q+cn0Z3CP6aiN+A/EQwAUxCtgyMzVmslcjs
Q/ZF/NeBw/j+ApQRXye8E8hMxd5NnN+LzndwvgUZ0nL71RP4buRuHbieWG8A
j4b2Nr8jX819DJm5MatZmvNI1nJTzCexNQ7fR6CngRmcR4lxD/Z/w2cHtt6C
X4R8KfzT6LeHxisGo+TSGVguyqkP/RX4O4TsMOdy5AeQycTNpmynfHu7ZmQu
JK2GqpXeaC10b2BvVc/dcejdWetd9fAO7Mc4H863GqgW5wObBc3ETOj1Kesn
vefxtM2I+HqzYfhD+B8Ey+AtBy+A1WABdh8CV5FfEtlD+CuEng5vDnQ39rLw
H8D+XLCV3LaBm8EO5NPgHLn+GNVPd0XoT9YsxK2HynzLWbmrB9PwT2F/qbMa
X8Z+XdJmXztge9Z6SPWZQu9fQX4CNjbCO8BdCbY3p02+RzOCzDJkBqJ6K5bZ
SXtbvbGHvTnU4O6oXt8h34FMOxhilodBK/wnonqvTFlOyk05KJcazQvYi992
1dez2dbMaHb24q8NzMLWvaCYeG/Mt/0VwP8G3dtiNiODgdVQtZzH/XywImW+
FcNO4h3xLTfl2Iy/Vzm3RP3biJ+RhO0GvVkruSfGsCMTVlPV9m98TMyzHfIP
9OcZq90l5JuR/9qz3pZN2dZO1m7QG3VDX8xZr6umdcj2pKN9FrPdlYe/g/ja
Bz8fOiCmHNhNDK1gUmg8zfRsz2ZG9jTTMzmXwz8dt5hXcc5QszTo1+yAQXDe
sx2iXaK7/uhOvMuh9YZ6XLPwcGizI5uPhNYTqp9PzGntQ3A0ad8IfSuqoat0
JpdacEX7M5p31aaPWHoLTOd/Xex1gyZ0N4Awa/11Pz6v4+1KA+uHafifHtg3
SN+iUmSvBh9gows0YXMDCDO2+1VPze63Ub9pZ/RDj0+ZbfkoxNdzKds12vkf
cn6MHM/ErafUW/IhX+pB9WI1PsbF7Jt1Ur0X7U/N9O3Q13o26+9iowRbt3pG
KwbFciFhvaKZ0exkPNul2qlJ33aGdod2gnbDOe7Ogg3IvQ26fNvV8infFZ59
KxTTWt92unb7WfCgb98IfStUI9XqrsBmSzV9jfMrOdvtynkh8X4c2CxI5k38
r/bsW6Ud8WRoO1tvqTdtgj8r+n/QTAxgryVnva6ctkPnPJtVfe+LiOc+z2LT
Tp+MvT0542um26DbPOst9ZhmdWqUz/f4WIn8S57R6nnN0p2B9Ya+ufr2/geg
dC/R
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFtsy1EYwD+zdmv/bf9LZLwRZlm2Ry8oES8WWS9hCSGRRcywyFrt5t4w
l3jQelhLJW5bK1FsE2JLJtiFGR4siBDVBy/ejUlcE7+Tcx5++b5+9/Od8+/i
HdHmSJmI+MEBe30iNRganCJjGMbhiiXyE9tV5N1KkXvwwCsyAvuqRErlInFk
ithaarS5RD7iK8J1bHl4ja2dGi7qn3dq3fLwG9ywEf8GmCRneK5INzkd9HPN
EekiPoIehSCUyA0gW7HvhFr0pVBj6f7l2HrdItcgR78f1OtFnsOfgqSpW+Ac
u9G/UG8X8ij9E7AfvQsOgBdfnrhGZlwH6yGmbPRIwlm4ZTMbO+hHXoQ29EvI
GL44bIUtcAJbC75uW+9Q7TJHj9/U60MOQxmzDiF9xNtwG30b/kHm6qxgLpjB
Vk3cV0v3V3Ocxn8K9pjzNBO3BJo4ZxB7Nfb54KSnA35xjgA1HiLbVR6EzG4b
yXtq7uEJchwmIM0+e+ADdzODL8NO0z6tZ5H3qTUECYd+EzHexErq+qEAN+AP
dV4S/w/ZQL9p+i2jX5KZUrCCmOXgwjeKbwG+yw6d85ecPnw5mAf1+G1sFnke
9Saxbcc2Su4x8o7DIlgIIWaZYqYg8qS5Bz/2V+RPwypy3pO7xtJ3pe5swpy9
jrhNxEfIe0yPRzBi7iqBL0PvNKyt0DVW4/tO3jP835D9+AZgUr0B/C/Y0RQ8
h09QhCNu7Suhh4kLQb3ZTx1ygDqD1Lvj1ftRewqbM7VW6m9RfZN5896L7KxA
zZsQVueHzdQJUC9udqh2OWvmzDr0Pan7sogbI85t6d2oHR2k12d6HUaecWj9
UJX+ZtW3m2buHsh49P/HLDN12HpvUVvfgbqLLPoFaEJv4W1GyH3n1XN1or9B
fwv/AcM1nhM=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9807138271781273, 0.8217845679453182, 0.5402128642521944], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtl32QVXUZxw+w995z79lz7rGlFZQZoskyRRHtBW0qlMQsZpmiMNGmSRHN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           "]], 
          PolygonBox[CompressedData["
1:eJwtlmtMlmUYx294eXmf98TzGI6w3JxbLUo6aedpZSZmOViydQCbJcZUEojC
WSt4R6DwJUPUgaI1qKSNlm2VMfui0GkzswaVQEtsq1DzVLloK/v9d70f/tv/
uq/rvu/rdF/PM3tVzfLqTOdcF8gC8aRzq0PO9Wc4ty/m3AGwFYMa1vI9565O
GtfaD9nOlcWdK4avxL4k4twsbOrQd3PYZYFzRb5z98K3gDx0k8gt3NOGfBJe
Bwawv5y1WvghzpzFWa+Cjdw9keNcgO0e9L8g/8j94/Ihij3IjZqv8jnGegvY
DV+N/RfoHmZ/Y4bJJfCjwOO8Q6wVYtuUvj8DOQX/HpxSfMgj8HXgA+SlyGvg
i9PxNHPeIrhPjDuRC9HP5L5POHMf9qTCNYSdy0R+CrmTHA3hfzFySvllz/Xs
/TPhXDlyH/sPwIsD26/7lsEHk3a/8pPivH7kInS3cd678DbiOR0yf4bRbyPH
HWA+dVkgJM23buzvhp/xLfezWTsNj3FHBvIc5Ch8iPMy0/n+GX8jSdPJfw/+
W3q/avgd94WwP8z9G7F5n/gPx+yui6yNoY9HLTbFeIH4Rn3zV/k9Bi8PjCvn
K+DbqX8ecisYjZoP8kU9cFy1TJjvzdyRgo/FrJaq6Tfou1nbBf4mB1PgzRzz
RT59jW0VZz4Ir1BPcn8HhcpD/zrYTHwTYYtN/d2FP0/7lnvVoFK9i74ZrOSc
J8Eq32qlmlXAy9hzhLOfZ88/5L9ca2A+tgvA4+i/Qv8Xe6bQ1+DrzSGzLyD2
ElAMrkFXADaDTaCetQ3gDDw3ZD09xHl/4LOPr0Xs34FfA1GrhWoSJva3yEGl
8gN64BfiFq/eyHrkOfhzFN1C9eo0ep49/Zw3yNowPC+w9yx5HvbziGUu6ARd
oCnHaqeY69CH4tabi7HPJbeTcXt7+aydhN/vW/3UQ+ql7VHzLwFeJr7X2JOC
V2J/FvvWwOQK5DZ4H/Z7wb/E/R/owebRTNv/BvylsL091aMO+1786wF91P4d
cNy3flMPTqj+mm+gA5ttoN63WaCZsAH+rGe1kj/t3Lc/bPEoh6XYr0/XX/1R
DW/INl8UUxd+XvRt9mlmjKArxKfGkOV8CWefDeztyp9z8BVJy/8R9Peh/zZs
vaEct2vWxO18xbwL/hD2vZn2BuZivyls/Sr/X8C+2rPelr+q/dKI9b7eQDX+
jYBh8Bm6z8EtntVaNc+Xr8iXMuyOKuTrAptf8m8RukZy16A5TR+fAD+FLR7F
24mtpzedZTPyWuzfJgcz0vP9CvaFp1luleNa9DujFtsU2IM/72E/Mz0PCrHv
Te9X/2u2P+Fbv2km5hHbl571mt7I7+yfHrFelE0E+ZHA7tIbfAz+XLa9DdXr
ds66iv33hG0mHuT8teR3i/pfMWHbFrPZc4dqyNk3ePatU75uxPZ83HpVPduO
fjzH6q0cjsI/Qv8h8DkrAFURi1Ux7yb2U57lRjFOwuOBzW/lMAF/wLNvh2pQ
krRvouZjF2s56NcEVivd16DvNejMsngOcf9kwmabZtyvmqUxy61y3I8/TXGb
JZopr8DHfYtXb3YMfswze83oEfiLCcuFbFpjNvPUr5pptehS6f5RDp7Bt/qY
xadv/EHuc/h0iTg+xm4ABDGrreLvQX9ruh/1Jq5k/4ykzXLlJB9+V9K+TfpG
3QlfFrF/Ef2TlOLLpzHT6xsc5axzOfb25M95eAs5bwbL2VcKFnrW28pvGefd
5NnbUk6nc/9+3/pV9d0asZwqt/pmDsIj6X5XD6mXTmSnv5+sJdEVeFYr2eht
7A3sPsXXB1+HL2tBEWcvAf8DCAk82Q==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFlIlFEUgK/LOL9OzkxYPpTQAi1oWGoPQUZvmhIFikX5YGUlaja2h7Y8
pJkQmDrRoiQ6hJobPbgVleXWZkSZQqNBFkRgD9FoWWl9h/s/fJzz33u2e/5z
77J9rpTD/kqpZLDAVatSbjg6T6nYAKWOIPsdShUGKtWHvM7eDQiEAMgNVeoK
djnI79imo/uQ3XAPap1K/cDXgxyyK/UKvNhm+JEjWKkx9HG4iW0Eaz5DqSr0
anjGukFxgUFKFVFcMRwgzjDxspBe1scglTpSIMum1DbszxK3izyz1NKJbIcO
OGTWuoMcUdisgXLOlEm8JPxj0eNgEfvlrP1Fb8KvGdLY/0JsFzmK8CuGt8S7
T7w3yEp83PANJmEQ+xj2XJxjjv1ZqKL+BHrswTeImEPsByOH+X4XrPsq/d0p
vSL/LmQr+RR2d5EXpA+wCT0eNoIfPSsz9FnkTGnoZdhnk289tnEQgr5fciFP
8n0C8mz6PPnIheRMIM5m/Hdz5nSYz3ov+0tlj/VEaGJtjrXjrNXz3QAjIdQO
Xy36P9c5ta34LMeuH/sF+JWCA72e+i6il0A3ehecsuoztrHWRKxmaqmhL3Xg
gRlsfkEu+mc5m/xLU+8hbwU+ldBD3Y9gwJzXF8RdTcxVEGnTs1RKnDCbritc
5oVebJeeUm88OM1z2216fmWOA+jbXnL5I/dgkwGXyfuAtVHWjpl35alV/3uZ
gSnq80ESegu1rKMvUdhGQrc5m58s+j7IvQhjvxq7aOkJ8TvBwvpL7GqxW+vU
cWKc+t7J/ZO5lPlshd/YtSAHqXsA3JwpnD72okfj04zvFkPXNGXeB7kXhYa+
TwexeU7MAvQnZh+ln5PkNlh7bde1yxm8rE2T77Zdz5fMWSP9bwAvvUhlbxyZ
KLMDW6khmZ7myYzLGwLXwKC+fHwLsd2ATwFyMTEiwGfVccZYO8f3+RA9+3IH
7phz2IhsM88+YdFzKPMob4K8DSup1cXeCuRDznmafGeI245fB4xiMwJ/HPq+
zzp0bqnhsUP3ohd5C9sZ8tXY9H+R/zMSqv//e2Q23zngppZKqIAGcrmJ44+e
ie8g+/+wVXxPcKaP0EfuJdh9QHeiO8Bj0e+Cgd1PcpdRw7RD1yn15hPHBcPm
23MJ+xL0GtFD9dstb/h/Vi/WUw==
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9887658586003047, 0.8419146465007619, 0.5651741616609446], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlntQVVUUh4/IPfdy7z3nHk0tFd9SlCKipEXRVKPZTDOSKKmINkNJSZaa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           "]], 
          PolygonBox[CompressedData["
1:eJwtlVtsVVUQhtc5Z3efw95nn27xQoQaKMjFh15oJBakvqCQ8ICkQQyEBzAR
sC1Iw608gBBMSr1AC21NSIxBQkMtDa2Y2HILoailkNA+qAQ0ChijwFNtQ/AC
fn+mD38ys2bm37Nm1swufOvdyo1J51wd8EAcObc25dxHHF7znfst59x4DJ3Y
hgPnzqI/wr4f/RL6c+OcK8K3jrMZGecW5Tu3EDyDPAGsgK8e2yn8K+Cbg60c
vnXgU+Qs9hB0wdUNngydeyxfOJ9CnhE7dwzfsoRz05Fv8r0b4FjauTZwmm/0
gpP4doFGcAB8jM9++cE9j9gX4WtDfhUsAEWgGMyHs8Azn3nID8mpCd+v0J+F
twaOanCA80bQEVhtVKMI+xFiLuD7GWefI7dwtgr9Bvpr5FEMhpJ2pwZsl4k/
jL6d+Jf5/j3OJqP/jL6M2t7PgwPfI5wNoX8IZxN8E9UT5OKxfFXPIuQ0ufng
x6xz18FSYm7i+xOoRK6IrDfqUcE4q5lqV0geU8FF5DrPYhRbGFrtle9k5DRn
Pvie2B/AwsjuqjsXkXt+bNzn0F9AP4xPJbGjnH1CfAdYiZzD3o5cANckcA3f
QeAhp0A3cV+Ckth6oTuWxnYn3e0ib6cPtOLzBnwPwHpy34etHnRh6wZHfbuL
7nSefs3KWG7HlYP6m2e1E39HbD7yVQ/+VP6hcesbO+G67Vu/tsE5l7u3orf4
9gb1Fl8BFSBHXD4YwFaP/yr8R8nrPJxPo6fQd5JvLb6bwD7yaACL4dyVsn7f
JfZv/B+Cd6hJFfiAHjWAQWKHwO/EeJ7VvFz1CK3Wqnng20xptpR/M98pi4xb
b6oUeQs57aEeUzjbiuxlLFfl3Mx3bvPNJzyb+TvI//K9f8AGYjeCfvi3JO1N
XiWfPwKrr3Lqx783tLvqzmfh7smzt636ziS/JZHVXzthJfLJnL0nzVsn8khg
u6YNvufpzyjfGAHvcb4bTMtYL9STAfTv9H7wbSRmEH1ixrg0w/+Rq+OOj0Pr
mXo3HfuZhMVH8C8KbVY1sxuoVyc+J3x7U3pbl+BvS1pMn2YrsHqqZ2VwfZNv
s6l6XCHPL7hTOyiBqxQcSlu9S/Cphm8gbb6qYR+xLWPvWT1bkTZI1o58CXsN
+VUL5FQDfiGH/oTl9GvOZlizrJyVe496lrJ+36H2X+fZLtBMvI7t7ti+0ZvX
7L9NDWYlLGYtsh+brDMPOREbl86SyNv5xjawiZxqwdXAaq8efAv/QWxNvtVc
tc9yvxAMI/8F5nJeDpbj8yaoylptVKNW8qmJbFdrB1Qh38d+D/TwnV7tq8D+
PfoHncnZTtBuqON8B7gVWK9mg2HO1/Dt1dqPcF0Ht3K2C1RD1XJ+ZLtYMYpd
6tvu084uIc/T1K8X7MX2vmodG7dmZCry5qzNkvKvRZ409v70ph32ioy9Zf3D
pqEfCm0Xaic2I4/49m/TDGmW/gddVAIa
           "]], 
          PolygonBox[CompressedData["
1:eJwtlmtQ1FUUwK/C8l/aXf5bCearsVEbp4fkaGbM6GhSzvRyQhR5aEWF8kih
EmwaQ1kKdlMWmCmb1Gmsaab6UPiIV6bNmGBWPjKRVJT8kIBCmRKRZf3OnPvh
N+fuued17z33/veO3DVpq0caY9aABxp8xnwOn0HCCGO+8KILoINEx5gnY43J
dI3pZpwaY8w2vzHD2PwN6ehy8Vkfb0wh/kWQj+1ifFYhxzM/ATbcZEw5XMA3
nRh/ojtM/GbGb1DEM/g/C8tczZeNnMPvubAHv91wHrt+5rYENabEzsXuKXTP
I88kGBNgfBrZCT/DWBgD1fj0MBdBFsVRK2RRazcbsQw5mrUkwRBx6tA1kS8F
fTzjKPrZjB+Ed4Jaw7vIR7BdCMtZRzXreAi7ydQ7BVajexH+o+aJ2N+ghkoI
wSl8KtANU38ZtqVwBtt9xDiHPIr+CHRjV4XdBeRHHq0/TN6D2LfBfZAMo7D9
ijo91FdDDZvhW7u3h5C1rDUKTcRZS4xGZAd+J6EdHwe7jY7ul+xbOf4d2BWQ
qxP/U9ABOZxzLj7TGN8LScy/j10ichX+Q9SwlXhbsdlmkfEWdIPM5WFzJ7HX
kW8u/j+wx0cg1qf1O8gF1JkK+7FLROelnjhw4BrzV6GQHkomxgHi3S5nzHgY
/TjG4yENzqJbnKD24lcPWcT7kHqijGuhBIphie3hCHMd9mxOunoGchYnIIV4
G8gbpt4IZNveWeTo+ck5jrb7MYPae8jdCzuxbYAAujxi3MK6ZxL7AeyKWeet
jEdBD7EzmL+IrIAQVOIXgh85+z7so8T/xp7XAWQd/vVQQJ58KIIqanobn1pi
RqWXba7pyBHMH8bXIFuopxXuga9ZezJ1LYBUuffij1k8Yx/4YTLrTCNOHnH2
8Xs/HCJ3O5T7dX82+rUvpT9H2lzbqf0TcnwMYWr+nfqeJtYAfv3wGHFex+5R
5HH0x+A14ryC3QTqWEG+ReRNcvQ9kndJekZ6p40cMcwdRDbb3q539L7Lvf8e
2+/gJeYymLuLuVlwnNjTfHpP5L5cZP5XGIC35K5iUxPUPa8L6p2Vu1ti4xQj
57HG+RBmfdVwIqBvhUf6l9inGS+UXsWmCDLQL4W1+GYSowzpynsLN8Mc7B/G
bic2DfCeX9/a7X59T+RdmU+tVegyydVKPTcY70W2sRft0G/rv+zqucj53O1o
vlJX90L2RO6X3LPldm9zkJMcfUefY9yITRNcd/T9+QXdm9Jb8o7aM6xClhKj
LE77V/r4ZcazsZ/F+Lx9588h46jdgauM/4ArUEN/Tcd+kL27DZ8rxH6cnE/A
v+SNoOuz5yLnE7L3otfVuUvIYXxmUss84lwnzj+wS/YQ1hMjhvxfUmcEu37G
P3n0OyLfkxXM/4ZvyKe9KT06hrPeQexxyCFi/iVnQaw0at2BbwxxYqHWo291
F7UWM19ie0F64gVX78lKV++/vAP3ezXuWOLmB/VtLQxq/8s9GGJdOcSLxc5H
DH+8nqecawo5Spmb5NW9kT06a79zA9RxDP1RKIEPsIsyX4P/Zqjw6RorfXp2
coZhuxfVyKUwkfmp1NBCrFZ4lZzrIJ25LuyWID/l9ybsuqjzGvs2CC3omqHX
vlvGq/sl+5Zjv4fZUktA66oL6DdIvkXydsgbUmD/J0xxtN+k7/bCLjk3ZB+x
p/I2deJzifFl+B+0Zzkw
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.9968178900224821, 0.8620447250562053, 0.5901354590696946], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtl3lwV9UVx19Cfu/9fr/kt7SClGgoECHdEaWgEBAqFLvYWgoKAkHoYpMy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           "]], 
          PolygonBox[CompressedData["
1:eJwtlmlslUUUhudCe5ev9373IlS0AkIL1iUB0dKyFCEiChHDoqWsxRAjoSDE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           "]], 
          PolygonBox[CompressedData["
1:eJwtlEtIlFEUx8/ovHSc+ipbRDrqqk02WubCrIU0lhCRomQJLooWE6ZBq8gC
bZSe4/gKWpQKWahtrKzUAoXK1B72giyoSCmTooXmjFLa73K/xY9z5p5z/ufc
xzcpByoKyqNEJBdsMBcn8gfCsI5AbIzIJreI1yIybRfJwN8Md2NFemB+uUjI
KhLBRjlFiqNFflLbS6wP7A50oZ2aTmI3sCXLRPbDeUPkB7UXsZOs59PvHP2+
4k+AjfUm4lbsOL0/QBJxD6yn1wn0cshbQMtD3l82UM7vCrfOVTXTcXqmX9gp
fn+HXOKVrPlUrTn/GvSG0RmBNvxWKGTub8x02CWSjf8WPxM/RKweYpijhXOZ
I/YZ/S8QQrMOghBP7Dl5YTTnIJt93KdXIWuL9G3AF0PPpGYLULOKHj3Eq/FP
qzNjvQOekl9J/pCal5o6CEIrPWo55zvo3wa7eWaJaLyiLojeSnQMWOHW+1P7
XOvU/ZfQc7IPB7xn/gLOZRzbgU6YeJehZ1d7aESvAYS4hzwLtp7zmKFHCBtE
ow724RdDCewi5qemi943qenEppGTDhHiYfCg/Ua9DZs+V3W+Way/o3YrZ5uM
P4qfhN2DVj4Mm+fxzKHfknpTg5zDAFiYuZFYNLadPtegwZzzIPkb+J0K8+a7
iWC3mHeTZej3qt5tGjVeyMQv4px3U/Ob3HQ1FzPMMO8s1JATgFLy/OSFyEs0
95SAHVN3oe7Uqb+B627dX82R4NSzRhn6/tQ9HkJnlh5NLj272kM8ed1o32N/
HuqTYB4/or5Bm76rTjReU9tEXiLrJ7mfU7CE5iL8gwliR9X3QXwcNuIfY6Zk
9HeY30WqU39j6lvLZQYfbIcMrt7Ovi3EBabQziY/gM0j/pGZffRvJnZJ7Zfc
Kmh06f00Y2v5XYrfj98LfZBHn52QYt6zF40x8l7CJNpF9JjAVrPP1bT2kfuE
WYcg3Zw/za3vXr2Bs+RuY+0MthuNW/CQeR7AID3sxAawezmPT/h96Aaoq4EW
anystWFHqBuFfpv+n7pg6Peq3q3fpf8byrBl5ByBF8x1nPOtYv5HrD+Gq+hc
Uf8NrF0m5lX/iazbwAoL7CeH2v83Wsbw
           "]]}]}, {
        EdgeForm[], 
        RGBColor[1., 0.8855837486229107, 0.6292195286679575], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFl3uwV1UVx8/l3t+5v9/v3nPPoSRG5HFBC5iJC2IBKsQFREUDeRUkClRm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           "]], 
          PolygonBox[CompressedData["
1:eJwtlgmwzmUUxv/3fvdb7/0WU43Jlq2oyZp7ZSy3G1ckspWyFJLsmiGyTLmE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           "]], 
          PolygonBox[CompressedData["
1:eJwtlFtMznEYx5/i9aa8vX9NhYnClAuZ0YHZSsnhxszGVUdXzSk2TWJTadT0
uggbEzaHuOggh9y4yIXLxEsHFzpMXShTWqTWxufx/C++e57/c/49h3/C4ZID
J0JFZCfwgD6vSC+oXSRShiI5XOT7ApExsNkncnqeSCr0I99BkAB/HFk8tAe/
bjDhF6mbLzIOnQwT+QmCyLdid564R/i+DV+BTzv8K/A4UqQRzGFXg+8wvgG+
60C9Q35k16FXyRkArehPIWuDZuPTR607IqhvoUgpiAUxYAmxj5ErjlzlXvN5
ik8scZeCbGyyQBWPb8fuLXa7iJ8DCrDbj30RtIy6z4B++EvIvkC/+q3WEb/1
Qntykxp+U8staDO5W0AJ8lTsNmK3GESBveTZAybJO4XuEW/LwbaWGgqQr6Om
RJCK7D76OPQ91NsLCsAQdkXQNcxnbbj1UHtZjW8DuqPwSfg8wTcROkMNs2A3
/Btk+eiFOkLAM3zawAvQiu9z6C/s0qltGjqA3yDIo55ckEYfg7xxE2/s4rsY
PoTe3EF+F3wiZiU5/sB3wr8Dq4jzANlKx3ZJd6oZ+UlkTdAm7Rc4RLyDOkPs
+tFVUsNLt65zHpuVzkzr1vrzeEcHdjnY3+O7GL6QvOP4TIDV7n5Gh9k+6F5o
D7WX8W5NaegG3LnOem0PdR+1/zqHcfhYdD+gn/nuA3PUuoK4DdjnIR+Ez420
Xf+/8+4N/PXaDusuR7nzjwFJ6KKhocRJoX9Z9EPgQyKsX9q3aXwrsPsAf5m3
D8GXO9Yf7dMNZCPILiKr4bsWTOrdIJvy2y3qTb73W5yg33ZYd/mhY3vXCB2l
trFIm7HOOp2elfKeNJ/F1NjD8B3I6skZYN/qQL777tcem53O8ILPbrvS7b/O
ocqxOqsd20HdxXyf7Xqhz+5Q77HF3Ycyr92w3nImMXu1P8g2wGfA70O+he8U
sMxrN1rotx3WXe4iVjJ228gzSm1joNtj/5BrjtWub8jA9iw1ZEKHsR1xofws
dtvxmXHshvWWR+GTkX2DBvBZTo5O5Ffg63zWQ+3levfuMtH9AwPDyK0=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[1., 0.9113502491738785, 0.6775317172010222], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtmHm0VmUVxs+995vud79zz7mYMctYzArIUMtEuShcJhUsaFEoKlYLC1qr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           "]], 
          PolygonBox[CompressedData["
1:eJwtl2lwVuUVx5/kXe675M29aBcQaIhaFcImQtNOW1SIEDYVtdBRI0HjhzIW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           "]], 
          PolygonBox[CompressedData["
1:eJwtkLsvRGEQxc8u614ry1VokE02JN7bKbX+gNXQsuhQiP0TKKg8in0qNvFq
RELhWXskElFaUYmWSrziN/lucTLzfWdmzplJTc5n5qKS2kEMPDdINdCbkBbq
pB5iN+gCbxR81EuVQJrlvQY/5kt9jVI/qME/gTZ7M3SYOVdx6RIcNkvf1B8R
o54UATPhjGniCnOWwRD/1/R2NEmjvO8j0lfc1VvfA9qdaDwGTss075h5C1r5
K+BvwDyF/pO+0zcfRfPPvAP87YF9A32f1L3E3I626wlzjkEWvUH+X8nLgdt9
O3BapvlDPgL/F7ib2e2S+L7Bf9pz+9heBfg8SPmu/pe8BN6ZVww5q7Eb2i0z
1K3iaQovu8zcAWctUo76C2IWfhN+Eb5MXjENz/Hn8ON4mwhh+Sl/S3B5z9Va
T47eLbs9+QZ5lXw94bRM8x/e+UxS
           "]]}]}, {
        EdgeForm[], 
        RGBColor[1., 0.95, 0.75], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxNmXmQVdURxu+bmfvemxmGdxGoQhCBAU0ADSjEyOKMW5BNFjUgYZNNUHFQ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           "]], 
          PolygonBox[CompressedData["
1:eJwtlVtslFUUhU9nOjN/O53OGYHEW0EuXoqPGA1WWywq2BKlPhTFgEgrmGja
h2piUV+08EAjUSJqAgLhwaDGiGg0EUpFJd4DtBoQhMRaL4kGRCM20IvfyurD
nlnr3+ffZ5999tr/zNWd93akQgg9WDm2N4YwAbgOvDETwmH4Zfw/D/8WPITV
wufB2ypCOAgvwA/AR/jfUBXCLAJeURbCenA7/kHiXYRvqg5hej6EHP5x1teA
awshbIHX4r8W/AXrpxGnEf/n4H1YFr4TPj/LTymEGfBtwAl8a3lnHu/P5/2H
wQd4Von/Hfzn+N+XhDAVfxH/U7kQXsP/F/m8jH8Y/0r4EfgI/l7y243tAf/J
sy340kXOAx7mWQo8Gp2rYoyBl5NTNXHG4Xvgh8mhRWfh2Wl4if3rwDdjI/Df
Js8yk//j8DOsb2P9XPgw/LPos0f4IfDf0bW/Af4P+Bz7XQWejn0PP591rAps
P/zn6FhTsHVZm3AZ9h6+L7GW4Bp/BT4VnavOoLO0csafyKcRq6ZeNfBT4Drs
SvAc7BdwAzYbPMj5NoCnYQPguTxbCh5jjybi/Qt/IeWaTsG/kp55ALw/Tf6c
vZlnH7H2avY/SS6j1H8I/wXq+bZ41r7Z2A/wQE7XgKuw/ug71l3r2Y/wl4jZ
xX7/EeNxYqexG/E1sF8v/XgkunfU00fBffwPpd2ztex1ec692crzfMk9od44
Sj6rdDecpx58CzaYcc+r91v4r2R9fdG+W7EF4G7idfF+E/4c/tMZ95ZiKFYd
+S3I+E6PEf8Z+EHWr9KdsH5J4tqvgBfgD0bnUkfO3xF7Pf6T8ENYM76maKye
DZynB/8dvHsC3onvdfAyXHerZ4g3wLMXgzU2qNrwvwi+iP8s/gv815RbYw3E
uzOx1pbrDkrWtLQ9wJrV0RqRVj6B3wUfz/guN5HvI9zN4mjfZvh9iTUpbS5h
XUK8h6JjteL/lft6k/gd4FHWvAHeybqv09Z0IesaqVa7yPlp4rUzU4bxrSHG
VnJpzroXpcnri9aotKoZ9y64mz1uSnsGrFBu0dorYR28O4t43xDvQ9Y8p73p
37Up56BclKNyvR87A95Y5V5TT6m3dEe6K83AtmjNSruaYWez1qS0mcLej74j
3ZXuVHd7W9G9pBmiWbKVeD1l7vE+fNuKPqtmiGbJQt7vL7eGpKW3sp7F0uiM
Smqds7Z/x5bxboQvBP+BTeDPw+vLPAPuwV+Vs9Y1A5YWXQPVQjM8TewS/qnU
dw3Pi9zFK/Bny5zjeWq3LvHdaQbsKriH1cvSvLTfm/EsUI1Va/WEekNnaIzu
CfWGZtaOSY1Ja8qxJXEPq5e1Z2fiGatZq56O8GOV7o1+/McrrcGmSQ1sn9S4
tK4zXJpzT6u398Jv5/0IfzRjTTYkPqPOqppdkrNGpBVp/DH8J9h/Tsaalraf
rPC39Cz+bnB7YqwefYJ6fBrda/qmLibeWN6zVD02nrdmpB1pUFr8ILpXpNFX
M/4G61usmdpe4Zmo2ahv8sfRM1OzUzld5L62R9dCmtoR3bPqXX2D+6hPV+LZ
KU1sLvibom+Lvql9mrfR3yLNVM3W+sS1Uo1Uq/8Bac0JdA==
           "]]}]}}, {{}, 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkLFOwmAUhQ8DLSiIPoITQXkS2AgLJILWuhEYoIT6CJA4EBIMVN2McRI0
bI0zEwujuNB0kzgxacLH8OXk3nv+c5qeWo1CPSKpCD9R6etACtCHY2kM//AH
34aUTkoZ+MQzPZJ8dJOQQrjCY8Edexu9hqUpVdFL6LGvoBfg4u+T04xJv9CC
AfMLHX6KXt6V8I/Q7aE0RBt44ifSM982j0uPqMnscnOgxt1g9ti/cr9HZ3SF
8AHvcEv+Gg1gQ5+37wKbDofZJuMJbsAlowNdcqb4J/AGZTJW+/8BC95k6T4n
I88+iubQM7TNfQezJzVI
           "]], 
          LineBox[CompressedData["
1:eJwNz7srxWEYwPHHkdvBuWSxScnAYDJYzo9DchnEgMHgkpicXWz8CVbKhPIP
uJsp5ShnwGpTBjpJ8hm+fZ/L+z7P+3Yul2Y2aiJiCYuNEXPZiGxDRDdneJYX
1Ke4Wd7BaZ5WS+cjqnURt7mIG1wj9F74U/2KL3GB7/qICr+rD4jPxWco4xGv
6v3qOXOr8jwP2TWIAu6Q4AFlZ4v8xnvOHmUi2pz/Unsy47A1YlPe3hRxrHeC
LrUDZ/dxL+/Vr6QjnrElzvjLNvchQU5e4A/9EW6Rj3LK/1bNWkOP+Suc2Pnj
LeviPz6149eOYS5i3r0xHkfKG2sR7kzIJ7GrX+Id/gcTdDMZ
           "]], 
          LineBox[CompressedData["
1:eJwVzzsvw2EUx/EjDS11KZOUkmKx26wGiQ7iBUiomRdgFCK6W9lJ34BY3K9x
Swk2icQmVZtLfQzffP/nPM/vnOefn12Ymm+IiCJmUhH1lohMMqILHZ0RnTzS
HNHNaXWWC00RuXREH1Zlejiht9QYMeC7xJW2iGm5MffnuIiXTMS4ep/n3d/j
QxzgFcc4wRHOcIo3lGU3zEzZvyi/Y2eb/KbeubML/Nr7g1tnd+hvh3/Zcm+5
NWIFNf1h9a7cmrqEhF7Vjho+sC7zyZe4wgVucI06whvu+d2cClf5gUfNeeIv
9SN/8zNP/L9VpsBJb892RPQih23nk9yqn+dBDKGs/wfYRjqN
           "]]}, 
         RowBox[{"-", "0.59`"}]], Annotation[#, -0.59, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVzj0vw3EUxfFLUM+MJtKNN1CbgcVsEEljaUyVsHgKliaSpqKeRSJSo4g0
0UHEQ7wEsWDqbJGgYhWfDt+c/73n3PP7JzPzE3MNEZHBUAI9EeMtEU20BY2+
c80Rk20RebrWG/HcFTEim+en+WneqHmRjtHRjois/ZLcMkqtEQs0YbevoyB3
RDd0fdmf6Slhjf9uN6Pjmh7LXMheYlbHDbLIuSl7o+xmRbavO2KVVszbOrb4
RTzJbtICfuVv+XeYkn+g9ziXP+B/yq53RtTodN33drE94oUe+pei3bf8J169
VaM/2LHfxV79Rr5Cr/Dou1/XoO6qN/50JM0n9BRVfor3wRswD/Pe3KXoP63L
O5Y=
           "]], 
          LineBox[CompressedData["
1:eJwV0DkoBnAYx/GHcp+RJFKvrK9cbwaTSLmv1b1ZvBnVuxhkkzK8lMwmyjHK
ZHKtbO8qw6vEouTzDt9+z/N7jv+RWE/PbxZFRBor5RELdRE1ZREddB5zGKqP
mKCTaMU4xpDif1VG9NF+9GLcjk9evkBJxGBpRKLCnpqIWXzKc2q3tXbxWzDA
z/G/zf/gGWX2ZPU98vPV5nAg38exOEm78OqunXTFvlW0i8+c22jutyriRP3N
Gaf0hT7hjn9Nb3AlvsSu/gv5hr4H53/gHefucaSeUT9U3+E1e3sTGpDmd9MM
P6t3Ru80lvnDdJH20CWzKbuT4ilxG03K98x00RHevX8YLtyLXuESLWpr9o/a
U2SmGL16ztS2vfPPe7fE/4bJOi8=
           "]], 
          LineBox[CompressedData["
1:eJwV0MkrxWEYxfHnZpaxSBFdJMPKip2hDFmwMC8l2RlWspV/RCEb8lewQIbc
JVGGcKUkhJSPxbfzPuec577v79ZOLwzPJyJiET0lEb1IFEf00z5M5EbM01X6
UxSxQufMP/kRM4URw+bmvIgROmtO5ER8y150G/m9/Cn+d3ZEk70uc1q24byJ
AVk6K+KEl9TfMK/jUb9EXopD2Rp90KuXXdM2ebVzhZ06msQ578bbb7Fl54pe
Yrkg4pSe4RgpnGNff0m2R4/Mb95+QF/pi/ta+Wfu2vY9O6hyRyXK3FmOC1nq
/7/AF+70O+X3NKXf4luf6Lt5nD+BZ3Mak84f9BNDeu32M0sjMtCh/+m3B71l
CDVIopv/yx91HkMDGtGEXft/CtpCfw==
           "]]}, 
         RowBox[{"-", "1.18`"}]], Annotation[#, -1.18, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0ktsDFAUxvHbhTFTigpd2LTVRNl0EKGqXpOUduHdRJS22o2d2jVh006i
YiEeTYiFx6qCIEq6kEiEiCCkrUVZaD06SjcYqo/04TeLL/97vu/cc888Chub
9h7NCiF8puOzQridE8KqWAiROSEkIkyswPr5IRym+/KHdEJvQl8SX6irnOOz
QyjQv0f/StzJW8M7hOtwNa9WVolVdDEawjaM8M6YU2J+nHIpj6L8dv559y/Q
ETMu67/j3vCCEO7hiLcfyNr0PpI95j3Bp9TFb3HnLT5Xt+vJmhvCFd573iSv
D3N5BdkhNMwLoQj75Kd5nfqvYpw3wDuL19XX6LXsH2a7n0OX3H0mH7XXgKzU
XkvtsiTz2dUpn2NA3q/vI31xLpOncJD26a+m385T+hucp3GteTv0pd35Q5Py
qF0282v4G/EAbsKDuAVj8il9u9Sl6t24HpfbpdHcGXNH5EPm/bJXubpIVq5v
iJ/if6Mfzlv19+I7Ks7MVw/qnzCvh7eQ14k9vFxZN371vaToLr/VnJjZn9RR
/IBp+zXLWmTd3m91TtJL/inczz+J57zRhmP8N/4Po9iLzWb044S6I/OdYErd
6+1COyy2U563FmG+uiszI9NPr/TP4DR9118h3075+hNYxhu2U6VzGjvsMOzO
CiymcXmdrJ6WufNT9lffuDduyW/SKK/a2xucI3a7oTepLtE/JpugpszvgMew
ThbsU4v/AWJzhCc=
           "]], 
          LineBox[CompressedData["
1:eJwVz70rxXEUx/FzyfPjdpd7xZ8gyUIYrUrykEQGzwMWA3KvUohL/gCDlIRB
BjKYZDBQDFY2CWWw8TK8e3/POZ/v+f5+dUPTnVOJiJhAsiyiHIsFETPVEVcV
+lUR4+go1ONZFP3bfA5dJRHz3M0tRRG54ohmbrKnV6+V2zDr3M6j9vTwJI/y
GPbcefHWK1blMvYt40M9aNeW3orcJud4WG/feYR31ct2ZWSzOLdriRdxZHbk
W4+RrIw45RNsyK+Z38lu8T2nzQ/89487l7zh/T69W/kbHLqzUB7x4M0v+X6z
AayXRuzIbmNd/Wv+Kf/I35x1JyF/IZfH7+pnuwrk0+ozd1Kcr76Wqfc9tepn
50bnBrzJ15jX4kk+zSn8AZ5dPDY=
           "]]}, 
         RowBox[{"-", "1.77`"}]], Annotation[#, -1.77, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVzzsoBmAUxvHzyf0+CyUsLJIUm1VZpIiipESibzIZXAY+QliVgcGm5D4w
yWAg05cyWMhtk4n8vuHp/57zPOe871szPNU9mYiIJH3nRHSVRHzhY2lEmsbL
I8boKzeik/eGLZgujGjGJrpyTshk0aGZXMymtOxbccQHnclEfsSr8zy9l0X8
5kW84B9+4o38LO9BnZK/xyqc0dvn3cjc6vW7Y9n+FfopiqhWV9Kd/Wves0rr
8sfyp1TBS8nu+dd1QcQ2JvTO5Q/MH+GcmVkzm+ot2pXbwHVadV7AQXfvyw7h
onpaPokp/rP5HV4Pb0JvgteHA5kc/ynzJvcmnZcwh9+a2W+mHduoV2/aexvt
uJVvwKS6w8wo1qkv9etxTF2FI1iLJ/oX9A9VQUJD
           "]], 
          LineBox[CompressedData["
1:eJwV0UlIVXEUx/ET+LLMUqIQG4yXaZsmoSRKW/mqpTwwkgbIRYSEbWrRrkBI
WlhEGkEuWuTCiDKKBoNIG9RFBoEILSqTpkULp3xN9LmLH9/7/53f+Z9z7003
nci2zIuIt9SzOGLLwojUoog8qpsfcbAo4jDdUWvE/bRLpkg9gy/5ezHtvIbq
9WzG6vyI9gURg+rDdERmDJswo9ahlklm0HHeRfdW0VZaRtW0jbrosnonHdN3
DY9ip74Cs66m7MbLWxJxF/v4j+iJ+5/hU8xXG1U7q+8575K+KHQHvuN389cW
RNxybuP3Yhd+4P/S36y/Q/06b1htBn9Sod4prOKN2aNfpk/2Mb3yXK53GIdo
p3evoY+eJ+WznqcwXWw2jev5RBM0KTPrvmlcp1brnnKspIokb26D/mn9X2UG
9XyW3+68Wq1S/jX/RbIHvfG8Sv42FmIvLsViGtEz4R16eDPe90wyG9/z8pN/
hgMyp/kN7npoznrn72b0y9XzsjTtuw44NyffFU/iKfohty/5Jvpa3XHB/u3U
ysvJjfq/IziOv/Ecv43O0z35K7KdtEe9xF0PeGX2vo85XilvSHYlhtwXu+1W
3+hcZv8NWOe8iZarl9A3+RVYSnPyB9QOUYV8I9bypuw7l8zAm3KzempwB6Xs
eUOuO5mjJ6f2R67F+Z/nv/Qf+DR5FA==
           "]]}, 
         RowBox[{"-", "2.36`"}]], Annotation[#, -2.36, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0DsohWEYwPGHcr+uYjGYbCaLslOKKEYiURzEIpdc4gw6kcVsIcXmUpKS
FAOyyGVS5BqjRX5n+Pd/n+v7fl9l52DzQEZEjGAyK+KwKGIXXSURnajIiejl
PhzJ93A36vMiEjyMC/kxHkVbdkRtQUQqN6KOV/lGfdHuhJlH5/t0v3OT3R16
+s3084Rci9w8t3JCbkxtgZPYsGuWZ7CkJ8Xr/GffBm+JNzFnZpt3cGAmiiMy
caonWeotKBOvuGPPm1P6l+0Y0nuJcrVfs+361vScpr+Rj/mcT9L/JT9ivDDi
Spx0nnaewpldH+pfeMYbXjGj9oJX7Ot/51u9Ve594G539WDX3ft48r+q1T74
WnxvpsbbGuQ+0/9L75T4Vu0OD2hU++Fv/APeyUm8
           "]], 
          LineBox[CompressedData["
1:eJwV00tIVWEUxfFd2VWzq0Z1B9VEKDAoDSyiwKiEnCU9Jr0gmvnKwkkTaSAl
DiJEpdIIShpIhkbQi3CgYgRlEOmFonwEUUSDXkhE2O8MFv9v773WPt85l1ty
qung6UUR8YoWlkY0piP+4u5URK3zpvyIBqyjnNyI8uKILfS7MKIMN9N+s6O0
Jy9iPf9ePK6et2Ot+Tb1Z/4KzCQZsyoqpzK9CbOb+rdoalnEoPouDdAa839F
EVm75jGj3odXeafd8z7/G2znvUizZjM04a6TSY5a9Tv4X/O18j/GUvualkd8
s68Zz1K3TJs7dWK9+mdBxCHZh/w1eID65Ibt/CL3lQ7rnbNzRD8rk/L+H3CO
zuv/suu9c79zH+8dTMsNYYFn5dNW2Xee8UJvnOcl7tKvpHX2Fbn7Rpk8LMVC
/MQzyztNM/RRPYajNEIb+NJ8c3bvsGcnjfM8NRvDxeon7vWdflCB5+TIdJl1
8XRiA9bSH/3rPD00ZF8bDmAJz23v91a2W73ge3XgKD6jSf2UfB4V6z/QG7ar
Reae2ZLkd/fej5xvmPXgFezF3qSmFrlu9RGZ7b57s3olnsFrWEEddJnq+apl
GhPy1+GU98zSSecLnvXc+ZI7lPG1YynWJDtxFVXzrcBCqnQ+Zu9quwblMnhC
XcWfm/iT/wNPv9l/6thyUw==
           "]]}, 
         RowBox[{"-", "2.9499999999999997`"}]], 
        Annotation[#, -2.9499999999999997`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0V9ozXEYx/FHx3Z2tsNOTjFu/IlW44a5oJSL5WQlSnExSsmNTkan3GlK
Vi5W6lj+hI7OjJV/KdKSssw2Si44snEzro4cpCXhwutcvPs8z+f58/1+f7+V
B4/u7p0XEc+QTUYkWiI6UxF3FkTcxibxEv5W2tMasYVm9Kzg5cSr6GL5zsaI
dtqBgaaINXQ+73RDxAF9A3TGvsPinJkd6ofUz9vZy+vmbRBfxAUU1I7rKds1
jKrZS/r6+Ff493nX6nVc5efNl8SPxA0LI0bpSd4TeoI+VGs1O+QeKfW3/Ane
IK85HVGxbxrtauuaI+7xi/w53mX6m+bVnpovqp8TF/FArVHtcb0Xo0i4a4r3
XF+TOIlZ+1IZZ2HM3Gr1pDiNFnxWb9O3FK/NXdczjM76/XhZ902bKamV+GWM
iD847yP6xLN0XP8kHat/P96Ety+jN+Q5fplm5Gf543Z+8w1qeGH3S3wRVzGl
1u/cI7yf8l56Rj5ormDPFP3Km6TH5H/09HhHgXfK3faL9+GV+rT/OYN+/g/e
d7yXd2EbKu70i76jf+k/3NJ7F59874r7VulQfR8vSxdhubPa6Eb6pv5PUUFN
/wj/JmryLvUO8Wa6yxu20zl+N13PT7hjnr9Xvta799D/T11thw==
           "]], 
          LineBox[CompressedData["
1:eJwVkD9IQmEUxY+BlvYfHIKGaGkoB9uiGgMdRMggbXWxIX0hSVQSjwoRJDCC
KJyahHJxCBOHKEMpJCKiRQnaGoKQ5qifw+H33XvOve/73njYCMQskhLI0SvN
2qWkVYoPSeV+yQ99aKxbig5KMXRLv4pMcovkU3CLzBO9PXwTrdikOfbNo+Me
6QXvFRnkWzAO/ezM4fngErkkvQgMUB9wNjhHUYJdKZgnewgL8IcdJ3z3nFwO
/lLnOW8we0Fmn5ki3KS+Jv+HX8e/5G4ZvDbeEV4DLwu/qR/xrcPSOr1l3hNC
QXSKf89cDd2gu84/QKMOabtPSsMMatFrogf2L8BP9MbdvPADnrGrQm6E/RPc
p0kuQm+H+mpAKqEymsR7hi443fl3nN3QSfad+VW4S/1F34Rr1DPQBT1wCnbx
Dgv6B5EeRKQ=
           "]]}, 
         RowBox[{"-", "3.54`"}]], Annotation[#, -3.54, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwl08tLlHEUxvHTQnOcmhksBQkCK4pqF10oK9pEUg2EQbROKonQTLG7IJGV
yoDdkZLsYneJLiAROpiFIUFRUPkHtGoREVTUos/Q4uH7O+d5zvm978tM1Y7G
2oYpEfGaypIRVVMjOkoink2P2JyIKNfLFkcsxCW8Lt4857m0lb8Ud+Jn+XrM
qjdRnZnz6YiNZjLYlolo5/c6N/FaZFrphn37MaF3rijioswl2mPuiv5Dfj8+
whN2/HLPXt51e06ZGea1qZ+bGXJ+Qin9a3a91ZuTiniPyWnuoA/2fKL5+otL
IwZle/TP0k/9HC7SGzHfw/+IF2Qf6xfxf+MX9xV7jlJ1xu7L/D4alx/BYcrT
hHqmXEpuwDmNFeoyM2lMqvv0+2Un3XPLedL+w5jHYziOryhf+Gbql+6uxJvq
9fo1NENdY0cav3r/Ufsn8QV2yq/2rVZRNVXSabNr8KTvWWEuJ/NU3a3f4bkm
PNc3853qO/p3qVyuVe628/3Ctzb7AJv1BvCPub901fkHfqd79nTb00WH7DqK
LdiAx+XqcRcdca4t/G7s6jWTxW3q3bI59zXz39l3hreOt5a3nddeeC/1G94B
z3OQtsiOqUcpTwv4jXKzMcuvs2NIf59zE60s/Dbsq8ZZMstxGQ3KrMAEr4Q2
FP//f/wDVFRplg==
           "]]}, 
         RowBox[{"-", "4.13`"}]], Annotation[#, -4.13, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwl0DEvg1EUxvHTQRGaGhubpTESkTCJtQY0qpFoJG+CCUm7tCiNRISEQSxG
BImVRHwbm6mDb+B3Y/jnuc95n3POve9EdlDdz0VEAzcjEdlgxNtQxG8h4nE4
opeP6I9FNNVfihGfzqNqX/SVL2Eec3jGntyH/nfUZBr8g/omPTbz1I4ObSNz
bmHdtyf5Ou3Z+ZNyabf+Lor673CLzO6Kni16zu/KzfIzqDqX6ZQ5V+ZN0yW1
CroDETk9zbTXtxYtyJZQlluWmaTj/JrcSXoX30lvS3enGzLf7rPAX/KL9Jru
yNf01XFv9ipdwaH8Nj2jffsu0j34I7Tz///7D9yyLbk=
           "]], 
          LineBox[CompressedData["
1:eJwlkL9LQmEUhl/Bq6V5LUV0dRDUReifcGmKltZAyCUFV3FUBBtzEAVNG1oa
GhL8gQg6CILgYlG4OemsUYuPOLw833m/95zz3Ru8S10/WCTdooBDatmk+Jn0
YZc81HFTMuHaKQ1PpU/4hcYnUpHMD+c0zLmkJF6T+h7enEt1t7SBTmZWDCnP
eUeuhf+MCvg98n3UZXYbduAULuErPUH2zzk32LFgrsHb/PSF8UMogsK8LwGj
8JvcltwjuRK6wiuz843zE5l3+Id+0YqslTsDudlR4/6S2f/cNenz4r9AP/Sh
CzIuaKIafp18Fc54Z+zwLfQNUBZvw+zJocbPUI/sx/+7B72lM/k=
           "]]}, 
         RowBox[{"-", "4.72`"}]], Annotation[#, -4.72, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{2388, 1621, 2859, 1843, 2860, 1618, 2841, 1619, 3965, 3967,
            3960, 3963, 3962, 2392, 4319, 4321, 3976, 3980, 3979, 1637, 2900, 
           2200, 4179, 2205, 3552, 1425, 2912, 3564, 3562, 2438, 1883, 2444, 
           2443, 2954, 1889, 2462, 1663, 2463, 3577, 3578, 2944, 2945, 2151, 
           2942, 2150, 2915, 3451, 1873, 2936, 1880, 2910, 3557, 3558, 2430, 
           1423, 4223, 3854, 3987, 3852, 3850, 1633, 3971, 3972, 2406, 1851, 
           2388}], 
          
          LineBox[{2496, 3025, 3023, 2241, 4018, 4019, 3574, 3594, 2980, 1902,
            3453, 1903, 3035, 2244, 3043, 2248, 3602, 1444, 2556, 3654, 3651, 
           2577, 1973, 2583, 3136, 2582, 3182, 2674, 3707, 2678, 2027, 2683, 
           2023, 3262, 1582, 1486, 3711, 2722, 3286, 3284, 1742, 3327, 3328, 
           2724, 2056, 2318, 3326, 3324, 2020, 3487, 3488, 3249, 3480, 3477, 
           2635, 3216, 2009, 2293, 2010, 2601, 3684, 2599, 1452, 1558, 3076, 
           2262, 1952, 2513, 3616, 3620, 2525, 3019, 3021, 2496}]}, 
         RowBox[{"-", "5.31`"}]], Annotation[#, -5.31, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{2495, 1927, 3024, 2240, 4020, 2242, 1923, 2983, 1905, 3041,
            3042, 2247, 3601, 3604, 2555, 3653, 2558, 1972, 2275, 1969, 3135, 
           2581, 3181, 2673, 3706, 3702, 2659, 2026, 2308, 3261, 1581, 3710, 
           3709, 2721, 2032, 3285, 1741, 3329, 2715, 3737, 3255, 3325, 2019, 
           3489, 2169, 3248, 2166, 3479, 2634, 3215, 2637, 2014, 2618, 3682, 
           3683, 2598, 1451, 1557, 3075, 1951, 2541, 1956, 2528, 3619, 2524, 
           3022, 1925, 2495}], 
          
          LineBox[{3974, 3885, 3884, 1422, 3978, 3851, 1640, 4177, 4178, 2204,
            3551, 3553, 2911, 3563, 2913, 1882, 2938, 2214, 3450, 1872, 2935, 
           2937, 2909, 3560, 2908, 4176, 4175, 3848, 3853, 3849, 1632, 
           3974}]}, 
         RowBox[{"-", "5.8999999999999995`"}]], 
        Annotation[#, -5.8999999999999995`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{1926, 2494, 1924, 2527, 3029, 1690, 3088, 1955, 2540, 3080,
            3074, 1556, 1450, 2597, 1470, 3688, 2617, 2013, 3223, 1722, 3486, 
           2638, 2165, 3247, 2168, 3256, 3701, 3254, 3738, 3736, 3739, 2713, 
           3277, 2714, 2031, 2720, 3708, 2309, 3281, 2307, 3269, 2025, 2658, 
           3705, 1485, 2672, 3180, 2580, 3131, 3134, 2274, 1971, 2557, 3652, 
           2554, 3603, 3600, 2246, 1932, 2984, 3038, 2982, 3018, 1922, 3017, 
           1554, 3597, 2243, 1926}]}, 
         RowBox[{"-", "6.489999999999999`"}]], 
        Annotation[#, -6.489999999999999, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{3485, 2167, 2303, 3697, 3700, 3253, 1497, 2712, 3276, 2029,
            2671, 2030, 3280, 2306, 3268, 2024, 2657, 3704, 2655, 1462, 1574, 
           3133, 2273, 1970, 3139, 1694, 3048, 1933, 2551, 1931, 3037, 2981, 
           3016, 1553, 3596, 3595, 2535, 1928, 3028, 1689, 3087, 1954, 2539, 
           3079, 2537, 3116, 2609, 3687, 2616, 2012, 3222, 1721, 3485}]}, 
         RowBox[{"-", "7.08`"}]], Annotation[#, -7.08, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{3283, 2670, 3275, 2666, 3235, 1580, 3699, 2302, 3484, 3482,
            1720, 3221, 3224, 2615, 3686, 2608, 3115, 2536, 3078, 2538, 3086, 
           3085, 1688, 3027, 3031, 2534, 3599, 2530, 1454, 2548, 3040, 2550, 
           3047, 3045, 1693, 3138, 3140, 2272, 3132, 1573, 1461, 2654, 3703, 
           2656, 3267, 3266, 2305, 3279, 3283}]}, 
         RowBox[{"-", "7.67`"}]], Annotation[#, -7.67, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{2546, 3124, 1691, 3084, 1687, 3026, 3030, 2533, 3598, 2529,
            1453, 2547, 3039, 2549, 3046, 3044, 1692, 3137, 2271, 3170, 2280, 
           3661, 1460, 3662, 2664, 3177, 1726, 3265, 2304, 3278, 3282, 2669, 
           3274, 2665, 3234, 1579, 3698, 2301, 3483, 3481, 1719, 3220, 1715, 
           3129, 2614, 3118, 3114, 3117, 2546}]}, 
         RowBox[{"-", "8.26`"}]], Annotation[#, -8.26, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{2545, 3123, 3120, 2268, 3105, 3107, 2532, 3627, 2553, 3113,
            3110, 1697, 3167, 3169, 2279, 3660, 2663, 3176, 3173, 1725, 3242, 
           3244, 2668, 2018, 2300, 3240, 3237, 1718, 3126, 3128, 2613, 1964, 
           2545}]}, 
         RowBox[{"-", "8.85`"}]], Annotation[#, -8.85, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{2544, 3122, 3119, 2267, 3104, 3106, 2531, 3626, 2552, 3112,
            3109, 1696, 3166, 3168, 2278, 3659, 2662, 3175, 3172, 1724, 3241, 
           3243, 2667, 2017, 2299, 3239, 3236, 1717, 3125, 3127, 2612, 1963, 
           2544}]}, 
         RowBox[{"-", "9.44`"}]], Annotation[#, -9.44, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{2543, 1966, 3121, 2266, 3108, 2269, 1960, 2572, 3111, 1695,
            3171, 1983, 2277, 3658, 2661, 1985, 3174, 1723, 3245, 2653, 3694, 
           2632, 3238, 1716, 3130, 1968, 2611, 1962, 2543}]}, 
         RowBox[{"-", "10.03`"}]], Annotation[#, -10.03, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{1965, 2542, 1961, 2610, 1967, 2633, 3650, 2631, 3695, 3693,
            3696, 2651, 3165, 2652, 1984, 2660, 3657, 2276, 1982, 2573, 3157, 
           2571, 3103, 1959, 3102, 1572, 3642, 2270, 1965}]}, 
         RowBox[{"-", "10.62`"}]], Annotation[#, -10.62, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{3634, 3641, 1571, 3101, 2570, 3156, 1981, 3164, 2650, 1484,
            2630, 3649, 3634}]}, 
         RowBox[{"-", "11.209999999999999`"}]], 
        Annotation[#, -11.209999999999999`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{3633, 3640, 1570, 3100, 2569, 3155, 1980, 3163, 2649, 1483,
            2629, 3648, 3633}]}, 
         RowBox[{"-", "11.799999999999999`"}]], 
        Annotation[#, -11.799999999999999`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{3632, 3639, 1569, 3099, 2568, 3154, 1979, 3162, 2648, 1482,
            2628, 3647, 3632}]}, 
         RowBox[{"-", "12.389999999999999`"}]], 
        Annotation[#, -12.389999999999999`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{3631, 3638, 1568, 3098, 2567, 3153, 1978, 3161, 2647, 1481,
            2627, 3646, 3631}]}, 
         RowBox[{"-", "12.979999999999999`"}]], 
        Annotation[#, -12.979999999999999`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{3630, 3637, 1567, 3097, 2566, 3152, 1977, 3160, 2646, 1480,
            2626, 3645, 3630}]}, 
         RowBox[{"-", "13.569999999999999`"}]], 
        Annotation[#, -13.569999999999999`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{3629, 3636, 1566, 3096, 2565, 3151, 1976, 3159, 2645, 1479,
            2625, 3644, 3629}]}, 
         RowBox[{"-", "14.16`"}]], Annotation[#, -14.16, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[{3635, 3628, 3643, 2624, 1478, 2644, 3158, 1975, 3150, 2564,
            3095, 1565, 3635}]}, 
         RowBox[{"-", "14.75`"}]], Annotation[#, -14.75, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[{1564, 3094, 2563, 3149, 2643, 1477, 2623, 1459, 1564}]}, 
         RowBox[{"-", "15.34`"}]], Annotation[#, -15.34, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[{1563, 3093, 2562, 3148, 2642, 1476, 2622, 1458, 1563}]}, 
         RowBox[{"-", "15.93`"}]], Annotation[#, -15.93, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[{1562, 3092, 2561, 3147, 2641, 1475, 2621, 1457, 1562}]}, 
         RowBox[{"-", "16.52`"}]], Annotation[#, -16.52, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[{1561, 3091, 2560, 3146, 2640, 1474, 2620, 1456, 1561}]}, 
         RowBox[{"-", "17.11`"}]], Annotation[#, -17.11, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[{3090, 1560, 1455, 2619, 1473, 2639, 3145, 2559, 3090}]}, 
         RowBox[{"-", "17.7`"}]], 
        Annotation[#, -17.7, "Tooltip"]& ], {}, {}}}], {
    DisplayFunction -> Identity, AspectRatio -> 1, DisplayFunction :> 
     Identity, Frame -> True, FrameLabel -> {
       FormBox["\"X\"", TraditionalForm], 
       FormBox["\"Z\"", TraditionalForm]}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], Method -> {"DefaultBoundaryStyle" -> Automatic}, 
     PlotLabel -> 
     FormBox["\"Total dipole trap effect on 1S0\"", TraditionalForm], 
     PlotRange -> {{-400, 400}, {-3000, 3000}}, PlotRangeClipping -> True, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.02]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
       FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           GraphicsBox[{
             RasterBox[CompressedData["
1:eJxFl3lUjNH/x1vQItKCbGWJhFZEkbeQJKXSQiIVIioptCmkREkqpdBOIi1k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              "], {{
                Rational[-15, 2], 
                Rational[-225, 2]}, {
                Rational[15, 2], 
                Rational[225, 2]}}], {Antialiasing -> False, 
              AbsoluteThickness[0.1], 
              Directive[
               Opacity[0.3], 
               GrayLevel[0]], 
              LineBox[
               NCache[{{
                  Rational[15, 2], 
                  Rational[-225, 2]}, {
                  Rational[-15, 2], 
                  Rational[-225, 2]}, {
                  Rational[-15, 2], 
                  Rational[225, 2]}, {
                  Rational[15, 2], 
                  Rational[225, 2]}}, {{7.5, -112.5}, {-7.5, -112.5}, {-7.5, 
                112.5}, {7.5, 112.5}}]]}, {
              CapForm[None], {{
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -104.90484839869806`}, {
                    Rational[
                    15, 2], -104.90484839869806`}}, {{-7.5, \
-104.90484839869806`}, {7.5, -104.90484839869806`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -97.65802011873835}, {
                    Rational[
                    15, 2], -97.65802011873835}}, {{-7.5, \
-97.65802011873835}, {7.5, -97.65802011873835}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -90.41119183877866}, {
                    Rational[
                    15, 2], -90.41119183877866}}, {{-7.5, \
-90.41119183877866}, {7.5, -90.41119183877866}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -83.16436355881898}, {
                    Rational[
                    15, 2], -83.16436355881898}}, {{-7.5, \
-83.16436355881898}, {7.5, -83.16436355881898}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -75.91753527885926}, {
                    Rational[
                    15, 2], -75.91753527885926}}, {{-7.5, \
-75.91753527885926}, {7.5, -75.91753527885926}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -68.67070699889958}, {
                    Rational[
                    15, 2], -68.67070699889958}}, {{-7.5, \
-68.67070699889958}, {7.5, -68.67070699889958}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -61.42387871893989}, {
                    Rational[
                    15, 2], -61.42387871893989}}, {{-7.5, \
-61.42387871893989}, {7.5, -61.42387871893989}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -54.177050438980146`}, {
                    Rational[
                    15, 2], -54.177050438980146`}}, {{-7.5, \
-54.177050438980146`}, {7.5, -54.177050438980146`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -46.93022215902046}, {
                    Rational[
                    15, 2], -46.93022215902046}}, {{-7.5, \
-46.93022215902046}, {7.5, -46.93022215902046}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -39.68339387906077}, {
                    Rational[
                    15, 2], -39.68339387906077}}, {{-7.5, \
-39.68339387906077}, {7.5, -39.68339387906077}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -32.43656559910106}, {
                    Rational[
                    15, 2], -32.43656559910106}}, {{-7.5, \
-32.43656559910106}, {7.5, -32.43656559910106}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -25.189737319141372`}, {
                    Rational[
                    15, 2], -25.189737319141372`}}, {{-7.5, \
-25.189737319141372`}, {7.5, -25.189737319141372`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -17.942909039181686`}, {
                    Rational[
                    15, 2], -17.942909039181686`}}, {{-7.5, \
-17.942909039181686`}, {7.5, -17.942909039181686`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -10.696080759221985`}, {
                    Rational[
                    15, 2], -10.696080759221985`}}, {{-7.5, \
-10.696080759221985`}, {7.5, -10.696080759221985`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -3.4492524792622845`}, {
                    Rational[
                    15, 2], -3.4492524792622845`}}, {{-7.5, \
-3.4492524792622845`}, {7.5, -3.4492524792622845`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 3.797575800697402}, {
                    Rational[15, 2], 3.797575800697402}}, {{-7.5, 
                  3.797575800697402}, {7.5, 3.797575800697402}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 11.044404080657102`}, {
                    Rational[15, 2], 11.044404080657102`}}, {{-7.5, 
                  11.044404080657102`}, {7.5, 11.044404080657102`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 18.291232360616803`}, {
                    Rational[15, 2], 18.291232360616803`}}, {{-7.5, 
                  18.291232360616803`}, {7.5, 18.291232360616803`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 25.53806064057649}, {
                    Rational[15, 2], 25.53806064057649}}, {{-7.5, 
                  25.53806064057649}, {7.5, 25.53806064057649}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 32.784888920536204`}, {
                    Rational[15, 2], 32.784888920536204`}}, {{-7.5, 
                  32.784888920536204`}, {7.5, 32.784888920536204`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 40.031717200495905`}, {
                    Rational[15, 2], 40.031717200495905`}}, {{-7.5, 
                  40.031717200495905`}, {7.5, 40.031717200495905`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 47.27854548045559}, {
                    Rational[15, 2], 47.27854548045559}}, {{-7.5, 
                  47.27854548045559}, {7.5, 47.27854548045559}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 54.52537376041529}, {
                    Rational[15, 2], 54.52537376041529}}, {{-7.5, 
                  54.52537376041529}, {7.5, 54.52537376041529}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 61.772202040374985`}, {
                    Rational[15, 2], 61.772202040374985`}}, {{-7.5, 
                  61.772202040374985`}, {7.5, 61.772202040374985`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 69.01903032033468}, {
                    Rational[15, 2], 69.01903032033468}}, {{-7.5, 
                  69.01903032033468}, {7.5, 69.01903032033468}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 76.2658586002944}, {
                    Rational[15, 2], 76.2658586002944}}, {{-7.5, 
                  76.2658586002944}, {7.5, 76.2658586002944}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 83.51268688025408}, {
                    Rational[15, 2], 83.51268688025408}}, {{-7.5, 
                  83.51268688025408}, {7.5, 83.51268688025408}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 90.75951516021377}, {
                    Rational[15, 2], 90.75951516021377}}, {{-7.5, 
                  90.75951516021377}, {7.5, 90.75951516021377}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 98.00634344017348}, {
                    Rational[15, 2], 98.00634344017348}}, {{-7.5, 
                  98.00634344017348}, {7.5, 98.00634344017348}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 105.25317172013317`}, {
                    Rational[15, 2], 105.25317172013317`}}, {{-7.5, 
                  105.25317172013317`}, {7.5, 105.25317172013317`}}]]}}}, {
             Antialiasing -> False, 
              StyleBox[
               LineBox[{{7.5, -112.50000000000003`}, {7.5, 112.5}}], 
               Directive[
                AbsoluteThickness[0.2], 
                Opacity[0.3], 
                GrayLevel[0]], StripOnInput -> False], 
              StyleBox[
               StyleBox[{{
                  StyleBox[
                   LineBox[{{{7.5, -102.4482964393897}, 
                    Offset[{4., 0}, {7.5, -102.4482964393897}]}, {{
                    7.5, -71.74139694803505}, 
                    Offset[{4., 0}, {7.5, -71.74139694803505}]}, {{
                    7.5, -41.03449745668039}, 
                    Offset[{4., 0}, {7.5, -41.03449745668039}]}, {{
                    7.5, -10.327597965325737`}, 
                    Offset[{4., 0}, {7.5, -10.327597965325737`}]}, {{7.5, 
                    20.379301526028915`}, 
                    Offset[{4., 0}, {7.5, 20.379301526028915`}]}, {{7.5, 
                    51.086201017383566`}, 
                    Offset[{4., 0}, {7.5, 51.086201017383566`}]}, {{7.5, 
                    81.79310050873822}, 
                    Offset[{4., 0}, {7.5, 81.79310050873822}]}}], 
                   Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], StripOnInput -> False], 
                  StyleBox[
                   LineBox[{{{7.5, -108.58967633766062`}, 
                    Offset[{2.5, 0.}, {7.5, -108.58967633766062`}]}, {{
                    7.5, -96.30691654111877}, 
                    Offset[{2.5, 0.}, {7.5, -96.30691654111877}]}, {{
                    7.5, -90.16553664284783}, 
                    Offset[{2.5, 0.}, {7.5, -90.16553664284783}]}, {{
                    7.5, -84.0241567445769}, 
                    Offset[{2.5, 0.}, {7.5, -84.0241567445769}]}, {{
                    7.5, -77.88277684630597}, 
                    Offset[{2.5, 0.}, {7.5, -77.88277684630597}]}, {{
                    7.5, -65.6000170497641}, 
                    Offset[{2.5, 0.}, {7.5, -65.6000170497641}]}, {{
                    7.5, -59.45863715149318}, 
                    Offset[{2.5, 0.}, {7.5, -59.45863715149318}]}, {{
                    7.5, -53.31725725322225}, 
                    Offset[{2.5, 0.}, {7.5, -53.31725725322225}]}, {{
                    7.5, -47.17587735495132}, 
                    Offset[{2.5, 0.}, {7.5, -47.17587735495132}]}, {{
                    7.5, -34.89311755840946}, 
                    Offset[{2.5, 0.}, {7.5, -34.89311755840946}]}, {{
                    7.5, -28.751737660138527`}, 
                    Offset[{2.5, 0.}, {7.5, -28.751737660138527`}]}, {{
                    7.5, -22.610357761867597`}, 
                    Offset[{2.5, 0.}, {7.5, -22.610357761867597`}]}, {{
                    7.5, -16.468977863596667`}, 
                    Offset[{2.5, 0.}, {7.5, -16.468977863596667`}]}, {{
                    7.5, -4.186218067054806}, 
                    Offset[{2.5, 0.}, {7.5, -4.186218067054806}]}, {{7.5, 
                    1.9551618312161236`}, 
                    Offset[{2.5, 0.}, {7.5, 1.9551618312161236`}]}, {{7.5, 
                    8.096541729487054}, 
                    Offset[{2.5, 0.}, {7.5, 8.096541729487054}]}, {{7.5, 
                    14.237921627757984`}, 
                    Offset[{2.5, 0.}, {7.5, 14.237921627757984`}]}, {{7.5, 
                    26.520681424299845`}, 
                    Offset[{2.5, 0.}, {7.5, 26.520681424299845`}]}, {{7.5, 
                    32.66206132257077}, 
                    Offset[{2.5, 0.}, {7.5, 32.66206132257077}]}, {{7.5, 
                    38.803441220841705`}, 
                    Offset[{2.5, 0.}, {7.5, 38.803441220841705`}]}, {{7.5, 
                    44.94482111911263}, 
                    Offset[{2.5, 0.}, {7.5, 44.94482111911263}]}, {{7.5, 
                    57.22758091565449}, 
                    Offset[{2.5, 0.}, {7.5, 57.22758091565449}]}, {{7.5, 
                    63.368960813925426`}, 
                    Offset[{2.5, 0.}, {7.5, 63.368960813925426`}]}, {{7.5, 
                    69.51034071219635}, 
                    Offset[{2.5, 0.}, {7.5, 69.51034071219635}]}, {{7.5, 
                    75.65172061046728}, 
                    Offset[{2.5, 0.}, {7.5, 75.65172061046728}]}, {{7.5, 
                    87.93448040700915}, 
                    Offset[{2.5, 0.}, {7.5, 87.93448040700915}]}, {{7.5, 
                    94.07586030528007}, 
                    Offset[{2.5, 0.}, {7.5, 94.07586030528007}]}, {{7.5, 
                    100.217240203551}, 
                    Offset[{2.5, 0.}, {7.5, 100.217240203551}]}, {{7.5, 
                    106.35862010182194`}, 
                    Offset[{2.5, 0.}, {7.5, 106.35862010182194`}]}}], 
                   Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4], 
                    Opacity[0.3]], StripOnInput -> False]}, 
                 StyleBox[
                  StyleBox[{{
                    StyleBox[{
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-17.5\"", -17.5, AutoDelete -> True],
                     NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -102.4482964393897}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-15.0\"", -15., AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -71.74139694803505}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-12.5\"", -12.5, AutoDelete -> True],
                     NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -41.03449745668039}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-10.0\"", -10., AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -10.327597965325737`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-7.5\"", -7.5, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 20.379301526028915`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-5.0\"", -5., AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 51.086201017383566`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"-2.5\"", -2.5, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 1}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 81.79310050873822}], {-1, 0.}, 
                    Automatic, {1, 0}]}, 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}, StripOnInput -> False], 
                    
                    StyleBox[{{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4], 
                    Opacity[0.3]], {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}, StripOnInput -> False]}, {}}, {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}, StripOnInput -> False], "GraphicsLabel", 
                  StripOnInput -> False]}, "GraphicsTicks", StripOnInput -> 
                False], 
               Directive[
                AbsoluteThickness[0.2], 
                Opacity[0.3], 
                GrayLevel[0]], StripOnInput -> False]}}, PlotRangePadding -> 
            Scaled[0.02], PlotRange -> All, Frame -> True, 
            FrameTicks -> {{False, False}, {True, False}}, FrameStyle -> 
            Opacity[0], FrameTicksStyle -> Opacity[0], 
            ImageSize -> {Automatic, 225}, BaseStyle -> {}], Alignment -> 
           Left, AppearanceElements -> None, ImageMargins -> {{5, 5}, {5, 5}},
            ImageSizeAction -> "ResizeToFit"], LineIndent -> 0, StripOnInput -> 
          False], {FontFamily -> "Arial"}, Background -> Automatic, 
         StripOnInput -> False], TraditionalForm]}, "BarLegend", 
      DisplayFunction -> (#& ), 
      InterpretationFunction :> (RowBox[{"BarLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{
                 RowBox[{"Blend", "[", 
                   RowBox[{"\"M10DefaultDensityGradient\"", ",", "#1"}], 
                   "]"}], "&"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "18.318358718000844`"}], ",", 
                   RowBox[{"-", "7.55992258455843`*^-12"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "17.7`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "17.11`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "16.52`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "15.93`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "15.34`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "14.75`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "14.16`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "13.569999999999999`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "12.979999999999999`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "12.389999999999999`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "11.799999999999999`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "11.209999999999999`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "10.62`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "10.03`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "9.44`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "8.85`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "8.26`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "7.67`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "7.08`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "6.489999999999999`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "5.8999999999999995`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "5.31`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "4.72`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "4.13`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "3.54`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "2.9499999999999997`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "2.36`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "1.77`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "1.18`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "0.59`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}]}], "}"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
           RowBox[{"Charting`TickAnnotations", "\[Rule]", "None"}], ",", 
           RowBox[{"Charting`TickSide", "\[Rule]", "Right"}], ",", 
           RowBox[{"ColorFunctionScaling", "\[Rule]", "True"}]}], "]"}]& )], 
     TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.801381795399836*^9, 3.8044004343777514`*^9, {3.804400732675813*^9, 
   3.8044007899240875`*^9}, 3.8044009124180937`*^9, 3.804401599714405*^9, 
   3.8044016785739155`*^9, 3.804401720180295*^9, 3.804401835254877*^9, 
   3.8044019059179187`*^9, 3.8044019458012*^9, 3.8044029617803106`*^9, 
   3.804402996312286*^9, 3.804403033115391*^9, 3.804403081983186*^9, {
   3.804403129693915*^9, 3.8044031522852073`*^9}, 3.8044032048682146`*^9, 
   3.8044032509228487`*^9, 3.8044032943363323`*^9, 3.804403347938398*^9, 
   3.804403389684786*^9, 3.804403459108756*^9, 3.8044034981579895`*^9, 
   3.8044035488728905`*^9, {3.80440358470194*^9, 3.8044036112284575`*^9}, 
   3.804403666749633*^9, 3.804403758466879*^9, 3.8044072678616047`*^9, 
   3.8044105250399046`*^9, 3.804410591351697*^9, 3.804412789637432*^9, {
   3.804412851739984*^9, 3.8044128646487226`*^9}, {3.80441289467344*^9, 
   3.804412918652811*^9}, 3.8044129537748203`*^9, {3.8044131443627214`*^9, 
   3.8044131594915867`*^9}, {3.8044131997918916`*^9, 3.8044132251583424`*^9}, 
   3.8044132777723517`*^9, 3.8044133238439865`*^9, {3.8044133639772825`*^9, 
   3.804413390136779*^9}, {3.804413438461543*^9, 3.8044134564045687`*^9}, {
   3.8044135165740104`*^9, 3.8044135726442175`*^9}, {3.8044136224530663`*^9, 
   3.8044136485945616`*^9}, 3.804413708095965*^9, 3.804413746367154*^9, 
   3.8044137907366915`*^9, 3.804414045244249*^9, {3.804414126518897*^9, 
   3.804414154417493*^9}, 3.8044145401135535`*^9, 3.804414659960408*^9, 
   3.8044147162986307`*^9, 3.8044238077676334`*^9, 3.80442383935744*^9, 
   3.814433033088612*^9, 3.8144330985873585`*^9, 3.8144332023862953`*^9, 
   3.8144332342201157`*^9, 3.8145160074401016`*^9, 3.814516235968172*^9, 
   3.8145163858487453`*^9, 3.814516452469556*^9, {3.8145164977211437`*^9, 
   3.8145165180913095`*^9}, 3.814516994045532*^9, 3.8145171578739023`*^9, 
   3.8145171952150383`*^9, 3.8145172550664616`*^9, 3.81451730871353*^9, 
   3.814518148883585*^9, 3.814518529818373*^9, 3.814518577174082*^9, 
   3.814518766520912*^9, 3.814519161879525*^9, {3.814519232408559*^9, 
   3.8145192589530773`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[
    GraphicsComplexBox[CompressedData["
1:eJxknXdgVcXyx1FRn4qKiIiiCAEhFBEQAQuyIr1oiARCM41QUuCm3ADPggUL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     "], {{{
        EdgeForm[], 
        RGBColor[0.148, 0.33, 0.54], 
        GraphicsGroupBox[{
          
          PolygonBox[{{7777, 1093, 6931}, {8142, 120, 5781}, {6931, 1093, 
           7783}, {6929, 1093, 7691}, {7691, 1093, 6928}, {6928, 1093, 
           7777}, {7410, 1093, 6929}, {7781, 120, 5668}}], 
          PolygonBox[{{5781, 120, 1093, 7410}, {7783, 1093, 120, 7781}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.2231164868789569, 0.37173138159942054`, 0.6103471861247375], 
        GraphicsGroupBox[{
          
          PolygonBox[{{7688, 119, 8128}, {5638, 119, 7771}, {5779, 119, 
           5638}, {8143, 1791, 7407}, {8150, 1999, 6348}, {8200, 1999, 
           7782}, {7771, 119, 5665}, {7407, 1791, 8148}, {7410, 1791, 5781}, {
           6348, 1999, 8200}, {7409, 1791, 8143}, {5665, 119, 7776}, {7781, 
           1999, 7783}, {8128, 119, 5779}}], 
          
          PolygonBox[{{8145, 2229, 119, 7688}, {7776, 119, 2229, 8146}, {6926,
            2227, 1791, 7409}, {7778, 7777, 6931, 6932}, {5668, 2573, 1999, 
           7781}, {7782, 1999, 2573, 8519}, {6930, 6929, 7691, 7692}, {5781, 
           1791, 2227, 8142}}], 
          
          PolygonBox[{{8148, 1791, 7410, 6929, 6930}, {8146, 2229, 6928, 7777,
            7778}, {7692, 7691, 6928, 2229, 8145}, {6932, 6931, 7783, 1999, 
           8150}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.26309360981981994`, 0.39394089434434443`, 0.6477860790376092], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlE1I1GEQxkcLv3ZT8WOpdl3dBdcEW/ASBJWVYQerg2BChIVCkUbRoSCo
gwR6Sb3VqVtWkIdMM+joF5FQaKFkQURBEREFRkgK/Z7mPfyZl3mfeeaZeWf+
qa6LbRdyzews3ya+4w1mTZVmpxrNxmNmE/j2YYviZs2bwSTNonVmt4vMqtNm
SxVmy3xfwRUGTAeY2VKz5+Vm09gy/JMFZm+qzQ5mzPYSO5Qye0d8NGL2HvuK
nITZAe4XwE3kc4djAlw7+CfY2A7HK64PTefAr1W6Pun8hK5dnEc4P+Q8xXmR
8zHsEpxP0VAR9xqkU3oX8b8k12l83eB2gl+GszDpGqaqPV48L7JmLZynOVei
pbnRa19HT1utWU3UbPc2s7tbPXaO2MEysyo0fyTmJ7wnsBG09VBPhroW4OxO
uoa8GnJxN4a/Fc4N7p4TP43OtS3On4h439X/mrT3+D+GPj+gd734l+C+g84B
ctVis8R3Uu+fhMeL50aO2Qr4PvB/wW+kXY906T5S7pjVtOv/jc3CdQvOa3Xe
d/U/L+n30ifuwynPdSb4E6F2vbfefTjl/VWfL2dct/RX5fjcrVT4eSbuMzTF
PN4k9wqxg2n3KUbarsa8n+rraJ1jhB0uBsvXD+YxPOPwf6OXX8C1gn9L3tzt
jhuo916r50ewXeEtNBfRcseIR3xDfCXE/0j4/Ggn+uvdnwPfdTTMwtOruQ67
0Jn0fdBZvnbqGUB/R4PrelTqu3My5vOvPZgh71ip3+XjPERsSdzfUm96lDzz
WecR31zYF83sZ+5WtS9ouBTzelX3lYzvkfZJ+qTzfNrzqE7V+CvhuYpDz6RD
GlTf91B7S8r7o5kdCfOgudDsyj/P7H8g3x7898nZxI685k33Y+81eL7xuM+o
ZnUZ+yzslHZL+YSRnoKwg/of9MScU9yazdkwA6pT9U5iR8Pu6x+gmdZsr2P/
AUSpuLk=
           "]], 
          PolygonBox[CompressedData["
1:eJwlkktIlHEUxY8S+ZgpwkZTp0bnk2YUJmuWglFqrXoQQgkpBtqmEqVFQaAL
F+VqclHYql1WkBsdM2hVPiAys4wSh3a5CIlqYUSl4O92F5fvnO/e/32dG+/q
a+3Nl9SAbcOOp6VcRDpSKp1LSUFc+lskteD8vpeYPdK+POlVibRZL108KIV3
S+O7pIfEP0lKo+TJFUtj4M8B/pD0wXKS+zVvlvAPET8P7ohJ7Vi8jFrYhbTX
thpWS4eoRf454mej0hpvstT+imuB+N/01ElvQ/D78GH6PUztA/Bu+AZ8EH4e
fgO+UC69wQqrpSIslHTfPWLC4M6Yz2oz1/C2mX4+0XsC/yaz9GBzxT7jGPka
a6U/O+iXGdfxnamUvu2UbmO36qSbWAY8jOXjm075LCFm6mZ3eZUeazEWu536
l8h9jB4KwE/p4Sz1Gvl3mXrL8CvwE/Cr8GsJn9ViroO/MMMkfB2+Cj5JT+Pg
Ef6NEt+W8t2bxqZ1E28o839nzeBHCa9lNR6DpwLPNcO/57w/mnYtTcNpeGmt
+0zjMvAG8csR35ntLoJmzwqltwVSF4VeVkkvsDu8vYtlAr8V6zkLX0n4bKZZ
DpyN+m3Nsq9/7Gu+3HNZzo9V/s98dhMTxL6vd61spg7y/Qpcmwz+RXwzUb9d
uym7rVNJvx3b0WnDda6V3bTddkOFVB12jU1ruzm7PZuxxXZBD1P0MklPD+gt
HHNs/0qirrFpbTla9/MN/NZM40Fy9SddG7upAfA78i1iP7jrn9gWG4+OPQ==

           "]], 
          
          PolygonBox[{{7408, 7407, 8148, 2230, 8147}, {8201, 8200, 7782, 1118,
            6958}, {8483, 2554, 5638, 7771, 7772}, {8130, 1972, 7688, 8128, 
           8129}, {5780, 5779, 5638, 2554, 8482}, {8149, 2231, 8150, 6348, 
           6349}, {5666, 5665, 7776, 1998, 8518}, {6927, 1092, 7409, 8143, 
           8144}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.31010769584957865`, 0.41268960557013945`, 0.6367737506826758], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFVm1olWUYvne2OZ07VJvn3Xv2dXbO8rxbzjO3ghBGfouFlS2ZEFtGzsha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           "]], 
          PolygonBox[CompressedData["
1:eJwtlH1olXUUx4937892SafePXNu7l7ZnjuzS1sQBBfbfBlCqTF1SiiG28Js
mJJurkyxYGVv+0ckAsWI1FJJnFPoj8QXzNcsUKctWFoaBMEKLUIdfQ5f/zhw
vs9zXr/n/E5y5Wsta2JmtgrJRR6kzKYWm3091mxWvdnRarP4GLNsvtkx9CAy
S2H4Ek7bQrPnwSvA74CHwempZs34F+EToX9IvE/5tytudgDbxyrMjhSa9ReY
FVSZ5SHT8e/E5nP8N2GzFdsXS80yCbN54HbwC+Aa8P5IsdrBT4N/zJj1oe8e
b7Y6afZcSrW4z3xs+8nXkmf2BrJnutkpcAf6afp7iO+r2PfFlPMt7OcT8z3+
XZlgdhL9eq1ZGfUtwqab+o5ify8w2wseQK+hx9n0W0i/d7C/Rg1z+TdaYrYP
3ybkOPo4arw80Swsl+8HxLxNvtxy8bMFfBD8d6h6XgdvBhdWivvfmc0F4i+H
r4twV0INc8g1RA392N+k/kTa7N069ZrNMYtNMjtPj72l6sl7246MEu8gMzgx
hfnhfzgQZ85dO/HbkHxmXYDMpJ4n+Rejnln0MkjOzkA9eq/D9JQmfivfVhP7
l1CxXsF+AfX/O5keqfcS+TJwPzGtWjfh04z9tHLVvwP7Mv41sXNX4T4Fpzef
oG/iN5Qq5zrsR8BZ8NvgHvAMZC14CNyP/lFKunPqu9dIzf/kqIemUDNz/k9Q
w2/U92sk3WN4rE7+nwk0A9+N9bXqPQteiP+YSeJ2DdIL139k9FZ8xw7TXyqh
2fiMlsHjWTg+RO9dzM/A1cT8JND7mZLSTvtuO0c70Rezo8fGa2YXiP0f/TaX
ymcr/x8k1bvv4/2k3oi/FZ/hF+iN9drdOPw9i36SeD15j3a+Qm/G3473eAD9
46S48R2dSa8XE9o1n4HP4qtIu+h85jCrG9hUxjUTn82bkWbtfP0FP0vpcQlS
Qq440pDRbP2NPJXRzH32/oa+QS+q1m50438pFCfOTZYcJcRurRJ3zuE5uLwV
6a34DMvKxYFz4TX9RG0/p9S775S/jWew+TYmDlpqqDmht+o36j71nHtcu+Y7
chZ9CXxtG6sZ+CxGJus2+c36gfzFkWrzHfRd7CP/jEAcOpf5VbptPjOf3QZq
GobbSvAgeFGoXYrTQzf/Xg71lvzGfAneGKofv7FD4GI4DJAc4uYi74fix29m
PNJN8dviN3AZvX0fiku/yauqlNNze41tCd1Iv5V+4x/Cz55a1eI1dOA7Ia3b
5PzVwd09bD7LFYd30QsqdDv8hvwJN3trdev8BvgtWFGv2+octsLfd3B2Bimi
lgAZSOpWOAdHkhLXnaMuYv0PV0vqcQ==
           "]], 
          
          PolygonBox[{{8133, 620, 6308, 8134, 8135}, {8137, 2224, 6921, 7767, 
           7768}, {7690, 7689, 8130, 2221, 6919}, {8139, 1790, 7406, 6922, 
           6923}, {8517, 2572, 8518, 7779, 7780}, {8199, 8198, 6347, 631, 
           8197}, {7684, 7683, 6921, 2224, 8136}, {6925, 6924, 7774, 1996, 
           8141}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.3597618207721587, 0.43013993701257974`, 0.6075841053607758], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1lm1o1mUUxo9zbz1uzlnPf//h9mzPRs+zahMs+jQWuRrVSIIckVQftIzZ
B3shcBGUiQUlfctvlZQje8GG08oIYpnhZCZFKMtAl5BFEJUfYiRl16/r9sO4
7+f+n/uc61zXOedeedPj926tiYhP9bdUf9ubI74sROzWvmlFxIJ+H9H+l5aI
h7V/SfutqyK+r434rCPi7TziQEPE4a6I9dqfbYp4uiJfslkrm0udEVPyt7nZ
Ptv6Is5rf317RGGZ99/q/OWeiHnZ7dJal+6OlSK2ZBGD+n62GLGxPmL4Kt2t
i9gnPP80+VtzNWJIfl5R/P3a79G+Vv7P5cZ8d9W+OT8o+3fTb2Iuys8bOp/U
+SfaD2q/QfsdJcfZIyxbZHtZsUbBmdumIB+7C447zt3uiLeE7WOtc/Xed2v9
SXZHZJMLz+wNuitOj2tdLEc8r/t/l81BcYV5eED5irI4qXwvFB3zlPjszcz9
XfJ3Rty81mK723V/TvxvEN4D2q+Xz4Naf5M2w7JrEP7pBu/Hk1/uDcnnupJ5
hu9fO7xHtxphmUlcPZEZA1guFpwL9bCyz/rNi8OFqr9Na7+03Xy+X/Vvzg9p
Pd5lnPcp5o8DETtbFW9NxHdl83tK6+bcmr5TMX/7E4dogBb1Aj4qP8sV/8NO
1xy1t0Q++2XzoPD/1WEuiLVEWjxVMSdwc4fwHl0ZMSBft+h8kHrT+aXVqnmd
/6xcpzpd29T45022ga9N+tav9bR4GO9xjzzW43rkbr983tnjWh/Vuk3+F3R/
LHf8hVSraDHVaD2eqdoP/i53+qxRcceF/xvZncytH+cFnbUXnQP4yY0cj8nm
zRb3HfgeKZmHkbJX/FA3o1VjA+Pa3LndKowTmev9d/merFgLNGlM9d0h+z9z
z4VndXai0T7x/YPsSzqf0Pdt+uvQfr7iui6lPnqv4t55NGmLf3i4oLgjyuXa
3ojr2j1nrlFNDdW7vtGg2ut8+7ROtdg/tUiucEq+NWlWUMtogQ7UCnVJfZ7R
+keL8TN/4HtH6vfbhG1GvoZz9xOcoPUV7h6Sz3uqnl0LsjnaYv3oo7Z298h5
fT+dcqanqZeZpMVQ5h46J5vnqo57MXddL29wbedF64qm1AhzDX7Im3Pyob6p
80Nd5oBY8FDXbT0atK7LPD9eKFlLuG+omkf4JC/mFpryjVkKT9zZnjmnxaJ1
Yw5ik1/BxfuQue9HtN6kfvlI/XvjamuLNuA51uXa/qrLcx9d/tdnjfv9RGZ9
2YOJ2QmnxIZjdEKjyczrgNa5zFw1kkDiYVb+ZzPjGtO6N7cudfp++GpzB2/c
Ix48owl9gi43Z9Z/X9KEN4DfX8vvtPA3r/I8Jkd4ws+LrfZF7fMW0lPEaCua
R/oEbks95pGc/hXm6VQD1AL1wjzk9/1pRjEXmSngerJizfOkO3OUdwpsvGP0
L3G/SFqjObmhMTNxV6q/V8vGD3bs6DN6Y2PiYijdIaedKa9lyvmAcp8TntfT
W8ObM5J0b+0zrraEjfeYOt0rzB8kPuF1IGk3kd49/ofgPjMSbbg7l3CAmb6n
T7GZTfO8tuR3kp6kTtoSJ+jNG877BIf/AWUgNHI=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlF2IlVUUhl/0jHM8MycdzZlPnTnzY55z0lJSIWKw0pBoECT1wlAv1Ayn
oDICFaFUNMgMKvKuH0rJfhgHz2gmgfgz4owzSIGKGuQ4oEl5YV5EKmXP2/ou
Nt9e397rfdda+12rdfVri18dIWkNK8M6X5Q6+L6dky6w72mVlrBv519nvTSq
SZpWJTVMkFY+JlUVpEq11DtG6p8knU6kAexKVhpslp5rk7rxX5OXrnC2kVXI
B/4dsLfi/7MCcxv7r+D8p1baB94R8I6yutnf5983nE2dIi2okVaNkh5ifxn8
XE1gHCe+4ZJ0DPwRY6WnJsOP/Y4ihg72Q/CvzYft2G7g0ztOehaMEni7iKmd
s6PwzePug2V8uF8L3gLwHm+UukZLX7AOt0h3WyOXF+DYCNb7qf8j2KuxO+E4
ib0FjD/Bu5TGa8yHJ1JfalRhfcjdj1gJ/05wdhufHu7OJWdK/j/mk8WoiWsz
RHwbsFvgu0Ms83i834mtSA4/jIeTnO7NICZy3q2IYRP7N/H5Fd/PwDgIVkf6
Pr6zF/6X03j3Yn+H/Vt9YM2H4xXyPQdfZy7eaC357Ce4B7h7Cf5u9nuKqVaM
wT7Dmx5ADwfQQw312w/nx3C3U8++6eCCcaw28nPtz6f41uDrcF8EozEfGrAW
MtTnc+yL3NlJrKeoXXc2NLgHrH2liN3nX5ciZsduzVwH7+livK1jcCwvJaEt
czo3a9raHgKjj/v90yPWy+R3D76s860ODVgL/uez7XXS1UelM82Rq3P+MgmN
WquHOJ/Ne1TSfvIbLOH8X/DWwTUfjPvsZ82IuxPg7KBef8GxIhMa/qQ+3sxv
55o9Qy4zuXMD+yf41hXCx77D1KihHD3gXnDNuqjH0kJoxZppJZZhYt5RFzkN
gD9YH7n4n8+seWvfmryG/xPYf8O3Dfst7Pzk6HX3/DKwbydxZg1Z++uL0QvO
+Q32B9tC2yf4dwSu6lL0zm7+Zdl/3xK9NUDNPiD3zaXonVtwzoGrl/wPj4kZ
8gt41dwfzEaNXoT/bBK18L8qzurKweWeG1eOGeVZNRf/PNiL8XmeVSCWZta0
iVE733ev9oPXxxoJVoZ1BZ8eRQ5D7L9lfZqPmrg21qS1538jwdqZBJfza+Js
aRK963pYC7lCvL01fBrtFNrirjWxhXjeS/HMWcFeWIpZ6jf327smro1n2iLO
esE4yfqD2t1sjBniWD0TG4inPCVmnWeEZ0UOn/Z81NS1bUr5/e/dJGa055t7
cAP2j43R655Jy4nnP2mD8rc=
           "]], 
          
          PolygonBox[{{8116, 1969, 7680, 8114, 8115}, {8196, 8195, 7773, 1116,
            6956}, {8140, 2226, 8141, 6344, 6345}, {8481, 2553, 5637, 7761, 
           7762}, {6920, 1090, 7405, 8131, 8132}, {7404, 7403, 8139, 2225, 
           8138}, {5663, 5662, 7766, 1995, 8516}, {5778, 5777, 5637, 2553, 
           8480}}]}]}, {
        EdgeForm[], 
        RGBColor[0.40941594569473866`, 0.44759026845502, 0.5783944600388757], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFVW1ojWEYvsdpX7bMwdt7ztnO2TnpvKd8JT+MzVfNx1Ay/khr+Ug+ipmv
oTQrzUcoocQPZjaSbRkhRrLC+KNsIoY/Fgn5SjRcV9dbfrzdz3M/93N/XPd1
P2982frydQPM7DS+gfjuhs3iAbN0z+wNvn1Yl0bMdgTNenO1/5ot2YSLD1yz
LZCPYmZDU2ZHoS+DfU6G2SmsO3C2G3ffZuhsVdxsBHRjca84JZty2Hdi/wA2
f+DnyBizb0hmcBJ+cP47x2wW7vwsMNuMHBthczsme94LppTbEMiP6WZ5iPcd
9ztQi4P7T+BnuSsfjxG/MSmfZyDf55v1404h9IMGKcdLsGtDjYvhZxX24YRZ
JXR7XN2nnxVYRxzlMy9qtikT5xnKOy+p+BcRfz183EJuOwPK62aOzs570k1B
7VNhn4Z1O+wDvs9Z8JkP+xc5OluEfLyg8CjJ1hn1z7Ll57ifM/Otw/oH8lwI
uQV5dkJfDf1B7FuhL4Ysh34UYj9E3oFCxHRlz3s9yCeMnLuTwo9rnu3F2VjI
aa5yIYbMZ3qW+s1en8bZWsirMfGEvCFXhofEl7aEMH7r2993dLdinNm1sPw1
JMUn8uqeq5p25ip/1ko86Yu9Jpbk02tP+leQyxxhdAD5thaoLy2QNdDXQv8r
LqyJXxVieSH1vAe51UWV2y7ICSHl+CUh/E7kCudzntbNnvpN/8yB/CHXWd9f
xGsjnyEHQs6HvgL6tJB81MPnyIBsiFdXTPID+LjaUb/bkeeVmPjZB31almpm
LGJKzjNv9nd5UDnSX0umfNXCzzGcRRHrpKM8fuSLW+QY+ctZ4voQ1p0x3c2M
iFfkLvGuwtka7LvjsqM9efrOnx3myPnh+rAjTjEW+9fn23TApsH9X+tGf7bZ
8zuOsHueUD85I+TZS1dcnpkQP8iTdOD5yRUXViZUH3Gs9PfUf8b5EkdY3chX
/9jHopDsZwR1h+8UezUppRiM1evqvSO+eSm9R3xnFgKzBa5mhzNUndRsboBs
dDR7cxLqG+ui3XVHM3A5oTknlr2eOMg3ljN1P6xc+lFXPK5YixDrgqO+rsHd
ooh624S7oyPi0WysrVAYd7nyWRyUX/KRXBnhzxtnxQmJ15xVYkEfS3NV8/iI
Zmyrpz5z5vnGcT0uqH29K4z5Fm7zNI81nmaGHEyFxGlyewDnyRGH9kOXCbuJ
sM+AnOMpbpmnGeUMstfMmzaMQe4wP9aW5Qkf4sT3lPwo8d9L4k+cOVv0yTtP
k/LF/9h2T7gRP84HZ5Z79p9zQr+sj+8bazzrv3f8b5Brw7L1f5qSFCcnQ051
lS/fwvKo+sW+lfL/AfsY6h7jCnv+69rBn2bMw2XIuZ5wJt78txBD7tk31s68
K6Oqg33+BxneCRE=
           "]], 
          PolygonBox[CompressedData["
1:eJwllFtIlFEQx8d187IqmeXHbq5ru8V+Qjd6iC5qFiGZZZH6ohGS9mAGapZm
BWJCZEk9BAVR0M3uYKY9ZFYQ+JAFvZR2oaxehCAy6IJkVr9hHgbmzOX/nzMz
54Sr6kvqPCJSgXiRUb9IO4YaDhtckUMhkbF4kcNpIsWOyJegyC783Qkig1ki
WdiSfCJDxJQQ680QiUUmM0X+IBuxNYF7k/gB4q+C2Qj2GTBiAiJP4WtG34at
ktiEDMPuAe8f+b0RcvA/ShH5SO4H1/R66smDOy8q8iBZJJXz83SR+1nGpZwT
5A/jn038Evxj+DfBUYxMgycOmcBWgO80d2gDbxT8Vq9xplPfW/iTkqiD82v0
S+Al41/HuZraa7CdQG+FYz+5dzl/91m+1h5HDcncZU2iyHn4csn/GSuyGH8+
+d34O/DvpeYiap+O/wf+efgX4S8Co8dnMylE7wxbrt55FbEDzONrHL0Evw78
Mu4wy2ecTxzrkfbqDbZe9G9+q1dncIB6f4PXhq8U24Ri+41ba0wF/zi2XJ9x
KvffTJuN9kx7d5mYSWpxOY9y7iC/ktj54CeC750j8izBZjyEb0Y2cfTqIPEF
1DMMZq3P+vkCPRSxWShGMGI29SlHF1zNfqs1DP6rqM1EZ6OYadm2o7qrOrPH
6KnYjnktxmWeC7GVp1lPu9BLwMvx2Ez3gPcScbzG0YRvh9/41XYFX2nIdl13
fi21eQK2y7ozN7hvi2u7oBzK1Rmx3mvM0YiJ6meJuU7snbDxv+N+jVGbgXLr
zo5wnsq0Xuqbu0gtffjLfJajuXPh2AxXLDWdQ98dNawgthHmMY7kpNmMWxzb
Ed0V3bnbmbaTupv6xtu5WwVSjsQwNw+yz7W/QHdmHP5+dvQeEkOMJ2Qz1Fnq
zvejC3jXmPcUO/k5aG9S36bu6FbH3qC+RZ15A+f14G9PsTvoXZyAvR2d2Sd8
8ciKFLuD3kXfgL4FzSnCF+faLui+HKG+lcz7FOeHnJeBdc21XleTv9Sxnmhv
dKerHNsxzVWOBGKzA7YrijETrF9B663u8IIM23HddZ3BTvILXfu7tKb38C8P
GPcFbDnk14I/6LP+6V/RwHxivDa/LcSfdKxX2rM++rrab29NY/KjVrPWrhi3
0P8DtGDGUQ==
           "]], 
          
          PolygonBox[{{8125, 1789, 7402, 6915, 6916}, {8123, 2218, 6914, 7757,
            7758}, {8194, 8193, 6343, 630, 8192}, {8119, 619, 6306, 8120, 
           8121}, {8515, 2571, 8516, 7769, 7770}, {7682, 7681, 8116, 2215, 
           6912}, {7676, 7675, 6914, 2218, 8122}, {6918, 6917, 7764, 1993, 
           8127}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.45907007061731875`, 0.46504059989746027`, 0.5492048147169756], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1VUtIlGEUvZr0UKdfqvmZcZrRGeL/h4raBKkFSvZOimoTbXpjLdKgFwTi
ypK2tSpDyxJ6WbboiZi0KIKgJGthJi0q2qQRNj0sOqfztRi++333/ufee+5j
0jsbNzXkm1kbfpPwm5k1G4mYZeNmHTGz7ilmV8rMfpWaVReY1abM6tNmcwrN
9uH86Jlth30Lvs3DN2cgd4Vmi3yzTrx1Qn4Ou3rYD+C84t6p74NtUYlZP+6W
MKsBfj7w/zhfayFPOPlrUr4pU8+YGNsPvHcC6zQg5uM8BT9VwK3HfVoouRV5
3PXlZ7mv/GbB73PcP8wWJv2EiH8YuhJw0IYzDza3YHMDfi5PVXyfo2ZbyBWw
u5F7HHZrcN8K3bMp4mEldNcRx4oMsOH7QbHZ0sDsrC99Oc6N0A/jvQr3jbAZ
gnwANttSwnmKt4OBbDZBPgzMfnyzB5gPfcVeh3MQ96lFZq9xPvIUK3P/WSzO
iU9s+ptnyo/25OJemfK6g3MBfLTDzoPPglA8xjPKr6lQOQ4EksdRx72+sIfB
R6Mv/XvIE8B6ghgeAe87vi0HhyPQjeLehPtRYB8H7ivgtGb0xrxYv8GoYtzP
vGPqq9Wh+GCfkTtySm5X4exOK6+bOHfCdtQTTo+vui31STa4RI755Yo9EVH9
TgC/AvJk4Oc89W2n6w9yE0EPvA5kfySmeNkTxL0cSs6PywffhkJxQU7a8d1t
T/j0tT4lTh6UyQ+x6Gsxvs/hXpVVTszhfx/zPOT6l3VlTZlfk7PpQK1O4Y72
tVbkX4nvT+Jsjigf4jNvcsfeJJf00eLqxHq9QJy9eB8rVA69wDznqQbRuHRv
EcOxULhjMfXuvzrgbR4M8WzFwMlFFeO3pOrZ7PjsQ87XEMfkhLgkL+Rkoljz
wzjY412euJubULzjSGxdKE7exjT/nFPuoVxSs5gH20+zJXN/cBdwJ3TB5/Ss
+pzzwTmgv39z6ouzZ1H1O/cYcyCXnFPqGgL1FfuL88Z86jOaN87dYmC/C7W/
fPD0BbpS+PqK87Gvft+MsyOQb+4/1pk2/J61ItfkmXuIOr4vyWpmKuKypTzi
YmVclcC7kVG9ejLanZxn9itnkv2dS0vf597J60+3Z7jPel0P74rp/QIwD8c0
5y8hXwrE1W68LUurbzegf7emVJfatO5856xXZBUrOeDuYS3YB29CxcF4I4F4
5v9Gsy89+4XzwT3DfqC+w/FfEkheiBjuuz0/kdQ+on0io1liDHUpxcTYNkO+
GGq+uGN2+OKYe6U6EOc1wDwfU6y/k6o560G/313/0CfnYMjVqCqQDeeMPTXi
6nXUV+z8TyhA/11Fn/fiW2+Geot99ReZixYN
           "]], 
          PolygonBox[CompressedData["
1:eJwtlEtIlFEUx082mI+ZlB7yzYyvGcJPiGzRwskiXVRqQaCrmE1lkbZIgzIh
EFehtSmwVQ+0fICVqUVmlJVYJEKQErowlTbZLilqJHr9judbHDj3ntf/nvM/
N1LTUF2fJCJxxIe0RkVm0kSuB0TWBEWe5In0pYgMrBO57Yj8zhF5gH6PO19Y
ZDTEOYN7v0hPgUhSvsgktjjJ4rki/djbsXdiz8S+zxW5SJ1+auxHP8PdHLZb
+DwKmag+yl0ptgVq1gQ8f7C1efgekmMoS6TXNawJYmLgqYuIbMHeQXyRYzEa
exSfec7DvOcxspQt8gUJFIqMkSslXWQ9+gT1x8lVgn8quSvJuSlTZJHzRuzF
yHv8Q/jH0Ctcy71EzDZ813I+jL2dmj70JqQZ+1fsO7B38KYS7LXYO9GnI6ZX
ctfAe0ao34vvPPjPYj9H/DVsY/g0ok8VmG8z52n0anLmg2+FGrvA0+YYdq0f
4u3VjuWq4jxArS5ydIn1sBt9zrVeLnP+iH7CsVkqpin8x8EzDJ4wOWd1vsy0
zGeceEofy73+KsauLKuhtXSmVeR6nmdcUc50cj5AfCnxK6kiefieJudWsZh6
9N3IM79xRrnzJ8e4pzPR2cxGbVY6g1fUqyBfORJGz0bOO4ZV+/OT/JOc360z
Tgrc/ED+YMA4q9wNR61XtZhbiPdjx7zKoQB6bsSwKubP8GWcfBPku0++F7xt
gZ6N6q4wgz3M4jL+O9PsTcfIV+YYl/XuktrISZrVcwn6j2zbFd2JG/h/ixq3
EuQsZv9qozZ7ndld7BkFxu2MDfS8iDfmGHadSQJ90Ou/cqwO/5JCy6UcVi6/
Ac9r5C/Y/yHbHdtNfa/uThI1bwaMH/oXZBI/zzmd+L3Ez3j91zs3aJxX7muP
jzCHO+D75TcOK5cHo8Yt7dFm/LOQlwG7U9t3772L4H0L3uSw9VZ7fCjXdlp3
u4WYC671WHutGPtcw6TYNOcnzie9fq3unOP1PM04VerYDuou6p9y0DWOK9cV
83HHdkb5EMPeyvmU95/ozOLgiwVt1xSzzqowaH+D9kR7s+wYVsWgWHrocTdy
hdiryJDXD/1zRrKMo8pV5WQjscmu1dad091LeHb9U5rw/w8tkNir
           "]], 
          
          PolygonBox[{{7400, 7399, 8125, 2219, 8124}, {8126, 2220, 8127, 6340,
            6341}, {8191, 8190, 7763, 1114, 6954}, {5776, 5775, 5636, 2552, 
           8478}, {5660, 5659, 7756, 1992, 8514}, {8479, 2552, 5636, 7751, 
           7752}, {8102, 1966, 7672, 8100, 8101}, {6913, 1088, 7401, 8117, 
           8118}}]}]}, {
        EdgeForm[], 
        RGBColor[0.5087241955398987, 0.4824909313399005, 0.5200151693950755], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVEloFFEQLZNxS6YjjNp2ZpIZZ8TuYFREcIvowbgfXAKCKAQSkUTRBEmi
oKgIKioGFEUCLnEbN+IyHlwwiChGvIiag2j0JIoX1xAXFPQ9Xx+a+l2/qv6r
V+//dG1jVUOemR3Dl49vdLFZDo7ujNkIfNVY7/bMNgZmGyJmUxJmNfifC/+T
tFltzKzN0V7eQLOVsC3YKyoz64Hfga0vMBseUQ7XE2L6r0T9HfC9Rr0X8DfA
vxX++wWqy5odOKMCMUsQ0+2bjeR+HD7sT3b0vxsx4xEzEzHZQDVmAOevlFkX
MC1Imt1yzb6ibi6jHOayt12eLHuNBPLnwx5G7GycMQaxi2CrHfV2Bf66iHAv
S8pXjrO2u8pJoM58/B/mGeh9OXK3OMohP6zFnJnIbQbfXpjHc4ijErl7sY4i
d1uBsFbliZs7jnrjPrnlnDbHtKbvTSDLGjvh73OEY0iZLHGxJrlj3YeeZnUX
PA0uVAxr9g+E5xF4fldi9meA2fmU+GP9LGJaXeHPd8U1cb1C3uNB6pN1c67m
ugecZJF/CnvnYEfDVwQMvfnSGc/0i8Ut+SJXq+Bvhf8TMO7Euo0iRczEhPab
AumPmqpFzFFX5/YBbyqtuS9MCjfxv4X/SEqYW0NcxMy6NfivwP8+5B0ab/YN
uAqhtWngrR0xSxOaGTXAuc8NtJ4D24i4QuzdjEvXIxxpm9rlvWD9Hk951Ptn
fJ1YT0Yvk4q1pi9RqLP4f8/VPF5kxC8xUy+G/ZdR3YdcqO17qL3Yk493pcFX
zHrY1fgfBf847J/yhaszLl1fHqgZnw2E8wxsPc6qAg/XkPfXE3Zyz/vIfjgP
B3WOo34UthMY1sL3oUTvAmNOB+KanF9NiUvGEwd7oi7/azEp/JzVDcRdgDb6
ocb1uPpch/rPffH5DHZosXR3GXhOejqX588LpAfqoiXQXWsOfVwT8wpXmluT
lu5uR6W9ZFo4D2D/kasZ9GZ0H6jfB544Ilc8rzzUwexAvBM/3xjOnho4AZy/
w9wu7LeHOC/C1+TpHvfizB+lqvkd9uAQ8UOeGl29j8/TmhPn9dTXG0ENzAJn
Yz1xydlO98UVOSvy1VMH1omYNMA93lm+Eby37G9/TDobk9Bd/QtsMzy9n3xH
Z+ErQE6Jq3eW70Re+Kby/cmGPbCXZk+z5DtD3fJ8csta70MNkGNi4t5UX/eM
+IiNM6Gf/ZC/n1Hd5wpfdabBnvTlb4f1Y1ozltxQG8RBLqkfcv2lVFzxrp9x
9abMy+hcnklsHz3pgm8M9c66rDm1TL1MKdPbx9n3od7rQL33wF5ydR/qwlzm
VYS6JDfDoNNNrt7ZH+j9Hyux/2Q=
           "]], 
          PolygonBox[CompressedData["
1:eJwllF1oj3EUx4953/af8jLPf/+9/R/tmWzkgpl5KfxtlEyT0tTKSkZsyVCE
FBpR1C6UmNmUxsZuRFxIIReKSWJcKjeEmaHNfL7Oxanzfc7Lc873nPNL1jfV
NKaZWS0yDvkyw6xiqtmRdLMD2WbPwVngInAtOFVstgXHYwT1B2avsSewV2Df
ir0U2QzuAXegFyLrwWkTzS6iv4jMZhBfQ/xe4t+R7zD4Gnha3CwD+/exZrPA
pdj3Yt+O/Sz4M3gwz2wOeCe4DZw52+wUuBdcRPxgrv/r2ST8Embn+OfwBLN2
8LUCs8vkz8C/Ev+txH+g/oj6aqi3Ad8N+WbVyDC+I8iuyImpwL8a/3LwAPXN
Ay8DryPmOPGTM8weon8k33xwA/mawD+pt5t6UnwbwpZGP4XkqyP+BPFl1N8K
fgBeGHcf+bYSf5T4jcgZcIL8T9GvEr8H/wv4jxI/FlwW85lpdil8DqJ/I/4u
+mDSuZ6JTx+1vwm9VvH1Gv1k4LWI0/Hk2pH0WYv/7egvI49VT+pttMC53Yf9
MbG7sb/N9B3QLjST41DMd0C7sBRpRH9Dzl70nqRzqZhGYqfHffaa4Qdi18L9
E/hKx38FvhsC99fMmvCPwVd/zHtUr/3E3I/5P/SvkRxmhwzA+w+kOfD+xfkr
zTLu3P3fOWL7kj4r7cML9JbQa5XPSfR46PyI43H4n076rmv+LehfAt9NzWQ/
9kTos1OMYt8Hfiva4SrsTwLnTje0iV5vhd6/eniPfSD0WWsfvqHnZjsX4mRN
vteoWn/B35XIZ6hZipMsuNkWej2awb5i70G9XAB3gn/n+C3oJj5yKx3FbquH
vwX8qyzu/26jvsXku53029AMNLsbzL8L+Q23f5DVxNfF/MZ16+JE3Nyjvgrq
i+Jen3Z8CvmGkv62aCbazdWh86Mclbp18KN070G9LI48l94gvUX1gfevN6Qd
201q6aSfZkb7Nc97UC/K0ZXtO6xdvkSOGP6LqGEw5jer2xXH6lffyrF9yvW3
5To575B7eeD96A1YQnxV6G+balbtbZHPQm+I3pIxCY/VzQ9RT4qZrUL+wvso
sjLfa1XN3eTPjLy281PMSkrM5gZer96YLGy9od+ydkS78g9et83w
           "]], 
          
          PolygonBox[{{8109, 2212, 6907, 7747, 7748}, {7674, 7673, 8102, 2209,
            6905}, {7668, 7667, 6907, 2212, 8108}, {8513, 2570, 8514, 7759, 
           7760}, {8105, 618, 6304, 8106, 8107}, {8111, 1788, 7398, 6908, 
           6909}, {6911, 6910, 7754, 1990, 8113}, {8189, 8188, 6339, 629, 
           8187}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.5583783204624786, 0.49994126278234075`, 0.4908255240731755], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVVtsTWkUXtFh6ujRhunOf9BznDPsfSjxQEsjRKtiJh6IRIaEGA0VIi4h
Epd4oTzjwa2pWyqRtmZMIqSRtJmEyAQVJKTO9MHtYZKeKaqNS1Pf5/sfdtba
a6/7+tba6bodK7ePMLO/8BTgGRmZzY2bHXVmDvRGsdlvkLcXmTWCnw6+LDA7
AloN3SbIT0A+Ee/d4JvBV4H/BL4N/C/gr6fMrhSaDU8wG4DsFPxegnwv7A+C
zzvF/Bvf6iG/B91/fjRb/YPZ+7TZgZhZP+j0cjO4tcJQuTwvUj7r6QPvJ8Hv
h84r8PvK5eNtsXLNIMGV8Hdiilkv4u2HzW4fnzkxn9vgYyVmneDPgDfw10E2
InYGOdSD9paqH8PIoQHvcyE/BlpdqLiM8TQme9ruDaRPu5qMWQu+1YLmJpl9
HmXWA1qRQH3Qr8wij0B1lIMWpKRD3XVx2bKWJUmzO6htEN//jZT3T/BRB78d
0NkImp2o/vXDNh+TDusaRM82xTSj7YHm8xq5BbA5DrkDPRRoDgOUx9V/6i2D
vAt0NvKsiEuftZ31eCAumiPfO+TzFXqV6Esn+P+QcxX4O+BnFEi+y9SvKs8/
DBWLM3+JvBfg20dgZth5zMD31UCzmg36f5nZQuh8hk4LenEZfq6CDmc1jyHE
fIx6Ro3BTEB/D4SXp6hrfihML4TvGXgawY+BrCshW/ogvpbHZNOWUs9rkpp5
u8ce58N6mP95+GmFzkfklUc8h7h9oH14b4G8FT5WJYXLu9CtDOWLOOL8qc/+
cp9uFWmn9o1VrxiD86Qtez06FCaJza2h8mxJqw7KuSd3UW8Pewy6OdDMc6Wa
AXveh3yWT5HvmbNkTz9toEsj7VXOCYvE5M5I+Dro95e7RVwyH+4fd+r7Dsal
d9LPibrnYfsgLex1gR7OaE8aQMcjn3bYdEeaM+W0+TPQDs0PhP313v/YUHdn
plOtTb5XrIG1vEa/4+PUC/Zh0M+uw6mv7Dn1q9Pq6a+YSWNKM3oH25/9reiF
fO00zWAdqEXCPHelMVQtrIl3ot3v+5pAvu+XKm/KnsFuUVo5cHergK0B7ntC
8Rj3NOLfnizM9wPPc7LCA3HEO8o95A4+CXWX93isEf/cVe4N5dzH1ox2/hro
EHw1Y9Z/pFQP6+ItbHDa4RHI7UKknnMmvMH0S5/cA+oT27zrvB3EUDFyy8E2
TKgHvPXMrdX3sB817XbK+VGom9rt78+OUP+JFU5YpL9zkK1IahacSYe/M7w3
7CtrYR+/pPRvGAIdX6Kdod4CP9d53AOnvd0GvtbfSe4u58Z/TL3ff+7uFujc
DJTX4kA58lZ0+pvImh743er2tddEwiJved7PaxA9fuG0C7X4/japneX92+V3
hreZM0+VaCf5X63w84plFZe3itglhj+gt28mab6fJqjfrJn1Eh+My/hNTj0n
fhf7WkZndTepQ0xtcJpdE2p5HqmfxAjvO/uRL1MN1K9OKt73u1omDDLvHo9p
YrsiFEZ4b6l3MRQG6pzqyPm5TE2op0XI5xvKBELt
           "]], 
          PolygonBox[CompressedData["
1:eJwtlGtoznEUx09ze/bYLTT/B9vTM/yfsfEC2yyZxop3WAlF7kQyIuWSVy6v
KJSFtTHNpZlQmqQ2ckvZ1FY0lxfIC2WUIdOaz9d5Xvz6n//vnPM933P5ncT6
muodaWa2kTOU8zYwW5Np1hw1W1BglpZrtov78ojZl3yzF6HZIv4PoO9Azig0
68E+moP9eLMfCdflcrcbrGmc+gyzAu42oRsAozLimI+Qb48zq8s2u4fNHPBW
TzHbl2VWPMRs8SSzNvwfjzC7jM/NuNlsbO5iewqf6/h+h2Mw0uw9eE/g+n6C
Wf9wxxf3dPi1Iw/HJoocxsgx0/+78P0e99yqSX4i/CsC51IG36Pw/ZlHHOI/
JN5T4vUk0eNv5DsX+1bumtD14FMTOidxU85Z/PfivxnzCvC/Ifel6rOcu73w
qwJvNXif8SkCrwQfPv/jlyL34dNM/CY4DoBdC98znOP4nuBsTnht5bOS/5H4
1BE7c5TZ6elmE9D/Tocr8T9Qm2+pevURs4RaLAmc+2IwrmNbCZ/D5v2fj/wE
/XPiPyP+X+JWFbjuNDaNxGsHozTiPVtF7x7C8Q65BOB3hV5j1VozMhnbB+C1
c/6A1c8p5e5XpnMSt/v4t+D/B04XQ59BxVON3gQ+M+qtYn7O956oN2Xoh8G3
JeG5lGOzBX6lhZ7raPq1iCIdS3htp6Jfi74XzIPo27jbQKydSc9N/7uQr8Hx
UsRnoCHwGVa9VeNi/n/EfFY1c0Ow7aPGK4Z6Dc+BfwPM3qjPYCv//Xk+C8Js
xr4lpddMjY75DGgWVPNl5PcKDrfMbV4jX8XnCucjcT5xAvxPRn3GDoE/k3w7
zes5C3lr6LmqJtuQu1P9kE0b9vuKwMr2N9lJ/LEpvBL4HAn8DaheenNz+U9L
uk49Vq/L4Psr22u4F109MX5n+JvQ2xiI++yoJkvIZ0/gs6E3oF1xNPDeKaZi
d3K3Keo7Zkeu7xTtlvvYvAN/MPS3I3tLes/Uq/3ovwbeY/Vabzy70Gdaub/W
jKM3cjyLrpu7w/i+DH1XaeY0e7qTrpa7QezPhz5L4lSHHNHOM5+BdOTKfH9b
emN5xNqddC694M2ASwP/jeaYF5CPpPDV05vkd2qS7x71YH+R7xTtFnFsUr7j
fPdpB1YRqzHp3FRz1X5jKn/FuJbrMRVbO3whtusDf0vi3wG/7aHXQjtXu7cj
VW/1bB22S/GP5/ibLKd+84hZwQnAjmme476LtJPqsR8T895oPjXL/wB/X/K6

           "]], 
          
          PolygonBox[{{8477, 2551, 5635, 7742, 7743}, {5774, 5773, 5635, 2551,
            8476}, {8088, 1963, 7664, 8086, 8087}, {8112, 2214, 8113, 6336, 
           6337}, {5657, 5656, 7746, 1989, 8512}, {7396, 7395, 8111, 2213, 
           8110}, {8186, 8185, 7753, 1112, 6952}, {6906, 1086, 7397, 8103, 
           8104}}]}]}, {
        EdgeForm[], 
        RGBColor[0.6080324453850587, 0.517391594224781, 0.46163587875127543`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1VltsVFUU3aWGttOOxpvmememnelMx3tnRGm0BUUJFJD4gbQ8PgwqsRBS
LSrQYowYYtBqNNFoLDHVFiovjfggNTHVqKStIfChWBIR2374IGqCVFtLJQbS
4lqs68fk7HPuPvux9tr7THrj1jVbZpnZd/gV4ndrwqz5GrOtgdlCyDshn4G8
KG02XGI2VmV2OWd277Vm/TVmd0TMruDiLTAyDnmHY/YS7hyCbk+x2XbY7MB5
HmfrofMY7jcWmI0kzc5eZ3a61GwD9juhswB3U9B72DVbhf1H8Lk0IXvF8HkP
5N2Qb4M8H/I2yD2IbTCuezO+4v0sCv/wdTwuv39Wmt1coZgG4P8uT/G2w34r
7j8F/W2BfEagvwDfvsDdcsjfwOZ8/PrKzOZhHQ5k/wesfXHpd+H870Lp0O77
RWYHkHsL5F/g9/Jss7dSZgU4X4kc1+HOa8i9C/oTuNccka/l0L+zWLgQE9aB
sb2C8815s0+AVUMWNcggPpzVxcxOQe6FnIX89Bzh2QGd7TfIxr/A+WReds8n
ZeNnRzX41FXNjsDGYcgDkDdB/jiumj7i62yDI6y3uIp1KK16EfPVzDcjvB3E
cAA6H+Lb3RnVfZmjGhxE/seQ/5fAPp8QBvXA8PqY7tLGTyFW+6E7jlhHIR/C
2YmY4mcea5BbH3JYi/Ui9J7A3a9gszqiGmSw70UM32P/Amw2ueLoi2n5ZgxT
uHcuKQzIx9t95cu844j3TJn2kbCuH8SF2btFusOcWGPmVRBoJdfKHHGAd2og
l0dV15s8xbUxLd7Txv2oTx14PAmdWqyVacW2BN83Ic9y2GjJyzZ9kUv7KoQJ
sZmdUjxdsH0jfP1TJi5u9hV/iy9ukWP0XeJLLsb6qC9d8vePEOdZrjhK/FmH
c5U6p88eT/6P4Hs94iwBnjHoF2K/HHW5gPrUxsRJcpPYMQb20RDOY9jvADcb
s+LfeuQ1Xqm8/sK61xdO7LllgXjPOdQWcngGMU7nZOcU7O0N4+lOaWbURsVF
5kQc2EcPeVq/RrwnitV75MpUyMP6pGYJ8Wfc7JtJR/7Yow9ExVH2D88Yy5Av
P5w3e3z56sb6YFivAcS2Iql75PjBsF7EkvhS/hFnKz1hcxix3eeox5nzk676
agrni5OKk7z4vEqzq79KM5VzmHP1t0pxgFyYrNL5c7DfiX039N7E+l5Ks+gS
Yj4KnXegMxc69ajTLsQwiljasR/B+Ti+784Ki1HkZIGwveKr769yGnF+64vb
J7HOQ116cLYqIWyozzlfmhO+nNltgeYHZzbrQHxYi+PINwZfE4hlMCYMj+JN
afdkozyj+rGOTWGPs8fYXxeqxQfy4hiwSiHHaazVMc1DzsXznmZnE+Rq+B6E
zgTw6HIVxxTzDvS+8J1hLMyFfLgIPLoiwjmXEIcu4e4zruaalxEWxIEzcDiv
eBgX38DhqOxOI4ZOfH8W+otrxLFFWM+Gs64irRl89c2E3uOO3he+Y9mMYqjO
aHawj+fAXqsnnxNpzeY3osJ3LOQAubCiSrG7rjAltpwrnIWccexRzmnyjjzY
F8jO21gHoN+A993y4ii52uAJn5cdYVRUqvoSa/rm3c6wZqzd89CPp4VjDGvH
XM2jInCmNaZ6Neb05nJ+sXfbHfUj7RIv2pvxNH9Z8zpftmgzkdaMJ17Eim8C
ZwtnK2OjLdoZ9MS1XtTu95An5AtzZ+8xf/KR/b4rxJTYtnmqDWv0qqv/DexB
9iJrxfoy96WB7i7Bus4VR5txb21Ovpjr6qz6lP3KmBlvZzhPOcd+rdA7Sxz/
5yvXMU//UfifYiHk/YHu8n9Zb/j29eN8xFPs7Gm+8XwrX4fPfldYnMZ5JKeY
S7D+B/azdOw=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlW1o1mUUxs/maK8mDV3/Z+7F59l69sxVgzYrM5y11pfllvNDWEkqstLI
tyKyJKIlBUWREsLUWWLRi4UfwoIit4j8oi1i2SZ9qBhB1JyuZaG59bu4+nDD
Of/7vFznOuc+//SGrT1b8iPiGU4BZ2M6IsOH/rKI4mzEioaINVw8x7exJKIo
67vX5kUsbop4vT7itqKI9XkRj18bMV4VsQnbw3x7tzaipyLi5fKIVGnE18gn
FkUcKcaWXF8g35lx7AfmIpPrfmJ0E+udwohVxL6dnDdwPzsn4hZyNyXGdwG9
BH2qMmI/uS5fFfEzuccXRDSTr7ckYgv5mjj3oR9FP4x8R4NzreRbNfpsLqLr
avARbzgVMU28AeK9DcbPwXeQGg5wLlSTizOA/zb42AeGK8LWHPETsT6mvm7w
/kj+69DvJd/DFc6hXHnU06/6sb+HfPPJN0S+KzURtUXGICwt2KzHfhD/95CX
cR5D/x79GPK/OfvL51d8E/jbw91a8FQgR6Nj6X41thM17s8Qp24hvYGzM/Sv
kpgjYL1U6V69D75J6htMGZtyKNcU87CK2PPh7Bt8L+LTXu6cz4KnO+dcsr+M
3J+4dx18y4e3CeyXYr8L+yexv8S3k9w9QcwhbD8g/tJ8Y9pM/CWc48hl+Jxa
4BnRrPTjX099h2rdnzH600e/B/7XNVPXo5/PeNY+I+Y55HOLbCsb9fZ01rVo
RjQrN4F5b4HtW6g9A0e/zDNn4u6U7AvMwXbw7mzyrIyQ42nkFnFEvD7idVJf
XcZYL5KzktoOMS9vzHVP1VthUi75tOI7WeveKN9J8m9qNP+ap82N5kBc1BFz
Df7TaXMpPOrNjsRyLRiHwTpBDxsL/AYPcvdC4tnQtzywzGRtq2993H0Enkni
HUE/Kr6qPQvqsXq9MO1a1INOuOzLePZV05sN9pHvp+ij6D80WNbManbFibgp
pJ4TyGcbzZ04HEXemPGsv0KMDch3ZfxWtRO0G2YS59sF5reI3ZoyfwPoS+Cv
osLYRsG4HKzPV1lWvzUru9PeH5qpm6m9Hv9j+e55Kf69aXOrnaLdV55yPS9x
P0a+tY3uhXryIHKKfMXYfwVHbczHat788VLvrN/Q27nfWW5OP0HenfHbVQ3i
bkWNfRWjjXx76s2HZk6z11XvfIrZg7wVDL0F5uf3xBxJfgqOt3M3Xu33ph2k
XdSV+D2V4PMo9X6Xcb2j2JdQ75eJ3552eidYtjU4lnakdqV2gnbDreBbh76f
GH+VeadptxXlzI1i1sHVSMa9la5c01XedXrjOep5Me1Y6oF68UjWu1wYV4Jl
psb/jinit4H/xirvXvVPb/vPlHeJalSt/VnX1oH/Q/i3Zv0vUPxl6GcTz444
a6e24pxrV0/Um1cr/K/QP2NfrXem3kILNoF9IfHOz/E8LCbWbNZ32mHaZcub
jVU920t/TqeNRRwdwHZdYl074yD6H4n7pX/GDuJ/m/Lsa0cPEms47X+VfBTr
bvjo4PwNtn84Zxo8+5rJa/D9MO1/i/jT7vwP0ScfnA==
           "]], 
          
          PolygonBox[{{8091, 617, 6302, 8092, 8093}, {7332, 1754, 7914, 6597, 
           6598}, {8511, 2569, 8512, 7749, 7750}, {7938, 2117, 7939, 7388, 
           7389}, {8184, 8183, 6335, 628, 8182}, {8097, 1787, 7394, 6901, 
           6902}, {7389, 7388, 7390, 1754, 7331}, {6598, 6597, 8176, 2241, 
           8175}, {8431, 2521, 8430, 6903, 6904}, {6904, 6903, 7745, 1988, 
           8099}, {6902, 6901, 8380, 2469, 8381}, {7666, 7665, 8088, 2203, 
           6898}}]}]}, {
        EdgeForm[], 
        RGBColor[0.6576865703076388, 0.5348419256672213, 0.4324462334293753], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVntM1WUYfjXkTiCMH+ccjudwDnQOR4EjpMuVE9PNtgy8ba6Ym5JLu0xN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           "]], 
          PolygonBox[CompressedData["
1:eJwtln1M1WUUx4+FvMqrebm8yHv3SoJXDMotUtNN/zAZo80Va9N0YcvExLXi
j9oS1lrUdNaaQJRUq9C2agvJGSEtY6nJW+VgteqP2kycomK2gvp8O/ePZ/c8
z3Oe7znne15+t3Db7rrGW8zsZVYMa0OOWUaa2USyWdISs2PZZu+mmp1fYLYz
ZPZIkVl/olk3uh8EzLYGzW5wt52zM4Vma7jvQa7n/QR3I1lmexeabUoxmwVv
OzoF3ANrD/L+E4RO8PvAuBv8BlYpd5vQ2YG8gjfTye6TfPuWyz6wAreaDYGd
kY8P88yGk8xeKjGrYS3j7jl0Hkd3T6bfhxPM9nNXjH8VsWbvsS9BfjHH795h
HS8wW4rPnQvcx234enWxWTXEdMWzsPVG2GMf474LuYOzdtbPuWa/sP7Mcvsr
0d+F/c58f9sTxy/Yh4hppTlf7cgdnO0gAevRiUW3krNe7B+Ak6Nw0x8hBvhr
Yg2C/TVng9xVwsk87Fdydg05QPxTxDMJ3sPJngPlYhU6Leb71cjL4fOcuX4F
8g+c9aH/L5jVOW5TtsVBIr4MEUMN8fTC52nk34ude+XgHPvni5yL18CYxfZl
ODxMLANw3AIfJ8D7MNVrpAu8mHyPVTEfQn9f9P3H+PQR9TCI/qfoLwJvGP14
fDyPnED+1+JfLfv4FOfkV3wZKTd7Jt3sbfL3Gbbrl3p+dTbK3Tel7vtabI7C
1ST7E+xrieFV6mEg4twK82+wb+bBGbrj8LOX2gngUzz+3Q7+RvCrg16rVZy1
UB9/UB8XWIeJtZt1Fp8XJnvMil2citvXOeuG62XoRPDvLWz0g/dVltdKG/E9
VIb/ZS4vn29WTnw5YedSnOYix4Hfjv2kDLODy8hfqcemeIqxty/X9X/E36vg
n2S9n+A2y7jLKfRYQuyzkF+Bg45475Enibc7x21HOGvk7RV0mhM9pj3E/iVr
iFo+xf0NcjmR57rrwHwC/cnovhf+asG+hs3NMV6D7QHnTNypxu8J+sxQL1xn
v4V9faa/FYawdxHzQfOZ04g8Qr3EJHlNFMPdXfg7A7/N7Ju4rwj5bJGNFcjp
Yeda8achTwVdV3hbwWrC3liS51y5VwyKRTm5wH46Gv9mMJ/C/6O8mWI/wP4Y
+37wPmddh4sZVkmWz075KF8PlHgtCf8v8NpKfFaJ7zb2p/Fxg7mNM5p9xPNb
qnO8Mc97Wr2qGXgn2ONh7xX58B1ya5RPzcwt+BPJ9dnWTP2PUf/j5S6rJ9Qb
90XnszjtRr8m6LNd87an0GegZqFq5AV8mQt67apH1etHCl1XM6wh4D2n3lMN
TWc7p+L2ad5c5G0FGJdSfSatw99Li30WaoZplu0s9VmtmdmAPBrNr2bUF+Bn
5jt3mkH56GfAwfFkj/9IkdewalnxZSPP5Xk/KKfK7Zqwf4vEqbh9M+yzSjWj
2old4rmUzTjkf0Ke6/3gzyKfjdancrQLf5qCPpuUL/VGVYX3mnquNddnlGaV
fJwI+0zQbLiMX1dYu8POjTgRN0pcQop/I08yi27me2+pZ9ajX4tOXprP+Cr8
myn2XtcMm+DtdLF/W4VRx/18fCaU/79fsSHPqfL1vXKM7/cXeG410+7l7oES
r3XxX4c8p29uss9gzeJL0fr7CcxTAedc3OubkU4uLpLPR82/kVPIi4qcO509
i355dN5pBg1Ti61B/3ZJ5zZ0O0Le+/qPof8a26L/DzTj7kD3sZD7rv8I+q+w
KuLxK8erI44hLPncgv5/+XZKMg==
           "]], 
          PolygonBox[CompressedData["
1:eJwlkM0qxFEYh598NUPZkHwzmTSzGheArOx8DOUCRJIiLsAFWLHEwjDiCqSM
r6WNlQ2lsKAwImOW5Dn9F0/v6T3v7/d7z0lML00sVgCNUi3lLviRoU6YqoLe
Nih6fpeNJNzUwbq11Ar93j+1w6bzW7InuRjkrafNcCZ3aSjUw6211KO3bNuf
MzSv9rUD3uRL/0/Zt9dUCVct8Oj5QXb129E3Z02Ye6zfdTraKeyWTUHc3qR1
Wd2K9Kk7jMNlN5xIQWbVzMi8rDq/YH0x+1lq9B42o6z2PKNPg/tnovmgC57B
e8yMmNrRVPSW8KZfzyP2/lJRTsi7kAPzM+4x7n8d+W/ZZJQVMj+8L8q33Du3
5txAQu9aGExEd2HmH7fYSvQ=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.7073406952302188, 0.5522922571096616, 0.4032565881074752], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtmHl01NUVxx8K4kIGGGCSCZMJISH5DZJNRWVRtLa2hl3rAhhEVFyQxR0V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           "]], 
          PolygonBox[CompressedData["
1:eJwtmHlw1OUZx19ArkCWEAJkQ9iwS0h2JScqlUMQbJ0KyGU9uA9tRAtCoZyC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           "]], 
          PolygonBox[CompressedData["
1:eJwtj78ug3EUhp+gQSQGA1o+WrUYXIHVJvKJK8BkoDYDESODP0tNtbC4heoV
SAgVEReAaAzC4M/oOfk6PDm/nPN73/Oe0srGYqUDGJCcnIxDVQ4nodkHB9bn
BKY74TsPXc5ycmT/3vmxNS3CgpyPwpl8jsFMD3xYX8vwIr9qd/thbQpWZcf3
Tz6bxZ/Qh8+WzPdCY8Qs7q1KbRguuqHl+y+8ZKIAl3o86nUnt1Kyl5qz5byu
fk6fzWJ2T9zV9E9dzYP12t038tXOeuW7pv+prKuZVVux7tnfbxPvZbXbeixZ
35Is13uS3R33P9lvOC8XspyRN/bEviEzpO4atP4D6F5BXA==
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.7569948201527987, 0.5697425885521018, 0.3740669427855752], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFmgmUlMW1xz9AoRlhFnoYphumoWftZWaaEdHHoonGHTUeI7Iv+vQZcUEj
giCCmsSYiAoiCLKIC+AKqCAIrs8dEBEEETW4oLiLxrhEwff751857xyaunO/
W7duVd26W1X6rLGnXdQ6iqJtbaKIf9GSQhSt6BhF6xui6LCaKOoK8vUEbV0U
TQCupL25exTNjUXRZT2iaDrwHOAZtIuK4QFNaasoGlobRY8dFEV94XNRMoqu
i0fRm/DOVEbRte2i6IGqKDoE/idD00z7fNsoeo7fOn5n0Hc1+C70vbrGPO/N
RtEC+oyn77t8/wH8DGjeAD8kH0Vr6Te5WxSdxLeHwf9QH0V9oM9C/xI0l5cg
P7+Ibx+CK6fdcgBjVkTR26BPpX2Iub3AWH9Dzu3QfFPKGHybz1gx8GfnougC
5lHDt/b8/UkmiuK0T7A+rZj/0azDSMaPkGcj+HnMu6Qpip5lnP/u6vXbpPVk
fQ7MG14ATTHwpch2EO24Nu67FZo3GeefyLAIluXweQE+Z8MnzVi/Y6xq2gj8
SvDDwZ+LbC93iqJTmFsnvreGT29ItrMvI4ET8EyyFmngD5B5Lr9DoNudiqIe
tcbv4vtLtaZ/hPnm+D4C+EH4bILPUOkAfNbUGl4GzXX8uiP/bNo0PHch9+Xw
/C/+/oI+vWlroK+Gfhz8W6DZDc1UaN5AH7YAjwGeiPwNjFcLXb7Uc1zL3Max
Rn/l2072ZTjwfnieCs+u/N4C7k57Dfhh0DexJtc0s25lUfQn2lngx4L/Hpq3
+XsR6/MO7TzG24fiH8/eTmf8jxjvMOY4F3kW8/eB8HmrPWteHkWnI8PJ0I0D
Pxudaot8VeCOhn4A9DeAXwl+FfozokMUnYXujag039XgxwLPBF4LfDXwbOAn
gOfzuwz4a2T5qdL7/Qfgj6s81izanxo5j4w1lP3diL7Vgf8WXX0zwDlolmes
k/XAa1nbTsj3TsbnJt3O53FIznA1NE8lrLfv1ISzLZ1j3Ms5z+XQvAH/r8Bn
wB/JvvVgz4azzrvAPRn6Sve7B3yKdjv4buBbQf8GcBXw7yVD1vht4HrTXgp9
A+0A5jOPec3Je09u53cN67mQ7/P5DWtl/RUsHVa7IMDzsoY7srefdXIf0ct+
yI70he/jAZY9KYN+EDQ7kWFmWFvt5yDmCSpa35lz0Nly9IL+hZjlORh4ToXl
6kJbGviU0C7j7+Xg+9BewN/Xy67Acy6/dsj9ELhTs57vb2kPQNabga8H/iDl
czcAHVsHfUfoHwP/E7waka0n8E7a14p85s/g+/nFPhdPZ0x/f8J69Dl6OxA5
DsQOrIF2ZFefp69KLfdExukVs76Wx6y70tsjGeNCeP46a938BPpjwRfB5ylo
z4TPk8hWDP1gaO7EtrbnvOxh/b5lrc6G9hL0pbmd+dRB93nC7SHowCj6TJLd
oR2d9Vm7ju8v0bcLfWeij+eC/w37djiIb/iWp+/zjNmetZpN35v5/gX4evCH
wfNd4B7AxeA/Bq6RPrEex7FuG+DZzHruSdjOyN70z3rd+tHuTti+yf41Zk3z
EbiBFZZHcn0YaGQLP6m0DxjLXmVZtyHgF0aem+b4IzweQHdzrNv9edsL2Y0P
WJ87kH8S9rAS/ElBz28Ffp21nYRd2tZkP6a+sm/P1trGPk37Hd93l9jmSAf2
l1jP/gJ8Y4n1tbjJvqkDbee8fdsubGP7Ju97O9rPOlsv2jRZL6Wfv0fmR/Ht
MWie5NutSfs7+b2ZfJ/AGCccaF2X7sToeyzz6Qm+Q84+dmOJz1cx+CHQPsb8
BueNH5S3rZfN70sbZ00GQzONef2hh8/ndejRrIBfQ9+VyPNpkef4r0bb4R9o
D2iybrdust5Ify6Exy+N1tV9tEdVWf+OYV5T0+g5fK6mXYkNvg15UI1oS2e3
t2HzZ4f5rkWG84HLoBmf817J/ybRxaO6eC1+rrFvlo+uYn2OqPLZzDJWH/BT
8EevseZjOnj9FVeU5x1jLEr6b8HSyxLwO+D9hfSc/f1Hmdfwj822Ny3IMxo+
HyH/tlb2XdID6cDV0HwLfEgL/OBbC8/pyPxMW9OJpgX8lcizueB5TC7xeHuK
zPNxZBhBnzbgR+UclyjGOJB5/Q9wEfgx4LMVjnc6suZjwVeAnwL+Hv4ewlj3
0ZZD0w6eM1n/M5PmORKa8+BXxB5lGTfe5LiljPZi+XjW7VPOU9e8ZbuTfj9U
ODZrx3qekXEceGyL4xfB4nNYiN8i9OVeeD3AXAd3tY+RTxmbte+VbNrjf/Lf
ieAPZx3+N2s4mbQPky8bi5wboDkeuB8070JzGnBd0jqeDbHN1+jvXn4F5nlu
wnZzoOYIXAF8DzzOSTjGOhF8obvPuM76q0UeS/HSRNlDaA6UHQKuBH6dvqtS
5vMi8OqU8V8LZj9GoQcbG2zvZPcm0vdfWfuAJuT8gvXpDf2x/P1w1m1F0r7y
6Db2g/dlDZeDvxi4p+wV4x8U4AJzH5K1vZXdbcfce/3HvoE/GLgFmkuKfb7k
r+vCWh0J/vtOtquSSf3qQ9+dGfNshOaywOcn+K/Nes0rk9YRxRva35Ws3Qzg
qUnbP8E3gt/P3C8F/iXELBNCTqG48pIy26626HseGSZJpgrjnuOsjGL9xwcf
V1Fn+AD0rhy9i5f4PEzp5vhgKvQPolegoptobwlxrOJZ6cKV/KYw7m1NzhXG
sL/nK0Zl3E4dHMOeijyv0H8GNHdDMxCai3Puex7zehn8RvDngj+1h23mjbWO
vRRHPSObjJwj4XcLcWMBuAz4BeBGaBoY4+Aqx2dat/011rEuHSyb/NJN/G4A
viLuHExrtSll3UvD/4qE4+pm4HNyXrOzke2EIq+zYqqpCcf6p0GzPGeeV8qu
JOz/jgf/6zqPO6fBOdwJZV672Xyby7gHQX8r+BuKHItMBzeH3zTkeZLz/yP0
f2HNfwv/fYrZoP8HfZ8H/oa2X9yxvfIj7fnPYS5Dk86LurMOhwFvEx4e/2Tf
6xnvcfRtZNJ7rT0/St+gGQhueAefZ51l8dsXeMpHiWYL8PPN1quXmjz+z0EG
nUOdx8Xw/wHcd8XOy/rlbB9OS3qNtFar2NOrwVeiPxcr7ysxLHt+bdwySJY+
cbcaV3ZxXZHzw1n0vR7co/iII+n/nuJkcLfxKwb/KXM9XesF/lfgWiqcF3ZC
5qPBfwi+MWf9lp7L5utc6Uw9j2yDkp7DMTnbJ+mQ9GdzkWHZK+mD8hfNsW/c
9IKPps/3Ou/a3ybr/DzaYeBbM9bQnH1IrMQ8hwf8aOi/R86Mcmn08apu9mXy
adI/6eFd6PO3QQfy4CZXOLZUjHlrwjmMagBzsS1p6RNtzyqfix+Bb1fuA34h
7W2BZgH9PoTn08D1SedGolFcPiRpnZeN0RmXzLL55yFze+BzQq1C9kI++bsK
j6Wz2FhlfXsnZV3QmpS0sm5+F+BPql1b+LTa51924HjGisW9Rlqfw+PmLd2Q
j5WuKDef12xfJn8rudoH2fS9NNBcljM8JsQvJUHH+sf9t2DZQNkT6fCknPXh
wmTIS8EvQJ/3sz4bZN/Bx+m7sdg2RDGFYgvFJTt7OidS3qz8qFdn50U3wLMa
nvPkT+sc62xgvlXKseFzBDwb+D0DvCfrWEk1CMm/KMQYijXeCfHTxjrnpbL1
N2Sc04uPdPijrPl8TJuSXYLH6i6uT4in/MUpSccfvWo8j/VhLjorOuc6Pxtk
Z4E30p5QYZs9p8lxk+oaWudC0v1/UYyX8xnd08XfNweeqnlsCvBW5F1a5Hxp
W9b1KNWlZJMlg3yifLb8ZAs6sBG97AK8OevvGwJNn5BLbsbetMt5rF70y/J7
VnOA/vOs4S/lw+vsf1polwY7IHsg35UusR2RvZONYsv/bUveCuup9oNir+O0
nOkvC3FldeirWot4KS+a3mQ7f2OTbcuooLfS3/LgT+W7txbbhswN9kF2Qvxq
Srz+pXGPIf435Ywfz7i5nOU5Kmkerwc+JTnDh4LvnfS6q+YkO/f3IH8emt3A
v0laF3YEfeicM9wP/OFJ64pqWo/Uem9W0N6esD1Qvq66iWzEXRnXU1RXeRW4
PG5fI56qUSouVaxaEbcckkGySAblDqrLqO92aI6MW7cVh4vH1sBnVYhVFLMs
ga4e/GLaRQnXGFVrVO6iuFYx7YnExG+XE/uAX4VsN4I/CV+6KJxBncXxMdea
VL8aUGQawd9lbLtkwz5OGZbt3JGyHZP/VE1ievDRxclQf0HH1kA3A5qRjPV+
yB9V55jJ91mBvkfO89/KOd4X6jtH1Dp3nx50T7GAYgLZ9HXwvAX4Ynh2gtdg
aMpp30oYjgO/196xheIKnZEhIbZ5ssp8rqHvLzXOVRdWOV8VrLhypGoj9BlB
ew8yncMe3Es7ocjjKh+eEHO9Q7WOSTHXUIQ/s8jzFb57kfNt5dqnZ1yjiJHv
PFhlfLbS+zkixKua64ww37K411Tro7xCMXNVrf2D/IT86WsdbIflb5WfKE/Z
WeP4WHHymhrX4EeFnFDxiOIh2XPFKIpV1tPu7WA7L3s/K+tYqyjpPZob/JFy
AOUCU+DZCdluC7IpTryz2PnC3VnDnZL2t4sCflLcvMRnRaiNK4f+PGP9kT/s
kDTPW+HxUSfXu3qHfEO5RqzWOYBygRzw37JeqzZJ1+ZUE5BuyLfI76jmphxZ
tTvF6F+Wubag2sOMrHUvFsacGeai/Ed50Gzm+KuO7ifem+i3vb376o5ibagN
XhHzd437czfnP/to64M+9wj57PigV4Xg9zXvXlnXAVQPqA+w6natu9gGdCTX
2AXdr2WnaL/id4zsNu33KcdCveh7Xsaw4qOirPNc5burwTdpb1izcRXWTdVy
Hso431lBuzzhupzqc3sD/8cSvucQH+XWK/i7BJrhfH808FxF+26Q7RG+n5J1
fqc6SudK1/f+lbJ8ku0iaI/oYv3XOVDOKnslO6W2IcB/D35c/ry0yjXkieQ6
l9Gns/Se9hp+Ce1ZwrZc+bZ8rs6lzqfuMM7IGq+a0/jQdzr0V4e+V2Vcmxb/
sirXjpV3n9zVsaTWR/cyR8HnIvkFxZX0ORj4OdpNMdf0FH9cxDy3Ae9h3iNq
DV8I7oo0MiDP5LR9+9ZAf37K8I5K14dVY1WNrDTpvOtV5r6SMTow/n0Jx+vy
e4flHMtlQy6p3Fg58sm1rtGrVv94wj5Jtu4Q+LVN+uxtKrjWqZrn+wnf66g+
otx5ekfnYordVaMaH+zDPQnLIFlOzDqHH6A6ao3vGuawbg8kXENWLXlLxrq0
DNwLYa2WAj8YaFSfHkOfk7Tn3bE1wcZek3C9Ujawf6gnXRrs2/aCc5yV2Izd
IQ7/IOvzpHqnztR78pHC0+4oOJ5YA/3KhPHvZ5yf6yxfydlsDnlxU51zCNkI
fbulxjXtGTWOI+Sb5Zdl89qEekhtse2D/L1spOyg7IbiLMW+8i+qUaomqdqk
Ygf5ftn22ezjfNa4gfi2vtpwhnZCD9+BfhVyrJHBFyg21fh1OeugYj/Vi5Xz
K/eflnK+ODT4NeV7ioluh/5Z1U0Y9zntO2NMY6xS2kkVhkuAuya9F+XdXXvR
naPqLxXdHVsqxuwL3RLo+1e7XiMf1MD6d4bmWda+b8Jxn2IyjS2bWhbWROdR
flF2R3cUE8PdgWIKxRmKKzS2ZKiSLN1dj/owZf8s2yq7+kfZKPieyT6Oibtu
opj1i7TP+5dp14Jl/8exlpla1/PraFch84XQr6Yt1Preo5F2dJF9nvzdvcG/
L6V9KW3//XLadWHVh1vhHxcnzOfRgseXHLJXOkPqq3huLO1FcZ+BhQX75tE4
8hOLDMtH9+HMPwzcs95nTrmczrLquPIr8imTmg3rPnxmuB/XPfnCCu9Fv2rP
X3Ur2arRGa/PWbQDwp31ibTPI8N4aF6k3dvDd5B/lW9qb1j1Xtnd88NcFqe8
7+uZ65K047+ladfKVTO/Fvw7CfN8AZ7vp3wfNCfU/Y6LWY9kP7SusiGvoivT
kGcPZ2pHjW3UNtpTeliOv2Bv1xa8duto29T6vm9Hwj786eDHtV/iqVqc4hTV
d8RfsY/qC1tDTVwx8nrO9ZRm++/5rPfUat9/7W52zVjxtOjqgp58wlifx2yT
lX8pT1O+9nCdY+ddMdeLdW+q+9PF+IpHa2wbH6lxP/kD2XbltLLpsudDwruF
wbWuD6leI777Yn43oDqg4tMdMdf79FZAcZHio4Hh3cLpta4D6vv8vPu9HvM7
g3fFI+b8U7VsyXgXNL8J9Yi9zOuCCseh7+P3v475Hkj3gMd191227rR/Stme
z61y/KvaoOzqDNWokfty9GpCxvDEjGVUX+V0skuq4co2qf4jXyI/cqNq2tKt
jO1l73Bf+AfkGc/3z9Crl0MOK3vzadr4z2lr+ft06I9DtjEZ87kg47sc3en8
TDu5xnXqiarn5H1fr3t71clUE1FeeWe17y3uou1H7vMKuU9/2q9irpepVnZ/
wW8dlhUcs+vsa4/rg13qlnTs3D/wHJyx7+zJuH8ETiLbn2lvSRj+U8Z8lBto
3T+p8Rx1tu6ocUyxkLZPrWvhX9JvdNp5wuZm58bKkW9ust2QzVBN9S7omhWb
wb8y5/qq6qyqrSseHga/fgnbZNlmzVtxv2L+NRn3XUvbP9AsR55XY34noJxf
93iqiSuf1DneFur4uhPVGfk04Tt4nc03E/aR2s+F4W5f8ijXVoyoWPFh8EU5
13tV91VNR7WdjbStD7LuSm91LqWTqllMTBlfDf2krGN/5YK6w6wP9qpv1vVn
1aHlr0Qjn6V7GuU+32d8z6m7QPGszbp2rfuTS1Me6+dK19IyIY5qHWhU584H
/ptT5iv5VVf5NuO7Fd29vBZg3bfo7kd51ivg/hruFvUeZFHGscIdOi9p268X
0/Ybst2y29oD7UXHKp/j3WFNNhb8fuUV2qtSPvMHJ1wLFPx2eMPQOsQkuoNR
fjRI99opx96KwdeDvxw+G2jvTlufFqd9ZtR3dsL+WDZcdvU++h6jGiHna1uD
73dLE47FdD8lPdwWbPi6hG2fbOC9Cc9V90k66zobOiOH0i7I+M5Ld1+VtY4/
30vYR5SHcdeHfOC8sKfK/XoHmyH52gafLd/9WcLnWLJJV5Vr6t2G1uH6jOXU
fdqLKeddquf1Cm8yVIeUrVXeLXvaP5xBnUXZeMUlsqGPFPw2ayXthnLfAcP6
33fm8t3K5Y/s4rV6PWvbIRvyAO21zb6bGNbiO3XdrZfSjqh2fX4k7fsx2wjZ
Gfkn+amSBr8/U93vO9btnArHRzs7W17ZB8ncq97y9KVf/7TvT3WPqhhZdTr5
F+UcglVDyPLfMr7NL/gnOFPvPZVtkd/cUnC+qbyzMrzNG8W6dQ37pX3TvHUn
rrm3DT5avlox5ri471ClaxPifg+htVT8oPWUPMuCfIV689Ed+zyYnQf9ioJt
omzjHeA+jjn+073PXXwbKttbad8yPO646bUG3/UvYT3vLhj/IzRfBv3XGxPd
hWvP3+zJ39AMhmYtNGd0NE/55uUFy/AQ7SJ+A4EvrHSt+pBQo47qXG/R3VFJ
R9Mof7gd+t8BD4P+8GrneEdUh5p30LeyatetOlX7/YHeIbTVO4qY42Plqntr
rEvSqadrbD8fYh1Wd3UecYHeYnV1zK97v7JwJ965ye8z9E7joCb7b/lx5WfH
hhhAsYDWSGt1D20z8g+KO0Y8qqPXRHHGHQXjp1Y6Lta8FGdp/pqLYjD5TPkM
+Yvqar+p0/vBV4JN30T7YN7v7Zbl/e5H8dTyvOtM8i+6v1S+q3hL39qEtdUa
612jfPJDeb9f1PuDUtrlXV2bW9rN9Tatndbt2bBWWjPVDORfFNcNqHIOpXrt
LGzZEuS5pdHvmaRT9+Z9hnS2pYt7k67vDMv7TZ7edL2Xcp1O9YqFKdehd4eY
Ta1iOMF9Wsynb4vPvM6+7if/3M2x63XNrgtKpzW2/K3iMMVgqh8oFtGc9RZT
uEeRYWTF/7832RfuUOT7ZD/eCP5admV7iGGUo8wMunRf3vomvVvSzTlyGnh1
3r5WsfA9eedNyp/0Xk1nurneNRrVag6tcpw1Pdgo2VrZXOnQ3Xmfa+UHul+6
IdjMJ8I9iO5DpOOzw/ktSdgXb2lw/Uw1ONXOluQdaynfkv5uCbG34lTFTfsb
/b5JsbR07+G85/9vOxreaOmtluIF6Z70akXeZ1BnUT5MZ2oQc6qTXsHnG711
TfoO9Q30fV3efaW/V+QdZ0zO+2y9GeJk7aH2VDJoL/aXGXcl+/oV8GTaH2KW
QzJozWTftW67au2D5Iuub3bfad2c16qv6oZ6a6t9W5r3+RCv/9zxq10LfkHe
9l9x4tN5xwG6G1TMq5qV1uKZIJ9kuzXUsvQuUv5DfuTHRseV1wbfd2iL5ZFc
V1Y7dp9SbX+i86LzJt0Vv2u7+b2C9P2pvOup34R3Rx/XOL9Tnqf3rfvCO6L/
A4hidDI=
           "]], 
          PolygonBox[CompressedData["
1:eJwtmXl81EXSxhsjJESYhARIZpJMyJ2ZIQmIF8eqKLoKXh8VgUVY93BVENCV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           "]], 
          PolygonBox[CompressedData["
1:eJwtk21ozVEcx79tacIe7In/NNfdzXbvxI2ywixe2IPyBkXb2EzRykMWKyti
8gIjQ0oeI5QRNruLZFjjjRfMOxuTkSuXza7UZOVzOufFp3P+v/M73/M739//
+Ot2rt6RIGkxTICTnpSVIu0JSrugAdLypJZJUlO29CtLGoXy+VIZDAakgUyp
gnnMLzWS10BelJxvLtfs+YDOMnQ/Mv4IST3MY4z/yB2HolwpmCTVs95CDcdh
JdoV8Jt5E/k15Hd4VmeQvH4YgIfEVhAbZv4VotBD7DksQLcA3ehM6SgcgbiP
9YnS7BlSBmenQyra69CYyljOmeOYUsu8DjZDG5q3oKZQSkyVNuVI7zy7J431
KZAMQby6gAdnna7RL8WbVZO5e8B6Zrx7EcarDKmXcYycv7Af/X1wGHLQPeNZ
D42XncTmEutivOrZeYR5O3TACPuHoZL6EqivmrGPet7Aa5iWiBbn51P3U/Z+
JrYQiqAZvWRiG9GphCqIozUKG4J2rcadY857BPOIXWOf8DKEv4vwuY/vt1Cb
Y2uoKrSetbk+mX4NwXL2PiCvCyLwGA/y0QjnWg+Nl5mwnrx+1svQW0u/ApyV
Aqk+W7epPwrPyCsgZwn/XxLeF/ttn02/Pdanw0vn93v0tlLDFtgG6ew94dk7
m7vXQQqxQ8Qugp/5OWKn4LTDzO+jV4/eeXKG8PUY/f3EeJkzr8AduA1/iLWy
NhawPTa93h20b6yRcQ519zKPU+NSKIECcvJhKGR79SVk36F5j3shm1irZ30w
fuTBGvwpRWuQeDXrPndvc/9XECE2i/Xv1BGDCPVvp/7OsO2z6fdN817I6+WM
J9AN99w974bt/zXi3qt5twdY98hvNr54dn7Q/cPmXy5xd/rp3nuI84t5Hzfo
0SV3R3PXbndel6vpOlr/Ad/XuHg=
           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.8066489450753788, 0.587192919994542, 0.3448772974636751], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFm3eYVEXWxpsdcpqBCT3dTKS7h+47DA2IoIiKEsWwigHTGjAriiBJwYiu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           "]], 
          PolygonBox[CompressedData["
1:eJwtmndglNXSxl+IFAkkAcRNFgKB7CbZd1mWIEhRsWAHBCsKNhD0KlxQpFkA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           "]], 
          PolygonBox[CompressedData["
1:eJwtln1Ml1UUxw+CyItl9ofw/BRLXuw+CPIiCJpkKYFGWhEi+odtLqW0QTbM
IVba2pyZud58RUnTjAqVYaWjqUz/QLfek6Cmja1mllgrVylb9Dk794/vznnO
Ofecc8+959xnwtL6yrphItIAhoNraSIDYEeKSGmUyL1JIp8FIjPjRAbHi+xE
vgs8hWwl+NaJ3H2ryDfQPtZtTBTphV4APWA5NsvAA5kiN7GbC32C71qwAF5G
iVRBV/D9JHgPPw67Q9D4LJE4sJe4QyNEEuDLiV0GRrLma+wSocnkWEiubyCf
R8z54Hl8PQfmhCJPY1cOXct3IxgOX4ksBrof2wZy3gfdC1rAOmyawGT0y7DL
hl4nhxJq8A90CnEKwCZyHId+s7M96l7fRX8QnA/M/m/4Y+kil4jRAT0K2kG5
8sjKoLNBKRgC/yllTyupS9QkkaQMkTEgBr4OWSz0VeKlEHc7MTaQ74sgjjVf
IUvItH3r/tt9vIKI6eLRjQF98MnQF7BZDzLZ31JkP8Pfif0EcJMYFchOIbuI
/0sK9pLLnjYh2w3fDA5gl4FdC7Kd2OwCIesPsDcHzQATQRR7ELCYXAaxn0f8
hSCKPS2CplLPNLAdbAP9+M4n1mb85rL+EP5yoFkgG8wC94F61t6Cj1XQL8ml
GN9trOkkj0/BHtAMHkcfi91yrQ/ftfhbB20Ea8E5fHWDDvTF2H0EDcg3GTwW
sTxrkD1KrRqI8Xtg8TWPQq0xuIGuG91gaPXSunXBtyM7A53r7+IAa4uwLwY5
/o5dRpbGdzo4C34ivzPQ06Ar3c5Yz7oV+4PYfwCt8D21KOLvDaj2PbUkYvdG
74+eiZ5NO2tase8IrTZaoxPwbcg6Qzt3Pf8f4U8i61d7349vB1ZHrWcifZiA
rMpZf2qflmFbj+xqYLXQmkTI5XtkJRGrrdb4BDgODqMrJM+jen6+lwsjplOb
C36uHMHfSWKeArG+b3uQRWEzDNxO7Gjuyfvcl1Hwt4EcbCeDamd5rsZ+HLYt
1HQsNBkEvq5a3xkR64kk8shjXS6YCh7GvhBags2H8DOg08B0MALsQBYLjQYx
ep7ktwI/00ObHzpHsv2d/S0w3TR0Z/G5Xs8XelrvCPgENCH7GNoBjoE8bGtZ
MwV6Dz0xM8Xy1vz78bcEXRq64/Cjo9k3+qvsecBZz2nvXQnMRz52qaGtSQ9t
Duo8zCfOQ8Qt8DXT2mlfa3/Pga9BVwGdhO9M8IXvsc+hs/meBe73Z18a2jzR
uVLp++QR6GV8FXFGv+j8wD7P97r2/BY/y15Rv3wXAbkD39gPjbc9695DP6Mc
NJvvLHDRz6MfoHfxPRG84+fRfmdxNN4NP8v+dXZ2eobXyPEZnUP4ezA0fn5o
+9F99fg3rBO7cnR/sfZPZ/x1Z2+fvoFrQCKyGmf3Ru/Pr2ALdbuSZm+Bvgl6
L/V+LnRmPxo+ht6MHgn8bNQZ2eLfoX06l7E7jH2bM/6Isz3qXl/H5jW1xS4V
XTO63c74Pc7eV31n38Kmnlze9Pa6rh59HZiKnyEe/63aH8ROJJexfubp7NOe
096roS5r8Ls4tPmkc6oB/iVkz4Z2V/XOtmrvIzuH725n/Hln77q+713+vrfr
24iuF913zvg+Z/dL71kcPqv0LQvtPui9iPF91huYLl5twGr46tD+CfTfoNS/
p38EplsQ2pzVedsIvxFZU2izQ2dIPfwGZKtCewf0PdgW2Lv+Mjn9D1ByQUU=

           "]]}]}, {
        EdgeForm[], 
        RGBColor[0.8563030699979588, 0.6046432514369824, 0.315687652141775], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFnHd41FXWxyf0iAIhmUw60UwgM5kkE1wRURfcBelYKOprQ7qCXZEiCAIW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           "]], 
          PolygonBox[CompressedData["
1:eJwtmnmAlMXRxt/lhpFjWeBll71gZ9iZ2dnZWVFjSBRMVEAOEbn8EhOV0xwq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           "]], 
          PolygonBox[CompressedData["
1:eJwtlnlsV0UQx7dQrEpppQX6e49CC4Xf770ft4JGjtAWsNRgwhEMp5S2CEoP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           "]]}]}, {
        EdgeForm[], 
        RGBColor[
        0.9009516285815558, 0.6223790714538893, 0.29295004860282275`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFm3eYVFW2xS+humnAsaGB6qZTQVV1qL7dVaiYGBEzqIAICiYySlDEMTAq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           "]], 
          PolygonBox[CompressedData["
1:eJwtmndgVVXyx29CXgAJGpPAIyQkgfTk5vEogsIqWIAAIiJNpUpvIq4iKhaK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           "]], 
          
          PolygonBox[{{7892, 724, 6476, 7893, 7894}, {7834, 7833, 9031, 2903, 
           9030}, {7043, 2335, 8258, 7847, 7848}, {8261, 8260, 6480, 726, 
           8259}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9088835974190286, 0.6422089935475714, 0.3175391519989886], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFmHmQVNUVxi+gDAONDrI0Y/cMDT2dlMzrnnGJUUshgpiIW0RxiwYFBEVW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           "]], 
          PolygonBox[CompressedData["
1:eJwtlllsFFQUhi8ghUrRVpBp6Uw70M4DMDPsD2xlE4wgVFAQiYStVBEKSCA+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           "]], 
          PolygonBox[CompressedData["
1:eJwtlltQVlUUx1ekIhcdDeWA5ysx+Grq23iQJi8T2UzlhWa6AYqg6AgPKl7A
boBSUWmlzoCaVsowWoQDiBecsod6bKamgBSwGm9dJq3e8tZTt9+atR/+s/ZZ
a+211977v9Y+M6rrSjYliUg9GAsW5Io8DjY4kf2TRD4KRXbyvQP8kRB5Cl0j
uhV8Lweb8XsP3RF0c3NE5oCpgcjXdxAsEhnCZxAIfsvwa8HPxUUS4Ed0o+iG
0cX5npgu0sncWcQoBEPYh7APIpOzRMaDPmIdBbfIpRRbs67L3CnM7WbuK8x7
FSwCC0GI7htyuZ1cWvKwgb/yRfZOFnksJnI/PveBa+j2oLuBfDRm4+v55q/z
bvk5N9WezVywkjyqQDVYlSayGnkKNDEuYN0HiTsb3EneMTDA+OMU9oTsIWY3
KGRvG9nHO6Hlrfn3Mjc5g/jk3I7PQXAPfmvxa8OvKjL7KuR89v4I+A77Wezn
kCmslarnhX2QvaciG8irUe8VrAf1oIY865CTiT8JTGNuDTF2sUZSZOc2JrJ7
1vuuBetAA34H8OvBr4x8S8Fd5DyA/zj8x0Y2To7MX+f9N9M4cVtk/FKezQdl
5JARGG+UP5WgAswILPeUyPan+/yFdc+x7ijrbmPuG6ANbCRGK/II6AL9/g5O
Ir8CX4IRsB3dMHIKsTLA9/7MzhBvt49zL+tGrF8A6j2365CZnGcATuP7Cbqj
6Jo4sy15xkvlZ68zWx/yc/w+ZdzP+EN8OkE2PlngGLrT2E4gPwttfJzxPnz2
g2WsXa5ngG4NtlzkBPIdB8c7yC+BzYHW0Ox3O+OIciXueZKHrICjlaALv3fR
bUL3NPt8BnSjex/d8844rFwux3cpeM6Z7QXkLM/PAuQKbFVgPLkkg3SfU1rc
8tb8D4MfOMdDfs+69+PgIrpjyH7W7SHeQeKl8p0GJnImE0Aruk5su5GbPT+n
B8YH5cUS7TnosgOrba1xzUfzWgy/vqA+n0Cujtm4mHEhuT0A5jF3LnjYc64I
+YHPtSGw89ZzP+FzbUZXxffKHJuvceb4PjM7bnlr/pmgA/+pus/Q8m9zxjnl
nnJGuXPA2b7bnd2J3k2j3hu6Lc7uRO+mzO+xNNfW1hzysW/AL0Jm+xrNcnZX
emd7Q7PPdNZTtLdc9r31EjKN9dOVd/gdRve2szrReslhL9NBnu+/ucibvrfe
QC4mfjEoIo+HwN/oyrH9mzDuaw1sBwPkvE37a2j2fxLW97X/lzDvWX0XWLca
W4Aso66T6GFLI6tFrclRX6PzAluryL8D+h50oRuDfyX+FZGNl0f2juh7or1N
e9zLxG7X+iSPn32/+MlZ/9U+3OztW5HT+A7BS76fveisPrVO1/v3r9YZN5Wj
WnNae4cCy30J6+8MbU+Zznqo9lLt+dr7/+QMSrBdR24NbXwtYe+XvmOB505x
YOej56T5aF4nnfWPU856ufb0FsYd6F5H9oU2fs1ZH9R+2IluH7q1zriunD+L
bgTdBWf3rPetb5e+YcPozmg/RX4b2njEWW1rjTegexLdlYS9//of8Lv/B/gN
uYAYC0GNf/9igb0F+iYo35R3bznj3A5nPFI+rXGW5zpn8zXOeWd5XnTWe7UH
/5qw9a8i3/Qcqw3svdZ3uze0+mly9qbp2/Y/sfI2IQ==
           "]]}]}, {
        EdgeForm[], 
        RGBColor[
        0.9168155662565014, 0.6620389156412535, 0.34212825539515435`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFWWt0VNUVvgEmyWSCyYRkBrgzkxtugkruvTNgK0bC+xG1rPquFYQqKBTl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           "]], 
          PolygonBox[CompressedData["
1:eJwtmGmUlNURhi/LAD0NYZqlB+memYamcZnunhYSQNl3VM5JDJocRIyCAiOy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           "]], 
          
          PolygonBox[{{6162, 6161, 8333, 2414, 8334}, {7565, 614, 6295, 7648, 
           7649}, {8337, 2416, 8336, 6163, 6164}, {8000, 7999, 6800, 951, 
           7567}}]}]}, {
        EdgeForm[], 
        RGBColor[
        0.9247475350939742, 0.6818688377349357, 0.36671735879132017`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFmXeU1NUVx38LbBnqDjs74C67O7guLOz8ht9EEaQICNjCQbAdFQtF7KAY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           "]], 
          PolygonBox[CompressedData["
1:eJwtmHl4ldURxg+QkFwS4Ca5STAhcENIiCQ3+a5VgbAbglgpIlrqxq4ouygg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           "]], 
          
          PolygonBox[{{8472, 2549, 5632, 7737, 7738}, {11593, 11592, 7156, 
           1466, 8501}, {8067, 1462, 7152, 8329, 8330}, {5771, 5770, 5632, 
           2549, 8471}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9326795039314472, 0.7016987598286177, 0.391306462187486], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFmXl0VdUVxq8MCQmEJOQ9GUJCUnkhvOSF+yogg6BBbJ0QRaTgzKBWUWiZ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           "]], 
          PolygonBox[CompressedData["
1:eJwtlnmUzmUUxy9jMBhmGNtgxlSzeL3v+L0MBoUsHUl2jiX7lr1srZZCdMyQ
JWtFHZUOh3NCRCZLRFod+1pI9lAcpyx9vuf2x++83/s+z12f+3zvk9Z/dMdR
hc2sgK8IX7Ow2Xf8Tkgwaw6+U8WscqJZTAmzumlml5PNLvEdr2Z2gu+tWma1
y5n1KmN2NWQ2NjDbUcgsI8lsHHhdxKw3+iWLmp1LN6uXgh2+K9i4yjcd/Sj6
PdD/A/2l7NkSY9Yd+QJyDntHEc/84mYzU82GYrMBgVbF/jDwtZD77omNgZnE
VNF1ZVO287PNHuJ/L/7vYTsPnT3E1xD9fPDwqFm38ma3+G8YuArx/kvu82PN
Xmf/Qex1xl429qZgrxE1eYH1ZNYbgk+x/lwZr4Fq0Rcbz2Lvfjy1zDJbwn+t
WRtBDDux3a+6WW6cWVwxkqJ+i1l/mvUBrH/B+ipqMqa4x5xH7CUqk1Mx15Hu
ZPZH2N8Rn8fIfRIxrovxGE8h9yCntcSWQH49wanoPMDeVfLfXNVsEPG1I779
5DsQnIL909hvhP1B7N1dkzMiv0PU+BvwUb4WyL8hHwFPxN8a/HXA31H8paMT
i+4N7Bdg/wLxz8XfXeSjyC2owRpSfUg9WoIb82HC/kFuAu4Vdtv5+OgNXsbi
thiv6RXsN6AG81jbik4ueDE5HSS/ZuS3BHwx5L3TnZrU5vwPVPTYVCPVqm62
25bPnGw/Q51lF/acRjeWGqzG3nLsFQX3D/vZvoPOAPADfCxHXsr6Q3D9bF9T
TvXAWzmzIZxVWfI9j5P0SmZtynnNVfu56LzP3sbozwN/HHjt2yJ/Ah7BN5n1
NOSR4Exq0gf9a9SnBngS8YaRDR+P4KsV/x1DLFyavgHnZdALrF8vZTYbvJ4z
Wo1cixg3gluG/S6nkEMLcFd8lEryHukCPh7yXuqMTgH6G2q6bgL3vXWa3ynd
rbHEMxg8GZ296GZjYwr466p+9ufogTvk+y7yT8jtsXkY24uRDyB3Qj6BvAr5
JHI35PPI5aj5L9j7DHtJUe9B9WIJerIw92Mn8VQw78ld4E747GeeQ2dwW74N
1LM4cjvwbHS+Qm5BPfI4j2X4O4S/RZzHbPjjZe1BP8T+V8CDMj23s+xZy945
6BTEuo2j9NI85Bfj/L+54JvUKBzvNmV7BudTh/rU43zGcz75GX4WqoFq8XvI
cxWnidsmBM6Nu7E3HlyomnNBIvV+hnrPIv+RcX6HdJdWY+MMtnpi41LIY1Ss
vZGvI89n/5g4r6lq+6Hyj/X/FrC2J3BuG43Pb8FzAuc+1Xw2+Aw51k30HJTL
NGq0mf2NyWEK8R6i5jnmHHAYvKG6c8M+/G0EZ2CjOesX0c9Ubpzhl0l+Zung
TL7SRf2/LPAH2FjJ3sewtwJcVzMCf3+rhuBZFZw7lP+bxFIjcNsLiTcrcA4X
l+uOLSPeqam+VzW7yayKBL73KuvZ4Ag+C5J8poXBZaPea+qBRPAT7LnL3o/Q
eRxckv9WJvmdLAFeXtNjPYv92+S7vrrnLvr+HLwfndvEPxad78EJFXxW7mRD
Q2bXe8S7PcZrPI7+eDJwX/fw2UxnwdfRPIZG4NzAayHOqQ9uGvhe1aiJ+jXs
d1mcOBgcDjzX1azXBDdKcd+KIYd+qkwOa5OcgyrpbKr6LDhDPn8Rfx36v3O8
95h67XLIe00cLC6eFPhd10yfCO4b9tmmnugDfiPde0U9k0fv7Yr4rBOHicty
w87dmpkNwKsC577T5PApeFHgXK6ZvBA8I9VnvWb+Eezlp/td1n28xNqmiM9K
9ZB66X7g3KwevAfuEDgXiNPbgxcEzr2aGfPFfVG/ezrjePCfIb9LOiOdlWaI
ZolqkgN+Kstnl2bmAPb/zH15mOCcLG5+NOLcLA4WFydHPTfVvAq4FfMgr5jP
SM3K1lnO3T2wN4L1UVHH6qGR4DmpzlW53LG3yb9pls9KvVGGsn4m5LOrK/5u
4G9f4Hdbd2xv4G8WvV0UY1rEe0C9oDdca+SsLJ8tl9i/ifPuF/Xe0ZulP7h7
4G8HcWo38Ts+4uOdw8XlmnGadcOxtwN7MdWcq8vio02amszX9ObR20ecJm7T
G+OlFJ8xmjWyuT3DZ4xmjd4441h/QH37J/qbSG+j5wN/64nzh4BX/M/v4jhx
3clq3nubkE9JDvms0ZtIbyPFpNg0o7cQ71Rsbot1Tp8GPhLyWaU3jd42eqPq
raoYNrJ/dOCzWTqjdBeoUfmizim1os4J4gad8Xr8F4n6W0J3Oibqd0x3TW/g
tRE/M52dZsgt8GuBzyLN1FfBEyI+SzTDNcvVA+oF5TgT/GPgXKMYfgBPS/fc
F9Iz08G/1nKsN/K1ZJ/Jms160yZj+z8n3Mtf
           "]], 
          
          PolygonBox[{{6892, 6891, 7740, 1986, 8076}, {8070, 8069, 7153, 2413,
            8332}, {7643, 7642, 6888, 2195, 8071}, {8171, 8170, 9611, 3140, 
           9613}, {11595, 4377, 7158, 8170, 8171}, {8074, 1784, 7385, 6889, 
           6890}, {9600, 3134, 9599, 8069, 8070}, {8072, 2195, 6888, 7733, 
           7734}}]}]}, {
        EdgeForm[], 
        RGBColor[0.94061147276892, 0.7215286819222999, 0.4158955655836518], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1l1lwlEUUhTsJyRAFwuhgMMxMEnAyYeI/IcpiuTzog2W5Ue67BQqUWq6I
C6XiiqgELTUqigvqg5ZLLI2IK+BapZaC+4JIqShKQFY3CCnP52kfpm7//fd/
+95zzz3d03zWRcdeWBlCmFARQpXshkwI59SGMLsmhAMH2VZowfh8CG+mQril
MYTbW7RO7zpl95e9XmsGDgjh61IIB+j5mkIIW/SubXAIm2Qf1PNEzW/U+54k
hMnpEF6Ufac6hOO0Zoj892tNl9bslG3Uu/6hITTJ3poL4QLte4f2/VrjRzW+
QuNO/e4ZGML6hhBWyMds7f+s/JT0TY38t8neJX9365evdJy/ZRzrpFqPn1LO
87TfEvnplb+uaufVr/ntev8P6/U8siOExRqPkv2p4Lnn5H9+rdds1vqpet5b
+06TnaX5rZr/oMJrWXNvjTGYK5uu9Pttcc2ithDKyrdH9uqCYx0hP71VxoT4
H9D8URr/LAyXCdNBynlJi/G+scYxg9Mi5TBA669KGV+wvUbjFdXel7zXxdwX
yOfR+n6dfPZpbod+N+j5TmH5yWDjOVo5v675kuysgjnxndafWdYa5XuG7KLE
eYLNZD1/pvlJZePAmJynNtlffk/n+l21c++JuV8uHw9rPErjxYntoBpjO7PW
e92q5/ngN9Qx/jNGz4ptu2xQfA9pXNFhjsLVseLs2jheNDyEOY3mz0rx6FjF
9758HlN2LMRKPOvEpy7x4TatnayYFyrmXRTzV5F7+HgzMU5rlG9Hs/1P0F6r
SsYHnMYWze19iq7bHMW9a6VrdNAg1+kE7f2hYji+7P5ZrvnxWnN6i8enyT4r
HzvrhMEA8xPuUrsZssvT9gv/U0PdA2fX2iecOFl+P9L4JNku5TJTez+asw9y
pxcervY33RXue9bT8+vlc3fZbZo/rey9Ti2bR9Tj3chteA1PwQP+UB96lz2I
l/6jD9dV2R9+65XjFvomY/4tFZ7nyf+yqA30FbWnP+gT+mZGYouWvCdMu+Xn
XdntBfvfIfu5chsnDH5QDR+vM4b/6VJWuMr+0mBtIF/ypu8P1ZrXNH6q2npF
7wxr9voK2Y/1vq/KdRkmbj2jePbosF7w/RGKa73mejPuxW9KxvLa9hAOb3bd
XhSvx6bNMbh2Sov9nip7Q8q4gMmRzeZ1Vc54LKj1O2Kl39HhL0vu9XuU09w6
6wP4H9Hs+lfk3N/0OTrye8aafmDkK3V6LWoVdaSeQ9KuPRh8j0bL/3Xt9gfO
9MDKkvefr31/KZnTaFJvyTVES/qL1o2dsm1512JNg3EEz7UNjoWY2ONgxZHR
3ofIXplyHegRsARTcJyQOL79Ese4IX5LDXvjGnBnDOfPTzkP6kjOrIfPC6O2
oDFgAE/BenSrOVlsNd5wGM5j++K4r2Aezytby7dHzZ+euK6XRm7CVbTuvJRr
Bl7gtDHjPgUnNAxN/qPJvHpE8fTkPGbu/jpzn+eZUa849/5sMpeXCv+tTa75
KxqPFbYTNX9A3rWcPtg6DzfBk3dfZF2LHxusJ3CSmp6Tco/Cp2lFfzul6L6k
P+nxvdLWGs6SkxM/n5I4F9aRDzzaHNeT6yb9lkWN2hjHfM8zY+4H1OwrcWdt
yXOzxbdXE9eEPgBHzi1yWV+y75u15r6MexvtQkOpN7V+KXFN5rcbP2oNhpdo
fl/FfHFiHlAb6oKm0otgMSNvS7+uKZmDT2Zdi0lp+3sh8fh52d9Ljqs767OR
8wg+wRk4xJj7Av2JPsIZNO3emFNb2rWCr9QA/NEV3pE3OZBLf739rU7b55x2
n1Gr691X1HSfvHWN/poLf9rN2aDz7tKyv50u26l3d4kTNzeaB3yLXt4S71fc
s9AYeEtPdcf7B1z7rWTOPp01buAJdlMS53J2Yq5xvoDdZYnjJF7OG+YX5owT
+kCN6Ycr43ow2DnUXByZ+HybpW/ziedzifWMM4W6P5Hx/Qbuce51x/sfz8wP
ifcr9BY830qMCdiQA+/35VzWfIPiP1I2JU1/TN8MlF2i53M1/0ZifWaMDl+R
9z5oLc/UBr9wnx5g/8MT9xx9yd2E3KgzfQD/yZt7CjyEj+gWWsYa9gcT1sCX
VWlzBp7Bt6lFvydm8KaW1PS6gvtgcNrah+/qtGs5OvG4lVwTawhaMj7x+nGy
S7I+3wrMRz3JjxCHctYJ7kGVOd/fuMe9nPWdtFHjIR2uR12HsR+Vdq8vyLov
N7e4l6jz3Vq/OOuzrrXVZxjcn6c1C9qtsWjtSYn9nJj4vKFfl2rNxWVjclHZ
GgOm6Cv5g8NNjY6J2ArDYz4aHzbcdy7WoBk7ir4z9RXd22C9OeoLOrOq3nqE
Lq2sty7Sr7xrHGF8wIna0OP0STGeI2/D1Xg34L9Fc+JzmHv9hPgfijspdw1q
1RPvCvTcp/W+M4Ife3OvSe3muxPnMWs/15rOsueebPB/APr2W/Vo13CfF5wb
bxet9e/I3t7oWlAT7jsz41nL2Xt+/M/A/x767//ew66o9z0FHURLWQeGaE1n
/A84KvGZAUYbSs6Jc5pY6VW0Gs6hF9zz0dlN8b/h6pLvx+T8q8Z/jbG+/z3G
dzg0invEv6kIQa8=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlmlslFUUhk8L7YBOW0ZaWgozXbAMnfEbWlk0Lj/0hzEqIi1bAZVFCBKl
LAVtjCagCKQskVYtIcr2w4RIXaBWBVlkiUsUcAERKolRlLIoSKJC2/i8Of74
kvfee+7Z7nvO+Uqm11bNTTez9Xw9+SYPNjsSNtuaYzYiaba5xGxkuu9N4SwZ
mGVGzN7MMIuDPxpodr6HWQyZD8FnEshkme1IM/sJPCVltjLT7Bh3HgPvRUca
smFk9oGr2XuR8y85Hwfui72/emMbZ75H36Mpv1vPXhrrQXzN4Gns7cD+S0Vm
63qZ3Y1/x/PNZsbNIuhfgP5Z4Hb2DuHLlVz0V5rVoG859o5wfzK4Bh03gw8S
zzjwKeT3If8n8mOR/6fC7HXwEu48gvyPCfe9BZmT4DHsfc79qfj08wCziwm3
LZsXwN/ley4uoaMafW3YGNTH7DJ7H4C/yXddFziv4nxsynMxA31n0TeMGLKJ
pxqdw8G/onMUsd7I3i/g29GRjfw2/B8OPoq+bejrQN8Y9E1Keax16OtEXyNv
GsH+bs7LOY/1N9uOrmXk+5kY99D5cNhtngOPQ34s33HyfoJvADbu4LwX8oXg
E8jcybobm8fBbQXExVfHnUVJ55C4pBz+TS7TsPkGeBn5HI9vn6DjSfxbGjJ7
K0oeCs1e5T33sx6JP5fhSM9059QV8G7k+2b6nT3gg+RkO2ebkNlYavYHPowO
OwcugddgP0S8R5G5juwB7lwAX8XfT8Er4U8T9jZjrwm/9w702MT5PeBr+Nyc
6xwVV+/lTi62W8l3P7jane9veQ2ZGmLbSgzPo+tt1nmsJ5d4bTQpR2VmZQW+
bmS9YajZYuwv4lvRD1/4Goqx3dM5vQrcWuC5UE4aijxnyt1X+DARbAUeSyf2
JmHvEDG2ZHnMin0L/jyn3HKezXmcmDbAhTnc30ssXWXuWwNvFE86x8V1cboK
vC9wWeVcuZ+Qctuz0XEePq0e7G9/ER1rBnsNqhafxuaKqOuU7jbsl2L/Zfbm
hJwDxjoqH/B1NnvLOBvIuinD92Lg8chczfU3rdN7oa8rx9/8QNx7gnrDLfg0
M3DOi/viaAnr68S3Luw511ssZG84sqexUQuewZeM+Jvp7TbyPQvego4Quirg
4FC+LN4mm28I8hkRj0GxqAeqF2qvXL0Rf17o7TYWsJ6umsxwG0+Ap5K/byMu
I9n7C5xrnfTQHehbW+S5E+fXgN/lTpjcT+XO++DTcPqusPfQU+Bd7C1l/Qqc
+Vi9JfC3UA8oBS9H51Mh5+w9gXNEXNGd/axv6O+1U8/9OuI8yfvdx9ke+HYO
+/0qncsN+PA4vm9CX33IZSSbU+ncUo9Xr1fPUu/SjEjIn0p/+9c4n8t5otJ7
TzPr+axXp7wWOoh/Ffgd7iwJ+0xpAcfQNxrfdpHDhbx9Y7H3PvnQBO4R9djV
w9Kj3uPU69TTJwbOUXFVPfI21kOGmOWnew8oB0+Cs1+H/Q006zrj3iuk77NS
91G+nuH+QnAFPqzP8Ts1mmVR753KoUV9hmiWDEJ+AvjBwHOpGB4A3xrz2aYZ
l4u9nUnPfQq+t4I3Jp0LmhGbkj4zNDv05u0Jz4FyUYj+Ueh7KHAszoq7mlma
XZoRZ5Ev5ry7j9eUaks9Ur6qRxyOe82p9tTj/q3wGaZZpjtFyJ/hjb9I8xpU
Lb4XOBeVA+VCPVC9UD0rD9yr0mtHM1az9veEzy7N1N/AI7ifFXFOipuLA49d
NhaBF6Q81+pR6lXqqeqt4kQr54fzqMubvKavlXkNq5aHcWd+4DNQs1A2RgbO
OXGvnfU88LzAZdVD1Ev0xnrrY/jYTT5mBd5LVLOq3dqU39U/h/49VAOqBdXw
NPCp6P+zgzfuKPQZrlmumfgD8XbFXbdmrmbvzsD/XVTTqm39k+jfRDP3PPLj
A+eOerZ6939PiHRF
           "]], 
          
          PolygonBox[{{5646, 5645, 7732, 1985, 8497}, {5769, 5768, 5631, 2547,
            8467}, {8055, 1953, 7639, 8053, 8054}, {8075, 2197, 8076, 6326, 
           6327}, {11125, 11124, 7739, 1103, 6943}, {8468, 2547, 5631, 7727, 
           7728}, {6887, 1078, 7384, 11092, 11093}, {7383, 7382, 8074, 2196, 
           8073}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9485434416063928, 0.741358604015982, 0.44048466897981764`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFVltsVFUU3cW+ZoqtDHYyOPfO2IGZkd7cZgaL+Is/GB+JFFsoLRarqI3a
UhqkPzT8iJn4DGhMjAaBD2P8QXybItUCoYSgxRqbaDBBqol+GB9JS1sG18o6
CR8359x9995n77X32uc29Q609S8xs8t4bsIzGJqtWWY2gLWnxewi9vGiWTf2
32HfgH0NnhHoHvLN/ouY/YFnO95fW2pWajCrxr4f+j9DfyV0q2rMhqAzXgX/
kF+CvBnyv6HYA/kByI80md0bNTuKdRN0zkFnvmDWgf157Cug34n9BexrsS83
mj2Lc7Ips4cgPwv5HPTfwFkz8LkR35bD1yzOKMXNPOSzeIvZ7Vjb8WSg34m1
Fc9S7O/GWgfbt2C7DDZ5T+su+M7jWyV0Aqy3wudJ6K3BufEm5X9PKLyI2xDW
bsg95LINa11ccTZD/wDsrlAf773Qa4b+E1gbnR/6m/IUc1sgXCeA5w4U6L5A
68GE2UewiUJnJXQnffnvSwsznkH/o76w2Av9L3zJn07Inn6G08r3KdhMQ/9T
6LyK9058P4r925A9hnOOYP8y9h3YdyG+JPJayJr9xdrBdpUJe9reaaoVzyX+
pRr1AGN93OXLvDMx1Zr6hUA+PoT8z6TZ++iFzcC8vqhzef4/sO8FFu/g2+Wk
+mUjdBqLipPx/gKcKuFzELnl4RPtYdeyOmeDO2ttoLUrhxiK0qHub0n5fhg+
f3D4s3dWQ2cCOgeh8y9kT0YU3zFfubUCq2OhcPgYa3VMdaffLter7FnWcX1M
HKEd9ahDzIgFY7rL9WGrw6ka377FWY843pF/m13fsn+v4JwPbsZjsmN8jO3F
tDD4BLGV0qr1j8jp1xrxjj09HAirdchx3tNZC558k6vk6XlwOR5TbUY91fsE
1jFPvP0a6zeeajOOtQx/FxDPl9Cfy2vvrzDbBx/Xo8JxIa/vrwSSlZ18ztO5
V7FucXwn74kZ8yJupzztT2O96Go0gvweBBaXUPsh+DyeEDf7A2HTFxM+bW4+
cE5M4ntVVPOL/GFvDkA+BXl9VD13tSAOPY86T0PeEFWf0a7S2RKPNyOyTyfV
f7sD1T/pemA0FL/GsFZ4que2FuE9HNG7FcWV/ThrMSnst0JntnCjZ6th+xPk
2yGfiar2xJHzjLUgH8rQqYXf61grfXG7ylfdWQPizJrsjsmWeRA35kK7vRGd
MZYXdhHUbrWbe5x/xJf6KcSYcrPUc9/ZA+TPeF54l8gp14efoybtbp5vcncC
OUB8GMuMy+U56L9Ua7YnLdyJvx8qNs5V+n3P16w6EaomxJF1IZZTji/MgzVj
LjtCyYg98SXOd0BWzqv3zmbM3s0ohsNYd4WyI95n8sL5EOQv+OrBtaHmNzFn
fO2B5vPvt6nXGCvjZJ+Sk7RJh6oP5xb7kv1ZTOk+nHRc42zjfCaGnDGcn+Ty
8qjqyJwZK2NezOvO5OygX951xJ+5sR+JLXtyv7t3eE/yLiFfyJt1oXxz1rLf
yTv2PLHk3CGeW0LFxX6cyIir5zKKkXVknOQw63Ya8RQxRyqgUx9XHTiviPtX
rv/JA8ZLDjLmQko48C5lruQ7Y2Kda13tHnX/Hj2Os5yljInc4n8G/zFms9qv
Qo/NZyU7g3x3uj7jPwhnM7lKTI67Wc2Z3Z3TvXAYMawPVSvWmfc/OcM5Wc7q
PN57nIX0w3lIzDgriRuxJweI/2cJ9TxnMPOuc37Yj8yFefGeZl1YH/KE/bIz
1B1Djl4DnkPuH2nQzf4pV6PmUNjzvmIPkoPsw2dS0pnB+R05ze4N2HfmFC/v
WPpjXhPuv428fyBU/sRha07/UoyN/yyDKcU9Cz/70qoX5yvrwHrQfiQlny0r
xBPy5RTiPxne+Ida0qT77/5A5zA2xvS6+w/hHUVsph2X+1Ly/31Cs4N47oHt
/zvyjpc=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlG1szXcUx0+l96rqXCVtWu69dS/tnda/6Z2t7VveeJoXZB5aj/M04rEa
ZhviFZrYhgQhI8WLZZF5jmWLh06xVcTDVlmFkNCGeCNY0irK5+TrxUm+53fO
7zyfk5i3cvKKXma2AsqENhSY7ept9lUfs61DzCJps5u5Zt8j6weuTpiFss1u
obMkbnYiMBuGbA46J8FD0bkHzuMtCW7ibTF8btjsAriUt/vwLciHg/8tkK16
/O3C37dFZt9AbTGzO1BtuVlzyOw6f2aAp0G/wF+Dn+4yaM0A5B+ZdaXM8rH5
D7KfsJ8HPo98CfIjyJuQ74XPh7+WYza1xOwcMbWZYjwPbkSeRP4jMZ3B/5oy
swcRszqK9BuxdlWY/Y3uSP50gmOF8t1DTf5Kmr1JCf+B/DX4wSCzbVnokn9r
1OwR/EOoFdu3obn4uxtSzF+CP8VHA773UI+j1GMVMR3B1ifI6wL1xHvzEnuX
sHcOehZWTp7bJGhnSDFOBi/F3k7szePPFv72KVQt2onxAPHOop9RcJj/O9Cv
KVDuc9DfjP4XvO3H3lXsTQG3QJvQfYTOxrh65r0LwXcRS0O+cvWc19LHWuwP
zpaPmeDuCtkaTU6vwJdSisVzbAavLtes+IzUgzuIpxXb6/CxG1+d8G3wG+D3
wH9dpt5kYmMdOCOt2ZiEPUsrZ8/9BTYvEl9WWrO0EXFvcCk5LAf/QLzriXcW
Pm+ENPOzwSuh7LBmehX4dKBZ97dTgWLy2MLE1I39Iby96a8eFIGrsV8FPcb2
E2g0b/+jPxefo8DfFcm3x3Arph54L3wGjsc0Az4L3uOz2G+OKpcO3rqQHYP2
gfuin4n+MOqzPUc199q/jiq2CPw4+H70JwN8gbcK4mrkbQz8WOgQeKzrZKvm
y5CXF6rX7sN9vYqq167juiPQKYPamekOaAI9eIruQnoyHlxNjjm52tmqQDPn
/e6AGsE/86chopg7i7VDvj/voBbwx4F6mYmN4eDLUc3+KGr0K7V6W6xb4/n2
gKcGulVJ9KeBDyeUm++07/b8QLehFPmCQDPks5RFTj3Y/ixQbzzmSnBZIN++
A6XgP9F5jv92/nTyd0aJboHXcCb4XVS2/Ob47bmc0i3wnK+A03HV3ntQkdCO
+a65zSb+jinQbXJ73pvaEmG/sTXgtyndTq9RT0oz4LPgN/ss/a8JlLvfzOng
WKBd85mMg+OD2a2I9qUyoRw8F78Rv/O/KiGZ33i/9ZUfeL+BRfxdFKh2viML
wZ8H2iW3ORF8Nane+Y3wW3EwqV77jfZb/V9Us9GC/hTm4/EgYZ+ZjIRm1GfV
d7yOWtUHun1+I1eDQzHN+kB0Jib0x//6TuX5vBdrFiindRdrRnxWXKcX8vfM
TA6m
           "]], 
          
          PolygonBox[{{8060, 2190, 6881, 7723, 7724}, {8062, 1783, 7381, 6882,
            6883}, {8496, 2561, 8497, 7735, 7736}, {7637, 7636, 6881, 2190, 
           8059}, {7641, 7640, 8055, 2188, 6879}, {8168, 8167, 6325, 625, 
           8166}, {6885, 6884, 7730, 1983, 8064}, {8056, 613, 6292, 8057, 
           8058}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9564754104438656, 0.761188526109664, 0.46507377237598346`], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVE1sFWUUvamtRXkvr3RV25npm0ffTH/ss2iJbFywAjVNtPEPogkUNwaL
dGUDtXFBoJRAf1JAXcgTFya2/sVEo7b0D0IKKaYgJEqINVBTbdGN0pYa8Jyc
bzG58925c79zzz33hi1vNe8pMLM8ngfw+BVmTYVmj4dmp/FsxMc87J3YbDpp
tgSbz5kVI+bjUHY6oTh+P4DzEN5LYRfh34z3zxAf43zOM9sUKH8D/v07MqvF
P3/BNuH8AfxFvtn6arM/4a+C3QNfG967XP4HS3RHvthsNKW8NfB/jXevUGfm
3FagHCWI74VvK/K/DrsCDCfTZgP4vlRm9jxinoO/g+es2TxI+KTcbAPqbMa3
hlg5fkwqz/uoZRUxI8gzAtxr4R+GXYf8jfh+H7lficTJy7B7k7qX+F9FjA+7
HbYbePsQ8wdyfenL9iH3WEq1sY738D6U0H0zuO8J+K4D275Ks6NrzNphr/mK
Lw1VLzF+izvCQPE3EF8G/AtJ8fspbDvsKcR8kVZs7hHlYE7WMJgQPmI6hJgm
xOwGVwfT6uc2vF9MCB+x8Q7eVY07pzLq//mMsJA3nh+GHUxJFxPgdAjn8Vg9
I4e8IxerH4/BdqXVw3fKhPdYUj3rj/XeFzvOEuK0tc5sEjU8FTgNJlUj6/0v
pRy/lqu+n8HZLw4zeepBrqPkDvb7SFh/gM1nlOND2H7gOIX8reD8eFp6uQLf
ibR6O4f3XbG02gL7Ofw18DfC/zv+GQG387AdeM4gTy3uXckK/3JWfSWeS8B2
NxZvK7A7YmloJ+xiJK3fhu3Cs4B/DzuNLaaks1su/1dlqumflGYoqpYGstX6
73RKs1sQSmucUdbN/rAXN4GnB5g7mS8Wj6Ox5oz9Yt96EpoX8r+/Uvxc9dXD
2ZTmajlWPyZz4pF8PgS9vRkIL+eS2JvdnJz11Hf2n7PEfs2WS2/UGvcMOSJX
7OFPnmLYW+4s7havQjNGXFXgoT4UJ/WBcFEnxDbsq45l3PNGIN+mUHuFO4S8
8B/+S15fioSBO4B7aMjtu1ZX+2Vfu5IYt+DepbT4HPd052+OkwaHc0MgDotK
xeOEJ+45c0+H6tuqp3mk1qmnMU8zyFkci6XrM8Dzja9+cjezt9w/PP+b1R13
YIc95aA2Z3xhZt84l9zVpY4LcjKJ2COR/N2RamP87krtEWqJu6PGaYE9m8pp
5i+gz+8irhf6mUNfHnUcUvvUATn7KCN9ssYBty+4J3xoI4xUcwa2vU68vV0n
3bIm1s95Iqfk8Z6nHNzr3KHk6jXwd9fTbHJGqS1qjHPLmWhzdy978nGm2wL5
yD37zN1Lvl6IpL8XYasi+dfDFvrigHv0mTrt7mdhOwPxQD64e465nfudL46p
C+qMWngyVP/4/T6w/A/YICRY
           "]], 
          PolygonBox[CompressedData["
1:eJwllElsTXEUxk/qmdu8akJuea/yXvvuK0+KqGnRhZUgEmqsIKZNDcWGpjEt
hCLVGiJCRNVOuzAkxk6UBSKCkNgRIYYiEkNbgt/JtzjJGb/7neF/E2s2l1dl
mdlKJIL8Sps9yjFrwXk3aXYaOYvegu8Osc+h2Rj0CnxDiBUVm33Evob9Limf
x8bi+0ruIuRhttlkfGcSZkuQOPoRfL0psyTxZvQx+KqJ9aQUOxg1CzPyeawF
XxG5Uexvg80mQfZJzOxl3KwUvW6QWc1os8JQuSepH099L5wfwyU31+xoRj15
b+7rI7Ya2YJei29ZUhyd6yMwloK1E8x6sM8OpD6Af6hYE/il4B3A/oQ9g5ou
ar+E6r2D+Czi48Gfj72D+BTwq0eLayN4x8CrI2dArmb+k9zbac3afR67Bd4Q
7LnUvwX/EjXt1DaAsRus9Uglsm+E2X5kATXlyFNm8wy5Qv5lpArfZmRwvvZZ
zcw6+dbOQPuKYbfGxdm5O78X2P2RUxHtNxJXz96791wLtzLsK1HdRHeomfvs
fecLsWOj4E59F3ibiE1HmqPq6Sbx33Csimj+fc450Kzm4ass4B6xj2cpZyv2
OWa4N6IeGtFrwfsD3gXw2umnItAuBpJzNa6d++79Rgu51ffMqm2QOE0D795w
esxjx/D9we3dg0M6opncRV/BzD/0080uRy8NdI/uuwj+zED38ht7Mf20xaR7
Tit6UaDa9/h+gZ+X0Gz9ZocldBPebzn8Jvr+qcmLqIdO9K6YduP7v4N+PqHe
/JtNCd2Q43Uyg9n0Gs/XffuMesB7G2i267A30m9xgd6Ov6Fc6teQs5Vvf6d+
b0Zv2Hf9CV/IvFrpaWiOduy7/hfT7fhO/sb0Rv2t+htOhLpR5+o1baHelH/f
v7GWb6WKhR2wkxPUNuCryxFeDbkHqenO1o34rfib8lm47xCxEP4pZCi3no3M
yah331kWuc/jeqv+Zt+MhM9IvRV/M+Oo641pFj7zHvQjfP9wjm7Ib2k78jqq
e73O7B7AqSGimd5PakY+K+dcT+2GQP36zm7w7T3Eu6P6p6wiXlYgrFf4tmWE
6bbf4DtusSOt2/V79n+t53iu/zNK0pqJz8Y5HsWemtDbcI7V5Jbka1/OcRff
+pnSLfvN+b92Qlq35Zyc238DoeVn
           "]], 
          
          PolygonBox[{{8063, 2192, 8064, 6322, 6323}, {7379, 7378, 8062, 2191,
            8061}, {8464, 2545, 5630, 7717, 7718}, {8043, 1951, 7633, 8041, 
           8042}, {11119, 11118, 7729, 1101, 6941}, {5644, 5643, 7722, 1982, 
           8493}, {6880, 1076, 7380, 11090, 11091}, {5767, 5766, 5630, 2545, 
           8463}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9644073792813385, 0.7810184482033462, 0.4896628757721493], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVUtsVVUU3amo7WtfihdpXmn7yrul57zk2iKWgAxI7ID6mVighqIUEBk0
gFSgMQg0ZVBT+gvSgRNETWAgDkwITUjLL3xqMASikEACE8KvNBFJaqxiJLJW
1hncnP3O2d+1194vt6FjxdYCM/se3wv4FsdmR1Jmb+J8iC8qNpuXN/sQ8iju
P/Zml6vMtkC3rdrsQMZsIxxsqdb71rTZIN7uQb6LbxTyZJHZW5HZOsjtOK/i
/kfIpTmz6ZfMesvMhoOfLvh54sz6oJNCzL2J/L2OuPsS2R2AfA96n0F/BHZH
S8xmwO+reHsAnztgexI+XNbs1MtmM3F3o0rx34WP7mB7DLa7EOMK9L/ysitE
/o3QewU2U8g7yikn5na90mxWsTC5CZ1n0P8P3yXILlH8f2rNtkMuwH0DbBdC
fgP3q5DPfMg1kGsgDyHn3lKzF/G7qsLsNuQOvF+EzVrYjufk+3JaGE57nUPQ
6YuUB3Mgxj+khcsZr5M4Ee/+lGpmPw+nhCOxvxLwb4n0xvuxlPp3EPLaSL8p
P0QenZAncJ70ilVYbuZxLoJeM3Q6I/Wb+V2AXhvkPtS4E3Id5BjyPCd5Z3if
LBEuxPu1SJi7vLAl7xLEeh9v19CjL530WyGvRG2XgNWdOcAqFkZ/e9VH/S74
Gfaqkb0lR8nVnjL5yEWKSxyZ7znotifiiQdfmhNx8ip6/YkXJuT+eS+sD0Le
BJ+9hWabq8VTYtEcYjDWs9nogVMc9v8XxJ0dqfe/O+kuxf2/Xvmzjnqv3D/H
/Tex8DyEs7Nauf2E2g8Bu2W4/wA+vk7U/1pgdjwjPpPXA074sg+tTvq0Gwk6
22DXk6i3GxBzPBaPf8a5KBaO83H/pxf3KtHrp+B0Oe5Xwc9wIr4/9cKCmJz1
mlVi8RgxJ2Lx8xHOBaE39E17+pmGv9NO88Z5rcP3P2atBPidcOLEJuQ75sSL
JYhZkRW2RWXidV/gdnek/JnTpFMv9mTETfKWWJN33BGcT/aV/d0OrKZqNYc1
0G9x6g9n9Fvk0wSb73D+FvRLwxzsCD5zTv4499xv5CR3xK9BnzyiD+JPHuz3
wpzY/1WruR8HT7JOuTUghzav/Xk/I542BVvOB3dCY9hfrPsP2L2dKCZ38KO0
sCAOxbEwKsH5KXRuIbfKCvloC37We8099ytzJEdZfyvqnIPfq8P+Y22Mx31G
P+RofUqYUn+5k21TRnuWXM1ntSe467lnPoq1T9bg3B1rB+2JxQXiTyzIb9py
Fjkr9cE/9yJjk7s1edVHDhaFWZub1bxRJke4A96LlCd5w1r7kePcvDCqK9fs
sYennPbEQFq94e6hDmPQB+PSD3vCXUm8Br30pzOaD+6+0TC31F2a1X8RMSQ/
LCcM30lkx93KWF/kVOOugHd50H8OPCAPIg==
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFlsjWEQhidStIdGHEt+bR39T9vzNzlaVCw3Ei4scWOnDS3KhYjWmggq
roRaYrkSigsiiBsRkaolSqXSKCFBbBFqaWJJiFIhPG/GxSTvfDPfN/PNvDNh
9erZtT3MrArJQI6XmoVxs86+ZttTZo3oVei7s832RGarh5nVZ5qtwrdtqFk1
Z0fAjTGzZeCL+M/Fvxb/SvRD6IPQ7/DeLN7bj56BfgY9gb4xNCvhbimyCTyS
O3t47wT6KPB8zoaAc5By8JMcsx3E7+pldj/PbEzSfU8i48DneX86788gfpr7
zdypxFaF3AKfxj4We4S9k/g3ufMb2x+kBVyGTw/ws35mQ3PNbvBGI/m85qwZ
nDmEN7JdP4z/Ac7OYr+LfhCcxVk9eBfSB5yHf1u2x1Csk8QfTvxMzi4Rv6jY
7DH3433MUuCuwGut9zbhX8L9D9luf4t+Sv8nt73U72uRn8k2AHkP7iaHVvN4
v9SvtP9lDU2+EHjOyv0N0gB+znvPkHZ6eQ/ZMdhrqxqvpNet5Lst7jnkk19f
7H+zzK70Jt8EetL/OhGfc/gmU97PgeQQgkdE3p+t6KXgltB7oRqoFisDr8V6
zjqwFQT+N/Vcvd8feS3EsX3g8UnvtTgmrn1I+t/r0dvROwLnnvhYgW1z6NwS
B8XFH5HXRj3tAs8jx8noBehzwV1FHrsn+nfwe+5viDlnxJ0r+Mw0z/cqeHTg
XNafxeXywGdHnBP3FpHD5ZjPkGbpM3cWm3PkC7gg5bF1vxB8O+lcVM1V+8Ji
7696WgBeGvnfNCNLwA8C57pqrFl4yEwsp9et9HwOvX+V47iTnv3NN7seef/F
2Wvg4+Q4JeYzr9mfEvisqiYN2Jo52xB3Dn+LvEf6u2ryDnwV+4q4z0QT9vyE
7wbtiDXwp46c2mPuI98k9hB5QV4vczyGYimHY+AJCefKU3KuIf/6lNeyjLOd
4J9Fzi31qBsc587XLK/pI/hbS8wa5AH4IfIp5bVWzz6Cjyad+/qT/hYlnMvi
9HDeysv12NoB2gW7uDPJPIfd4LVpnyXZ16W9pqqtcugf+gxoFnRm6HWB7xrl
oN2gmRafVZMt4AUp/5tqUA4uJZ8SpIM/vEWaUl5v5XAZPC3tb6vHU9POcfFB
HFsIHv1/f2kHahdWhL47tXO1e/8BegHl7g==
           "]], 
          
          PolygonBox[{{6878, 6877, 7720, 1980, 8052}, {8492, 2559, 8493, 7725,
            7726}, {8050, 1782, 7377, 6875, 6876}, {8048, 2185, 6874, 7713, 
           7714}, {7631, 7630, 6874, 2185, 8047}, {7635, 7634, 8043, 2183, 
           6872}, {8044, 612, 6290, 8045, 8046}, {8165, 8164, 6321, 624, 
           8163}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9723393481188114, 0.8008483702970284, 0.5142519791683151], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVUlsjVEUPqmhGu95ZeO1fUP/J+/+5elLtISlFRJiTKSiCBYSQRGJGHbG
VA2JhSFtkYihWJCoqRWpIU1NjYqQIBFDiw1tWRCJ78t3F3/Oueeee8bvnD9Y
VbdwQ4GZncY3BN/4wOxOodm4lNmRvFkvhEsgq4+aDcTM1g81OwX5cFLI50L+
FvK5ODvw18CXgW+IwN4Ysy943wH9XZA1ZczmObNO3M0H7YvIzvQCvSnC+zng
D4V4D/4g6GjIv0WkswLnOsiXgy7Ftx58LWhZmdls6OURzy2cz0N+G7Qwqve0
Sb4lpvMi+O6CzYWg9aFyOwDajji34n4n4vwS6N0n2nSK7Sbog0CxdIBmUqrV
xrTZVLzZAfkU0GWwtRp2rsPed/icH9W5K6o6XCpQLZkL6/khLTtX4sghpVwm
wn5lqLcTQ9X4XqHqvCYnvhq6I+GvBvaKQJvxZjL4xkC1oJ1S1GYb7o5C/hv2
T1IP/IgS9BX8PuYIeWfSbBL0e0rNuhNmVeBfg38CeRN8rUCMn6HfCv3KEuXJ
fF/g7f2MckqUqBbMpTwlDJFnfsyT+dJfqgK4Ap8GvYu8mqHjcH82r/48DISN
MzHhgzW7GFXcF/LCSi90jsQV20rY34LvwAiz94i5PZR+W6j37DXrciuvOGoR
79OE8n0J/Z+hetMfqq7vPJ7HpqTzqlSY+hsTPjbnpLMJdHyoGZgA2p1ULqMQ
2wbEsx/xrEtrLhgz+0TsH8PbP0Ok2x5T7sQHe82algNnLdBLc1YQ82HcPcqo
H+xLT1LzxdlKFMgOfVX5WBlzCrFfiGh+K7xf+mQdjufFbw+UD2eN+HgG+Qmc
++Drse97HeLf5zSDe0EHs5hP8ANZ1Y6+iJ0ez7NmxD3zmZaRH+bCGK7mVddq
+J2ZU+9n5RQjbTIX1pI6rAPj3x/TfS6UnDY495wr+tjl98hu0PIK1Yo1ixUD
u1GdM5B/BR943PGO8l6PZ+KaGGK+xPt1p33R6uSLfohb7g/WgRjtdeprH+iv
UL4GQT/CTht68RnUAvX2cl5+6bPV7xTulrVx1Zd+nyeFhYqo3nCPFnnc/CtX
b9+UyjYxytmOBpLz/qGfQc7iV6d3nJUivx92wtfYYtWBPU441TfpdKacsd1w
yo+z2BBqXjg3351i++Y0C8QN53FroN5Ww/5AqFnlvmfOzCOS0Rx3+V2/x/l/
B+7vhLLDvdvod9eMuHYrd2xNXHM5rFh2f2SF+59Z7WzGRtzSD2Njnqwxe8Fa
LPX7jXvuLWpXj9ptTmu3sn4hsLrNx888Uk5Y43+Ps97g86wJhM3FoP1Zzd05
2Gv0u5Q7lTPd4mdsgRPlnDH2i37vL/Z2xsWF60N+Pnf4/cw9/R/2qRyI
           "]], 
          PolygonBox[CompressedData["
1:eJwllEtoVVcUhhfmapJ6Y1QwPZqbxHMl51xNFWqEOujAkRYsNlUoETWCDqzi
o9ZiaRU6iDYSUx9IEUFTOmqrtAWxtr4dqIj4QqdWsD5u1IHVWAc66ffzDzas
tdf73//a6YoNC9ePiIgeToGzLYsYKkbM4fJcGtHZEfFjo+96sV2YEFEzPmIA
/d/2iNbWiHcJfFYfUcT/M/zv4L+gIWJqHnGS8xPyIPn2lyPeQe9Cf4rPN/ju
5TSOjahy11qJmIt+BttgbcTNlojZxKwk/xbi30MewD4S/yv4PydXH/qbRtc4
kTuncq9DX4K+lZgvid9H/BbkNUnEh8jjuPuTeWbjfxj/Wvz/QO9knvO1nkGz
/MVdPbaj6O+jF8mREdtNjtHIm8vOPYDPLuo9bzc2Je4WgcfexLOcJX4e8ccS
5z9dF3G/LeK73LGaQbMsJd868vcRvwT5EKe3YPwOIs8sGwthOJ3Ye6nnUY8n
6LWF8zP1K9x9ga00MeLICOcYxv9X6p+i/k7qb6L+1sSzNGN/TGwvPQzTSz/5
+vEfVba9ojfDfjwzVqqp2k8y2/RmeruPOV2c66WIG5xbiftdQP6O3BzQLL8o
Bv2DDmMjTIN8DxLPrjdfhn06/R9H340+ueKZNNthZpxM7Yup31J8vYDcxd1l
bLPQD6C3k39HozEpYTtfNh5Xqf8f+ecm9n1dQ+/Y14LJjjq/md5uWm4uawZh
35a59n5yziD3bTg6s+CY9cS2Vcxl9fwP/i9z1xLHxfUXubmrHtTLQvJdKXrH
tGtD3B0oOL6K/C32J0VzVFzVTmpW3fVh20jNfmofot899FuCv82c+qaIt5rM
QXFxF/4v4eZwu2VhImzEaXE7o6dqZsyEh3pahD6pOWJ+wZxdhe+Y1Nho5gbk
u5PMJXGqTN3F3FVrXLMb+UaLe1OPd/DtTtz/KOK3Z8ZIsz6mfhnsLpX91sLn
InJase1t8Pue+g/bvDvqaQb1piSu9YiaL5htae7dF4c+If7r1G8rznyF/Dv+
v3E+JddqzqvE+6udGyC2MzVX/waTz7Fv7LCs+bW7P6TuXRgNIg9lxk47ol05
nZvb+qP0V/Wgb2jwTmm3dubeLdXU31FNvXvap0epe1bvilmOb91E74v+sFPo
o1P/tfpzr7FfPeCxjLONt97eZE6Km9qBj/SfJZ5db9KK/j9xnd0q
           "]], 
          
          PolygonBox[{{5642, 5641, 7712, 1979, 8489}, {6873, 1074, 7376, 
           11088, 11089}, {7375, 7374, 8050, 2186, 8049}, {8460, 2543, 5629, 
           7707, 7708}, {8051, 2187, 8052, 6318, 6319}, {8031, 1949, 7627, 
           8029, 8030}, {5765, 5764, 5629, 2543, 8459}, {11113, 11112, 7719, 
           1099, 6939}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9802713169562842, 0.8206782923907106, 0.5388410825644809], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtVVtoVFcU3USbMWPG1GtNJ04yk3sx50x7U0tNC34UWjAWCuIrPgKJURR8
kKJVa1qwtMVHE0zt46PUpj9twUIFUQRtIooPWiMaqf4o/YvGWlEUbc2PxdK1
WOdjOPvus8/a+6y9zp54zeYlmyrM7Hv8JuCXZs1+qjabBrstMvsR3/2m9Ydg
92Htxa8Ldh7r81nF9zqzDtinY7OVODsIewD+b/E9F/YiJ98vwd/m5Of+7ET4
L3qzRqc63oN/RaIz7Vi347sZdg/W3tTsZ2DsQ/yCklk37J21ZnPgfxP2p8DI
Ie5hldkUrDNzZq+hpoUmXOI3IOaNSPfpCueJ82S62SPgDsL+DHiX683GK80m
x7o3sYizHzXdYP1YjwLrGfg35s1G4LuUVX0tibh7FeuQl4+1vwD7Q9jvwl7l
xclyxEydbPYsftewNwrfgZzOHPeyM3Vm7yfK8UGiWllzVDR73KRetKHOdsR3
I34M9XR49e1j5NqK/S1Z1U8+tgZ7FvYAZyXc45gTh+TyITAnwv51urD3Vuub
tbLmTmDfb5I/ycvHvMz3kldP2ds7VeKaPHOf2mJMoWB2vQa8IVcX+rhzEvjA
ejFwvg72BcRvi9SPP2F/BHsY9tepeIrLZk2pNPgPankb+5YVv6xrT41qPoz6
NkPs20rii7xlasXr+kg8j5YUcwSxX+C3FvZq+H5rUDy1dqVB93gLOfty0vpA
6CVztgB7A+KGMmYHgbGedaKGGQXhEr871b1ZJ78zQXu1ONuCvVdgLwmaSiP1
g7HEYY6lsd7eMqy3ccfGSGeoV/J0EtzPz4kLxtcXVU814r9Kxd9jr/roX0NN
Yu8p+pSt1d14x7tOumcv9sDfmooTcsM5URGJ99dT6WjQKQcxi0W9P/aeWCOh
pwtS+YZrhLUrFX9dXhqlLpq9+kRuDiHXlpJifwfGeeR9LpJe+yK9GepgAHlb
wcl3WN9JxdfLsL9J9JZOANMFXq7mFcv5Q97IX2uwyQXrb0D9853yzcsrljbz
joW3egvrQicf3xDfHt/JI+gwk2i2TEqk2X+z4r0n0Xzo9/I9Cf4bsd7mceDd
cpozO/LSPucM+8p1NNhnEp3926sP+TCH/3LqBXvCWcI3Q/zOrOYztURNdQa7
3ukc3xDzU3P01zn1eDZqKJaFQe0UysJsrlMv2VO+V2JTi+TwZqLcpbJmNuct
OfrEKWYFMHc5xVLv7GdziPmvUfqYl+q/hLi7EftleI/Uwj2nWVwZuOQ7pIYe
eM2LAmo7m4jfc1gXp9LbHzOQo6zaWOOQ053J/V4vDOpx3Itbcnwz1pwcizXP
qB++qV6vvON5xTIv+/K5V03s8ymvflGDrJU133GaNyPhP+JMrF6cxfo/tc4K
xw==
           "]], 
          PolygonBox[CompressedData["
1:eJwllF1olnUYxm9GuvW6tVqyvfv2fdPnmb5TmdqxQdtBMLCm4sBZOIUhC4eK
H6CI+LWhVGd9LAgqVkQHhejcxK8JfkSTFEzpzOkqUZKZ20mh+Lu4Dm6e6/n/
78/rvu9/rruvY2tRRLyPvIQcTSLe4rs+E9EPbq6O+LMs4tU5ERP5iExlxLOX
I0aLI+oafKa715D74Mm88UBFxPUlEVsKEXfKI/oI8lM24lvOCtzNwucJ/Oea
Im6HfeTBbeg/wP8m9FvBHbmIKnLJImvAa/F/GjyCrAMfIZ+Z2REHS6ihMeJH
/K+ssI/n8yI+SiN+wP+v6H8M/p77N7mfT/xJ4j9ZYP+qfQqcpaYq5HYNeSNj
xOzKOGflPoLNKnS3cTYKXkdNf5War/PojqGzA91r+H9MvKv8768wh7XUdzix
bgs+DoFXUMM3/K9G5yS6vxPzFnKtPuIXpL7BXIvzJvzP5/8N8U6t95ClnAX2
72D/M/Y3a8yFOBmvi+hGZyMyjq/ryN6sa+/HZhax1+bMbRH2n2Cf5/5YqTkR
98pJufVi00k9v9W5N1fp6Xv0p5JceknhMDE3E+ePGt+J/2fw35l3rzbgYwRf
xczTEL7ucvYpdzW1cF3uGpYQbzn+9oXPego+051mqBbdRjjDLAqczQPXVpvr
//i/wMX9rHPVjGhWtmQ9a+rXXXx9ibTKlny+Uq9y9tWM7ASfpcaRcH7nwJ9z
9nbGNoPgh4l3Rfw9Ssy5uG8nRpJ6BtRfzcxF8LRmIJzfDLg+cbzXOasD/5v6
TjGfgIcT56odPAV+kDiWZu5vxUZnMFzfB+AzqXPVjI+Cu1LfHdcOg0vgYCDj
ndBuiAP5347cA7fBz5VS16had+XMxVz0P0O/BfuvM57R5eDm1L51thi8KDVW
zxamninlq5jF6kfOsbRz2r3egt8C9fRD8AzxB8q8nzvRP4tOT4VnZDj1TGo2
vyPHauq/mTXXiqnclmV9J07Vy+OpfYmjY+Ah5vFIuWf6H/Z7DzbjGcdQLM2o
ZnUKKcP+6QL3RvM/DW5s8tukHjY0ecbUr/+RsbxnWPxPiD/wu4m51IyuSlyT
8lHM3eAv8tbVG6G3QjOoWdQbciAx5+JePWnnf1Ojd0s7drneO6RdEmf91PdK
zrlrJm9w35H4bVEOq8GX8s5Vb5DeohcJGeJi
           "]], 
          
          PolygonBox[{{6871, 6870, 7710, 1977, 8040}, {8036, 2180, 6867, 7703,
            7704}, {7629, 7628, 8031, 2178, 6865}, {8032, 611, 6288, 8033, 
           8034}, {8162, 8161, 6317, 623, 8160}, {8038, 1781, 7373, 6868, 
           6869}, {7625, 7624, 6867, 2180, 8035}, {8488, 2557, 8489, 7715, 
           7716}}]}]}, {
        EdgeForm[], 
        RGBColor[0.988203285793757, 0.8405082144843925, 0.5634301859606468], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFlEto3WUQxUe9bark9hbBeh/JTRN7/9/VyPVR927sQtOKBGuqK40iPoIu
pFUUfFSaGoQKLmq0Wgo2luqm1VQD9dVCDZUGqSDWXc2jgvYhggsVxN/p+cDF
ZebOf76ZMzNnpn/06eGnLo+Ivfyu4FdrRNxZirihP6KFbJUjRnDYNBAxjlyo
8j/rsp0t7LOE3MX/97B31SK2oL+J/if+n6aIrcT6vBNxC/bnsZ/C/kM9YvuK
iEf7IvYR4++K/Q7itwF5Exj+wDbGtzH+z3QsNxNjR/rfNs1vFP027AfBUcL/
EHKUuK8S/0Hkt70R73ZFXEXMf9ZE3Iz/9+T/mTeHwXMjmB/Gbzc+J/CdJUZp
VcQ2/LbwJuHzDHIR+0rsO7H/CraNZec+SawOcmUzYh6/IfzPIE/VnWuOmHPZ
5xj6amKc5e1kybiEU35fgedD3jZqzqe8t1bdm4my+zOMvYF9APsk+jr09ehf
ot+OPoL+CLXMEHc1eJYNeIYvVI1J2B5H/6jjGa/g+7nkms8nz0l5nsO+H72O
vsC7F+npUnfES8j3sa/CfjT3RP1QHyf4ftnV2CDTHnyWYd+Nz9qmedVGrzWN
7TQYd5TzjPk2hH664tlLftFlvSvjVx3CqJmoR5uTe6/5v8XvL3JuFW/7HV95
qjmX+iFOC0MVjr+B/xL+m7DtJddst7Ee7zUHxIULybmO4ttou8bZjnH9lHGO
DVp/ctB8+SDjm+t4tosD5suJ3KNt9O4Xcr2CfDbviHZlXd4L7YdwCI/mqnx6
dwx7re1e15HTvF+O/knh+UjXXJ8om5fqy2TeR+3l3YVjbixcjzC+PeAZCo94
813m5zX0bGfVfRju88zUt96m4yu29v8uYh3n7VDhOWqGqke2XRXPYya5J58h
/11jvol32hPlUk5hkY+wXkusKd5XC9etvmnWa5P50RI/K94Zxepte4962t6r
Tt7FK/u9T9r135PjXES+XLi/e/J89Fa8VWzNUzMQx8UJ+e3LOydsqmd/t3dS
teouqQ/TyX6HkfPEvw59QX3Ou6ydvi+5dyPIhXxzdHsahWPWkRdbEa+jX0De
Meg61yOPVHxjVa+w6A6oz+Kv/HULHkjGc79q7XEfdG+K5Lp0U7cnz2kc+XW+
FboZ6vd4xfEmkuO/hqwVtl3albwfevMYnBjnXv1Y9609UDGPFEN49ObefKN0
q8QF1aj+bSgsta8fF36nW9JOvqUp+S5oZw9UzTXZNRflEVf15gw+R8Awj3xo
0Dt5fdO91z7oXui77OLucL7t38CR8y3fp6m6/8t+T595K2zau8W8V7p/J3vM
Jd3y31q+ceeyVBzVOZXrFjfEzUszKxnPoYpjSS7P+N7Jd1v3Wz1UTdrf/wBD
sBej
           "]], 
          PolygonBox[CompressedData["
1:eJwllF1o1mUYxu9e/7oZmxNF+797net9297/ZH7EFnTQgQfpQc1tINbMA7GF
iDpKgiwUlk7cGsGMslhZ0EEZWyeusoQZ+IHIFA86EPUgkW0a6OZE6KAOxN/F
dfDA/Xk993Pd9/0Uu9/b/G4uIrZzEs7fxYg2DAuqI34rR9Q2RUwjn8Z2u4SO
7aeqiK9qItY0RzxL/LcVES+SvBB5mpjhxPFTyMtWRqxFn1kIJv7D5P9D/gj5
L5M/jm19zrY+fF+T00f8d9iGJRPzmNgBajiaRfxadm1j2F7B97Ax4lNy+9Eb
0Jdy3xJOxfKISs4+8LOcay6Q+xkxixb7TXne1o/+P7k/6L3gzy+6VtU8sQJs
/Anxl/HP4G8H4zJY35PTgq+T+ELONcxRy5forTnHdBDbS8x9YveQ/yb5aSHi
NbD/hLO38X1MzN0qcyAu7qI3EjtOzqv492P7b57f8AHyRmxn8TWC8eR56s/M
zef434ev88QsTox3DvkEZ37imr4pmiNx9SN3PsddlSVjdeGvQF7LOYDcDmZT
5h6pVwn6KeJLqd87TU2zvPcPYk5WmyNxdTozl+rfFyXPiGblEve9XjZn4k5v
7kXPMt8ljsTVFDXWJp7BSeQLYAyhj6KfR57N3AvpZ9H3kHOT3DZsDZk5EBeD
6IPonfX0gdPHLBzhbMbfj78H/7bMNapWveEM+luZfZo5zd4nmbE0I5qVGd48
WGUO1Pu0bC7VH83aRB2c09ujlRHXayM+An9/4po+RO4Eo4Nzhdm6ytmKrSdx
TV0lz7Rm+wXunAT7JWzdiXvSivyGZmSe799S9IxoVrSDV7j7Z/ozyunG/g6n
MTM3yldvV6307IkzcbeCHbiHfzn9O97sHdfuylaHb478iWrvjHZHnIt72R7h
a0n9dtWUp95jqWvRjG4gfnXeeOphAbxC3vna8Yfk/5W6tk3oZfSuzLsiPtSr
vWDcqnHNp4htK3uWNM/atYq8+yeOfyf339Rci9MB9KnUWOJwK/pY2bOs+dJf
J0xhj9OvO8xJruRd0A7eI3Zj6ru0g5vQLy6LeGaJZ+ABs7Cz3r1Wz4eIvVbn
v/AItm58k/XG1s43wP0IMWeI7ce2C99U2b3Wnbp7R71zxaG4PJjap52YJnZd
0VyJkx64uVFrLGGm4Hel3n3t/CHid6d+q/6EX9CfAvaI2Yg=
           "]], 
          
          PolygonBox[{{8454, 2540, 5626, 7698, 7699}, {5640, 5639, 7702, 1976,
            8485}, {8039, 2182, 8040, 6314, 6315}, {5763, 5762, 5626, 2540, 
           8453}, {7371, 7370, 8038, 2181, 8037}, {8016, 1947, 7621, 8014, 
           8015}, {6866, 1072, 7372, 11086, 11087}, {11107, 11106, 7709, 1097,
            6937}}]}]}, {
        EdgeForm[], 
        RGBColor[0.9961352546312299, 0.8603381365780747, 0.5880192893568126], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJw1VV1ojmEYvhvGPpvVax/vt41533zvO3vzm3KgaCj/m22iLQ5MRg6MceRn
Mm2YSPlLKaJEKIuZMhyIjBORlLLJQphxsAOa5Lpcr4O35/me5/657uu+nvvz
ausrt2SY2Vl8Q/D9Spj9xPcY+yeFZgOZZssis6c468J32bQ255idMd3R5jFs
y4vMdo8wW4G12zcbNdIsv9hsm2dWAp8GrJ+yYJtrVoukaxyz2wnFqYbP7eFm
l1yz0eO1z/QUl/FX4/572iwJ+3KcLwzMHmabLYB9D3LlItc7rIaYYxL/ln+x
GGctMHb6qutbaJaG/yBwjBhjVueoNtZFO9rnIf9V+JKYjcg7NlC8ibiv8oV5
JdYH48w243wwabYKcVuxb4RNgy+OWnB2xFWtFYhzNN5vwL4SNu2wWQ2b94hf
Bt/ZkXiahA8QbRGS/gHOXdh34qAG5/ewPkXetTibD/uXubIh1uOI2Q2bdsRs
CtWjAeSch7NSfNPg04fzDqyH4VsTCgOxHAqFmdh7gMeD7074Fjnyp+86+LxA
PrcAOHxp5T7WVIFwrMf9tZi3DZF4ao/7ewK/X2EthB485FqM+M9h+xG5mmGT
wbwJ4Sc+cnAxW7zXRaoxQu2lkTgkr+xzMu71uYRikqtbiFmP329hPweXLQnx
1eAoB+MzHmuh/RRf/mngGuZJb/uhjfMJnbOv44qlZ+r6WKT38R32lY7saFMc
yp7x7oSqhT2ZGCrP5kgaIt7+tHpALB24LwvUo5PI34R9NfZ3PXHDXvzXB9eb
gWIx5iRotSAQX1s9vQPiJNc/Qmme2h/ii4ehWEc70hk1Rv4OZuvtZ+GgH7wk
sLqotxd5o5QwEdtS5ClxpMO5sN/jSAPkgv0j1t5A99WxTRswXECczJTeErVx
xVVttNkL+134eoFhFc4bA2ltRqR+8g2wzvJIc+NFvtnvCZoj8yK9JerhWaHw
EhPxvCnS28wBP1N99WhaPAMe5Yj3lkjv/mCofMy7HPlXeNJWhScNsmHsWVMU
zyrYz4pU375A8agtxuyGz1b49niaU+S3D71+HdfO98EZQb2EiPM5lH9+Snql
btsC9ZI9dQPNQc6l5HhpinwSd6pYtVKP7Bs5oc7ZK85G9rcrnp/U9ZJAZ5Mj
5cnIUQ03Aq2s6UT8Dk/6qoN21Nz1QPabgL85FA/kowr7TTh/70pH+3OlpVuh
MJJj6pG9Idavad0/TAoH8eQj9kxH+ZiLM4MxyRF1wRnE3jA/9UespzzNpdOe
aqWmGYtvhbEY50tamDxX3HAWkJ+8QH2d7opL/gcQ6wFH74dvh7OT/0+sc7uv
/4gd8RtqjucJ9Ut8xEa8nAWt8Vzm/Qfk+QshTgUk
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFtoznEYxx+jmfFazel9X7b5v23/v3kzU66JlFOGbaYtlMmSC+crc8iW
44ULOeRChCQSy2EyQ2SYY6QoNlnIaVy4IJLPd4+Lp77P7/ecf9/nF9SuLF+R
YWaLkD5I41CzH5lmG7LMZheA42ZbY2b3ss1Wp8ySo8wG9jdrwzYBvhiZdXB3
Ev0CeEfkWPY7wZ2B2Srw+FyzEyVmT5P45ph96Gf2e6TZtshtD+KzNfIz3XUj
/fDNop7f4Et9zQblmy1Nm6ngv5zVgftQ0zb8JxD/FPEjYuwi1mHORoFbiVED
Hs39Ue7nc3Yx222qwPs5G8TdrQFmU0Ozd8hC1YLNe3B15LXJpwa8G3vD/hj2
g7lfxnwymM9K7l+R6wn69JjnH0NtRZHjetwKwV+Rn+jN6F/AB/CZjF5AzEPE
fov/spjnm4v/I+b1ELmZR415fqa7S0gFODNBXzF/gz0pn7FmHXDWGXrP6l01
nkG/P8KsNsPfYDbz6wq91zLqeQs+i/20XO8hoL4b6GvQb6N/RK+ivi56r8bn
CrWXkvMIuByb89i2IHW5XlMT9sepvZFcO/D5VGS2Pu61KWcvfKfEffaT0PcS
rxn/BbnOuYbIYyq2ZlKB3hz57NTvZfAbYuTAx+3YPChxDogL4tAfuNSGvhG9
C/84fC0jxxB8hyJzwN1FPc/Zc/YNnE64rTj+mtjpwLmmmWg2k9MeWzOcBB6c
79wURwuxTSZ8VnrjFvybQufGRHKcC50j0rUTHeBZnJWa918W+kw1W3H2qmyR
YvFX+xf4jGQrzuwHbw7dXjE2hT5TzVY70TvlnNCsOjVf8JbQa5FPQ+g7rf1r
R9aCR//v9xlvlhjunBQ39eb12FfyJ2zib1hOjOvwsTLlXNSb6e3i+DzN8RiK
lWQ+CeQFfi+ReOj9aObDwNmB77p2rl38DvxtZKBdWxN479pR7eq3yP8ezfc7
uDjfd0s5F/Me+1Leqzgr7moHtX/i6FjwuLjvrmrQbJekvVf9Kae5W5fyWYjD
4vI19F/ZziFxSZwQN8S5Ttkm/a/Un3mX3fpS5FzqTU2fwRX0XI600dsdZGbo
70dqmwGO5fssNdN5Bc4Z9aacreDzoe+mOHMBHMR9l5RDXM7BfyDymDqeICPg
+HPzGvPAydBzqd/h4H/Ly+Gx
           "]], 
          
          PolygonBox[{{8484, 2555, 8485, 7705, 7706}, {8023, 1780, 7369, 6861,
            6862}, {7619, 7618, 6860, 2174, 8020}, {8153, 8152, 6313, 622, 
           8151}, {8017, 610, 6286, 8018, 8019}, {6864, 6863, 7701, 1974, 
           8025}, {8021, 2174, 6860, 7694, 7695}, {7623, 7622, 8016, 2172, 
           6858}}]}]}, {
        EdgeForm[], 
        RGBColor[1., 0.8830151150998488, 0.6244033408122164], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFVV1olXUYf9YObYEvZ5SOd0d3zt7jfP/CYSdPN3XjoFBbu4jOPozImwK/
EBpLvdh0tOXWlQXJPiiKyK1wTp1lUW6thh5UVGTgKoJ96Apq8yroIqOLfj9+
f+ji5Xne530+f8/HG73e0fLGI2Y2iqccz3Bk9hQEg6D7A7PVpNlrCbPbebMR
0HtZsz0Fs/4Ks/FaswHQnyrNUrCpSpt9jfeljNlZ6NdDPwH9JfhqxveFSHZL
j5mtINhkjJiIcQF0J54r68x2xYrLmAOwuZQXvw1+7sP2XfBfQT4N+VHwRyB/
BfF6kcNcyuxaXjrfQ16OZzd0y7Kqo9n7nYVOH+gQ5MtZ+VsE/QbyQ5C3gf8T
+gcDvdcklCdreBLfukAbQO8i5kqFcGHNrP2z0Kzd8wHweB71/I1ah+G7LpAv
5rQci/8c8lPw9RFkj9aYfRqoLr4fg04C/Md5Ycf4B+D/NN6TkM9EwmwoqRgx
3ndBvmGjbGg7Eik2v78JfsHnxl5Ngf5IXKA3n9Q7+cVYuS7Fyo95LsM2cvo+
CdkL+FZC7CbQLjwr4LtBZzETH8BPZaT41OE8nQbtR4xfkcd7edEidKphM4Zv
GzxO5GPo9wfqAfFvd+pFG2g5bBoge1hndjMl/jpiXoZuNtDMpdLCoR66k06Y
XgRtCpQ/+1e9UTrEjPJ5j8OZWs0oZ7w1qxksgpYg/xDyBPRbgWEPel8E3ZcT
hntBf/C1t0H+HfQaYTsF2utUTx/oNHyNQ56qkT/6YQ2co38qNYvs7W/rZM9c
uCvcr7ed8OCc3tgkO2LQ6jTX3BX24ZOksO+J5ed4rJ6xvhzy+R36JeTzh9Ou
XAuU08lQ+b+aURxizvr/rROu3OlnUecU/D+X0z4GVfLxELJ3/OweRo3vw64z
qzjlVdq37QXFWvM9oQ31J5BfGd7PgX7hJJv2tbAO4pD0t4W7RZwYm1jdj9X3
e7FyoX/mw7iMOe7zYD5/hdoXzhlnsjstP40FPeSPpTWnvGuc0UvIZxS+vnTK
8UxS/eH8Ef9bKe3fmPc74nvJ3B445cO6X4zUwyhUr3iLOIf0SX/c7YtJ3Rnu
W9HP3gr0OyLtRAH8qlNdvGHEddTX+XisHXumoHvHG9MdqgbWwthPF8SfrVUP
OX/sK+el5LFm7zkD3OOi0y1ucbrx/d7P+vj/Pf62UneDu9Tgb+NcqDyYzxOx
doA93B1qN+j/KvfMaWZOON1fYparEcacW+Lyc0YxfgHN+B2uc/o/sYc7QtXA
GWDNrIm3gLIZv2vcuc1OmGdB76Bnb8HnyxnNGnPgfNT7+7keM9CTVh+Pp4Uv
ceZNPh8rL97gQX+3eb/DrX6X8tp17g99vuT7zv7zprLH7C+xIYbs64T/j7I/
a1u072PIsdP3nf3fkxPOGeTzH+wZGs8=
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFuIjGEYxx87k13abYTVN4Od/T7MyJDDhQsXQqxDiB02CUUOKyKnC8vE
MlyIpCyRkvPZOmYJF2zcSTnlgmUopyvlAkl+T38Xbz3P+/8/z/sc33DR6vpV
ZWY2lxPnXAzM7pSbtVWYvUqbpWukP0+YLc6ZnQE/zZmPvICzMjTL4OBkpVmv
jNn2rNnOKrNf8HeA743MjoCf4O462Cr0fWXiFLPiOPcYeiv667TeriOYFG8P
gr8R/hTwfuCXeSOGfAWbUdiO5JxF7sTdBbBN2Lwn3t/4aOxtVo/NMrAd+JiO
rz3Efhj8DjZjsb2S1dseo8c6C305+nfwZvDzfbGFX0Tvh/4ZvB38HPw2+AfJ
P06sI9APIFdnVIsW+IPhFzhfEophZlY+3XcRfSt6Lml2A9s9+AgGmr3Fvhas
gbu/oY7LEXfvwU4R/03i2Up+c6hVnhxfVijGC8R6P5Ivj+9epBp4LUrgBWpz
Dk6xXDZuu7lG2DP0rrXEiM9ChWrkterBm8cr1WPvdXVv9cZnYh65jOHcTojf
ju/mrHLzHnuvX2MzpUw9a8XXvlC1asfnZPRSoN4sxGce2zruHlSK49ynwf/+
g4fgkzKyPcqbw3k7lVSuzeBfspoJnw2v4Ru48VCxDQGPIXdOqtcb0K/Cf0jM
h8C3kPOTlHrmvfMYJmD/I1AuK+Bvg98S6S33sT/STHn8PjOzwRvS8uU+d2P7
NKVeec8S1LrWc6hSTj7b94gpgb/R6HeRQ2xSyKWY2dcBmjmfPe9Bd+LJharF
C+6WgjUEsvUZ3AQ+E/xDTD5mhNpZ311/M83bcd7sH9dMxSLV0GtZwv9G7C9m
tEveM+/dsEi98XiHIu+CH+umHfiEv1mRauM1yCPfChXPR/wV8PUVziO4Vdjs
zem47DvaVKMd8v455xvc8YF6/5McJmIfZbX7vkO+S2tDYT6Pa5CHB5I9557w
H/dVr32G8/TiWlZ/j8fssTcFyj0JpwP+NO6mch71wZazOaPY/U/xv2VcTn+F
1+wP+/Ggmh3toh06y1tLcuqF74P/nesjzZbPzDrkdxntru+I78o7/zPi2vkO
5KaMau8189p1hIrN6/8WuTGQ7DNyCe4/HifTAg==
           "]], 
          
          PolygonBox[{{6859, 1069, 7368, 11084, 11085}, {8024, 2176, 8025, 
           6310, 6311}, {7367, 7366, 8023, 2175, 8022}, {8155, 8154, 7693, 
           1973, 8156}, {11102, 11101, 7700, 1094, 6934}, {8456, 1945, 7615, 
           5627, 5628}}]}]}, {
        EdgeForm[], 
        RGBColor[1., 0.9083974153797617, 0.6719951538370533], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJxFVW1ollUYvnEz5tpoe/a+49X57t3zDM5JH9mbKP4QaoKV9mPlZ0lJX1T2
o80PEHRuqGg/zMDUP/7pm9BUpmxqLigoG5sLemfYj3JKc6CVCEloKGJe164j
/Tic+7mf+9znuq/748Svr13WMcnMTmKVYd0sQq4zu4X9o0qzD7F2Qf9SZHYC
8gHIQ9gHsQ5CfjPSN+Wlkc7QvlRudrvC7KdynesLZz/H9y/Qf4Z9eYP2L/Nm
1zzuhM3pxGwkY9ZVY/YvvksZ7fw38ojZ3Slm7QD8KL49VhN8XoPuCtZqyI8D
w85KyYsi2XeadDuCfg70HZDbIH8Vm70AudOZrYf+IuRTtPeKsQN4+iCPQt4D
ubtRMb0N7J2QB2C7JzWrBJDzkLugGwLmuEaxkkvGkkw2+yGv+xfA/vmC2WuI
Y3C62aGcYnoF+lUFyV/kxCHvot9uJ5zE+wzkVsh7Idc78fAO5FdTxeshZ7Jm
ix82a8G9gxlhIdcrvXLxLGJp9srvTMhjTvzcw9kj+f/zwxwSO3Ecg007bH6N
FT91WxDvxYCZcQzjrrNYn1aJ4/bAM/ERZ50THz9n5LfWyXbDbMQJf1FWd5N3
8r8dGM9lZE+uWQ8joSbWJqq9dYl8jgSb5xLV3JJEPNRl5ftOk+qkNVXMjL3J
Kx7iPOrEKbl92gkLz7I/yAv5ueSEm5gYfxt8DaAuf5wmvjPhLp6jTP5nNOvf
TOwfJKqxvdj7E8XxNfbV8FOCnyx4LYtV0+XY78LHdcgVxBir7jti1ddw4HlV
pWrjCeBsRA0vgFw07a1BnhHJjjbkqRS4+i1Wni5gPx3Lpj9WrbPmj4Of+gb1
3svAmCbq8Vn8j7z3oz4uYF/RoBobK6qH2a9/4OzBUNus632xMO3H/l+snjTY
RpHiYi+/n1NfsD/I02jox0N55eF78HHEKY55wHMYslWbrckph5T5b7NT3LNT
cfBdlfwXvObBG9A/5aSbBflJJ5uF8NMIm0XwU4K8BPJbkMdyqhfqeX4czj9G
b18uKrcDkXJ9pwUYIY/XKydjVcLB+3iuwH5x6on5oV+Zd/4bhb4A/5tzqjXK
tNvk5Gcl9LsDPy8W1MfExnm7zWu+bofPrZB3QP9PTnk4Uy0Or3jJU6eK10+q
NbePee3v4myPl34ybP4G8KOI8UZRM/t8mCGcCYyRfXDVy/d7qeYa59vvTrlh
Hrqceo49QtxLvfB2438zVi3kw3nlgLnIOvHCuHuc8kf+FjPnqXyQA84GxsiY
/wTnvcBztl5zjbws88ona4t+e+qUJ8ZArMTc6zV32EOP5TTH2RN/efUv88ma
Gw7znFg5h86F2UWe+P6RO2LhG0k8nH88Q3vmkO9NW8gN/6/wip88JF4+Ob94
N+uL7xbrgbnlm0o7csi3jfwSWxTmDHGxDid6r0r9Xwy5nMAF/5ETFvLd8pDZ
3Bq9LewVzgXmifpSeGu+TWXzTar8M9/8x3dtMMTFeiDnxED+GDPnO3Xk+gG2
oWDPuuP7St7pYyi8SRtrdRfvvw9q2kCH
           "]], 
          PolygonBox[CompressedData["
1:eJwtlFloV2cQxYc0Qq0Gk5vmj1sS7xXuVf82URTqi7HQRYuEalBaMNQFrA8l
Lg+CRkVLfPFFbEtBqLa1ItaFKNpqlW4uRUU0LbQgdY2C60tLMRJp0d/x+DAw
c7+5853vzJlJFy1rW1oREYuwSmzC0IgdgyOKlyI+TCPqRkT0DIn4b2BETvw/
1sXZRuwJ/uvknyB/GvEW4vtFxK/U6Xk5YurEiGHDIk5VRfRxfjSLGED8FfEV
4s3Ec/m/l//fJT7C/4eaImYnER+QM6vwnbr7NzCUwNLFt93UPyMM+OeHcx9n
t8npHxVRmxv7Oe6fwv1rGiIu8rDfiVuIW7nzMOffYu/g32yO+LI2Iq2O+LzM
/dQ8EsZ3uDAmYXsP+x7/X/B2Vfn+Dv4/MzJiYYUxtPJ/D+fTOd/O+VjOu3nP
9MTfGqi3tz6iRvjB8yp49hB/Db6kLqKduBc8OyuN6VazORW3r2Gf4Nfwnmrs
WmPEdWzc6IgZg7iH/L7MNVRLPf2m3j0UH2OEN3WOcg+B6V6TORE36lkndZeA
P8DaQf4l8vvJyQZEnCT/cZPfpLd9gZXxe4e6V+JU3K4mbqyyRqSVG/SjPRz3
5u65uL0qvWS+Q3ctxf5Kn3OKfxZbht8Ips6wBtvh91ruWq18u4p/HEyLE2uq
G37b4WQe9gtvP4ENQhN/vmhO56CfeuJ+4v1w8Df8zqdmR4U1tqBszUq70usD
6tVxB78847CE3537bmE+gP9+2dpUjd28fQbfKPusZ2/jr8Vawhpah99WmKtN
fJuNP6own3pjI35n7lzVWJ1bI9KKNLKP91TC0YOB5vQ08cHCfGomDuD/0+y3
9ZD/A9j6iL+rdQ/VS82EZkMaTKg/rezZkYZb8O+V0EJiTY1FWx8V7sdW8jdo
HqgxL/EMrCfen5sLvXEf/t3C3GmG7uC/lZsLcfgm/uXUvZ5EjV3U+jS1thuI
txFH5t0ylXgP8Y9gmsxsrgTwhVeco1ztjFXUmzkejqv9xofNnmHNsnZYTW4O
xIVq/IS/QxpOrPG9uTEIizR7hfhn4hWJd9Zt8H9GnCTecW9wfq7k2ZGmpC1h
FFZx+Jj4VsmzIo1Ja3MKc6eez8XPCvdePR+NPyvzLhKn4lY7TLXU4xfEVerZ
FQZh0Q4Vv4+wY/jF8/2oHaNdcyz1rtIb9da1zM8f4R24Dn985tnVjtWuPZ65
ljgUl8szz55mSrP1ceZZFSfi5iknRPfy
           "]], 
          
          PolygonBox[{{8159, 8158, 6309, 621, 8157}, {6935, 2233, 8156, 7696, 
           7697}, {7617, 7616, 8456, 2541, 8455}, {8026, 609, 6284, 8027, 
           8028}}]}]}, {
        EdgeForm[], 
        RGBColor[1., 0.95, 0.75], 
        GraphicsGroupBox[{
          PolygonBox[CompressedData["
1:eJwtlEtIlGEUhs+oYSRUKtkv4m2kGUybKVpbi4KMiiJzU0HRJmjwsmihqxIM
XERMRRRYQovCWrQI8kbWCG1aREQb6UKYELgrIiMh6n04Z/Fxvv/85/q+53yt
5waO95eZ2RWdcp0DFWZDUgzr/maHWUPKbL7D7EOr2UHpFyUPdZpdld1c2mxc
/5bk+DVv1thiVib75Tqz+zmzjbKZlf1T3c/q3in7G/repThFyVvS/5Zvv+4z
Ol3ST0nelb5c9jfRbzFb0JnWOSr/Udkckfynf726/5Wckv0F2R9Lu11Jp1n1
F1TL7s3ew6RsX0n3LPTlKa91VT5NVWbb28x+5b0v+hsvc9uH5jlvS47pLMtm
olY9S05XOl5g9STn96zqqdTJ677QqJqy3jsYnGgQTrKtEk5NWbfHryPtmLdL
FiUvVnjeB/qX6P5R8aqbzLp136oYffreJrtCq9dyr9bjtun/HdV0inqyHmcu
57GpgfpXct4vfS+b+woiW5N+ocbsj+SlrOMJrnALB9jsEdczm8z2djgm2IDL
TPCDzWzasZ6W/CwS5tabfZEsph3Ta5LfFP+yfF8yF4r1TjHPSJ6W3YjsTzY7
tujBqBQzQM/PO5zTH8K/VOM1wyP/Z8KmXVxukG6lznOSCy4HAt++qBGumYme
lGMCho9yjqOlHQvir+Zdkg+fwZT7gN9y+OPLPOIL/mstfifep4zzCJ9DGZ9t
Zpx5Z0e6zHtkF5jb6ozjzm6BcTHm70X0DgbMcDHmmHki/+s631FyHTbnn/6Z
JXaOvEpr+zOei/2jH/oCB/zoAV/+40M98ASG19POPzNGb48zXj+7Ph/4Uzf/
4ZEdQDcfvFBrKfhiluGY3SEGdYMDvvnAkHrBiJqZX2ZuLGaWPMwbdU3GrsLD
aMq5b4+deps4ViM6783fDuIsJf520O9w4nNKPd3x/pGH2oqBH/h/z3vtvHPw
UIg3BB4KEX80ZiNl3is9g+1I2PAWLcZbej5xnEuBz1S8gb2J7za6nYn3y5zB
8UK8b+wbuw3Hg2nPORh5meWewKEY7+2+xHPCbVfMA7g2x9yCN//6Ykd+Jr6r
zM+6et9ncK6v93omgoOu4I1Y/wECiNyY
           "]], 
          PolygonBox[CompressedData["
1:eJwlkksoxGEUxY9BRHlG3yQzzDQjRoassaCwIrGRIhulzEgWY4WyY+GxUcpa
FrYeRc3SSrYeaUYpOxJqNvy+7uLWOd+95977P/ffOp+eSAUkxYgS4johNRVJ
vTXSDfi2UcrzHqqU3ruklR5qGqRcsVQbl36SUrZO2kH8Df5MmjZAjw9wW6s0
TO6+Wpqj315E2oAfMXQXPE4swrfgY+CriPU6gV+C75yUCViPUJv02mi9/cwC
++ScaefIj5NfRrMK3uUtDb5kfhW8D34BfiQcfBT+AO6MmNbPSIBTvP3ybTH4
EviAKCbfA98Hi5oofAr+B/9yNst/wzrzp5zN8poM/iw4m+V3OIVnm6UkeLNc
mglLpUHzwu98hv6E+vMyfCD/TD6Hh8f1doPJJmnQ2S5+xyH6TYet1yGabXLB
oHnnPX6jX0fUbleBZ+3gNWe7ew+e4qbx2gvu08998km7rZ/5Cn4J2y4j1NeG
pIGE1XoPCi3SbMJu63f2u3c7887/I/5f+QdM2lc3
           "]]}]}}, {{}, 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{5865, 9001, 9002, 8950, 12009, 5833, 8203, 6996, 12257, 
           12259, 12258, 11163, 9745, 12658, 6192, 8555, 8557, 8558, 11925, 
           9796, 6211, 8592, 8594, 8595, 11932, 9848, 6229, 8630, 8632, 8633, 
           11937, 9898, 6247, 8664, 8666, 8667, 11941, 9948, 6265, 8701, 8703,
            8704, 11945, 8442, 11071, 11070, 6283, 8026, 8028, 7617, 8455}], 
          
          LineBox[{6935, 7697, 8159, 8157, 6312, 11103, 11104, 8487, 11950, 
           10014, 6351, 8745, 8747, 8748, 11954, 10064, 6369, 8781, 8783, 
           8784, 11958, 10111, 6387, 8813, 8815, 8816, 11962, 10158, 6405, 
           8846, 8848, 8849, 11967, 10214, 6425, 8887, 8889, 8890, 11339, 
           12277, 12278, 12025, 12026, 5859, 8221, 12272, 12273, 11196, 11198,
            11197, 11725}]}, "27.3`"], Annotation[#, 27.3, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{5570, 7592, 12636, 7593, 6995, 7595, 12599, 7594, 11043, 
           9746, 12600, 9747, 8556, 9750, 9749, 11052, 9797, 9798, 8593, 9801,
            9800, 11057, 9849, 9850, 8631, 9853, 9852, 11062, 9899, 9900, 
           8665, 9903, 9902, 11066, 9949, 9950, 8702, 9953, 9952, 11072, 7620,
            8452, 8451, 8441, 6859, 11085, 7367, 8022, 6284, 8027, 7616, 8456,
            5628}], 
          
          LineBox[{8155, 8156, 7696, 8158, 6309, 8024, 6311, 11102, 6934, 
           8486, 6933, 11100, 7711, 11108, 10015, 10016, 8746, 10019, 10018, 
           11133, 10065, 10066, 8782, 10069, 10068, 11137, 10112, 10113, 8814,
            10116, 10115, 11141, 10159, 10160, 8847, 10163, 10162, 11146, 
           10215, 10216, 8888, 10219, 12605, 10218, 11151, 7802, 12606, 7803, 
           7016, 7805, 7804, 8202}]}, "25.200000000000003`"], 
        Annotation[#, 25.200000000000003`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{5627, 7615, 8020, 7619, 6862, 8023, 7366, 11084, 7368, 
           6858, 7623, 8019, 8017, 6285, 11073, 11074, 8444, 11946, 8708, 
           8707, 8705, 6266, 9951, 11942, 8671, 8670, 8668, 6248, 9901, 11938,
            8637, 8636, 8634, 6230, 9851, 11933, 8599, 8598, 8596, 6212, 9799,
            11926, 8562, 8561, 8559, 6193, 9748, 11918, 8529, 8528, 8526, 
           6177, 9706, 6820}], 
          
          LineBox[{11980, 8928, 8927, 8925, 6443, 10264, 11974, 8894, 8893, 
           8891, 6426, 10217, 11968, 8853, 8852, 8850, 6406, 10161, 11963, 
           8820, 8819, 8817, 6388, 10114, 11959, 8788, 8787, 8785, 6370, 
           10067, 11955, 8752, 8751, 8749, 6352, 10017, 11951, 8491, 11110, 
           11109, 6316, 8151, 8153, 7706, 8484, 7700, 11101, 6310, 8025, 6864,
            7695, 8021, 7693, 8154}]}, "23.1`"], 
        Annotation[#, 23.1, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkD1LQmEcR38JSTa0hHV9qwxNLXJoaWhsK8q4Q2KbRQgOKn0AIyUxhAiq
DxEuRkaBTgVBbwhOLTYUuWTZ3uJxOJz7nOf/3PtwvdtpMzUgKQ33dunbL3Ug
4pW6+Bd8c9L4jGRAhu7CTpinr+BVOKev4zVYoGfxPtToOXwAi/QKvoQWvYqv
YIn+gT/BMi218Rcs05880jCzNvifkppO7kZ/dku7k9KxIZn4gbkNHIH8mDTI
/CMzr8zfsfeCRyakBrZjK/ujeIhZP88Ont84e8H7EriMd/iOwyXNsm/gOOsQ
c0nsC3AOwtw3iAOQpW/iKJj0LRyDHP0QF2CPfoSL/TW9iq/hlH6Lb6BE7+Af
qNP/cBdO+vcJ8u/hne7Bbjij9wBV+EUn
           "]]}, "21"], Annotation[#, 21, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVjrtLQnEYht+G0DlIvGSleAOjsPoTagsHSXSUU0Ri6BBa0BItjW51KmiJ
CGqRiGgIL4GIkYODtKrHtTaXhuhpeHh/7/MdvvP5jEIiPyGpALdu6Sso+Z1S
widtQhLKi5IrJC3j9+lFKME5fgO/jjfpl3AF1/hjfApfpdehATf4R3wW36cP
wYI7/Ah/hJ/0SzawwwP+d579UWkNyswzc5IBHa/U5d6PGSnO7J3cwfdwbWZb
vJtknDxxSD/T0tQsu3k7yG28k/zk+13e9+w22OPFRbgpQA7xfagwyzHbgyVm
Fe4Khfk/PsadK7AKT/g03sIn6SlIwwv+FD/GF+kHcAiv+Ge8zSWd0U24gAb+
G+/B1/47vEEL74lIC/gB3YIRdPB/KDNKLA==
           "]]}, "18.900000000000002`"], 
        Annotation[#, 18.900000000000002`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNkLtLQnEcRz8uDfbYzNDr1WtY+aghlwZn10qhpVBqiZYsilYHLcEe1CDi
HyFNRUZRQ0NDYqAIjrYUtaTZGHSGw/nd8/v+7svayCS2bZIy8OSQvgNSD5KW
NMA/EAhLxpTkgX26D3thjr6Il6BCT+IEROk5nIcHegEfwQL9Cl9Dl17DNxCj
v+MPGPJLX/gT4vRXjzTG7Cj8+aSOS1qmNwxp1yudT0jr+IW5NE7B4bg0zHyd
mRbzz+w1sdOU2tjEI+wb2M5skPUk6y5nq9xvD1/iLZ7jdvOd7LvwJtdR5nZw
cFoKwTzvO4sjkKWv4jVYoadxCnL0Ij6GA/oZPoUCvYZvoUy/x3dwQu/hPjzS
f/EALujmDP8e3uh+bEGJ/g82ukdN
           "]]}, "16.8`"], Annotation[#, 16.8, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVzr1LglEYhvG7zcjVyDLzAz/Aj0Wi/oJqrIZQ0sVJJHxLBLEca2vILcJq
iWiIICgiwsUyhMBEF4doUbPWgragy+HivM/vkeNxJo3VzIgkg84npW+P5J6Q
1pxSlGJ0EJbsXimC55kLtE2H+Aq+gJeZT+h0GL6HR/Eq8xPV6Ay/w9N4j/mD
BnSBf+FFfNQljZGZLnGxXwpIi1RivzEjZag9LXV4b9MmLbNrcGbxN+yVncH3
C2eCc3dc+rNIU3bu59vBuYm7ON/5fY7vK+5OcY8PC/KfYc4+3qUbdlvsshRh
d827Aj6phc/yzjmap1s8gffwGPM6xeke38d/8QLzDhWpgj/gJqt0xFymY6ri
P7gNf2Su0TPVcYdfCuF95gF9UgP/B51ySwU=
           "]]}, "14.700000000000001`"], 
        Annotation[#, 14.700000000000001`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNkDtLQmEch3+uEVhBEV6q49GjIHYjggY/gGsXTjSVbYmdTSIQG4LUiOoM
LdGHiLbsQlprUIFDETRUU+WkZUs9w8Pznuf9v+dmpJ3pVY8kB256pWZEaoFt
SG38A1ZcMiwpBGv0MDZhhD6L5+CIPo9tmKAXcQlq9G1chin6Ka7AG/0cn0GS
/oE/oSMkNfAXpOj1oNTDbDf8DUkvPmmG/hCQ8oOS2y9l8T1zGbwCW32Sl/k7
Zp6Yv2XvERsD0jOO4S72LdzJbIJ1gvUrZ4+5XwGfYIfnBP3SOPsBnOU6yVwO
D0f5fpjkfcfwKGzQF/ESLNCXcRo26bt4D9bpLt6HIv0CX8IhvYqvYIfewt9w
Tf/FbXDpZoz/D+90C0fggP4P+6lJUw==
           "]]}, "12.600000000000001`"], 
        Annotation[#, 12.600000000000001`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkD0vQ2EYhm/CIGZS0qqKQ4I0JBL+QX3E0kFC2sV2Qk5j0rQ0prJKg1ik
GEw+YhBNSqqHNLX5GkwGIf7BOTQp1xmuPM+5nif3+74ntJCIWg2SEnDcKTmG
1OuT5kNSDOKwFZbOA9Io/rRbKvqla9jDz/ZJEXyevUM4gjz+kv05fJb9Eru3
4NAX8Iv4DfoyzgbXy8Sv4Tfp73D3cEJOI3nTg9IU5Jgng1IK3th/574v7EWZ
PVEz+A/cK7M0/SPVpGbbpXqbZHRJrfQD1FX8EPWT/XX6C7ItckZww5w5Tv3G
f8EVsxVmSRjzZmAyf8Zvc1+Xs39gAr/kZeJ38L+4Gkzil/EOfhdfx/3BDe8r
9UstHdJ+D/8NDsDGu/gAvsJ3FR68is+QE8afkdPE+5phhvx/b7ZPiw==
           "]]}, "10.5`"], Annotation[#, 10.5, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwN0ktvTHEYBvBnNljVgpkIbUfbMNoJmYq2tqxJKL1Mp251WXZ6CeIDIBOJ
DfumLGxdY+OWuMQHIGw1ogsfAL3Fb/HLc+a8z/mf9yTTNdUcni4kWeRTMVnZ
k6zS6Eo25DqVatLdn/QwfSCZoUlPe/Jsf/KcxzzlCTX9+t5kgkXnTMoGA+7/
qSV/OeH5YU6ytCspe2437XTSwc2O5J/uCqf0RjjNL/0+8yoVetnHLf3YscCo
3jhj/NYfMj/MIQYZ4Lb+EXmUkj2LFFje6V12/eb7WuXk/o7khvyuf11eo1VK
tul+1VnS/2L2Q1Y7k5/yoNxuXpNtuv2uh1wve/aF8+7Il/Kq95TtN2jeKef9
Pm6fYyw4c7Nv2ULddzSYYE1v3LzOCGOM8kC/TXcrk3pnOUPBjpfNrzDFJS7y
UL+oW+Kc3gXOs0l/znyeJrPM0LLb+0rygYVu/xf5kbvur8o1Pru/Ide5536v
s/uYde48c1Sc/9Z573jFG17zyD7/AWSNYyo=
           "]]}, "8.4`"], Annotation[#, 8.4, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0M1PCHAcx/FP3GyOnkKJpTAamot/wMoFsXFjcuRSXEgHKlQO2JCRW5st
tlQetvLwD5hZD5IOEj14HifDy+G9z+/7/X0/39/3+ys5dGz30YIk99BVmLRu
StrwuzTpqEhKlybFq5IHK5KH+OHcvTG5i3dqeun+zcmfJclV9X3iftzckHTi
Fn7y9KxMduhV6jygzyB+OReqXY6TepXQXXq90KtBr9XiNWhdm7SjDVf4htYn
wzjFM0J387zkOc0zKn6NAbVPMIirPGNyb9DAM0738LziaeR5K57AV7Xf8Q0d
PO3FyUWcM3sLhtSfETfq0URbzX8BU/5tRH2NXYfoeXczcmM8zc7DtJ62LE7+
LkoqipKFzpW0RX4bnfv/9859/qhOn+1ylSVJlf2rMeuuzbvTdNQcnXrexmXv
X0KXdyft8B7X1U3RGjuOqT1rxw/ij9hSpi+24g7PtNwMOnhm6V6ecZ4mnjnx
JxxWewS16Ob5LPcFN3jqzLaPZ4KnmadefBw9dujFfVTZo84+C5YlB80acxeg
Wv6EfJF8rfw8ufnYKf9Ij8eY9MZTesAb8TfXvPFM/Bxl5ck6lKPfXP8ABNiB
bQ==
           "]]}, "6.300000000000001`"], 
        Annotation[#, 6.300000000000001, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV02lsz3ccB/BPGTIjwVBTZ6JVepGoaqmj7omZ+75Ku9GqZOa+rye07g7P
bTye47l7myviKrGRSOhqJLIEifP1e/Dq+/fv5/P7fL+/q3vp8klVKRHR2Z/L
7SJ+7xZxkppOEaflKSrSIi5kRVzkLOc5R0N2RHrfiAx6kEnP5Ni5f/SJ+JOL
XOYSn1IjlqpXsIShmRHFDGEwT/X0y43IZ47Z85jLCuvfs14dt7nLHd7kRcxX
X8Aw55ewwNxSFnLTellmZtObXHJ4Yl6m7EU6PcngZJeI9/ID75L98pFn+gvk
gGR/9CefW+YPkUMZTAnDqNc/SBZTyECKOGV+Y/v6gkY0pQn/6f9efSLjmcB3
3DF/hpzJdGYzixf6p8ppTGIKkzlj/g/yR8pZyhJedtTrfr2Qj92zmq4RO9Mj
dvCoc8T/5v0tH1LNVv/fzE59r9S2y13eg21yd/uI1O4R9z3jf817oL9e5lv7
uRwkO6gXyVZ6x+ao+f3anIbkfHOr2eO8Ote31/FbtWK1/Y4PJKy1wz63s8/v
N+pVrmM5FSyjkmvWaO7+fcWXtKQFH/SvVF/FT/zMCh5ab6PcxAa2sDl5xvrX
yfWsZi1ruGF+a/Pa0Iq2fJ08O9e+R30vu6mhmn/M/0UeppajHKGx/oPyEPs4
wH5uJvfKvG9IJY2ONNN/XP0Ex/iNX3ls/mL1MhYxyvs+nJGM4Fnybvp2Cljo
m1hEKYdcX5EcSAGFDKA+eaf1FrLY73LKqNU/Qo5MviuGU8Irsq2bQxZ55Cbf
vf1eM+s6f3GVK6R08KzUq6jkW3sczVjGMI7P+TS0XA==
           "]]}, "4.2`"], Annotation[#, 4.2, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV09dvj2EYxvFbjGprVHXYWpSgtOVArKqolYhYR/ZIbC2JLSS2lqpKiPBP
OHDAARExEsQmQVtaFQ6sGCGE+LwH317vc9/Xcz3Pe//e5i+vnFPRKiJK/Xmb
E1HXJ+JyYcRJerVnRG7viGPDIlr0pveNyO8fkYc+OKM/g/c0vcEzpFfEN+vB
9Lr1xdyIlXkRBzyvohnqOfJWD49olvdArYn2lpWtfkXOO7X32MS7g287MuUs
V2uRvYI+48vin6H32v47aq9oLzld1S/rt6i9xUY52/i2ooucWu91Ao95Mnkb
7ZvivRpoT/t7oNA5Q1HHs9Pdd2EbdmA7MuScLY44h/XWFdiAE/zZzslBdznf
ab3cyfJf0m5qucn8ZPdFDf9a+9Yl88EarEZn+Xtl78MS62VYimP8nWVmJGfI
+UZfyC2X/5xmq2UlyO6KKv5F9i3GfCzEAnSSv1H2Jsyxnoe5OMCfKjMtmZWc
L3Si7LoeERPM8iSdzfeHbxb9TT/o59FSWqs/U/14gWezLVPL6ma/vT94jqp9
p9OSd3Tf0X6HoNXYy1vF90W/mu8rPW6daX+TdQ1Oea5VO00brfc5Zz+OOvdl
kfnQelpFx/MdoaPkdvQuHfBnqDtjj+wp7jAVkzAZ5Ug1l4Vmsgil1mWYgN38
rc2iDdLlfKbP3HmE7Kc0TS01qcv+hJ384+wbj9EYizFoL3+S7HKUWI/EiOS7
4v9L/yUeOZ/kP5FbIv8xTVFrhzeym7GVv4i3GIUYjmFIkV8kuxgDrAeiAFv4
f9JfaCvno/xHcovlP6QdzHIzzxG/x2G0kzPQ/O74hgbRu3rpPOX2PeC/qXaf
tpGVpn5Bv0mtGZX+37bwbUZbOQflXZdziN5Kvi/+ave4Z/8057eSEfjXz/eo
f9v7VdJLyf1lfbC3gF60Pi8vzxm7PefTdPUUeSucdVveNbVfcn6iSu2w/uIS
vxV/g5k06leovaIbaAOtx3/xQb1L
           "]]}, "2.1`"], Annotation[#, 2.1, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV1H9MllUYxvFbWA1BVEp7IyXFN/5JzB81BhvpJqlL23Smq1xSYmmmhrVW
zFj4Ay11EquUuTZdoaSlKVRu/liunGWWmEbh1BAzXWVurTSrterz/HHxPdd9
7nOd85zneSmsqp76VI+IqPGne0DER8URHycy3o+f4AH8Z3jE2mERqYERH4yI
uAnfx4V3RMwzTqcjJusbgoNog3VT+Ca8hmfxCnZhjnUtBREr5OVZuxxvwJXY
B+fLnItzcQ4WjIxovTXiT/4a/WD9feoXcBi/R+5e6hgcMUn9J5yIx3GLfS6Y
67TveTyJF/EbnGztbH2TsAp/lrfLPn/wV+l7frz6eUzzH1q3m47JHad+Ee/B
zfZoNy64OeJccg7ZY4oiZrqzSqozV8qX0J00y5qJ8mbmR4zU/5r+bbdFvIrD
+Ur9O/kd1Ez71dvUB8ivxXf5GnecJbsnzdD/NF9NC+gd84v1zZBfhK/wb8hp
wDT/oP43+U20jvap71TPl/8cbuOflHOd7Otpmv7Z/CyqpK3mn9X3gPx8XMPn
yVmNKX6q/hTfn3KoNdlfPSV/EbbwD8vJkJ1JE/RP5++nKbTFfLP38Bb15fvQ
AeNq+/W2fpn59e4x17gXjR0UcSrlm1O7bFyYvFvfUllhRDnfcItndeeNOIa/
0Tka7dkX12IednuHTbhR3yk6nXyP+sv0v4Ql+LL8TvuUGvewbwatUltqv0zj
hc631zlX4Ne4nppoifl2z1CH/w51Jnt28CfoML2n3mh9b/vPx838OPX/fCPh
fkr1j+bLqYyazc/Td699rsir5berv4C/8SX62/hd1EI71FcldyW/C0/wxc79
UPLt0Cj9RXyaBtNx82f0jZf/o7wafrWc55PfDj9CfyPfQPW0XX2Z/mz53+JX
fD8502RPp2L9uXwOZdEx8x36KuRf9Z4q3PUS38lY/J2/Xf9Kvp4W0+7k+fRn
yW/Heu/qqNoR43b8Er/ACe7rURkV+Ejyf8Dvdp37/4W/RN38aPVzeMk+b1u3
lY7Y7+7kd47l+Bkut8chc4flHsTP8VPsae0aa/vrazPuh624QP4Txpnu46g7
ykje35CIZ5J3zy/CX60/g5fxNGZbt9Q+L8rrZW0t5mIdZuMcmY9jFT6GA/0f
fN3z/C33L+rSd1ZGF31n3Ekn6ZDz36W/G0fhQRzqPP8DgCbyfA==
           "]]}, "0"], Annotation[#, 0, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV1H1o1mUUxvEjZJIpFNLSufY4XYXOtzSz1JkuN7TQYcrU6RgzrTZrm6mY
mDWV2nohoxa6lRiGMBxK/hEkqIgEGm0ZLou00EyZL6CZKQQz+9x/fHc9z3Wu
c879e3mWt7Tu+dpeEbHKn7k5Ed8OiRhPT9JlD0UsxzzfJ42O+HVUxClU5Uf8
Rk+jcJCc2nLseDhiJ849GLFN/3naNCaijbdRtgG9B0ZcHRlxDeX8F/CizNey
w/R8XxDRgUr+D+jEVbVWtc9Q4SzrneljXpGdzbRU/3SfrzjXMXOP4m57jsl/
h/l6qtO1yE6W63aOi6iVv0wvYZrrKFYrwQ3+LWyV36C/hc61o4d33OxO9DF/
N23HOv7beEKmRna4nutm/o230iz6D4rsOCHflfpdVz9sly+Q30HL9A/g/aJ+
EvfY0UA3YvOwiC3oL/Oo7Jh0f92nC3iXf4l2o9iOU/KnkTErH1/KPya/iy7W
X8A7o/477rWjkTZhlzn7MEBmrOwEPX+ZeR3t/Jv0Bmba8ZL8y3iSX5h65CfK
P0B76Z/Be0W9Bv3t+JBuSc+G34VBMk+l56Gnx8zb6OSHzB2fn7Pjp9yIn9GK
ErVDtJZ/hi70PM+OiPgD76X3y7xN+Eat0fd3MCGjlh3xOB2PD7KcDZN9vp9O
yov4d7D3y/dP5JuxX/82uhWf4k/zz6Hcvh61evuP0M362mix8z+DUv6rzl6L
Umedn67R9ZWoDaZ3Odti3kr1OmS5Jy20FX29I1nIyMxK71q6jymD+/jZdCDK
7HiNrkKFWUuRIz9PPpf20V/NW6u+JvXYsYfuRbM5X6BIZq3sAj15/KHpDPxH
aD4W2fF6eqexwqx6ZOQXpTztm/p5G9TXI9uOr+g+7DRnL4pl3pCt0DOKPxpt
/HF0LJbYMdPvbBbGuccT0Sb/pvxuWql/avo/InsWOXZ0qHWizG+53rPYJDdF
fwZDcMD8oTQPlebPpnMw3ZwZaJdv0L+HVpn/LO+i2d3INf+EWhcWmr/a/Ca5
Qv3DMQId5o+kBagyv5rWYL85B9Is+Rb9l+lH5h/hNfnNNyJj/k17bqV7yl+N
OpmDstV6ZvPnoJ7/I47jmtrnattR7kxrnOl93jQ7l/j+NJ2K2+bcwX84nJ67
3pU+/w8xW+nn
           "]]}, 
         RowBox[{"-", "2.1`"}]], Annotation[#, -2.1, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV01tMl3Ucx/FvW2y5si21EP78OSMHE1C0uTT1xgM6RTQdGxSMorSczptu
cs0FeOjWC1uieABdeVy5tFWi4ixaW2thaXaiTFNLJ+qm3tjruXjzeb7f3/fz
+T48z/MvaF2zZPUjETHFn7pnIvrxT2XEFdyuihjGylTEyeqIU/gSfTiBu5kR
+TkRp12fQT/y1D/R8xjEjziHeXK/wGW5f6NmYsQkvGk+lR+x1nU2fc2u2mcj
5mMO5mEuZvEeRW9hRA8+Gx9xHG3mZybnmI4ZeAFTzR7EX3b9iV/cw0UMme+w
pxOr7G6n7+I7/8sI9SEzR3AYj6kP0IP4EPvxEarl7sWQ3D9w0zO6gVbZRc6L
kY9CFOBb2Rmydrneg914VN1Nd6ILO7AdZXK78bvc3/Cf3H/RIjs3eb5IIY0c
DMgOWZtcv4fNeGh2A92IdnSiA0/L3YqLcn/GdbnX0Gz+Pn2Ae9innpaOeB5r
PJulWRF39Dv1b/EN45vciLf0B+ioIs+H1qtHOnsSGcURT9DHMV/GHPeZljFC
P/C+d7QVTXZ00e3I1s/FArPLeFJ6BTw5NC85o2k02DNa7hiU6o+iT2E5Tx1v
Ec94/UJ0m9+Bl+zZSXehUn8S6s028pTqlfCU0Rr9ClqORnuy5GZjmv5Ymokm
nmW8pTwz9Z/DHvO78bI9n9Cj+Fj/U7xjtpmnJvmWeSbTY4mPTkk89qTl5mK2
fg5NoYWngbecp1Z/FnrN96DZnmP0OE7rn0WH2bd5inlreUroV/pzfR/jkjx7
ypIz9aISvy1aqn6Vp169GAtwwXu+KrfFjs9pn/p7OT9gEOvMV/It5D+nXkSr
1K3yJ9LF6rNy6mi1eoX5AfXX6Mdo/c0TItbLH5b/q/w2/dexAm8k96P/gf5K
9Ta6RP2K/BeTb0V9yd4uulS9xbd3RX0ZQ6jL9owrvHfn/wPVv746
           "]], 
          LineBox[CompressedData["
1:eJwV1Ftsz3cYx/GnSiIVh7WWarVWo1R1ddV0US66bkpiQhfKanTaTU16CGZO
k5HMZLE1ZlVtlBhSMzYxYUmdSrKObc1ulrjAzUSCC7KlwSSz1+/i/f98v8/h
83x/p//4Fc1VTSkRUe9nd2bE0Jci0lCVE1GXG7Fc7NPCiFpaN5Fi65SIj5El
/0jubxzKjziKv9Q9sX9unTIpopum0kFo5dku14Gl4ofpymkRP+o5Yn2Gviu+
DF32+7G4KKLAeQqxTP9WM/eoeyaXz3Oe/sn0vnMV0an4St0w9cOx0LpBT52e
bj31tEVtI1pdw5fIlZ8lNxsD4k+xT91/9u/wW45nYvW0Dl/z7NJ3EFvEu2mp
czToOWa9im5P7hO+sT+E8WYs4PcW0lzfKBxQlzrVOXjuRrrYXtqGdjNaC8Sx
Y0LEDzxGmJGv55T1JLpLfCf2qmlDvhm1/FfgZV4FOJI8N/tenldRKPYL7UOn
GT36LuAYn3N8R5tRrOcn62n0e/HjuKKmF1OSe0nfQ5l4OUarq1b/D88BVIj9
S5+iy4w7au/iuvglddlmlOq5bP0q/UP8NzxQcx/FZtwcFzE3K+JP2oFK+Uy1
55O49QX6ufwStWni0z3rL7IjFtkvRHXynthXiA+Tr7HvV39V30P9vbQ8L+I1
dFu/TufLD1iXqG10jhZUqV2MbB5Nzps+2fXibbEsOgbHXeOLcpkY7pnfonmu
sVLPbevZNEN8JHLsx2KmGZv4b0Etr/eRq26tXAnPUjSIzaBlOGnGPbkHaOfz
mFaY8WHyvVmvp13iHXhk/xDlZuzgvxNNvNYhT90GuZU8V2G92Gr6AU6ZEd6V
QTjK5wSdZcYmPSetN9PvkvcdQ+wH4w0zVtNGlHi3yvBtcq/s9/Bsw0yxTtqB
02aM8UyyUW3drP8T9afVb6MXefcgwz4dc+Q/ohtRwacSJ5L/Kd9NH79rmCPW
T3/HGZ5jeediifXa5B6oP6f/M9rP+1dMSL4RvCn/Aq8M9PC5hHvqcuyf80tJ
3nuxwTQVZ3le1Hc5uWbxn2mLe9Sjp8/6PF0j3owryXeHGv9h45wnDzX6N5i5
K/mPkCvkOVd/Eb3hXMX0FXSa/z/mY9ay
           "]], 
          LineBox[CompressedData["
1:eJwV01dsjXEYx/F/S0uCVlGlZo3QUNSKkRSJXRJKWiJt7b2SBkGoUS6MC1yQ
IEHcSISr2hIhKtx0qFGrRK0qNRJb+JyL7/m9z/N/fr/nPed9T8rcVVkro0II
6T62dwzhXL8QzqMYF3EBbdqHcJlewSW0VX9JCmFRegiLsRAV3UPISwkhH9mt
Q7idGEJZrxDKUYq7qEB2uxCO0xPYZHYzcs2Xm3+k9xhVeIonyDEf3zmE1XY0
p0vt7uc6PbKzj1zM56+K7HNv5SjFXVSghr8/HYB0vFJfc+/NXMehKZojHjOd
1fQ1g0q597BM9gvZY52PwxhMwHi8M59JJ2EiatU3ZLdw3RIJSEQrzHL2Wu4b
3Jf7AAWya2XnO5+NPMzFHHw0P58uwDzUq0tkJ0WeB1ojOfIskOvsrdx3eCi3
Chtlf5Ud7bwBohCDhrhpvhFtjFiUqDd0CGE9enTy3ZJ9d1mTaCXNpDe9GwVt
zdK4riEcpZPVsb1l4YleDG1nviHN8KyGu9/H+g+wX28fptuxh+7FVf0SJPEM
NjuMJ8a9x+K6fmPaCBPt+eFd+IlL+t9pIs83OpSnP+9F/WLslrsL0+zZQXfi
sP5JJPCkmR3I8y/NSy/7mH40jcI4e+pkfsAh/fc0nqeWDuBJ5T2ofwBFcrcj
y56HtAqJ/gMdkcNzwmwfnp/2/EKy/h/6G6PteS7zBbbIqqZNeJ7RNJ6uvIX6
G1EodzOm2lNGy/G3m99IXhbPEbM9eT7KrUe0/ij/kU+uR9nzgY5Ur+MZQevU
q82vVa9BAYo9/1Nyp9hxm95R1+l/xhd0M/+Kbxh/vXo4fa0eIb+GDlXPsHcI
faneaj5HnY3peCTvvdxC+ducx5k7pX8GZ9HFfLX+IP3T6sH0uTpD/i2/yQr+
JfYuj/wH1EXevcXqRdiW6jl6P5e5Huj3+A99oseo
           "]]}, 
         RowBox[{"-", "4.2`"}]], Annotation[#, -4.2, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV011M1nUYxvFbYik1fKkNeIhXJQfYI2JrK7ZmE4pUHjRfSk+Z86ADmG4i
b6bNOqit0oM4aNMp+HLgZrCVE7SDNgsIdU6qkeaBNMpmJ/i2lFp9/gdfrvt3
/e/7uv/Pj+cpb2nb2DonItL+3MqPOPx8xBFMVUQcqI7I1ER8xv9AfZBO83/D
i84rsb444gL9Bu+aG6WtZob1jqmH6A7+dpx3Hsb7hRF5yyLycZFfTA+ZuaO3
RP0XHeF/h0LnFJrtSZtdjp/tP0fXmflY75D6I3qNfxVVzpXJnlRED92LJlk5
clrMnNH7lPpLup6fwX49+7DWnhQtxJisrxPPzId6z6oP0Iv8b5HvnIf99rxV
FbEJq/k7edVm3ta7S/0ObeQ3YIuezWi052nPcpM74g/QN83s0zuYvDP9ij+I
HOd5eM+eRrNr8DK/m1aa2aS3J8mlr/LrkHFuQr09DfQNvMSfpUvNbNT7j3oD
XcFP45UkFz32pGkNKvjtiZrJ6N2jbqZV/KVY6VyLVfZU0mqU82/RxWaa9E6p
19IifgpLkmfosiebPoms5N5oiZmG5N7Ur9O5/OzkDpznJe9nz38l3t/safrM
CxELsQjbKr0fv3aJz4o5+jucx/WtKXO/OKOul/uv57MYeC6i12wFnSmN+MTz
ttqIT+kWswvs20wzsifzvJtnTepnzf7iezOJv+UdTUccw+6iiH57+lCknlkR
cRcdPlcnRvRO+F+O0mZZ19SdMm7gOh7x++T0o938CTnHUay+J+c+uuR04we9
P5kfT77Hsn5Ud8m4iV/xmH9czgnsMX9KzkmUqB/IeYgeOXtxWW9K3xW6QVaB
ultGPs1DnfvZ7U5y3UWBjPm03fk1/veej2Ba/+/IKpCl5wn6hew/eH/iNrJ5
43ovodN7DOobwDJ1mb3l+NxML+55l8V+p/fp1uSZekJGGS1Fmaz/Afxpszo=

           "]], 
          LineBox[CompressedData["
1:eJwV1Gto13UUx/FjZCENxUtzs9kmzd1MkjDJYTgky1QEfWDepm7N5oO5sYnX
mRUqPZBqXnLTxrxsTjQvhEy8TSUTspARhFYTnxUmFAxWDo3s9X3w3vl9zjnf
z/l+f//vb+Mq6xbUDoqIcn/mvRDxSlHEpOyIO/mexQl0/ZiIDWMj1uPXvIiZ
dG5uxBH910sittO14/VhLXbQN+S/RQ29jb7quSsnYjC/PL7X5HPFp+hAu54r
ct24iIP0iAkRc83Mt7aM/t6ebqEHH9ENavX4xZ6m0zn2dNaMnsKIDN6z+Dwn
/kB/hzY9b8nNxAzU0Bt5z+IxSiylL/LuxlVsTedSW4OfzXidzjbjazO+5Pco
K2IanwGxmd6L1XpK5aZiMqrpGt5v8nhGfJXu5H0CJ7GF/kr+BDroSfQgz2fM
qOF3n/e6lyJ+F1fT/zrPWroBa/AF/Yn3V8a/rziixPoWPq1ow8v0P/J/Yx9d
RD/wfJL/G/xu863m85M4lZ6SzsVzlVwVVmA33WjGNDPGWnuPHsprBEYhn+dd
+V5k0HfVMz0fN2MMv0u8F/O5IGbSIzGg5125hZiPz+k6Myab0f+iPaMTD9Q6
xDLv/1qKoyP+kjug75Y1u8Um7MJOulmcp56l75L+TLFFnCPXKt5DLybq+9O8
8+l+qPXgR2Sne2jv3bhJd6n/pq/VWR4XuHfOMEN+q/iQ7kefnjK56SjFdrrK
miIzroud9HH5UziD0Wac49+FY+l86pf17TfjJr9a3sXpfoo36G/wnjWFcgUY
h0q6wj3JN6M57S/dA1478SmeVz/N/xR2pPel3qRvnxnN/JbxHs5nibiHbkKr
NcPkhmIIyukFZuSZ0c5nOP2B3/djbMPIdJflj6KRHka3ed5jxip+s3k/kn9H
rKCX44CeAbmH6Mci+m0zctLvaO2z6XuRr0M9Gulqtfdxxx0YTGf4BneZMZHf
FN5/6HtNLKELsD/tU/8W9Fozny625pD/V21mbaLLnW9leo/YTB+RP4yl9Mb0
DXn+zIyn+RXy7kzvXgy6Rb2Dbsch7KX79GeZ96EzPPGuV9hTJarQoF6pVoHb
9vOf+hD7ua/2Pwj22GU=
           "]], 
          LineBox[CompressedData["
1:eJwV01dsznEUxvFTEWKPC6OqZmOUUCNEEC6NitjjilCCkLRFI5FYsUmo2lTF
qrbESFwQYsYesUdqJLiwau/w6cW3z/k9v+ec83//79tm42cMmZ4QEan+LGgc
sb9pRBFykiJKaDGaq5PTIpogt0PEOpTVj1jfPuIjHcnPU99KcUdzUZgYcci8
bg0iapjRnR52Psjf434vSuWf4rcZNWX+0A1mP+O9wHP85RXJFiPTcxTK7UMz
9ZuOEW+RqScLJ2WvtI04RQd4psvqWWbcxR184281Zxuy9Oebsx2J6nfmvEe2
OTNxWvaa/jN0oFlX1bPNuI97+M7fbk4+svUXmLMDjdQfzCnDLHNm45zsLf3n
abpZN9U5Ztyg11HLuznfJuIClrSMWIoZsh3c9fO+pnpv/WmdJhG18cj9Q3R0
n85/oi7Faj0p7lfRx84Xkz1bw4g0uU4tzMNM5+GtI6q1i6iCqiiQG8R/TdPs
+uH+F0rlz3qmJJ+hp5nn1D3oQ/49fJb5hGl6b9O7OMUfI9dATxfZsequ5b38
03ggcx+p9lynN3GCf1yunp7OsifUafQY/yguyVzEFHv20kJs42f4XHX1pMpO
UrejO/n5OCBTglb27KS7sJl/xOzaetrKHlW3pnn8tdgqswWT7Rlm3gjU9z1V
So0YpWeHbGV1AU3iN8QomZFoYc9KvauxwKwis6vraSlbrG5O5/LnYLnMMmTY
00/vAPzzfSWYPVTPZtkK6i20oh0JSJcZiGR7Npq3CTl69vG66pkkW6jOoNn8
TKyTycUEe3q56413/D90sJ482b/q9bSM/x59nfugkT1r6FqMtn83najnsOwe
9SE6nD8UK5yXI8tv8TP9gv38n3SZnpeyv9SvaAm/qPx/0fkrEu1Z6BkXYYr9
i3md9YyXXaIeRzP4EzFfZl75d+bd/AfU3st+
           "]]}, 
         RowBox[{"-", "6.300000000000001`"}]], 
        Annotation[#, -6.300000000000001, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV13uUz3UawPGPhgjjPiiEYtxnWIVBFJIK27G520Gxcglb2HI91B8id8Yw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           "]]}, 
         RowBox[{"-", "8.4`"}]], Annotation[#, -8.4, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwN0L1LlWEYx/Ffe6jlSy96rOcUWfSCZgVpi0tLYdEWUkNjQUds0EI9x0DN
lEjCrTWFKGpIlBNJS/9AFPUvpINCbTX0GS6+1/d33891P/dd3KncuL8ryZK6
1p7UOpOzB5LOw0kPVvll+UMs8w55gWN8QP69K2niK+WkEb/yfvkD6//2J/vs
/4sj/Lx8GDd5m/wXVni3/B7+5K3yH3iXd8m/nXaGKpk7cyYZ6kk2rM/qpzuS
JziDF+Tz+gX9U5zHHbPmcBBnzdrCppK7YJ1fx2dHfeOsfv/eeijpw984J7tU
JC1tyYtTyTv7V8x6pZZV4b5lVdhbVg3qiGo/6BssYTMumL+E674fdd62fBN3
cOhkclONm/fIPz+3b1FVeY3XcArPudukvqqfwEl86Q0avUmDmuDj6ouZG+73
2FqLM6bwE/8s/4jDvFlewTqvy9fxNt8rv4VrfFW+ilf5HvkV/MDfy3uPeSNe
8zYXsZu/lr+1foLvtv84vuF/9P8BvN1XXQ==
           "]], 
          LineBox[CompressedData["
1:eJwl1FmMzXcUwPGDiAdbI/bYBmMpxUilkTFR9SBmCBFimaUyD/YhbUlLIipC
+tAnoSERtEmtE7tWLG0tE9SoJXZR2mu5lmDG2mjE5xcP3/u95/c7v3P+5/fP
vTnlc8bMrhMRvXycbxNR2SHiZZeIyz0jXvNFvoAhrSKeimtR2TdiG7bibZ+I
jbwZm3DL/rC8iJtcyAXOTXV+Gu5Ym8X/8jp9jujXv31Eb/HLlugRccjaff6N
X3GBmi/4oPgG7+ca/tX5c7xNfJ4PyNuPfRjZVU2+Zn2X/RLewZf4uT7VvFX8
B1fyac6Xf4q3iPfwJj7Oe/X5mTfgfk5EXm5EP2w01w5rO1MN7HF+N2rUXyte
hxX4EesxS/4dtUZ0jPi9bUQRZ8Qzra+yvxrLUz01tuOJOpM+jCjGFuufcyk2
yP9I/z7Iep6H+FJutoVnlfdLmjndE/ahQv4xrkp3mu5N7b2odaZUXIZJKMdk
TJRf6P6K0LhzRFMskFuj/t/2b+I6MvgHs+U/5ie4l/q7t4PpnTlzxXzLxBWd
Ir7jyd59OYZ738/FGe++vntY3Tpipe9Z3MNP7dR0tgZr0pr8M85luZO7e8jn
xGdRrU5LNU5yrfxX+k73HN+Lp6R7xwwUe86xZhqHXDN1xw9ym6GpOh+gEZqj
GebK78Ad0RrHzVSF/+TPVW8evsB8fI0S+RPUnoiBaudjrdxuyDh/GwPSDLiL
b+TX8jMU4DEe4X/536q3GAuxFEtQKr/CfKXql6AMdcxdZn2Uc6OxSF4RF+Kt
Op+m3y0GYyg+w3z5+TwIn+C0mapxVu1e6dncW28+Ze1PnECxXnn8sfUH9r/S
J8v9xG/SjJwRt01zcvfUV35u+q2Lm/AtzuG/9KnLF8X1+Ji8oziM8fr05YbW
r9qfps9lbpD+i/Q5wQPbv/+fegdVBNee
           "]]}, 
         RowBox[{"-", "10.5`"}]], Annotation[#, -10.5, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwV0E8og3Ecx/GPg7liDW1jJs2/xp6VixpxlBInuaxRc9pw4KBWa42Y5OKw
icJpOLiJRDm4bDLMzUU52tLT2o3ydnj1/fX+bb/n+T3uucXpaI2kOKaapAeU
O6QvGN2SD+O0O7zQCqijWTBGu8Q57RRvXVIRQ7QLJGhxHNIO4KdlEaIFEaVF
0Es7xiht5B9tGHZaBhWn5HFIVZd02yKdMJ3sO7DeLyXZHzQks11KsS4zA25p
grnB/66Zm8w15iR2O6XlZmm7Day3kEIj5y7Rd1jvsV7lt6ZdumI+e7k/Zvu4
I/MVAzzrhj0f855ZoHlZPzHrebcGHHHOB22fWeGsUivfFlWbFONuNu5rxa9H
+kGJvkI3ef9v5Gk5fNIj9EdaDhlaGu/0MP2MlsUCLYwiPUhP0hLw0wzk6TP0
eVoIFloterjXHwncVn4=
           "]], 
          
          LineBox[{10605, 6647, 9188, 6646, 10598, 10603, 10597, 12222, 9185, 
           10320, 12202, 10318, 6514, 10321, 12205, 10322, 9201, 10494, 9204, 
           10713, 9205, 6690, 9207, 6691, 10710, 6609, 10697, 10698, 10695, 
           6686, 7923, 6687, 7959, 6603, 10707, 7929, 9360, 7916, 6689, 10702,
            9190, 7579, 6600, 7920, 7329, 7658, 6299, 7572, 6296, 7940, 6645, 
           7654, 9296, 7898, 10593, 6535, 8302, 7073, 7895, 12028, 9005, 
           11354, 11353, 6596, 10605}]}, 
         RowBox[{"-", "12.600000000000001`"}]], 
        Annotation[#, -12.600000000000001`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVjjtLQmEAhl+npKZCJC9dTLGyECzLIckoqCGM8A8kTkGg5NCup1/QVnEM
acqmloYudhlaCmoKbInmTiQS0pL0nOHlOc/z6XdOIFfI5B2Sdti6T5oZk+Ie
yRqRpuEUvkLvgSH8hR6ETnyR3hiV+vAavRe+4kl6FXb6pRL9D1bwWXoRWniW
/gkLeIy+BN/wBXrDJj5OXx2U7vH2kPTLlvFUgHP4g19xdmyfeaXvYcnwS0d4
GbZwi83ze7ebu3j28exhXhbkXSFWp9+wC3bLJvlvhTui8Bpvc3cVf8f34Yd9
N601IJn4ITP5ji/8ge7g23dxF3cbsBOW7ujPsIg3efc2fMIv6SbM4o/0DXiA
n9O34Bp+Qk/DTfyMnoBJ3KDPwTh+Su+GE3iOHoFd+F5U+gfnxkwF
           "]], 
          
          LineBox[{7942, 7653, 9297, 5978, 7897, 8300, 7913, 9299, 9298, 9294,
            10602, 10601, 10596, 12221, 6593, 12223, 10491, 10319, 6513, 
           10323, 10496, 12224, 6608, 10493, 9203, 10712, 10714, 9363, 12094, 
           12095, 7934, 6002, 7928, 6003, 9361, 7915, 10701, 6599, 8175, 6598,
            7332, 7919, 7328, 7657, 7331, 7389, 7938, 6298, 7942}]}, 
         RowBox[{"-", "14.700000000000001`"}]], 
        Annotation[#, -14.700000000000001`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVzz9IAmEch/FvW9eemHmlDSU6mi0Oaebk5uYmIkkJVktjS0hba5Gi0ZSY
4uYiHC1OWhBCDU3hmmWUgos+Dh9+x/P+4T136jieW5CURdwmtfGzIQ2w7ZH8
iNEs9GivWKIZiNCaqNMe8b4lvSFIayBPu8AdrQw/rYI0LYVT2gl8tHvs0/bm
aGGYtFv8OSXPqjRZl57s3M20mGNmdE0KuaUV9u3ybfIdZo4d/IOLs8wW85/5
yT1O1q/Ye83ZGwxNqcgscV+d2WfPA3PC/m/WBhgtS+ecsfM2G8TbppvSF/1s
/j7u/MUzrYs+PUd/oXVRpBXwQc/Qa7QqjmiH6NGT9EtaHju0ADr0BP2AloZB
W4TXJ80ADOZKKQ==
           "]], 
          
          LineBox[{10589, 9295, 12077, 7652, 6643, 7939, 7388, 7390, 5634, 
           7914, 6597, 8176, 6947, 7917, 6946, 9362, 11130, 11129, 6607, 
           10495, 7933, 7876, 7910, 10492, 6592, 10588, 10589}]}, 
         RowBox[{"-", "16.8`"}]], Annotation[#, -16.8, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNjrtLgmEYR38WTUUORl7SRCELugxCZoiCGVSTF+gPyGgqcjD6C9StSWgs
CiTET6IWl4ZwsE0Ct7JJGruANViInuHhvOe83/vxeNKZ1LFJ0iGTnJHWF6SA
XfrySqswgG/TzdCHt+hzcAKP0d/mpSm8SrfAFzxML0HhOfrAJl3ja/RT+Inv
0z9gFvfTt2Abj9Ff4Sa+SN+dlRr4v1vqMwk86pF2YA9/5O4ODhy8oVU5b0Db
tBSBo/CMOad/uyQD/sA+399y7jilG/gOe7Q/7ip4mbnk37/4E32MfQq4lf3y
cASv01s+6QTvslMWPuMP9CuYxpv0PXiB1+gZmMANehwe4ff0EIzgBXoYBnGD
PgmX8QP6EhzHiyvSEPcyRN8=
           "]]}, 
         RowBox[{"-", "18.900000000000002`"}]], 
        Annotation[#, -18.900000000000002`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVzjtIQmEchvFXasy2otS8DRXpGHShKfNCBIFubgWhIepiNLaFOLU3JFgO
Dl0WcRARJJqEFKShGpMmQUQPUWRPw4//4fku53MdpsMpk6QEIrPSEwZuqY/1
ZWkNe7Q6XmgdTNPM2KFV8EC7w9uS9Iqt/4Ys7RzXtAJWaSXEaEc4oWXgpRUQ
pPkRoPnhpF1iaJNWrNLYIT3OSTVmg/nD3LdL2y7Jxr4Q3w6+d5m/FsnH/GYO
FtjL7HKPnfUL9t5wtogv1krMPPdVmZ/sKTNN/M9gbQRjRjrjjJW3zWOSt02g
Rz+lG9w5RHtRauGDnqa3ac/I067wTo/T72m3SNGS6NAP6DlaFpu0DTTpUfox
LQYzbQoej/QHzwpJRQ==
           "]]}, 
         RowBox[{"-", "21"}]], Annotation[#, -21, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwNjr0rxHEcgJ+7riuTK7m483YGd4szGFzIKfISKWezKCSlUOLKP3BMFv8A
oQyiJG9dBgbZlJhcmWQigwzIM3x6vs/z+/6+fRKTC7n5ADDn5OLQkYJMNXw2
Qpts1wftFTKlP9qTMqL32l+SENWP7JWypHfZ92VQL9gDck/P2FflRxXM2N9l
Xm+1D8mS3md/lgN6s32iDu50GnzPGdd7EjAm/+rhxm9XMuzdEdul52EZj0K/
DMkNZ8f+XQsX8keGvF/0/FoDJ/JNYgv6z7l+6mz59q93b2NQ5j5resz9CjKs
X9ufmmBF/3KnZfmgF+27clq/t0/Jbf3MviRz+qF9VC7qx/as7NbX7VnZqR/Y
I7JFn7WnZbm+mYZ/Bqc/rg==
           "]]}, 
         RowBox[{"-", "23.1`"}]], Annotation[#, -23.1, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVjz9IAnEYht8rS1cFI8h/Z5ANNTQ02lRgBy7iEtLipCFmTbZVW0hLcxCU
UCAomUPiFARmhIso0lBODRG4hRRUT8PD+7vnvt9375nJ7VjWkJSB+JT0AJtL
0qRXOpuRDn3SAUTxd/AclPrgmpecsIarQw1XhUFIeoUwrgoF3BFc4S5hGVeC
LVwK9nB5WMQVwcJFwMKtwyzuFD490gJ9bAGpNS09+aUmafC8Qb9VU/IzF+Ns
co6TE8xHyTHym/8ZJ9/ZE+D9CbM37KiBwcwtec6+R/KDmXvSwfwv935g5Jb2
ueOjmwccdLPDEJ/Hf7FzBL05qQtv+By+i+tAEXcBL/j0/7dx17CL24EePok/
xhVgBReGNj6Bb9ApS58KXcpg0e8PjKxGLA==
           "]]}, 
         RowBox[{"-", "25.200000000000003`"}]], 
        Annotation[#, -25.200000000000003`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkM8rg3Ecx9/a1jS5aZsfGzO2IWSUnPxYO5ASllx20SZSXNSUcrcc5m9Q
iuKwLXJxQXs0nBzIASus1g7c1i5eO3x6fV+v79Pz/T6PZ2VrYbNO0g5TtEt+
rxRgfEx1QPqhbXRI37Cb1sUM04PMTKvkCEi9zdJrp9QDm/Aw/csvOfEM3QEL
+Dj9DJrxJN0ET/Ex+h78c0rr9F+4i4/Q5+AHPk1/h7P4IH3NLT3hFu5mZWJ4
2CNFoQk32Htslxp5dpl2z3oJuvmOeWiBh0yaLtyAZtjA83nWpTbpBpahlWZj
L4ffMUe1c2vvbOH93CeJu7jfPrTht/Q3H/8Ur3CnBHzBr+kncBV/psfhMX5F
T8AInqYvwm08Sw/BKfyAPgkn8HO60cf5TJVzP/vZG5Ie+J4C6zysd0mj3P2S
f3HBpFj/A2b1SUE=
           "]]}, 
         RowBox[{"-", "27.3`"}]], Annotation[#, -27.3, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          LineBox[CompressedData["
1:eJwVkU0ogwEYx/9D01g5bT6zD81HabgoJZ9xwdKKXRZlTiNyoBQHB6R8XFzd
fJWdzBzcjBysNRLLRzlQykEOJG3Kb4df/3e/59nzPm+PY2TSO2GQtAL9JdJS
jWQgF8kscpkcrZN2a6VwqZTi+ZB8d0txq9TZIKWdUgf5RwYd0jU1P7WERWqv
pAbr+A0I4JP4adwMHOEiEMQ/4/dw+3CHS8IU/g1/j3uAFC4Ns/hPfH6VZAYb
77bDAv4XbyyXcqGAXa9s9JZJN+R2kXRBmqhFyVPY5D9OZn7Qk0d/NjUT6SPN
5BBZQd1POuntznwHz0a7FGPeLTPipInfbvp/mLNFnwv62M0DPezWCzs4N8zh
5mEMNw4hXCMc4EKwiluDMK4FXnCvEMEdw0lmD7BUS1Z4xD1BK3dogyg1D1xy
ixgMcD8fdFEbJIfJnEJuRu2MnVUvnZNRagFu7HVJTcVSM7O/mPsNCXr/ATw5
WVQ=
           "]]}, 
         RowBox[{"-", "29.400000000000002`"}]], 
        Annotation[#, -29.400000000000002`, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{6926, 7409, 8143, 7407, 8148, 6930, 7692, 8145, 7688, 8128,
            5779, 5638, 7771, 5665, 7776, 8146, 7778, 6932, 8150, 6348, 8200, 
           7782, 8519}]}, 
         RowBox[{"-", "31.5`"}]], Annotation[#, -31.5, "Tooltip"]& ], 
       TagBox[
        TooltipBox[{
          Directive[
           GrayLevel[0], 
           Opacity[0.5], 
           CapForm["Butt"]], 
          
          LineBox[{5668, 7781, 7783, 6931, 7777, 6928, 7691, 6929, 7410, 5781,
            8142}]}, 
         RowBox[{"-", "33.6`"}]], 
        Annotation[#, -33.6, "Tooltip"]& ], {}, {}}}], {
    DisplayFunction -> Identity, AspectRatio -> 1, DisplayFunction :> 
     Identity, Frame -> True, FrameLabel -> {
       FormBox["\"Y\"", TraditionalForm], 
       FormBox["\"Z\"", TraditionalForm]}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], Method -> {"DefaultBoundaryStyle" -> Automatic}, 
     PlotLabel -> 
     FormBox["\"Total dipole trap effect on 1S0\"", TraditionalForm], 
     PlotRange -> {{-300, 300}, {-400, 400}}, PlotRangeClipping -> True, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.02]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
       FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           GraphicsBox[{
             RasterBox[CompressedData["
1:eJxF1wk0lHvcB3ChKOvNViiF0kJ7ttK3FJIWtFhK9j1Zo5BCSVpcS0KiRVqV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              "], {{
                Rational[-15, 2], 
                Rational[-225, 2]}, {
                Rational[15, 2], 
                Rational[225, 2]}}], {Antialiasing -> False, 
              AbsoluteThickness[0.1], 
              Directive[
               Opacity[0.3], 
               GrayLevel[0]], 
              LineBox[
               NCache[{{
                  Rational[15, 2], 
                  Rational[-225, 2]}, {
                  Rational[-15, 2], 
                  Rational[-225, 2]}, {
                  Rational[-15, 2], 
                  Rational[225, 2]}, {
                  Rational[15, 2], 
                  Rational[225, 2]}}, {{7.5, -112.5}, {-7.5, -112.5}, {-7.5, 
                112.5}, {7.5, 112.5}}]]}, {
              CapForm[None], {{
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -102.65572760562051`}, {
                    Rational[
                    15, 2], -102.65572760562051`}}, {{-7.5, \
-102.65572760562051`}, {7.5, -102.65572760562051`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -95.51695565189495}, {
                    Rational[
                    15, 2], -95.51695565189495}}, {{-7.5, \
-95.51695565189495}, {7.5, -95.51695565189495}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -88.3781836981694}, {
                    Rational[
                    15, 2], -88.3781836981694}}, {{-7.5, -88.3781836981694}, {
                  7.5, -88.3781836981694}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -81.23941174444383}, {
                    Rational[
                    15, 2], -81.23941174444383}}, {{-7.5, \
-81.23941174444383}, {7.5, -81.23941174444383}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -74.10063979071828}, {
                    Rational[
                    15, 2], -74.10063979071828}}, {{-7.5, \
-74.10063979071828}, {7.5, -74.10063979071828}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -66.96186783699271}, {
                    Rational[
                    15, 2], -66.96186783699271}}, {{-7.5, \
-66.96186783699271}, {7.5, -66.96186783699271}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -59.82309588326714}, {
                    Rational[
                    15, 2], -59.82309588326714}}, {{-7.5, \
-59.82309588326714}, {7.5, -59.82309588326714}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -52.68432392954159}, {
                    Rational[
                    15, 2], -52.68432392954159}}, {{-7.5, \
-52.68432392954159}, {7.5, -52.68432392954159}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -45.54555197581601}, {
                    Rational[
                    15, 2], -45.54555197581601}}, {{-7.5, \
-45.54555197581601}, {7.5, -45.54555197581601}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -38.40678002209046}, {
                    Rational[
                    15, 2], -38.40678002209046}}, {{-7.5, \
-38.40678002209046}, {7.5, -38.40678002209046}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -31.268008068364896`}, {
                    Rational[
                    15, 2], -31.268008068364896`}}, {{-7.5, \
-31.268008068364896`}, {7.5, -31.268008068364896`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -24.12923611463933}, {
                    Rational[
                    15, 2], -24.12923611463933}}, {{-7.5, \
-24.12923611463933}, {7.5, -24.12923611463933}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -16.990464160913767`}, {
                    Rational[
                    15, 2], -16.990464160913767`}}, {{-7.5, \
-16.990464160913767`}, {7.5, -16.990464160913767`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -9.851692207188208}, {
                    Rational[
                    15, 2], -9.851692207188208}}, {{-7.5, \
-9.851692207188208}, {7.5, -9.851692207188208}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -2.7129202534626433`}, {
                    Rational[
                    15, 2], -2.7129202534626433`}}, {{-7.5, \
-2.7129202534626433`}, {7.5, -2.7129202534626433`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 4.4258517002629185`}, {
                    Rational[15, 2], 4.4258517002629185`}}, {{-7.5, 
                  4.4258517002629185`}, {7.5, 4.4258517002629185`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 11.56462365398848}, {
                    Rational[15, 2], 11.56462365398848}}, {{-7.5, 
                  11.56462365398848}, {7.5, 11.56462365398848}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 18.703395607714043`}, {
                    Rational[15, 2], 18.703395607714043`}}, {{-7.5, 
                  18.703395607714043`}, {7.5, 18.703395607714043`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 25.842167561439602`}, {
                    Rational[15, 2], 25.842167561439602`}}, {{-7.5, 
                  25.842167561439602`}, {7.5, 25.842167561439602`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 32.98093951516517}, {
                    Rational[15, 2], 32.98093951516517}}, {{-7.5, 
                  32.98093951516517}, {7.5, 32.98093951516517}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 40.11971146889073}, {
                    Rational[15, 2], 40.11971146889073}}, {{-7.5, 
                  40.11971146889073}, {7.5, 40.11971146889073}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 47.258483422616294`}, {
                    Rational[15, 2], 47.258483422616294`}}, {{-7.5, 
                  47.258483422616294`}, {7.5, 47.258483422616294`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 54.39725537634186}, {
                    Rational[15, 2], 54.39725537634186}}, {{-7.5, 
                  54.39725537634186}, {7.5, 54.39725537634186}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 61.53602733006741}, {
                    Rational[15, 2], 61.53602733006741}}, {{-7.5, 
                  61.53602733006741}, {7.5, 61.53602733006741}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 68.67479928379298}, {
                    Rational[15, 2], 68.67479928379298}}, {{-7.5, 
                  68.67479928379298}, {7.5, 68.67479928379298}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 75.81357123751854}, {
                    Rational[15, 2], 75.81357123751854}}, {{-7.5, 
                  75.81357123751854}, {7.5, 75.81357123751854}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 82.9523431912441}, {
                    Rational[15, 2], 82.9523431912441}}, {{-7.5, 
                  82.9523431912441}, {7.5, 82.9523431912441}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 90.09111514496966}, {
                    Rational[15, 2], 90.09111514496966}}, {{-7.5, 
                  90.09111514496966}, {7.5, 90.09111514496966}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 97.22988709869523}, {
                    Rational[15, 2], 97.22988709869523}}, {{-7.5, 
                  97.22988709869523}, {7.5, 97.22988709869523}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 104.36865905242078`}, {
                    Rational[15, 2], 104.36865905242078`}}, {{-7.5, 
                  104.36865905242078`}, {7.5, 104.36865905242078`}}]]}}}, {
             Antialiasing -> False, 
              StyleBox[
               LineBox[{{7.5, -112.5}, {7.5, 112.5}}], 
               Directive[
                AbsoluteThickness[0.2], 
                Opacity[0.3], 
                GrayLevel[0]], StripOnInput -> False], 
              StyleBox[
               StyleBox[{{
                  StyleBox[
                   LineBox[{{{7.5, -90.41783282780526}, 
                    Offset[{4., 0}, {7.5, -90.41783282780526}]}, {{
                    7.5, -56.42368066720734}, 
                    Offset[{4., 0}, {7.5, -56.42368066720734}]}, {{
                    7.5, -22.429528506609433`}, 
                    Offset[{4., 0}, {7.5, -22.429528506609433`}]}, {{7.5, 
                    11.56462365398848}, 
                    Offset[{4., 0}, {7.5, 11.56462365398848}]}, {{7.5, 
                    45.55877581458639}, 
                    Offset[{4., 0}, {7.5, 45.55877581458639}]}, {{7.5, 
                    79.55292797518432}, 
                    Offset[{4., 0}, {7.5, 79.55292797518432}]}}], 
                   Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], StripOnInput -> False], 
                  StyleBox[
                   LineBox[{{{7.5, -110.814324124164}, 
                    Offset[{2.5, 0.}, {7.5, -110.814324124164}]}, {{
                    7.5, -104.01549369204442`}, 
                    Offset[{2.5, 0.}, {7.5, -104.01549369204442`}]}, {{
                    7.5, -97.21666325992483}, 
                    Offset[{2.5, 0.}, {7.5, -97.21666325992483}]}, {{
                    7.5, -83.61900239568567}, 
                    Offset[{2.5, 0.}, {7.5, -83.61900239568567}]}, {{
                    7.5, -76.82017196356608}, 
                    Offset[{2.5, 0.}, {7.5, -76.82017196356608}]}, {{
                    7.5, -70.0213415314465}, 
                    Offset[{2.5, 0.}, {7.5, -70.0213415314465}]}, {{
                    7.5, -63.22251109932692}, 
                    Offset[{2.5, 0.}, {7.5, -63.22251109932692}]}, {{
                    7.5, -49.62485023508776}, 
                    Offset[{2.5, 0.}, {7.5, -49.62485023508776}]}, {{
                    7.5, -42.826019802968176`}, 
                    Offset[{2.5, 0.}, {7.5, -42.826019802968176`}]}, {{
                    7.5, -36.027189370848596`}, 
                    Offset[{2.5, 0.}, {7.5, -36.027189370848596`}]}, {{
                    7.5, -29.228358938729013`}, 
                    Offset[{2.5, 0.}, {7.5, -29.228358938729013`}]}, {{
                    7.5, -15.63069807448985}, 
                    Offset[{2.5, 0.}, {7.5, -15.63069807448985}]}, {{
                    7.5, -8.831867642370266}, 
                    Offset[{2.5, 0.}, {7.5, -8.831867642370266}]}, {{
                    7.5, -2.0330372102506846`}, 
                    Offset[{2.5, 0.}, {7.5, -2.0330372102506846`}]}, {{7.5, 
                    4.765793221868898}, 
                    Offset[{2.5, 0.}, {7.5, 4.765793221868898}]}, {{7.5, 
                    18.363454086108064`}, 
                    Offset[{2.5, 0.}, {7.5, 18.363454086108064`}]}, {{7.5, 
                    25.162284518227644`}, 
                    Offset[{2.5, 0.}, {7.5, 25.162284518227644`}]}, {{7.5, 
                    31.961114950347227`}, 
                    Offset[{2.5, 0.}, {7.5, 31.961114950347227`}]}, {{7.5, 
                    38.75994538246681}, 
                    Offset[{2.5, 0.}, {7.5, 38.75994538246681}]}, {{7.5, 
                    52.35760624670598}, 
                    Offset[{2.5, 0.}, {7.5, 52.35760624670598}]}, {{7.5, 
                    59.15643667882556}, 
                    Offset[{2.5, 0.}, {7.5, 59.15643667882556}]}, {{7.5, 
                    65.95526711094514}, 
                    Offset[{2.5, 0.}, {7.5, 65.95526711094514}]}, {{7.5, 
                    72.75409754306473}, 
                    Offset[{2.5, 0.}, {7.5, 72.75409754306473}]}, {{7.5, 
                    86.35175840730389}, 
                    Offset[{2.5, 0.}, {7.5, 86.35175840730389}]}, {{7.5, 
                    93.15058883942348}, 
                    Offset[{2.5, 0.}, {7.5, 93.15058883942348}]}, {{7.5, 
                    99.94941927154306}, 
                    Offset[{2.5, 0.}, {7.5, 99.94941927154306}]}, {{7.5, 
                    106.74824970366264`}, 
                    Offset[{2.5, 0.}, {7.5, 106.74824970366264`}]}}], 
                   Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4], 
                    Opacity[0.3]], StripOnInput -> False]}, 
                 StyleBox[
                  StyleBox[{{
                    StyleBox[{
                    InsetBox[
                    FormBox[
                    RowBox[{"-", "30"}], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -90.41783282780526}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    RowBox[{"-", "20"}], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -56.42368066720734}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    RowBox[{"-", "10"}], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -22.429528506609433`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox["0", TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 11.56462365398848}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox["10", TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 45.55877581458639}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox["20", TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 79.55292797518432}], {-1, 0.}, 
                    Automatic, {1, 0}]}, 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}, StripOnInput -> False], 
                    
                    StyleBox[{{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4], 
                    Opacity[0.3]], {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}, StripOnInput -> False]}, {}}, {
                    Directive[
                    Opacity[1]], 
                    Directive[
                    Opacity[1]]}, StripOnInput -> False], "GraphicsLabel", 
                  StripOnInput -> False]}, "GraphicsTicks", StripOnInput -> 
                False], 
               Directive[
                AbsoluteThickness[0.2], 
                Opacity[0.3], 
                GrayLevel[0]], StripOnInput -> False]}}, PlotRangePadding -> 
            Scaled[0.02], PlotRange -> All, Frame -> True, 
            FrameTicks -> {{False, False}, {True, False}}, FrameStyle -> 
            Opacity[0], FrameTicksStyle -> Opacity[0], 
            ImageSize -> {Automatic, 225}, BaseStyle -> {}], Alignment -> 
           Left, AppearanceElements -> None, ImageMargins -> {{5, 5}, {5, 5}},
            ImageSizeAction -> "ResizeToFit"], LineIndent -> 0, StripOnInput -> 
          False], {FontFamily -> "Arial"}, Background -> Automatic, 
         StripOnInput -> False], TraditionalForm]}, "BarLegend", 
      DisplayFunction -> (#& ), 
      InterpretationFunction :> (RowBox[{"BarLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{
                 RowBox[{"Blend", "[", 
                   RowBox[{"\"M10DefaultDensityGradient\"", ",", "#1"}], 
                   "]"}], "&"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "36.49587230999979`"}], ",", 
                   "29.69198227658819`"}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "33.6`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "31.5`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "29.400000000000002`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "27.3`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "25.200000000000003`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "23.1`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "21.`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "18.900000000000002`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "16.8`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "14.700000000000001`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "12.600000000000001`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "10.5`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "8.4`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "6.300000000000001`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "4.2`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"-", "2.1`"}], ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"2.1`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"4.2`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"6.300000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"8.4`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"10.5`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"12.600000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"14.700000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"16.8`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"18.900000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"21.`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"23.1`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"25.200000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"27.3`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], "GrayLevel[0]"], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}]}], "}"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
           RowBox[{"Charting`TickAnnotations", "\[Rule]", "None"}], ",", 
           RowBox[{"Charting`TickSide", "\[Rule]", "Right"}], ",", 
           RowBox[{"ColorFunctionScaling", "\[Rule]", "True"}]}], "]"}]& )], 
     TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.801381795399836*^9, 3.8044004343777514`*^9, {3.804400732675813*^9, 
   3.8044007899240875`*^9}, 3.8044009124180937`*^9, 3.804401599714405*^9, 
   3.8044016785739155`*^9, 3.804401720180295*^9, 3.804401835254877*^9, 
   3.8044019059179187`*^9, 3.8044019458012*^9, 3.8044029617803106`*^9, 
   3.804402996312286*^9, 3.804403033115391*^9, 3.804403081983186*^9, {
   3.804403129693915*^9, 3.8044031522852073`*^9}, 3.8044032048682146`*^9, 
   3.8044032509228487`*^9, 3.8044032943363323`*^9, 3.804403347938398*^9, 
   3.804403389684786*^9, 3.804403459108756*^9, 3.8044034981579895`*^9, 
   3.8044035488728905`*^9, {3.80440358470194*^9, 3.8044036112284575`*^9}, 
   3.804403666749633*^9, 3.804403758466879*^9, 3.8044072678616047`*^9, 
   3.8044105250399046`*^9, 3.804410591351697*^9, 3.804412789637432*^9, {
   3.804412851739984*^9, 3.8044128646487226`*^9}, {3.80441289467344*^9, 
   3.804412918652811*^9}, 3.8044129537748203`*^9, {3.8044131443627214`*^9, 
   3.8044131594915867`*^9}, {3.8044131997918916`*^9, 3.8044132251583424`*^9}, 
   3.8044132777723517`*^9, 3.8044133238439865`*^9, {3.8044133639772825`*^9, 
   3.804413390136779*^9}, {3.804413438461543*^9, 3.8044134564045687`*^9}, {
   3.8044135165740104`*^9, 3.8044135726442175`*^9}, {3.8044136224530663`*^9, 
   3.8044136485945616`*^9}, 3.804413708095965*^9, 3.804413746367154*^9, 
   3.8044137907366915`*^9, 3.804414045244249*^9, {3.804414126518897*^9, 
   3.804414154417493*^9}, 3.8044145401135535`*^9, 3.804414659960408*^9, 
   3.8044147162986307`*^9, 3.8044238077676334`*^9, 3.80442383935744*^9, 
   3.814433033088612*^9, 3.8144330985873585`*^9, 3.8144332023862953`*^9, 
   3.8144332342201157`*^9, 3.8145160074401016`*^9, 3.814516235968172*^9, 
   3.8145163858487453`*^9, 3.814516452469556*^9, {3.8145164977211437`*^9, 
   3.8145165180913095`*^9}, 3.814516994045532*^9, 3.8145171578739023`*^9, 
   3.8145171952150383`*^9, 3.8145172550664616`*^9, 3.81451730871353*^9, 
   3.814518148883585*^9, 3.814518529818373*^9, 3.814518577174082*^9, 
   3.814518766520912*^9, 3.814519161879525*^9, 3.814519232408559*^9, 
   3.814519270270725*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJwUV3c8V+8XF9kro0ESsldGRVSeaEiSney9t4+PLSkllcoo6VuZJbJl3/sc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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in X axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.801381795399836*^9, 3.8044004343777514`*^9, {3.804400732675813*^9, 
   3.8044007899240875`*^9}, 3.8044009124180937`*^9, 3.804401599714405*^9, 
   3.8044016785739155`*^9, 3.804401720180295*^9, 3.804401835254877*^9, 
   3.8044019059179187`*^9, 3.8044019458012*^9, 3.8044029617803106`*^9, 
   3.804402996312286*^9, 3.804403033115391*^9, 3.804403081983186*^9, {
   3.804403129693915*^9, 3.8044031522852073`*^9}, 3.8044032048682146`*^9, 
   3.8044032509228487`*^9, 3.8044032943363323`*^9, 3.804403347938398*^9, 
   3.804403389684786*^9, 3.804403459108756*^9, 3.8044034981579895`*^9, 
   3.8044035488728905`*^9, {3.80440358470194*^9, 3.8044036112284575`*^9}, 
   3.804403666749633*^9, 3.804403758466879*^9, 3.8044072678616047`*^9, 
   3.8044105250399046`*^9, 3.804410591351697*^9, 3.804412789637432*^9, {
   3.804412851739984*^9, 3.8044128646487226`*^9}, {3.80441289467344*^9, 
   3.804412918652811*^9}, 3.8044129537748203`*^9, {3.8044131443627214`*^9, 
   3.8044131594915867`*^9}, {3.8044131997918916`*^9, 3.8044132251583424`*^9}, 
   3.8044132777723517`*^9, 3.8044133238439865`*^9, {3.8044133639772825`*^9, 
   3.804413390136779*^9}, {3.804413438461543*^9, 3.8044134564045687`*^9}, {
   3.8044135165740104`*^9, 3.8044135726442175`*^9}, {3.8044136224530663`*^9, 
   3.8044136485945616`*^9}, 3.804413708095965*^9, 3.804413746367154*^9, 
   3.8044137907366915`*^9, 3.804414045244249*^9, {3.804414126518897*^9, 
   3.804414154417493*^9}, 3.8044145401135535`*^9, 3.804414659960408*^9, 
   3.8044147162986307`*^9, 3.8044238077676334`*^9, 3.80442383935744*^9, 
   3.814433033088612*^9, 3.8144330985873585`*^9, 3.8144332023862953`*^9, 
   3.8144332342201157`*^9, 3.8145160074401016`*^9, 3.814516235968172*^9, 
   3.8145163858487453`*^9, 3.814516452469556*^9, {3.8145164977211437`*^9, 
   3.8145165180913095`*^9}, 3.814516994045532*^9, 3.8145171578739023`*^9, 
   3.8145171952150383`*^9, 3.8145172550664616`*^9, 3.81451730871353*^9, 
   3.814518148883585*^9, 3.814518529818373*^9, 3.814518577174082*^9, 
   3.814518766520912*^9, 3.814519161879525*^9, 3.814519232408559*^9, 
   3.8145192714587927`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJwtWHk4FPr3Htn3bQxZihk7YxZjLIP5mJAsWRJRtizZl0lIiqJryRZdUa4W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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in Y axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.801381795399836*^9, 3.8044004343777514`*^9, {3.804400732675813*^9, 
   3.8044007899240875`*^9}, 3.8044009124180937`*^9, 3.804401599714405*^9, 
   3.8044016785739155`*^9, 3.804401720180295*^9, 3.804401835254877*^9, 
   3.8044019059179187`*^9, 3.8044019458012*^9, 3.8044029617803106`*^9, 
   3.804402996312286*^9, 3.804403033115391*^9, 3.804403081983186*^9, {
   3.804403129693915*^9, 3.8044031522852073`*^9}, 3.8044032048682146`*^9, 
   3.8044032509228487`*^9, 3.8044032943363323`*^9, 3.804403347938398*^9, 
   3.804403389684786*^9, 3.804403459108756*^9, 3.8044034981579895`*^9, 
   3.8044035488728905`*^9, {3.80440358470194*^9, 3.8044036112284575`*^9}, 
   3.804403666749633*^9, 3.804403758466879*^9, 3.8044072678616047`*^9, 
   3.8044105250399046`*^9, 3.804410591351697*^9, 3.804412789637432*^9, {
   3.804412851739984*^9, 3.8044128646487226`*^9}, {3.80441289467344*^9, 
   3.804412918652811*^9}, 3.8044129537748203`*^9, {3.8044131443627214`*^9, 
   3.8044131594915867`*^9}, {3.8044131997918916`*^9, 3.8044132251583424`*^9}, 
   3.8044132777723517`*^9, 3.8044133238439865`*^9, {3.8044133639772825`*^9, 
   3.804413390136779*^9}, {3.804413438461543*^9, 3.8044134564045687`*^9}, {
   3.8044135165740104`*^9, 3.8044135726442175`*^9}, {3.8044136224530663`*^9, 
   3.8044136485945616`*^9}, 3.804413708095965*^9, 3.804413746367154*^9, 
   3.8044137907366915`*^9, 3.804414045244249*^9, {3.804414126518897*^9, 
   3.804414154417493*^9}, 3.8044145401135535`*^9, 3.804414659960408*^9, 
   3.8044147162986307`*^9, 3.8044238077676334`*^9, 3.80442383935744*^9, 
   3.814433033088612*^9, 3.8144330985873585`*^9, 3.8144332023862953`*^9, 
   3.8144332342201157`*^9, 3.8145160074401016`*^9, 3.814516235968172*^9, 
   3.8145163858487453`*^9, 3.814516452469556*^9, {3.8145164977211437`*^9, 
   3.8145165180913095`*^9}, 3.814516994045532*^9, 3.8145171578739023`*^9, 
   3.8145171952150383`*^9, 3.8145172550664616`*^9, 3.81451730871353*^9, 
   3.814518148883585*^9, 3.814518529818373*^9, 3.814518577174082*^9, 
   3.814518766520912*^9, 3.814519161879525*^9, 3.814519232408559*^9, 
   3.814519271742809*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJwt2Xk0VP//B3BkFK13LCFlH7uQJMQlu2TNnj2SJRHKUgoRWWbGMpWlhKxp
oVU869OmUqjsSlJpoSKlVH73e87vrzmPM/fcc+b1fr2fr9c5I+2/23EHDxcX
VwE3F9f/Pr38Xk/Oz3Mgkzhi/vigMOiPvKfofziYs9h6fjxBGA+0h2bkZznQ
Os//hHefMNYt6v1j85WDxjvzOgaRwhBofCzAGeHgjc9trWpfYVz7c4WhcYuD
e8ctwvYZC0OEk+Pte5iDV+TtvSILhNH1RP8JeDmwexghp5guhKxOo2Sf74V4
EVlzUe6IICK5g9WDvhZCOMb1PPuwIJy1cobCPhdipfpuF96DgpDIH9KNHytE
m/LB6o9xgjjnuv9b/vNC9EjM3HgUIojOlxf9HzYVwiNDcduorSCEJuTN1scU
gqs/1DN2pSBK+ZcILP5RgPt994m+83RoDo/Uy08VwGu1ZkpvAx13zjfbkZMF
WHJdQre/lo6Prj4FMe8KsF/wUMybCjrWV12UGukpwPNkviTB43Q8NnHf0Hyl
ANHpt2reHKJjLqEq0Gd/ATjCTRucttGRY5ewMD6mAKM3i4zLHOmQkrWvzd9T
AMaR6q4JOzrMH/760h5SgIu2b7NY1nSwRG0TtD0KQHu/vuS3ER3KzdNMfv0C
bPaW6jBXocNtkmy79Ccfl6ZXFQ8uoMNgp2///tl8eH6XOGjJTb1/9OC00fd8
5NmyT179R2D8RavC40/5uMvXklH+i8C+mwZ5YwP5mBdV2VXyhQDnmK6f8LV8
bLgZPqkxRKBPWWNBXEw+/MVCvAevEGipsFu9aU8+GsVVfl5sJnBqze4NC8Lz
YSskwp1zicBO+rnQ3MB8XHkbFLG1kcDsL5XnZ53yUcZW6ZutIiDarlDZp5mP
bu/tjJlCAq7BkhZ6k2zUnjz4Pn8/9T1Pab7lRzYOHmtJ/R1HYKBYYtTlHRuK
XiFmAbEEvLrFkqJfsvFbKk/bMJqA/yahS/VP2OA98PO1WDiBcEF+SclGNmbc
fDRC/Aion0sPU6tj4+tFs53cvgS+WvJd1z/LBtfsvs5ibwJRBxZscytjw9++
VnvYk6rHh7+ZzFw29j2c8kl1IZDSNvVjQSQbafVhfWFbCJh67DGlh7HhsE88
WNeGAN/MF6bUTjZWZhVrLLQmkKE8obrJlw2W0p7YcxYEcgre+8fas+Gpozos
u5nA8dChJ+MabKyhB+TU6hHw4POU+KnKRoDd+cW1GwlInO4PoSmxsaJb8XG9
LoHSnh5eGWk2JA7vFG3RIVBh3KXnSbAhc8rmI/c6Ao0r71V1fGNhtDzoibIq
gdtuuaHpEyz0LC9vs1Uh8Py4m4bxBxbCw1Sy9ypT57Hq07WmERa8g7pbOxQJ
mEit6Dj5lIUZ36z0c/IEnP36mdsesaCZ6h/0VY5AcHm5y/L7LKxLPiGnQ/mY
3PqRw60svFmUTnbIEOhR9JgOaWAh3oWcV5Ki+itE9qpsDQske/VopiSBudrP
icMVLHC+dlZ9WUNASu0gn0MxC/dK7vfcWU1AK8LykQCHBdtPWSbrKZs1Enl3
2Cy0eykyayQI7NKsENPNYuHFoe7eklUEEqPCX347wsL8362dqynnXtI5U3eY
heANh+pPixNoWt+uKhnPQsD8oxXNYgT+bZw04gthwejYWLaAKIEVCVd4EchC
hPaimpqVBGRbktv3+7JgxllXs4WypaGg04QrC4pWMu6lItT5HBxaedaJhZwH
Uvy2lMNROeRrx8LhyJLSeWECLBPdoOfmLBRv3hMfSbkihVslx4SFs9HTUKd8
5c7DLxaGLGi8tJr4KkTgIS2/iVuPBWXRtPnLlIfMt++/sZ4Fx7uXfiZTnkxn
GMZosmBcPPpiK2Wu9i88a9VYOLpL4oQUZbrAtfvjiiw8E91l+kOQgLzN4WPl
cizMnut+/pSy7jEbBy8pFoTdPG0aKFt3CImISLDQGLSwOoey17KXA09XsvDQ
re9jNOUIu7NlRwVZ4BvqENxOOTkvMnDzchZudL2VsabM7tqo9FeABREnCVF9
ylX0BZOX+VjQag6dXkv5qtPji5E8LBhkP25SpPwwvyBO+R8TyU3rveQpD7/w
Nhj7xUTpluIP//NXEUXu0hkmsv6b9lKmzOP27a7rNyb+61W7rEVZ6Pj1TGKC
CbdivRlDygoDKXaPxpmQSFokbkdZb5WtUNoYE3UmqXIBlLd4ifQbjjDBETku
lEB5KZnNWjLExN0Vdj6FlJ/I8m4Z6GXi9ZmA0GbKuQsTaNXPmIgua9Xto2z/
6VtrzFMm0n3N7/+jTDzduW/zIyZCX7wSUaLq3X3xlSZxn4nYQxEKrpSd4zsq
6luZuJc1ldlKWdjb1Dv+OhMRc2eHf1LuMb6x0vIy9fzj7q/a1Pm78ddkvmlg
YvbpL9frlMUmJE0v1DAR41BXx0P100Bn4d8DlUw86Ddo20p5Oyc1UryEiZue
XvJTlNckzimNc5jwcS+Is6L6c8Qn6k1zPhPW4bxHKyj7K/i6OBxj4rhJx/gO
qr9lF/cul8xgQlj7gc5jymOTtu2fU5jYd0Z/sw51H4Iu6xtkJDCx0v9WoTB1
XxROXJzZFseEcWrocCbl8SSlRtloqp5dN18voO7XLrOVMm27mAg3OCDDTd3H
iOdTC3+4MyF/X/GAInWf114NufXfNibyT/TU3aD89eRIPNOBifpY1wJH6v5H
BTyZULViYkbl+YksKh/ipmqeBegykRqft1NZlurXHqlsTW0mlDlN4YOUf18r
Mp9fy4RaW6FqHpU3iYfSrp1QYMLOan8PL4PqzxV+ZV0iTGw3vdMtrkTA+Huv
WxmdCd3Pn0o+UObp20oPX8bEc4FUqRYq71LLDNIW8TGhX/3UOozKxwx10VCj
mTyMntVQ+bWWAHPLU52GZ3kwHDz/7M4GAhoOlbL/Pc1DzYXBLy1U/j7ZlrCi
/1EeNrwI3nyVymcBH4WPvHfy0N13JPeqPvX+PQdLvJry8Nn976VXRtT8KFzL
u6QgD/SbKRP3LQmInKR9k2bmgVbN3D5tRaC5bHB4Q3YenIz8uWSo+TFVnX4l
IC0PrHeiwxm2BMJuvNp1IyYP7sFhHxMdCfiO5HbtcsmD8t24Ff+8qDwb29Ga
7JgHgedbMryo+VXyQb+ucGseyv7jVm/1ofpp6n3qbfM8PBh4zJ3lT/UrjdQV
35CHC/Zqt613ErBQ/lravjIPdnw0X/+9VL+Nn+qzv5iLhIHEl19yCBgYjp56
VpMLn2OnmvrzqHmULxvicjoX1gqz+vdZ1PuNqn555uXiRfoFrwZqfrsU1YkH
R+Rixx6fwcpSAlvNL3slKVMelY+zoOY/WfFopKY8B/Up7UesnxGQ/L2kRvVE
DjI/vrlX84L6PXZb9zQyc3DxqV39kj5qv5jr5G5OzqH2g7Ydw9T+oevUIwPv
HHzJLTxa+46AJs/rwB7xHGzcuXDL9G8CMr4/xnnY2XCrpHEMGHS0/JxZKZKV
DVWNmWuvFOlwyZ0xV0rJRqXsH64j1L6U2fq9wi46GzThlL+DGnR8k5j2LXbK
RhKdq65Bnw70f+lbL5QNq87Qc+8d6PB2+vBgZ8ExvL1XpN2cTMdx86HqJ0VZ
qHRvftv4no482Q23+POy0KxlO8v/iY4MLla/aUYWLF5HCgRP0hF73ULgxr4s
RPaGqynP0OGofin0rHsWbJunIp7zCEJAJFM9eVUWNj7+N351jSAS325o0izL
RP/6Vdq33QThk8puy686Co9BzYDhF4KYbUi5xyg9ikB5It9hQBCs3uiOqwVH
ERXl4Nr+UhB3lJ0Hh1KPguANKvzvvSCUuoR+ygUcxV81W+43vwQxvbpQvVny
KGI49aMda4SQfoVT8oKTAeG10Z9cQoXQ+LEkQSQrHZ4flix2Xi6MC2267y+w
0/AuLcXGK0QEm24yZhdFpUDfUD/LZY0oROnvfDw8DmETq6M0ZZk4rOpCJzM7
DkDnlP4Hq9USiE25ENzHjMfNptLerlNrwLdRlHQvjcVhteSqRSVSqDWSD3Bw
iUKBqNaGQikZ9H2oCU40DUNvfGWoQqUswiMUQ1bLh2GUfF1xtVYWPNNVu1pp
YaBf2xRseV4Wan/OhHPdD8VNiSL/gBuyOLysNDrVKhS9PAfWHumShco61sFj
W3eheZHIs9i/sjiQGF9U7LYThycdhdqc5CDI/YuzaeNOXMu3PLvMXQ7VaXEn
XorthJOaTqqntxy6c/aWSA0Go1do6OvnnXJQOB1xpmJ7ML4lrd4xkSSHzrv+
jfX+QZh/xS/seVYOsstt7reEBWLTgY7oEz/lQN5bk3LNOhChu5S63v2Rg3fS
lOFlxUC0t+1xVOeRx4lPxy83jgXgnaJF6rkl8qA/GK8s9wpATdKbuT3S8uA6
dCQ1Y4s/ThzUGf5pJY/hqVvGzqq+yD1+sYZdKI+5moK/9gK+2Gj7todxUh6a
t7ujTnb6QMXA3+BSmTyqS6X9cyx9YN0+EHWlWh5Frm3kXl1vtIT6vw69Lo+9
7b//Gol6Qe21+v64IXmoNezZ19vriv1mqnYXxBkwVFrMcOa4IrUwxYVYw4B9
ZcWzTjdX5KSFDIRIM7C3pFf9Yb8LWpmqKryKDLRkb3rbMrgNmx9a3BjSZsA6
gt+x/JUTDKTklIVsGfD6WD6/5pQTymecx37YMRARZNBw0tcJ175yR3U5MsDy
3r2o4LUjKi5EvQl3Y6B/64vW9DcOoL0mzDYHMPDU28R14IkdFH9Is3zjGJhy
ibn4zM4Of6x8HmI/AyJ21Us7OrciOyxCSjyRAW+jZXfaum1RJPvl4/VkBj5L
DmhU9thAW2X8Yt9RBlaILj1W6mqD7C7VvfLHGFi3gnxf1GeNscelcQk5DMRz
VZVkDlhh/kzJX3c2A6WzfbMpnlZg7G0o/1bAwO2vi52ThixxLVQy9gKHgXfj
ho2x2y0hsTzSu+okA/yv9whEvrSAtPdepZFSBlT7K3aE+FhgSuvF8qhyqp5d
vfAfMUdJgbt5dBVVz3YBCS8/c2gNTpycr2WAc2tT3LZRM1gE75PRPU/V91pk
99YAM/weTn21+TIDry6cUbMcMwWzvjjZ/iYDPLU9GcY7TBHE/3gp+y4DjHL+
Mb13m+Fo58W2fEqdxwkDI+3gzaBZbb5+eYCqP2v3CbVxE/z21DNTHafqn1k+
wwgxwdTk9yDuWQaaD7+wl/poDM/Rk2NFAgroi19ULxZqjOdtNT88pBTwJ0p/
oeBnEtfXnu5v3agAqdAI/yXhJIq9ubhIVwWk3zNJWDxkhKZvob1++xUQ609s
nxs1RFXSpS/9ZQoI/PfK8NOHTbBdzrry6JECnE6ckxr8aoCHcRnaN/4qwEQn
iefRT30oNE7fVdJRhGa3zdj1f3qoI8POsWIUIRUhfq+WpofLr3WVg1sUsVzg
w9kTSzbiMOeTlMBiJfyrvHI0U1AXzvWTRx75KWHC+EhovPgGrNxxKfMNlDA0
7Gy7S1oH9tuXng9XVMZ14akV1mu1YUnjzzmxQoXaAzC1UWcd2K+abW/kqYBj
m/tcaZMWlPYUPjQRVUVMmiqH30YDczkuP4/oqeGByY/pqTPqEF44kW/5TA1V
8ewr3RdUodpb8D5htzr8PnYYsjoUcTI9KsWwfi0MZUJ5ogYZ1D79XPuqnAYk
PBbdc/ggh5gMVadLezTQ125iS9CkQZ7R+TPBo4nQBZAelV+DytAzozpmmmBE
/64+bSyOHYss3swf0sToqLaG33Yqpw8eqvC7qokSx91XpPbTsbvjxab095o4
n+qUBKWlmOUWuHxpmRYUAh9kGfnRELukb4GFmhb00+O1kzTn2laV8/ndNtGC
/bEH5T/I920vBFzvPtqqBefe3Gzt1KdGMXy7gzQctPBX/8HejEPTRjvfh8i+
s9JChuEXFbOj3OSB3ryOxRu1QPjEr77nwE9uj3awGV+jhY62w+my2SvIr5st
S8fnNEG3t+QK3CNE3rZIHCnu1ITLyNL9FdtEyYzzsq5NJZo4Gfns29hGCfLg
helbswGaiEze0kxfLkWeFqsTspLTBMuy8ZsWtwxZRf/ymP1KA719e3dFv5Un
9X1vzv+x1oDvr3nP7w1qpIeYUdZSKXUcvuXPETq1lpyvUN8elqaG7jv+u8Tb
NchW1ktifFIV34/drdK7oUUOaPjntHargPbtxx3rpnWk0thxx9GtKhDZpvjG
o0GbHLjD0mvuVsbG1VmSCWU65L2kqLnPU0qwPtSyKYuzgVRf8Hhzba4SvN5O
eJ5k6pKVgnPlT7WVEG4lGV+XuZH03ZccqzWqiAMN9pwbKXpkcdKqT9lFisgl
Dl9+lKhPKl+THU53VsSpmEvPB2MMyGVeN/ObRRVxoX9s6lPEJjJB87HhqTcK
uL1JhPgTbEiK1cYJtDcpIHdpqZd6rBFpvrBOdneGAs5N0p01TEhy6Y9PdBV/
BeT39Oy3aifJifJ3112MFRDfeqLM396YLDRY2+8grwDfKu+7Cb3G5K3C+uzU
pQowz5H5lO9tQvKxfqv5/aLyK/bdinNvTch7sgFxO6i8oHvX6twP20x28dZr
r6LyZNYswmtkejP5YIl0hOgTBl6qaR3+FW9KSn1Zrzf/HwN3hH+cpfOYkVBc
aZp0g4Hav9c6VI6akc+tHq6yaWIg723StOkKc3Jfi62fyjkGYjuMxbyLzElH
geb+D9XU/GimGcWtsSAzTZvjPSoYMClpD8yrtCDnthyPdTvFgGJadmaNqiUZ
t9zE/m4xA8vCHc7fvmRJlnNu/kk/zsCAQf/c91tWpF29jMwtKs8hVyK9zMqa
lJSP+SzGZKBqiZ+FQqc1+fTtjh9ZVP5HD42z3F/akDp3gxKLqXnRvTTVl7nY
npT+d9DzXQwDd7mDplfb2ZPFB8yNHaMZuDpjcaSWZU82erza3BxJzYvhxfX/
iTmQ5Lqw+z6hDOxqYP+cUXAkr2yMVDP1ZWCB7ZkcD1NnMuuWpK21JQM/yDTp
9+nO5HL35ARpMwY+agc3RT9yJrnKL7O+GDPQKaEycMxxG9lQq9gQqc9A8eeL
8m2+LuRPfvfvC9UZ0D52u0U2yY00fVKmXUgw4BB1UUytxY08XH0yX3oZlfdu
5bE6c25kdI4dKgUYqJY7rGG13510dvp8lrOAgVU3jSsiYjzILAeFH0oz8uCZ
RNa1cC9y+/WWKt5eeYyf9WlQWOtL9gyo0ycK5NHM7514UzKQXGAo2qu5QB56
D5Mj3xkHkkFad66P/ZUDMs8ELg8MJL+mu15gzcrh8eIPW/yqA8mheCOhkQk5
jC3du5qmuYOc04zxMOmTA52e2brFJIiUTLES1KqXQ4T4Za6hwJ2k8g43VXkH
av9SWZb2uyaMXPbIYZE/SxaNcQZiCkeiSH+L6eE/S2UQ/Kczb/XuWLLqfFcQ
T50UFmu03Syujyc/rHWpMMlYgy1HjmWNnz5A+m3/YPxPUQI/CwdflBkfInn/
c7O5TxeH4e0S5HqlkK1LGCWTy0Xx/MDTuR1OaaTN0u9u9UEiGKGfYybvTSen
UrUO5TwRgp7un7hDe46SnpJa2i2JgjDj278wIzCLVK0inWud6bhXV/6t+1A2
qd+6wixjPYGCUX1V3oRc0u6/kTRNsxUIn8WIwdM8Un6MdSSreRnGneYO/h5k
kms6jQzfiyyFwL5wi7oeFllbdyat6MpivF+oY3DgHZvclKmXkOglgFBfHXfT
sXzy4IZXu7y1+WG59In10uEC0tNy6vU6pUUYkW8Jmf1YSBqLJi5wWLMQkgtH
z/e8KyJf7t8TnKDLhwzegW36n4pIbqU60VPafPjK3f277EsRuW8rTfCeBh9u
/7llGjJbRJ7qLR0RVuJD0NTpvjl+DhngsvLJHTE+nBv245JW45AFOSM7feZo
MGx6bRcazSHHjyUFp7TRcPZC//encRzSpLRteecNGlY0dh3XTuSQv9R/Tqy+
SsNoza03f1M5JNelX1Y3z9NwpOx0XF4hhzRfZRopUE5DR6ZfWfM1Dqlt0Plj
OJUGnQx3U/FWDpkuK3Z90yEaStMcPhy4zSFvGtrUlibRqPlgvM7yEYeM+rRu
eWAsDUKx0vcHhjhkWefZwT/BNCRFi4UZveaQqQ0PfuwIpOFdJEFUvOWQhqvD
9Tp9abgayu0ZPskhCTWhjdXuNEiH/JrvmuKQRR7c08IuNGQGfavQ+ckht6+3
eJbqSMN0wAerk3Mckvncs//7Vhr+//8T0qW8mTfIhob/A1wOYRc=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, -19.},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in Z axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.790658924827416*^9, 3.790778140581204*^9, {3.790778184464714*^9, 
   3.790778235165614*^9}, 3.7907782653303394`*^9, {3.7907783790128417`*^9, 
   3.7907784061343927`*^9}, 3.790778462706629*^9, 3.7907785322546062`*^9, 
   3.7907786145623145`*^9, 3.7907816641977434`*^9, 3.7907834871890125`*^9, 
   3.7907836057427936`*^9, 3.790783676913864*^9, {3.790783804865183*^9, 
   3.7907838901640615`*^9}, {3.790784052687357*^9, 3.790784080673958*^9}, 
   3.7907842827925186`*^9, 3.7907843601909456`*^9, 3.790784524703355*^9, 
   3.7907848459727306`*^9, 3.7907851857991676`*^9, 3.7907854259219017`*^9, 
   3.7907855033123283`*^9, 3.7907855551862955`*^9, 3.79078559845677*^9, {
   3.7907856350798645`*^9, 3.7907856979814625`*^9}, 3.790786250899088*^9, 
   3.790786562387904*^9, {3.7907866735452614`*^9, 3.7907866968825965`*^9}, 
   3.790852406892994*^9, 3.7908524892627053`*^9, 3.790854298163169*^9, 
   3.79085434801602*^9, {3.790854536674811*^9, 3.790854594822137*^9}, 
   3.7908546338063664`*^9, {3.790856820311427*^9, 3.790856838573472*^9}, 
   3.7908568716623645`*^9, {3.790856919718113*^9, 3.790856938110165*^9}, 
   3.7908569844208136`*^9, 3.79085722388251*^9, {3.790857307667302*^9, 
   3.7908573293845444`*^9}, 3.7908573712179375`*^9, 3.7908574139983845`*^9, {
   3.7908574513965235`*^9, 3.7908574994102697`*^9}, 3.790857530240033*^9, 
   3.790857562503878*^9, 3.790857632879904*^9, 3.7908585777929497`*^9, {
   3.790858809491202*^9, 3.7908588268121924`*^9}, {3.7908589040526104`*^9, 
   3.790859139407072*^9}, {3.7908591701158285`*^9, 3.7908591996655183`*^9}, 
   3.7908596279730167`*^9, {3.79086263537103*^9, 3.790862666758825*^9}, {
   3.791555809202939*^9, 3.791555830707169*^9}, {3.7916098573288593`*^9, 
   3.791609875934923*^9}, 3.7916099644089837`*^9, 3.7916100172030034`*^9, 
   3.7921344311846027`*^9, 3.7948173917643347`*^9, {3.794817481150448*^9, 
   3.7948174990414705`*^9}, {3.794818525464179*^9, 3.794818550927635*^9}, 
   3.8004387128111095`*^9, 3.800438753838456*^9, {3.8004389595432215`*^9, 
   3.8004390042267776`*^9}, {3.800691757739958*^9, 3.8006917879146833`*^9}, 
   3.8006918409787188`*^9, 3.801381348834294*^9, 3.8013813814801607`*^9, 
   3.8013816894267745`*^9, {3.8013817307221365`*^9, 3.8013817522633686`*^9}, 
   3.801381795399836*^9, 3.8044004343777514`*^9, {3.804400732675813*^9, 
   3.8044007899240875`*^9}, 3.8044009124180937`*^9, 3.804401599714405*^9, 
   3.8044016785739155`*^9, 3.804401720180295*^9, 3.804401835254877*^9, 
   3.8044019059179187`*^9, 3.8044019458012*^9, 3.8044029617803106`*^9, 
   3.804402996312286*^9, 3.804403033115391*^9, 3.804403081983186*^9, {
   3.804403129693915*^9, 3.8044031522852073`*^9}, 3.8044032048682146`*^9, 
   3.8044032509228487`*^9, 3.8044032943363323`*^9, 3.804403347938398*^9, 
   3.804403389684786*^9, 3.804403459108756*^9, 3.8044034981579895`*^9, 
   3.8044035488728905`*^9, {3.80440358470194*^9, 3.8044036112284575`*^9}, 
   3.804403666749633*^9, 3.804403758466879*^9, 3.8044072678616047`*^9, 
   3.8044105250399046`*^9, 3.804410591351697*^9, 3.804412789637432*^9, {
   3.804412851739984*^9, 3.8044128646487226`*^9}, {3.80441289467344*^9, 
   3.804412918652811*^9}, 3.8044129537748203`*^9, {3.8044131443627214`*^9, 
   3.8044131594915867`*^9}, {3.8044131997918916`*^9, 3.8044132251583424`*^9}, 
   3.8044132777723517`*^9, 3.8044133238439865`*^9, {3.8044133639772825`*^9, 
   3.804413390136779*^9}, {3.804413438461543*^9, 3.8044134564045687`*^9}, {
   3.8044135165740104`*^9, 3.8044135726442175`*^9}, {3.8044136224530663`*^9, 
   3.8044136485945616`*^9}, 3.804413708095965*^9, 3.804413746367154*^9, 
   3.8044137907366915`*^9, 3.804414045244249*^9, {3.804414126518897*^9, 
   3.804414154417493*^9}, 3.8044145401135535`*^9, 3.804414659960408*^9, 
   3.8044147162986307`*^9, 3.8044238077676334`*^9, 3.80442383935744*^9, 
   3.814433033088612*^9, 3.8144330985873585`*^9, 3.8144332023862953`*^9, 
   3.8144332342201157`*^9, 3.8145160074401016`*^9, 3.814516235968172*^9, 
   3.8145163858487453`*^9, 3.814516452469556*^9, {3.8145164977211437`*^9, 
   3.8145165180913095`*^9}, 3.814516994045532*^9, 3.8145171578739023`*^9, 
   3.8145171952150383`*^9, 3.8145172550664616`*^9, 3.81451730871353*^9, 
   3.814518148883585*^9, 3.814518529818373*^9, 3.814518577174082*^9, 
   3.814518766520912*^9, 3.814519161879525*^9, 3.814519232408559*^9, 
   3.8145192721378317`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beam powers: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "10.4`", ",", "1.0129253308128545`", ",", "0.5418745985135789`", ",", 
     "0.13074600000000008`", ",", "0.00994784`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Beam powers: ", {10.4, 1.0129253308128545`, 0.5418745985135789, 
   0.13074600000000008`, 0.00994784}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857643486*^9, 
   3.81443305176768*^9, 3.8144331158853474`*^9, 3.814433210744773*^9, 
   3.8144332447047157`*^9, 3.8145160191487713`*^9, 3.8145162530671506`*^9, 
   3.814516403137734*^9, 3.8145164647002554`*^9, {3.8145165152141447`*^9, 
   3.8145165304670167`*^9}, 3.814517010755488*^9, 3.8145171732547827`*^9, 
   3.8145172092848434`*^9, 3.814517264373994*^9, 3.8145173251914725`*^9, 
   3.814518156013993*^9, 3.814518537226797*^9, 3.814518593606022*^9, 
   3.8145187735563145`*^9, 3.814519178643484*^9, 3.8145192396019707`*^9, 
   3.8145192721418314`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 1: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "20.369572713332317`", ",", "20.369572713332317`", ",", 
     "0.38581767255680727`", ",", "2.140393499501831`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 1: ", {20.369572713332317`, 20.369572713332317`, 
   0.38581767255680727`, 2.140393499501831, 2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857643486*^9, 
   3.81443305176768*^9, 3.8144331158853474`*^9, 3.814433210744773*^9, 
   3.8144332447047157`*^9, 3.8145160191487713`*^9, 3.8145162530671506`*^9, 
   3.814516403137734*^9, 3.8145164647002554`*^9, {3.8145165152141447`*^9, 
   3.8145165304670167`*^9}, 3.814517010755488*^9, 3.8145171732547827`*^9, 
   3.8145172092848434`*^9, 3.814517264373994*^9, 3.8145173251914725`*^9, 
   3.814518156013993*^9, 3.814518537226797*^9, 3.814518593606022*^9, 
   3.8145187735563145`*^9, 3.814519178643484*^9, 3.8145192396019707`*^9, 
   3.8145192721448317`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 2: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "20.369572713332317`", ",", "20.369572713332317`", ",", 
     "22.204013497918506`", ",", "2.140393499501831`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 2: ", {20.369572713332317`, 20.369572713332317`, 
   22.204013497918506`, 2.140393499501831, 2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857643486*^9, 
   3.81443305176768*^9, 3.8144331158853474`*^9, 3.814433210744773*^9, 
   3.8144332447047157`*^9, 3.8145160191487713`*^9, 3.8145162530671506`*^9, 
   3.814516403137734*^9, 3.8145164647002554`*^9, {3.8145165152141447`*^9, 
   3.8145165304670167`*^9}, 3.814517010755488*^9, 3.8145171732547827`*^9, 
   3.8145172092848434`*^9, 3.814517264373994*^9, 3.8145173251914725`*^9, 
   3.814518156013993*^9, 3.814518537226797*^9, 3.814518593606022*^9, 
   3.8145187735563145`*^9, 3.814519178643484*^9, 3.8145192396019707`*^9, 
   3.814519272147832*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]X for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "331.23833055626795`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : ", 
   331.23833055626795`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857643486*^9, 
   3.81443305176768*^9, 3.8144331158853474`*^9, 3.814433210744773*^9, 
   3.8144332447047157`*^9, 3.8145160191487713`*^9, 3.8145162530671506`*^9, 
   3.814516403137734*^9, 3.8145164647002554`*^9, {3.8145165152141447`*^9, 
   3.8145165304670167`*^9}, 3.814517010755488*^9, 3.8145171732547827`*^9, 
   3.8145172092848434`*^9, 3.814517264373994*^9, 3.8145173251914725`*^9, 
   3.814518156013993*^9, 3.814518537226797*^9, 3.814518593606022*^9, 
   3.8145187735563145`*^9, 3.814519178643484*^9, 3.8145192396019707`*^9, 
   3.814519272150832*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Y for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "735.0931278873344`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : ", 
   735.0931278873344, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857643486*^9, 
   3.81443305176768*^9, 3.8144331158853474`*^9, 3.814433210744773*^9, 
   3.8144332447047157`*^9, 3.8145160191487713`*^9, 3.8145162530671506`*^9, 
   3.814516403137734*^9, 3.8145164647002554`*^9, {3.8145165152141447`*^9, 
   3.8145165304670167`*^9}, 3.814517010755488*^9, 3.8145171732547827`*^9, 
   3.8145172092848434`*^9, 3.814517264373994*^9, 3.8145173251914725`*^9, 
   3.814518156013993*^9, 3.814518537226797*^9, 3.814518593606022*^9, 
   3.8145187735563145`*^9, 3.814519178643484*^9, 3.8145192396019707`*^9, 
   3.8145192721538324`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Z for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "316.9959402599955`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : ", 
   316.9959402599955, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857643486*^9, 
   3.81443305176768*^9, 3.8144331158853474`*^9, 3.814433210744773*^9, 
   3.8144332447047157`*^9, 3.8145160191487713`*^9, 3.8145162530671506`*^9, 
   3.814516403137734*^9, 3.8145164647002554`*^9, {3.8145165152141447`*^9, 
   3.8145165304670167`*^9}, 3.814517010755488*^9, 3.8145171732547827`*^9, 
   3.8145172092848434`*^9, 3.814517264373994*^9, 3.8145173251914725`*^9, 
   3.814518156013993*^9, 3.814518537226797*^9, 3.814518593606022*^9, 
   3.8145187735563145`*^9, 3.814519178643484*^9, 3.8145192396019707`*^9, 
   3.8145192721558323`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Grav sagging: \"\>", "\[InvisibleSpace]", 
   "0.45786833314644554`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Grav sagging: ", 0.45786833314644554`, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857643486*^9, 
   3.81443305176768*^9, 3.8144331158853474`*^9, 3.814433210744773*^9, 
   3.8144332447047157`*^9, 3.8145160191487713`*^9, 3.8145162530671506`*^9, 
   3.814516403137734*^9, 3.8145164647002554`*^9, {3.8145165152141447`*^9, 
   3.8145165304670167`*^9}, 3.814517010755488*^9, 3.8145171732547827`*^9, 
   3.8145172092848434`*^9, 3.814517264373994*^9, 3.8145173251914725`*^9, 
   3.814518156013993*^9, 3.814518537226797*^9, 3.814518593606022*^9, 
   3.8145187735563145`*^9, 3.814519178643484*^9, 3.8145192396019707`*^9, 
   3.8145192721588326`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Absolute potential depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "18.340994474351934`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Absolute potential depth: ", -18.340994474351934`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857643486*^9, 
   3.81443305176768*^9, 3.8144331158853474`*^9, 3.814433210744773*^9, 
   3.8144332447047157`*^9, 3.8145160191487713`*^9, 3.8145162530671506`*^9, 
   3.814516403137734*^9, 3.8145164647002554`*^9, {3.8145165152141447`*^9, 
   3.8145165304670167`*^9}, 3.814517010755488*^9, 3.8145171732547827`*^9, 
   3.8145172092848434`*^9, 3.814517264373994*^9, 3.8145173251914725`*^9, 
   3.814518156013993*^9, 3.814518537226797*^9, 3.814518593606022*^9, 
   3.8145187735563145`*^9, 3.814519178643484*^9, 3.8145192396019707`*^9, 
   3.814519272161833*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Edge of the trap between tranport DT and sheet DT: \"\>", 
   "\[InvisibleSpace]", "19.922642507846163`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Edge of the trap between tranport DT and sheet DT: ", 19.922642507846163`, 
   " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857643486*^9, 
   3.81443305176768*^9, 3.8144331158853474`*^9, 3.814433210744773*^9, 
   3.8144332447047157`*^9, 3.8145160191487713`*^9, 3.8145162530671506`*^9, 
   3.814516403137734*^9, 3.8145164647002554`*^9, {3.8145165152141447`*^9, 
   3.8145165304670167`*^9}, 3.814517010755488*^9, 3.8145171732547827`*^9, 
   3.8145172092848434`*^9, 3.814517264373994*^9, 3.8145173251914725`*^9, 
   3.814518156013993*^9, 3.814518537226797*^9, 3.814518593606022*^9, 
   3.8145187735563145`*^9, 3.814519178643484*^9, 3.8145192396019707`*^9, 
   3.8145192721638327`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Trap depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "41.17493731036334`", ",", "4.010301634259455`", ",", 
     "11.384484435042038`", ",", "6.010023148769077`", ",", 
     "0.9236908554379949`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Trap depth: ", {41.17493731036334, 4.010301634259455, 11.384484435042038`, 
   6.010023148769077, 0.9236908554379949}, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857643486*^9, 
   3.81443305176768*^9, 3.8144331158853474`*^9, 3.814433210744773*^9, 
   3.8144332447047157`*^9, 3.8145160191487713`*^9, 3.8145162530671506`*^9, 
   3.814516403137734*^9, 3.8145164647002554`*^9, {3.8145165152141447`*^9, 
   3.8145165304670167`*^9}, 3.814517010755488*^9, 3.8145171732547827`*^9, 
   3.8145172092848434`*^9, 3.814517264373994*^9, 3.8145173251914725`*^9, 
   3.814518156013993*^9, 3.814518537226797*^9, 3.814518593606022*^9, 
   3.8145187735563145`*^9, 3.814519178643484*^9, 3.8145192396019707`*^9, 
   3.814519272166833*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap depth: \"\>", "\[InvisibleSpace]", 
   "9.174942712752605`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Effective trap depth: ", 9.174942712752605, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7906589252904425`*^9, 3.7907781410762324`*^9, {3.7907781849027395`*^9, 
   3.790778235606639*^9}, 3.790778265778365*^9, {3.790778379439866*^9, 
   3.790778406626421*^9}, 3.7907784631756554`*^9, 3.790778532695632*^9, 
   3.79077861501234*^9, 3.7907816646527696`*^9, 3.790783487703042*^9, 
   3.790783606171818*^9, 3.790783677333888*^9, {3.790783805302208*^9, 
   3.790783890564084*^9}, {3.7907840531483836`*^9, 3.7907840811509852`*^9}, 
   3.7907842832445445`*^9, 3.7907843606439714`*^9, 3.790784525176382*^9, 
   3.7907848464577584`*^9, 3.790785186281195*^9, 3.7907854264009295`*^9, 
   3.790785503813357*^9, 3.7907855556253204`*^9, 3.7907855989537983`*^9, {
   3.790785635550892*^9, 3.7907856984784913`*^9}, 3.790786251397116*^9, 
   3.790786562859931*^9, {3.7907866740322895`*^9, 3.7907866973376226`*^9}, 
   3.7908524118232765`*^9, 3.7908524896947303`*^9, 3.790854298595193*^9, 
   3.790854348451045*^9, {3.790854537094835*^9, 3.79085459523216*^9}, 
   3.790854634276393*^9, {3.790856820748452*^9, 3.7908568390214977`*^9}, 
   3.790856872094389*^9, {3.7908569201481376`*^9, 3.790856938635195*^9}, 
   3.7908569848528385`*^9, 3.790857224292534*^9, {3.790857308078326*^9, 
   3.7908573298355703`*^9}, 3.7908573716409616`*^9, 3.790857414424409*^9, {
   3.7908574518205476`*^9, 3.7908574998652954`*^9}, 3.790857530666057*^9, 
   3.7908575629619045`*^9, 3.79085763334293*^9, 3.790858578211973*^9, {
   3.790858809929227*^9, 3.790858827251218*^9}, {3.7908589044656343`*^9, 
   3.7908591398750987`*^9}, {3.790859170586855*^9, 3.7908592001525464`*^9}, 
   3.7908596283950405`*^9, {3.790862635834056*^9, 3.790862667173849*^9}, {
   3.791555809663965*^9, 3.7915558311541944`*^9}, {3.7916098575618725`*^9, 
   3.7916098761179338`*^9}, 3.7916099645929947`*^9, 3.791610017384014*^9, 
   3.792134431636629*^9, 3.79481739220436*^9, {3.7948174815484705`*^9, 
   3.7948174994594946`*^9}, {3.7948185258251996`*^9, 3.794818551375661*^9}, 
   3.8004387132951374`*^9, 3.800438754272481*^9, {3.800438960017249*^9, 
   3.800439004704805*^9}, {3.8006917582119846`*^9, 3.8006917883637094`*^9}, 
   3.8006918414177437`*^9, 3.8013813493433228`*^9, 3.8013813819021854`*^9, 
   3.801381689806796*^9, {3.8013817311081586`*^9, 3.80138175263839*^9}, 
   3.80138179582486*^9, 3.8044004348307776`*^9, {3.804400733224845*^9, 
   3.8044007908291397`*^9}, 3.80440091339515*^9, 3.804401600725463*^9, 
   3.8044016793739614`*^9, 3.80440172113235*^9, 3.8044018361719294`*^9, 
   3.8044019067849684`*^9, 3.80440194666525*^9, 3.804402962452349*^9, 
   3.8044030065208697`*^9, 3.8044030430759606`*^9, 3.8044030949699287`*^9, {
   3.804403137582366*^9, 3.804403165647971*^9}, 3.8044032154798217`*^9, 
   3.8044032642006083`*^9, 3.8044033075150857`*^9, 3.804403362087207*^9, 
   3.804403402455516*^9, 3.80440347158547*^9, 3.8044035037653103`*^9, 
   3.804403554584217*^9, 3.804403591222313*^9, 3.804403625472272*^9, 
   3.804403680427415*^9, 3.804403768898475*^9, 3.8044072764450955`*^9, 
   3.804410534639454*^9, 3.8044106052744937`*^9, 3.804412797958908*^9, {
   3.8044128596764383`*^9, 3.8044128706640663`*^9}, {3.804412901108808*^9, 
   3.80441292667027*^9}, 3.80441296181028*^9, {3.8044131527952037`*^9, 
   3.8044131663569794`*^9}, {3.804413206971302*^9, 3.804413233564823*^9}, 
   3.804413299143574*^9, 3.8044133382498107`*^9, {3.804413385742527*^9, 
   3.804413399492314*^9}, {3.80441345292337*^9, 3.8044134659511147`*^9}, {
   3.804413531093841*^9, 3.8044135850769286`*^9}, {3.804413644039301*^9, 
   3.804413669832776*^9}, 3.8044137230028176`*^9, 3.8044137668553257`*^9, 
   3.804413812471935*^9, 3.804414055475834*^9, {3.8044141477621126`*^9, 
   3.804414175478698*^9}, 3.804414548394027*^9, 3.8044146806045895`*^9, 
   3.804414735606735*^9, 3.80442382589067*^9, 3.804423857643486*^9, 
   3.81443305176768*^9, 3.8144331158853474`*^9, 3.814433210744773*^9, 
   3.8144332447047157`*^9, 3.8145160191487713`*^9, 3.8145162530671506`*^9, 
   3.814516403137734*^9, 3.8145164647002554`*^9, {3.8145165152141447`*^9, 
   3.8145165304670167`*^9}, 3.814517010755488*^9, 3.8145171732547827`*^9, 
   3.8145172092848434`*^9, 3.814517264373994*^9, 3.8145173251914725`*^9, 
   3.814518156013993*^9, 3.814518537226797*^9, 3.814518593606022*^9, 
   3.8145187735563145`*^9, 3.814519178643484*^9, 3.8145192396019707`*^9, 
   3.814519272169833*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.804416368113109*^9, 3.804416368290119*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Max shift of 1S0 by sheet + dimple + tranps: \>\"", ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
     "11.384484435042038`", "+", "6.010023148769077`", "+", 
      "0.9236908554379949`"}], ")"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}], "*", 
    RowBox[{
     RowBox[{"kB", "/", "ctePlanck"}], "/", 
     RowBox[{"10", "^", "3"}]}]}], ",", "\"\< kHz\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Detuning from radial molasses laser beam (+42 kHz) to the bottom of \
the dimple (no transp): \>\"", ",", " ", 
   RowBox[{"42", "-", "54", "-", "0.25", "-", "54"}], ",", "\"\< kHz\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Detuning from radial molasses laser beam (+42 kHz) to the bottom of \
the reservoir: \>\"", ",", " ", 
   RowBox[{"42", "-", "54"}], ",", "\"\< kHz\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.804415323055335*^9, 3.804415348681801*^9}, {
   3.804415454702865*^9, 3.804415487179723*^9}, {3.805653430303548*^9, 
   3.8056535189046154`*^9}, 3.8145173467127037`*^9, {3.8145176086586857`*^9, 
   3.814517609335725*^9}, {3.8145177797084694`*^9, 3.814517782763644*^9}, {
   3.814517822337908*^9, 3.8145178226249237`*^9}, {3.8145186567916355`*^9, 
   3.814518679719947*^9}, {3.814519268453621*^9, 3.814519284896561*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Max shift of 1S0 by sheet + dimple + tranps: \"\>", 
   "\[InvisibleSpace]", "381.6893239041673`", 
   "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Max shift of 1S0 by sheet + dimple + tranps: ", 381.6893239041673, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.804415487393735*^9, 3.8056535202186904`*^9, 3.8145173765954127`*^9, 
   3.814517609981762*^9, 3.814517823817992*^9, 3.814518680276979*^9, {
   3.814519273091886*^9, 3.814519285706608*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Detuning from radial molasses laser beam (+42 kHz) to the \
bottom of the dimple (no transp): \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "66.25`"}], "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Detuning from radial molasses laser beam (+42 kHz) to the bottom of the \
dimple (no transp): ", -66.25, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.804415487393735*^9, 3.8056535202186904`*^9, 3.8145173765954127`*^9, 
   3.814517609981762*^9, 3.814517823817992*^9, 3.814518680276979*^9, {
   3.814519273091886*^9, 3.814519285709608*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Detuning from radial molasses laser beam (+42 kHz) to the \
bottom of the reservoir: \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "12"}], "\[InvisibleSpace]", "\<\" kHz\"\>"}],
  SequenceForm[
  "Detuning from radial molasses laser beam (+42 kHz) to the bottom of the \
reservoir: ", -12, " kHz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.804415487393735*^9, 3.8056535202186904`*^9, 3.8145173765954127`*^9, 
   3.814517609981762*^9, 3.814517823817992*^9, 3.814518680276979*^9, {
   3.814519273091886*^9, 3.8145192857126083`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Calibrations results", "Section",
 CellChangeTimes->{{3.790785816008213*^9, 3.790785823887664*^9}}],

Cell["\<\
Calibration of transport guide waist is provided by beam profile measurements \
from 170822 in onenote labbook (2017) 
=> 92 \[Micro]m M^2 = 1.22

Calibration of sheet DT is given by beam profile measurements of 171216 in \
onenote (2017).
=> 14.5 \[Micro]m vert / 110 \[Micro]m hor, M^2 = 1.6
Calibration of sheet DT from average Thomas Fermi radius of the SSBEC giving \
650Hz trap freq
=> 15.7 \[Micro]m vert (rest is the same) \
\>", "Text",
 CellChangeTimes->{{3.790684622550062*^9, 3.790684667470631*^9}, {
  3.7906848431336784`*^9, 3.7906848697592015`*^9}, {3.7907612223443193`*^9, 
  3.790761334490734*^9}, {3.790774505976181*^9, 3.7907745117915134`*^9}, {
  3.8013819184988766`*^9, 3.8013819896749477`*^9}}],

Cell[CellGroupData[{

Cell["\<\
180224 (2018)
Runme1802250002, vertical trapping freq of sheet DT (fit at 2\[Pi] 980 Hz)\
\>", "Text",
 CellChangeTimes->{{3.790783943276099*^9, 3.790784024028718*^9}, {
  3.790784100698103*^9, 3.790784103561267*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{"0.900", ",", "0.150", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"0.0159", "+", "0.0065"}], ")"}], "*", "0"}], ",", 
       RowBox[{"0", "*", "11."}]}], "}"}]}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"14.", ",", "27.", ",", "28.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "28.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7907839782490997`*^9, 3.790783978554117*^9}, {
  3.7907840638709965`*^9, 3.790784090702532*^9}, {3.7907841932753983`*^9, 
  3.7907842023099155`*^9}, {3.7907852059063177`*^9, 3.7907852061213303`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
180224 (2018) runme1802250005 and Runme180504003, vertical dimple frequency \
(+300 Hz) gives about 27 \[Micro]m \
\>", "Text",
 CellChangeTimes->{{3.7907841468737445`*^9, 3.7907841560162673`*^9}, {
  3.790784644155187*^9, 3.7907846947370806`*^9}, {3.7907849837086086`*^9, 
  3.790784987652834*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{"0.900", ",", "0.150", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"0.0159", "+", "0.0065"}], ")"}], "*", "0"}], ",", 
       RowBox[{"0", "*", "11."}]}], "}"}]}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"14.", ",", "27.", ",", "28.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "28.", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7907848673809547`*^9, 3.7907848696480846`*^9}, {
  3.790785197299825*^9, 3.7907851975028367`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
180130 (2018) S15+19 horizontal transparency beam, 80.97 Hz with vertical \
dimple but no horizontal transp, 89.4 Hz with both, which gives 41.5 \
\[Micro]m. Also, included angle of 53deg between sheet and hor transp beam\
\>", "Text",
 CellChangeTimes->{{3.790859226646062*^9, 3.7908593730974383`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transparency", " ", "hor"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"PowerTab", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"0.120", "*", "0.95"}], ",", 
      RowBox[{"0.011", "*", "0.9366"}], ",", 
      RowBox[{"0", "*", 
       RowBox[{"(", 
        RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
      "0.0136", ",", 
      RowBox[{"0", "*", "11."}]}], "}"}]}], ";", "  ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"MsquaredTab", " ", "=", 
    RowBox[{"{", 
     RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], 
   ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"WaistXTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"14.5", ",", "27.", ",", "23", ",", "41.5", ",", "92."}], "}"}],
      "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
   RowBox[{"WaistYTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"110.", ",", "27.", ",", "23", ",", "41.5", ",", "92."}], "}"}],
      "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Theta]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"90.", ",", "0.", ",", "0.", ",", "90.", ",", "0."}], "}"}], 
     "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Phi]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "90.", ",", "90.", ",", "53.", ",", "0."}], "}"}], 
     "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"X0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], 
     "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Y0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Z0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Lambda]Tab", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
     "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
      "\[Lambda]DipTransparency", ",", "\[Lambda]DipTransparency", ",", 
      "\[Lambda]DipIPG"}], "}"}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"\[Alpha]Tab", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
      "\[Alpha]Polar688Sr", ",", "\[Alpha]Polar688Sr", ",", 
      "\[Alpha]PolarIPGSr"}], "}"}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"atomic", " ", "unit"}], " ", "*)"}]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
190415 (2019) S13/15/18 vertical transparency beam, 95 Hz gives 23 \[Micro]m, \
consistent with direct beam measurements\
\>", "Text",
 CellChangeTimes->{{3.7907857229818926`*^9, 3.7907857867375393`*^9}, {
  3.7907858346752815`*^9, 3.790785844048817*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}], ",", " ", 
     RowBox[{"transport", " ", "guide"}]}], "}"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PowerTab", "=", 
     RowBox[{"{", 
      RowBox[{"0.480", ",", 
       RowBox[{"0.150", "*", "0"}], ",", 
       RowBox[{"0.00646", "*", "0.9"}], ",", 
       RowBox[{"0", "*", "11."}]}], "}"}]}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"MsquaredTab", " ", "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "1.", ",", "1.", ",", "1.22"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"WaistXTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"14.", ",", "27.", ",", "23", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
    RowBox[{"WaistYTab", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"110.", ",", "27.", ",", "23", ",", "92."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"90.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Phi]Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "90.", ",", "90.", ",", "0."}], "}"}], "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "rad"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"X0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "200."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Y0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Z0Tab", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0.", ",", "0."}], "}"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]Tab", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
       "\[Lambda]DipTransparency", ",", "\[Lambda]DipIPG"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]Tab", " ", "=", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
       "\[Alpha]Polar688Sr", ",", "\[Alpha]PolarIPGSr"}], "}"}]}], 
    ";"}]}]}]], "Input"]
}, Closed]]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1366, 696},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 2028, 44, 252, "Input"],
Cell[CellGroupData[{
Cell[2611, 68, 210, 3, 70, "Section"],
Cell[CellGroupData[{
Cell[2846, 75, 150, 2, 29, "Item"],
Cell[CellGroupData[{
Cell[3021, 81, 198, 3, 39, "Subsubsection"],
Cell[3222, 86, 652, 15, 52, "Input",
 Evaluatable->False],
Cell[3877, 103, 459, 11, 31, "Input",
 Evaluatable->False],
Cell[4339, 116, 218407, 3588, 331, "Input",
 Evaluatable->False],
Cell[222749, 3706, 4581, 133, 385, "Input"],
Cell[CellGroupData[{
Cell[227355, 3843, 1655, 44, 172, "Input"],
Cell[229013, 3889, 600, 13, 31, "Output"],
Cell[229616, 3904, 605, 14, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[230270, 3924, 254, 3, 33, "Subsubsection"],
Cell[CellGroupData[{
Cell[230549, 3931, 182, 2, 30, "Text"],
Cell[230734, 3935, 3197, 71, 67, "Print"],
Cell[233934, 4008, 1446, 37, 112, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[235417, 4050, 108, 1, 27, "Text"],
Cell[CellGroupData[{
Cell[235550, 4055, 4403, 101, 352, "Input"],
Cell[239956, 4158, 1523, 25, 23, "Print"],
Cell[241482, 4185, 1496, 23, 23, "Print"],
Cell[242981, 4210, 1393, 22, 23, "Print"],
Cell[244377, 4234, 1391, 22, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[245817, 4262, 161, 2, 27, "Text"],
Cell[CellGroupData[{
Cell[246003, 4268, 4534, 102, 352, "Input"],
Cell[250540, 4372, 1713, 29, 23, "Print"],
Cell[252256, 4403, 1683, 26, 23, "Print"],
Cell[253942, 4431, 1575, 25, 23, "Print"],
Cell[255520, 4458, 1572, 25, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[257141, 4489, 112, 1, 27, "Text"],
Cell[CellGroupData[{
Cell[257278, 4494, 4611, 103, 352, "Input"],
Cell[261892, 4599, 876, 17, 23, "Print"],
Cell[262771, 4618, 889, 15, 23, "Print"],
Cell[263663, 4635, 761, 14, 23, "Print"],
Cell[264427, 4651, 759, 14, 23, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[265223, 4670, 4845, 107, 352, "Input"],
Cell[270071, 4779, 944, 18, 23, "Print"],
Cell[271018, 4799, 942, 16, 23, "Print"],
Cell[271963, 4817, 831, 15, 23, "Print"],
Cell[272797, 4834, 832, 15, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[273678, 4855, 170, 2, 27, "Text"],
Cell[CellGroupData[{
Cell[273873, 4861, 3150, 65, 172, "Input"],
Cell[277026, 4928, 602, 13, 23, "Print"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[277701, 4949, 99, 1, 29, "Item"],
Cell[CellGroupData[{
Cell[277825, 4954, 55262, 966, 1012, "Input"],
Cell[333090, 5922, 3094, 47, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[336233, 5975, 155, 2, 25, "Item"],
Cell[CellGroupData[{
Cell[336413, 5981, 37514, 733, 1212, "Input"],
Cell[373930, 6716, 254091, 4772, 372, "Output"],
Cell[628024, 11490, 480478, 8523, 378, "Output"],
Cell[1108505, 20015, 38164, 620, 228, "Output"],
Cell[1146672, 20637, 13518, 216, 224, "Output"],
Cell[1160193, 20855, 16312, 261, 234, "Output"],
Cell[1176508, 21118, 7291, 105, 23, "Print"],
Cell[1183802, 21225, 7358, 105, 23, "Print"],
Cell[1191163, 21332, 7354, 105, 23, "Print"],
Cell[1198520, 21439, 7202, 102, 23, "Print"],
Cell[1205725, 21543, 7201, 102, 23, "Print"],
Cell[1212929, 21647, 7201, 102, 23, "Print"],
Cell[1220133, 21751, 7101, 99, 23, "Print"],
Cell[1227237, 21852, 7144, 101, 23, "Print"],
Cell[1234384, 21955, 7184, 102, 23, "Print"],
Cell[1241571, 22059, 7344, 106, 23, "Print"],
Cell[1248918, 22167, 7110, 99, 23, "Print"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[1256067, 22271, 146, 2, 72, "Input"],
Cell[CellGroupData[{
Cell[1256238, 22277, 1417, 31, 92, "Input"],
Cell[1257658, 22310, 528, 11, 23, "Print"],
Cell[1258189, 22323, 614, 12, 23, "Print"],
Cell[1258806, 22337, 591, 12, 23, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1259434, 22354, 105, 1, 70, "Section"],
Cell[1259542, 22357, 726, 15, 144, "Text"],
Cell[CellGroupData[{
Cell[1260293, 22376, 227, 5, 49, "Text"],
Cell[1260523, 22383, 3796, 98, 252, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[1264356, 22486, 309, 6, 27, "Text"],
Cell[1264668, 22494, 3695, 97, 252, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[1268400, 22596, 313, 5, 46, "Text"],
Cell[1268716, 22603, 3959, 107, 272, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[1272712, 22715, 265, 5, 27, "Text"],
Cell[1272980, 22722, 3539, 94, 252, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
