(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   2058782,      37822]
NotebookOptionsPosition[   2040772,      37576]
NotebookOutlinePosition[   2041137,      37592]
CellTagsIndexPosition[   2041094,      37589]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
  "SetDirectory", "[", 
   "\"\<Q:\\\\qgases\\\\groups\\\\strontium\\\\SrCAL\\\\Math\\\\Mathematica\\\
\\\>\"", "]"}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "ce", " ", "folder", " ", "location", " ", "to", " ", "find", " ", "the", 
    " ", "right", " ", "packages"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"<<", "ComputerArithmetic`"}]}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "SetDirectory", "[", 
     "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
   " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LaunchKernels", "[", "4", "]"}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "put", " ", "your", " ", "favorite", " ", "number", " ", "of", " ", 
    "kernels"}], " ", "*)"}], "\[IndentingNewLine]"}]}], "Input",
 CellChangeTimes->{{3.7286202174860296`*^9, 3.728620217703042*^9}, {
   3.728711424316966*^9, 3.728711424667986*^9}, {3.7318186909359274`*^9, 
   3.7318186914469566`*^9}, {3.7362219622568893`*^9, 3.736221963848092*^9}, {
   3.750685517644865*^9, 3.7506855815085177`*^9}, {3.751015397460146*^9, 
   3.751015405152586*^9}, {3.751686861017559*^9, 3.7516868614915867`*^9}, {
   3.7789356108208427`*^9, 3.778935614772069*^9}, {3.7809130088505454`*^9, 
   3.780913009292571*^9}, 3.7915556905681534`*^9, {3.79155578368948*^9, 
   3.7915557853995776`*^9}, {3.8266202417793307`*^9, 3.826620247099712*^9}},
 CellLabel->
  "In[432]:=",ExpressionUUID->"2e2cc9d5-3342-4930-bc5a-61aee098ee69"],

Cell[CellGroupData[{

Cell["SSBEC experiment", "Section",
 CellChangeTimes->{{3.721657938130308*^9, 3.721657962491701*^9}, {
  3.781243177526231*^9, 3.7812431817364717`*^9}, {3.7954415066110077`*^9, 
  3.7954415107962465`*^9}, {3.7954416628979464`*^9, 
  3.7954416726935067`*^9}},ExpressionUUID->"bf43d1c7-1ad5-427a-96c9-\
f7a3d5579539"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TempDimple", " ", "=", " ", "1.09"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TempRes", " ", "=", " ", "0.83"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NatDimple", " ", "=", " ", 
   RowBox[{"6.93", "*", 
    RowBox[{"10", "^", "5"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NatReservoir", " ", "=", " ", 
   RowBox[{"8.27", "*", 
    RowBox[{"10", "^", "5"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NatCrossOver", " ", "=", " ", 
   RowBox[{"4.26", "*", 
    RowBox[{"10", "^", "5"}]}]}], ";"}]}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.7909233286254854`*^9, 3.790923423971939*^9}, {
  3.792155747674836*^9, 3.7921557510150275`*^9}, {3.795431721049305*^9, 
  3.795431721519332*^9}},ExpressionUUID->"69c5e1d9-63da-4d96-8699-\
072aae0c187c"],

Cell[CellGroupData[{

Cell["Input parameters", "Subsection",
 CellChangeTimes->{{3.720181220017393*^9, 3.7201812301199703`*^9}, {
  3.7812432431539845`*^9, 
  3.7812432476842437`*^9}},ExpressionUUID->"e7ca371b-30a5-4fc1-9c85-\
363143e21214"],

Cell[CellGroupData[{

Cell["DT parameters", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 
  3.6822405592526093`*^9}},ExpressionUUID->"5b9e4adb-fd9b-4850-8abc-\
bd361e7ec1e2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipIPG", " ", "=", " ", 
    RowBox[{"1070.", " ", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipTransparency", " ", "=", " ", 
    RowBox[{"688.", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Polar688Sr", " ", "=", " \[InvisibleSpace]", "343."}], 
   ";"}], "\[InvisibleSpace] ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Spatial", " ", "coordinates", " ", "where", " ", "we", " ", "want", " ", 
    "to", " ", "look", " ", "at", " ", "properties"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xOffset", " ", "=", " ", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yOffset", " ", "=", 
    RowBox[{"0.", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zOffset", " ", "=", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"powDimpleFun", "[", "Att_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"0.0383", "*", 
       RowBox[{"Att", "^", "3"}]}], "+", 
      RowBox[{"3.0901", 
       RowBox[{"Att", "^", "2"}]}], "+", 
      RowBox[{"82.973", "Att"}], "+", "747.63"}], ")"}], "/", "1000."}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"powSheetFun", "[", "Att_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.000736"}], "*", 
        RowBox[{"Att", "^", "5"}]}], "-", 
       RowBox[{"0.068407", "*", 
        RowBox[{"Att", "^", "4"}]}], "-", 
       RowBox[{"2.264870", "*", 
        RowBox[{"Att", "^", "3"}]}], "-", 
       RowBox[{"29.112936", "*", 
        RowBox[{"Att", "^", "2"}]}], "-", 
       RowBox[{"37.638786", "*", "Att"}], "+", "1419.847969"}], ")"}], "/", 
     "1000."}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}]}], "}"}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTab", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"powSheetFun", "[", 
        RowBox[{"-", "9.7"}], "]"}], "*", "0.95"}], ",", 
      RowBox[{"powDimpleFun", "[", 
       RowBox[{"-", "12"}], "]"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}]}], "}"}]}], 
   ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "W", " ", 
     RowBox[{"for", " ", "@", "DT"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "9.7"}], ",", 
       RowBox[{"-", "3.9"}], ",", 
       RowBox[{"-", "12"}]}], ")"}]}], "  ", "=", 
    RowBox[{">", " ", 
     RowBox[{"SSBEC", " ", "main", " ", "data", " ", "set", " ", "  ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0.575", "*", "0.95"}], ",", 
        RowBox[{"0.145", "*", "0.95"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
        RowBox[{"0", "*", "10.4"}]}], "}"}]}]}]}], " ", "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MsquaredTab", " ", "=", 
    RowBox[{"{", 
     RowBox[{"1.6", ",", "1.", ",", "1."}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WaistXTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"15.5", ",", "27.", ",", "23."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WaistYTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"110.", ",", "27.", ",", "23"}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Theta]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"90.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "90.", ",", "90."}], "}"}], "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"X0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Y0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]Tab", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
     "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
      "\[Lambda]DipTransparency"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Tab", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
      "\[Alpha]Polar688Sr"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"atomic", " ", "unit"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Power: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.719734073769492*^9, 3.7197341228395596`*^9}, {3.7197341865133104`*^9, 
   3.7197342789691334`*^9}, {3.7197343148477635`*^9, 3.719734336700366*^9}, {
   3.7197343764349933`*^9, 3.7197344120350423`*^9}, {3.7197344514142857`*^9, 
   3.71973448305433*^9}, {3.7197361695534525`*^9, 3.71973652993395*^9}, {
   3.7197367287202907`*^9, 3.719736825700424*^9}, {3.719736863871477*^9, 
   3.7197368791314983`*^9}, {3.7197369247040195`*^9, 
   3.7197370245241575`*^9}, {3.719737184228448*^9, 3.7197371935384607`*^9}, {
   3.7197372908300533`*^9, 3.719737365114664*^9}, {3.719737398126776*^9, 
   3.7197374618533916`*^9}, {3.719737517591997*^9, 3.7197375178019977`*^9}, {
   3.719737585322091*^9, 3.7197376399442005`*^9}, {3.7197376841172633`*^9, 
   3.7197376898272715`*^9}, {3.7197377431993933`*^9, 3.719737889667735*^9}, {
   3.719737927819822*^9, 3.7197379435098433`*^9}, {3.7197380047919617`*^9, 
   3.7197380477640553`*^9}, {3.719738224646333*^9, 3.719738225226334*^9}, {
   3.719739819974985*^9, 3.7197398206549854`*^9}, {3.719739887487097*^9, 
   3.7197398877670975`*^9}, {3.7197400449833655`*^9, 3.719740045333366*^9}, {
   3.719740312335746*^9, 3.719740312475746*^9}, {3.7197403835278645`*^9, 
   3.7197403850878663`*^9}, {3.719821996481608*^9, 3.719822001997924*^9}, {
   3.7198220621013613`*^9, 3.7198220657915726`*^9}, {3.719822105493843*^9, 
   3.719822109667082*^9}, {3.719822161757061*^9, 3.719822166407327*^9}, {
   3.719822208055709*^9, 3.7198222117679214`*^9}, {3.7198237503968167`*^9, 
   3.7198237509768176`*^9}, {3.7198237831788635`*^9, 
   3.7198237898588724`*^9}, {3.7198239502711134`*^9, 
   3.7198239509111147`*^9}, {3.7198241242633643`*^9, 3.719824153265425*^9}, {
   3.719824211517519*^9, 3.719824252869594*^9}, {3.7198242873516583`*^9, 
   3.7198243196737204`*^9}, {3.719837823583614*^9, 3.7198378987177553`*^9}, {
   3.7198379468598375`*^9, 3.719837947929839*^9}, {3.719837995351921*^9, 
   3.719837996601923*^9}, {3.7198380967420607`*^9, 3.7198380970420613`*^9}, {
   3.7198382877323246`*^9, 3.719838289962328*^9}, {3.7198384641025677`*^9, 
   3.7198384643025684`*^9}, {3.719838531044673*^9, 3.719838531554674*^9}, {
   3.719838619129826*^9, 3.719838619309826*^9}, 3.719838684291926*^9, 
   3.7198387330140142`*^9, {3.7198387736260843`*^9, 3.719838774556086*^9}, {
   3.7198388554882135`*^9, 3.7198388563582144`*^9}, {3.719838902520297*^9, 
   3.7198389032202983`*^9}, {3.719838986942433*^9, 3.719838987212433*^9}, {
   3.7198391303526306`*^9, 3.719839131262632*^9}, {3.719840417788425*^9, 
   3.71984049419853*^9}, {3.7198406187707143`*^9, 3.719840619910716*^9}, {
   3.719905054109453*^9, 3.7199050737994804`*^9}, {3.7199060923484554`*^9, 
   3.719906100058466*^9}, {3.7199061624505644`*^9, 3.719906163720566*^9}, {
   3.719906196412629*^9, 3.719906197752631*^9}, {3.7199063525548563`*^9, 
   3.7199063530148563`*^9}, {3.7199064525380077`*^9, 3.719906462448022*^9}, {
   3.719922144132188*^9, 3.7199221493821955`*^9}, {3.7199221815242577`*^9, 
   3.7199222077563066`*^9}, {3.7199222404183645`*^9, 
   3.7199222409083652`*^9}, {3.7199223100624876`*^9, 3.719922310582488*^9}, {
   3.719922357614565*^9, 3.7199223578045654`*^9}, {3.71992239366663*^9, 
   3.71992239405663*^9}, {3.7199224355186987`*^9, 3.7199224358386993`*^9}, {
   3.719922469890757*^9, 3.7199224707307587`*^9}, {3.719922530632856*^9, 
   3.7199225322328587`*^9}, {3.7201606252342777`*^9, 3.720160628840484*^9}, {
   3.7201730442847676`*^9, 3.7201730451358166`*^9}, {3.720173190240116*^9, 
   3.7201731993096347`*^9}, {3.720173247575395*^9, 3.7201732477894077`*^9}, 
   3.720173285526566*^9, {3.720173320860587*^9, 3.7201733234547353`*^9}, {
   3.720173364994111*^9, 3.7201733672892427`*^9}, {3.7201734215763474`*^9, 
   3.720173427280674*^9}, {3.720173470132125*^9, 3.720173472943286*^9}, {
   3.720173566256623*^9, 3.72017356655764*^9}, {3.720173683311318*^9, 
   3.720173684201369*^9}, 3.7201741942425413`*^9, {3.7201742531269093`*^9, 
   3.720174253699942*^9}, {3.7201742940902524`*^9, 3.72017431712457*^9}, {
   3.7201758083938656`*^9, 3.7201758099729557`*^9}, {3.720180328271388*^9, 
   3.720180328585406*^9}, {3.7201806002729454`*^9, 3.7201806007049704`*^9}, 
   3.72018140949223*^9, {3.720181724486247*^9, 3.720181724597253*^9}, 
   3.7201818653313026`*^9, {3.7201821144325504`*^9, 3.7201821148715754`*^9}, {
   3.7201822608799267`*^9, 3.7201822611589427`*^9}, 3.720182378003626*^9, {
   3.72018247808335*^9, 3.720182478925398*^9}, {3.720182547301309*^9, 
   3.720182547962347*^9}, 3.720182654228425*^9, {3.7201828061421137`*^9, 
   3.720182807422187*^9}, {3.720183360003793*^9, 3.7201833604458184`*^9}, {
   3.720183414743924*^9, 3.7201834150529413`*^9}, {3.7201848613202066`*^9, 
   3.7201849357254624`*^9}, {3.72018496715226*^9, 3.720184976040768*^9}, {
   3.72018500649151*^9, 3.7201850570264006`*^9}, {3.7201850970656905`*^9, 
   3.7201850989948006`*^9}, {3.7201851572601333`*^9, 3.720185159441258*^9}, {
   3.7201852260940704`*^9, 3.720185226629101*^9}, {3.7201852616201024`*^9, 
   3.7201852635282116`*^9}, {3.720185341325661*^9, 3.7201853751045933`*^9}, {
   3.7201854524520173`*^9, 3.720185456458246*^9}, {3.720185852238884*^9, 
   3.720185854181995*^9}, {3.720185884528731*^9, 3.720185890064047*^9}, {
   3.720185981268264*^9, 3.720185981762292*^9}, {3.720186411158852*^9, 
   3.7201864115118723`*^9}, {3.7201865075153637`*^9, 3.720186526702461*^9}, {
   3.7201866649373674`*^9, 3.720186735660413*^9}, {3.720186917196796*^9, 
   3.720186919614934*^9}, {3.720186951679768*^9, 3.7201870534245872`*^9}, {
   3.720187088828613*^9, 3.720187102890417*^9}, {3.720187190237413*^9, 
   3.7201872672848196`*^9}, {3.7201873194828053`*^9, 
   3.7201873362667656`*^9}, {3.7201873976742773`*^9, 
   3.7201874140382137`*^9}, {3.720187462436982*^9, 3.7201874646341076`*^9}, {
   3.720187511310777*^9, 3.7201875163470654`*^9}, {3.7201876386170588`*^9, 
   3.7201876576211457`*^9}, {3.7201876933631897`*^9, 
   3.7201876984614816`*^9}, {3.720187743972085*^9, 3.72018774475513*^9}, {
   3.7201879895351305`*^9, 3.720187997171567*^9}, {3.720188283798961*^9, 
   3.72018833972616*^9}, {3.7201886960805426`*^9, 3.720188729831473*^9}, {
   3.7201900034323187`*^9, 3.7201900099566917`*^9}, {3.72024544489887*^9, 
   3.7202454753026094`*^9}, {3.7202455655027685`*^9, 
   3.7202455680619144`*^9}, {3.7202456150726037`*^9, 
   3.7202456155406303`*^9}, {3.720245658944113*^9, 3.72024566379139*^9}, {
   3.7202456939011126`*^9, 3.720245694157127*^9}, {3.720245886740142*^9, 
   3.720245888816261*^9}, {3.720245952024876*^9, 3.7202459609863887`*^9}, {
   3.7202462358368483`*^9, 3.7202462416468563`*^9}, {3.7202462956109676`*^9, 
   3.720246298710972*^9}, {3.720246406543135*^9, 3.72024641008314*^9}, 
   3.720246643135479*^9, {3.7202467104675894`*^9, 3.7202467408176312`*^9}, {
   3.720246788287697*^9, 3.720246788477697*^9}, {3.720246831309776*^9, 
   3.720246881871866*^9}, {3.720249855124486*^9, 3.7202498722445097`*^9}, {
   3.7202499266066027`*^9, 3.7202499267666025`*^9}, {3.720249979878691*^9, 
   3.720249980178692*^9}, {3.720250039650789*^9, 3.720250039980789*^9}, {
   3.72025009069287*^9, 3.7202500933228736`*^9}, {3.7202502108570633`*^9, 
   3.720250224367082*^9}, {3.7202502749691715`*^9, 3.720250308879218*^9}, {
   3.720250408659356*^9, 3.7202504090493565`*^9}, {3.7202504392093983`*^9, 
   3.7202504583794246`*^9}, {3.7202505265815353`*^9, 
   3.7202505320615425`*^9}, {3.7202505913636446`*^9, 3.720250605963665*^9}, {
   3.7202507560158863`*^9, 3.7202507662659006`*^9}, {3.7202508056259546`*^9, 
   3.7202508370759983`*^9}, {3.7202508860580816`*^9, 
   3.7202508870980835`*^9}, {3.7202690803201017`*^9, 3.720269087170111*^9}, {
   3.720270034685447*^9, 3.72027003670545*^9}, {3.7202700716575155`*^9, 
   3.7202700782675247`*^9}, {3.7202701196195974`*^9, 
   3.7202701223796005`*^9}, {3.7202740675530834`*^9, 
   3.7202740680330844`*^9}, {3.720276648361673*^9, 3.7202766586116867`*^9}, {
   3.720276812983918*^9, 3.7202768167539234`*^9}, {3.7202815621345186`*^9, 
   3.720281562774519*^9}, {3.720281662286667*^9, 3.7202816626866674`*^9}, {
   3.720281710328745*^9, 3.7202817154587517`*^9}, {3.7207791762553525`*^9, 
   3.7207791862653666`*^9}, 3.720781067202996*^9, 3.7207810990060587`*^9, 
   3.7207811677301674`*^9, {3.721128157070932*^9, 3.721128195819148*^9}, {
   3.721128248279149*^9, 3.721128254961531*^9}, {3.7211282913126106`*^9, 
   3.721128292862699*^9}, {3.721128779887555*^9, 3.721128780029563*^9}, {
   3.721129757507472*^9, 3.721129790841378*^9}, {3.721130293308118*^9, 
   3.7211302953942375`*^9}, {3.7211303824512167`*^9, 3.721130382846239*^9}, 
   3.721130449387045*^9, 3.7211305112905855`*^9, {3.721130582994687*^9, 
   3.7211305889670286`*^9}, {3.721137585980235*^9, 3.721137590984521*^9}, {
   3.72138433762089*^9, 3.721384365044459*^9}, {3.72138446857238*^9, 
   3.7213844734666605`*^9}, 3.7214566882425437`*^9, {3.7214567641198835`*^9, 
   3.7214567645769095`*^9}, 3.721485717648896*^9, {3.72148596923489*^9, 
   3.721485999667631*^9}, 3.7214864469942164`*^9, 3.721487139612832*^9, 
   3.721487360555469*^9, {3.721487403498925*^9, 3.7214874269062643`*^9}, {
   3.721489159766378*^9, 3.72148923830087*^9}, 3.7214894079405727`*^9, {
   3.721494619480902*^9, 3.72149464495243*^9}, {3.7215764359042506`*^9, 
   3.721576456089405*^9}, {3.721576514209729*^9, 3.721576524058293*^9}, {
   3.721576862167631*^9, 3.7215769379309645`*^9}, {3.7215806227807436`*^9, 
   3.721580628194953*^9}, {3.7215808491452017`*^9, 3.7215808561464157`*^9}, {
   3.7215809279677477`*^9, 3.721580930493353*^9}, {3.7215809780816402`*^9, 
   3.7215810901650476`*^9}, {3.7215816241029406`*^9, 3.721581625445543*^9}, {
   3.721631047917037*^9, 3.721631064414336*^9}, {3.721657873684622*^9, 
   3.721657916823089*^9}, {3.7216581071889777`*^9, 3.72165814551717*^9}, {
   3.721658524074822*^9, 3.721658528098052*^9}, 3.7216590210792494`*^9, 
   3.7216590699200425`*^9, 3.721659117742778*^9, {3.7216592020466*^9, 
   3.7216592225097704`*^9}, {3.7219800238946486`*^9, 
   3.7219800510762978`*^9}, {3.7219805320391736`*^9, 3.721980532475974*^9}, {
   3.722000753355342*^9, 3.72200077254644*^9}, 3.722001753475546*^9, 
   3.7220018561694193`*^9, {3.722246973820743*^9, 3.7222469815401845`*^9}, {
   3.7222477334541917`*^9, 3.7222477573175564`*^9}, {3.7222478475507174`*^9, 
   3.7222479338386526`*^9}, {3.723977446428788*^9, 3.723977457911445*^9}, {
   3.7239775282574687`*^9, 3.723977529945565*^9}, {3.7239823429118514`*^9, 
   3.7239823697343855`*^9}, {3.7239824061024656`*^9, 
   3.7239824066194954`*^9}, {3.7240284629445157`*^9, 
   3.7240284862198467`*^9}, {3.7240286235977044`*^9, 
   3.7240286241137342`*^9}, {3.7240286666411667`*^9, 
   3.7240286672362003`*^9}, {3.7240299837334995`*^9, 3.724029984492543*^9}, {
   3.726386193186821*^9, 3.7263863463070326`*^9}, {3.726386529961662*^9, 
   3.726386530841663*^9}, {3.726386581551733*^9, 3.7263865818817334`*^9}, {
   3.7362229404596663`*^9, 3.736222942892805*^9}, {3.7362284669972506`*^9, 
   3.736228494780899*^9}, {3.736228554950204*^9, 3.7362285588970103`*^9}, {
   3.7506827706227446`*^9, 3.7506828001024303`*^9}, {3.7507447978931875`*^9, 
   3.7507448747175817`*^9}, {3.7507451323263164`*^9, 
   3.7507451429239225`*^9}, {3.7507455231936727`*^9, 
   3.7507456299067764`*^9}, {3.7507456759024067`*^9, 3.7507457396580534`*^9}, 
   3.7507628821605487`*^9, {3.7507632576910276`*^9, 3.7507632583510656`*^9}, {
   3.7507633942118363`*^9, 3.7507634361172333`*^9}, {3.777712543623285*^9, 
   3.777712557211062*^9}, {3.7777125914280195`*^9, 3.7777126283381305`*^9}, {
   3.777712677832961*^9, 3.7777126796810665`*^9}, {3.77771281977908*^9, 
   3.7777128289496045`*^9}, {3.777712864315627*^9, 3.777712865965722*^9}, 
   3.7777131752134094`*^9, {3.7777132612973337`*^9, 3.7777132768242216`*^9}, {
   3.7777134400495577`*^9, 3.7777134448428316`*^9}, {3.7777141973898745`*^9, 
   3.7777141974798803`*^9}, {3.7777185879289994`*^9, 
   3.7777186027008443`*^9}, {3.7777186332625923`*^9, 3.777718638518893*^9}, {
   3.777718674985979*^9, 3.7777186920239534`*^9}, {3.777719203975235*^9, 
   3.7777192075854416`*^9}, {3.7777192786515064`*^9, 3.777719281768685*^9}, {
   3.7777195254266214`*^9, 3.7777195524281654`*^9}, {3.7777196056112075`*^9, 
   3.7777196058992243`*^9}, {3.777719651440829*^9, 3.777719674504148*^9}, {
   3.778932899483763*^9, 3.778932902496936*^9}, {3.7789329481355457`*^9, 
   3.7789329515467415`*^9}, {3.7794201280365896`*^9, 
   3.7794201356610255`*^9}, {3.779420263037311*^9, 3.7794202652324367`*^9}, {
   3.779796993954721*^9, 3.7797970140891576`*^9}, {3.7797977145519924`*^9, 
   3.7797977813567095`*^9}, {3.7797978329308004`*^9, 
   3.7797978332896013`*^9}, {3.779797873801273*^9, 3.779797873958273*^9}, {
   3.7797979041251264`*^9, 3.779797904437127*^9}, {3.7803217969585505`*^9, 
   3.7803218211595883`*^9}, {3.7803223793974104`*^9, 
   3.7803223798174114`*^9}, {3.7803811986908293`*^9, 3.780381233274808*^9}, {
   3.780381274329156*^9, 3.7803812755342245`*^9}, {3.7809122528493047`*^9, 
   3.7809122536983533`*^9}, {3.78091233232485*^9, 3.780912336256075*^9}, {
   3.780912847662326*^9, 3.7809130042772837`*^9}, {3.78091858581553*^9, 
   3.7809186104509387`*^9}, {3.780918703730274*^9, 3.7809187063284225`*^9}, {
   3.780918756026265*^9, 3.780918756330282*^9}, {3.780918822149047*^9, 
   3.7809188236551332`*^9}, {3.780982186543598*^9, 3.780982190995853*^9}, {
   3.780983047042816*^9, 3.7809830514170666`*^9}, {3.780983778188635*^9, 
   3.780983778833672*^9}, {3.785418378402396*^9, 3.78541841220533*^9}, {
   3.785418987387228*^9, 3.7854189882902794`*^9}, {3.7854191202708282`*^9, 
   3.7854191206898527`*^9}, {3.7854191761170225`*^9, 3.785419176401039*^9}, {
   3.785419418823905*^9, 3.7854194202359858`*^9}, {3.7854200534372025`*^9, 
   3.7854200575994406`*^9}, {3.785420209750143*^9, 3.785420212734314*^9}, {
   3.7854893914688864`*^9, 3.785489392262932*^9}, {3.7855669704574156`*^9, 
   3.7855669707514324`*^9}, {3.7855670127978373`*^9, 
   3.7855670131188555`*^9}, {3.785646044958697*^9, 3.7856460536451936`*^9}, {
   3.786089149985133*^9, 3.7860891533713264`*^9}, {3.7860892534500513`*^9, 
   3.78608925378407*^9}, {3.7860894252318764`*^9, 3.786089425586897*^9}, {
   3.7860894770158386`*^9, 3.78608950046618*^9}, {3.7860898389955425`*^9, 
   3.7860898397795873`*^9}, {3.7860898713603935`*^9, 
   3.7860898843021336`*^9}, {3.7908625915585237`*^9, 3.790862597680874*^9}, {
   3.7908627226360207`*^9, 3.790862753581791*^9}, {3.7908643591366234`*^9, 
   3.790864378975758*^9}, 3.791008101463951*^9, {3.7910332402752*^9, 
   3.791033269529873*^9}, {3.7910334071937466`*^9, 3.7910334124380465`*^9}, {
   3.791033465013054*^9, 3.79103347700974*^9}, {3.7910335168020163`*^9, 
   3.791033516958025*^9}, {3.7910335612045555`*^9, 3.791033561340564*^9}, {
   3.791033628834424*^9, 3.791033632466632*^9}, {3.7910339311517153`*^9, 
   3.791034005270955*^9}, {3.791034068542574*^9, 3.7910341150422335`*^9}, {
   3.7910341653891134`*^9, 3.791034251471037*^9}, {3.791034287598103*^9, 
   3.791034313183566*^9}, {3.791034346899495*^9, 3.791034349140623*^9}, {
   3.791034412426243*^9, 3.791034551300186*^9}, {3.791034868979356*^9, 
   3.791035031131631*^9}, {3.7918933086937923`*^9, 3.791893373211482*^9}, {
   3.7923289322508793`*^9, 3.79232893243589*^9}, {3.792328963606673*^9, 
   3.792328978119503*^9}, {3.793095207275588*^9, 3.793095209441712*^9}, {
   3.793103316991437*^9, 3.793103319168562*^9}, {3.7935097859496603`*^9, 
   3.793509792222019*^9}, {3.794826490288741*^9, 3.794826490658762*^9}, {
   3.794826523562644*^9, 3.7948266168669806`*^9}, {3.7948268805930653`*^9, 
   3.794826895752932*^9}, {3.7954411868907204`*^9, 3.795441187423751*^9}, {
   3.8019844838068433`*^9, 3.801984484072859*^9}},
 CellLabel->
  "In[439]:=",ExpressionUUID->"e24e5a9a-e364-4fe4-96e6-339698fe90fd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5418745985135789`", ",", "0.13074600000000008`", ",", "0.00994784`"}], 
    "}"}], "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Power: ", {0.5418745985135789, 0.13074600000000008`, 0.00994784}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7948265748355765`*^9, 3.7948266959135017`*^9, 
  3.7948268969760017`*^9, 3.7954253929433584`*^9, 3.7954275330537653`*^9, 
  3.7954289346779337`*^9, 3.7954291783738728`*^9, 3.795429477153962*^9, 
  3.7954302689922523`*^9, 3.795431852859844*^9, 3.7954369284501514`*^9, 
  3.7954411900269003`*^9, 3.7954412280000715`*^9, 3.7954445111138554`*^9, 
  3.795497689228059*^9, 3.795499741724455*^9, 3.795504416337827*^9, 
  3.796470630903078*^9, 3.798280592527731*^9, 3.801984485898963*^9, 
  3.826618953794574*^9, 3.826620300128222*^9},
 CellLabel->
  "During evaluation of \
In[439]:=",ExpressionUUID->"ead86963-fc86-4cfb-9598-08c4b0d278e5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Atomic cloud parameters", "Item",
 CellChangeTimes->{{3.670601207082728*^9, 3.670601214202738*^9}, {
  3.682245787232095*^9, 
  3.6822458075121226`*^9}},ExpressionUUID->"c671991d-f125-4b4c-aabf-\
280cbd401bd5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"mAssSr", " ", "=", "  ", 
    RowBox[{"mSr84", "/", "au"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "au"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aScat", " ", "=", " ", 
    RowBox[{"a1S0iso84", " ", "/", "aB"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TempCloud", " ", "=", 
    RowBox[{"1.10", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "K"}], ",", " ", 
    RowBox[{"fixed", " ", "by", " ", "the", " ", 
     RowBox[{"experiment", "'"}], "s", " ", "cooling", " ", "capability"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"NatBECTest", " ", "=", 
     RowBox[{"1.16", "*", 
      RowBox[{"10", "^", "4."}]}]}], ";", " ", 
    RowBox[{
    "desired", " ", "number", " ", "of", " ", "atoms", " ", "in", " ", "the", 
     " ", "BEC"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NatBECTest", " ", "=", 
   RowBox[{"7.5", "*", 
    RowBox[{"10", "^", "3."}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "desired", " ", "number", " ", "of", " ", "atoms", " ", "in", " ", "the", 
    " ", "BEC"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"TempReservoir", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.83", "*", "0.83", "*", "3."}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"1.", "/", "3."}], ")"}]}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NatReservoirTest", " ", "=", 
   RowBox[{"8.3", "*", 
    RowBox[{"10", "^", "5."}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "desired", " ", "number", " ", "of", " ", "atoms", " ", "in", " ", "the", 
    " ", "BEC"}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"calculation", " ", "boundaries", " ", 
     RowBox[{"(", 
      RowBox[{"for", " ", 
       RowBox[{"BEC", " ", "/", " ", "thermal"}], " ", 
       RowBox[{"cloud", " ", "/", " ", "transparency"}], " ", "region"}], 
      ")"}]}], ",", " ", 
    RowBox[{
    "usually", " ", "no", " ", "need", " ", "to", " ", "change", " ", 
     "them"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"xMaxBEC", "=", " ", 
   RowBox[{"10.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxBEC", "=", 
   RowBox[{"6.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxBEC", " ", "=", " ", 
   RowBox[{"15.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"xMaxTh", " ", "=", " ", 
   RowBox[{"200.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxTh", " ", "=", " ", 
   RowBox[{"15.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxTh", " ", "=", " ", 
   RowBox[{"1500.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Average isotropic temperature: \>\"", ",", 
    RowBox[{"TempCloud", "*", 
     RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.6705060134472785`*^9, 3.6705063316287174`*^9}, {
   3.6705063744487767`*^9, 3.6705064550088882`*^9}, {3.6705064915209384`*^9, 
   3.6705066804911995`*^9}, {3.6705067293012667`*^9, 
   3.6705067436812863`*^9}, {3.6705067859413447`*^9, 
   3.6705069103915167`*^9}, {3.670506994671633*^9, 3.670507004841647*^9}, {
   3.6705070450017023`*^9, 3.6705070570017185`*^9}, {3.670507155592855*^9, 
   3.6705072480429826`*^9}, {3.6705073453731165`*^9, 
   3.6705074762032976`*^9}, {3.6705075128933477`*^9, 
   3.6705075464433947`*^9}, {3.6705076435935287`*^9, 3.670507732093651*^9}, {
   3.6705077943837366`*^9, 3.67050780425375*^9}, {3.670507841103801*^9, 
   3.67050785488382*^9}, {3.6705078886138663`*^9, 3.670508298995433*^9}, {
   3.670508350655504*^9, 3.6705083639855223`*^9}, {3.6705084949957037`*^9, 
   3.6705085146357307`*^9}, {3.670508578955819*^9, 3.67050857974582*^9}, {
   3.6705086805159597`*^9, 3.670508683825964*^9}, {3.6705087410160427`*^9, 
   3.6705087421260443`*^9}, {3.670573259870878*^9, 3.670573260580879*^9}, {
   3.670573799502623*^9, 3.6705738439226847`*^9}, 3.670573964732851*^9, {
   3.670574161783123*^9, 3.670574173363139*^9}, {3.6705807735689363`*^9, 
   3.670580876689079*^9}, {3.670582695557665*^9, 3.6705827393377256`*^9}, {
   3.6705829178889723`*^9, 3.6705830030990896`*^9}, {3.670583037049136*^9, 
   3.6705830517691565`*^9}, {3.6705832267993984`*^9, 3.670583231519405*^9}, {
   3.670583317249523*^9, 3.670583320369528*^9}, {3.6705834934607663`*^9, 
   3.6705835058607836`*^9}, {3.670583790251176*^9, 3.6705838326412344`*^9}, {
   3.670590191043731*^9, 3.6705902075337543`*^9}, {3.670598515862998*^9, 
   3.6705985291030164`*^9}, {3.6705986458441772`*^9, 3.670598648004181*^9}, {
   3.670599387396201*^9, 3.670599390976206*^9}, 3.6706000391371145`*^9, {
   3.6706001227672305`*^9, 3.670600123187231*^9}, {3.6706008937622957`*^9, 
   3.670600894082296*^9}, {3.6706011683326745`*^9, 3.670601184712697*^9}, {
   3.6706014644630833`*^9, 3.67060149128312*^9}, {3.6706016133252897`*^9, 
   3.6706017087674227`*^9}, {3.67060178660853*^9, 3.670601786898531*^9}, {
   3.670602023529857*^9, 3.6706020296098657`*^9}, {3.681796547646595*^9, 
   3.68179656731472*^9}, {3.681797131609996*^9, 3.6817971388794117`*^9}, {
   3.6817972567821555`*^9, 3.681797331213413*^9}, {3.681797368280533*^9, 
   3.6817974673552*^9}, {3.6817975085815573`*^9, 3.6817976178398066`*^9}, {
   3.681797659052164*^9, 3.681797812867962*^9}, {3.6817978757445583`*^9, 
   3.6817978793017616`*^9}, {3.681807018798511*^9, 3.681807042754881*^9}, {
   3.681807083724224*^9, 3.681807111816831*^9}, {3.681807143248629*^9, 
   3.681807150640052*^9}, {3.681807344880162*^9, 3.6818074633809395`*^9}, {
   3.681807508964547*^9, 3.681807615773656*^9}, {3.681807715169341*^9, 
   3.6818077306652274`*^9}, {3.681807852271183*^9, 3.6818079106415215`*^9}, 
   3.68180801814267*^9, {3.681808274467331*^9, 3.681808274658342*^9}, 
   3.681808307765236*^9, {3.6818084611120067`*^9, 3.6818084717686157`*^9}, {
   3.681808582119928*^9, 3.681808583852027*^9}, {3.6818105383788195`*^9, 
   3.681810538846846*^9}, {3.681810620697528*^9, 3.6818106219806013`*^9}, {
   3.6818106952397914`*^9, 3.6818107028912287`*^9}, {3.6818107968846054`*^9, 
   3.681810797284628*^9}, {3.6818109962380075`*^9, 3.681811026996767*^9}, 
   3.6818119686246247`*^9, {3.6818129889259825`*^9, 3.681812990653082*^9}, 
   3.681816711875923*^9, 3.6818177996871424`*^9, 3.68181794738059*^9, {
   3.6818179854647684`*^9, 3.6818179867998447`*^9}, {3.681820529102256*^9, 
   3.681820547859329*^9}, {3.681820580440192*^9, 3.6818206410246572`*^9}, {
   3.681820690053462*^9, 3.681820721388254*^9}, {3.681821022415472*^9, 
   3.681821043671688*^9}, {3.6818211259833956`*^9, 3.681821150269785*^9}, {
   3.6818212009416833`*^9, 3.6818212011406946`*^9}, {3.681824335980997*^9, 
   3.6818243369340515`*^9}, 3.6818244684665747`*^9, {3.6818245149492335`*^9, 
   3.6818245506302743`*^9}, {3.681825864488423*^9, 3.681825899984453*^9}, {
   3.6818259826361804`*^9, 3.6818259908306494`*^9}, {3.6818260275877514`*^9, 
   3.6818260287698193`*^9}, 3.6818280916898117`*^9, {3.6818288250697584`*^9, 
   3.681828827328888*^9}, 3.6818290074781914`*^9, {3.681829062977366*^9, 
   3.681829070411791*^9}, {3.6818293416073027`*^9, 3.6818293627585125`*^9}, {
   3.681829454208743*^9, 3.681829477492075*^9}, {3.681829613048828*^9, 
   3.6818296146449194`*^9}, {3.6822462620947514`*^9, 
   3.6822464538750157`*^9}, {3.682246591646206*^9, 3.682246591816206*^9}, {
   3.6822474960034723`*^9, 3.682247513623496*^9}, {3.682247582903592*^9, 
   3.6822475928536053`*^9}, {3.6822478770090003`*^9, 
   3.6822478820490074`*^9}, {3.685010030523532*^9, 3.68501009621929*^9}, {
   3.685014872111455*^9, 3.6850148730475087`*^9}, {3.6850164266803713`*^9, 
   3.6850164585361934`*^9}, {3.6855557250394945`*^9, 
   3.6855557549752064`*^9}, {3.6855558013118567`*^9, 
   3.6855558437682853`*^9}, {3.6855558870157585`*^9, 3.685555890903981*^9}, {
   3.6855559436719995`*^9, 3.6855559714955907`*^9}, {3.685556075104517*^9, 
   3.685556089167321*^9}, 3.6855561455435457`*^9, {3.6855561905291185`*^9, 
   3.6855561932312737`*^9}, {3.6855562510345793`*^9, 3.6855562640403233`*^9}, 
   3.6855563550725303`*^9, 3.6855568176889906`*^9, {3.68573287729165*^9, 
   3.6857329090194645`*^9}, {3.68573300300384*^9, 3.685733003683879*^9}, {
   3.6857331369315*^9, 3.6857331382275743`*^9}, {3.685733202180232*^9, 
   3.6857332028912725`*^9}, {3.6857332388833313`*^9, 
   3.6857332399873943`*^9}, {3.685733317099805*^9, 3.6857333178278465`*^9}, 
   3.685733413940344*^9, 3.6857334529315743`*^9, {3.6857334881165867`*^9, 
   3.6857334889876366`*^9}, {3.6859578096957517`*^9, 
   3.6859578106257524`*^9}, {3.704200696130089*^9, 3.704200698570092*^9}, {
   3.7042007723602085`*^9, 3.7042007731602097`*^9}, {3.7042008289802866`*^9, 
   3.704200917850409*^9}, {3.7042009501024733`*^9, 3.704200952212476*^9}, {
   3.7201755125559444`*^9, 3.7201755140330296`*^9}, {3.720175564314905*^9, 
   3.720175591389454*^9}, {3.720175642783393*^9, 3.720175643107412*^9}, {
   3.7201757938260326`*^9, 3.7201757941750526`*^9}, {3.7201758461130233`*^9, 
   3.7201758476561112`*^9}, 3.7201766222334146`*^9, {3.7201767201350145`*^9, 
   3.7201767212770796`*^9}, {3.720177128742385*^9, 3.7201771292504144`*^9}, {
   3.7201789623262606`*^9, 3.720178972006814*^9}, {3.7201798346011515`*^9, 
   3.7201798424526005`*^9}, {3.720179890473347*^9, 3.7201798925454655`*^9}, {
   3.720180344477315*^9, 3.7201803454193687`*^9}, {3.7201807028648133`*^9, 
   3.7201807046289144`*^9}, {3.7201808673092194`*^9, 
   3.7201808683202767`*^9}, {3.720180988405145*^9, 3.720180990220249*^9}, {
   3.720181185125397*^9, 3.7201811866854863`*^9}, {3.7201813275725446`*^9, 
   3.72018132784156*^9}, 3.720181932156125*^9, 3.7201822640471077`*^9, 
   3.7201824745211463`*^9, 3.720182804792037*^9, {3.7201849637070627`*^9, 
   3.720184964101085*^9}, 3.7201854708680706`*^9, {3.7211286601607075`*^9, 
   3.7211286604147215`*^9}, {3.7211337024261084`*^9, 3.721133702750127*^9}, 
   3.721137579847884*^9, {3.721379286480474*^9, 3.721379286750474*^9}, {
   3.7213793450515547`*^9, 3.7213793483415594`*^9}, {3.721384481819138*^9, 
   3.7213844833462253`*^9}, {3.721384538867401*^9, 3.721384543786682*^9}, {
   3.7213845760175257`*^9, 3.721384585865089*^9}, {3.7213846220261574`*^9, 
   3.72138462381726*^9}, {3.7213846760572476`*^9, 3.7213846769292974`*^9}, {
   3.721384743289093*^9, 3.7213847474403305`*^9}, {3.721386762107337*^9, 
   3.7213867790573063`*^9}, {3.72138700168904*^9, 3.721387008903453*^9}, {
   3.7214670579431496`*^9, 3.721467062934435*^9}, 3.7214856658705573`*^9, {
   3.7214859763872995`*^9, 3.7214859797394905`*^9}, {3.7214870769562483`*^9, 
   3.721487104522825*^9}, 3.72148734204241*^9, 3.721487449937581*^9, 
   3.7214874986563683`*^9, {3.7214875905926266`*^9, 3.7214876246735754`*^9}, {
   3.7214881181398*^9, 3.721488132531624*^9}, {3.721489100463986*^9, 
   3.7214891046052227`*^9}, 3.7214892551088314`*^9, {3.721546352188744*^9, 
   3.721546391259979*^9}, {3.721549009718418*^9, 3.7215490214418497`*^9}, 
   3.72154922985345*^9, {3.7215553600231857`*^9, 3.7215553627373924`*^9}, {
   3.7215769527418118`*^9, 3.7215769661575794`*^9}, {3.721580537983374*^9, 
   3.7215805407933793`*^9}, {3.7215808785478573`*^9, 
   3.7215808863286715`*^9}, {3.7215812264577065`*^9, 3.721581231604518*^9}, {
   3.7215813172904806`*^9, 3.7215813380225205`*^9}, {3.721581508508638*^9, 
   3.721581518970657*^9}, {3.72158155203812*^9, 3.7215816084078684`*^9}, {
   3.7215822265764112`*^9, 3.721582230456633*^9}, {3.7215822899530363`*^9, 
   3.721582290104045*^9}, {3.7215836899177103`*^9, 3.721583690925768*^9}, 
   3.721583758743647*^9, {3.721631034405193*^9, 3.7216310405299*^9}, {
   3.7216310828974514`*^9, 3.721631084731888*^9}, {3.7216331859399176`*^9, 
   3.7216332418981185`*^9}, {3.7216332736829367`*^9, 3.721633275859061*^9}, {
   3.721635244477659*^9, 3.721635245516719*^9}, {3.721635280830739*^9, 
   3.7216353314116316`*^9}, 3.7216517987929225`*^9, {3.7216518854088764`*^9, 
   3.7216519380468874`*^9}, {3.72165202639194*^9, 3.721652083278194*^9}, 
   3.7216521260156384`*^9, {3.721652165086873*^9, 3.721652165324887*^9}, {
   3.721652271309949*^9, 3.72165231976472*^9}, {3.7216523524375887`*^9, 
   3.721652352644601*^9}, {3.721652450397192*^9, 3.7216524715083995`*^9}, {
   3.721652526492544*^9, 3.721652526643553*^9}, {3.7216526905949306`*^9, 
   3.7216526910579567`*^9}, {3.721652734842461*^9, 3.721652735377492*^9}, {
   3.7216528234585295`*^9, 3.721652823953558*^9}, {3.721653283814861*^9, 
   3.721653299117736*^9}, 3.7216563206897955`*^9, 3.7216565295607424`*^9, 
   3.7216569405092473`*^9, 3.7216571111480074`*^9, {3.7216571666191797`*^9, 
   3.721657166819192*^9}, {3.721657205099381*^9, 3.721657205193386*^9}, 
   3.7216573151136737`*^9, {3.721657346210452*^9, 3.721657346537471*^9}, {
   3.7216573824745264`*^9, 3.7216574126732535`*^9}, {3.7216576267284966`*^9, 
   3.721657626871505*^9}, {3.7216577004157114`*^9, 3.721657700543719*^9}, {
   3.7216578682783127`*^9, 3.721657889128505*^9}, {3.721658089094943*^9, 
   3.72165809289316*^9}, {3.721658147548286*^9, 3.7216581487663555`*^9}, {
   3.721658215380166*^9, 3.721658215508173*^9}, {3.721658451442668*^9, 
   3.721658451601677*^9}, 3.72165897860782*^9, {3.72165927758292*^9, 
   3.721659277836935*^9}, 3.7216593316530128`*^9, {3.7216594299236336`*^9, 
   3.7216594309306912`*^9}, {3.721980609164713*^9, 3.7219806092895136`*^9}, {
   3.722246964118188*^9, 3.7222469701875353`*^9}, {3.7222477665180826`*^9, 
   3.722247823397336*^9}, {3.723977469195091*^9, 3.7239774715152235`*^9}, {
   3.7362219875757337`*^9, 3.7362219881841345`*^9}, {3.7362227302756443`*^9, 
   3.7362227385191154`*^9}, {3.7362228181366696`*^9, 
   3.7362228190637226`*^9}, {3.7362229577176533`*^9, 3.736222958744712*^9}, {
   3.7362233838090243`*^9, 3.7362233860701537`*^9}, {3.736223480280542*^9, 
   3.736223483286714*^9}, {3.736223571402754*^9, 3.736223573907897*^9}, {
   3.7362286277711306`*^9, 3.736228628051931*^9}, {3.736228710966076*^9, 
   3.7362287112936764`*^9}, {3.7362287882330103`*^9, 
   3.7362287901362133`*^9}, {3.736228880928372*^9, 3.736228881411973*^9}, {
   3.7362289494124913`*^9, 3.7362289497400923`*^9}, {3.7505744803556046`*^9, 
   3.750574481625677*^9}, 3.7506842107861166`*^9, {3.750684435752984*^9, 
   3.750684583890457*^9}, {3.750685657582869*^9, 3.750685658692932*^9}, {
   3.750744098612191*^9, 3.7507441000542736`*^9}, {3.750744678207342*^9, 
   3.750744678620366*^9}, {3.750745941986626*^9, 3.750745943039686*^9}, {
   3.750746072278078*^9, 3.750746080119527*^9}, {3.7507473729654737`*^9, 
   3.750747373221488*^9}, {3.7507474836758056`*^9, 3.750747483979823*^9}, 
   3.750747542542173*^9, {3.750763647554327*^9, 3.750763647868345*^9}, {
   3.7507637976109095`*^9, 3.7507637978539233`*^9}, {3.7507638368471537`*^9, 
   3.7507638371731725`*^9}, {3.777712793496577*^9, 3.777712813543723*^9}, {
   3.7777129614681845`*^9, 3.77771296297227*^9}, {3.7777190084080496`*^9, 
   3.7777190112712135`*^9}, {3.777719664767591*^9, 3.777719667911771*^9}, {
   3.7794199911047573`*^9, 3.7794199931868763`*^9}, {3.7794201524639864`*^9, 
   3.7794201530400195`*^9}, {3.779420285664605*^9, 3.779420290418877*^9}, {
   3.7794203625030003`*^9, 3.7794203642511*^9}, {3.7794208537851*^9, 
   3.779420855848218*^9}, {3.779420905853078*^9, 3.7794209075171733`*^9}, {
   3.7794209448713093`*^9, 3.7794209462703896`*^9}, {3.77942098543963*^9, 
   3.7794209871107254`*^9}, {3.7794210351364727`*^9, 3.779421039165703*^9}, {
   3.7794210773208857`*^9, 3.7794210786979637`*^9}, {3.779421118062216*^9, 
   3.7794211214174075`*^9}, {3.779796217440748*^9, 3.779796217783949*^9}, {
   3.779796314101319*^9, 3.779796314382119*^9}, 3.780322288186262*^9, {
   3.780912279709841*^9, 3.7809122991109505`*^9}, {3.780914113152708*^9, 
   3.780914197167513*^9}, {3.780918136254816*^9, 3.780918138362937*^9}, {
   3.7809193806919937`*^9, 3.780919383293143*^9}, {3.780981635049055*^9, 
   3.7809816353760734`*^9}, {3.7809817882778187`*^9, 3.7809817885978374`*^9}, 
   3.7809821493904734`*^9, 3.7809830367752285`*^9, {3.7812414019986763`*^9, 
   3.7812415012333527`*^9}, {3.7812415781587524`*^9, 
   3.7812415789187956`*^9}, {3.785419520688731*^9, 3.7854195236829023`*^9}, {
   3.7867940660349407`*^9, 3.78679406671598*^9}, {3.786794105322188*^9, 
   3.7867941108785057`*^9}, {3.7867941415152583`*^9, 
   3.7867941892859907`*^9}, {3.79086283154325*^9, 3.790862864465133*^9}, {
   3.790862966757984*^9, 3.7908629691381197`*^9}, {3.790863040770217*^9, 
   3.790863041782275*^9}, {3.7908632750036144`*^9, 3.7908632936416807`*^9}, {
   3.790863365000762*^9, 3.7908633652207747`*^9}, {3.790864386607195*^9, 
   3.790864389741374*^9}, {3.791008143917379*^9, 3.7910081506727657`*^9}, {
   3.791008221645825*^9, 3.7910082235299325`*^9}, {3.791008276179944*^9, 
   3.791008306281666*^9}, {3.791008336321384*^9, 3.791008361010796*^9}, {
   3.791010008514028*^9, 3.7910100086750374`*^9}, {3.7910113648276043`*^9, 
   3.791011367407752*^9}, {3.7910114010846786`*^9, 3.7910114017347155`*^9}, {
   3.7910114342605762`*^9, 3.7910114362366886`*^9}, {3.791011731169558*^9, 
   3.7910117445053205`*^9}, {3.7910119120109015`*^9, 3.791011924827635*^9}, {
   3.7910119763975844`*^9, 3.7910119813998704`*^9}, {3.791012885840602*^9, 
   3.7910129405307293`*^9}, {3.7910129708454638`*^9, 
   3.7910129712834883`*^9}, {3.791014211517426*^9, 3.7910142119144487`*^9}, {
   3.791014855938285*^9, 3.791014856154297*^9}, {3.7910151481549983`*^9, 
   3.791015148289006*^9}, {3.7910152609784517`*^9, 3.7910152617824974`*^9}, {
   3.7910153557698736`*^9, 3.7910153563459063`*^9}, {3.791015689732975*^9, 
   3.791015690412014*^9}, {3.7910158355513153`*^9, 3.791015835833331*^9}, {
   3.7910338350972214`*^9, 3.791033835611251*^9}, {3.7910346822426753`*^9, 
   3.791034683240732*^9}, {3.791035100947624*^9, 3.791035101293644*^9}, {
   3.7910360580833693`*^9, 3.7910360583303833`*^9}, {3.792155644952961*^9, 
   3.7921556463520412`*^9}, {3.792322036145445*^9, 3.7923220364414616`*^9}, {
   3.792322367244383*^9, 3.7923223685514574`*^9}, {3.7923223990132*^9, 
   3.7923224078307037`*^9}, {3.792326560205206*^9, 3.7923265719558783`*^9}, {
   3.7923279900119867`*^9, 3.7923280171315374`*^9}, {3.7930952510430913`*^9, 
   3.79309525871453*^9}, {3.7948267160886555`*^9, 3.7948267203308983`*^9}, {
   3.7948267553499017`*^9, 3.7948267973403034`*^9}, {3.79482711495747*^9, 
   3.7948271250010443`*^9}, {3.795431698886038*^9, 3.795431703136281*^9}, {
   3.795433028270074*^9, 3.795433028576092*^9}, {3.795433085908371*^9, 
   3.795433104094411*^9}, {3.7954346183150196`*^9, 3.795434634702957*^9}, {
   3.795436470271945*^9, 3.795436470772974*^9}, {3.795441204974755*^9, 
   3.7954412074248953`*^9}, {3.7954415660464067`*^9, 
   3.7954415949320593`*^9}, {3.795497703356867*^9, 3.795497723027992*^9}, {
   3.7954984244271097`*^9, 3.795498425425167*^9}, {3.7954998218930397`*^9, 
   3.795499847551508*^9}, {3.7954998964143023`*^9, 3.7954999105051084`*^9}, {
   3.795501155447315*^9, 3.795501183787936*^9}, {3.80198449336639*^9, 
   3.8019844968735905`*^9}, {3.8266188695403805`*^9, 3.8266188934906893`*^9}},
 CellLabel->
  "In[460]:=",ExpressionUUID->"b6af5ee4-4620-4f50-bca0-a6ca717d308d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Average isotropic temperature: \"\>", "\[InvisibleSpace]", 
   "1.1`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Average isotropic temperature: ", 1.1, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.792328017712571*^9, 3.7923289344100027`*^9, 3.792328979520583*^9, 
   3.793095212332877*^9, 3.7930952596105814`*^9, 3.793102909761145*^9, 
   3.7931033216627045`*^9, 3.793509798053353*^9, 3.794826812916194*^9, 
   3.794827125209056*^9, 3.795425395372497*^9, 3.7954275357269187`*^9, 
   3.7954289357109933`*^9, 3.7954291784408765`*^9, 3.795429477229966*^9, 
   3.795430270950364*^9, 3.7954318710448847`*^9, 3.7954331160220933`*^9, 
   3.7954346360270324`*^9, 3.7954369294542093`*^9, {3.7954411964872694`*^9, 
   3.795441229796174*^9}, 3.7954445114138727`*^9, {3.7954976994746447`*^9, 
   3.7954977051819715`*^9}, 3.7954984272452707`*^9, 3.7954997438405757`*^9, 
   3.7955001481767025`*^9, 3.795501184474975*^9, 3.7955044206910763`*^9, 
   3.7964706380764885`*^9, 3.798280597619022*^9, {3.8019844907302394`*^9, 
   3.8019845034269657`*^9}, 3.8266189538335485`*^9, 3.8266203001721954`*^9},
 CellLabel->
  "During evaluation of \
In[460]:=",ExpressionUUID->"acf49bc0-1b1b-401e-bbb9-c5f09acb66e8"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Display DT potential", "Item",
 CellChangeTimes->{{3.750746832403555*^9, 3.750746845568308*^9}, {
  3.7507472053488865`*^9, 
  3.7507472064959517`*^9}},ExpressionUUID->"7fada5da-f10b-47c9-bfa8-\
061ac95dede1"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITab", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTab", ",", "WaistXTab", ",", "WaistYTab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTab", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITab", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighXTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistXTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighYTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistYTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTab", ",", "WaistXTab", ",", "WaistYTab", ",", "ZRayleighXTab", 
       ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", "\[Phi]Tab", ",", 
       "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerTabSheetOnly", " ", "=", " ", "PowerTab"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTabSheetOnly", "[", 
    RowBox[{"[", "2", "]"}], "]"}], " ", "=", " ", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTabSheetOnly", "[", 
    RowBox[{"[", "3", "]"}], "]"}], " ", "=", " ", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ITabSheetOnly", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTabSheetOnly", ",", "WaistXTab", ",", "WaistYTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTabSheetOnly", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITabSheetOnly", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTabSheetOnly", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTabSheetOnly", ",", "WaistXTab", ",", "WaistYTab", ",", 
       "ZRayleighXTab", ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", 
       "\[Phi]Tab", ",", "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"XYZDipPotFun", "[", " ", 
    RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
   RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
    RowBox[{
    "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTab", ",", "mAssSr"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotSheetOnlyFun", "[", " ", 
     RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
    RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
     RowBox[{
     "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTabSheetOnly", ",", 
      "mAssSr"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{"gSaggSrNum", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
      ",", 
      RowBox[{"{", "1", "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNumSheetOnly", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotSheetOnlyFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gSaggSrNumSheetOnly", " ", "=", " ", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"gSaggSrNumSheetOnly", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
       ",", 
       RowBox[{"{", "1", "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]X", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{
               RowBox[{"xx", "+", "xOffset"}], ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], 
              "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"xx", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"xx", "->", 
            RowBox[{"(", "X", ")"}]}]}], ")"}], "/.", 
         RowBox[{"X", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Y", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"yy", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"yy", "->", 
            RowBox[{"(", "Y", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Y", "\[Rule]", "gSaggSrNum"}]}], ")"}], " ", "/", 
       "mAssSr"}], "]"}], "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Z", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", 
               RowBox[{"zz", "+", "zOffset"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"zz", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"zz", "->", 
            RowBox[{"(", "Z", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Z", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]IsoDT", " ", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]X", "*", "\[Omega]Y", "*", "\[Omega]Z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aHODTiso", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"1.", "/", " ", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "\[Omega]IsoDT"}], ")"}]}], "*", 
      "hbarreOverAu"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDepth", "=", 
   RowBox[{"XYZDipPotFun", "[", 
    RowBox[{"xOffset", ",", 
     RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TrapEdgeByGrav", "=", " ", 
   RowBox[{"FindMaximum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", 
         RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0."}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "\[LessEqual]", " ", "yy", 
        "\[LessEqual]", 
        RowBox[{"400.", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"55.", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", " ", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDipTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"TrapEdgeByGrav", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PosTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"yy", "/.", 
    RowBox[{"TrapEdgeByGrav", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PotDepthSheetOnly", "=", 
    RowBox[{"XYZDipPotSheetOnlyFun", "[", 
     RowBox[{"xOffset", ",", 
      RowBox[{"gSaggSrNumSheetOnly", "+", "yOffset"}], ",", "zOffset"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLot1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"xx", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
        ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"xx", ",", 
       RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in X axis\>\""}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLot2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotFun", "[", 
       RowBox[{"xOffset", ",", 
        RowBox[{
         RowBox[{"yy", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", 
        "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Y axis\>\""}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PLot3", " ", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", "yOffset", ",", 
         RowBox[{
          RowBox[{"zz", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
       "ctePlanckOverkB", "*", 
       RowBox[{"10", "^", "6."}]}], ",", 
      RowBox[{"{", 
       RowBox[{"zz", ",", 
        RowBox[{"-", "1000"}], ",", "1000"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Z axis\>\""}],
       ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLotSheetOnly1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotSheetOnlyFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"xx", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
        ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"xx", ",", 
       RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Trapping potential (sheet only) on 1S0 in X axis\>\""}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLotSheetOnly2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotSheetOnlyFun", "[", 
       RowBox[{"xOffset", ",", 
        RowBox[{
         RowBox[{"yy", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", 
        "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Trapping potential (sheet only) on 1S0 in Y axis\>\""}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PLotSheetOnly3", " ", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"XYZDipPotSheetOnlyFun", "[", 
        RowBox[{"xOffset", ",", "yOffset", ",", 
         RowBox[{
          RowBox[{"zz", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
       "ctePlanckOverkB", "*", 
       RowBox[{"10", "^", "6."}]}], ",", 
      RowBox[{"{", 
       RowBox[{"zz", ",", 
        RowBox[{"-", "1000"}], ",", "1000"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "PlotLabel", "\[Rule]", 
       "\"\<Trapping potential (sheet only) on 1S0 in Z axis\>\""}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"PLot1", ",", "PLot2", ",", "PLot3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "PLotSheetOnly1", ",", "PLotSheetOnly2", ",", "PLotSheetOnly3"}], 
      "}"}]}], "}"}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Beam powers: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rayleigh length axis 1: \>\"", " ", ",", 
   RowBox[{"ZRayleighXTab", "*", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Rayleigh length axis 2: \>\"", " ", ",", 
    RowBox[{"ZRayleighYTab", "*", 
     RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]X", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]Y", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
     RowBox[{
      RowBox[{"\[Omega]Z", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Grav sagging: \>\"", " ", ",", 
   RowBox[{"gSaggSrNum", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Absolute potential depth: \>\"", " ", ",", 
   RowBox[{"PotDepth", "*", "ctePlanck", "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Edge of the trap between tranport DT and sheet DT: \>\"", ",", 
     RowBox[{"PosTrapEdgeByGrav", "*", 
      RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Trap depth: \>\"", " ", ",", 
   RowBox[{"UdipTab", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Effective trap depth: \>\"", ",", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"PotDipTrapEdgeByGrav", " ", "-", "PotDepth"}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.7197386048911114`*^9, 3.719738605608152*^9}, {3.719738648634557*^9, 
   3.719738676855596*^9}, {3.719739932359174*^9, 3.7197399377291813`*^9}, {
   3.7197399752412496`*^9, 3.7197399870912657`*^9}, 3.7198221739167566`*^9, {
   3.719823712196764*^9, 3.7198237279767857`*^9}, {3.7198385766077533`*^9, 
   3.7198385783877554`*^9}, {3.7199057240019007`*^9, 3.719905739391922*^9}, {
   3.7199058264440594`*^9, 3.71990583412407*^9}, {3.7199058651741133`*^9, 
   3.7199058719441223`*^9}, {3.719905913506194*^9, 3.7199059152661963`*^9}, 
   3.7199222698204207`*^9, {3.720173300657431*^9, 3.720173337943564*^9}, {
   3.720173722037533*^9, 3.720173742179685*^9}, {3.7201743683204985`*^9, 
   3.72017437254574*^9}, {3.720174482765044*^9, 3.7201744958137903`*^9}, {
   3.7201745402443314`*^9, 3.720174541739417*^9}, {3.7201746186378155`*^9, 
   3.720174668615674*^9}, {3.7201747081059327`*^9, 3.720174725602934*^9}, {
   3.7201747596758823`*^9, 3.720174780074049*^9}, {3.720174854079282*^9, 
   3.7201749148787594`*^9}, {3.720174949256726*^9, 3.7201749757732425`*^9}, {
   3.7201754634941387`*^9, 3.7201754807061234`*^9}, 3.720175598122839*^9, {
   3.7201855281053443`*^9, 3.7201855286313744`*^9}, {3.7201855692646985`*^9, 
   3.7201855724428806`*^9}, {3.720185621443683*^9, 3.7201856630040603`*^9}, {
   3.720185735696218*^9, 3.720185739544438*^9}, {3.720185912814348*^9, 
   3.7201859139234123`*^9}, {3.7202455310867996`*^9, 
   3.7202455323388715`*^9}, {3.7202457217307043`*^9, 
   3.7202458625817604`*^9}, {3.720245916877866*^9, 3.7202459196840262`*^9}, {
   3.7202459868828697`*^9, 3.720245988715975*^9}, {3.7202460767705545`*^9, 
   3.7202460773205557`*^9}, {3.720246107360617*^9, 3.7202461096106205`*^9}, {
   3.720246142012685*^9, 3.720246147742693*^9}, {3.7202461996647835`*^9, 
   3.720246201824786*^9}, {3.72024626607891*^9, 3.7202462667389107`*^9}, {
   3.7202469651740007`*^9, 3.7202470153380957`*^9}, {3.7202470697001905`*^9, 
   3.7202470764601994`*^9}, {3.720250120114921*^9, 3.7202501308849363`*^9}, {
   3.7202505029515023`*^9, 3.7202505060615067`*^9}, {3.7202691420522037`*^9, 
   3.7202691515622168`*^9}, {3.7207799442924137`*^9, 
   3.7207799554324293`*^9}, {3.7207810440109515`*^9, 
   3.7207810454109535`*^9}, {3.7264045192662487`*^9, 
   3.7264045476483073`*^9}, {3.7501623752658863`*^9, 3.750162380690197*^9}, {
   3.7501624362433743`*^9, 3.75016243913054*^9}, {3.7501629648146067`*^9, 
   3.7501629806835146`*^9}, {3.750163037752779*^9, 3.750163041703005*^9}, {
   3.75016322152929*^9, 3.7501632660988393`*^9}, {3.7507472360466423`*^9, 
   3.7507472934519253`*^9}, {3.78124152793388*^9, 3.7812415464759398`*^9}, {
   3.791015401259475*^9, 3.7910154143292227`*^9}, {3.79101548858247*^9, 
   3.7910154900205517`*^9}, {3.79101569611034*^9, 3.7910156977184315`*^9}, {
   3.7910332153287725`*^9, 3.791033219580016*^9}, {3.791034332516672*^9, 
   3.791034378844322*^9}, {3.791893429624709*^9, 3.791893433540933*^9}, {
   3.795439274688349*^9, 3.7954393124695096`*^9}, {3.7954393427302403`*^9, 
   3.7954393429762545`*^9}, {3.7954990848268824`*^9, 
   3.7954996059426885`*^9}, {3.7955006837293344`*^9, 3.7955007212054777`*^9}},
 CellLabel->
  "In[465]:=",ExpressionUUID->"8ba9737c-857d-424c-b3fa-7a50114b410b"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"2743.26004769161`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,494,343,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266189539434814`*^9, 3.826620301012306*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"068a5d5f-12bb-4990-8d83-cfebf6e1484a"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"3780.4094040967557`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,494,344,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266189539434814`*^9, 3.8266203010452847`*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"a9401372-1f1a-477e-8f3b-982647c96e3a"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"2743.26004769161`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,497,345,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266189539434814`*^9, 3.826620301516992*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"5a9564ed-25ab-4ce8-b89f-9f87004316ca"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"3780.4094040967557`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,497,346,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266189539434814`*^9, 3.8266203015699635`*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"f36d8853-528f-42bd-a210-d245b3ac9bde"],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVV3c4Ft4Xt5Nkk71FyiorpJKsbJKQvffr9Q5SSVYiI6sSUUIpDfkS770n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             "]], LineBox[CompressedData["
1:eJwVlXc4Ft4bxilkFBoayCZJZaSs8pA0kAhZyd7z9S4jIREZUSEySzTISsh7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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$149087#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in X axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -118.66252583997979}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVlHk01QkfxkMiu3sv91K27Pv9yTXXThijKFu5smSJSDQlZBlFM/bCUEky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             "]], LineBox[CompressedData["
1:eJwV1nk0VfsXAHCiTBWiMqQ493JluM697jXrbIpoNBQ3vFKREmkieZnipcFQ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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$156267#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in Y axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -118.66252583997979}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVlGk81IkDh1Vu2Qw5ijDm95sRMmOKfEiOYciV5CxHoqGtlJSEVJuScyQR
ScW/rdXqQIqSLwqFlGxaBk2j5FobEjna/i+ez/P6efNQd+5337VYTEws5Sf/
d1ll7tAPSz78Rq80DOlRkE2duK1qzoeitwXHcA0FMUnOkUwTPoaveG86yKTA
xvfHbIABH78blozPrqXg1XSI/BM1PurfJT5RtqBgdD2LFfclHV5DCTuCN1PA
qGg4PF2YDpm1lXOhhyi4VDoh9kUiHbfFVTZog4LONH7AkXupeJzyV0/wXkXk
U78+T4tMgRvheGpEVQmGr6/dem+eDC/Nt/f+eaEE5eCMjqbBs1ArviVplrcc
p0sc5KxvJ+LvCuUlU2HKcOyySXL1OQP9to78HB8VCHQSjl2UPo0LpMCr3kMV
32j84wfbTkHL/muQgpsaeFKCJmHsb7jMVguRj1yBgKJxLeHGk1C03W9bk7US
xHa3UQ3pE7jI/ZgzX6uOY0N9SwT7jmHbBocqMY1VeMovdSiYjkHkI/uS2f2a
KJ+R1khxjQa3Jf+mzBctbLw02v3v3cPILrLbMP9IG10lux5EWUWiu2D79P7D
VGidDqIyLh3ApEFjzycLHYzkCV3G7PYCaX6WrhM6GC2Xivo4zMNvVgqD8cU0
KNYsVRG+5WGLfK0/o4QGk+eUCkEtDwP/jke+vEPDiR71qTc5PMQrC2PV7tOw
XJIVVcfhYd+mmapLNTSYeftEXbm0Cy6qi+b9OmhInLkZ5esUgi2fJUqr5mig
bnQ80lochPMYtwp2IPBSpK/GzgnCnUJOWawjgbgk+crsU0GYctaLynQm8Lbj
1fdAvyC4tod9qnIjkLrHO35cPggf32RafPMh8O1iyGnViB3Ycv44U2M3gbyB
eXp9eAACsJAoe5bAV3ZtWKp9AApZGamDSQTc4hOKPbUDkP7R82ZDCgEJZTnD
z6/9Qd2ZoBnLJ3DARs1Y3tgfCu4vO1qyCXAvsznes9vh3O0/QLlOYNw9NHA4
0RfnLBbaVEDgYpeiY6i/L6R/qFm+qyVgsfPJOhHbFwJ7F1ZOPYGzEcqy3T0+
MC3ry5BvJLAqo778xVofIHW1oqCVgEOrlmxxnxfKU9V9FroIjHo0T5L3vdD8
RmomW0AgUxDVdy3ZC/ZRR+YMegn0DLeW5xp7oSTMkbZFSOCgbFxgUoonvlxm
PT46QOCy/bvysPUeKI7QOOE4QcCm7dSV/qUeePLt/J6HkwQ+ezGTd3zYCp25
W/m0KQJs3plAn7SteO5p//zLNIGmhHWyDiJ3tH5fpbNv4WdvbUYgg78FO9g3
BnulSfCjM5e3tLogLNl0vlmdxNzX7aOh8S5QKhVmdmqQCIskG5YwXTA3ZtL0
YRUJm/CHR8wznDEvUmqf0SIxFdzbVezuhMbSZRnmBIlg4Y0y7hInaPCOiXmS
JF4FRKR+KHNE749Y10N0EsW+4htXKjuiadnB1Be6JFQ7W1Uqnm2Cd1C1qoQe
iQSPnLEtUZsgTJlscNYnEbBZ71pSpwNiT0pSfjEk0dwycZQ864AD5LfuNCYJ
U8dq91pTB0Sm61gzjEhcbzyj7z9oDz+ReFwvm4SinZv4TK49evsztj5cR+J4
3YqeLEd7HM1l6laZkBixFN1nzXIxyTqzeMiUhE/1n+ktt7gYCBwvdDUn8cws
KjTMjwuJpzfOjVmQYD+0tBKX52LJOXfmX1YkCoxlVlyttgPvL40GaVsScmXt
X8zD7bBSeyQvy55ENCv/RaemHUY2XF845UTiY8muosg2WzxkmweKNpNw12fG
LTthi9dP7HzgQaLm5rTHLZYtzDzb61ZvI2FAr1tjL+Qg2mvFU+YOErlFKZKi
cxy09jzoEvFISFI9++JtOHh7WGLIJ5xEZIHmw5UTNlAPXM4piiLxXv1zRkWR
DYa0RcXvjpNwyb23293DBu+0Lf0VkklUqcTa/CNuA0nLdrngCyQYWbbqyfet
oeDw+t3QNRJZlF8mSZ414mqeONffIbGI39lSq2KN5vD7XJkaEuFLr133b7RC
YPbdT11tJLqTfo2fOWKFvGHnCO8PJByk1nlf0LXCgMQZgytTJH6VmQ3cWWqJ
irof694spYMjnk7JU7JEf1WMkzJJx9RM2SGZtxawccqLcPaj49Ukl2693gKx
bv7zp2PpKB77uzP64gaEas6PeV6mI2Fob9LdGXN8iHlP76mlI+DjD7PP28zh
3U7lmg/SYfo+c0TrsRk4Z4ad05UYUOwmC7xXmSG5eVZn3IqBZ6+cFjX2maLj
SFu663UGCpp7SxesTNFcXaZ3QMBAdENEiEnhety+y748oaILg8c5jddDTBDc
QTHhZOtC8oHe0Z5nxkhr0S9V6tbF+3vVesoMY1CLZctdaKuRdUOUljC4FoNx
KdZ11avhwcqL6XJZiyVNLyd1f9HD8kq3UFYpG88LlfbHBunhwotqK0GMEQyH
E7PNFPRh0M0cCFUzBGvu5HJBogH+HMmHktAAlum8nIxBA6xZkMmr+UMf/p8P
nddwXgNDar+zqvlqsH3zVQ0UDWEUerG0wf/nJ6bVpLSymSiNlkg9SKdB11dN
vHKcCXbywV2aY1TI2/bfdaWzwNuWyxoR04LSYLXcmlgWQo9FijiZGvjdQiXx
aiELYVddsi/RVkJa+/1YUyMLv9YzNk2UqyIr+++U8CEW9nxaNOfIVcaGTbPR
frJG2CsjuF3YqYjSySLjIIYR9hlUBH0PU4Ca7GadzdZGEBRor/7fpBwetU98
n/M2Ql9/R/pWVSkcfWHN5e4xglAvaXKx2WLspi6rlIs1QqMwpjyk8ntN/nRU
6tpEI7TsEx2vX/i3Rovj+ewPvhFWDnOCj4X110hlPajzPW+E/wB1XVwa
             "]], LineBox[CompressedData["
1:eJwVknk41AsfxZUt5cXPVhSVmZ9hiBmhIct3GPsWIRRChFSiJGVNtstMb3Rd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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$158643#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, -17.575588388270287`},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in Z axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -118.66252583997979}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}]}, {InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVl3k4VV8Xx82pyBQJIUOGMmUMSZIpMiZJ5nm+97oDSSUhkXmoZIpQSkr9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             "]], LineBox[CompressedData["
1:eJwVlXc4Ft4bxolklNFQIZsklZGyykOSQkbIzt7z9S6jQrIKUUlEKFEiq4y8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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$160391#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in X axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -355.98757751993935}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVjHk81Pkfx8dgDGMTkzOaYWbkKkdG41jfT0WWcpMhV5TosOWMLEXb5kpC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             "]], LineBox[CompressedData["
1:eJwVlHk81N/3x5n3WKOsFbLOWLIbM2Pt8z4ooURCU7QoS5ulFKUshRZRQpGl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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$167523#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in Y axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -355.98757751993935}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwV03s4lHkbB3CxSKW3kVMopnkeNolpEnLIYcSYkEMG5dCEGe/mUE1JiU6E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             "]], LineBox[CompressedData["
1:eJwV0Xs81PkawHHrWtayP5cRZcL8fpGUe2tmY56piRByDRGmm7ASR0lrXBJG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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$169897#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, -10.649993983678225`},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in Z axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -355.98757751993935}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}]}}, {}},
  ContentSelectable->True,
  ImageSize->{1173., 486.65010335991917`},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795444513002963*^9, 
   3.795497711297321*^9, {3.7954991745430136`*^9, 3.7954991979843545`*^9}, 
   3.795499256431698*^9, 3.795499299008133*^9, {3.795499419206008*^9, 
   3.7954995014137096`*^9}, 3.795499746785744*^9, 3.7955007288739166`*^9, 
   3.7955044276334734`*^9, 3.796470650020172*^9, 3.7982806056244802`*^9, 
   3.8019845120444584`*^9, 3.826618961362527*^9, 3.826620301921118*^9},
 CellLabel->
  "Out[498]=",ExpressionUUID->"2ba87596-1dd8-4f0a-8bd4-caa4e626748f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beam powers: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5418745985135789`", ",", "0.13074600000000008`", ",", "0.00994784`"}], 
    "}"}], "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Beam powers: ", {0.5418745985135789, 0.13074600000000008`, 0.00994784}, 
   " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121084623`*^9, 3.826618961364526*^9, 
   3.8266203019291105`*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"fc3ee18e-e14c-4bcd-b9d1-7233b585048f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 1: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.4408689456921424`", ",", "2.1403934995018306`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 1: ", {0.4408689456921424, 2.1403934995018306`, 
   2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121084623`*^9, 3.826618961364526*^9, 
   3.82662030193111*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"8e56c04a-553a-4779-93c7-7ed2bede76eb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 2: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "22.204013497918506`", ",", "2.1403934995018306`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 2: ", {22.204013497918506`, 2.1403934995018306`, 
   2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121084623`*^9, 3.826618961364526*^9, 
   3.8266203019431047`*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"8b1a074c-55b8-4d1a-9e09-3a99df57ed1c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]X for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "330.3162524091749`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : ", 
   330.3162524091749, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121084623`*^9, 3.826618961364526*^9, 
   3.8266203019490986`*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"ee56b71e-1c2b-4cae-9e82-ecc3ab6926ea"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Y for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "664.5029581086299`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : ", 
   664.5029581086299, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121084623`*^9, 3.826618961364526*^9, 
   3.826620301972084*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"df65ef66-9ac1-4133-a1fa-7c1c53cadfcc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Z for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "316.91024151700014`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : ", 
   316.91024151700014`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121084623`*^9, 3.826618961364526*^9, 
   3.8266203019800797`*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"3c1e6b10-98dc-4e99-9eea-25434eccdf3f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Grav sagging: \"\>", "\[InvisibleSpace]", 
   "0.5596244810975457`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Grav sagging: ", 0.5596244810975457, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121084623`*^9, 3.826618961364526*^9, 
   3.826620301982078*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"2686ec05-f60f-456b-8c6d-fa4195161668"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Absolute potential depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "17.61137926648617`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Absolute potential depth: ", -17.61137926648617, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121084623`*^9, 3.826618961364526*^9, 
   3.8266203019980693`*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"0234a9b4-2d08-4bfe-9aeb-08b21bc8a9d6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Edge of the trap between tranport DT and sheet DT: \"\>", 
   "\[InvisibleSpace]", "20.85713678030508`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Edge of the trap between tranport DT and sheet DT: ", 20.85713678030508, 
   " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121084623`*^9, 3.826618961364526*^9, 
   3.8266203020010676`*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"7c08868e-8c6f-4097-97b5-70e72b3dfa92"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Trap depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "10.650005131222`", ",", "6.01002515942167`", ",", 
     "0.9236911644586704`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Trap depth: ", {10.650005131222, 6.01002515942167, 0.9236911644586704}, 
   " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121084623`*^9, 3.826618961364526*^9, 
   3.8266203020150595`*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"4f377d37-b77e-4af7-a428-1a043de09730"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap depth: \"\>", "\[InvisibleSpace]", 
   "8.329164807695214`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Effective trap depth: ", 8.329164807695214, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.796470650081175*^9, 
   3.7982806056884837`*^9, 3.8019845121084623`*^9, 3.826618961364526*^9, 
   3.826620302029049*^9},
 CellLabel->
  "During evaluation of \
In[465]:=",ExpressionUUID->"833f6df1-eebd-41fb-97d9-218179e8739a"]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Self consistent evaluation of Nth for a fixed Nbec and Temp", \
"Subsection",
 CellChangeTimes->{{3.7213797517345233`*^9, 3.7213797879645734`*^9}, {
  3.750685679896145*^9, 3.7506856865615263`*^9}, {3.7954336196228976`*^9, 
  3.7954336495026064`*^9}},ExpressionUUID->"3b4972fc-5e31-4273-80aa-\
9eb153d12fd7"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NInterpPts", " ", "=", "15"}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gScat", " ", "=", 
    RowBox[{"4.", "*", "Pi", "*", 
     RowBox[{"aScat", "/", "mAssSr"}]}]}], " ", ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"hbarre", "^", "2"}], "*", 
    RowBox[{"aB", "/", "au"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"factAuxNatAniso", " ", "=", " ", 
   RowBox[{"hbarre", "/", 
    RowBox[{"(", 
     RowBox[{"2.", "*", "Pi", "*", 
      RowBox[{"aB", "^", "2."}], "*", "au"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxDensity", " ", "=", " ", 
    RowBox[{"2.", "*", 
     RowBox[{"Pi", "/", 
      RowBox[{"(", 
       RowBox[{"hbarre", "*", 
        RowBox[{"aB", "/", "au"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vpot0", " ", "=", " ", 
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"0.", ",", "0.", ",", "0."}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTh0Init", " ", "=", " ", "0."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0BECInit", " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Omega]IsoDT", "/", 
      RowBox[{"(", 
       RowBox[{"2.", "*", "gScat"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"15.", "*", "NatBECTest", "*", "aScat", "*", 
         RowBox[{"aB", "/", "aHODTiso"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
      RowBox[{"(", 
       RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"2", "*", "Pi", " ", "*", " ", 
    RowBox[{
     RowBox[{"hbarre", " ", "/", " ", 
      RowBox[{"hbarre", "^", "2"}]}], " ", "/", "aB"}], " ", "*", " ", "au"}],
    "  ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]Chem", " ", "=", " ", 
    RowBox[{"Vpot0", " ", "+", " ", 
     RowBox[{"gScat", " ", "*", " ", 
      RowBox[{"(", 
       RowBox[{"n0BECInit", "+", 
        RowBox[{"2.", "*", "nTh0Init"}]}], ")"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "Hz"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nThTab", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "0."}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"xMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{
          RowBox[{"-", "yMaxBEC"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{
          RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"zMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", "2"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nThInterpFun", "=", " ", 
    RowBox[{"Interpolation", "[", "nThTab", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]deBroglieFun", "[", "Temp_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2.", "*", 
      RowBox[{"Pi", "/", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "Temp"}], ")"}]}], " ", "*", " ", 
      "hbarreOverAu", " ", "*", " ", "hbarreOverkB"}], "]"}], " ", "/", " ", 
    "aB"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxnThFun", "[", "Temp_", "]"}], ":=", 
   RowBox[{"1.", "/", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]deBroglieFun", "[", "Temp", "]"}], ")"}], "^", 
       "3."}], " ", "*", " ", 
      RowBox[{"aB", "^", "3."}], "*", "factAuxDensity"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{
      RowBox[{"x", "*", "aB"}], ",", 
      RowBox[{"y", "*", "aB"}], ",", 
      RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepth"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"VPotAnisoDTSheetOnlyFun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"XYZDipPotSheetOnlyFun", "[", 
      RowBox[{
       RowBox[{"x", "*", "aB"}], ",", 
       RowBox[{"y", "*", "aB"}], ",", 
       RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepthSheetOnly"}]}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECNoThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ",", "0."}], "]"}]}]}], 
   ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
        RowBox[{"2.", "*", 
         RowBox[{"nThFun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ",", "0."}], 
      "]"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbBECFun", "[", 
    RowBox[{
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
   RowBox[{"4.", "*", 
    RowBox[{
     RowBox[{"Quiet", "[", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"nBECFun", "[", 
         RowBox[{
          RowBox[{"x", "+", 
           RowBox[{"xOffset", "/", "aB"}]}], ",", 
          RowBox[{"y", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
          ",", 
          RowBox[{"z", "+", 
           RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", 
          "nThFun"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0.", ",", "xMaxBEC"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", "0.", ",", "zMaxBEC"}], "}"}], ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
        RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
        RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
      "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbBECNoThFun", "[", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], "]"}], ":=", 
    RowBox[{"4.", "*", 
     RowBox[{
      RowBox[{"Quiet", "[", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"nBECNoThFun", "[", 
          RowBox[{
           RowBox[{"x", "+", 
            RowBox[{"xOffset", "/", "aB"}]}], ",", 
           RowBox[{"y", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
           ",", 
           RowBox[{"z", "+", 
            RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.", ",", "xMaxBEC"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", " ", "0.", ",", "zMaxBEC"}], "}"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
         RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
         RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}],
        "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"UFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=",
    " ", 
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", "+", " ", 
    RowBox[{"2.", "*", "gScat", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}],
         "]"}], "+", " ", 
       RowBox[{"nThOldFun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
   " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"UFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}], 
         "]"}]}], ")"}], "/", "Temp"}], "*", "ctePlanckOverkB"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
    " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThOldFun"}], "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"selfConsitentLoopFun", "[", 
     RowBox[{"{", 
      RowBox[{"nThInterpFun_", ",", "\[Mu]Chem_", ",", "\[Mu]ChemOld_"}], 
      "}"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"nThTabAux", ",", "nThInterpFunRes", ",", "\[Mu]ChemRes"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nThTabAux", " ", "=", " ", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"nThFun", "[", 
               RowBox[{
               "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "TempCloud", 
                ",", "nThInterpFun"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"xMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{
               RowBox[{"-", "yMaxBEC"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"zMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", 
          "2"}], "]"}]}], ";", 
       RowBox[{"nThInterpFunRes", "=", " ", 
        RowBox[{"Interpolation", "[", "nThTabAux", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]ChemRes", "=", " ", 
        RowBox[{"\[Mu]ChemBEC", "/.", " ", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"NbBECFun", "[", 
             RowBox[{"\[Mu]ChemBEC", ",", "nThInterpFunRes"}], "]"}], 
            "\[Equal]", "   ", "NatBECTest"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Mu]ChemBEC", ",", "\[Mu]Chem"}], "}"}], ",", 
           RowBox[{"Evaluated", "\[Rule]", " ", "False"}], ",", 
           RowBox[{"MaxIterations", "\[Rule]", " ", "20"}], ",", 
           RowBox[{"AccuracyGoal", "\[Rule]", "10"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Current value of chemical potential: \>\"", ",", "\[Mu]ChemRes", 
         ",", "\"\< Hz\>\""}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nThInterpFunRes", ",", "\[Mu]ChemRes", ",", "\[Mu]Chem"}], 
        "}"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aux1Fun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"x", "/", "xMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"y", "/", "yMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"z", "/", "zMaxTh"}], "]"}], ")"}], "^", "1.5"}]}], ")"}], 
    "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"aux2Fun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"x", "/", 
           RowBox[{"(", 
            RowBox[{"xMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"y", "/", 
           RowBox[{"(", 
            RowBox[{"yMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"z", "/", 
           RowBox[{"(", 
            RowBox[{"zMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}]}], ")"}], "/", "2."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nTh2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"PolyLog", "[", 
      RowBox[{
       RowBox[{"3", "/", "2"}], ",", 
       RowBox[{"Z2Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
        "]"}]}], "]"}], "]"}], " ", "*", 
    RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZSheetOnlyFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"VPotAnisoDTSheetOnlyFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThSheetOnlyFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZSheetOnlyFun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "Temp"}], "]"}]}], "]"}], 
      "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThBoltzSheetOnlyFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "auxCalc", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"auxCalc", " ", "=", " ", 
        RowBox[{"VPotAnisoDTSheetOnlyFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"auxCalc", "\[LessEqual]", "   ", "0."}], ",", "0.", ",", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "auxCalc"}], "/", "Temp"}], "*", "ctePlanckOverkB"}],
           "]"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThExtendedFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"aux1Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aux2Fun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", 
        RowBox[{"nThFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThInterpFun"}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], ",", "0."}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbThFun", "[", 
     RowBox[{"\[Mu]Chem_", ",", "Temp_", ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"4.", "*", " ", 
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
          RowBox[{"x", "+", 
           RowBox[{"xOffset", "/", "aB"}]}], ",", 
          RowBox[{"y", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
          ",", 
          RowBox[{"z", "+", 
           RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", "Temp", 
          ",", "nThInterpFun"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
        RowBox[{"PrecisionGoal", "\[Rule]", "2"}], ",", 
        RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
      "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0ThBoltzSheetOnlyFun", "[", 
    RowBox[{"NbTh_", ",", "Temp_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "auxFalseNb", "}"}], ",", 
     RowBox[{
      RowBox[{"auxFalseNb", "=", 
       RowBox[{"4.", "*", " ", 
        RowBox[{
         RowBox[{"NIntegrate", "[", 
          RowBox[{
           RowBox[{"nThBoltzSheetOnlyFun", "[", 
            RowBox[{
             RowBox[{"x", "+", 
              RowBox[{"xOffset", "/", "aB"}]}], ",", 
             RowBox[{"y", "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"yOffset", "+", "gSaggSrNumSheetOnly"}], ")"}], "/", 
               "aB"}]}], ",", 
             RowBox[{"z", "+", 
              RowBox[{"zOffset", "/", "aB"}]}], ",", "Temp"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
           RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
           RowBox[{"PrecisionGoal", "\[Rule]", "2"}], ",", 
           RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], 
          "]"}], "/", "factAuxNatAniso"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"NbTh", "/", "auxFalseNb"}]}]}], "\[IndentingNewLine]", "]"}]}],
   ";"}]}], "Input",
 CellChangeTimes->{{3.795412272675922*^9, 3.7954122733979635`*^9}, {
   3.795412338503687*^9, 3.7954123395937495`*^9}, {3.7954124414115734`*^9, 
   3.7954125545510445`*^9}, {3.795412602645795*^9, 3.7954126028588076`*^9}, {
   3.795412641986045*^9, 3.795412672181772*^9}, {3.7954127276239433`*^9, 
   3.795412727969963*^9}, {3.795412802308215*^9, 3.7954129253082504`*^9}, {
   3.7954129567280474`*^9, 3.7954129985764413`*^9}, {3.7954130524345217`*^9, 
   3.7954130688094583`*^9}, {3.7954131738404655`*^9, 
   3.7954131821739426`*^9}, {3.795413298957622*^9, 3.7954133254101353`*^9}, {
   3.7954134760787525`*^9, 3.7954135066395006`*^9}, {3.7954135429855795`*^9, 
   3.7954137009686155`*^9}, {3.7954137321614*^9, 3.795413737549708*^9}, 
   3.7954137685704823`*^9, {3.795413863906935*^9, 3.7954138970708323`*^9}, {
   3.795413975689329*^9, 3.7954139764343715`*^9}, {3.795425005449195*^9, 
   3.7954250208070736`*^9}, {3.7954251594590034`*^9, 3.795425181198247*^9}, {
   3.7954253466877127`*^9, 3.7954253762114015`*^9}, {3.7954254409391036`*^9, 
   3.795425478726265*^9}, 3.795425536822588*^9, {3.7954255808941083`*^9, 
   3.795425634325165*^9}, {3.795425790490097*^9, 3.7954258183856926`*^9}, {
   3.7954258785161314`*^9, 3.7954259995520544`*^9}, {3.795426044443622*^9, 
   3.795426233835455*^9}, {3.795426537196806*^9, 3.7954266074378233`*^9}, {
   3.7954266600658336`*^9, 3.7954267045523777`*^9}, {3.7954267351641293`*^9, 
   3.7954267980517263`*^9}, {3.795426852222824*^9, 3.7954268679787254`*^9}, {
   3.7954269030007286`*^9, 3.7954269032427425`*^9}, {3.7954269832783203`*^9, 
   3.795427083169034*^9}, {3.79542712139222*^9, 3.795427127744583*^9}, {
   3.7954271649117093`*^9, 3.7954271817886744`*^9}, 3.7954275600773115`*^9, {
   3.7954276202647543`*^9, 3.7954276375347414`*^9}, 3.7954277665431204`*^9, {
   3.7954277989009714`*^9, 3.7954277995990114`*^9}, {3.7954278577423368`*^9, 
   3.795427892545327*^9}, {3.795427931265542*^9, 3.795427944648308*^9}, {
   3.795428058806837*^9, 3.7954280875334797`*^9}, {3.795428207570346*^9, 
   3.795428235397938*^9}, {3.795428276863309*^9, 3.7954283208918276`*^9}, {
   3.7954283918318853`*^9, 3.795428397111187*^9}, 3.7954291421097984`*^9, {
   3.795429443170018*^9, 3.7954294558067408`*^9}, {3.795429676046338*^9, 
   3.7954296763353543`*^9}, {3.795429969224107*^9, 3.7954299737993684`*^9}, {
   3.7954302001643157`*^9, 3.7954302012023754`*^9}, {3.7954314113425913`*^9, 
   3.7954314117536144`*^9}, {3.7954315154065433`*^9, 
   3.7954315579919786`*^9}, {3.795431890181979*^9, 3.795431890531999*^9}, 
   3.795432954083831*^9, {3.7954338308759804`*^9, 3.795433850961129*^9}, {
   3.7954368927101073`*^9, 3.7954368968943467`*^9}, 3.7954371532650104`*^9, {
   3.795437262779274*^9, 3.795437280441284*^9}, {3.7954373374385443`*^9, 
   3.7954373406827297`*^9}, 3.7954375579651575`*^9, {3.7954375896489697`*^9, 
   3.795437669130516*^9}, {3.795437770695325*^9, 3.795437771037345*^9}, {
   3.795439259206463*^9, 3.7954392703330994`*^9}, {3.7954393169097633`*^9, 
   3.795439349873649*^9}, {3.7954996735715566`*^9, 3.795499703605274*^9}, {
   3.7954999315233107`*^9, 3.7954999878055296`*^9}, {3.795500045195812*^9, 
   3.7955000616517534`*^9}, {3.795500402439245*^9, 3.795500402593254*^9}, {
   3.795500573894052*^9, 3.795500608371024*^9}, {3.795500639738818*^9, 
   3.7955006601759872`*^9}, {3.7955007342222223`*^9, 
   3.7955007987529135`*^9}, {3.7955008947094016`*^9, 3.795500905100996*^9}, {
   3.795501040455738*^9, 3.7955011358851957`*^9}, {3.79550438859624*^9, 
   3.795504388786251*^9}, {3.798280548834232*^9, 3.798280574608706*^9}, {
   3.798286208309935*^9, 3.7982862292831345`*^9}},
 CellLabel->
  "In[510]:=",ExpressionUUID->"a209b280-a852-4b80-b052-b16655821820"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"nThInterpFunSol", ",", "\[Mu]ChemSol", ",", "\[Mu]ChemAux"}], 
   "}"}], "=", " ", 
  RowBox[{"NestWhile", "[", 
   RowBox[{"selfConsitentLoopFun", ",", 
    RowBox[{"{", 
     RowBox[{"nThInterpFun", ",", "\[Mu]Chem", ",", "1."}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", 
          RowBox[{"#", "[", 
           RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "]"}], "/", 
       RowBox[{"#", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], ">", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "5"}], ")"}]}]}], "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.795431789724233*^9, 3.7954318089193316`*^9}, {
  3.7954324286467776`*^9, 3.795432428983797*^9}, {3.7954324599235663`*^9, 
  3.7954324602215834`*^9}, {3.7954338361732836`*^9, 3.7954338364613*^9}, {
  3.7954372906848707`*^9, 3.795437291167898*^9}},
 CellLabel->
  "In[542]:=",ExpressionUUID->"8e0fd04b-dd90-4f88-bd79-b4b715eb52ec"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3972.906241426031`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3972.906241426031, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826620320569422*^9},
 CellLabel->
  "During evaluation of \
In[542]:=",ExpressionUUID->"9d9a0b27-d392-4d67-9d6a-4477c957af86"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3858.6244362090165`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3858.6244362090165`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8266203380615387`*^9},
 CellLabel->
  "During evaluation of \
In[542]:=",ExpressionUUID->"a8357e34-692f-4b4e-8380-00cf74e0d806"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3892.6375500032023`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3892.6375500032023`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8266203557365465`*^9},
 CellLabel->
  "During evaluation of \
In[542]:=",ExpressionUUID->"e0fc53e0-fef7-4128-a3f4-65bfed3655c1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3881.2034293316597`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3881.2034293316597`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8266203707791867`*^9},
 CellLabel->
  "During evaluation of \
In[542]:=",ExpressionUUID->"0d2fc433-cee3-4914-abaa-325ec6b61874"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3884.9474211400006`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3884.9474211400006`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826620385850812*^9},
 CellLabel->
  "During evaluation of \
In[542]:=",ExpressionUUID->"c09ea8d0-c888-4a39-955f-82300bc1ac47"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3883.693592634053`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3883.693592634053, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8266203984269896`*^9},
 CellLabel->
  "During evaluation of \
In[542]:=",ExpressionUUID->"0ce6197e-7fe3-46c1-8db2-6b4da94bdbb4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3884.1158565261408`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3884.1158565261408`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826620413390681*^9},
 CellLabel->
  "During evaluation of \
In[542]:=",ExpressionUUID->"399d86f7-d37a-4cbc-ba92-99f39576bc69"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3883.972292088514`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3883.972292088514, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826620425908894*^9},
 CellLabel->
  "During evaluation of \
In[542]:=",ExpressionUUID->"622f48e6-56fc-4fe4-9919-6aa8e69aa82c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3884.0214530164403`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3884.0214530164403`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8266204385180507`*^9},
 CellLabel->
  "During evaluation of \
In[542]:=",ExpressionUUID->"27254423-35af-42b3-92ab-f2c4f92b9206"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3884.004492974517`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3884.004492974517, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8266204510782375`*^9},
 CellLabel->
  "During evaluation of \
In[542]:=",ExpressionUUID->"be5e6577-81a6-4cb5-a71a-abd49c8ca84c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    RowBox[{
     TagBox["InterpolatingFunction",
      "SummaryHead"], "[", 
     DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = 
      "Ready"}, 
      TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquarePlusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = True), Appearance -> None,
                 Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[{{
                 GrayLevel[0.6], 
                 AbsolutePointSize[5], 
                 PointBox[{1, 1}], 
                 PointBox[{2, 4}], 
                 PointBox[{3, 2}], 
                 PointBox[{4, 3}]}, {{}, {}, {
                  AbsoluteThickness[1], 
                  Opacity[1.], 
                  LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                   "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
               GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                 GrayLevel[0.7], 
                 Thickness[Tiny]], FrameTicks -> None, 
               ImageSize -> {Automatic, 
                 Dynamic[
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                   Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "12598.174219237619`"}], ",", 
                    "201570.7875078019`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "120942.47250468114`"}], ",", 
                    "120942.47250468114`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "18897.261328856428`"}], ",", 
                    "302356.18126170285`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"scalar\"", "SummaryItem"]}]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}], True -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquareMinusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                None, Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[{{
                 GrayLevel[0.6], 
                 AbsolutePointSize[5], 
                 PointBox[{1, 1}], 
                 PointBox[{2, 4}], 
                 PointBox[{3, 2}], 
                 PointBox[{4, 3}]}, {{}, {}, {
                  AbsoluteThickness[1], 
                  Opacity[1.], 
                  LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                   "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
               GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                 GrayLevel[0.7], 
                 Thickness[Tiny]], FrameTicks -> None, 
               ImageSize -> {Automatic, 
                 Dynamic[
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                   Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "12598.174219237619`"}], ",", 
                    "201570.7875078019`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "120942.47250468114`"}], ",", 
                    "120942.47250468114`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "18897.261328856428`"}], ",", 
                    "302356.18126170285`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"scalar\"", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Order: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{"3", ",", "3", ",", "3"}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Method: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"Hermite\"", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Periodic: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["False", "SummaryItem"]}]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}]}, 
         Dynamic[Typeset`open$$], ImageSize -> Automatic]},
       "SummaryPanel"],
      DynamicModuleValues:>{}], "]"}],
    InterpolatingFunction[{{-12598.174219237619`, 
     201570.7875078019}, {-120942.47250468114`, 
     120942.47250468114`}, {-18897.261328856428`, 302356.18126170285`}}, {
     5, 7, 0, {18, 33, 18}, {4, 4, 4}, 0, 0, 0, 0, Automatic, {}, {}, 
      False}, {{-12598.174219237619`, 0., 12598.174219237619`, 
      25196.348438475237`, 37794.522657712856`, 50392.696876950475`, 
      62990.87109618809, 75589.04531542573, 88187.21953466334, 
      100785.39375390095`, 113383.56797313856`, 125981.7421923762, 
      138579.9164116138, 151178.09063085142`, 163776.26485008906`, 
      176374.43906932668`, 188972.6132885643, 
      201570.7875078019}, {-120942.47250468114`, -113383.56797313856`, \
-105824.663441596, -98265.75891005342, -90706.85437851085, \
-83147.94984696829, -75589.04531542571, -68030.14078388314, \
-60471.23625234057, -52912.331720798, -45353.427189255424`, \
-37794.52265771285, -30235.618126170288`, -22676.713594627712`, \
-15117.809063085137`, -7558.904531542576, 0., 7558.904531542576, 
      15117.809063085137`, 22676.713594627727`, 30235.618126170288`, 
      37794.52265771285, 45353.42718925544, 52912.331720798, 
      60471.23625234056, 68030.14078388315, 75589.04531542571, 
      83147.94984696827, 90706.85437851086, 98265.75891005342, 
      105824.66344159599`, 113383.56797313858`, 
      120942.47250468114`}, {-18897.261328856428`, 0., 18897.261328856428`, 
      37794.52265771285, 56691.78398656928, 75589.04531542571, 
      94486.30664428213, 113383.56797313856`, 132280.829301995, 
      151178.09063085142`, 170075.35195970786`, 188972.6132885643, 
      207869.8746174207, 226767.13594627712`, 245664.39727513355`, 
      264561.65860399004`, 283458.91993284645`, 302356.18126170285`}}, {
     Developer`PackedArrayForm, CompressedData["
1:eJwc3VMQINuyBcA79hnbtm3btm3btm3btm3btu2X8zoiI/qzf1p7V62K36Bt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      "], CompressedData["
1:eJzs2vc31//7B3B77z2y9957PO/23nuTEmWk0kKbJLvMVFQKFUmpSINCU6KS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      "]}, {Automatic, Automatic, Automatic}],
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", "3884.004492974517`", ",", 
   "3884.0214530164403`"}], "}"}]], "Output",
 CellChangeTimes->{3.795432399786127*^9, 3.795433111998863*^9, 
  3.795433839934499*^9, 3.7954340003356733`*^9, 3.795434818022442*^9, 
  3.795437075717575*^9, 3.795437357152672*^9, 3.7954375228901515`*^9, 
  3.7954381756964903`*^9, 3.795441606161701*^9, 3.7955001055492644`*^9, 
  3.795504793577404*^9, 3.796471038869413*^9, 3.7982809809299464`*^9, 
  3.801984855464101*^9, 3.8266189634405384`*^9, 3.826620451199162*^9},
 CellLabel->
  "Out[542]=",ExpressionUUID->"544cce9c-dbe9-4be8-9b00-9fbf65bb9112"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nbBEC", " ", "=", " ", 
   RowBox[{"NbBECFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0BEC", " ", "=", " ", 
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", 
      "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nbTh", " ", "=", " ", 
   RowBox[{"NbThFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0ThSheetOnly", " ", "=", " ", 
   RowBox[{
    RowBox[{"n0ThBoltzSheetOnlyFun", "[", 
     RowBox[{"NatReservoirTest", ",", "TempReservoir"}], "]"}], "*", 
    "factAuxDensity"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0ThDimple", " ", "=", 
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
      "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]ChemNoIntSol", " ", "=", " ", 
    RowBox[{"First", "[", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"NbBECNoThFun", "[", "\[Mu]ChemNoInt", "]"}], "\[Equal]", 
          "NatBECTest"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Mu]ChemNoInt", ",", "\[Mu]Chem"}], "}"}]}], "]"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]ChemNoInt", "\[Rule]", "\[Mu]_"}], ")"}], "\[Rule]", 
        " ", "\[Mu]"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Initial chemical potential: \>\"", ",", "\[Mu]Chem", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Final chemical potential: \>\"", ",", "\[Mu]ChemSol", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Chemical potential with interaction with thermal gas: \>\"", ",", 
   "\[Mu]ChemNoIntSol", ",", "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<BEC atom number: \>\"", ",", "nbBEC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Thermal atom number in dimple (theory): \>\"", ",", "nbTh"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Thermal atom number in reservoir (from exp): \>\"", ",", 
    "NatReservoirTest"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak density due to BEC: \>\"", ",", "n0BEC", ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak density due to thermal gas in dimple: \>\"", ",", "n0ThDimple", 
   ",", "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Peak density due to thermal gas in reservoir (sheet only): \>\"", ",",
     "n0ThSheetOnly", ",", "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]",
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"nBECFun", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "0.", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}], "*", 
        "factAuxDensity"}], ",", 
       RowBox[{
        RowBox[{"nBECNoThFun", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "0.", ",", "\[Mu]ChemNoIntSol"}], "]"}], "*", "factAuxDensity"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{
        RowBox[{"xMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<BEC density distribution in X axis\>\""}], 
     ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<BEC\>\"", ",", "\"\<BEC (no int with Th)\>\""}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Scaled", "[", 
           RowBox[{"{", 
            RowBox[{"0.", ",", "0.3"}], "}"}], "]"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0.6"}], ",", " ", "0."}], "}"}]}], "}"}]}], 
       "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"nBECFun", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"y", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}], "*", 
        "factAuxDensity"}], ",", 
       RowBox[{
        RowBox[{"nBECNoThFun", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"y", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "\[Mu]ChemNoIntSol"}], "]"}], "*", "factAuxDensity"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "yMaxBEC"}], "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<BEC density distribution in Y axis\>\""}], 
     ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<BEC\>\"", ",", "\"\<BEC (no int with Th)\>\""}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Scaled", "[", 
           RowBox[{"{", 
            RowBox[{"0.", ",", "0.3"}], "}"}], "]"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0."}], ",", " ", "0."}], "}"}]}], "}"}]}], 
       "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BecPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"nBECFun", "[", 
          RowBox[{"0.", ",", "0.", ",", 
           RowBox[{"z", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
           "\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}], "*", 
         "factAuxDensity"}], ",", 
        RowBox[{
         RowBox[{"nBECNoThFun", "[", 
          RowBox[{"0.", ",", "0.", ",", 
           RowBox[{"z", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
           "\[Mu]ChemNoIntSol"}], "]"}], "*", "factAuxDensity"}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0", ",", 
        RowBox[{
         RowBox[{"zMaxBEC", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{
      "PlotLabel", "\[Rule]", "\"\<BEC density distribution in Z axis\>\""}], 
      ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<BEC\>\"", ",", "\"\<BEC (no int with Th)\>\""}], "}"}],
          ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Scaled", "[", 
            RowBox[{"{", 
             RowBox[{"0.", ",", "0.3"}], "}"}], "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "0.6"}], ",", " ", "0."}], "}"}]}], "}"}]}], 
        "]"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{
            RowBox[{"x", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{
          RowBox[{"nThFun", "[", 
           RowBox[{
            RowBox[{"x", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
            "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", "0."}], 
        "]"}], ",", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
          "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
       RowBox[{
        RowBox[{"nTh2Fun", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], "]"}], "*", 
        "factAuxDensity"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{"2", "*", 
        RowBox[{"xMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Dimple density distribution in X axis\>\""}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Valid near BEC\>\"", ",", "\"\<Good distrib\>\"", ",", 
          "\"\<Valid at th. part\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Scaled", "[", 
           RowBox[{"{", 
            RowBox[{"0.", ",", "0.3"}], "}"}], "]"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0.6"}], ",", " ", "0."}], "}"}]}], "}"}]}], 
       "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"y", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0."}], 
           "]"}], "<", "0.5"}], ",", 
         RowBox[{
          RowBox[{"nThFun", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"y", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}],
           "*", "factAuxDensity"}], ",", "0."}], "]"}], ",", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"y", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
        "*", "factAuxDensity"}], ",", 
       RowBox[{
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"y", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "\[Mu]ChemSol", ",", "TempCloud"}], "]"}], "*", 
        "factAuxDensity"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{"2", "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Dimple density distribution in Y axis\>\""}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Valid near BEC\>\"", ",", "\"\<Good distrib\>\"", ",", 
          "\"\<Valid at th. part\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Scaled", "[", 
           RowBox[{"{", 
            RowBox[{"0.", ",", "0.3"}], "}"}], "]"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0."}], ",", " ", "0."}], "}"}]}], "}"}]}], 
       "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"aux2Fun", "[", 
            RowBox[{"0.", ",", "0.", ",", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], "]"}], "<", 
           "0.5"}], ",", 
          RowBox[{
           RowBox[{"nThFun", "[", 
            RowBox[{"0.", ",", "0.", ",", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
             "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], 
            "]"}], "*", "factAuxDensity"}], ",", "0."}], "]"}], ",", 
        RowBox[{
         RowBox[{"nThExtendedFun", "[", 
          RowBox[{"0.", ",", "0.", ",", 
           RowBox[{"z", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
           "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
         "*", "factAuxDensity"}], ",", 
        RowBox[{
         RowBox[{"nTh2Fun", "[", 
          RowBox[{"0.", ",", "0.", ",", 
           RowBox[{"z", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
           "\[Mu]ChemSol", ",", "TempCloud"}], "]"}], "*", 
         "factAuxDensity"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0", ",", 
        RowBox[{"2", "*", 
         RowBox[{"zMaxBEC", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{
      "PlotLabel", "\[Rule]", 
       "\"\<Dimple density distribution in Z axis\>\""}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<Valid near BEC\>\"", ",", "\"\<Good distrib\>\"", ",", 
           "\"\<Valid at th. part\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Scaled", "[", 
            RowBox[{"{", 
             RowBox[{"0.", ",", "0.3"}], "}"}], "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "0.6"}], ",", " ", "0."}], "}"}]}], "}"}]}], 
        "]"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThSheetOnlyPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"n0ThSheetOnly", "*", 
      RowBox[{"nThBoltzSheetOnlyFun", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", "0.", 
        ",", "TempReservoir"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "xMaxTh"}], "/", "2"}], "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"xMaxTh", "/", "2"}], "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Reservoir density distribution in X axis\>\""}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThSheetOnlyPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"n0ThSheetOnly", "*", 
      RowBox[{"nThBoltzSheetOnlyFun", "[", 
       RowBox[{"0.", ",", 
        RowBox[{"y", "*", 
         RowBox[{
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
        "TempReservoir"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "yMaxTh"}], "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{
        RowBox[{"yMaxTh", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Reservoir density distribution in Y axis\>\""}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThSheetOnlyPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"n0ThSheetOnly", "*", 
       RowBox[{"nThBoltzSheetOnlyFun", "[", 
        RowBox[{"0.", ",", "0.", ",", 
         RowBox[{"z", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
         "TempReservoir"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"-", "zMaxTh"}], "/", "2"}], "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"zMaxTh", "/", "2"}], "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{
      "PlotLabel", "\[Rule]", 
       "\"\<Reservoir density distribution in Z axis\>\""}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Density (at./m^3)\>\""}], 
        "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"BecPlot1", ",", "BecPlot2", ",", "BecPlot3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ThPlot1", ",", "ThPlot2", ",", "ThPlot3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "ThSheetOnlyPlot1", ",", "ThSheetOnlyPlot2", ",", "ThSheetOnlyPlot3"}], 
     "}"}]}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.795432692306858*^9, 3.7954327479470406`*^9}, {
   3.7954327858582087`*^9, 3.795432846670687*^9}, {3.7954331382793665`*^9, 
   3.7954331391564164`*^9}, {3.795433454851473*^9, 3.7954334557785263`*^9}, {
   3.7954334892674417`*^9, 3.7954335096336064`*^9}, {3.7954337453250875`*^9, 
   3.7954337997432*^9}, {3.7954339214801626`*^9, 3.7954339756062584`*^9}, {
   3.7954340388148737`*^9, 3.7954340949300833`*^9}, {3.7954341418397665`*^9, 
   3.7954341575836673`*^9}, {3.795434207998551*^9, 3.7954342189461765`*^9}, {
   3.7954343180178432`*^9, 3.7954343280924196`*^9}, {3.795434488132573*^9, 
   3.795434520024398*^9}, {3.7954345642069244`*^9, 3.7954345863721924`*^9}, 
   3.7954346972365336`*^9, {3.7954347324705486`*^9, 3.7954347328215685`*^9}, {
   3.79543478913579*^9, 3.795434972312267*^9}, {3.79543501746585*^9, 
   3.7954350501917214`*^9}, {3.7954350971094046`*^9, 3.795435516716405*^9}, {
   3.7954355624790225`*^9, 3.7954356639218245`*^9}, {3.7954356952846184`*^9, 
   3.7954358121203012`*^9}, {3.795435842576043*^9, 3.795435927612907*^9}, {
   3.795435994903756*^9, 3.7954360027222033`*^9}, {3.7954360373971863`*^9, 
   3.795436106495138*^9}, {3.7954361434422517`*^9, 3.795436237156612*^9}, {
   3.795436505338951*^9, 3.795436509153169*^9}, {3.795436541402014*^9, 
   3.7954367131008344`*^9}, {3.7954367912023015`*^9, 3.795436850637701*^9}, 
   3.7954368896729336`*^9, {3.795436970114535*^9, 3.7954369707245693`*^9}, {
   3.795437548773632*^9, 3.7954375498886957`*^9}, {3.795500317152367*^9, 
   3.7955003205805635`*^9}, {3.7955017506463585`*^9, 
   3.7955017896875916`*^9}, {3.7955018286098175`*^9, 3.795501883579962*^9}, {
   3.795502020914817*^9, 3.795502240178358*^9}, {3.7964707168549943`*^9, 
   3.796470811640416*^9}, {3.796470843812256*^9, 3.796470870714795*^9}, {
   3.7964709198326044`*^9, 3.7964709661382527`*^9}, {3.79647238959667*^9, 
   3.7964723982111626`*^9}, {3.796472434224222*^9, 3.796472474962552*^9}, {
   3.7964725092535143`*^9, 3.7964725349469833`*^9}, {3.7964725792205153`*^9, 
   3.7964726398859854`*^9}, {3.796472684130516*^9, 3.7964726858666153`*^9}, {
   3.7982807119675627`*^9, 3.7982809667371345`*^9}, {3.798281045130618*^9, 
   3.7982810600964746`*^9}, {3.7982811839505587`*^9, 3.798281208662972*^9}, {
   3.798281245106056*^9, 3.798281278076942*^9}, 3.7982813749594836`*^9, {
   3.798281413114666*^9, 3.79828141931402*^9}, {3.7982842261155605`*^9, 
   3.798284276080418*^9}, {3.7982852237646227`*^9, 3.798285224117643*^9}, {
   3.7982854259611874`*^9, 3.798285430941472*^9}, {3.798285635121151*^9, 
   3.7982856526361523`*^9}, 3.7982862491592717`*^9, {3.8019849650463686`*^9, 
   3.8019849825223684`*^9}},
 CellLabel->
  "In[543]:=",ExpressionUUID->"a171204e-57fe-4cd1-b729-a348a35cee78"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initial chemical potential: \"\>", "\[InvisibleSpace]", 
   "4250.737296373882`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Initial chemical potential: ", 4250.737296373882, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8266189721745815`*^9, 3.8266204673711023`*^9},
 CellLabel->
  "During evaluation of \
In[543]:=",ExpressionUUID->"f5d0aeb1-3736-4825-81d3-fce8606077ee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final chemical potential: \"\>", "\[InvisibleSpace]", 
   "3884.004492974517`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Final chemical potential: ", 3884.004492974517, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8266189721745815`*^9, 3.8266204673751*^9},
 CellLabel->
  "During evaluation of \
In[543]:=",ExpressionUUID->"ec435ab4-be0d-4956-9161-21019c303e0a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Chemical potential with interaction with thermal gas: \"\>", 
   "\[InvisibleSpace]", "3665.9182698165573`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Chemical potential with interaction with thermal gas: ", 
   3665.9182698165573`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8266189721745815`*^9, 3.8266204673880916`*^9},
 CellLabel->
  "During evaluation of \
In[543]:=",ExpressionUUID->"8055cccd-17c6-4e4d-ad6c-ba2824648601"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BEC atom number: \"\>", "\[InvisibleSpace]", 
   "7499.999999999997`"}],
  SequenceForm["BEC atom number: ", 7499.999999999997],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8266189721745815`*^9, 3.826620467413083*^9},
 CellLabel->
  "During evaluation of \
In[543]:=",ExpressionUUID->"4c2d1e5e-04cf-466c-9c63-5630a3294062"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thermal atom number in dimple (theory): \"\>", 
   "\[InvisibleSpace]", "345078.6595661799`"}],
  SequenceForm["Thermal atom number in dimple (theory): ", 345078.6595661799],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8266189721745815`*^9, 3.826620467429066*^9},
 CellLabel->
  "During evaluation of \
In[543]:=",ExpressionUUID->"542c66bb-0b00-4a79-bb06-31da327c0927"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thermal atom number in reservoir (from exp): \"\>", 
   "\[InvisibleSpace]", "830000.0000000001`"}],
  SequenceForm[
  "Thermal atom number in reservoir (from exp): ", 830000.0000000001],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8266189721745815`*^9, 3.8266204674440575`*^9},
 CellLabel->
  "During evaluation of \
In[543]:=",ExpressionUUID->"b9b01a13-868c-4b4a-b119-f7037b94486f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to BEC: \"\>", "\[InvisibleSpace]", 
   "3.161795739951162`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm["Peak density due to BEC: ", 3.161795739951162*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8266189721745815`*^9, 3.8266204674600472`*^9},
 CellLabel->
  "During evaluation of \
In[543]:=",ExpressionUUID->"83009f7d-e152-4b2f-9080-dd52433868fc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas in dimple: \"\>", 
   "\[InvisibleSpace]", "1.871986826193003`*^20", 
   "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas in dimple: ", 1.871986826193003*^20, 
   " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8266189721745815`*^9, 3.826620467475038*^9},
 CellLabel->
  "During evaluation of \
In[543]:=",ExpressionUUID->"89c6479b-a70d-4807-8b83-8a7081012892"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas in reservoir (sheet only): \
\"\>", "\[InvisibleSpace]", "3.3509037856540293`*^18", 
   "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas in reservoir (sheet only): ", 
   3.3509037856540293`*^18, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8266189721745815`*^9, 3.826620467491029*^9},
 CellLabel->
  "During evaluation of \
In[543]:=",ExpressionUUID->"077d1014-7b22-440c-96f4-3dc0e76bdb48"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"1543.0837768265303`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,566,347,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826618964929282*^9, 3.8266204703257*^9},
 CellLabel->
  "During evaluation of \
In[543]:=",ExpressionUUID->"5b9d4ac7-9eb5-4966-a60d-4c94c47405c5"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"2126.480289804424`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,566,348,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826618964929282*^9, 3.8266204703626757`*^9},
 CellLabel->
  "During evaluation of \
In[543]:=",ExpressionUUID->"352258db-9494-4f5a-a5a7-17fbf453a4ce"],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxF0Xk01fkbB/DLvTTWbGOU5dqVcL+3NBPR55vvR7KMCYkQUVxFZoiSREL4
yZKllGSLSYulpCHJVtn3YmxdbvadS7by+/7O+Z37fc55znNefzzPOe/zKLj8
aenKTSKRKvH+30wLcuGln40+9KTWPviLEh3Wdsqb2cifA+MK6aRB3FsfKkLl
5a+AD65VZ/7FLZxQUsjfcwPkSlQ/bsedVhlD5ZGPAlulGa0fcGvMnY3dYsQB
y3GHnn9wDwg//LHZnQCWdVeq/8atnMv36/pGMjhl7RmXiNtT3+/CN+o9IDRc
oR+I+2UX8xEbewBOJc00O+Ne9zDrX2Ckgy2VVQBxZ3D1R30zzAQadoOJSrhh
822Vle4sQNtIr99SpMPxFKMq9rlHwKtPb6gH962z3x2WNnJAeVdxbz7uzg33
pHlqHmjM3n/RAvelj3LIXNETIGF9SEwO987ErsYZ7BnQ6lZIHFOgQxd1lDzF
KADv7K/oeuPm3ghoZQcWgiNXZk7TcXcxrWXZhkVAOE3v3Kw8Hfo/Eyhd7H4B
uMM8qU64TRJGeRczXoLyjN+bxXDL+FcdXzhXDA7685+qodJhJXZ5fm7jFeB1
klKUxr2tb1hthloKLEViDXJk6bCn8q3f9HgpGPpovQVwP8lNqZkqKgOx0ptp
3TJ0aO5j7jSJlYOQ1NHr36Xp8A5f2Z0xxjuQNmIwoLSTDosvm/hclKoED3Zv
z8vZQYcPJn/bsRRYCWSHK04o4/ZqE2MsGlaBgyWNNlJSdCj2oI57obsa9L0o
mu/9mQ43hEvy/tKrAabahY0Y7q8h2cfmM2rA3u8pkXkSdFjCCHo4d64WqJ/R
fOwhTod2+7R1Zzfeg2RacFCDCB1mNqR7T1HrwWX5lshFfjpkp7xS/3KrHqS+
HfGTwn2E0cjqWKsH105Klury0eE0+Zt1WWcDWNNsOOy7jQ4P6JvrRkU0AXOu
Yoc3ZDpsK9jkVptrBXZD3mX3NhAoBvgchbTaQO89Cf7wdQQeVE3SjTjbBgre
LBV4riEwlp23FNDeBmISvH8g3xCoffuTq8vTduBnUZIbs4jA4AYNE7pTJ6hg
DqjeHUfg46LXqk+TO8GlqcQ+ozEEdqQYkFWaOoHZk+JR9ggClRm25VI6XSDR
AiNBFgIbyGFaJPFPQFF8CS0ZQKCkfp9Y64fPIMA2f2OyHYH5BVF9nlq9IILm
6J38GoGTYpO3TJx7AW3CR3zuFQLVLpkc2pXUCzQ/hIUZFiMwQ08gk7XWCzIW
8zvHCxGYUH/Lze59H3BTiVTle4LAS6y4BSOHAbA3oiqzMBWB6QKNoaKGTBA/
liaQGojAQ/pXHa47MsF3j4PJsQEI7Pfas3/uMhNE/+I4G+SPQKmO6NGmJ0xw
V+TI9hO+CLydYmYcKTIEPl/cJTjogcBQlRbhrb4h8Nbr9spxOwQyQPu9aR8W
sKf7vxjURiApa6WsL5oFkISASP+9CEyhyPQ3PGKBXw46mG9HEFhX7yaX95kF
nh3rzNu3B4G7jm9muep+xf+9J8NGAYHj7mrPBrlGwMjC5ThBIQSeT7hW0RY/
CobtVEZsa2mQeznry7u8UUBXNB2vq6DB+zZ1pILqUSDxc3TT3lIabJARx2LY
o4D/ZugB9nMa3PP344/GtmOgbzE4XfMuDU6/6Wyrpo4D0xGllwHuNOg1sptV
nD8BLIql0SBeGmQ6/vtTVf0EGMoOnszY0oJWPZFazV8ngIpQi0v5qhY80Dh2
ZWTnJOjNPfd2YFILkotyRCQjJsHrKXuZhhYtmBKocOiy0xR47+AdZ5ysBavE
d9zTEZkBp2TaKlkyWpBfIUzty4F50NYcfjRKUhPW6d2mBRnOg/eTJbt9hTXh
TduHv8lazoMgk6sNtryakDv+HyN7j3kQacZtun1FA67/mGZ0p82DvaNTxvRP
GnCq3/pxK/cCGFC8ZG6coAGbUtR2VzYtgOnQibn6bRowVqRRPfP0EvhjQrlY
lKkOXfqOvyM3rQDpJWqvC98u6P0+zOVPtXWAsWXULFuUYdFfglZSxt9BYnib
/hE3BZh51WMSsSGhzcvAWShmJ7yRvmnBnuZCh5QiWJ7bxCCpk4mWB5BR2UVV
G8c5Lhg2UZEZEEJG79XHZZekcUE+Uhq3TiQZTZSwLFk25YJimidrXyWT0RYk
1mDXYxJUiWg3KijE968bbVVU/MBMDlabZ42SUQHgU7I/YQ1rscgoOD1DRrsu
tb6umVrFrNyDRKhsMnr4P0EsquEq5pCs25HKRUG7xs2HDL6tYF5zL6yTZSjo
hpBBtPZJNpaYne0QaUlBX4a6XnuoNotJlYW8PXKSgj6f5hWO6prGHrQ5yfGc
pqCVK2U00ZApLPe7NDPkAgUt3Ej3W+8Zx/6xSTpzNZKCereF/7ovjIXpefnU
6sRR0ByevgBBrWGsKuyYymoyBZVEp2dDu5lYQ5HgmG82BY2/aO+RatmP9QuE
n/eqoKDutm860+LbsdOKZxo13uP3e6dO/1nejI0cOKwx1UhBefaqWMudqMPO
/0GNyeugoCeXX3Qena3GZl2/zzD+paA6wMp2kO8NdjGwz1yVSUH3hUMHJe1C
bDWhtODrKAWd4e82Dr+QjAXm3RXJnqGgpP8XV6WftzOb8M3PVh3UDcL8M/R9
g1w8HEvsnGXbbSes6uvmf1ydsKbuF6t0hLA2yZY2+Sthg1vGo8EYYcdHGsef
OhC+07VI444jzLM/eKxgifDX5bsnBN7ycmwycv5agvdPHJt/jd8jJ8fP8WSN
y/W65wIca4l+lsWchIh8YNm5f0mYY6MZu2+K1iIc91Sf5bLTEOX4VWSto/wy
YTceP2ZLixjHZ3yuvhK8L84xjbGnxcxZguNWMQ0BP52fOX6TfyNVgyzJ8VUu
9WNNA4T5+wOOehX/wvFIrkJSeqAUx0m7dlBKrXdwHH/f7aOz/E6O7ZJOtQiO
EV6FOWvpFdIcs0YM/KsjZDjO0qdLNzvLcvw83E+UoSnHcYT1GVPyMuH9/Zl5
Ec1UjlN2pz5vNpXnOLgyJsW0lPDv0tY5DcoKHB/2+mgvGkU4XcZFuWmZsHLN
33fM7RWJfJrV6h0VhN2WKO316kocuxQtykfFEfa8YbVpcpuwn1Vxt2Ai4chl
v9j4O4TzddY27qYRXqva+pz7lHB8h2BM7UfC97MvuN+sJ5zt24IdbSRcIhm/
3thCuN9O3L3zE2E11g5smEUYKQ6QezRCWDe8b811jLCZWlrhxCRhHw95uYUF
woF6IWsvlgiHCw13+S4TTinIjl5dJZx1ncIoWyf81MLVIHCTcLHiB9lDPwhX
LKmubW0R/i/JqopR
                "]]},
              Annotation[#, "Charting`Private`Tag$3942012#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxFz3k01HsfB3Az81NZKtGVfenaYvCbS7dIvr/6fV3C4ylLdSVlHZWrm9KC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                "]]},
              Annotation[#, "Charting`Private`Tag$3942012#2"]& ]}, {}, {}}, 
           InsetBox[
            TemplateBox[{"\"BEC\"","\"BEC (no int with Th)\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], 
                    "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0., 0.3}], ImageScaled[{-0.6, 0.}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
             FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
            AbsolutePointSize[6], "ScalingFunctions" -> None, 
            "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          
          PlotLabel->FormBox[
           "\"BEC density distribution in X axis\"", TraditionalForm],
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxF0Xk01fkbB/DLvTTWbGOU5dqVcL+3NBPR55vvR7KMCYkQUVxFZoiSREL4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                 "]]}, "Charting`Private`Tag$3942012#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxFz3k01HsfB3Az81NZKtGVfenaYvCbS7dIvr/6fV3C4ylLdSVlHZWrm9KC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                 "]]}, "Charting`Private`Tag$3942012#2"]}}, {}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {0, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, 
            FrameLabel -> {{"Density (at./m^3)", None}, {
              "Distance (\[Micro]m)", None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None, 
              "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotLabel -> 
            "BEC density distribution in X axis", PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]]}, {"BEC", "BEC (no int with Th)"}, 
             LegendMarkers -> None, LabelStyle -> {}, LegendLayout -> 
             "Column"]], {
            Scaled[{0., 0.3}], {-0.6, 0.}}, Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {193.5, -119.58957682310464}, {
      Center, Center}, {360., 222.4922359499621}], InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxF2Hk4VVsbAHCZMkfimjIc6RDhnLOLREvOKkKZpxISJWVIg6Fb7jXPJBSK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                "]]},
              Annotation[#, "Charting`Private`Tag$3944417#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxF2Hk0VdsfAHBjcQ2RIVOGK2TIcO8106a7K0pRhvQyZSiJxAtR8pSZkKRQ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                "]]},
              Annotation[#, "Charting`Private`Tag$3944417#2"]& ]}, {}, {}}, 
           InsetBox[
            TemplateBox[{"\"BEC\"","\"BEC (no int with Th)\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], 
                    "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0., 0.3}], ImageScaled[{0., 0.}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
             FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-7.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
            AbsolutePointSize[6], "ScalingFunctions" -> None, 
            "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          
          PlotLabel->FormBox[
           "\"BEC density distribution in Y axis\"", TraditionalForm],
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxF2Hk4VVsbAHCZMkfimjIc6RDhnLOLREvOKkKZpxISJWVIg6Fb7jXPJBSK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                 "]]}, "Charting`Private`Tag$3944417#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxF2Hk0VdsfAHBjcQ2RIVOGK2TIcO8106a7K0pRhvQyZSiJxAtR8pSZkKRQ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                 "]]}, "Charting`Private`Tag$3944417#2"]}}, {}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {0, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, 
            FrameLabel -> {{"Density (at./m^3)", None}, {
              "Distance (\[Micro]m)", None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None, 
              "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotLabel -> 
            "BEC density distribution in Y axis", PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]]}, {"BEC", "BEC (no int with Th)"}, 
             LegendMarkers -> None, LabelStyle -> {}, LegendLayout -> 
             "Column"]], {
            Scaled[{0., 0.3}], {0., 0.}}, Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {580.5, -119.58957682310464}, {
      Center, Center}, {360., 222.4922359499621}], InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxNz3k0lfsaB3DD3jJcJfOcZCg2+31ljPxe3p9jqMSJTkI0KKdQJGTmiBI6
yjXlqsROlJkMkahkSMZjo6gjMm2zbJruvmvd9b7nWetZz/qs7z/Pd/uJ8796
8HBxcTVw9n93daT1hcr1FFNQ4xIxugOFvdnSl82YfqB+5WDiO46BxNsT0sxo
8JLqp9bLsfjwVgERmAAs3jTaNHN8ya5ggJd5E7Q67Nl4xLF7eXvBz8Q0YND2
TvdPjm0kWWFf8SzQc4Wx4cVxpklc/tfQu6CcL3UfzrHInNTN9YEccG3loboY
x7F38kPWdPJAm/zHpHfKKPxqZ+SxmvgAWAXuibrD8QWeNtvlyYcgSanyhzPH
E+VHDRfxR6DtmN0mUY6dPWa2z2cXAfG7Qrefb0ehp1DDlS+hJeBO0ETNWY5H
ntqeXxkoA07/2kh/qITCDAmpUxepFcDjiY4T4NjBZ/TIkk4lGB+Oz+3chsLW
bRfMFxKfgHWV2+8GFVEYE2RocL6uGlwNcmh15Ni0m4s2N1kDttyjm7UroLAi
OlliFn8KLP842JMjj8Lzw06C53zrAcxPnaFwrKGr/HMquwEkBlP+dJdDYZef
08pyaCMYKjkaTJFFoYXK9PvFgSbAM6ne/0MShTl2tkdKfZqB3uigpRbHXGFl
PReoL4Dc/WYLRwkU1vYHt8zrvASlW23GksVQiMQJlbISW0D7y5C8+i0oTCw/
r/lY5TXwsIB+1ZtROD3am+dV9xqs3XZreySMwjzDrMyZyVZQbXVHPloIhbLT
tJgpvAMoJzZYj/KhMFAy+Uf+UAc4nZfuy6CisM98NcjT9w0wTphWOUNB4Y3b
9d6fsztBgbaQdj83CqPVHhQuhXaBqICRtpPfEMgeMPj3wkAPEHSDuvsWEFil
w+/+YFcv6LhZ1xY3h0D/RKbGsZBeELbq1/50FoEL5pcb2xX7gL5Dm5DIFAKn
HtfOMDz6we5mcM35IwKH/thr7ro8AIq85aJiuxCYPiIsLG7BBN/2VzdadyLw
sNHIQFsqE5gcsT1H7UBg71y4t+GeQaBQfJv7dAsCO5wa08WihsDyBaDbUY/A
ejo+37r5PZA5HNFAe4jA0Hix2kj392CboldFAAOBe8bHYgzK3oODLWaSNfc5
/2fGyOY5jgC60oyCejYCi6ivLCKzRoF+mQzIv4nALm8VWzmJj2B71ROmaTAC
n+MPcrtzxkCgT+VSPY5A7aTiqbXXY2BvoVHfIQyBWcwn2orzY2DU7KL8mAkC
A7xfV581/gQ+hx36yNJDIC1tqoO37xModZg1rVDn9J3WXNWjToDJczudKYII
9Ekuscg8MwkmohSdPW7R4bvh6vjGxElgoKcrPxNPh9Zqz99OlE+C2lTlkpPR
dKhS1+20m2sKXH+z317Llw4HPy15d6RPAbdBLFzZlg6hoV7qj9ZpgKhSi1Oo
dCg7WjNxgsYCEcnM0Yyz2vDHkm96qz0LsCcGDz9214Z/82nYIIEsULpdR6Pi
sDYs1M58/P05Cwjrvpq4ba4NTcKD/dN/mwP1VEZ9r4w2dFUw5umMngds2Tjx
8ZdasEtrJClrdgEcSRu8LiOuBZsMaj8f/LkArPZslN/g14IVZqkYr+giAF4S
cP0bDaY72i79brAIlDz9sxnjNOge1uBoEL0Ikrsu7jtbRYOLHdnyPVJLwIjl
SUl1pEFRL7eCTfgyCFBFF6PjNeHOTfdf2f22DOSmq1GbUE1omjPxd8a5ZdDn
hFbx+GjCs0xvOVrKMrg4upFoaa8Jm2Bogt34Mnh2Ty9JSUoT+ipk+GTErQAJ
xdZQkbsasKuzR0ezYxVkSdT+wWLsgjfQX+psHdlAbkBUuvWqOqQNO1nu9WSD
8JruYJkgddgW492rGcIGb7mF9FzPqEMKM2WG/x4bwNiqsgYLdRgUPibXPMsG
Sk9jJ6a41aF7e2SoQcw6qCiuevMxUA3qeNTtVSrfABaCjDSXo6qwPx1pXBT5
DgpQE94H68rwWm7EWx4Zbsxr9oX9k32yUCJl7Nqt//Bi8YFhW/QRQSipWRnD
ZvBiIrlR5jYtAlC6KTbCtYQX8/Yt+Yt+TADKL+y6pN7Mi1nOpBmev84Pd+y/
4F43yYuVbxINezbGB1HKd/2x3RTs+JfgDwXXeeEBf8lPOm0U7GtxmVi+7zpu
KzQ5ktZLwbiZ0lamKWzcLqdm8Ns7CjaVXXo/qGoNd+hyeftqnoI5exd+H1xf
xZ1p92uPSlCxVoWky3ahS7hLs3/lM0UqRmdZqghkLeLHjv5SorKTilFCOu1O
1y3gJ65O5c3toWKnwn1r5JdY+O+f6MnR7lRsR3TId9qHCfxsCHfC59+pGFgV
Y03KjONeor2x+y9SsTqdlNS5X8fwC1hAqGQsFfuykTBedGUU9xuwDAy5QcU8
x6MYl5aHcX8fGb8P6VQs6NaZm11uTDww6+mZgkIq1nI6LgfX7caDdied2FJJ
xeaKEYtqw3Y8uM3N1b+BimUG3BAU43uBhx5Hjwy2ULHALpe/6fdq8HA2zyHT
bip2WTnGQeE4A4+80Xfg/hAV4/r/RKsxrPg/kY6pD8S9WaSvOFib9nwhLV3R
KcvDzUf4kZjDGipEuq/nWEnyNtLK9v7K9lakGw/c4evKIP31l9XONyabCPsa
3XNrjeYnbD6/EewzJkg4wsT+uKyhMGHDooyK8GdbCJ9jL0a+Ft5KmK0pMqLl
KErYuPDR3dRUMcILojbuh5vECY8luB/22yRJ2Go+0HpcX4rwzEn+ixUR0oQt
VKR44ppkCG99o5ZUMi9LWO5qsZ2+vjzhNE0jEbEzCoRbZc30lpMVCRvJN/1J
/2sb4c28Of7Ho5UIK0ZtM3FS205YQNWl6tcW0tp7ZYoDXZUJ+42INttw7SA8
v5zgaJ1O2pL+KtNaS4Vww7Lx17VO0j40naFuD1XCe+dO9TkJqP2jv/QB4RzS
OyPjg5oM1AlreBg9Ux0i7dHgGVPhu5Pws7t9pxYldhFeyf+5Rn9C+qRqoUDm
AQ3Cixq39MsWSFfnfv24elWT8FG4AzNWpBGW846r0W4kLSHoVXrgNy3CuXhY
8IITaZ2wJPyWC2nbhZJ+5nHSsX+trp/0Ir2WE2EeHEV60PhWL6OQtOel3Czr
ItJfiio9ZktIiyoz19Aq0jb8CvL1jaTr+hinevv/kW+u1gpgkmZatn6RHia9
Ujtz9dgH0rR7yOOpadK1Q2YBCSzSVuKHAH2B9Km4S93+q6SXGmMzpdikIzfS
TtZukN6s+5Dm+p30f7xrV3/+JP1fC9JieA==
                "]]},
              Annotation[#, "Charting`Private`Tag$3948434#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxNz3k0lfsaB3BhZ+gqlCFExxg2+93OzSbD7837kyiSKDqR8aZEpsiYKRoM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                "]]},
              Annotation[#, "Charting`Private`Tag$3948434#2"]& ]}, {}, {}}, 
           InsetBox[
            TemplateBox[{"\"BEC\"","\"BEC (no int with Th)\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], 
                    "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0., 0.3}], ImageScaled[{-0.6, 0.}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
             FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {17., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {19., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
            AbsolutePointSize[6], "ScalingFunctions" -> None, 
            "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          
          PlotLabel->FormBox[
           "\"BEC density distribution in Z axis\"", TraditionalForm],
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxNz3k0lfsaB3DD3jJcJfOcZCg2+31ljPxe3p9jqMSJTkI0KKdQJGTmiBI6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                 "]]}, "Charting`Private`Tag$3948434#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxNz3k0lfsaB3BhZ+gqlCFExxg2+93OzSbD7837kyiSKDqR8aZEpsiYKRoM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                 "]]}, "Charting`Private`Tag$3948434#2"]}}, {}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {0, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, 
            FrameLabel -> {{"Density (at./m^3)", None}, {
              "Distance (\[Micro]m)", None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None, 
              "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotLabel -> 
            "BEC density distribution in Z axis", PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]]}, {"BEC", "BEC (no int with Th)"}, 
             LegendMarkers -> None, LabelStyle -> {}, LegendLayout -> 
             "Column"]], {
            Scaled[{0., 0.3}], {-0.6, 0.}}, Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {967.5, -119.58957682310464}, {
      Center, Center}, {360., 222.4922359499621}]}, {InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF1Akwl933AHB8F4W8RMj+1fNdQkhKCveWo2ypRIuKl2QpKUqL5U0oKSQq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                "]]},
              Annotation[#, "Charting`Private`Tag$3950802#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJwV1Hc81d//AHDcIaOykqzc632HkdElRM6p91FWKqGSD18SiRSlhRJKyiqK
SpRRqZBcRMPee2UmWdmRPeJ3f3+cx3k8H+d1Hq/XeT1ej0NxOG9+moeLi+sv
Z/3//vyGA1nd8Zl+qeHGpDoTDJU0y5kek7sGTGm84Q0cr5d9C5CTCwbE5nyl
Vo43Pcz+wN/+EGSpMq53c/y8IHQ7Se4JCJ1WuT7EsfIfx7B153hwK6BKaYbj
H5vi1lbbEsDw/GQYjymGsFd8u5ZXksEd6chEMY7d9nidW9ieAiKupbsocJzZ
0ps0i78HW3bp/4IcL7uadk87p4P9J3T5T3L8grs7eMEgAzy9kDRwhWNU+4A2
3/YRGDZfvRDN8XDMgcJZFzbQeJabmstxiOM/m5mVLPAr0CW2h+PmlTNRU9tz
QbmmYpjaQQxdLpdV+5ORBxY3Gj34j2PJyJbqCfwLkJWYMQjl2EEREsac84F/
3taSWY55Vq7Xz/oUAA+utFBlMwy19FrKzBoUgr+dZD5njq++F8j921YECOnG
WwY4Nn44RP77ohgcnLV9RT+EIemrhRbTLiVAKuHuiCvHBfiVqT8rpcAu5dad
NY55u/oYE9srwaaD6rLoCIbaC756jQ9XAoqvAB7L8dtXMcVjGVVAOe+v5ALH
Zp5mdqN4DeD7ETjANsfQY768x7+d68F/Unb9hy0wxL5i7HlRogEkgj3J3ziO
HdXaNuPTACpkwqRULTHk3iDi/NegEbxPO0mXsMKQSGwFz3RbE5jzacjjP46h
lU3ZKRf0msH9fAd6GMcDtxIPT71oBmICeoZiJzCU7Xwj7o9LC3hCqk9nWmPI
mqWxe3KlFXyJpot72mDoZVW8x9j2DjBl3+MfZI+h2ZgsxZ8hHSCkddLUwAFD
+52r+5uWOkBgRbcp+RSGxgkLlnnNncC9cdfUA0cMae8x2x0c1A38NdhN9c4Y
akhf5WH8+QnGNW/5Drlz6gV8thtVeoEwy7O/7TyGdOlRu4Mce4HQ0YWgmgsY
CptNmbne2AvMP+Dh+Z4Y0njQetrh3S8Q9kgqpeYyhm5WKRur2/UDYuRUYsBN
DL3JyKG/e9QPLo9uRyl+GGqK2Ueg1fSDtN00laZbnPl1Pv5FQmcAvEr80bcj
EENVhEAVLtFB8Nu/blAwGEPie7pE6suGALLbXnwxEkNp6cFdbiqj4IDM/sqy
txgaFRkNMbYfBS8XxHr3vMcQ47KxPjNqFCzassZyUjnzrSfwsn9pFOSTrH+x
P2DoYWWIk3XpGAgtSHZoyubMa3/49AGbCcCsJLvGFmMoXqA6QNhgCuwN1Hvk
+RND+nu8bfxsp4Djn38NRr8w1O2upPnnyhSQzZCRwfoxJNF0f6jm7RQ4Kx45
+msIQw9iTI3uCk2DzpEnV/wnMRRAq9u03jUNyFuVTI+vYcgZND4Z95wBek63
/9rK0RBXwnxe1/0Z8HJZlBlOpaEYonR3VdIMaLyVcLEIo6GKSifZlO8z4A3W
eGSnAg0xLVYTTu+eBcubfc20dtLQ8BnG+x7uOWAK6zzaEA2dfej7rSFiHuyR
7SMKu9EQz1zCz/yUeXDwdNrVOHcaenqsgiu9aB58vqSnq+pBQ1XSonjo7Dz4
WuOSY32ZhpRevyk3Or4A3lT6tnf40dD45+aGou2LQPAUW8X7MQ25Dyr0s9OW
QGZyerRtCQ312nZsKKxcAtD2n1tsOQ0dbb+rUjuwBA5rHX3cU0VD2tW/rw1K
LoP/fpTOnW+kIUJGspB40DLo2ytjW97Dea8PRf+K3QowVguIN12moULRbU90
hP6BSL687w0adMRPCWT81OaC2Txnp6Oz6ahC74HqDQMuePF6pASeR0d3jsdp
yZhzQf5PhmozX+mIJ+LTgZOunPit8sEOpXS0vDbu3PacC3YGjh30a6GjsW7L
N/U83HCf9+HF6hk6qolhKBTUcMN7OkK5RloMdI+toW7XwQ3tpUaW83UZyLBh
r87aIDeMcfmfqj5koBJeGyO9dW5YTXboMjdioC+XI1w+qfPA1V5cp/ckA6Va
LKV8eMwDw8MF7yb6M1CYULXiy/8RYNtCj3dsGwPlaslkmbkTYInHTcviHww0
YHserHoTYKpW0epCPwPppopaHIvmxF/qcro/xUDDRja+G+sIMOjoxCs7fiYS
80jj/dxFgNO+/MNLQkwEYrgenhkhQIPXg2cStzLR46GkV8VEIvyNfR3HaEyE
B0zUX9Mlwk1H2y/8hkzk/hZYM4yIsFhVSo7bkImeNj4YaLEiQs1P04lKh5ho
avuuJVVPInQ1dVzP/I+JpA/cDfhxkwgr8Xe4yGkmOuDeufF+KBHy7unX9Hdj
orgvN6hDb4jQxEaQFOPNRJX9De8js4nQzVjPQj+AiWb55bX2lhBhA1+/5sI9
JpLb6VU42UiEHXBtoOghE5mcKDeJ/cm5X2j+/OVTJrrst+270QQRavF0HM6J
Y6KE167/W1gmwhlBarvfIyaqrfs6mrSBBIWOnlyxDGGixbnNXubiJNgwrV28
i5NPXsZhfV2eBJU/WmrLX2ciM8QOTlUnwal61ikpDyZKfng8bsNBEux9X7ai
YsdE5qovy78FkOCm81PSSZz+pJ7ZKak0TYKph3y6/5GZyKHLIp9QQ4af2k1D
7zxhIP5nv855dJChtb/VAXIkA320dpf+OUSGzGixpPshDEToDLqWx80L3423
17y6yUBJ7XksDy1e+D3x2TMpJwYaapV705PAC02wewuDLAY62zAekXttA/yj
U/sCNNGRR2mgw3kGPxxqz7L6LEZHGRcEj0oYbYQpb3Ptu2M4/7+366jaMSGY
qxNX93mBivzjV4/MjgvDyZkv9UVXKYiruRd+uS4KfUdyfskIyiH6JaerFopb
oFSEpI8wRQYNzEVbCXwVh8Jc24Z1/CSR8eBZ34ceEjDApLlwqnErMhuIUJKV
lYQtZJ+30HYLGi128KtIlYI/9vprigFRpCL8XQa3k4H9Y3lLUnLCiB/M2XfP
yEJKriT1V/wmdGDCeoFqKQedQs4wyYICqL3IkdtamQL3XdzWuPKTF03t7ZT0
VaXA/IGLysUtvIi38JDGi50UaNNrvhBWyYt25e92HtKmQKdM7zZWJi+K+ixU
62lAgS3eF5I+3uFFh9hfYu7bUmDhyl7rABVeVJYspvY1ggJd06x4zt4iox7s
nlFvJAXqetXrfL1MRnOJ6w6EaAo85QfzxdzICEsYfWT0nALjLErSG6zIyD+u
YKU1hQKbAg/z+SiTkX60W/lkEQVyr7mnxreTkJV4X69wGQV+c7+Oa9WR0LlH
x5Y1KinQuhSINxeTUGzkvh3e9ZzzT3HntqaT0HK4RCRvNwWW8O8obbpNQiKb
w94r/qRA5d671BBvElIII5Qd7KPA3n8DmUYeJHQ8ZHIxcpgCjd313BttSOi8
gKNIzhgFLhwhP3pmTkJ37nUodU5S4NiLc2MuhiSUdbfEVm6OAvVX06iiGiT0
xrhaImiRAvve6t0UVSChp4JNTRMrFEj/uLNIQpaEQuvaQyzWKdD8oMIoVZSE
/CJ+7v/MQ4WUmx0/Xm8go4vmQ1xUMhUqVUcNPV8lISexiby7fFQ4p32C/HSK
hExjllWshKgwpgf3S+L0A1hzj3wRpcJ9tZtbP9aQ0E7pDYnyW6kQM1bbVV5A
QltfbNk6LUOFAqdKRXhSSKjvtdr6fSUqzJdrHc2/RkKtLlq5f1Wo0DG4+dja
ORKqUNK/eGInFYqYTHze50BCqekmv+k6VMi/ecT2hzEJXc1xqi/cT4Uu2y6V
nZAmoU3lsfEL9lTY+/pFk1sBEXEHJ56wPU2F109qXuHLIqJZ47eipWeo8K6b
6si7FCLqqMsJenieCksWeZV4Ioko6XvT+R2+VOjj6t4zc5qIdg9tgKdiqPDR
DZOKEUEiciJ59dbVcfIHuaxstCMgye2VbSuNVEg7ZvVczJKA6rRl6pmtVKiL
8W6QMyGgXW6lX/27qPAvk61qoEVA5OYtz3YNU+HmMNuIis0ElPwi2zKOWx6G
nzTqzCjkQQO6i1XnNOShjNrnOi4FHnTK0ztL8Kk8vHbL1QYjcSNVZ6U6U3sM
PlCpntw9+w+vF1EW8NKhwZnhzhwBwWX8c5r/M2UCHdotHgS5bfO4N7fi4Zof
dGj6KnFNs2YG5+++bujOZkDVebObe9Wn8cFXlKh4HyZ8on3qwkfKJB7F3EbM
tVSAJb35mrckR/GIp07l9nKK0O2ooWd78xBuHfVfneBvRdgykHVkjTCAL6Lk
pfhvSnA1OYrn8clfeP/gvqtFQcowQbyfYuvcgyfsUZeqtd8Bw4+/+ed7vBNP
ve0l7LxDBX6yvCOWvrkND7I8ZUKYU4GeBtI352ALrtn9MiWoVhV6tqmYG8Q2
4jEKz1JrTdQgI2hg/Np0HX6zIDTGJFcNSrzMOaQ9UYUflLJMrsLUoW7OGXz/
nXJ8r3v5SeFgdfjZpEfia0kJHi/tgNXMqcMHSfpPPZSLcKz49WOzkzuhl4Jw
BE2kAI/YUaTY9G0ndNRmo6LgL7jTDLGxUpEFx1LK7hRQcnGHjL9yweEsaPeI
TOq3ycbd/I+uGj9gwT7jaC6rI9m411F2m2AkCxrbHK6oN8jG7855hUU8ZsH5
77rv2lSy8TSdpZXo5yzoQ39gqM2djS8Vrn9/9Y4F9+iU7dJ5nYVHNAmGlpSz
YF6IrYTMIht/mnjuzJ1KFiwvNA23n2DjiZfqcMNqFswOO3fofR8bzxaPWK6u
Y8GM+1HPLGrZeLe16JnmVhYUpcrP/0lg44z+bXhfPwuuyX05YnaIjauxr8sm
DbIg36XN9+YQG999u2vp9G8W3JY3Wpuwm42bMp5/GBllwcQReZfNdDbu6Son
Oz3NghrNDwPV/mXiPnq3lj7OsKBRLfkD70wmfntjX8ulORakhItXDgxn4jHp
ifcXF1kw8DbM+tCSiSf4EZ3zllmwR3nVL74qE3935PQ+n1UWzLnxWCmqIBNn
U8tk9NdY8LeIU0ZYdib+bYa+tL7OgkFtxZvC32fi/wfrts2t
                "]]},
              Annotation[#, "Charting`Private`Tag$3950802#2"]& ], 
             TagBox[
              {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1Hk01N0bAHCMGbssrzV7y9gaNL4zEe6t75VIpEhJZMkIKaq3lDUiKVu2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                "]]},
              Annotation[#, "Charting`Private`Tag$3950802#3"]& ]}, {}, {}}, 
           InsetBox[
            
            TemplateBox[{
             "\"Valid near BEC\"","\"Good distrib\"","\"Valid at th. part\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0., 0.3}], ImageScaled[{-0.6, 0.}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
             FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {17., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {19., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {21., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {22., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {23., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {24., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {25., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
            AbsolutePointSize[6], "ScalingFunctions" -> None, 
            "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          
          PlotLabel->FormBox[
           "\"Dimple density distribution in X axis\"", TraditionalForm],
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJxF1Akwl933AHB8F4W8RMj+1fNdQkhKCveWo2ypRIuKl2QpKUqL5U0oKSQq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                 "]]}, "Charting`Private`Tag$3950802#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJwV1Hc81d//AHDcIaOykqzc632HkdElRM6p91FWKqGSD18SiRSlhRJKyiqK
SpRRqZBcRMPee2UmWdmRPeJ3f3+cx3k8H+d1Hq/XeT1ej0NxOG9+moeLi+sv
Z/3//vyGA1nd8Zl+qeHGpDoTDJU0y5kek7sGTGm84Q0cr5d9C5CTCwbE5nyl
Vo43Pcz+wN/+EGSpMq53c/y8IHQ7Se4JCJ1WuT7EsfIfx7B153hwK6BKaYbj
H5vi1lbbEsDw/GQYjymGsFd8u5ZXksEd6chEMY7d9nidW9ieAiKupbsocJzZ
0ps0i78HW3bp/4IcL7uadk87p4P9J3T5T3L8grs7eMEgAzy9kDRwhWNU+4A2
3/YRGDZfvRDN8XDMgcJZFzbQeJabmstxiOM/m5mVLPAr0CW2h+PmlTNRU9tz
QbmmYpjaQQxdLpdV+5ORBxY3Gj34j2PJyJbqCfwLkJWYMQjl2EEREsac84F/
3taSWY55Vq7Xz/oUAA+utFBlMwy19FrKzBoUgr+dZD5njq++F8j921YECOnG
WwY4Nn44RP77ohgcnLV9RT+EIemrhRbTLiVAKuHuiCvHBfiVqT8rpcAu5dad
NY55u/oYE9srwaaD6rLoCIbaC756jQ9XAoqvAB7L8dtXMcVjGVVAOe+v5ALH
Zp5mdqN4DeD7ETjANsfQY768x7+d68F/Unb9hy0wxL5i7HlRogEkgj3J3ziO
HdXaNuPTACpkwqRULTHk3iDi/NegEbxPO0mXsMKQSGwFz3RbE5jzacjjP46h
lU3ZKRf0msH9fAd6GMcDtxIPT71oBmICeoZiJzCU7Xwj7o9LC3hCqk9nWmPI
mqWxe3KlFXyJpot72mDoZVW8x9j2DjBl3+MfZI+h2ZgsxZ8hHSCkddLUwAFD
+52r+5uWOkBgRbcp+RSGxgkLlnnNncC9cdfUA0cMae8x2x0c1A38NdhN9c4Y
akhf5WH8+QnGNW/5Drlz6gV8thtVeoEwy7O/7TyGdOlRu4Mce4HQ0YWgmgsY
CptNmbne2AvMP+Dh+Z4Y0njQetrh3S8Q9kgqpeYyhm5WKRur2/UDYuRUYsBN
DL3JyKG/e9QPLo9uRyl+GGqK2Ueg1fSDtN00laZbnPl1Pv5FQmcAvEr80bcj
EENVhEAVLtFB8Nu/blAwGEPie7pE6suGALLbXnwxEkNp6cFdbiqj4IDM/sqy
txgaFRkNMbYfBS8XxHr3vMcQ47KxPjNqFCzassZyUjnzrSfwsn9pFOSTrH+x
P2DoYWWIk3XpGAgtSHZoyubMa3/49AGbCcCsJLvGFmMoXqA6QNhgCuwN1Hvk
+RND+nu8bfxsp4Djn38NRr8w1O2upPnnyhSQzZCRwfoxJNF0f6jm7RQ4Kx45
+msIQw9iTI3uCk2DzpEnV/wnMRRAq9u03jUNyFuVTI+vYcgZND4Z95wBek63
/9rK0RBXwnxe1/0Z8HJZlBlOpaEYonR3VdIMaLyVcLEIo6GKSifZlO8z4A3W
eGSnAg0xLVYTTu+eBcubfc20dtLQ8BnG+x7uOWAK6zzaEA2dfej7rSFiHuyR
7SMKu9EQz1zCz/yUeXDwdNrVOHcaenqsgiu9aB58vqSnq+pBQ1XSonjo7Dz4
WuOSY32ZhpRevyk3Or4A3lT6tnf40dD45+aGou2LQPAUW8X7MQ25Dyr0s9OW
QGZyerRtCQ312nZsKKxcAtD2n1tsOQ0dbb+rUjuwBA5rHX3cU0VD2tW/rw1K
LoP/fpTOnW+kIUJGspB40DLo2ytjW97Dea8PRf+K3QowVguIN12moULRbU90
hP6BSL687w0adMRPCWT81OaC2Txnp6Oz6ahC74HqDQMuePF6pASeR0d3jsdp
yZhzQf5PhmozX+mIJ+LTgZOunPit8sEOpXS0vDbu3PacC3YGjh30a6GjsW7L
N/U83HCf9+HF6hk6qolhKBTUcMN7OkK5RloMdI+toW7XwQ3tpUaW83UZyLBh
r87aIDeMcfmfqj5koBJeGyO9dW5YTXboMjdioC+XI1w+qfPA1V5cp/ckA6Va
LKV8eMwDw8MF7yb6M1CYULXiy/8RYNtCj3dsGwPlaslkmbkTYInHTcviHww0
YHserHoTYKpW0epCPwPppopaHIvmxF/qcro/xUDDRja+G+sIMOjoxCs7fiYS
80jj/dxFgNO+/MNLQkwEYrgenhkhQIPXg2cStzLR46GkV8VEIvyNfR3HaEyE
B0zUX9Mlwk1H2y/8hkzk/hZYM4yIsFhVSo7bkImeNj4YaLEiQs1P04lKh5ho
avuuJVVPInQ1dVzP/I+JpA/cDfhxkwgr8Xe4yGkmOuDeufF+KBHy7unX9Hdj
orgvN6hDb4jQxEaQFOPNRJX9De8js4nQzVjPQj+AiWb55bX2lhBhA1+/5sI9
JpLb6VU42UiEHXBtoOghE5mcKDeJ/cm5X2j+/OVTJrrst+270QQRavF0HM6J
Y6KE167/W1gmwhlBarvfIyaqrfs6mrSBBIWOnlyxDGGixbnNXubiJNgwrV28
i5NPXsZhfV2eBJU/WmrLX2ciM8QOTlUnwal61ikpDyZKfng8bsNBEux9X7ai
YsdE5qovy78FkOCm81PSSZz+pJ7ZKak0TYKph3y6/5GZyKHLIp9QQ4af2k1D
7zxhIP5nv855dJChtb/VAXIkA320dpf+OUSGzGixpPshDEToDLqWx80L3423
17y6yUBJ7XksDy1e+D3x2TMpJwYaapV705PAC02wewuDLAY62zAekXttA/yj
U/sCNNGRR2mgw3kGPxxqz7L6LEZHGRcEj0oYbYQpb3Ptu2M4/7+366jaMSGY
qxNX93mBivzjV4/MjgvDyZkv9UVXKYiruRd+uS4KfUdyfskIyiH6JaerFopb
oFSEpI8wRQYNzEVbCXwVh8Jc24Z1/CSR8eBZ34ceEjDApLlwqnErMhuIUJKV
lYQtZJ+30HYLGi128KtIlYI/9vprigFRpCL8XQa3k4H9Y3lLUnLCiB/M2XfP
yEJKriT1V/wmdGDCeoFqKQedQs4wyYICqL3IkdtamQL3XdzWuPKTF03t7ZT0
VaXA/IGLysUtvIi38JDGi50UaNNrvhBWyYt25e92HtKmQKdM7zZWJi+K+ixU
62lAgS3eF5I+3uFFh9hfYu7bUmDhyl7rABVeVJYspvY1ggJd06x4zt4iox7s
nlFvJAXqetXrfL1MRnOJ6w6EaAo85QfzxdzICEsYfWT0nALjLErSG6zIyD+u
YKU1hQKbAg/z+SiTkX60W/lkEQVyr7mnxreTkJV4X69wGQV+c7+Oa9WR0LlH
x5Y1KinQuhSINxeTUGzkvh3e9ZzzT3HntqaT0HK4RCRvNwWW8O8obbpNQiKb
w94r/qRA5d671BBvElIII5Qd7KPA3n8DmUYeJHQ8ZHIxcpgCjd313BttSOi8
gKNIzhgFLhwhP3pmTkJ37nUodU5S4NiLc2MuhiSUdbfEVm6OAvVX06iiGiT0
xrhaImiRAvve6t0UVSChp4JNTRMrFEj/uLNIQpaEQuvaQyzWKdD8oMIoVZSE
/CJ+7v/MQ4WUmx0/Xm8go4vmQ1xUMhUqVUcNPV8lISexiby7fFQ4p32C/HSK
hExjllWshKgwpgf3S+L0A1hzj3wRpcJ9tZtbP9aQ0E7pDYnyW6kQM1bbVV5A
QltfbNk6LUOFAqdKRXhSSKjvtdr6fSUqzJdrHc2/RkKtLlq5f1Wo0DG4+dja
ORKqUNK/eGInFYqYTHze50BCqekmv+k6VMi/ecT2hzEJXc1xqi/cT4Uu2y6V
nZAmoU3lsfEL9lTY+/pFk1sBEXEHJ56wPU2F109qXuHLIqJZ47eipWeo8K6b
6si7FCLqqMsJenieCksWeZV4Ioko6XvT+R2+VOjj6t4zc5qIdg9tgKdiqPDR
DZOKEUEiciJ59dbVcfIHuaxstCMgye2VbSuNVEg7ZvVczJKA6rRl6pmtVKiL
8W6QMyGgXW6lX/27qPAvk61qoEVA5OYtz3YNU+HmMNuIis0ElPwi2zKOWx6G
nzTqzCjkQQO6i1XnNOShjNrnOi4FHnTK0ztL8Kk8vHbL1QYjcSNVZ6U6U3sM
PlCpntw9+w+vF1EW8NKhwZnhzhwBwWX8c5r/M2UCHdotHgS5bfO4N7fi4Zof
dGj6KnFNs2YG5+++bujOZkDVebObe9Wn8cFXlKh4HyZ8on3qwkfKJB7F3EbM
tVSAJb35mrckR/GIp07l9nKK0O2ooWd78xBuHfVfneBvRdgykHVkjTCAL6Lk
pfhvSnA1OYrn8clfeP/gvqtFQcowQbyfYuvcgyfsUZeqtd8Bw4+/+ed7vBNP
ve0l7LxDBX6yvCOWvrkND7I8ZUKYU4GeBtI352ALrtn9MiWoVhV6tqmYG8Q2
4jEKz1JrTdQgI2hg/Np0HX6zIDTGJFcNSrzMOaQ9UYUflLJMrsLUoW7OGXz/
nXJ8r3v5SeFgdfjZpEfia0kJHi/tgNXMqcMHSfpPPZSLcKz49WOzkzuhl4Jw
BE2kAI/YUaTY9G0ndNRmo6LgL7jTDLGxUpEFx1LK7hRQcnGHjL9yweEsaPeI
TOq3ycbd/I+uGj9gwT7jaC6rI9m411F2m2AkCxrbHK6oN8jG7855hUU8ZsH5
77rv2lSy8TSdpZXo5yzoQ39gqM2djS8Vrn9/9Y4F9+iU7dJ5nYVHNAmGlpSz
YF6IrYTMIht/mnjuzJ1KFiwvNA23n2DjiZfqcMNqFswOO3fofR8bzxaPWK6u
Y8GM+1HPLGrZeLe16JnmVhYUpcrP/0lg44z+bXhfPwuuyX05YnaIjauxr8sm
DbIg36XN9+YQG999u2vp9G8W3JY3Wpuwm42bMp5/GBllwcQReZfNdDbu6Son
Oz3NghrNDwPV/mXiPnq3lj7OsKBRLfkD70wmfntjX8ulORakhItXDgxn4jHp
ifcXF1kw8DbM+tCSiSf4EZ3zllmwR3nVL74qE3935PQ+n1UWzLnxWCmqIBNn
U8tk9NdY8LeIU0ZYdib+bYa+tL7OgkFtxZvC32fi/wfrts2t
                 "]]}, "Charting`Private`Tag$3950802#2"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJwV1Hk01N0bAHCMGbssrzV7y9gaNL4zEe6t75VIpEhJZMkIKaq3lDUiKVu2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                 "]]}, "Charting`Private`Tag$3950802#3"]}}, {}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {0, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, 
            FrameLabel -> {{"Density (at./m^3)", None}, {
              "Distance (\[Micro]m)", None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None, 
              "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotLabel -> 
            "Dimple density distribution in X axis", PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Valid near BEC", "Good distrib", "Valid at th. part"}, 
             LegendMarkers -> None, LabelStyle -> {}, LegendLayout -> 
             "Column"]], {
            Scaled[{0., 0.3}], {-0.6, 0.}}, Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {193.5, -358.76873046931394}, {
      Center, Center}, {360., 222.4922359499621}], InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF2Xk0FW/cAPBrJ/vlypbtrrQotMjyTN2naJFCSpGtVUiSiiSyZImSJaWF
rJE9ss4UP7KUyF4h2fd9yfbe95z3NfPPnM+ZZ+bMfL/fZ+Y7M4o214wusBMI
hCI2AuF/1zYZj8fX1ugY4f8WsSVpmtYy7vKDCeauC7hpHQVVIxO4BwX+vm37
g9vJbufpnDLc96jt2EV/3NEvyGFfhXC/6nx47QQfbd2k78aGyiTquiuPG8Ma
KmXdespUF7ISed2a6eaJdapK614MvCimpqy47pn5+IhzdIV1f1YK0yh1kMP3
5/LM2Xxedt1hyO7d+zyk120dc7p36LXkukNy+3V+ROEurnWNLArFLbkSrhfs
ifubRX3KVkvc2vKHHZ3kcG+M05qfjdm4blhYbdgRjtu5wSy5Ihj3N/bbZlF3
cfvY5hbtMcc9Rdl6310G99ckOT625xLrPjeKsbmE4Z5Qs/3XF4ibWJo0XOuO
27Rx+7dnFri7CMyn2xVxXz/YG/RWCjd7sL+PBBE3dWPtzWV23HZbT57+0kNa
95Lz/HGt37iDP0YfSm/CncHs2BtegRsJuK/Og+Ju+Ka0xS0ft634f5TRDNwz
Zpc2WSXj9n3NJ/HjDW6J3lShg9EkzN3Tsd59ZZCZrHKMp+AJCWOICn/Wpgwx
NZ0m1jYHkjBzqqK12pEhZvWHsIVX3qzxP8SGzJ2HmOZLGpOi7iQM5b//rDh6
iHnP7073/FUSdv3poons4BBTuFbmp915EhajzfdTVnSY+Ua09MdvcxKGzEW6
GmsOM8ti2P8rMyBhQ96LnbaBw0zenKCkUFUSpmvgpiipOsKMXtj6hp1BwkTI
8/N1p0eYKrrfn91UIGHssx9rUO8RpkGVeOBZURJWtn3eWr9lhBnW+dKePi2O
TbxPJHI+GGXKCmTuQPPEsSChk5wWvWNM+x7Gr9B0ceyUtpTJA4lxZnFxrJ9V
ojg2KeIrOqE3zjzr8PQnW6Q4NnasQ+ZV6jjz+TdXX3hTHDsR+zNHRWuCufGJ
TluVujj2X7ZOYrHAJJMoUXO/MVMM4/OOnr9eO8W0GWNuTkgWw+bPag0WD04x
syuKm26+EcNcvUbPbOeZZp64la6y8bEYttqa5/Bk/zTzceuTRrNrYhi7db/8
vqJppuCL04zOrWLY0477vh65M0xehb66wXdETH/XK8+EyjlmewxvTVccEWsJ
DxbMHZxjpkptrmh5TsTAMRGBcf555jExp+L/AolYr28O7/DxeWY497/kWDsi
tpchU772a56pMCrobaZCxOQ3Rft9Xllgahbu1KhKEcWc5n4Y/7FZYm7YfVoV
ixXFmiaUpxoCl5i/ctxU8qNFMXfBcO+57CXm/feoQkKAKKb24pJ6I8cys+LN
IUGvK6LYbQfp8LGkZaaRv0XfHmXW8QRtYMXiCtPOxPdZcrIIFrz/7qUYGwJ8
vVqorhIrgp2m5OwzuE2AjckT31KjRTArNagjEUKAuitnuTICRTDJldXOiQIC
JCaqOX+wF8EGnv9XWU1kg0XznUc+bxfBPN2fZilUsUHJXTdX868LY/EFy7J1
+hzQO7BLo8hGGCuaqTmcaM0BRzqOXC01FsaK3+2qjXLjgJi/Umv5TmEs9tRt
oeo0DnilrS6rflEIq93z3dGByAkL76pcGPYSwkKzcx1LuzmheVlnjVyYIFZL
ZQtdieKGTJ2FC7+9BLHoQeWZ+DxuqJIvQoi5Loil1RBQhyZuuPBun4bUCUEs
bKdAk60YDwwPexsjJiKIUTflMnoe88Ba60sOvCEC2BW/IVcYxgt1CONCUwH8
2ACHKwdfxgYop7N64j8vPswl+oa7jYkwrBXV2RLtzIdFHjHae+iOMHTrc+d2
sOXDytm+RR5/JQybQxcLxQ+wrBd+7NOAMAztniGf5+XDjpSb/44AIpDwcHiW
PZQXa/qQzy3RJgK7G1qjkRgezGrs4wZ/SSJMuJzzpyiPC8tAt195USUOv9u8
lj+SyIVJL59Yle0Wh8vmQRbtEVyYYdjmA9n/xKHRCdu2BRcuLP4x95+NW0hw
VVOsfqc6F2YVPkiqCyVBU/4bWEYGJ3aJ+9/c0BkJyJ2u9vptMgcmrR//o2Bt
I7w4nWUe9JwNy1R1+YR5yUD6PS4zbvIS2mdi8vTiU0VILPweNcC5hBq+f1fi
HKcIV2dfNFf3/UNvHzWPeJClCJsd1ExC3/1DNcgtIjl1itDHwtJQUu0fytiA
BegJKMEu7YIDKvsW0Urz3R6Vvkrw+ZK92jHLebRT6RwflxsZ+u3ec337vnn0
R/Ibu8sBZHj9BkcmkTyPJm/686buGRnqD0dvbembQ80+w8SUfDKcb69gWDnO
oRN3qW3Bs2RoUqgg7+wxi4YfbZ2ScKZAwTuN/JEvplGmVRDbA0cqnFpbFB13
m0Y7Y2QFazypsNVPXlL/zDR6qHByv9QTKowLt6P8k5xGFS5UmUnnUOGeTILO
ucgpdHGT2c2Ts1Ro27/FkfZkEl2YdbkK3WlQ39HIxdOJZeGUHerBNLht9pZb
q+Ek2nPtmqnqSxpcYC/zCxSaRIsMX4wZoTQYImf2eixoAjWj9Hw8x0mHN1I3
xDoIjqN7LtoFGofRoW7ByffytWPoZbVcXu94OuStfFNQHziGfh4PH6nNo8NX
3bsadvKOoeVevvbFP+mwWsqWY5V9FB1dnvAg0xkwgp4unPlpBNU/+2Gb6V4G
tNq5KGNzfwR1O3uJP8OAAVWYkCEORtB+P+SaqjUDzh4P1ahYGUYXrNhKW10Y
EDvXjtwuHkbdJMH5tIcMGGhPNVBxH0YPnc9tSY1hwJNuTma/NIdRvVdRUa2Z
DKjwsOhCyMIQqiYRMND9jgGHI7idkfwh9LuAfAg9jAHz3p64N3VzCL1ueUhs
4A4DHkH7I02nB9FUrZD8psMM6Don9kVubAC9IX5qY84iHe7jtGz8njaAPj1R
GHG1nw4FiO+6vK8OoCtJPuU+TXQYuxVZ7BvoR4OHK9Xqsumw9ry9SsbfPrT/
gY2W93U6zPl9fHdeYh/K1ZGVym5Lh89Nd8KSK32ojLF5RKUJHV7WX7WoGe9F
HZ3y9CU16ZBry+Mn/Us9aNy2tWsprHyMxLu8GivtQW29qbGKCzTYuMksddar
B+20+y3fMEyDccJK/3Hw9qBjMtJBzT9oUHc6Z0Fe/C86OntfVz+RBqn2z7jo
Ld0oEsCstXhBgwK9d4nbnnejmTxOFrGPabC9+cAWbYVuVNZsd/N7Vv3cKmyx
PL3lD9pSmWhcbEyDlhzzjxQDOtCnJhem0A3/W09okqpwB9p20MZYjZ0Gl/se
ftKJ+I06ZeiPfVqkwmfV0rNmsb/QPj0FxZ2DVFj/RNc8rKAdRXRdDxlVUSFT
wU+FY6gZzYhiJqn5UaGBm0pIVcQ3VMej+VQDHxVSxiaaMxK/or+cdBc72alw
2TpfPjK/FrVcOzlAWKbA1EMwy6atGrUJ+2Z4d4wC+aTONS7JVqL9ImzFpo0U
GHiNvNNcH0XvRHMI+b+lQM1TmRUMuxI0fVO2PPqSAgd0dU7PBhWhntLWW/ie
UeBBoVPuIXX5aN25l2MNwRTI/j7wE2aaiboliG3XukWBmUlynSZGrqisIafn
cUMKvHvziMJD5jmQ/6h7Z9xhCty9I+6WQKE3sMKSBTccpEDyzysZsceegYBd
MhcFdChQKtPgyIhkKhh0HV5p20yBhV3qDOOmdHCFfqM3j06B6byP2H/rZ4ED
16sOxZMp8LjmjU4m1wdAO3nseKYMBYY/B9Gi94oB5bJma5AABfZmZ/McMC8F
rRvy6cO8FPiil6ilvQkDuydWA85wUeDIim/KtaVPwGaO7dSVVTIM2Wbv15z/
H5h41F5/YJIM8woTdCYSK4BAQ5MLZYwMOw92zvBFVoIbJlfricNkuN3SyFbH
pQoIeoSGyvWSYUPoHiR++1eQP+8hMdlGhlvKXxfzaHwDd73Yv4i1kKH/Arfm
1d11AGqJxus3kuGrzCFJqdffwdjen9kD38iw5rBcS7VCPYgzGqo3riXDhZ4T
EXfj6oH3LpWZ71VkaCRVINqV0ABiLM/Jsf1Hhp45I3VP6D+AVsRmUu5nMkwz
UAhhpvwA7yPaR25jZMjt7b8hKa0RZMA5+T3FZFg4dJLDMacZpIT8/RqUS4b9
PgGf5He2gM/qJuxfs8lQXL7Esz6vBexQKvojn0WGjsaUZY3CVuDtrhz87z0Z
vhg9Vdin1QY+KBsYeKeR4Rf/oNvPStpALx8Xz6ZUMlQqnppZwtpBHVwzDUkm
Q0NTWs77/T/BA99iPeskMrw7YXbdsvwnkNw7+OFAIhmmBD5SFT34CzC5o15o
JZBhM+XT6OfKX0D6ttL0/ngy5EBnUl0O/QZXS9Tyz75lxduMYUer+Q1szxR0
+8aRocX0WUbr0Q7wtnfS6VMsGQY+Cu0L+NYBFKusLYRY/kgvi9c63glMOVvf
2r8hw95Pczaj9Z2ge8Ye+fWaDPm2RTyuU+4ChQreqhYsKyylX0u26wLbuD87
jL8iw11fvhzzSu0CwmPyC2EsG0R0bz0z0gVcPrfU6LF83mZZQH3rHyA46NAn
yLKbqsQIv+MfEKOQcaD3JRk+Xlat6Un/Aw7aZvZ/ZTmp6tC7kvE/gFHzrbqS
5dJI24DI7d1g0j1jtIHlRluPy9eudwNiKDAcZ3loe5SefnY34OPMHZNlHZ9t
NZOmON0NQnMDas6yLFlTzfVP/S/IOuLbm8rytmc9PQ0uf4HGvhxtQdb1wAur
Zakf/gLv1kv1niyfVZN86zPHshKI52DFw3lth7fF7h4QwLkp7xnLD2uPWO+6
3QOE9m3lBaz4vYq+gAgX9ABd378v5lj+cNFTfmCxB6BuS84oK/7dhJzf0e69
4Jt/0rQPK18LX2uLnYt7wctkmTgvVj6FX/S9OLLSC2hfsl6GsvKtvVP6zMq9
PiCzrBDQyaoPI3YNzWa0D4jay91XfEeGV+oMJDMI/WBqyK/BhVVPkVe8mq28
+8GVea4XhumseNawfegp7QeUpu2XizNY+d7q/fTyUj9otRWw3cOqV89J7+NO
LgNApCdu2oJV327GHKozmQMgD60P48kjQ5cPDwRvjw4A64BoZ4zVf1y+41Pt
eXEQVDQZ8FkVkaHNT84UjreDoO34Zx+9EjI01/H19+8cBILEswf2o2R4nM0P
hp4eAulJxR0XyshQM8C/9NXhYaBZyj18gTVfNYZ5Xir5DwO76QfBtaz5vM3g
oXti2TBYpq+821/Pmh+iAXvStUdAa/rDmxbNZLghOjC7ZNso8JIxHjH4Q4a/
kh8l/iKOAzexRQ+Ff6z5sEHI18pwHGiPCot6r5Dhd/sQ256gcfAm9mPkNIEC
bZ7pibiyT4DQ7IevuVn3t1Pm+l893CeAcc/bklEJCkR6Duk9cpgEMQ2NeVW7
KVCHFLirLmgSfB59fElVmwL3Hqymir6bBG0Pu9AEhAI1kg9zRvRNgm0b/74s
P0SBDPsjn2Isp8DfGYFXteYUKDpzVCvtxDTYyxE6LehHgeLtara3nKeBx/Ez
8bNBFCiJSQbtfzoNYritRKeeUKBccE97a+M0CMjUD1Z+RYFbKHfduE7PgJF9
CRKR+azniUlqwblzsyDfur/Ik/V8OrT3yR9lz1lADJwew2Yp8KjCLb7Z17Og
L2tDreQKBRqP7DcL+jMLNA/WiwkKUKGVT/tC/vk58Ls/ZZB/MxW65fLtEb06
D9KX1mx8HajQ4/m45a+gedClO3CR6UqF9+83+SelzQN5zbJYaVb/6H80tkVn
bB6UaVXeIbH6x/CePbfsri+ANadPIvvzqDBD/HJe2a1FYBLni8Zz0WD2P4OO
kGeLYNL5o66QCA3mdalznylYBALN1WLSUjRYnLZ2cuLfIki5F9F8dTMNVsOo
Wdl7/8DrML977idosMelQsPVZwlomU/7WcbTYNcXLunk+CVAvbCWyMygwV+y
B9baypeAtfxDB5NCVv9SXlalw7UMMga77dnqabBc/NM5Lr9lkFbOJpVFoEPs
MgHuTlwGjFptZSVBOiwuBspXKpYBe9V8SI0UHeaeL52u5V4B2dHtn7+q0+Hb
3KKH4f4rIMS283mpHasf5V1yqEhaAQ4lPOMKd1j9lvle44XKFWCfqHyuyp8O
wzgLNpnzrgIRoxjNmQQ69DbJyyYHrIL82G3WQ710eC95Nupkyiqobfld/GGO
Dt2WNTz8q1ZBjNLGgRYeBnSOz9Eb5lsDAqqedJXNDOi4MLVlk8oa+OvrRLXU
YUC7o2pEw8NrwHF115cZQwa8+Ob6/H27NfDIw+rDqA0D2sxk/soOXAOXSaVJ
R10Z8Jz+xKeed2ugCd51Eg9kQLMY1SSJmjWgzKWjZ83qV00mHIP1h9cA/VVx
OdWdARlKLXtKuAjIN8mhpqALDEirdd3cTCIgJsq8pnFGDEhxlZAbpxKQIxC0
jAJWP1x9kkPxIGv7C5ssWRkGlHOZndU0ZTlf+PEyLwPKykUMGF0kIDf6fdw2
zNOhpHPjVx8/AtKm0jaW8oMORaSNnw1UEJCV9B2fa0LocKLA4POtL2wIz57y
QuUQGqTzVbq4t7AhRxve3erwpMFzpxG6Zx8bUlrebfzmOg3WzqkF+3GyI1F3
bu7QP0mDSeqSphEIOyJow19K3MQa/757MPsjO1LktlN34j0V1r65JTqWzIHk
7G7v2VxJgcn+sVbnA7iQnUGysyZDSpA+lyp2+wUfovO4siRphxzsypYv0bos
iKhiq9vP9G2EdXucVZRuCSI3MUkP/7qNsLS0PIrXTxDpVlZJKvu4Eb6svuLc
9FYQybraEns5aCM8051Dv9YpiFj9Pux9YcdG+ENUPyzOVAgRa7rDt/W+BKxw
crrEd0AY8bIZDl9hsN5Xo7oeDj8WQeCdaanQJCIM1csRZIsWQd7baHq3hxHh
l3nfMIlYEcT/57TV7ntEuPf05ph9WSLIvWuTztSTRCgv5ZoRVS+CPC12c2/g
IMKB5/zNTKIoIpW93dL+vCh0e7WLHPNUFBGmmCTfVROBrxOCS45GEpGArtQ2
SzYB6MI4Gtfykojwn27f+KSbHx5O5fe3SSAixpXtYh1l/HAuM/D47VwiomOd
JlLjxw+PFj/8+7aB5erNKeOC/HChwYdvSUgMCZnqdjuluAEaETxOpviLIQ2l
/Mba5ryQ8UB7r0aoGHIr3ehsNcILV7iW5dBIMYT/50VrZyovTOZ3H2hMEEOE
BNDNIuM8cE3ijjuhXAwZvA8kvR7wwLStN2NPEcSRCg1p+uYsbsh11mGU6444
ohP4a0pDngvKHjFVUPcSR1KiaMyfnFxQQwsYWwWIIydil36+HOKENjKiBYXR
4shZobjIW3mcsPRnrs+1QnFE7VjbopshJ7xtvizTtiSOxM427c3w44ChR3uP
cXOSEMeJGk8RRw6YqP3NS12AhGi/8f0SfJIDNsq+6X8kS0LIdY5izRQOuOM3
M2e/DgnZet3lREo5O9T/uqXv2gESonCI/VZXGju0KiFJvTQgIScsDJd3RLDD
kJf99+YtSIhB5ugP8kV2mPDoexblIglZSZBdKTvGDos9CnpOOJKQr8kV6vd2
s8Mhi6DDafdIyF6y+i2Ejx2yHXPxaPMjIc1v/zujP8UGJXUtMrlDSYhJ3I3F
Kz/ZoOq2g3/Vo0jIkFmcbkI5Gzwopyph/ZqE/P/3VgshyUMhSbhdVgl3izJw
v+1o+EPCcBd+KxJnfsHdUBqv5/QdN+G16/vqLtzmltJ3PNkk1n3DkCMtjQ93
IBjpaBPFXSBfCjWUcEt0WYsM7sddZ5WSZOSD25vsuXc2CPeuPpOvUU9xv7pK
mP4Vh9ve9ZTupU+4eYO5mtxXce/Pt2ZPuL1x3XmC0hbz9pLrpj9XHOA5Kr3u
JVeflVRj2XWP/JMRSt4jt+7YS/6NMmSFdT/ZVxssRVVct/C11P1lJKV1o/Bj
SZ40ed2rDpa7TIUo62bnaYjevIJ7t77z58MEGn4+v9IGSFO4of2XxwZzuEOW
/u7x/YdbSVomYIadvm79UwHKP8Rwh9dfsHu8E/e2CrmRDXdw3z65N3y/B+5P
PSe13bxwm3A8Ch4MwO2OLG358hz3l8IWB99i3MTD06QSDPfZNqHSmXLcY/MH
hM5/xU3amZu+vwP3ufI6U7du3MnGw6tZfbi1nZUMFcdx+7Hpzp+exl332Oz1
43nckgo39b4s4f6//3Pr/h/+sHJg
                "]]},
              Annotation[#, "Charting`Private`Tag$3956797#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJwtmnVUFd/XxmlBujtvATYGIOIcPecrKCIq2KCELSIgSkmINAiotCipoCIt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                "]]},
              Annotation[#, "Charting`Private`Tag$3956797#2"]& ], 
             TagBox[
              {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwtmnk0Vt/3x40h8zzPPI8k84OS7uGcTxGalCZTpEEyiwiRzKEyp4iKJBmK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                "]]},
              Annotation[#, "Charting`Private`Tag$3956797#3"]& ]}, {}, {}}, 
           InsetBox[
            
            TemplateBox[{
             "\"Valid near BEC\"","\"Good distrib\"","\"Valid at th. part\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0., 0.3}], ImageScaled[{0., 0.}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
             FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{-10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
            AbsolutePointSize[6], "ScalingFunctions" -> None, 
            "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          
          PlotLabel->FormBox[
           "\"Dimple density distribution in Y axis\"", TraditionalForm],
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJxF2Xk0FW/cAPBrJ/vlypbtrrQotMjyTN2naJFCSpGtVUiSiiSyZImSJaWF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                 "]]}, "Charting`Private`Tag$3956797#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJwtmnVUFd/XxmlBujtvATYGIOIcPecrKCIq2KCELSIgSkmINAiotCipoCIt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                 "]]}, "Charting`Private`Tag$3956797#2"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJwtmnk0Vt/3x40h8zzPPI8k84OS7uGcTxGalCZTpEEyiwiRzKEyp4iKJBmK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                 "]]}, "Charting`Private`Tag$3956797#3"]}}, {}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {0, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, 
            FrameLabel -> {{"Density (at./m^3)", None}, {
              "Distance (\[Micro]m)", None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None, 
              "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotLabel -> 
            "Dimple density distribution in Y axis", PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Valid near BEC", "Good distrib", "Valid at th. part"}, 
             LegendMarkers -> None, LabelStyle -> {}, LegendLayout -> 
             "Column"]], {
            Scaled[{0., 0.3}], {0., 0.}}, Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {580.5, -358.76873046931394}, {
      Center, Center}, {360., 222.4922359499621}], InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxN0gkw1ev7APCDjqVwZUuKSt+zOIQoe96X72vPVilEyXJTllJKiRx+opS6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                "]]},
              Annotation[#, "Charting`Private`Tag$3971594#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJwV1Xk01N8bB3BLtorsoaiYGWNmrGNnfB7da19SkSXKGoVKiVLWlBbVV6sk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                "]]},
              Annotation[#, "Charting`Private`Tag$3971594#2"]& ], 
             TagBox[
              {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nk01c8bB3AhW8geQtmXa7nude8l9Hk0o6SkXQplK7IUSZJEWdJXi8iW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                "]]},
              Annotation[#, "Charting`Private`Tag$3971594#3"]& ]}, {}, {}}, 
           InsetBox[
            
            TemplateBox[{
             "\"Valid near BEC\"","\"Good distrib\"","\"Valid at th. part\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0., 0.3}], ImageScaled[{-0.6, 0.}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
             FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.*^19, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.*^20, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {22., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {24., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {26., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {28., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {32., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {34., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {36., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {38., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {40., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
            AbsolutePointSize[6], "ScalingFunctions" -> None, 
            "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          
          PlotLabel->FormBox[
           "\"Dimple density distribution in Z axis\"", TraditionalForm],
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJxN0gkw1ev7APCDjqVwZUuKSt+zOIQoe96X72vPVilEyXJTllJKiRx+opS6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                 "]]}, "Charting`Private`Tag$3971594#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJwV1Xk01N8bB3BLtorsoaiYGWNmrGNnfB7da19SkSXKGoVKiVLWlBbVV6sk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                 "]]}, "Charting`Private`Tag$3971594#2"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJwV1nk01c8bB3AhW8geQtmXa7nude8l9Hk0o6SkXQplK7IUSZJEWdJXi8iW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                 "]]}, "Charting`Private`Tag$3971594#3"]}}, {}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {0, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, 
            FrameLabel -> {{"Density (at./m^3)", None}, {
              "Distance (\[Micro]m)", None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None, 
              "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotLabel -> 
            "Dimple density distribution in Z axis", PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Valid near BEC", "Good distrib", "Valid at th. part"}, 
             LegendMarkers -> None, LabelStyle -> {}, LegendLayout -> 
             "Column"]], {
            Scaled[{0., 0.3}], {-0.6, 0.}}, Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {967.5, -358.76873046931394}, {
      Center, Center}, {360., 222.4922359499621}]}, {InsetBox[
      GraphicsBox[{{{}, {}, 
         TagBox[
          {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
           Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJw12nk4VU/cAPAioY1KdlJptVSK7Iavfb24uMmefc2+VAihrNkSEiJbkjWk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            "]]},
          Annotation[#, "Charting`Private`Tag$3978805#1"]& ]}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 14},
       DisplayFunction->Identity,
       Frame->{{True, True}, {True, True}},
       FrameLabel->{{
          FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
          FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
       FrameTicks->FrontEndValueCache[{{Automatic, 
           Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
           Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
          Automatic, {{0., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {1.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {2.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {3.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {-1.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-8.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-6.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-4.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-2.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {4.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {6.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {8.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1.2*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1.4*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1.6*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1.8*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.2*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.4*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.6*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.8*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3.2*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3.4*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3.6*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3.8*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {4.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}}}, {Automatic, {{-100., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {-50., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {0., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {50., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {100., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {-150., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-140., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-130., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-120., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-110., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-90., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-80., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-70., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-60., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-40., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-30., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-20., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-10., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {10., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {20., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {30., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {40., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {60., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {70., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {80., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {90., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {110., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {120., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {130., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {140., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {150., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}}}}],
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Reservoir density distribution in X axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -597.9478841155233}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{}, {}, 
         TagBox[
          {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
           Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwtmnk0Ve/3x9McQuaZa7jXHJUIdR42MjQYMqYyZKyIiCQZInzKnCTzFKJE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            "]]},
          Annotation[#, "Charting`Private`Tag$3982918#1"]& ]}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 14},
       DisplayFunction->Identity,
       Frame->{{True, True}, {True, True}},
       FrameLabel->{{
          FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
          FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
       FrameTicks->FrontEndValueCache[{{Automatic, 
           Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
           Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
          Automatic, {{0., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {1.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {2.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {3.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {-1.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-8.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-6.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-4.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-2.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {4.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {6.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {8.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1.2*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1.4*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1.6*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1.8*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.2*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.4*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.6*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.8*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3.2*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3.4*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3.6*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3.8*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {4.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}}}, {Automatic, {{-15., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {-10., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {-5., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {0., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {5., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {10., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {15., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {-20., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-19., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-18., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-17., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-16., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-14., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-13., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-12., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-11., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-9., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-8., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-7., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-6., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-4., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-3., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-2., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-1., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {4., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {6., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {7., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {8., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {9., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {11., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {12., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {13., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {14., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {16., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {17., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {18., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {19., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {20., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}}}}],
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Reservoir density distribution in Y axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -597.9478841155233}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{}, {}, 
         TagBox[
          {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
           Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJw1mXk0FU7YxylJhFLKliRZsmbLbvLY/SwhslQi+75fXNzLXbKXJRElpLJG
UhHGdltkSSWlkhLKGipF9d73nPf9a87nzDPb8/3OmZkz+9yDbT03sLCwNLOy
sPxvaWyxvPAvmI7H+SbZB0jecMhJvetoAB1/ujmxJTLdG0S8Yy6U+dBxcO3P
HfsvesO3pH86JqfpeJnCfzy/zhuKmrlSM23peGWy2nX8vTcsyUhI7FGj47I8
PRtWfR8o5jh2XOs3DbP82behdJMvrPQ04QgKDUtuKLJlr/UDWsGAXTSJhrXO
XNHia/UDgcDpyRgiDd88fvGRzFM/0N4pxJ0YQcPRVypZiV/9IMk93inlDA1b
7EgVrJXyh23/YKnYkIYfKjzJsi33B1mNZ/sfstFw1ngyabYiANwrZ2iCVCre
dKXsxdYXQbBnVP7JKTIVb6jF96Q+B8EIVwh3RTwVV7APhVv/CALrwJUc5Sgq
Prt2tahHIBh0lP6UWHhTMd1Udt3yZDDsbuJpiTej4oE9l5VfzwTD045DC+Pc
zPpUxR8XzobA4dfRjpUXKNgqTP9Kf1coGI+J2GzMoeBkG8bgcl8o2H/uMHXN
ouDgqbEHYiOhEPaNS4vnLAW32NI/nJ8NheotJSJhMRT8MtpKcIg/DMS1Ho1r
ulJwd8MCZdA3DHguCQQ83kfBcZk/Tq7uDofPrvdJ09XJmH/UtfVaZgQUSqtq
Lt1IxqVNiVYsRRFgs1L7ba08GXOIvDPxuhkBD9LK3XmLk3FBX0uJfXcEZDdn
GapnJGMx6QXZB78jAAl4cVACk7HBzq4R7BsJRc/5zu1VSMbzQ373V2yiwM48
4IpDXRKOmTD9/sKYAMrh2zjKq5LwxrlPWdYOBOAragz5dj0Js3PwLwx7EmBw
bv1IekkSfuHcKbuVSgCr8xkTHeeTMP1x58r2bgKYjtTKyEck4X7Wa6V5hjGg
5/Xt9kbNJNyiqcL6yjoWpJOiHt3qJOOBnRlS2tlEqA1ZXKxtI+PiuvbT0xVE
UD3lJ1jTTMZaAmU3brQQ4YjOSb+bDWQsetKx2v0zEZx/GG0tLSXjjnbb9jbN
eMjw47fJSSLj0obCdenJeFiybXwVaUDGLzWc3ztZJQLhiAJLhB4ZZ4bHcp/3
TIS/ijekw7TI+NUF25V3xETg4i6KCVIm42NaE4b3qxJB4mGysLc4GSfGFuro
bCKBo7bdqeMbyPjSaZsPu7xI8GD/0qRWJwn3NWydzFQiw4Wp/m6LNhIeq5DY
7aZLhpCqqlLXZhK2/OChqWtOhv0qnicTGkhYu1cqWfgMGVINRl52lJKw4ph3
mu9FMhw/3dZtmkzC1nndFx02JsHy5dRSB0MSFh2TfzX4MQnsVI0fTKQn4izz
8DuOvRRwjrIdyaAm4l+RztWENxRwu3dyRT0hEdsHK+29/oUCQTrRcinBiXgz
I7RGjoMKZw1vFMnbJuKdu8o+jBpRoc2eMz5qdyKWO/IoeLiLCtKR/bocpQn4
eGqbR/ETGijcfeNUX5iAcWWa59lRGqj9mox0zknAW7qUypJmaWAQ/6+mmpKA
X/eUc1/jocMJqpLoUe8EHDrUC2V2dMjOy/5bIJeAVSYepWR/oMP6HYd22bvx
+EG4ulIlewrYJPO4qNfFYx+uyDBV4RS4ZsP4ga7HYx4T/aUhxRSwmlFTcMiP
x7+RMoulUwpcFeMvJkXHY/MQasPhmhQwTnse+/JwPHZSIl39fTwVzrnZqCfe
I+LuyX0vXuA0mJDnGEq5RcS8CRo/t4+kgeZae2DuDSI+VTml5LWQBh/zFK/d
vEjE9P3WZvai6aDWy7PzBYGIS++aPDCLT4c3an3fpDWJeObwBv86/QyQ4DKv
Gbofh4ME77MIvsqEp9n2N880xOErT+cDby5kQoTQqWs/KuOwzMavD204sqBL
JqJYqCgON8fFXprQzAJ308sZ7glxeKXaRX3/5Sy4Sl0KXDKIw+IT5TvOqp0D
UZZLCnxPY/F654ROBdd5EPw+U3f0fQzW8FM1cBzLBh+pB7u2vIrBogspvBnz
2dDklB6PB2Lw4/mtbwf/ZIN9m5yFYkcMdt4YUZEkkgOZ9MDJreUx+LX3WOA5
5xxgE1oQeeQbg+OjL9i4vc6Beb2lFL3vBJz46GmL4sdc0AntXPw+R8Cpyx0m
+su5kFaW7VgzScCTLmWUk2x5IM2hckBkhIDLTf+YPZXMA49n4fhXMwE3Da5m
ewXkwYjH9x+NJAK+umWwtfR3HnSeXfWQ3UrA+TIchJL9+XDSOMLckI2Alxpq
Ujw08mFt46LSifVo3Kk+bqBtmQ+qiVN/Mmej8ZXTXb+lo/PheuRw/tLTaPze
Y3PVv958SHdv7L2fEY1FYs+nV8VcBAedEBVT3mis6Wk2kfa5AL4uTG3w5IvC
S8ExDZxsxfDGu8lsE1cUlrMxxUMixfBkjHLu2sYo3Ni16FGvVgw3B/aJTq5E
4pKV+TsN3sXgU+ei6f0qEisd+Ux9+LQYpoIGgn2LmDx4Zdns0mWYmGt6GygZ
iQ2OBW4ROlACYzPUpiitCJx7vbz43a+rILLwj0hQjsBqK6P1VZyl4LwUA7EH
IzA2PN+fIlwKw6uBg/FCEZhj8+ujUbql0L/J4Svldziemzcd2p5UCg/2Sorm
NIdjIX1L0xM8ZVBgx6DWaYXjrKyFmQKVcrBrYT82rRWGp/u092jdrgANX2Ma
r0oYdul7t5vtUQWI7KbdVZcNw0F6yPrD2wqYDNskRBUOw58j+YsG2K8D4SDb
2L71UKxE5+lMdbkOxQWsvi6toZixDZriOG7AVPQ6sV8/FNuk/BRICbkJcapL
5Y2GIfifZtyoWFw1NBRR1D10Q3D8V00ttpxq+Mq2+9F29RBcUxir8KuyGpxf
as8ESYXgs5e2Te8erQatKOohGc4QHKV8n0dGpwYWgw8Rta8EY9rHZadi1lr4
GpVQy30nCLM2LJz9WFAHYxSBHQ0fAnBPkVToLlI9MEz4GpqnfbDDEDnC/cYd
MFX1jQ1X9cSfPbNirnI1w6OHVIFZpdN4OruU3UO8HU6eWFBWJTnjgZnIklyu
Tvj48ohEr7szDnMPPBGzsxO8rHL53Y2c8dDnvfLOezohSF9zNYvTGUsfuPuI
V7ETEvYlt87kOuGu3AALM9tOuPJ5l2nZzePYnC8QpvM74UOg3gm+5w44+u4Z
I/+9XXBm8pzVzTsOmFOI5VujVBdMn/ykjy46YFmnYw9XFbtg0fqseNAJB0x9
V9gUhLqARXlo6vHUMTz4sXhx++ku2PfDM4y8bo/73k+dkL7aBe4JGfTFA3bY
8P77eRmRbhCVyIzmZrfDe9XE7LUluuHN40zvg5O2eNEy5jLIdYMt/zmTMxW2
mLdQ8YKGTjcYVGdvHpG0xTyqfH/rXbpB/E0+vV3qKF472nt46GI3dPsb8u6x
s8K2CkZ2Jlw9oHPXaMFhhxX+83HGfjtfDzRuMBk499wSuyn+XBoQ6IHyArMs
NntLvOB4sf2gZA9QHlrxztr/h80JSu32qAcM9zvxtjiY43j7vZ3+YT3Q/SaQ
18nZGM992SCl3tfD9DvbUp+oMc4rls8WHuqB6V1FLww+GWFWN1Hn78M9wGX3
pEAuwAjHy7A8p37oAdteSQmWBEPcdbhNSXC5B8ZaxjSuXzXAHm6Wciy7GLD4
OkpYxMsAF5JLjCWFGLBhlfvvuYMGOMC+YAcSZYCkqk5X7O0jWPVK1GUrSQYE
VF+0tOpB+FNFScCwGgNWNMu6vz7TxddH98+ctWWAQNSzlBfOupim8u3l52MM
0G74Z9X2SQcfnB3+pObEgKSDrq/Pf9fGDRqLpnWnGMArzD+vIaiF17R+nWQP
YICyI9wWL9XEu1ldz64FMcAhJ5SwVVYT72iczv8UyoAirv4NH3Q0cKqliWV6
NAMOrtN2093UcdYTC1v9JAZYadx5G/JFDb8Jcpl7QmFAaMSnq85havisj5mm
GZ0B92b15RQoqjhwOLB3TzoDjN6topfXlXHoxkw1yTwG+AhKsbcrKePLyPe2
cT4D0o8d671x/xCW4WxtdCpgwFBf/TFirxKmRJPkHYsZgIkvXxi/l8cUh/iQ
unIGfDCbuvtwRQ5ztF7Z4VLBANbdvwpNueRwn1d70a/rDDCoFzltrnEQi2g1
HOWtYjD9qWDYayWDHUEpilbNgGQLJPWfpzT+FsYatljDgO7PHnOW2ZJ4l4fJ
x6JbDJhoiBzsv3EA0z+etBmrZ8AmEv22dbsErjzAm7LzNgOMhapijs6KY+fc
YSvHOwzwmnrgOrRBHL+zTR0+08QAWmO/vp3gPkzm3ybqeZcBmcUTXJXponir
kcQn3fsMGDjMMVR1XwRbdpi77mpmwLYh2Ys1k0LYOSo8fZzJNgHWJ+t2CGJd
1/uhV1oYcJ49XKIe7cYzvI6cNg+Y+Sm58LUhkB9/H62wX2byDu3mW42FO3AC
FrdOaWWA/ct3UU0Pt+M3sWdWt7cxQGZsQ2zIF16ckn7AOoPJlTvM2SNgK/Y5
om+7xmQ50/PZ0cUc2OtOJYtrOwNqiSOicT/ZcMdrklMdk5Xq91YlHGXFQjG/
Xb4z2aO3L4jNca19SDtkswJmrl/Vlc7FtdL+qdLZxYnJQ1ov9Q8kfGkPV7Z1
jGbyLcGJca+nL9uNJXjX6EzeuiVlYSmjVT/vnq9xGpOFrV/I3TL7qH+Q11mT
zOTUttE/gyGL+oGKq899mUw/Zvn58YOf+nObibuMmEyZbXvayfFPPypQl3UH
k/ERgTcnDm5EcwKNuc+Z89PjfmbpPMiOkq5FP6MxuXUkpcMhihPFZOjfk2Oy
TrmBmp0ID2qU/GTWw1z/u7vxL6TGt6ELl53oNkwu2uPMI9nIh9ZW7of2M/Pp
kqxuKkHfiVx+anHqM1noC1+SuPMupKqlYlvKzP8bq4UWMXkB9IpP0GKVqddx
oRuKe54Lo/XQAw5Epp67SRRf4Yo9KFf8lX8lU//hz25lgjF7kW1VumbvPaYe
I+lcaVn70B3byE2fmf5J5YqT5owRR/EWShzvmf7y1fM1SnHfj643/+193MgA
6XKjRLraAUTI0r8a08AAjlcqRex7JZGJkNo9XaZfp7aI36dySKF2c8NLK3UM
qAj+u5Q8Ko0KyNxDWky/H9C+60Uiy6H8zTdPyTD3izGbauZAgjz6+PX921PX
mHr23bojSlRAojqx32hlDHiueCzppLYSojff+l5xhem3Tqtn62rKqI518yZF
5v4tk+T2LG9URsGLUq++5jJAJa131UJFBd0qzAnKz2aAnb2p2CUlVcRf5rC5
K4MBOZNHgjVl1dHehdErZ5IZsN+CZeP4TXUkvZDofJ3EgNt1bRfOSh9G5XW1
fKPxzPEJ2m2vDmgg75z+Qn4Cc3wuNe4oMS1UYtI6+8qf2Z+idFUDvx4y+2sg
X2DDAIncST3nXD20+kLg3sJ/DGhcLR9i3aGP3GnN/YfNGPD1w7Z4aQ6Eyt0O
PCo6wgDOyozy6E1HENXh+7aWQwww16Ev87MAmsYsl2x5GZAd5NXqqw8ook1k
hcHJ1LvEiN6aACjoh366PDsD/DaxCXv+AVR1RLTq2XoPpPaTDBp/G6K9lbNs
0V964Ilb7Hnb78bot/7Fy0dwDxBw13F/JRO0cOOQt05LD0iJcYtR/E2Q5vuS
Odkm5nk1dqX2zrgJEvIJdf9S1QO6J3t6BfpN0bTtJbWxCz1wy2Ub+1iFOfL3
G9vR4dcDeQ4Vsf7HrdDg7LxKEyfzfGtaOELJsUI+P0pr3dh6YIlfc0txvxVK
dTuXyPq3G6xe9ub3G1ojlp/ZLpLfuoGtkvDmooANehh/K/nvcDe0Sl/+ucZ2
FPFVsK+vlHSDkuSXQ53vbFE7kUvXTaEbBm6MXXj0xxZ9DT8XflSyG4Jkh9f6
99ihYNkfkZqi3VCj1NUzesIOpUi+lJ3n7oaD2sVO39/ZIeMNK3Gzs10gYXOU
LP3eHnU1mD6yvNkFArH3BzPfOyBflLFLXqQL/vWlBLuMOaNfJ32ON853AGmq
fbn7xGl06ZdCy7vpNvBqO8Eux+GJjt/RWSIYNIPVvBo8Z/VFQUlSY+rpd+DS
yi2HJ3cDUO6Z2htPrteDV1r4CUdGAGqv9uQuK6gHZXH1MxMvApDX3gP6lLR6
eGLdEvr3WwA6Wp7Pezq4HlYre9KV5QLRq2bvFMrherA//aazsCQQdby4PRj+
+Bbw9G9U9E8JQtUN01kLU3XQYVe1kSYfgszKEkK2PKyGkR2nN/urhaAJzguz
wjXVsPh8F5eNbgiKXSieMGDeP8Xsk/iELENQZkaySv+paiDZO+2rDWC2N8u4
/fpXFegd26w/XBWCHnqMCrYfqoJmB49YyYOhiL+jTS7v1k1odBL+xpAMQ/Ju
ha23pyuAcCohV0IhDOmaXXmw82UF6HqOH05SC0MHD8wNUTsqgBFyPUHXMAyR
WRwlLhZWwGu6ytbG02HoDX1fKNGyAv7esZC6WhSGbhcGW+o0XQMTPuKJOL5w
FHr+gKdrTjm8efL2seLfcPRwv/KXA7GlYGOUOyfLHoEUjSPylnxK4WG7xXZp
ngjk2XyLMuBYCo2NzcfFRCMQ/fDS2n21Usi6fHFqm14EuvpPbd166SoYhtlv
WoqPQOyjgncig65CreBT1PgnAm1aopDtwkqA7NNyV+NPJBpdknENtiiGcmmx
uBq2KGS6pj+vplwMj6YpeuJbo9C9Q2+v7xAsBh5fqx4u4Sj0YVzUeOdUERT5
jg+914hCfjdy9kpTiuCe3+Z5SkQUKvd8/iml8xLMB9hJPJuJQuLFEgqN1oXg
HDpzzvdNNKpINXK7fT0fhmmpX+6NRyOtH7aGArn5YFckY8DxJRrJ7/QRzSLl
w38PvZcrfkajuZ6ByAanfNDfM3FsYicBRbXdXevbmg8Sj98KnbImoI7bqS/M
oy7AnFh/uX03AdXxkPS+HcsDP/XAP2W9BHS35o10tGEeTFpsdVgeIqAw2V8S
3Cp58CHKfHP2ODPe55yA77Y8GHrK8B34S0B/WrDTWG8uNBHaFcw1Y9CBa8uP
7xnlAmnw1j392hhk5nL3aqthDtQ6l5+Xb4pBhSF1Z16r5MC7iXw/4bYYRG1v
2Mi+Pwe0fiWI/OyLQe/Ou2WfZ82B7/ssSbVzMcjWmntPSHs2+IV/MdkjH4t2
/tnor6PHfJ/vEn/1uyoW9WfB2xKT8yDlmvP9zs045CabIRO3NQs2yKkGidTH
Id35ocXp5Ux4v/ZiMuleHOqIOBwbOJoJuZd2jVg/jENsKSlxzZWZsGG0oPnL
RBwKqmS8PG3OjHcqSdwjRkSXUt12PM/IgFzHmi3UC0S0+8v8bLVEOoRIWSXN
FBPRo++uw4950sHi5/zvo9eICN8nTv1eTYMN+Uqzoo1ENMh7QrmgLw2Ch2/3
33tGRO6G7mbd0Wlgfqw5Z3ZrPFohCNd0DaQCq93DPfbJ8cjvV6DfREYKZOY/
2OWUFo+GvJ8mYUIKiLyt5z2ZE49yaHOp9R4poO5ZxOpTFo84OBq2D2mmQEB0
6Oe4rnhUV/vyHOfUWRi5JFxTtjEB9Tz+62JsdBZqJ4J1lpMTkLjM/vFj2+ig
I+OptpqWgExNdPMr/tDgcaCzwp+cBLT/EM/VLTM0mPhhKLa5PAFtE/lymp1B
A6EtQmzC3QmowzErboRIA6p8d68BWyLaKB3t2z9HBdcoAZdsSiKqtTHfTXpL
AYNtpl9C0xNR1GjNBsOnFJCpjI4+mpuIPmbpntn9gAI/3g3nbCtPRFQbR7PZ
SxQ4b5T3NLMrEck1eoz+50oBD84tV4xYSSj9ls+x0bFkuPiaus0AkRDkuzR0
fkuCDYTEZa02EiqMyVi7oEuGp1OBnFMdJHRzG+/NK4fIcMHRdV9ODwlZdB9v
bDhABpnDmtYzT0lIsEX6wU9uMtj8WKq8NEpCqhJysevvSVAc4eW+vkpClglz
wtNJJNAItXzWqkJG28KmqzjLEyHYT7gO3SSjPr2KfZ274iF7pyq7Tg0Zaaxw
HBlkjYfGtv9OHK4nI73oUeq3WSL85kvgUrhPRolTRKXALiJQWj54Cz8mI7Me
hU/GoUQo3Foh9mOajB7cLh8MG4wDRq1SdpV0Eoo6vH5dpigWRJaNInfdSEJS
n7i1tT0JwI/URPqrktDQZ0+JK8cIwJMh0UWtS0LnuV6s8BoTgEVq4/bvTUno
v8AFQQEpAnx2xtXPe5JQe/NjsY4v0VDbqTVx7lMSMtOYrPAPjQaUrWjHtTcZ
Veva6z5LiQKPQ4KHWC4ko9ctIuSYtxHAcfOa+LWCZFTLMSX0dyACasWUd5oX
J6OOo5Wk9K4I+M1r8TOnPBklN51MZ1RGwLl5YqvU7WQ0cMKoujYmAtqqPphZ
Dyajzic7fE0EI0BI8ob7ZU4K6hn+FHLqVDgMCh3O1UmkoOLBNjPfTWEw8HSu
RymZgt67rYej36HQn1D+U4JOQf4PdAfFFkKh9+N2F+4sCjKp115bHwkFRuXs
vveXKchCykRCvCYUWrRK6xLbKIhW4nVQwDEUKpy5ezv/UNBvD839hPoQiC/8
xGpGpKIDrnGLBetBYLsQkvwrkYqGjHz+5M8EgbThX7bKZCr6pSJfUfomCIbm
BDi40qjIzv7b5Xf3gkDyiBVPXwEVyf67+ms6Mgj6p+4JHb1LRfznGCMWS4Eg
ppap4rRERSk/49JWlwOge0DD09eHhgQIC51YwB8a7nu00wNoyG51uHmBwx9K
yjIFK0JoaGA7h4PsLz8gRk/0fSTQ0MTPzcaPXvuB6t5z6q4pNDTSU9Caf8kP
yoOmNltX0lCZd0tr0j4/oHJfqFSdpaES43FxTXVfiPiJ2ewWaYindJVvUsoX
3MdnToau0FDEJI/OZUFf0LtzZEftOg0ZdGzmVfrjAz9c5+KkuOlo+3XznJFu
H/CqNrQUUqCje4ImfKoOPmB/Ifi6hjIdle5Kv5tl6gMGpEJWR3U6EkvmXPqu
5QOi9ot3cvToKERG69/4Xh8YXrskym1NR51STj6Hv3oz368MgqwdHckf2Xlt
8q03NAx8GzJzpCOl7ftlSga8IbPMhE47RUdED67xQ3e8gZgRNl7uQUcOrz+z
ct7wBr/oYu0ubzq6+5LfcLbQG46ffpQ37s/s/4nq5ZEMb/i//zj0//9x/wOq
e18+
            "]]},
          Annotation[#, "Charting`Private`Tag$3987150#1"]& ]}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 14},
       DisplayFunction->Identity,
       Frame->{{True, True}, {True, True}},
       FrameLabel->{{
          FormBox["\"Density (at./m^3)\"", TraditionalForm], None}, {
          FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], None}},
       FrameTicks->FrontEndValueCache[{{Automatic, 
           Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
           Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
          Automatic, {{0., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {1.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {2.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {3.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {-1.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-8.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-6.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-4.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-2.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {4.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {6.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {8.*^17, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1.2*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1.4*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1.6*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1.8*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.2*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.4*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.6*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {2.8*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3.2*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3.4*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3.6*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {3.8*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {4.*^18, 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}}}, {Automatic, {{-750., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {-500., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {-250., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {0., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {250., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {500., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {750., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
              AbsoluteThickness[0.1]}}, {-1000., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-950., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-900., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-850., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-800., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-700., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-650., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-600., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-550., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-450., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-400., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-350., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-300., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-200., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-150., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-100., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {-50., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {50., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {100., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {150., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {200., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {300., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {350., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {400., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {450., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {550., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {600., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {650., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {700., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {800., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {850., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {900., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {950., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}, {1000., 
             FormBox[
              TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
             0.}, {
              AbsoluteThickness[0.1]}}}}}],
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Reservoir density distribution in Z axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -597.9478841155233}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}]}}, {}},
  ContentSelectable->True,
  ImageSize->{1173., 729.5374609386279},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.795436719932225*^9, {3.7954368015638943`*^9, 3.7954368250282364`*^9}, 
   3.795436857776109*^9, 3.795437086403186*^9, 3.7954375322116847`*^9, 
   3.7954382056532035`*^9, 3.795441615996264*^9, 3.7955017609009447`*^9, 
   3.7955017998991756`*^9, 3.7955018478919206`*^9, 3.795501894584591*^9, 
   3.7955022107536755`*^9, 3.7955022552312193`*^9, 3.795504812300475*^9, 
   3.7964712009576836`*^9, 3.796472414577099*^9, 3.796472451039184*^9, 
   3.796472491300487*^9, 3.7964725519799576`*^9, 3.796472657425989*^9, 
   3.7964727092249517`*^9, 3.798280999776024*^9, 3.7982810774034643`*^9, 
   3.798281225197918*^9, 3.7982812954269342`*^9, 3.798281391926454*^9, 
   3.7982814363769965`*^9, 3.798284323567134*^9, 3.798285711346511*^9, 
   3.798286325792655*^9, 3.801984960719121*^9, 3.801985027555944*^9, 
   3.8266191585202675`*^9, 3.8266204715370398`*^9},
 CellLabel->
  "Out[567]=",ExpressionUUID->"a0f19d96-0d24-46e5-a457-856f1ddfe411"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TempReservoirMax", " ", "=", " ", 
   RowBox[{"3.", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velMin", " ", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"2.", "/", "Pi"}], "*", 
      RowBox[{"TempCloud", "/", "mAssSr"}], "*", "kBOverAu"}], "]"}], " ", 
    "*", 
    RowBox[{"4.", "/", 
     RowBox[{"Sqrt", "[", "2.", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velReservoir", " ", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"2.", "/", "Pi"}], "*", 
      RowBox[{"TempReservoir", "/", "mAssSr"}], "*", "kBOverAu"}], "]"}], " ",
     "*", 
    RowBox[{"4.", "/", 
     RowBox[{"Sqrt", "[", "2.", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"velMax", " ", "=", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"2.", "/", "Pi"}], "*", 
       RowBox[{"TempReservoirMax", "/", "mAssSr"}], "*", "kBOverAu"}], "]"}], 
     " ", "*", 
     RowBox[{"4.", "/", 
      RowBox[{"Sqrt", "[", "2.", "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]", " ", "=", " ", 
    RowBox[{"8", "*", "Pi", "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"aScat", "*", "aB"}], ")"}], "^", "2"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]CollBEC", " ", "=", " ", 
    RowBox[{"n0BEC", " ", "*", "  ", 
     RowBox[{"\[Sigma]", "/", "2"}], "*", " ", "velMin"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]CollDimpleAv", " ", "=", " ", 
   RowBox[{"2", "*", 
    RowBox[{"n0ThDimple", "/", "2"}], " ", "*", "  ", "\[Sigma]", "*", " ", 
    "velMin"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]CollDimpleToBEC", " ", "=", " ", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "n0ThDimple", "*", "n0BEC"}], "]"}], " ", "*", "  ", 
     "\[Sigma]", "*", " ", "velMin"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]CollReservoir", " ", "=", " ", 
   RowBox[{
   "n0ThSheetOnly", " ", "*", "  ", "\[Sigma]", "*", " ", "velReservoir"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]CollReservoirtoDimple", " ", "=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"n0ThSheetOnly", "*", "2", "*", "n0ThDimple"}], "]"}], " ", "*", 
    "  ", "\[Sigma]", "*", " ", "velReservoir"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]CollReservoirtoDimpleMax", " ", "=", " ", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"n0ThSheetOnly", "*", "2", "*", "n0ThDimple"}], "]"}], " ", "*",
      "  ", "\[Sigma]", "*", " ", "velMax"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak collision rate in BEC: \>\"", ",", "\[CapitalGamma]CollBEC", ",", 
   "\"\< /s\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak collision rate between dimple and BEC: \>\"", ",", 
   "\[CapitalGamma]CollDimpleToBEC", ",", "\"\< /s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Average thermalisation rate in dimple: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollDimpleAv", "/", "3"}], ",", "\"\< /s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Peak thermalisation rate in reservoir: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollReservoir", "/", "3"}], ",", "\"\< /s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak thermalisation rate between reservoir and dimple: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollReservoirtoDimple", "/", "3"}], ",", 
   "\"\< /s\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak thermalisation rate between reservoir and dimple for max \
velocity: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollReservoirtoDimpleMax", "/", "3"}], ",", 
   "\"\< /s\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.795444459183885*^9, 3.795444655489113*^9}, {
  3.7954446880079727`*^9, 3.7954447698856564`*^9}, {3.795444822526667*^9, 
  3.7954448255718412`*^9}, {3.795502595032655*^9, 3.795502629486625*^9}, {
  3.795502696740472*^9, 3.79550304550242*^9}, {3.795503088375872*^9, 
  3.7955031874145365`*^9}, {3.7955032377274146`*^9, 3.795503338798196*^9}},
 CellLabel->
  "In[568]:=",ExpressionUUID->"7ef83780-6845-4b1d-9c45-c2fb762a45a0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak collision rate in BEC: \"\>", "\[InvisibleSpace]", 
   "3946.55133186131`", "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm["Peak collision rate in BEC: ", 3946.55133186131, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7955029749133825`*^9, 3.795502984508931*^9}, {
   3.7955030186238823`*^9, 3.7955030461714582`*^9}, 3.7955031238008986`*^9, 
   3.7955031898196745`*^9, {3.7955032514551997`*^9, 3.7955032631178665`*^9}, {
   3.7955033081134405`*^9, 3.7955033392662225`*^9}, 3.795504953697562*^9, 
   3.8019850965638914`*^9, 3.8266191668716903`*^9, 3.8266204741645007`*^9},
 CellLabel->
  "During evaluation of \
In[568]:=",ExpressionUUID->"3311caad-f72b-4cd4-a0fb-76f30863d1a6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak collision rate between dimple and BEC: \"\>", 
   "\[InvisibleSpace]", "8589.091681845935`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak collision rate between dimple and BEC: ", 8589.091681845935, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7955029749133825`*^9, 3.795502984508931*^9}, {
   3.7955030186238823`*^9, 3.7955030461714582`*^9}, 3.7955031238008986`*^9, 
   3.7955031898196745`*^9, {3.7955032514551997`*^9, 3.7955032631178665`*^9}, {
   3.7955033081134405`*^9, 3.7955033392662225`*^9}, 3.795504953697562*^9, 
   3.8019850965638914`*^9, 3.8266191668716903`*^9, 3.826620474168496*^9},
 CellLabel->
  "During evaluation of \
In[568]:=",ExpressionUUID->"3b54d048-7afb-4cc8-8c5e-0b4c236e5863"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Average thermalisation rate in dimple: \"\>", 
   "\[InvisibleSpace]", "1557.7418045044105`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Average thermalisation rate in dimple: ", 1557.7418045044105`, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7955029749133825`*^9, 3.795502984508931*^9}, {
   3.7955030186238823`*^9, 3.7955030461714582`*^9}, 3.7955031238008986`*^9, 
   3.7955031898196745`*^9, {3.7955032514551997`*^9, 3.7955032631178665`*^9}, {
   3.7955033081134405`*^9, 3.7955033392662225`*^9}, 3.795504953697562*^9, 
   3.8019850965638914`*^9, 3.8266191668716903`*^9, 3.8266204741714964`*^9},
 CellLabel->
  "During evaluation of \
In[568]:=",ExpressionUUID->"b258049a-1bb3-4ab9-909f-865e4d7e6886"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak thermalisation rate in reservoir: \"\>", 
   "\[InvisibleSpace]", "30.005753859737343`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak thermalisation rate in reservoir: ", 30.005753859737343`, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7955029749133825`*^9, 3.795502984508931*^9}, {
   3.7955030186238823`*^9, 3.7955030461714582`*^9}, 3.7955031238008986`*^9, 
   3.7955031898196745`*^9, {3.7955032514551997`*^9, 3.7955032631178665`*^9}, {
   3.7955033081134405`*^9, 3.7955033392662225`*^9}, 3.795504953697562*^9, 
   3.8019850965638914`*^9, 3.8266191668716903`*^9, 3.8266204741734943`*^9},
 CellLabel->
  "During evaluation of \
In[568]:=",ExpressionUUID->"2aeff143-256a-4bd8-91f4-905bef3a2e2a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak thermalisation rate between reservoir and dimple: \"\>", 
   "\[InvisibleSpace]", "317.1684320421286`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak thermalisation rate between reservoir and dimple: ", 
   317.1684320421286, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7955029749133825`*^9, 3.795502984508931*^9}, {
   3.7955030186238823`*^9, 3.7955030461714582`*^9}, 3.7955031238008986`*^9, 
   3.7955031898196745`*^9, {3.7955032514551997`*^9, 3.7955032631178665`*^9}, {
   3.7955033081134405`*^9, 3.7955033392662225`*^9}, 3.795504953697562*^9, 
   3.8019850965638914`*^9, 3.8266191668716903`*^9, 3.8266204741764917`*^9},
 CellLabel->
  "During evaluation of \
In[568]:=",ExpressionUUID->"4946f1da-e691-49ed-939b-51d05c8f3ee0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak thermalisation rate between reservoir and dimple for max \
velocity: \"\>", "\[InvisibleSpace]", "486.74818710372784`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak thermalisation rate between reservoir and dimple for max velocity: ", 
   486.74818710372784`, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7955029749133825`*^9, 3.795502984508931*^9}, {
   3.7955030186238823`*^9, 3.7955030461714582`*^9}, 3.7955031238008986`*^9, 
   3.7955031898196745`*^9, {3.7955032514551997`*^9, 3.7955032631178665`*^9}, {
   3.7955033081134405`*^9, 3.7955033392662225`*^9}, 3.795504953697562*^9, 
   3.8019850965638914`*^9, 3.8266191668716903`*^9, 3.826620474185485*^9},
 CellLabel->
  "During evaluation of \
In[568]:=",ExpressionUUID->"7ea7ad14-3579-459d-a8da-bbb85f4046e6"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["SSBEC experiment with 500 000 atoms in BEC", "Section",
 CellChangeTimes->{{3.721657938130308*^9, 3.721657962491701*^9}, {
  3.781243177526231*^9, 3.7812431817364717`*^9}, {3.7954415066110077`*^9, 
  3.7954415107962465`*^9}, {3.7954416628979464`*^9, 3.7954416726935067`*^9}, {
  3.7954986330890446`*^9, 
  3.7954986481679068`*^9}},ExpressionUUID->"cc979cbb-8c5d-469a-bfb2-\
28987e976308"],

Cell[CellGroupData[{

Cell["DT parameters", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 
  3.6822405592526093`*^9}},ExpressionUUID->"96367004-b124-4a18-a36f-\
007bd7e65840"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipIPG", " ", "=", " ", 
    RowBox[{"1070.", " ", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipTransparency", " ", "=", " ", 
    RowBox[{"688.", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Polar688Sr", " ", "=", " \[InvisibleSpace]", "343."}], 
   ";"}], "\[InvisibleSpace] ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Spatial", " ", "coordinates", " ", "where", " ", "we", " ", "want", " ", 
    "to", " ", "look", " ", "at", " ", "properties"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xOffset", " ", "=", " ", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yOffset", " ", "=", 
    RowBox[{"0.", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zOffset", " ", "=", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"powDimpleFun", "[", "Att_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"0.0383", "*", 
       RowBox[{"Att", "^", "3"}]}], "+", 
      RowBox[{"3.0901", 
       RowBox[{"Att", "^", "2"}]}], "+", 
      RowBox[{"82.973", "Att"}], "+", "747.63"}], ")"}], "/", "1000."}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"powSheetFun", "[", "Att_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.000736"}], "*", 
        RowBox[{"Att", "^", "5"}]}], "-", 
       RowBox[{"0.068407", "*", 
        RowBox[{"Att", "^", "4"}]}], "-", 
       RowBox[{"2.264870", "*", 
        RowBox[{"Att", "^", "3"}]}], "-", 
       RowBox[{"29.112936", "*", 
        RowBox[{"Att", "^", "2"}]}], "-", 
       RowBox[{"37.638786", "*", "Att"}], "+", "1419.847969"}], ")"}], "/", 
     "1000."}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}]}], "}"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTab", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"powSheetFun", "[", 
        RowBox[{"-", "9.7"}], "]"}], "*", "0.95"}], ",", 
      RowBox[{"powDimpleFun", "[", 
       RowBox[{"-", "12"}], "]"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}]}], "}"}]}], 
   ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "W", " ", 
     RowBox[{"for", " ", "@", "DT"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "9.7"}], ",", 
       RowBox[{"-", "3.9"}], ",", 
       RowBox[{"-", "12"}]}], ")"}]}], "  ", "=", 
    RowBox[{">", " ", 
     RowBox[{"SSBEC", " ", "main", " ", "data", " ", "set", " ", "  ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0.575", "*", "0.95"}], ",", 
        RowBox[{"0.145", "*", "0.95"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
        RowBox[{"0", "*", "10.4"}]}], "}"}]}]}]}], " ", "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MsquaredTab", " ", "=", 
    RowBox[{"{", 
     RowBox[{"1.6", ",", "1.", ",", "1."}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WaistXTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"14.5", ",", "27.", ",", "23."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WaistYTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"110.", ",", "27.", ",", "23"}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Theta]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"90.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "90.", ",", "90."}], "}"}], "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"X0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Y0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]Tab", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
     "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
      "\[Lambda]DipTransparency"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Tab", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
      "\[Alpha]Polar688Sr"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"atomic", " ", "unit"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Power: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.719734073769492*^9, 3.7197341228395596`*^9}, {3.7197341865133104`*^9, 
   3.7197342789691334`*^9}, {3.7197343148477635`*^9, 3.719734336700366*^9}, {
   3.7197343764349933`*^9, 3.7197344120350423`*^9}, {3.7197344514142857`*^9, 
   3.71973448305433*^9}, {3.7197361695534525`*^9, 3.71973652993395*^9}, {
   3.7197367287202907`*^9, 3.719736825700424*^9}, {3.719736863871477*^9, 
   3.7197368791314983`*^9}, {3.7197369247040195`*^9, 
   3.7197370245241575`*^9}, {3.719737184228448*^9, 3.7197371935384607`*^9}, {
   3.7197372908300533`*^9, 3.719737365114664*^9}, {3.719737398126776*^9, 
   3.7197374618533916`*^9}, {3.719737517591997*^9, 3.7197375178019977`*^9}, {
   3.719737585322091*^9, 3.7197376399442005`*^9}, {3.7197376841172633`*^9, 
   3.7197376898272715`*^9}, {3.7197377431993933`*^9, 3.719737889667735*^9}, {
   3.719737927819822*^9, 3.7197379435098433`*^9}, {3.7197380047919617`*^9, 
   3.7197380477640553`*^9}, {3.719738224646333*^9, 3.719738225226334*^9}, {
   3.719739819974985*^9, 3.7197398206549854`*^9}, {3.719739887487097*^9, 
   3.7197398877670975`*^9}, {3.7197400449833655`*^9, 3.719740045333366*^9}, {
   3.719740312335746*^9, 3.719740312475746*^9}, {3.7197403835278645`*^9, 
   3.7197403850878663`*^9}, {3.719821996481608*^9, 3.719822001997924*^9}, {
   3.7198220621013613`*^9, 3.7198220657915726`*^9}, {3.719822105493843*^9, 
   3.719822109667082*^9}, {3.719822161757061*^9, 3.719822166407327*^9}, {
   3.719822208055709*^9, 3.7198222117679214`*^9}, {3.7198237503968167`*^9, 
   3.7198237509768176`*^9}, {3.7198237831788635`*^9, 
   3.7198237898588724`*^9}, {3.7198239502711134`*^9, 
   3.7198239509111147`*^9}, {3.7198241242633643`*^9, 3.719824153265425*^9}, {
   3.719824211517519*^9, 3.719824252869594*^9}, {3.7198242873516583`*^9, 
   3.7198243196737204`*^9}, {3.719837823583614*^9, 3.7198378987177553`*^9}, {
   3.7198379468598375`*^9, 3.719837947929839*^9}, {3.719837995351921*^9, 
   3.719837996601923*^9}, {3.7198380967420607`*^9, 3.7198380970420613`*^9}, {
   3.7198382877323246`*^9, 3.719838289962328*^9}, {3.7198384641025677`*^9, 
   3.7198384643025684`*^9}, {3.719838531044673*^9, 3.719838531554674*^9}, {
   3.719838619129826*^9, 3.719838619309826*^9}, 3.719838684291926*^9, 
   3.7198387330140142`*^9, {3.7198387736260843`*^9, 3.719838774556086*^9}, {
   3.7198388554882135`*^9, 3.7198388563582144`*^9}, {3.719838902520297*^9, 
   3.7198389032202983`*^9}, {3.719838986942433*^9, 3.719838987212433*^9}, {
   3.7198391303526306`*^9, 3.719839131262632*^9}, {3.719840417788425*^9, 
   3.71984049419853*^9}, {3.7198406187707143`*^9, 3.719840619910716*^9}, {
   3.719905054109453*^9, 3.7199050737994804`*^9}, {3.7199060923484554`*^9, 
   3.719906100058466*^9}, {3.7199061624505644`*^9, 3.719906163720566*^9}, {
   3.719906196412629*^9, 3.719906197752631*^9}, {3.7199063525548563`*^9, 
   3.7199063530148563`*^9}, {3.7199064525380077`*^9, 3.719906462448022*^9}, {
   3.719922144132188*^9, 3.7199221493821955`*^9}, {3.7199221815242577`*^9, 
   3.7199222077563066`*^9}, {3.7199222404183645`*^9, 
   3.7199222409083652`*^9}, {3.7199223100624876`*^9, 3.719922310582488*^9}, {
   3.719922357614565*^9, 3.7199223578045654`*^9}, {3.71992239366663*^9, 
   3.71992239405663*^9}, {3.7199224355186987`*^9, 3.7199224358386993`*^9}, {
   3.719922469890757*^9, 3.7199224707307587`*^9}, {3.719922530632856*^9, 
   3.7199225322328587`*^9}, {3.7201606252342777`*^9, 3.720160628840484*^9}, {
   3.7201730442847676`*^9, 3.7201730451358166`*^9}, {3.720173190240116*^9, 
   3.7201731993096347`*^9}, {3.720173247575395*^9, 3.7201732477894077`*^9}, 
   3.720173285526566*^9, {3.720173320860587*^9, 3.7201733234547353`*^9}, {
   3.720173364994111*^9, 3.7201733672892427`*^9}, {3.7201734215763474`*^9, 
   3.720173427280674*^9}, {3.720173470132125*^9, 3.720173472943286*^9}, {
   3.720173566256623*^9, 3.72017356655764*^9}, {3.720173683311318*^9, 
   3.720173684201369*^9}, 3.7201741942425413`*^9, {3.7201742531269093`*^9, 
   3.720174253699942*^9}, {3.7201742940902524`*^9, 3.72017431712457*^9}, {
   3.7201758083938656`*^9, 3.7201758099729557`*^9}, {3.720180328271388*^9, 
   3.720180328585406*^9}, {3.7201806002729454`*^9, 3.7201806007049704`*^9}, 
   3.72018140949223*^9, {3.720181724486247*^9, 3.720181724597253*^9}, 
   3.7201818653313026`*^9, {3.7201821144325504`*^9, 3.7201821148715754`*^9}, {
   3.7201822608799267`*^9, 3.7201822611589427`*^9}, 3.720182378003626*^9, {
   3.72018247808335*^9, 3.720182478925398*^9}, {3.720182547301309*^9, 
   3.720182547962347*^9}, 3.720182654228425*^9, {3.7201828061421137`*^9, 
   3.720182807422187*^9}, {3.720183360003793*^9, 3.7201833604458184`*^9}, {
   3.720183414743924*^9, 3.7201834150529413`*^9}, {3.7201848613202066`*^9, 
   3.7201849357254624`*^9}, {3.72018496715226*^9, 3.720184976040768*^9}, {
   3.72018500649151*^9, 3.7201850570264006`*^9}, {3.7201850970656905`*^9, 
   3.7201850989948006`*^9}, {3.7201851572601333`*^9, 3.720185159441258*^9}, {
   3.7201852260940704`*^9, 3.720185226629101*^9}, {3.7201852616201024`*^9, 
   3.7201852635282116`*^9}, {3.720185341325661*^9, 3.7201853751045933`*^9}, {
   3.7201854524520173`*^9, 3.720185456458246*^9}, {3.720185852238884*^9, 
   3.720185854181995*^9}, {3.720185884528731*^9, 3.720185890064047*^9}, {
   3.720185981268264*^9, 3.720185981762292*^9}, {3.720186411158852*^9, 
   3.7201864115118723`*^9}, {3.7201865075153637`*^9, 3.720186526702461*^9}, {
   3.7201866649373674`*^9, 3.720186735660413*^9}, {3.720186917196796*^9, 
   3.720186919614934*^9}, {3.720186951679768*^9, 3.7201870534245872`*^9}, {
   3.720187088828613*^9, 3.720187102890417*^9}, {3.720187190237413*^9, 
   3.7201872672848196`*^9}, {3.7201873194828053`*^9, 
   3.7201873362667656`*^9}, {3.7201873976742773`*^9, 
   3.7201874140382137`*^9}, {3.720187462436982*^9, 3.7201874646341076`*^9}, {
   3.720187511310777*^9, 3.7201875163470654`*^9}, {3.7201876386170588`*^9, 
   3.7201876576211457`*^9}, {3.7201876933631897`*^9, 
   3.7201876984614816`*^9}, {3.720187743972085*^9, 3.72018774475513*^9}, {
   3.7201879895351305`*^9, 3.720187997171567*^9}, {3.720188283798961*^9, 
   3.72018833972616*^9}, {3.7201886960805426`*^9, 3.720188729831473*^9}, {
   3.7201900034323187`*^9, 3.7201900099566917`*^9}, {3.72024544489887*^9, 
   3.7202454753026094`*^9}, {3.7202455655027685`*^9, 
   3.7202455680619144`*^9}, {3.7202456150726037`*^9, 
   3.7202456155406303`*^9}, {3.720245658944113*^9, 3.72024566379139*^9}, {
   3.7202456939011126`*^9, 3.720245694157127*^9}, {3.720245886740142*^9, 
   3.720245888816261*^9}, {3.720245952024876*^9, 3.7202459609863887`*^9}, {
   3.7202462358368483`*^9, 3.7202462416468563`*^9}, {3.7202462956109676`*^9, 
   3.720246298710972*^9}, {3.720246406543135*^9, 3.72024641008314*^9}, 
   3.720246643135479*^9, {3.7202467104675894`*^9, 3.7202467408176312`*^9}, {
   3.720246788287697*^9, 3.720246788477697*^9}, {3.720246831309776*^9, 
   3.720246881871866*^9}, {3.720249855124486*^9, 3.7202498722445097`*^9}, {
   3.7202499266066027`*^9, 3.7202499267666025`*^9}, {3.720249979878691*^9, 
   3.720249980178692*^9}, {3.720250039650789*^9, 3.720250039980789*^9}, {
   3.72025009069287*^9, 3.7202500933228736`*^9}, {3.7202502108570633`*^9, 
   3.720250224367082*^9}, {3.7202502749691715`*^9, 3.720250308879218*^9}, {
   3.720250408659356*^9, 3.7202504090493565`*^9}, {3.7202504392093983`*^9, 
   3.7202504583794246`*^9}, {3.7202505265815353`*^9, 
   3.7202505320615425`*^9}, {3.7202505913636446`*^9, 3.720250605963665*^9}, {
   3.7202507560158863`*^9, 3.7202507662659006`*^9}, {3.7202508056259546`*^9, 
   3.7202508370759983`*^9}, {3.7202508860580816`*^9, 
   3.7202508870980835`*^9}, {3.7202690803201017`*^9, 3.720269087170111*^9}, {
   3.720270034685447*^9, 3.72027003670545*^9}, {3.7202700716575155`*^9, 
   3.7202700782675247`*^9}, {3.7202701196195974`*^9, 
   3.7202701223796005`*^9}, {3.7202740675530834`*^9, 
   3.7202740680330844`*^9}, {3.720276648361673*^9, 3.7202766586116867`*^9}, {
   3.720276812983918*^9, 3.7202768167539234`*^9}, {3.7202815621345186`*^9, 
   3.720281562774519*^9}, {3.720281662286667*^9, 3.7202816626866674`*^9}, {
   3.720281710328745*^9, 3.7202817154587517`*^9}, {3.7207791762553525`*^9, 
   3.7207791862653666`*^9}, 3.720781067202996*^9, 3.7207810990060587`*^9, 
   3.7207811677301674`*^9, {3.721128157070932*^9, 3.721128195819148*^9}, {
   3.721128248279149*^9, 3.721128254961531*^9}, {3.7211282913126106`*^9, 
   3.721128292862699*^9}, {3.721128779887555*^9, 3.721128780029563*^9}, {
   3.721129757507472*^9, 3.721129790841378*^9}, {3.721130293308118*^9, 
   3.7211302953942375`*^9}, {3.7211303824512167`*^9, 3.721130382846239*^9}, 
   3.721130449387045*^9, 3.7211305112905855`*^9, {3.721130582994687*^9, 
   3.7211305889670286`*^9}, {3.721137585980235*^9, 3.721137590984521*^9}, {
   3.72138433762089*^9, 3.721384365044459*^9}, {3.72138446857238*^9, 
   3.7213844734666605`*^9}, 3.7214566882425437`*^9, {3.7214567641198835`*^9, 
   3.7214567645769095`*^9}, 3.721485717648896*^9, {3.72148596923489*^9, 
   3.721485999667631*^9}, 3.7214864469942164`*^9, 3.721487139612832*^9, 
   3.721487360555469*^9, {3.721487403498925*^9, 3.7214874269062643`*^9}, {
   3.721489159766378*^9, 3.72148923830087*^9}, 3.7214894079405727`*^9, {
   3.721494619480902*^9, 3.72149464495243*^9}, {3.7215764359042506`*^9, 
   3.721576456089405*^9}, {3.721576514209729*^9, 3.721576524058293*^9}, {
   3.721576862167631*^9, 3.7215769379309645`*^9}, {3.7215806227807436`*^9, 
   3.721580628194953*^9}, {3.7215808491452017`*^9, 3.7215808561464157`*^9}, {
   3.7215809279677477`*^9, 3.721580930493353*^9}, {3.7215809780816402`*^9, 
   3.7215810901650476`*^9}, {3.7215816241029406`*^9, 3.721581625445543*^9}, {
   3.721631047917037*^9, 3.721631064414336*^9}, {3.721657873684622*^9, 
   3.721657916823089*^9}, {3.7216581071889777`*^9, 3.72165814551717*^9}, {
   3.721658524074822*^9, 3.721658528098052*^9}, 3.7216590210792494`*^9, 
   3.7216590699200425`*^9, 3.721659117742778*^9, {3.7216592020466*^9, 
   3.7216592225097704`*^9}, {3.7219800238946486`*^9, 
   3.7219800510762978`*^9}, {3.7219805320391736`*^9, 3.721980532475974*^9}, {
   3.722000753355342*^9, 3.72200077254644*^9}, 3.722001753475546*^9, 
   3.7220018561694193`*^9, {3.722246973820743*^9, 3.7222469815401845`*^9}, {
   3.7222477334541917`*^9, 3.7222477573175564`*^9}, {3.7222478475507174`*^9, 
   3.7222479338386526`*^9}, {3.723977446428788*^9, 3.723977457911445*^9}, {
   3.7239775282574687`*^9, 3.723977529945565*^9}, {3.7239823429118514`*^9, 
   3.7239823697343855`*^9}, {3.7239824061024656`*^9, 
   3.7239824066194954`*^9}, {3.7240284629445157`*^9, 
   3.7240284862198467`*^9}, {3.7240286235977044`*^9, 
   3.7240286241137342`*^9}, {3.7240286666411667`*^9, 
   3.7240286672362003`*^9}, {3.7240299837334995`*^9, 3.724029984492543*^9}, {
   3.726386193186821*^9, 3.7263863463070326`*^9}, {3.726386529961662*^9, 
   3.726386530841663*^9}, {3.726386581551733*^9, 3.7263865818817334`*^9}, {
   3.7362229404596663`*^9, 3.736222942892805*^9}, {3.7362284669972506`*^9, 
   3.736228494780899*^9}, {3.736228554950204*^9, 3.7362285588970103`*^9}, {
   3.7506827706227446`*^9, 3.7506828001024303`*^9}, {3.7507447978931875`*^9, 
   3.7507448747175817`*^9}, {3.7507451323263164`*^9, 
   3.7507451429239225`*^9}, {3.7507455231936727`*^9, 
   3.7507456299067764`*^9}, {3.7507456759024067`*^9, 3.7507457396580534`*^9}, 
   3.7507628821605487`*^9, {3.7507632576910276`*^9, 3.7507632583510656`*^9}, {
   3.7507633942118363`*^9, 3.7507634361172333`*^9}, {3.777712543623285*^9, 
   3.777712557211062*^9}, {3.7777125914280195`*^9, 3.7777126283381305`*^9}, {
   3.777712677832961*^9, 3.7777126796810665`*^9}, {3.77771281977908*^9, 
   3.7777128289496045`*^9}, {3.777712864315627*^9, 3.777712865965722*^9}, 
   3.7777131752134094`*^9, {3.7777132612973337`*^9, 3.7777132768242216`*^9}, {
   3.7777134400495577`*^9, 3.7777134448428316`*^9}, {3.7777141973898745`*^9, 
   3.7777141974798803`*^9}, {3.7777185879289994`*^9, 
   3.7777186027008443`*^9}, {3.7777186332625923`*^9, 3.777718638518893*^9}, {
   3.777718674985979*^9, 3.7777186920239534`*^9}, {3.777719203975235*^9, 
   3.7777192075854416`*^9}, {3.7777192786515064`*^9, 3.777719281768685*^9}, {
   3.7777195254266214`*^9, 3.7777195524281654`*^9}, {3.7777196056112075`*^9, 
   3.7777196058992243`*^9}, {3.777719651440829*^9, 3.777719674504148*^9}, {
   3.778932899483763*^9, 3.778932902496936*^9}, {3.7789329481355457`*^9, 
   3.7789329515467415`*^9}, {3.7794201280365896`*^9, 
   3.7794201356610255`*^9}, {3.779420263037311*^9, 3.7794202652324367`*^9}, {
   3.779796993954721*^9, 3.7797970140891576`*^9}, {3.7797977145519924`*^9, 
   3.7797977813567095`*^9}, {3.7797978329308004`*^9, 
   3.7797978332896013`*^9}, {3.779797873801273*^9, 3.779797873958273*^9}, {
   3.7797979041251264`*^9, 3.779797904437127*^9}, {3.7803217969585505`*^9, 
   3.7803218211595883`*^9}, {3.7803223793974104`*^9, 
   3.7803223798174114`*^9}, {3.7803811986908293`*^9, 3.780381233274808*^9}, {
   3.780381274329156*^9, 3.7803812755342245`*^9}, {3.7809122528493047`*^9, 
   3.7809122536983533`*^9}, {3.78091233232485*^9, 3.780912336256075*^9}, {
   3.780912847662326*^9, 3.7809130042772837`*^9}, {3.78091858581553*^9, 
   3.7809186104509387`*^9}, {3.780918703730274*^9, 3.7809187063284225`*^9}, {
   3.780918756026265*^9, 3.780918756330282*^9}, {3.780918822149047*^9, 
   3.7809188236551332`*^9}, {3.780982186543598*^9, 3.780982190995853*^9}, {
   3.780983047042816*^9, 3.7809830514170666`*^9}, {3.780983778188635*^9, 
   3.780983778833672*^9}, {3.785418378402396*^9, 3.78541841220533*^9}, {
   3.785418987387228*^9, 3.7854189882902794`*^9}, {3.7854191202708282`*^9, 
   3.7854191206898527`*^9}, {3.7854191761170225`*^9, 3.785419176401039*^9}, {
   3.785419418823905*^9, 3.7854194202359858`*^9}, {3.7854200534372025`*^9, 
   3.7854200575994406`*^9}, {3.785420209750143*^9, 3.785420212734314*^9}, {
   3.7854893914688864`*^9, 3.785489392262932*^9}, {3.7855669704574156`*^9, 
   3.7855669707514324`*^9}, {3.7855670127978373`*^9, 
   3.7855670131188555`*^9}, {3.785646044958697*^9, 3.7856460536451936`*^9}, {
   3.786089149985133*^9, 3.7860891533713264`*^9}, {3.7860892534500513`*^9, 
   3.78608925378407*^9}, {3.7860894252318764`*^9, 3.786089425586897*^9}, {
   3.7860894770158386`*^9, 3.78608950046618*^9}, {3.7860898389955425`*^9, 
   3.7860898397795873`*^9}, {3.7860898713603935`*^9, 
   3.7860898843021336`*^9}, {3.7908625915585237`*^9, 3.790862597680874*^9}, {
   3.7908627226360207`*^9, 3.790862753581791*^9}, {3.7908643591366234`*^9, 
   3.790864378975758*^9}, 3.791008101463951*^9, {3.7910332402752*^9, 
   3.791033269529873*^9}, {3.7910334071937466`*^9, 3.7910334124380465`*^9}, {
   3.791033465013054*^9, 3.79103347700974*^9}, {3.7910335168020163`*^9, 
   3.791033516958025*^9}, {3.7910335612045555`*^9, 3.791033561340564*^9}, {
   3.791033628834424*^9, 3.791033632466632*^9}, {3.7910339311517153`*^9, 
   3.791034005270955*^9}, {3.791034068542574*^9, 3.7910341150422335`*^9}, {
   3.7910341653891134`*^9, 3.791034251471037*^9}, {3.791034287598103*^9, 
   3.791034313183566*^9}, {3.791034346899495*^9, 3.791034349140623*^9}, {
   3.791034412426243*^9, 3.791034551300186*^9}, {3.791034868979356*^9, 
   3.791035031131631*^9}, {3.7918933086937923`*^9, 3.791893373211482*^9}, {
   3.7923289322508793`*^9, 3.79232893243589*^9}, {3.792328963606673*^9, 
   3.792328978119503*^9}, {3.793095207275588*^9, 3.793095209441712*^9}, {
   3.793103316991437*^9, 3.793103319168562*^9}, {3.7935097859496603`*^9, 
   3.793509792222019*^9}, {3.794826490288741*^9, 3.794826490658762*^9}, {
   3.794826523562644*^9, 3.7948266168669806`*^9}, {3.7948268805930653`*^9, 
   3.794826895752932*^9}, {3.7954411868907204`*^9, 3.795441187423751*^9}},
 CellLabel->
  "In[585]:=",ExpressionUUID->"b3562cc3-0c03-49e5-bc44-ca24da695bf4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5418745985135789`", ",", "0.13074600000000008`", ",", "0.00994784`"}], 
    "}"}], "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Power: ", {0.5418745985135789, 0.13074600000000008`, 0.00994784}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7948265748355765`*^9, 3.7948266959135017`*^9, 
  3.7948268969760017`*^9, 3.7954253929433584`*^9, 3.7954275330537653`*^9, 
  3.7954289346779337`*^9, 3.7954291783738728`*^9, 3.795429477153962*^9, 
  3.7954302689922523`*^9, 3.795431852859844*^9, 3.7954369284501514`*^9, 
  3.7954411900269003`*^9, 3.7954412280000715`*^9, 3.7954445111138554`*^9, 
  3.795497689228059*^9, 3.795499741724455*^9, 3.795504416337827*^9, 
  3.795505218677718*^9, 3.826619514708643*^9, 3.826620475699853*^9},
 CellLabel->
  "During evaluation of \
In[585]:=",ExpressionUUID->"17ab05fb-6219-46d0-b3f9-f6e5624eef1e"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Atomic cloud parameters", "Item",
 CellChangeTimes->{{3.670601207082728*^9, 3.670601214202738*^9}, {
  3.682245787232095*^9, 
  3.6822458075121226`*^9}},ExpressionUUID->"09f57938-84a3-4fdf-9bc2-\
d210d88ca5c9"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"mAssSr", " ", "=", "  ", 
    RowBox[{"mSr84", "/", "au"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "au"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aScat", " ", "=", " ", 
    RowBox[{"a1S0iso84", " ", "/", "aB"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TempCloud", " ", "=", 
    RowBox[{"1.09", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "K"}], ",", " ", 
    RowBox[{"fixed", " ", "by", " ", "the", " ", 
     RowBox[{"experiment", "'"}], "s", " ", "cooling", " ", "capability"}]}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NatBECTest", " ", "=", 
    RowBox[{"50.", "*", 
     RowBox[{"10", "^", "4."}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "desired", " ", "number", " ", "of", " ", "atoms", " ", "in", " ", "the", 
    " ", "BEC"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TempReservoir", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.83", "*", "0.83", "*", "3."}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"1.", "/", "3."}], ")"}]}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NatReservoirTest", " ", "=", 
    RowBox[{"8.3", "*", 
     RowBox[{"10", "^", "5."}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "desired", " ", "number", " ", "of", " ", "atoms", " ", "in", " ", "the", 
    " ", "BEC"}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"calculation", " ", "boundaries", " ", 
     RowBox[{"(", 
      RowBox[{"for", " ", 
       RowBox[{"BEC", " ", "/", " ", "thermal"}], " ", 
       RowBox[{"cloud", " ", "/", " ", "transparency"}], " ", "region"}], 
      ")"}]}], ",", " ", 
    RowBox[{
    "usually", " ", "no", " ", "need", " ", "to", " ", "change", " ", 
     "them"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xMaxBEC", "=", " ", 
    RowBox[{"13.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yMaxBEC", "=", 
    RowBox[{"6.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zMaxBEC", " ", "=", " ", 
    RowBox[{"15.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xMaxTh", " ", "=", " ", 
    RowBox[{"200.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yMaxTh", " ", "=", " ", 
    RowBox[{"15.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zMaxTh", " ", "=", " ", 
    RowBox[{"1500.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Average isotropic temperature: \>\"", ",", 
   RowBox[{"TempCloud", "*", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.6705060134472785`*^9, 3.6705063316287174`*^9}, {
   3.6705063744487767`*^9, 3.6705064550088882`*^9}, {3.6705064915209384`*^9, 
   3.6705066804911995`*^9}, {3.6705067293012667`*^9, 
   3.6705067436812863`*^9}, {3.6705067859413447`*^9, 
   3.6705069103915167`*^9}, {3.670506994671633*^9, 3.670507004841647*^9}, {
   3.6705070450017023`*^9, 3.6705070570017185`*^9}, {3.670507155592855*^9, 
   3.6705072480429826`*^9}, {3.6705073453731165`*^9, 
   3.6705074762032976`*^9}, {3.6705075128933477`*^9, 
   3.6705075464433947`*^9}, {3.6705076435935287`*^9, 3.670507732093651*^9}, {
   3.6705077943837366`*^9, 3.67050780425375*^9}, {3.670507841103801*^9, 
   3.67050785488382*^9}, {3.6705078886138663`*^9, 3.670508298995433*^9}, {
   3.670508350655504*^9, 3.6705083639855223`*^9}, {3.6705084949957037`*^9, 
   3.6705085146357307`*^9}, {3.670508578955819*^9, 3.67050857974582*^9}, {
   3.6705086805159597`*^9, 3.670508683825964*^9}, {3.6705087410160427`*^9, 
   3.6705087421260443`*^9}, {3.670573259870878*^9, 3.670573260580879*^9}, {
   3.670573799502623*^9, 3.6705738439226847`*^9}, 3.670573964732851*^9, {
   3.670574161783123*^9, 3.670574173363139*^9}, {3.6705807735689363`*^9, 
   3.670580876689079*^9}, {3.670582695557665*^9, 3.6705827393377256`*^9}, {
   3.6705829178889723`*^9, 3.6705830030990896`*^9}, {3.670583037049136*^9, 
   3.6705830517691565`*^9}, {3.6705832267993984`*^9, 3.670583231519405*^9}, {
   3.670583317249523*^9, 3.670583320369528*^9}, {3.6705834934607663`*^9, 
   3.6705835058607836`*^9}, {3.670583790251176*^9, 3.6705838326412344`*^9}, {
   3.670590191043731*^9, 3.6705902075337543`*^9}, {3.670598515862998*^9, 
   3.6705985291030164`*^9}, {3.6705986458441772`*^9, 3.670598648004181*^9}, {
   3.670599387396201*^9, 3.670599390976206*^9}, 3.6706000391371145`*^9, {
   3.6706001227672305`*^9, 3.670600123187231*^9}, {3.6706008937622957`*^9, 
   3.670600894082296*^9}, {3.6706011683326745`*^9, 3.670601184712697*^9}, {
   3.6706014644630833`*^9, 3.67060149128312*^9}, {3.6706016133252897`*^9, 
   3.6706017087674227`*^9}, {3.67060178660853*^9, 3.670601786898531*^9}, {
   3.670602023529857*^9, 3.6706020296098657`*^9}, {3.681796547646595*^9, 
   3.68179656731472*^9}, {3.681797131609996*^9, 3.6817971388794117`*^9}, {
   3.6817972567821555`*^9, 3.681797331213413*^9}, {3.681797368280533*^9, 
   3.6817974673552*^9}, {3.6817975085815573`*^9, 3.6817976178398066`*^9}, {
   3.681797659052164*^9, 3.681797812867962*^9}, {3.6817978757445583`*^9, 
   3.6817978793017616`*^9}, {3.681807018798511*^9, 3.681807042754881*^9}, {
   3.681807083724224*^9, 3.681807111816831*^9}, {3.681807143248629*^9, 
   3.681807150640052*^9}, {3.681807344880162*^9, 3.6818074633809395`*^9}, {
   3.681807508964547*^9, 3.681807615773656*^9}, {3.681807715169341*^9, 
   3.6818077306652274`*^9}, {3.681807852271183*^9, 3.6818079106415215`*^9}, 
   3.68180801814267*^9, {3.681808274467331*^9, 3.681808274658342*^9}, 
   3.681808307765236*^9, {3.6818084611120067`*^9, 3.6818084717686157`*^9}, {
   3.681808582119928*^9, 3.681808583852027*^9}, {3.6818105383788195`*^9, 
   3.681810538846846*^9}, {3.681810620697528*^9, 3.6818106219806013`*^9}, {
   3.6818106952397914`*^9, 3.6818107028912287`*^9}, {3.6818107968846054`*^9, 
   3.681810797284628*^9}, {3.6818109962380075`*^9, 3.681811026996767*^9}, 
   3.6818119686246247`*^9, {3.6818129889259825`*^9, 3.681812990653082*^9}, 
   3.681816711875923*^9, 3.6818177996871424`*^9, 3.68181794738059*^9, {
   3.6818179854647684`*^9, 3.6818179867998447`*^9}, {3.681820529102256*^9, 
   3.681820547859329*^9}, {3.681820580440192*^9, 3.6818206410246572`*^9}, {
   3.681820690053462*^9, 3.681820721388254*^9}, {3.681821022415472*^9, 
   3.681821043671688*^9}, {3.6818211259833956`*^9, 3.681821150269785*^9}, {
   3.6818212009416833`*^9, 3.6818212011406946`*^9}, {3.681824335980997*^9, 
   3.6818243369340515`*^9}, 3.6818244684665747`*^9, {3.6818245149492335`*^9, 
   3.6818245506302743`*^9}, {3.681825864488423*^9, 3.681825899984453*^9}, {
   3.6818259826361804`*^9, 3.6818259908306494`*^9}, {3.6818260275877514`*^9, 
   3.6818260287698193`*^9}, 3.6818280916898117`*^9, {3.6818288250697584`*^9, 
   3.681828827328888*^9}, 3.6818290074781914`*^9, {3.681829062977366*^9, 
   3.681829070411791*^9}, {3.6818293416073027`*^9, 3.6818293627585125`*^9}, {
   3.681829454208743*^9, 3.681829477492075*^9}, {3.681829613048828*^9, 
   3.6818296146449194`*^9}, {3.6822462620947514`*^9, 
   3.6822464538750157`*^9}, {3.682246591646206*^9, 3.682246591816206*^9}, {
   3.6822474960034723`*^9, 3.682247513623496*^9}, {3.682247582903592*^9, 
   3.6822475928536053`*^9}, {3.6822478770090003`*^9, 
   3.6822478820490074`*^9}, {3.685010030523532*^9, 3.68501009621929*^9}, {
   3.685014872111455*^9, 3.6850148730475087`*^9}, {3.6850164266803713`*^9, 
   3.6850164585361934`*^9}, {3.6855557250394945`*^9, 
   3.6855557549752064`*^9}, {3.6855558013118567`*^9, 
   3.6855558437682853`*^9}, {3.6855558870157585`*^9, 3.685555890903981*^9}, {
   3.6855559436719995`*^9, 3.6855559714955907`*^9}, {3.685556075104517*^9, 
   3.685556089167321*^9}, 3.6855561455435457`*^9, {3.6855561905291185`*^9, 
   3.6855561932312737`*^9}, {3.6855562510345793`*^9, 3.6855562640403233`*^9}, 
   3.6855563550725303`*^9, 3.6855568176889906`*^9, {3.68573287729165*^9, 
   3.6857329090194645`*^9}, {3.68573300300384*^9, 3.685733003683879*^9}, {
   3.6857331369315*^9, 3.6857331382275743`*^9}, {3.685733202180232*^9, 
   3.6857332028912725`*^9}, {3.6857332388833313`*^9, 
   3.6857332399873943`*^9}, {3.685733317099805*^9, 3.6857333178278465`*^9}, 
   3.685733413940344*^9, 3.6857334529315743`*^9, {3.6857334881165867`*^9, 
   3.6857334889876366`*^9}, {3.6859578096957517`*^9, 
   3.6859578106257524`*^9}, {3.704200696130089*^9, 3.704200698570092*^9}, {
   3.7042007723602085`*^9, 3.7042007731602097`*^9}, {3.7042008289802866`*^9, 
   3.704200917850409*^9}, {3.7042009501024733`*^9, 3.704200952212476*^9}, {
   3.7201755125559444`*^9, 3.7201755140330296`*^9}, {3.720175564314905*^9, 
   3.720175591389454*^9}, {3.720175642783393*^9, 3.720175643107412*^9}, {
   3.7201757938260326`*^9, 3.7201757941750526`*^9}, {3.7201758461130233`*^9, 
   3.7201758476561112`*^9}, 3.7201766222334146`*^9, {3.7201767201350145`*^9, 
   3.7201767212770796`*^9}, {3.720177128742385*^9, 3.7201771292504144`*^9}, {
   3.7201789623262606`*^9, 3.720178972006814*^9}, {3.7201798346011515`*^9, 
   3.7201798424526005`*^9}, {3.720179890473347*^9, 3.7201798925454655`*^9}, {
   3.720180344477315*^9, 3.7201803454193687`*^9}, {3.7201807028648133`*^9, 
   3.7201807046289144`*^9}, {3.7201808673092194`*^9, 
   3.7201808683202767`*^9}, {3.720180988405145*^9, 3.720180990220249*^9}, {
   3.720181185125397*^9, 3.7201811866854863`*^9}, {3.7201813275725446`*^9, 
   3.72018132784156*^9}, 3.720181932156125*^9, 3.7201822640471077`*^9, 
   3.7201824745211463`*^9, 3.720182804792037*^9, {3.7201849637070627`*^9, 
   3.720184964101085*^9}, 3.7201854708680706`*^9, {3.7211286601607075`*^9, 
   3.7211286604147215`*^9}, {3.7211337024261084`*^9, 3.721133702750127*^9}, 
   3.721137579847884*^9, {3.721379286480474*^9, 3.721379286750474*^9}, {
   3.7213793450515547`*^9, 3.7213793483415594`*^9}, {3.721384481819138*^9, 
   3.7213844833462253`*^9}, {3.721384538867401*^9, 3.721384543786682*^9}, {
   3.7213845760175257`*^9, 3.721384585865089*^9}, {3.7213846220261574`*^9, 
   3.72138462381726*^9}, {3.7213846760572476`*^9, 3.7213846769292974`*^9}, {
   3.721384743289093*^9, 3.7213847474403305`*^9}, {3.721386762107337*^9, 
   3.7213867790573063`*^9}, {3.72138700168904*^9, 3.721387008903453*^9}, {
   3.7214670579431496`*^9, 3.721467062934435*^9}, 3.7214856658705573`*^9, {
   3.7214859763872995`*^9, 3.7214859797394905`*^9}, {3.7214870769562483`*^9, 
   3.721487104522825*^9}, 3.72148734204241*^9, 3.721487449937581*^9, 
   3.7214874986563683`*^9, {3.7214875905926266`*^9, 3.7214876246735754`*^9}, {
   3.7214881181398*^9, 3.721488132531624*^9}, {3.721489100463986*^9, 
   3.7214891046052227`*^9}, 3.7214892551088314`*^9, {3.721546352188744*^9, 
   3.721546391259979*^9}, {3.721549009718418*^9, 3.7215490214418497`*^9}, 
   3.72154922985345*^9, {3.7215553600231857`*^9, 3.7215553627373924`*^9}, {
   3.7215769527418118`*^9, 3.7215769661575794`*^9}, {3.721580537983374*^9, 
   3.7215805407933793`*^9}, {3.7215808785478573`*^9, 
   3.7215808863286715`*^9}, {3.7215812264577065`*^9, 3.721581231604518*^9}, {
   3.7215813172904806`*^9, 3.7215813380225205`*^9}, {3.721581508508638*^9, 
   3.721581518970657*^9}, {3.72158155203812*^9, 3.7215816084078684`*^9}, {
   3.7215822265764112`*^9, 3.721582230456633*^9}, {3.7215822899530363`*^9, 
   3.721582290104045*^9}, {3.7215836899177103`*^9, 3.721583690925768*^9}, 
   3.721583758743647*^9, {3.721631034405193*^9, 3.7216310405299*^9}, {
   3.7216310828974514`*^9, 3.721631084731888*^9}, {3.7216331859399176`*^9, 
   3.7216332418981185`*^9}, {3.7216332736829367`*^9, 3.721633275859061*^9}, {
   3.721635244477659*^9, 3.721635245516719*^9}, {3.721635280830739*^9, 
   3.7216353314116316`*^9}, 3.7216517987929225`*^9, {3.7216518854088764`*^9, 
   3.7216519380468874`*^9}, {3.72165202639194*^9, 3.721652083278194*^9}, 
   3.7216521260156384`*^9, {3.721652165086873*^9, 3.721652165324887*^9}, {
   3.721652271309949*^9, 3.72165231976472*^9}, {3.7216523524375887`*^9, 
   3.721652352644601*^9}, {3.721652450397192*^9, 3.7216524715083995`*^9}, {
   3.721652526492544*^9, 3.721652526643553*^9}, {3.7216526905949306`*^9, 
   3.7216526910579567`*^9}, {3.721652734842461*^9, 3.721652735377492*^9}, {
   3.7216528234585295`*^9, 3.721652823953558*^9}, {3.721653283814861*^9, 
   3.721653299117736*^9}, 3.7216563206897955`*^9, 3.7216565295607424`*^9, 
   3.7216569405092473`*^9, 3.7216571111480074`*^9, {3.7216571666191797`*^9, 
   3.721657166819192*^9}, {3.721657205099381*^9, 3.721657205193386*^9}, 
   3.7216573151136737`*^9, {3.721657346210452*^9, 3.721657346537471*^9}, {
   3.7216573824745264`*^9, 3.7216574126732535`*^9}, {3.7216576267284966`*^9, 
   3.721657626871505*^9}, {3.7216577004157114`*^9, 3.721657700543719*^9}, {
   3.7216578682783127`*^9, 3.721657889128505*^9}, {3.721658089094943*^9, 
   3.72165809289316*^9}, {3.721658147548286*^9, 3.7216581487663555`*^9}, {
   3.721658215380166*^9, 3.721658215508173*^9}, {3.721658451442668*^9, 
   3.721658451601677*^9}, 3.72165897860782*^9, {3.72165927758292*^9, 
   3.721659277836935*^9}, 3.7216593316530128`*^9, {3.7216594299236336`*^9, 
   3.7216594309306912`*^9}, {3.721980609164713*^9, 3.7219806092895136`*^9}, {
   3.722246964118188*^9, 3.7222469701875353`*^9}, {3.7222477665180826`*^9, 
   3.722247823397336*^9}, {3.723977469195091*^9, 3.7239774715152235`*^9}, {
   3.7362219875757337`*^9, 3.7362219881841345`*^9}, {3.7362227302756443`*^9, 
   3.7362227385191154`*^9}, {3.7362228181366696`*^9, 
   3.7362228190637226`*^9}, {3.7362229577176533`*^9, 3.736222958744712*^9}, {
   3.7362233838090243`*^9, 3.7362233860701537`*^9}, {3.736223480280542*^9, 
   3.736223483286714*^9}, {3.736223571402754*^9, 3.736223573907897*^9}, {
   3.7362286277711306`*^9, 3.736228628051931*^9}, {3.736228710966076*^9, 
   3.7362287112936764`*^9}, {3.7362287882330103`*^9, 
   3.7362287901362133`*^9}, {3.736228880928372*^9, 3.736228881411973*^9}, {
   3.7362289494124913`*^9, 3.7362289497400923`*^9}, {3.7505744803556046`*^9, 
   3.750574481625677*^9}, 3.7506842107861166`*^9, {3.750684435752984*^9, 
   3.750684583890457*^9}, {3.750685657582869*^9, 3.750685658692932*^9}, {
   3.750744098612191*^9, 3.7507441000542736`*^9}, {3.750744678207342*^9, 
   3.750744678620366*^9}, {3.750745941986626*^9, 3.750745943039686*^9}, {
   3.750746072278078*^9, 3.750746080119527*^9}, {3.7507473729654737`*^9, 
   3.750747373221488*^9}, {3.7507474836758056`*^9, 3.750747483979823*^9}, 
   3.750747542542173*^9, {3.750763647554327*^9, 3.750763647868345*^9}, {
   3.7507637976109095`*^9, 3.7507637978539233`*^9}, {3.7507638368471537`*^9, 
   3.7507638371731725`*^9}, {3.777712793496577*^9, 3.777712813543723*^9}, {
   3.7777129614681845`*^9, 3.77771296297227*^9}, {3.7777190084080496`*^9, 
   3.7777190112712135`*^9}, {3.777719664767591*^9, 3.777719667911771*^9}, {
   3.7794199911047573`*^9, 3.7794199931868763`*^9}, {3.7794201524639864`*^9, 
   3.7794201530400195`*^9}, {3.779420285664605*^9, 3.779420290418877*^9}, {
   3.7794203625030003`*^9, 3.7794203642511*^9}, {3.7794208537851*^9, 
   3.779420855848218*^9}, {3.779420905853078*^9, 3.7794209075171733`*^9}, {
   3.7794209448713093`*^9, 3.7794209462703896`*^9}, {3.77942098543963*^9, 
   3.7794209871107254`*^9}, {3.7794210351364727`*^9, 3.779421039165703*^9}, {
   3.7794210773208857`*^9, 3.7794210786979637`*^9}, {3.779421118062216*^9, 
   3.7794211214174075`*^9}, {3.779796217440748*^9, 3.779796217783949*^9}, {
   3.779796314101319*^9, 3.779796314382119*^9}, 3.780322288186262*^9, {
   3.780912279709841*^9, 3.7809122991109505`*^9}, {3.780914113152708*^9, 
   3.780914197167513*^9}, {3.780918136254816*^9, 3.780918138362937*^9}, {
   3.7809193806919937`*^9, 3.780919383293143*^9}, {3.780981635049055*^9, 
   3.7809816353760734`*^9}, {3.7809817882778187`*^9, 3.7809817885978374`*^9}, 
   3.7809821493904734`*^9, 3.7809830367752285`*^9, {3.7812414019986763`*^9, 
   3.7812415012333527`*^9}, {3.7812415781587524`*^9, 
   3.7812415789187956`*^9}, {3.785419520688731*^9, 3.7854195236829023`*^9}, {
   3.7867940660349407`*^9, 3.78679406671598*^9}, {3.786794105322188*^9, 
   3.7867941108785057`*^9}, {3.7867941415152583`*^9, 
   3.7867941892859907`*^9}, {3.79086283154325*^9, 3.790862864465133*^9}, {
   3.790862966757984*^9, 3.7908629691381197`*^9}, {3.790863040770217*^9, 
   3.790863041782275*^9}, {3.7908632750036144`*^9, 3.7908632936416807`*^9}, {
   3.790863365000762*^9, 3.7908633652207747`*^9}, {3.790864386607195*^9, 
   3.790864389741374*^9}, {3.791008143917379*^9, 3.7910081506727657`*^9}, {
   3.791008221645825*^9, 3.7910082235299325`*^9}, {3.791008276179944*^9, 
   3.791008306281666*^9}, {3.791008336321384*^9, 3.791008361010796*^9}, {
   3.791010008514028*^9, 3.7910100086750374`*^9}, {3.7910113648276043`*^9, 
   3.791011367407752*^9}, {3.7910114010846786`*^9, 3.7910114017347155`*^9}, {
   3.7910114342605762`*^9, 3.7910114362366886`*^9}, {3.791011731169558*^9, 
   3.7910117445053205`*^9}, {3.7910119120109015`*^9, 3.791011924827635*^9}, {
   3.7910119763975844`*^9, 3.7910119813998704`*^9}, {3.791012885840602*^9, 
   3.7910129405307293`*^9}, {3.7910129708454638`*^9, 
   3.7910129712834883`*^9}, {3.791014211517426*^9, 3.7910142119144487`*^9}, {
   3.791014855938285*^9, 3.791014856154297*^9}, {3.7910151481549983`*^9, 
   3.791015148289006*^9}, {3.7910152609784517`*^9, 3.7910152617824974`*^9}, {
   3.7910153557698736`*^9, 3.7910153563459063`*^9}, {3.791015689732975*^9, 
   3.791015690412014*^9}, {3.7910158355513153`*^9, 3.791015835833331*^9}, {
   3.7910338350972214`*^9, 3.791033835611251*^9}, {3.7910346822426753`*^9, 
   3.791034683240732*^9}, {3.791035100947624*^9, 3.791035101293644*^9}, {
   3.7910360580833693`*^9, 3.7910360583303833`*^9}, {3.792155644952961*^9, 
   3.7921556463520412`*^9}, {3.792322036145445*^9, 3.7923220364414616`*^9}, {
   3.792322367244383*^9, 3.7923223685514574`*^9}, {3.7923223990132*^9, 
   3.7923224078307037`*^9}, {3.792326560205206*^9, 3.7923265719558783`*^9}, {
   3.7923279900119867`*^9, 3.7923280171315374`*^9}, {3.7930952510430913`*^9, 
   3.79309525871453*^9}, {3.7948267160886555`*^9, 3.7948267203308983`*^9}, {
   3.7948267553499017`*^9, 3.7948267973403034`*^9}, {3.79482711495747*^9, 
   3.7948271250010443`*^9}, {3.795431698886038*^9, 3.795431703136281*^9}, {
   3.795433028270074*^9, 3.795433028576092*^9}, {3.795433085908371*^9, 
   3.795433104094411*^9}, {3.7954346183150196`*^9, 3.795434634702957*^9}, {
   3.795436470271945*^9, 3.795436470772974*^9}, {3.795441204974755*^9, 
   3.7954412074248953`*^9}, {3.7954415660464067`*^9, 
   3.7954415949320593`*^9}, {3.795497703356867*^9, 3.795497704315922*^9}, {
   3.795498436006772*^9, 3.795498438230899*^9}, 3.795498498872368*^9, {
   3.795504546676282*^9, 3.795504561721143*^9}, {3.7955046183473816`*^9, 
   3.7955046243447247`*^9}},
 CellLabel->
  "In[606]:=",ExpressionUUID->"03a29ec4-2c05-487e-b6d2-971e671b9912"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Average isotropic temperature: \"\>", "\[InvisibleSpace]", 
   "1.0899999999999999`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Average isotropic temperature: ", 1.0899999999999999`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.792328017712571*^9, 3.7923289344100027`*^9, 3.792328979520583*^9, 
   3.793095212332877*^9, 3.7930952596105814`*^9, 3.793102909761145*^9, 
   3.7931033216627045`*^9, 3.793509798053353*^9, 3.794826812916194*^9, 
   3.794827125209056*^9, 3.795425395372497*^9, 3.7954275357269187`*^9, 
   3.7954289357109933`*^9, 3.7954291784408765`*^9, 3.795429477229966*^9, 
   3.795430270950364*^9, 3.7954318710448847`*^9, 3.7954331160220933`*^9, 
   3.7954346360270324`*^9, 3.7954369294542093`*^9, {3.7954411964872694`*^9, 
   3.795441229796174*^9}, 3.7954445114138727`*^9, {3.7954976994746447`*^9, 
   3.7954977051819715`*^9}, 3.7954984396779823`*^9, 3.7955052220359106`*^9, 
   3.826619514731633*^9, 3.826620477147544*^9},
 CellLabel->
  "During evaluation of \
In[606]:=",ExpressionUUID->"dbdf3fde-b0c5-4d2f-9f0d-ac9b684c0f7b"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Display DT potential", "Item",
 CellChangeTimes->{{3.750746832403555*^9, 3.750746845568308*^9}, {
  3.7507472053488865`*^9, 
  3.7507472064959517`*^9}},ExpressionUUID->"135e1dea-9239-4574-ac07-\
4fc2f1cfb112"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITab", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTab", ",", "WaistXTab", ",", "WaistYTab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTab", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITab", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighXTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistXTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighYTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistYTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTab", ",", "WaistXTab", ",", "WaistYTab", ",", "ZRayleighXTab", 
       ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", "\[Phi]Tab", ",", 
       "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerTabSheetOnly", " ", "=", " ", "PowerTab"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTabSheetOnly", "[", 
    RowBox[{"[", "2", "]"}], "]"}], " ", "=", " ", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTabSheetOnly", "[", 
    RowBox[{"[", "3", "]"}], "]"}], " ", "=", " ", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ITabSheetOnly", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTabSheetOnly", ",", "WaistXTab", ",", "WaistYTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTabSheetOnly", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITabSheetOnly", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTabSheetOnly", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTabSheetOnly", ",", "WaistXTab", ",", "WaistYTab", ",", 
       "ZRayleighXTab", ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", 
       "\[Phi]Tab", ",", "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"XYZDipPotFun", "[", " ", 
    RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
   RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
    RowBox[{
    "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTab", ",", "mAssSr"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotSheetOnlyFun", "[", " ", 
     RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
    RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
     RowBox[{
     "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTabSheetOnly", ",", 
      "mAssSr"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{"gSaggSrNum", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
      ",", 
      RowBox[{"{", "1", "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNumSheetOnly", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotSheetOnlyFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gSaggSrNumSheetOnly", " ", "=", " ", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"gSaggSrNumSheetOnly", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
       ",", 
       RowBox[{"{", "1", "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]X", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{
               RowBox[{"xx", "+", "xOffset"}], ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], 
              "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"xx", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"xx", "->", 
            RowBox[{"(", "X", ")"}]}]}], ")"}], "/.", 
         RowBox[{"X", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Y", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"yy", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"yy", "->", 
            RowBox[{"(", "Y", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Y", "\[Rule]", "gSaggSrNum"}]}], ")"}], " ", "/", 
       "mAssSr"}], "]"}], "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Z", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", 
               RowBox[{"zz", "+", "zOffset"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"zz", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"zz", "->", 
            RowBox[{"(", "Z", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Z", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]IsoDT", " ", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]X", "*", "\[Omega]Y", "*", "\[Omega]Z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aHODTiso", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"1.", "/", " ", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "\[Omega]IsoDT"}], ")"}]}], "*", 
      "hbarreOverAu"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDepth", "=", 
   RowBox[{"XYZDipPotFun", "[", 
    RowBox[{"xOffset", ",", 
     RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TrapEdgeByGrav", "=", " ", 
   RowBox[{"FindMaximum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", 
         RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0."}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "\[LessEqual]", " ", "yy", 
        "\[LessEqual]", 
        RowBox[{"400.", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"55.", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", " ", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDipTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"TrapEdgeByGrav", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PosTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"yy", "/.", 
    RowBox[{"TrapEdgeByGrav", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PotDepthSheetOnly", "=", 
    RowBox[{"XYZDipPotSheetOnlyFun", "[", 
     RowBox[{"xOffset", ",", 
      RowBox[{"gSaggSrNumSheetOnly", "+", "yOffset"}], ",", "zOffset"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLot1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"xx", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
        ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"xx", ",", 
       RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in X axis\>\""}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLot2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotFun", "[", 
       RowBox[{"xOffset", ",", 
        RowBox[{
         RowBox[{"yy", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", 
        "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Y axis\>\""}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PLot3", " ", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", "yOffset", ",", 
         RowBox[{
          RowBox[{"zz", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
       "ctePlanckOverkB", "*", 
       RowBox[{"10", "^", "6."}]}], ",", 
      RowBox[{"{", 
       RowBox[{"zz", ",", 
        RowBox[{"-", "1000"}], ",", "1000"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Z axis\>\""}],
       ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLotSheetOnly1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotSheetOnlyFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"xx", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
        ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"xx", ",", 
       RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Trapping potential (sheet only) on 1S0 in X axis\>\""}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLotSheetOnly2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotSheetOnlyFun", "[", 
       RowBox[{"xOffset", ",", 
        RowBox[{
         RowBox[{"yy", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", 
        "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Trapping potential (sheet only) on 1S0 in Y axis\>\""}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PLotSheetOnly3", " ", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"XYZDipPotSheetOnlyFun", "[", 
        RowBox[{"xOffset", ",", "yOffset", ",", 
         RowBox[{
          RowBox[{"zz", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
       "ctePlanckOverkB", "*", 
       RowBox[{"10", "^", "6."}]}], ",", 
      RowBox[{"{", 
       RowBox[{"zz", ",", 
        RowBox[{"-", "1000"}], ",", "1000"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "PlotLabel", "\[Rule]", 
       "\"\<Trapping potential (sheet only) on 1S0 in Z axis\>\""}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"PLot1", ",", "PLot2", ",", "PLot3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "PLotSheetOnly1", ",", "PLotSheetOnly2", ",", "PLotSheetOnly3"}], 
      "}"}]}], "}"}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Beam powers: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rayleigh length axis 1: \>\"", " ", ",", 
   RowBox[{"ZRayleighXTab", "*", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Rayleigh length axis 2: \>\"", " ", ",", 
    RowBox[{"ZRayleighYTab", "*", 
     RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]X", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]Y", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
     RowBox[{
      RowBox[{"\[Omega]Z", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Grav sagging: \>\"", " ", ",", 
   RowBox[{"gSaggSrNum", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Absolute potential depth: \>\"", " ", ",", 
   RowBox[{"PotDepth", "*", "ctePlanck", "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Edge of the trap between tranport DT and sheet DT: \>\"", ",", 
     RowBox[{"PosTrapEdgeByGrav", "*", 
      RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Trap depth: \>\"", " ", ",", 
   RowBox[{"UdipTab", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Effective trap depth: \>\"", ",", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"PotDipTrapEdgeByGrav", " ", "-", "PotDepth"}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.7197386048911114`*^9, 3.719738605608152*^9}, {3.719738648634557*^9, 
   3.719738676855596*^9}, {3.719739932359174*^9, 3.7197399377291813`*^9}, {
   3.7197399752412496`*^9, 3.7197399870912657`*^9}, 3.7198221739167566`*^9, {
   3.719823712196764*^9, 3.7198237279767857`*^9}, {3.7198385766077533`*^9, 
   3.7198385783877554`*^9}, {3.7199057240019007`*^9, 3.719905739391922*^9}, {
   3.7199058264440594`*^9, 3.71990583412407*^9}, {3.7199058651741133`*^9, 
   3.7199058719441223`*^9}, {3.719905913506194*^9, 3.7199059152661963`*^9}, 
   3.7199222698204207`*^9, {3.720173300657431*^9, 3.720173337943564*^9}, {
   3.720173722037533*^9, 3.720173742179685*^9}, {3.7201743683204985`*^9, 
   3.72017437254574*^9}, {3.720174482765044*^9, 3.7201744958137903`*^9}, {
   3.7201745402443314`*^9, 3.720174541739417*^9}, {3.7201746186378155`*^9, 
   3.720174668615674*^9}, {3.7201747081059327`*^9, 3.720174725602934*^9}, {
   3.7201747596758823`*^9, 3.720174780074049*^9}, {3.720174854079282*^9, 
   3.7201749148787594`*^9}, {3.720174949256726*^9, 3.7201749757732425`*^9}, {
   3.7201754634941387`*^9, 3.7201754807061234`*^9}, 3.720175598122839*^9, {
   3.7201855281053443`*^9, 3.7201855286313744`*^9}, {3.7201855692646985`*^9, 
   3.7201855724428806`*^9}, {3.720185621443683*^9, 3.7201856630040603`*^9}, {
   3.720185735696218*^9, 3.720185739544438*^9}, {3.720185912814348*^9, 
   3.7201859139234123`*^9}, {3.7202455310867996`*^9, 
   3.7202455323388715`*^9}, {3.7202457217307043`*^9, 
   3.7202458625817604`*^9}, {3.720245916877866*^9, 3.7202459196840262`*^9}, {
   3.7202459868828697`*^9, 3.720245988715975*^9}, {3.7202460767705545`*^9, 
   3.7202460773205557`*^9}, {3.720246107360617*^9, 3.7202461096106205`*^9}, {
   3.720246142012685*^9, 3.720246147742693*^9}, {3.7202461996647835`*^9, 
   3.720246201824786*^9}, {3.72024626607891*^9, 3.7202462667389107`*^9}, {
   3.7202469651740007`*^9, 3.7202470153380957`*^9}, {3.7202470697001905`*^9, 
   3.7202470764601994`*^9}, {3.720250120114921*^9, 3.7202501308849363`*^9}, {
   3.7202505029515023`*^9, 3.7202505060615067`*^9}, {3.7202691420522037`*^9, 
   3.7202691515622168`*^9}, {3.7207799442924137`*^9, 
   3.7207799554324293`*^9}, {3.7207810440109515`*^9, 
   3.7207810454109535`*^9}, {3.7264045192662487`*^9, 
   3.7264045476483073`*^9}, {3.7501623752658863`*^9, 3.750162380690197*^9}, {
   3.7501624362433743`*^9, 3.75016243913054*^9}, {3.7501629648146067`*^9, 
   3.7501629806835146`*^9}, {3.750163037752779*^9, 3.750163041703005*^9}, {
   3.75016322152929*^9, 3.7501632660988393`*^9}, {3.7507472360466423`*^9, 
   3.7507472934519253`*^9}, {3.78124152793388*^9, 3.7812415464759398`*^9}, {
   3.791015401259475*^9, 3.7910154143292227`*^9}, {3.79101548858247*^9, 
   3.7910154900205517`*^9}, {3.79101569611034*^9, 3.7910156977184315`*^9}, {
   3.7910332153287725`*^9, 3.791033219580016*^9}, {3.791034332516672*^9, 
   3.791034378844322*^9}, {3.791893429624709*^9, 3.791893433540933*^9}, {
   3.795439274688349*^9, 3.7954393124695096`*^9}, {3.7954393427302403`*^9, 
   3.7954393429762545`*^9}, {3.7954990848268824`*^9, 
   3.7954996059426885`*^9}, {3.7955006837293344`*^9, 3.7955007212054777`*^9}},
 CellLabel->
  "In[619]:=",ExpressionUUID->"fdde83cd-8d8b-414e-9b0a-1eda5eb7e280"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"2743.26004769161`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,648,349,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826619514805587*^9, 3.8266204807341304`*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"f8aeef5f-eafc-4392-9e6a-6ce8c751f698"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"3780.4094040967557`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,648,350,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826619514805587*^9, 3.826620480736905*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"98ef2b79-3b70-4ea2-9451-7b0645d11c80"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"2743.26004769161`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,651,351,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826619514805587*^9, 3.8266204828680954`*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"0f50b079-7ce6-4f13-9de1-2d77be3352a2"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"3780.4094040967557`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,651,352,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826619514805587*^9, 3.826620482869095*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"7e6eae6b-32f4-4c32-8bde-89c0b7cfeb63"],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVVnc4Ft4XR1YqyUrIFkm2yCoiI1nFV5Lsvd79RjJCJTMSkqSsIkQSvfee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             "]], LineBox[CompressedData["
1:eJwVl3c8Fd4bx23JalCSZIc0kJL5WEWRkYyM7D3uve5KiEJmolSINKwSpSLq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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$3990637#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in X axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -118.66252583997979}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVlHk01AsDhkMMpohhGNuMGpmxzozljiFLkUt2ymRJ5d52fZUkVKJuixZr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             "]], LineBox[CompressedData["
1:eJwV1Xk8VdsXAHC6vGhCqdDEuaYM9557LzciZxky9JIxbigNisjQYEhEqFQ0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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$3997817#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in Y axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -118.66252583997979}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVkGk41H0DhSVLxNNI9koT8/uPfUwpIcuMLUtpqEhEZFRaJEsepbJlHSlZ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             "]], LineBox[CompressedData["
1:eJwVkWs41Akbh+VM7ZgxKIUw5j9Mwug0FB4MQ8o5odVhQiHHapMi5yhmyqml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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$4000191#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, -18.310067090182628`},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in Z axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -118.66252583997979}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}]}, {InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVV3c41t8bRpRUkpUke6WyRVYRiZRRJEn2Xu/yvpGMkGyRkCRlZidZ7zlP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             "]], LineBox[CompressedData["
1:eJwVl3dcDd4bxxsaNFEhaXeFrBJp6GkqoiENJe097r3dJZVKpSlFRpTQJEUo
4Z5zpZ12FGkSTdr1bfn1++ec1/v1vJ7zfJ7P65zXOUfGOcDCjYONjc1wbfj/
LPr+fsTtM83amiq5t+srCKxBbUHfIfNhba5wXk2dNZ78TXtxKHFCW4gnq6zt
I4H1t+iXEpU0o32s+iG/8RqP063yXp9d0P7cJ3bkYTmBNapdJTd3dFnbKCxG
4/sHAmuW857pdiE2EGwalVhkEVgzvy0SNdg54GVfds8iJrCm6zfU201zglh6
fGQPIrCmisp5gwe5YCC3f1M2c63+jSDD+x08oGJgf+30ewJrgq4c+b52PQRr
SC1/e0tg/dF+9G/5mQAcFFavvF+6pkfunNaOTCHY0cK1t/U1gTXHGcuUrBWG
047smSMv1/g3LB17twneHVCprCha468S4qavNoOp5Zmr0c/W9NYvqF14JgLb
smmUPU/X9BY9p11+IAY1j8/OSOas8cOE1KQ7W0Co0zvN7/Ga/huerx4kb4V3
daopDzLX9NOlp/AVcdhcYvboWdqaXu3rfmyekqC3TzAhMJHAYoi1lCnTpID+
82/XtVgCK2yO94qyrjRwbt7WGxNFYK1vMG5yNZMBowp5o20hBJZ4UL1Hra8c
WOY7fnzmTWA5DI4mDkzLQTzn82qWG4H12Iz/1VKQPNg0dkm9dCSwlHaeYtsX
qwCSItWEw1YEllZ7452U7J3gWfxl9xttAitC+y96qqQIPyO53WuOElhVT4QG
K14qQp7qubI3KgTW6XCzg/MfdgF7UreI+k4Cy3Ffa61dzx7wNRF6Vc5PYOlU
eIek8B2A0CGRca5WBdbP/4KEpUwPgOMtGYpCnQIren/846cpB4B2iJd9Z7kC
qy7taW3FtoMQ80i7rPmFAsuCNCY6v1MZSra33i5PUmC5SvoX2ukfggmb3So6
hgosbstQnaGrhyC+qvRaiqYCKy/2Wjul/hB4fYi0qVFWYI3NFC4mWqiCtoxc
X7+kAota/9eQ5XgYjmwforXMyrOiGaRe+RA1kOdp+VibIc+C2ATNfe/VoOMS
Ej96U561eDf37pElNegP3NyfEivP8n/XfebExaMAIo9tuCnyLKtV45oAqjqU
rI4aTx6XZylEyr5466cJXlFxhYujcqyBai8dxf0A7c+n7DkIcqyINvHNSEof
lGljXVk+MizigiXPb501/vmjucZOhuWwI2lJyFUfOpZxVN9JGZa6B+dPpzx9
YD8rLD22R4Y1vTj6iuugASS93P8saFSa5SrLtDqlawhZwhzV+Z7SLAPShbTv
rkYQeba/+UeZJItXKEtmKd8EbH5XDeUGirPMTdy9d0ZbQNRnDenzjptYuy1N
9etTLSDtfviElv4m1jp7NcmAbAsI6Pl1UllxE6vEZ0NrSYUFBMUNmlhNbGSJ
xxceNeQ8A3lXM+aSwjeyftbO8bqFnYGjvWPCY7nCLNrxq7mPgixhtFjoAX2D
IMvUlBhuGGcJfH+kmp90CLAUrW3tRu5agnxKc6JAtgDrm/seIeUyS6h2vEl1
BgGWdnQT7cO8JWg6+u4yvcjP4q3cYthHOQsnTyubnZvZwLqnm/dzR4AVZEye
YaoI87Le3/Ho3xxmBUT0z+ZnLw+r5w+hZ32yFRDsFX+3FPGwZO9ld8wWW0Gw
Wo6qqxkPK2/6UV3DnBW0ag83edzkZpVkpT8PCbUGusmBmws7uVit3DeCuxNt
IGsb9VxACAdrxt7iYluGDRxJ0wtps+Rgib3cSKstsoF3AauKVCUOlu2F6wGv
W2zAcuLiIPE7O6uvNNE5UdQWgkLF9I202Vl/PGOMtNJt4cxnykZ3YTbW+voQ
kfSCc1BjUhdrjZfwRAfWI78/B1Mpk0PXwpdw50/2wOOfzoGV3baXe/SXcN5q
VMvk6DlosrOOvlm3iA2Vr10z3GMHKy9SB7Z//w9H3s3gnci3A9cAbcWKjQt4
1QMv6+baw+TYHMWlcgb/orArbS21h5oPNXvf3pjBjeF6duNV9lAgffmer/MM
Tr9XXXb7lz00iafv+8E2gzWbmmhjCudhscBcT0B3Gl883DeRmnUeqnnq/3B+
nsQz69gHhx46QARd+cwr6h/MMEvQ8X/hAAvj2h0eu/7g5XtbMqZZDjAWouj7
qnscr1PZZ73a6wBh2LZa1Ggcb3ayq90seQFU37cSfsqNYWXm62fH0i6A53jx
E675YVzCq7OhIv8ChDdIkf++HMbqlp/cjcsuwNY4IXl30jDWGR2Qsuy8AMU3
uY/Mjw/hPH7e2kN8jrBYXPgwZfw3fqOuqnHC2BHe+X4u5uD+hYP6gob5zR1B
9p2l5IX6QawZzbrdZOMI1fv4D2gmD2JWy8kZS09H2HNqxxGq5CCu9nR+duGq
I3TftQ1sOPYTf7mVJEWtdISfus7HfW8N4NmpYc5MHSeQ8ptt1VLrxd9x2ke+
E06gZCOvhjp7cHnCySt0CycgHPzDoRrUg68RnnGYujjBAbN17qu4GxPOEdlX
I52gIvjd4ier79jmw9yqXY0T7FcXF/5Y9BUfu5aLqpudQGSYpNXk8BXL29mE
qnx1gneD01OvBL/iyZmylQ0jThAb5bnARerEcYohy2V8zsCxw6AnUbsDv0/i
XNxi6gxZRo+zSjg+40f2r8quWDuD75PFM4moHcfscrv494IzmO5V9JK91I7P
fqxaqCI6w06pP9rhc234z1zsPDXFGS5P1vj+nG3FUg7Cs22fnaEoRWOqW7QF
c+/58Eq7xxk2GCVndX1vxmPzJMrTX85QfvzT7dCsZvwmuW06Yt4ZmCvvdQpV
m7FZ5a2pg9tcwDxS2EAMN+IIpR0TSfYu8K1358WxB/W43lLI2MfVBY7tvvMu
7Hg9Fglhf2To6wKaW9vb+CfqcG7D4JmVSy7Qr7X0hFO/Dn/yLyz1vucC97ba
lOybr8GiL7QvG3xzgXcOq373Yqqww9eDndIDLhAtmur75FgVzmOXP7g87ALS
3gkOSbOVWN2C90fxfy7wVt5BvM2tEjtMNxtKb3OFndsSMzaYVeA8VWfBJWtX
WP+7xCDOuBxPnrf0+HLBFQQCOZSE+MuxerQh64WHKxzkrw0/2fQBN3zZTfak
u8ItQ33TH9Yf8BR9+vPnW65gcd1i6jyJhTXeRqY//+wK3nG+EstXmThygDYX
3+0KfSpn/1rIMnHjBi9Tj0FXqJjlOzDAfI8d7U6xS86urU/erp2+8A5HLou6
xYu4gZ+sSMve4Le48ViukvsZN3jXHb5RqKwUa15bd3vEzg0czYeMwx1KcX63
E3uAqxvw8j7/vIurFEcGS3yhU90gIacqR8iqBKu/Tb4ce9sNhr9uV/nE9Rrn
qAa3FnS5gYaPlefmtGIsEvVV8+BPN2hSjJgwNS/G4e2Hc1+PucHGp4ZeieuL
sX3g5CW04gbz7w79XA1+gTe9cFdolnKHZekreR4Bz3GIkjlj2sUdBGXW5cb/
K8AjlwoH6L7uIPrQy8sxvgDb1POdWqa4g87VSL+urQVY2btKhivaHZpPG+gV
qT3FQ7ka9WJ57nA8IsP6WHw+tpQjSKqPuUN9c69RLj0Hl5OvxKAZd1g8p10R
vT0H7y/vm9JdcQf/cqtMxMrGG5zuVZ8U9IC7V9hYCkLZmJUhTDp/wAOsXEIV
bd49xkriSx/DKB4go33rfd6ph3i54m41JdgD/mO78bdz/UPcEKBW7xnpAQ/F
CwOWqzKxfyW11eymB9zTKVffqJ+JnxMn+qRfeQDvn0PzWikZWKV6cIU17bG2
v/5TS1tIw+vIkeyvlzxA3e1wcmFCGm6XkOPK5/SEgcqij6ayaZhCduRP3uwJ
gqpPrOUt7uKSHV3iTiqeoGCW+j7u422sTmk+wh7oCef+cPBJDt/EG6QCNGaD
PNfeG9uZZTdu4q5aAe3hCE/o8FLnv619EwdLnTRsSfGEN01Jl7nu3cCortLy
YbEniLh0Oms5puBrVFeb1LeewJlqYkISScEXpDntY8s9gXDjo0BVbTJmo4EL
qdUTRH1y75YfScY6Mu9IOlOecJGroC9d+jre9MmWqrroCb+sQqK+v03CA7QF
xi4OL3ipXXvqyuEkHPFJNWzjJi/4UTv/tkrlGq6gP7/Wf9ALttFnXFwNErBR
Y/bTcJIXNIJl2VEcg923DleeuugFrguGA3I2MTjKWalvW7gXFM/tyrk/dRWX
zxWLFF/3gpLUAFl5patYU4oVMlDkBahlX+rs8yh8zovzTmGpF+whRVegs1H4
4kvD4iDsBVWPS6LHliJxyfGGX5uavKCwTHXaySQSHyB+M9X74wWHHNIl965E
4NNvd3gLzXnBprNvCDcKIrDfOqfIrhUv6E0JKTpyPgI/ufP7TaCAN7Db6J3d
XR6O5T/MyGQpeYN4atl1jbQwvHWT0Mw6H2/4fOWZQPNqMD5sbyHYQvaG+M/P
xcjhwfhsTqpiepA3nLouJS3IHYxT1CXOq8Z5Q/F2y1Ux0UuY32VXlVu+N+zg
sCvKMr6Idz/z7Tv4whvyuO0/n+5iYOP5osWVN95Q2+W08NafgaPjD++/VeMN
yZTlIZRGx2yv9O5U/fYGC3/i7nJuGpZcjS5O+esNjynItCabirWM6j45zHvD
McV4fgdDKg76bsY+z+0DtZma+dIJlLX728F7J8EH4uVVbZ12BeLhswzNGFcf
+PKfmTZPDhErVRM8V3x94O4hj2eEs0Tsr/b5BpnqAzF2nawSLiKeEVcetY/2
gdlG0+MyX/wxW9/o3YN5PiCRf79LIMEX65mnVeY89wHm8pERfjZfHF1uNLm9
zAeq9a/wJNN8MF92thF3nQ+MlR+PX/H2xmLeF+a/jfrA67bsKH2iJ7btEpAz
m/GB/WRCwfF5D3zf5P3pymUfiJzfoh4a5oFl9m/LKRLwhcut7JkX7rpjpZlW
y8j9vuCZtvnQ1A9XrBtqWLw30BesolMzcbsTjvo70/3oki9UWos8aAlywjWO
j9dvjfSF3OQPmkmyTviUHpsTR6ovLBGEvv6lOWIb3rdCHSW+YDQ6bLLi6oDv
XfTUMMG+QBoVLTKuO497RsQ8PlT7wj8bveMhyuexa0MgetrpC+xa9sfc+exx
QMpev7BFX+AnnW7v7bbFxZzf78xy+MHBeq6pdba2eIYSV+HN5wdbOP+1F36x
wUHWv7eflfCDG0xhD5ev1jha4mHdrmN+cFI00HP70ll8P0dEsS3cD3KI9Zal
ORZYN3DdeGmsH3iBheLjkxZ4SHvmxf1kPzh7WUvs0JQ5VvnapuH+0A8eFvJ+
U9Q3x3V8N0z/Y/lB4rmQAvVZU0zsjBDpqfGD4qP/ePutTbFYNvlrebMfzA9l
33djnsZOxyxcEvr8oOp9m0PH9VN4gbiRLsXmD6pv3FbX25zEGVrsmut4/eFS
adzZU80nsP6GSbZhIX9o9m9tETp5Aic9bo4rlvIHLvcXh38dN8aEL0kZBtr+
UPdu0rHw/HF8VkOwyifUHxoeL8cPTujhRZ7VOLNofxBR7tthkqCHM9vHTVWv
+QPhwMifm7v08Jhfw9fVdH+AG3U+T710cWRmwngy0x9yFqzMuf8B3u0XXEyr
9AeOrAd2d/IANx/1pds1+MMZzhMun84A3t52kl2h2x+so6Qj/juvjYu5+ETf
LPvDAjuz2uevJrZpXfx6f10AOLeDgYSdJl7NGMkI5w+AAz9sTDNrNbCxWp3i
SYkAGBXesP9voTru847V7NEIAAMvX2Xju2pYsJnHdd2lAFi5e5X/8cAh3PnR
WT3lSgD0C3hY/fI9hB+VMoWlEwLgq2+e76P/VPDhB4FMjfQAGFhpm7QQV8EX
/HvFAnEAsHmPDOrRD+LdzurjbDVr+ULbvBY3H8QzZ1M/XmsOgBKm56X64gM4
Rusk8Ul/APAMdsTKj+/HNtFdPyfYiVBLqvsovWcv1mJb33yEmwjMSffSv1eU
sGzQ4XehG4jwZyOzw7xvz5qfycn8m4mg0CrPinq8G4edPX5MUZ4I9iX9cW/N
FXGe/MvbFwyJUDoW59FzTB4nZvRF5JwggvsBBe+hGjlM3iroP36aCDxsk3VX
zsphTX4v/UvWRBDeduOqGk0WN09LTt7yJIKm3dvMve3S+LWfyfduXyKcMXE7
b0mSxmm/L1bLk4jwJjy1M0dYGrt2tacXXySC9Dtygc5TSbxQHneiMY4Il5/O
yLv+3Y67Nd+oiiYRoXFhJWTZeDsuLxmUtr9BhJ16jyeO5YnjhCcwP3yPCBp8
ui6BAduwdMrcY65nROiy8BiOIWzBXPzySSYviOD8NvbB+ftieCTKPOjGayIc
Dv5VbSQqhl9dLDCTQUSId7IkSwmLYiMn5xXNJiIY7HvXz6e4GbfvHpgOaCOC
9YsY0R8lm7DjjNPIo461fsVfB2oYbcKMq04dvH1EEDApaDlK3ojznjm+aJ8g
wi052keuCiF8iN6XyzNLhMo/J8P+cAthFjhmqP9HhJ4bkulCpwVxZ9uF+Ex2
EkTPfjj/YIgfr190cPPdRIIAkuyZRJMN+NbHHrsHYiTgd9myvrFwPZZNdLBo
FSdBb3tn1D2R9Vhd2kFbTY4EvspcIkkjPNjb8Py2dYdIEFZfsLORyYXnhLqF
jqiRYEDGrd1DnQtHfLXn9tYkwaWgrWXLZetwmq/9dJM+CagUb6MvHzhxXYpd
w72zJPjXdYnv2hQ7trLv+thoS4LZ0O44/Sh2PKBg95bdgQRV/nb/gsTZ8eKb
c7ke7iQIZq/iO2DChnf32oar0ElQ7q8rGXtrBZXkfaW7XyLBnEvm2Lr+ZaRL
tvW/e5kE4Vo+ms/3L6NzXLZ2/66u1ctkaR75uoji99io1t8hgetxu41J5xbQ
1tmOPav3SRAae/4BX8U8ykLWsgcfkkCinK+O5+A8em9uLXQ7nwRYL+bWftE5
NEa3GnZ+SwKlnIFniutmEEPnS28qIkH2++SiuKvTaB2f1ZeachLcmWMT7xSY
RhIZZz/uqydB0PPz56Zkp5BJhWX6YhcJWo6vprv6TaA4DarjYC8JnuwT2HxE
YAJVF6fKNf8ggVrKgatmDn+R7sMv+dmjJGgwSTpNnhpHaqE2JWZLJNisQqn5
aDyKaLOMixr/SCDNbP8xkjeCXvre1SRwksHCN8wwi28E7bP7Vr60gQxWUrdM
w7qGkIKafVOOOBm6bRla7Y9+Ieei4JRkSTIslPmEhkv8QpmE9LPBsmSolNhV
s//uIJIQ7eky300Gbq/Fl6fu/USbpi4MLR8lwyuymM5n1gAy8wp7+luLDHUq
97MbzQZQYl+mf6sOGQJWM9ed/tGPeJv6Z3KNyUA00ObNFepHq09d2M/YkoHE
Idtyh7cXacpFVmidJwPnI66UpVM96GJa1lVFJzL0lHJvTLvdjWZiBgVWPcmg
vrR9v9KR72jEzUM8n0EGW3td873ZX5Fi99XuG8Fk0N5T3zK1/itys8zLDA0j
Q/SeLbv1yZ2oT3eYYBlDhheUAzPqpzrQFykflX+3yTDCR2F33f0ZidyOnxu+
R4atqfn6xPx2ZC5YUNb+gAwCET7LgXva0aflMe0nuWQouSLaIanWhsq/+puc
LSVDtoa3ig65BbGZJwnBOzL0/1UKNuBpQVo1Ra27MRnoKg+OVmQ0ozclEzZs
1WTo3V0ROJnfhIpukN2efiFDQncAf0zZJxSaYfRi5BsZuFjfXoX+V49O50uu
7Oolw9BKUrrpsXr0B9XdzPtNhtOyie08X2qR0ohsRfYCGfiP79lRqF6NlmcW
hAaXycA+k9B/KqMKffrXaCfPHghcts5vh7iqkI/opelH6wNBNNVGvqCvAj2B
NtlM8UAIGnoX2/KhHAWdzPfvlQwEToKRxTPdcnTC6vJbSblAoERbVdZXfUDD
Pnss0vcEwpjxlyuhnSykePtKeJpmIBTdLQzcp43QwkPbhq8QCHwaAns/EJmo
umD/tm0GgWA+ZzGfl/seuZd3Pb99KhD+NltZTci/Q9njKn03HQJhwn6nVIft
G0RZWK/U7hwI70QKj0cVlyJ9zj76Zo9AGJ4qHEkUKkU/tyYIpQQEwsgmAzXt
L6+RrP7PY0lhgeBi/kVV48ZLNHX6bVxjZCCEFkqHt/C9ROW2178IxAbCCZmX
WjNXi5FTgKZ/QnIgEAZFYq/EvUCZaTfTYx8FwoGGmv1NvkWImO09XJMTCKcJ
39jnkwsRPAdV3qeBcFdiE33w/TPUWzn2KfplICinKamFyRUgyUn95SsVgeC9
3uNC5f589GdJ3OhjTSAInLGpVbmch5jckzc4GgLBrX0u+0xbLrKXSN8T/jkQ
kpWtupRic9C947PnQn8FQv+QufRmxSwkweYbSB0JhHXiWycVHz9GGW8G4n3/
BMIz/Q3lyTKPUeau5vfn5gKh7FoZaYPiI5TF91TyCDcFvCZzyim2mUihQubI
vg0U+FQScmv+6wOUE3zHVEGQAqcXt5Zd4n6A8sejwjaLUWArN9djh4B0VNjk
OPBXgQJRJif5uUPS0P6YjsVfuyjwfeNKo+qnu+g5nN7cs5cCSwZKrn1Sd1Hx
Cw39T6oUuHw/WOhw+21UekMsJ8+AArmqWUcX/FKRmkkiemBMgSduwpcFe26i
t+vWddw6RQEiRVm52fwmek+d5Ik6S4FMFVrcf3o3EMv6k5eT2xpPXVi9ZJaM
dIT1Imy81tiqIyO86zoqrylLM/WjQNqxlrKrXtdR5dHcei0qBWQIe3NSJJJQ
3faIveJRFKj5c+Lbqcl4dLJ9wWBj7Fr/W5feu6jEo08JAQ68iRRwUPi9yyko
DjWu2CfN3aSA5K/BxFSxWNTWe2SyNYsCk92cuY8io5HlncL1dXkUMHMnEp+N
RKEvZgqyHwoo8CAjg/bGMgp1fth0pugVBcqzPoV7HopE3x+Pv4qvoIByxg+h
SKkIdN7etSGihgIvjZIzeh+Fox6RrsGLn9b8y3uRErIrHPVH1Yh5tlMA35Yl
KkEY+uXxmKH/kwLT6k+QsWwIEiT63t85tMZf06g59sHoMEOVtWGMArpJdnck
7l9CV2OqeVqmKSBeqsrftisIKeaP3jrPSQVBWs81rhA6Mnvx6i3wUOF+Nqmk
4jsNMcpCeuT4qHDk9K+PBUBDtbVChJFNVLDDBZUJIlTkPaLymiZLBT/KtoqK
YTJKmVrutCVQQc3hUMGqBxm9Xaxc1txNBY7t96XuD5MQH5+NPqcyFXKsObc/
mSOigj3BbUk6VCBxuVrf8vFH7SoG82QDKgTuMQouuOuHljUEt1sZUyFza+RJ
wwZfZGKS6SxhToXk9lcJVH0fNO5bMZnnSAXqv+0TPAGeSIyaKJrgulavSF4l
qNIDHQuxOhrgSYUk+thFD2kPdC1xKEyVSIX1tVHftX64oX2F/MLll6nQKHjx
ecNdF2RV8lkl+woVRh/t8uLe6IJCUYZ1zFUq2FtKDPTHO6OmxgMPTidRIc55
i5NMghMi/rXc15VBBX27u97xnhfQnfkdFugRFXQbiEaEBAfE+veL+jCHCpoT
94qyX59HG4UvMj0KqbCgP8tbss0eFR9IN5lhUsGzffSZoKwt+qbmTuz4QAXt
lN9Wb4g2iENn/823lVR42Rr0g1Bhjc6Yf+gKa6ACWfFvShvDCs2QBr0Fuqng
kkreJylmiQoFXLcY9FNhxI7wpPDSGeSVP/AxeJAKKoVLYlWDFqinr1dibJwK
CQUXTbirzdGdYIdauSkqrKtczvirZY4stnZT7eaoULqvc7jvjRmqNv3WWLe6
5m927Vg9xRRFjNpc4uCkwR+zT8IR4aeR5tWOneo8NFhp0DdzSz2FnqP2sHwh
Gsz/RRf6W06itL1NyjHSNIBz8r/17hghy9pTvVieBulbRvePdR5HQm6f4ucV
aZCSutNQV+o4irxf+9P9IA0q4qJrzd4boGNqawdBlQZPba3uvdlkgBbaqrS+
HKUBMT9zWslfH/nxVdwy0KVBQZT3oRwVPaSYq6sXYkiDRw6c6i7pumhA98Pf
VydoEP/j/uR9Pl1kFYSM5M/QIH+68x77LCAYfrPI4UqD5w+fr9eb0EKLkUdy
1T1psNOCPSl9nRZ6LV1yhuy71o/bxUh+aU202+ZlQT+FBtXa1bWWPuro5/RB
220XaWAg23y+Ju0oykh6zmUeQgPTO/s/Rzaroc3VzxxYUTSwvCGaLHH6CGp0
VuJbiKXB5wIDSE89jGJWn5Tuv0aDKO9tqS8GVNGyap7wg1tr+T/TZscTDqFf
WY/KQ3JpcJg6+c11hzLKBJmA109p4CS5JLor8SA69/3B9vEiGmgIFMqYsR9E
TZvTKfZvaDBjU/A4cmw/iivaLnPz/Zo/vvLW98b3If2TaQ31LBq46jxzY8zt
RW8ibhM0amngcLxYM01SCZElxdrIDWt+Z+Xc9dPag/a+vXn5SQsNrsvtcJZ3
2Y0eTSZ3bvtGgyuSxgI+5Yoo3jEhbmGEBpIhrbsX6hTQXP5TzqE/NEhMMOrn
2amAnKfrgjumaPC2lW+84ao8Uo9eH1CySIPJ0ZpLc1ZyaORp9BnKBjrIrK/T
PaYog6xmsz+5CNJhVuLag9AcaVR+rNLgzCY6yBnHclxWlEZ3WzjVlMXpcNvn
hG2evyQymg+TmNhFhxL+qEWBJXH0CjJTe/fSQXvLv+nJveJIOg4LNh2kg0kH
/lnvvg0tSKyyFR6lw9O/0jGvh7egXN1Lgz7GdHiZO3xibL8o2pSQ5mB3ig7/
IqrSOa+JoNDPZR0nzOmw64qe6JeJzcjKc6F2ly0dSt0mN8hVbELc16iFvz3p
0BsTW9uULozIHTd3dvjSodL6VP8eSWHUI/0qs4pIh1VFq5EkfSFU8nIqJZtB
B+kUJJrtLYBkVzbypwbTYSSv021rDD+6ZngwKjKMDhsWnhxUK+BDbl8D6C4x
dLhEuF1RxrMBNcsmTVgk0EGg4J0G89h6pOlb6KV7nQ58C1GXnl/iRSL/xuxk
7qwx9pov5eZBFfLe0JtLh5Vd/FW19uvQAf/Yssana/rT7xt/QJzofmmeMiqi
g8KjcRVvBU4UeOK3fHopHZKH4h4asHGgnhvcGQnv6OCU+N1YlcKOTnQrbAnG
dDh/Tz7VbIwNyRJd19tV0wE7aMvsaPnHvFZ2JeJEPR1er2s4P9q5ylzkeLx0
tIkOcb21l2WHVpitqf3jWzvo0D7dtPZdXmaGv3No/fKLDosqT9zPti0wt1Y1
0zRG6dB/8vGbgMV55vNm3e2Zf+lAtjc9Uq84z+wZJLh6LazFc75eskybZdIm
7vA2LtNh8OmdAMHuGabA0oZnyuwMKHmxv0GGMMPUFP47u7SeAXfkDVfC6qaY
7eJOaY6CDFiylSJ4KEwxfRTajlVuYsBRCfqJrqhJZpp66dVr2xmgox9a+NJq
grngenmbzF4GfB1bLf7oPsa8HjDJjDrIgEubj51s8xll7gxycR5RZUAQz4FG
x4sjTKuk409fHmOAWrA97igYYo7fLTPdqseAazru3Gqtv5mRWXtmgo8z4M2v
qArOf7+YL8uEtAzNGPBrqJfww2+QeaIivP+JJQPqf9Huhxb9ZA40TkcJ2TIg
lMHFlzr/gyn8s6Ox04kBxgxtF+u0Aaa/YKajTyADwjRv1t6Q72Nyb9vE1Uxn
wAUb5e4SxV5mulxk/qHgNWYXnlXY1MP8pOY5tRLJgAGKksoZ9u9MV71vt5xj
GSAwWreeyN3FXDplolGdyIBeTp6BXSLfmLtdDkRev8UAXx1189NGncxyv0eK
s2lrft4Zqd/j38G0ZYg02D5ggPZvkaH4e1+YMYkLonJ5DNiRP/S0le8zc7CU
lfu6jAGMX0HbBzVamcHlyibiaM3/404U5dstTJGGrInQcgYIifGUqiw0M3UH
Yo4a1TOgXL2xVTy1ifltbLG7oIkB3wbMdYXojUzSvG/ExnYG8F9OCJhybmBm
8pvXf/vOgFcWWbl7reuZals+Bmj3M8DS4ZBcv0Mds0lGVSRrkAEEWrigekAt
c/XwtvN+fxhAMtcnPc+rZt7SiWdvnWLA9BtpvWMtVcy9JivZh+cZ8FliWMiC
vYpZYRVw4t4SA0466/3MV6tk2jv1//n3jwGnN/JxctMrmP8DjhP2Og==
             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$4001933#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in X axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -355.98757751993935}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVjHk41Ikfx+UoV87cMsOMyZljmMb5/VqsJeRukrt1la0Wq8gjlIiQo9yx
jqlEjtRWyveTKHJs7iOJodA6c81kan5+f7yf9/N6Xs/7rRxwziWQm4uLq2g3
/28v/+llDocG8fbVU2e7COgnea9vEmwaqL8qILp2ENCAweFNVSYN+gyvhxxp
J6AhNt3so6s0wONCVjktBDRC+x/B/CkatKypcmU1EtBU1g2S7isa/Lj9N+5R
AQF9lkX18UukQcx0vs92MAGVbs3sAV4aREYlT1zmJaA25mNxvhse0KY7TRjS
UkHlHLf3CW25w9Nn3YS/TimjapEJLx6x3WDWOT+A/w4effiYbmm87ArjGzCG
ZeLQodSy8p41F6DMRPrycimhEZcMB82nnMHum3Jsn6Mi6phI0asdcIIeXKZ0
UpU8mmsk2+3UeAwKvuJUemXl0Ogq1jh3jgOsD91vKz0tg5ZRrxb05h2FXufj
o3vHpNBfmF8e5tJtYSGoNdTt2AG0f/lyqHSaDdicqMzSqJRAK4VbBxpyrMF9
yUTxtpQ4esrfeIY/3BI+b2p5ineJoCWMVFtPTwuodLnOnRYjhJKlBbDUHnNQ
Vuo/OeHHj/IPhRiOZhkDacUzmbbEi5qXYFTBRGMwK1iYWfnEi0YESpuahhvD
g7fFGfH9vOjk5utfylyMoSQ/TDb9H170kTTOKUTSGDbOeHQ4JPCiPrSh08xc
IyArrqGoJC/a9MGiTDafCpJik6ZmOjzo14r8CrsUKlQ9uPQyE8+D4sJW6LEX
qbC/OvjSgDgPmsourp2iUUFip89We4Mb9T3IfH5Pjgo2wt38+KfcqKDvwyFq
0REIQ2bbqk25UT+GvNCJOxQYQP3i9A33oA5eRf9R0yngstmxN1hlD2o8rNAt
G0uBpXnH0ouie1DJd4rpoycoIG4eMqWzwIW+aVASpUlRIDR5hzNSyIVqJ6hI
Hr9hCJ9rHCWKFzmI/E75OuWSIYiLiYt+fMVB9v5FGJQ+bQjbp8bXm29zkKkQ
4q1hG0MoTnobdBThILlOJBkPHkOwuCrEiEr7iXzHaSi4xxjAA92iDGmRH8hc
QfWOQagBcE2lJRpMsJFBSc2JAzQDOPNr/IPu+2ykdp9WyaChAZjxG5X7W7IR
vxVtnNsaGRJmWXeGz+0gb1v0CK4hZPh7KnY97wELaaI28pCPk+EPKQkTpfMs
pKxRf1biVzKoMLVC1sksJIZOruonkOH5tkJ53DMmcjjD8JDLJ31gVCYFtTVv
I7neRprOHvrgrRLY51G4iczmn5+Mt9aHx7mlhFrXTcRw8G5WvYE+lPgvxqsJ
byLDdtJMUUl9aLzb1pkQs4HIUdfbev/VgwaFXHqg/TpyR6LWx95WDyTy5k/h
WleRFYdZ8ViqHlyNtEuwDltF0OsK7Q8O6cG8Kt97L6lVZJpzXVNorx5cZL+O
rOhYRohLQczOVl34khrnvrLwH3L/LT7bxlQXNs9tDuS9+Ix856ZZX9DUhc6a
0ayl/2YRO/NMJl1eF27sPzDWLDuLjITuvBT+pgMFrtsK904zEC+rx8dTz+hA
Ms6JS3byIxLMUktL8jkMqxcvXib19yD85/PWZk0PA9n1TXjfdCdS/YWPZqVw
GIoCbn4c/NyOLA4wiDyj2lCURo+WvtWMhD8sbol31gY5TxnbgI95WOwpsW+X
rLTAUVx9yCJsAMsOi15XVNUCqtzztuWSIezuX4yNl3xaIEbiXKYMjWD9yU3b
nDea8PuRybE6twnsUA3txxVbTWiqEQthdjGw/o0y/huOGnBlRsRKvHARm/8h
IKitowFrzQfP75lewn7sjRDqFdWA8OqmilmNFUxNzlpErE8d/D0fJ7bNrGJx
ZguSua7qUPRtZUIvex1Tv6aHK6apQeeiWf1xCgszzyzEmxmpQanK27WUNRbm
ls+jMimnBlYVApEGD79jcdVDRPyHQ5DrdjtqW5ONDfZGa1R6H4KoBZHVA0Yc
LF6m1bAmgAQ9istd9t3cMHzPxf5FGBECSj+Tz9UJgKeUKP8zOyIED2LhI1qC
MJnQ9fqxGhGeEI1kNqoFYc7TyqRulgAdFrw26H0hYApTNMq9CNCep/xppHY/
yP8px59irwK/sO3qdL6KgY/R1GtXLTwsUZZPvjeXAkZV8WUnQTzYHjEyyU6S
gh5iY1ThexxMWpokhHdLweRwRWD6bzhY/d3d96qnNHCZJFtGUJXgZ99OOP2C
DFjzOHLMZRVBPjIwJ+eRHPTmfIgaHpGB9WRBAaqSEmBZtkTXfBkoacofYPgo
QX3mP33/0mTgZrZEHq1UCbLScrQ6x6Shw12rtxCHA7crRxnNH6TgKNBFC0Tw
MB7e7PD3J0n41BDSaMinDF3n1XcOlklCSs6x6t8IyvDibN69Qj9JmKdVpWtZ
KEPJ6Qie3GkJEPUTZPvHKoNfgOazazPi4E4SWfdd3d1XUGxHe0WBt9na7WaP
CtSUSlT2HRMFCWEJf4V5FcgoWv757r0IvLztlXqKmwBOOfSml/37YST4bDyJ
QoDhRGl8xbAQRKVz1XgUEuBp3LeY4uNCcBE9aV7dSICCmN6hW6OCcAjX0tvw
jgBe4dfSUsYFoDdZJXuURQCG/9bWH5P7YLEykRXkRoQ2737nYN99YP904oXp
aSJUnXhY4ze1Fx4lFKu1XCZCiHNQgCuDD45k+x2A+0RYRod7qF94YCdibqKK
RYT3po1q+sE8sNX9PqRFWBUaqBlXNOe5gRU9bX4JpwqRur8aKX3dA6P5hD8m
LVVhHQmz3TfBwbLOfnY2SFGFDYebGtuMn9hGyWNP/vxdPtkkNLfwA9uHeVrG
3d3lC+yeN9s7WJJih4JD+y4n4eue/PyOeYWe6KocUIXNHKubdL7vWD332fGi
aVXYqrvhck2SiXH5Xe0OZO/yy3pylPw25ir+5PYRARJsdw0eCFLewqa6ZzLo
UiRgzimOWOtsYCkVOaKe2iT4jqs9yXd0FQtwjy0XpJFg82R59NeKZSzutbrA
M38SbF34avKuYRGjtyiT95zZ3dfFwPWeeaw1xDLBO5YErK7WxNAPXzCFRlTo
z6u7f3OC1rYLsxg7w4x48AYJ2LiiTn6+aezV8wwh88Jdf+GNTJ/qJBZIZp5p
LNv1dR7FNy3GsX/Db11uoZPg59wXvJP38K4/dzCghgQc3IUq0eh+LEr7sEpJ
Awm460Xc7qj3YCRrpfPnnpCAD6/jfdC/HUug6K2MPieBOL60m6rXjLVjXOlj
LSSQelGcmOdajzE99XOCXpHgf3dH1g0=
             "]], LineBox[CompressedData["
1:eJwVlXc81f8Xx917ycrIqFAZl2uPO2z1OVeSNGxuSQuRLaVoULTJaImoRJHK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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$4009065#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in Y axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -355.98757751993935}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwV0ns01PkbB3Apl0SNaqJUDDMfKZdpyqVkwriMW2lILotIM3bDFoUUKoTI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             "]], LineBox[CompressedData["
1:eJwV0ns81HkXB3C5lpV+Y6xymzDmmyRbKmusOHomVraEIbKUQUU2xmorIbfG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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$4011439#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, -11.384472685590563`},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in Z axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -355.98757751993935}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}]}}, {}},
  ContentSelectable->True,
  ImageSize->{1173., 486.65010335991917`},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795444513002963*^9, 
   3.795497711297321*^9, {3.7954991745430136`*^9, 3.7954991979843545`*^9}, 
   3.795499256431698*^9, 3.795499299008133*^9, {3.795499419206008*^9, 
   3.7954995014137096`*^9}, 3.795499746785744*^9, 3.7955007288739166`*^9, 
   3.7955044276334734`*^9, 3.79550522604814*^9, 3.82661951633218*^9, 
   3.8266204838887353`*^9},
 CellLabel->
  "Out[652]=",ExpressionUUID->"51650bfe-992e-4539-b5c2-b1ffb38320e5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beam powers: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5418745985135789`", ",", "0.13074600000000008`", ",", "0.00994784`"}], 
    "}"}], "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Beam powers: ", {0.5418745985135789, 0.13074600000000008`, 0.00994784}, 
   " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.826619516334179*^9, 3.8266204838907337`*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"5a17400f-006d-4899-9104-c6d29f6e2e4e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 1: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.38581767255680716`", ",", "2.1403934995018306`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 1: ", {0.38581767255680716`, 2.1403934995018306`, 
   2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.826619516334179*^9, 3.8266204838927317`*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"b88c54b0-6d51-44b3-bcd1-db085e62edfa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 2: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "22.204013497918506`", ",", "2.1403934995018306`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 2: ", {22.204013497918506`, 2.1403934995018306`, 
   2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.826619516334179*^9, 3.826620483904725*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"d70393d0-3b82-4991-9886-a181c774619e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]X for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "331.24374047673064`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : ", 
   331.24374047673064`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.826619516334179*^9, 3.826620483910722*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"0494e0f1-0b2a-43d8-8f13-5871fad07ca4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Y for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "735.0929993488566`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : ", 
   735.0929993488566, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.826619516334179*^9, 3.826620483932708*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"410bc0c7-0fc2-479f-9692-4763ba16bcaa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Z for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "316.9960021978828`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : ", 
   316.9960021978828, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.826619516334179*^9, 3.8266204839417014`*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"aad5ea5e-4ed4-4798-b165-107f39d0a6cf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Grav sagging: \"\>", "\[InvisibleSpace]", 
   "0.4578684913842469`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Grav sagging: ", 0.4578684913842469, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.826619516334179*^9, 3.8266204839427013`*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"e1582692-434d-4ae2-a5f9-a73d71be570e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Absolute potential depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "18.34084033925806`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Absolute potential depth: ", -18.34084033925806, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.826619516334179*^9, 3.8266204839446993`*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"8b1dc187-0fe5-4c2e-a0bc-883e7c7c4a29"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Edge of the trap between tranport DT and sheet DT: \"\>", 
   "\[InvisibleSpace]", "19.922600678278545`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Edge of the trap between tranport DT and sheet DT: ", 19.922600678278545`, 
   " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.826619516334179*^9, 3.826620483947697*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"fb4aeb14-77f7-4788-ae43-7242ffffb4e2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Trap depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "11.38448824372007`", ",", "6.01002515942167`", ",", 
     "0.9236911644586704`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Trap depth: ", {11.38448824372007, 6.01002515942167, 0.9236911644586704}, 
   " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.826619516334179*^9, 3.826620483962688*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"48252305-4f4a-4369-a1dc-cc90665b7a36"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap depth: \"\>", "\[InvisibleSpace]", 
   "9.17493157477983`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Effective trap depth: ", 9.17493157477983, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.826619516334179*^9, 3.826620483976681*^9},
 CellLabel->
  "During evaluation of \
In[619]:=",ExpressionUUID->"1e155b55-722c-4668-b532-6bd67e280687"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Self consistent evaluation of Nth for a fixed Nbec and Temp", "Item",
 CellChangeTimes->{{3.7213797517345233`*^9, 3.7213797879645734`*^9}, {
  3.750685679896145*^9, 3.7506856865615263`*^9}, {3.7954336196228976`*^9, 
  3.7954336495026064`*^9}},ExpressionUUID->"a916b940-d73f-4a6f-843c-\
6d3d3e4de9cf"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NInterpPts", " ", "=", "17"}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gScat", " ", "=", 
    RowBox[{"4.", "*", "Pi", "*", 
     RowBox[{"aScat", "/", "mAssSr"}]}]}], " ", ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"hbarre", "^", "2"}], "*", 
    RowBox[{"aB", "/", "au"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"factAuxNatAniso", " ", "=", " ", 
   RowBox[{"hbarre", "/", 
    RowBox[{"(", 
     RowBox[{"2.", "*", "Pi", "*", 
      RowBox[{"aB", "^", "2."}], "*", "au"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxDensity", " ", "=", " ", 
    RowBox[{"2.", "*", 
     RowBox[{"Pi", "/", 
      RowBox[{"(", 
       RowBox[{"hbarre", "*", 
        RowBox[{"aB", "/", "au"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vpot0", " ", "=", " ", 
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"0.", ",", "0.", ",", "0."}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTh0Init", " ", "=", " ", "0."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0BECInit", " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Omega]IsoDT", "/", 
      RowBox[{"(", 
       RowBox[{"2.", "*", "gScat"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"15.", "*", "NatBECTest", "*", "aScat", "*", 
         RowBox[{"aB", "/", "aHODTiso"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
      RowBox[{"(", 
       RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"2", "*", "Pi", " ", "*", " ", 
    RowBox[{
     RowBox[{"hbarre", " ", "/", " ", 
      RowBox[{"hbarre", "^", "2"}]}], " ", "/", "aB"}], " ", "*", " ", "au"}],
    "  ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]Chem", " ", "=", " ", 
    RowBox[{"Vpot0", " ", "+", " ", 
     RowBox[{"gScat", " ", "*", " ", 
      RowBox[{"(", 
       RowBox[{"n0BECInit", "+", 
        RowBox[{"2.", "*", "nTh0Init"}]}], ")"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "Hz"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nThTab", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "0."}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"xMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{
          RowBox[{"-", "yMaxBEC"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{
          RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"zMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", "2"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nThInterpFun", "=", " ", 
    RowBox[{"Interpolation", "[", "nThTab", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]deBroglieFun", "[", "Temp_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2.", "*", 
      RowBox[{"Pi", "/", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "Temp"}], ")"}]}], " ", "*", " ", 
      "hbarreOverAu", " ", "*", " ", "hbarreOverkB"}], "]"}], " ", "/", " ", 
    "aB"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxnThFun", "[", "Temp_", "]"}], ":=", 
   RowBox[{"1.", "/", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]deBroglieFun", "[", "Temp", "]"}], ")"}], "^", 
       "3."}], " ", "*", " ", 
      RowBox[{"aB", "^", "3."}], "*", "factAuxDensity"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{
      RowBox[{"x", "*", "aB"}], ",", 
      RowBox[{"y", "*", "aB"}], ",", 
      RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepth"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"VPotAnisoDTSheetOnlyFun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"XYZDipPotSheetOnlyFun", "[", 
      RowBox[{
       RowBox[{"x", "*", "aB"}], ",", 
       RowBox[{"y", "*", "aB"}], ",", 
       RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepthSheetOnly"}]}], ";"}],
   "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
        RowBox[{"2.", "*", 
         RowBox[{"nThFun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ",", "0."}], 
      "]"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbBECFun", "[", 
     RowBox[{
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{"4.", "*", 
     RowBox[{
      RowBox[{"Quiet", "[", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"nBECFun", "[", 
          RowBox[{
           RowBox[{"x", "+", 
            RowBox[{"xOffset", "/", "aB"}]}], ",", 
           RowBox[{"y", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
           ",", 
           RowBox[{"z", "+", 
            RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", 
           "nThFun"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.", ",", "xMaxBEC"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", " ", "0.", ",", "zMaxBEC"}], "}"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
         RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
         RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}],
        "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"UFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=",
    " ", 
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", "+", " ", 
    RowBox[{"2.", "*", "gScat", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}],
         "]"}], "+", " ", 
       RowBox[{"nThOldFun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
   " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"UFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}], 
         "]"}]}], ")"}], "/", "Temp"}], "*", "ctePlanckOverkB"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
    " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThOldFun"}], "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"selfConsitentLoopFun", "[", 
     RowBox[{"{", 
      RowBox[{"nThInterpFun_", ",", "\[Mu]Chem_", ",", "\[Mu]ChemOld_"}], 
      "}"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"nThTabAux", ",", "nThInterpFunRes", ",", "\[Mu]ChemRes"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nThTabAux", " ", "=", " ", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"nThFun", "[", 
               RowBox[{
               "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "TempCloud", 
                ",", "nThInterpFun"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"xMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{
               RowBox[{"-", "yMaxBEC"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"zMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", 
          "2"}], "]"}]}], ";", 
       RowBox[{"nThInterpFunRes", "=", " ", 
        RowBox[{"Interpolation", "[", "nThTabAux", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]ChemRes", "=", " ", 
        RowBox[{"\[Mu]ChemBEC", "/.", " ", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"NbBECFun", "[", 
             RowBox[{"\[Mu]ChemBEC", ",", "nThInterpFunRes"}], "]"}], 
            "\[Equal]", "   ", "NatBECTest"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Mu]ChemBEC", ",", "\[Mu]Chem"}], "}"}], ",", 
           RowBox[{"Evaluated", "\[Rule]", " ", "False"}], ",", 
           RowBox[{"MaxIterations", "\[Rule]", " ", "20"}], ",", 
           RowBox[{"AccuracyGoal", "\[Rule]", "10"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Current value of chemical potential: \>\"", ",", "\[Mu]ChemRes", 
         ",", "\"\< Hz\>\""}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nThInterpFunRes", ",", "\[Mu]ChemRes", ",", "\[Mu]Chem"}], 
        "}"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aux1Fun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"x", "/", "xMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"y", "/", "yMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"z", "/", "zMaxTh"}], "]"}], ")"}], "^", "1.5"}]}], ")"}], 
    "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"aux2Fun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"x", "/", 
           RowBox[{"(", 
            RowBox[{"xMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"y", "/", 
           RowBox[{"(", 
            RowBox[{"yMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"z", "/", 
           RowBox[{"(", 
            RowBox[{"zMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}]}], ")"}], "/", "2."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nTh2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"PolyLog", "[", 
      RowBox[{
       RowBox[{"3", "/", "2"}], ",", 
       RowBox[{"Z2Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
        "]"}]}], "]"}], "]"}], " ", "*", 
    RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZSheetOnlyFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"VPotAnisoDTSheetOnlyFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThSheetOnlyFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZSheetOnlyFun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "Temp"}], "]"}]}], "]"}], 
      "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThBoltzSheetOnlyFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "auxCalc", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"auxCalc", " ", "=", " ", 
        RowBox[{"VPotAnisoDTSheetOnlyFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"auxCalc", "\[LessEqual]", "   ", "0."}], ",", "0.", ",", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "auxCalc"}], "/", "Temp"}], "*", "ctePlanckOverkB"}],
           "]"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThExtendedFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"aux1Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aux2Fun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", 
        RowBox[{"nThFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThInterpFun"}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], ",", "0."}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbThFun", "[", 
     RowBox[{"\[Mu]Chem_", ",", "Temp_", ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"4.", "*", " ", 
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
          RowBox[{"x", "+", 
           RowBox[{"xOffset", "/", "aB"}]}], ",", 
          RowBox[{"y", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
          ",", 
          RowBox[{"z", "+", 
           RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", "Temp", 
          ",", "nThInterpFun"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
        RowBox[{"PrecisionGoal", "\[Rule]", "2"}], ",", 
        RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
      "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0ThBoltzSheetOnlyFun", "[", 
    RowBox[{"NbTh_", ",", "Temp_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "auxFalseNb", "}"}], ",", 
     RowBox[{
      RowBox[{"auxFalseNb", "=", 
       RowBox[{"4.", "*", " ", 
        RowBox[{
         RowBox[{"NIntegrate", "[", 
          RowBox[{
           RowBox[{"nThBoltzSheetOnlyFun", "[", 
            RowBox[{
             RowBox[{"x", "+", 
              RowBox[{"xOffset", "/", "aB"}]}], ",", 
             RowBox[{"y", "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"yOffset", "+", "gSaggSrNumSheetOnly"}], ")"}], "/", 
               "aB"}]}], ",", 
             RowBox[{"z", "+", 
              RowBox[{"zOffset", "/", "aB"}]}], ",", "Temp"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
           RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
           RowBox[{"PrecisionGoal", "\[Rule]", "2"}], ",", 
           RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], 
          "]"}], "/", "factAuxNatAniso"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"NbTh", "/", "auxFalseNb"}]}]}], "\[IndentingNewLine]", "]"}]}],
   ";"}]}], "Input",
 CellChangeTimes->{{3.795412272675922*^9, 3.7954122733979635`*^9}, {
   3.795412338503687*^9, 3.7954123395937495`*^9}, {3.7954124414115734`*^9, 
   3.7954125545510445`*^9}, {3.795412602645795*^9, 3.7954126028588076`*^9}, {
   3.795412641986045*^9, 3.795412672181772*^9}, {3.7954127276239433`*^9, 
   3.795412727969963*^9}, {3.795412802308215*^9, 3.7954129253082504`*^9}, {
   3.7954129567280474`*^9, 3.7954129985764413`*^9}, {3.7954130524345217`*^9, 
   3.7954130688094583`*^9}, {3.7954131738404655`*^9, 
   3.7954131821739426`*^9}, {3.795413298957622*^9, 3.7954133254101353`*^9}, {
   3.7954134760787525`*^9, 3.7954135066395006`*^9}, {3.7954135429855795`*^9, 
   3.7954137009686155`*^9}, {3.7954137321614*^9, 3.795413737549708*^9}, 
   3.7954137685704823`*^9, {3.795413863906935*^9, 3.7954138970708323`*^9}, {
   3.795413975689329*^9, 3.7954139764343715`*^9}, {3.795425005449195*^9, 
   3.7954250208070736`*^9}, {3.7954251594590034`*^9, 3.795425181198247*^9}, {
   3.7954253466877127`*^9, 3.7954253762114015`*^9}, {3.7954254409391036`*^9, 
   3.795425478726265*^9}, 3.795425536822588*^9, {3.7954255808941083`*^9, 
   3.795425634325165*^9}, {3.795425790490097*^9, 3.7954258183856926`*^9}, {
   3.7954258785161314`*^9, 3.7954259995520544`*^9}, {3.795426044443622*^9, 
   3.795426233835455*^9}, {3.795426537196806*^9, 3.7954266074378233`*^9}, {
   3.7954266600658336`*^9, 3.7954267045523777`*^9}, {3.7954267351641293`*^9, 
   3.7954267980517263`*^9}, {3.795426852222824*^9, 3.7954268679787254`*^9}, {
   3.7954269030007286`*^9, 3.7954269032427425`*^9}, {3.7954269832783203`*^9, 
   3.795427083169034*^9}, {3.79542712139222*^9, 3.795427127744583*^9}, {
   3.7954271649117093`*^9, 3.7954271817886744`*^9}, 3.7954275600773115`*^9, {
   3.7954276202647543`*^9, 3.7954276375347414`*^9}, 3.7954277665431204`*^9, {
   3.7954277989009714`*^9, 3.7954277995990114`*^9}, {3.7954278577423368`*^9, 
   3.795427892545327*^9}, {3.795427931265542*^9, 3.795427944648308*^9}, {
   3.795428058806837*^9, 3.7954280875334797`*^9}, {3.795428207570346*^9, 
   3.795428235397938*^9}, {3.795428276863309*^9, 3.7954283208918276`*^9}, {
   3.7954283918318853`*^9, 3.795428397111187*^9}, 3.7954291421097984`*^9, {
   3.795429443170018*^9, 3.7954294558067408`*^9}, {3.795429676046338*^9, 
   3.7954296763353543`*^9}, {3.795429969224107*^9, 3.7954299737993684`*^9}, {
   3.7954302001643157`*^9, 3.7954302012023754`*^9}, {3.7954314113425913`*^9, 
   3.7954314117536144`*^9}, {3.7954315154065433`*^9, 
   3.7954315579919786`*^9}, {3.795431890181979*^9, 3.795431890531999*^9}, 
   3.795432954083831*^9, {3.7954338308759804`*^9, 3.795433850961129*^9}, {
   3.7954368927101073`*^9, 3.7954368968943467`*^9}, 3.7954371532650104`*^9, {
   3.795437262779274*^9, 3.795437280441284*^9}, {3.7954373374385443`*^9, 
   3.7954373406827297`*^9}, 3.7954375579651575`*^9, {3.7954375896489697`*^9, 
   3.795437669130516*^9}, {3.795437770695325*^9, 3.795437771037345*^9}, {
   3.795439259206463*^9, 3.7954392703330994`*^9}, {3.7954393169097633`*^9, 
   3.795439349873649*^9}, {3.7954996735715566`*^9, 3.795499703605274*^9}, {
   3.7954999315233107`*^9, 3.7954999878055296`*^9}, {3.795500045195812*^9, 
   3.7955000616517534`*^9}, {3.795500402439245*^9, 3.795500402593254*^9}, {
   3.795500573894052*^9, 3.795500608371024*^9}, {3.795500639738818*^9, 
   3.7955006601759872`*^9}, {3.7955007342222223`*^9, 
   3.7955007987529135`*^9}, {3.7955008947094016`*^9, 3.795500905100996*^9}, {
   3.795501040455738*^9, 3.7955011358851957`*^9}, {3.79550438859624*^9, 
   3.795504388786251*^9}, {3.7955046600427666`*^9, 3.7955046602407775`*^9}},
 CellLabel->
  "In[664]:=",ExpressionUUID->"37ad34e9-fec0-4bd8-ad60-e65825809598"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NInterpPts", " ", "=", "17"}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gScat", " ", "=", 
    RowBox[{"4.", "*", "Pi", "*", 
     RowBox[{"aScat", "/", "mAssSr"}]}]}], " ", ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"hbarre", "^", "2"}], "*", 
    RowBox[{"aB", "/", "au"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"factAuxNatAniso", " ", "=", " ", 
   RowBox[{"hbarre", "/", 
    RowBox[{"(", 
     RowBox[{"2.", "*", "Pi", "*", 
      RowBox[{"aB", "^", "2."}], "*", "au"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxDensity", " ", "=", " ", 
    RowBox[{"2.", "*", 
     RowBox[{"Pi", "/", 
      RowBox[{"(", 
       RowBox[{"hbarre", "*", 
        RowBox[{"aB", "/", "au"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vpot0", " ", "=", " ", 
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"0.", ",", "0.", ",", "0."}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTh0Init", " ", "=", " ", "0."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0BECInit", " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Omega]IsoDT", "/", 
      RowBox[{"(", 
       RowBox[{"2.", "*", "gScat"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"15.", "*", "NatBECTest", "*", "aScat", "*", 
         RowBox[{"aB", "/", "aHODTiso"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
      RowBox[{"(", 
       RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"2", "*", "Pi", " ", "*", " ", 
    RowBox[{
     RowBox[{"hbarre", " ", "/", " ", 
      RowBox[{"hbarre", "^", "2"}]}], " ", "/", "aB"}], " ", "*", " ", "au"}],
    "  ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]Chem", " ", "=", " ", 
    RowBox[{"Vpot0", " ", "+", " ", 
     RowBox[{"gScat", " ", "*", " ", 
      RowBox[{"(", 
       RowBox[{"n0BECInit", "+", 
        RowBox[{"2.", "*", "nTh0Init"}]}], ")"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "Hz"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nThTab", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "0."}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"xMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{
          RowBox[{"-", "yMaxBEC"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{
          RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"zMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", "2"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nThInterpFun", "=", " ", 
    RowBox[{"Interpolation", "[", "nThTab", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]deBroglieFun", "[", "Temp_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2.", "*", 
      RowBox[{"Pi", "/", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "Temp"}], ")"}]}], " ", "*", " ", 
      "hbarreOverAu", " ", "*", " ", "hbarreOverkB"}], "]"}], " ", "/", " ", 
    "aB"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxnThFun", "[", "Temp_", "]"}], ":=", 
   RowBox[{"1.", "/", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]deBroglieFun", "[", "Temp", "]"}], ")"}], "^", 
       "3."}], " ", "*", " ", 
      RowBox[{"aB", "^", "3."}], "*", "factAuxDensity"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{
       RowBox[{"x", "*", "aB"}], ",", 
       RowBox[{"y", "*", "aB"}], ",", 
       RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepth"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
        RowBox[{"2.", "*", 
         RowBox[{"nThFun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ",", "0."}], 
      "]"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbBECFun", "[", 
     RowBox[{
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{"4.", "*", 
     RowBox[{
      RowBox[{"Quiet", "[", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"nBECFun", "[", 
          RowBox[{
           RowBox[{"x", "+", 
            RowBox[{"xOffset", "/", "aB"}]}], ",", 
           RowBox[{"y", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
           ",", 
           RowBox[{"z", "+", 
            RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", 
           "nThFun"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.", ",", "xMaxBEC"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", " ", "0.", ",", "zMaxBEC"}], "}"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
         RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
         RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}],
        "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"UFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=",
    " ", 
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", "+", " ", 
    RowBox[{"2.", "*", "gScat", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}],
         "]"}], "+", " ", 
       RowBox[{"nThOldFun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
   " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"UFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}], 
         "]"}]}], ")"}], "/", "Temp"}], "*", "ctePlanckOverkB"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
    " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThOldFun"}], "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"selfConsitentLoopFun", "[", 
     RowBox[{"{", 
      RowBox[{"nThInterpFun_", ",", "\[Mu]Chem_", ",", "\[Mu]ChemOld_"}], 
      "}"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"nThTabAux", ",", "nThInterpFunRes", ",", "\[Mu]ChemRes"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nThTabAux", " ", "=", " ", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"nThFun", "[", 
               RowBox[{
               "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "TempCloud", 
                ",", "nThInterpFun"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"xMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{
               RowBox[{"-", "yMaxBEC"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"zMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", 
          "2"}], "]"}]}], ";", 
       RowBox[{"nThInterpFunRes", "=", " ", 
        RowBox[{"Interpolation", "[", "nThTabAux", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]ChemRes", "=", " ", 
        RowBox[{"\[Mu]ChemBEC", "/.", " ", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"NbBECFun", "[", 
             RowBox[{"\[Mu]ChemBEC", ",", "nThInterpFunRes"}], "]"}], 
            "\[Equal]", "   ", "NatBECTest"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Mu]ChemBEC", ",", "\[Mu]Chem"}], "}"}], ",", 
           RowBox[{"Evaluated", "\[Rule]", " ", "False"}], ",", 
           RowBox[{"MaxIterations", "\[Rule]", " ", "20"}], ",", 
           RowBox[{"AccuracyGoal", "\[Rule]", "10"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Current value of chemical potential: \>\"", ",", "\[Mu]ChemRes", 
         ",", "\"\< Hz\>\""}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nThInterpFunRes", ",", "\[Mu]ChemRes", ",", "\[Mu]Chem"}], 
        "}"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aux1Fun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"x", "/", "xMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"y", "/", "yMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"z", "/", "zMaxTh"}], "]"}], ")"}], "^", "1.5"}]}], ")"}], 
    "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"aux2Fun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"x", "/", 
           RowBox[{"(", 
            RowBox[{"xMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"y", "/", 
           RowBox[{"(", 
            RowBox[{"yMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"z", "/", 
           RowBox[{"(", 
            RowBox[{"zMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}]}], ")"}], "/", "2."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nTh2Fun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Z2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThExtendedFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"aux1Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aux2Fun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", 
        RowBox[{"nThFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThInterpFun"}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], ",", "0."}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbThFun", "[", 
    RowBox[{"\[Mu]Chem_", ",", "Temp_", ",", "nThInterpFun_"}], "]"}], ":=", 
   RowBox[{"4.", "*", " ", 
    RowBox[{
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
         RowBox[{"x", "+", 
          RowBox[{"xOffset", "/", "aB"}]}], ",", 
         RowBox[{"y", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], ",", 
         RowBox[{"z", "+", 
          RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", "Temp", 
         ",", "nThInterpFun"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
       RowBox[{"PrecisionGoal", "\[Rule]", "2"}], ",", 
       RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
     "/", "factAuxNatAniso"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.795412272675922*^9, 3.7954122733979635`*^9}, {
   3.795412338503687*^9, 3.7954123395937495`*^9}, {3.7954124414115734`*^9, 
   3.7954125545510445`*^9}, {3.795412602645795*^9, 3.7954126028588076`*^9}, {
   3.795412641986045*^9, 3.795412672181772*^9}, {3.7954127276239433`*^9, 
   3.795412727969963*^9}, {3.795412802308215*^9, 3.7954129253082504`*^9}, {
   3.7954129567280474`*^9, 3.7954129985764413`*^9}, {3.7954130524345217`*^9, 
   3.7954130688094583`*^9}, {3.7954131738404655`*^9, 
   3.7954131821739426`*^9}, {3.795413298957622*^9, 3.7954133254101353`*^9}, {
   3.7954134760787525`*^9, 3.7954135066395006`*^9}, {3.7954135429855795`*^9, 
   3.7954137009686155`*^9}, {3.7954137321614*^9, 3.795413737549708*^9}, 
   3.7954137685704823`*^9, {3.795413863906935*^9, 3.7954138970708323`*^9}, {
   3.795413975689329*^9, 3.7954139764343715`*^9}, {3.795425005449195*^9, 
   3.7954250208070736`*^9}, {3.7954251594590034`*^9, 3.795425181198247*^9}, {
   3.7954253466877127`*^9, 3.7954253762114015`*^9}, {3.7954254409391036`*^9, 
   3.795425478726265*^9}, 3.795425536822588*^9, {3.7954255808941083`*^9, 
   3.795425634325165*^9}, {3.795425790490097*^9, 3.7954258183856926`*^9}, {
   3.7954258785161314`*^9, 3.7954259995520544`*^9}, {3.795426044443622*^9, 
   3.795426233835455*^9}, {3.795426537196806*^9, 3.7954266074378233`*^9}, {
   3.7954266600658336`*^9, 3.7954267045523777`*^9}, {3.7954267351641293`*^9, 
   3.7954267980517263`*^9}, {3.795426852222824*^9, 3.7954268679787254`*^9}, {
   3.7954269030007286`*^9, 3.7954269032427425`*^9}, {3.7954269832783203`*^9, 
   3.795427083169034*^9}, {3.79542712139222*^9, 3.795427127744583*^9}, {
   3.7954271649117093`*^9, 3.7954271817886744`*^9}, 3.7954275600773115`*^9, {
   3.7954276202647543`*^9, 3.7954276375347414`*^9}, 3.7954277665431204`*^9, {
   3.7954277989009714`*^9, 3.7954277995990114`*^9}, {3.7954278577423368`*^9, 
   3.795427892545327*^9}, {3.795427931265542*^9, 3.795427944648308*^9}, {
   3.795428058806837*^9, 3.7954280875334797`*^9}, {3.795428207570346*^9, 
   3.795428235397938*^9}, {3.795428276863309*^9, 3.7954283208918276`*^9}, {
   3.7954283918318853`*^9, 3.795428397111187*^9}, 3.7954291421097984`*^9, {
   3.795429443170018*^9, 3.7954294558067408`*^9}, {3.795429676046338*^9, 
   3.7954296763353543`*^9}, {3.795429969224107*^9, 3.7954299737993684`*^9}, {
   3.7954302001643157`*^9, 3.7954302012023754`*^9}, {3.7954314113425913`*^9, 
   3.7954314117536144`*^9}, {3.7954315154065433`*^9, 
   3.7954315579919786`*^9}, {3.795431890181979*^9, 3.795431890531999*^9}, 
   3.795432954083831*^9, {3.7954338308759804`*^9, 3.795433850961129*^9}, {
   3.7954368927101073`*^9, 3.7954368968943467`*^9}, 3.7954371532650104`*^9, {
   3.795437262779274*^9, 3.795437280441284*^9}, {3.7954373374385443`*^9, 
   3.7954373406827297`*^9}, 3.7954375579651575`*^9, {3.7954375896489697`*^9, 
   3.795437669130516*^9}, {3.795437770695325*^9, 3.795437771037345*^9}, {
   3.795439259206463*^9, 3.7954392703330994`*^9}, {3.7954393169097633`*^9, 
   3.795439349873649*^9}, 3.79550463144013*^9},
 CellLabel->
  "In[694]:=",ExpressionUUID->"820b3f25-e8c3-451a-aae5-3edc719ccbf8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"nThInterpFunSol", ",", "\[Mu]ChemSol", ",", "\[Mu]ChemAux"}], 
   "}"}], "=", " ", 
  RowBox[{"NestWhile", "[", 
   RowBox[{"selfConsitentLoopFun", ",", 
    RowBox[{"{", 
     RowBox[{"nThInterpFun", ",", "\[Mu]Chem", ",", "1."}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", 
          RowBox[{"#", "[", 
           RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "]"}], "/", 
       RowBox[{"#", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], ">", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "5"}], ")"}]}]}], "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.795431789724233*^9, 3.7954318089193316`*^9}, {
  3.7954324286467776`*^9, 3.795432428983797*^9}, {3.7954324599235663`*^9, 
  3.7954324602215834`*^9}, {3.7954338361732836`*^9, 3.7954338364613*^9}, {
  3.7954372906848707`*^9, 3.795437291167898*^9}},
 CellLabel->
  "In[719]:=",ExpressionUUID->"f7b1d9fa-8c1c-4735-a6c5-6423bff592cf"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,719,353,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826620527700494*^9},
 CellLabel->
  "During evaluation of \
In[719]:=",ExpressionUUID->"fa52a047-0c09-47f0-812f-045cd165c326"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20348.08055258347`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20348.08055258347, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826620527702492*^9},
 CellLabel->
  "During evaluation of \
In[719]:=",ExpressionUUID->"09840534-a6da-4fca-a085-c780bbf35fa8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20307.558692322982`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20307.558692322982`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8266205563586683`*^9},
 CellLabel->
  "During evaluation of \
In[719]:=",ExpressionUUID->"62941afd-f5c0-4c2d-b415-c819d2b6fa43"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,719,354,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826620589861827*^9},
 CellLabel->
  "During evaluation of \
In[719]:=",ExpressionUUID->"8348c20e-b2de-4406-8863-9766ad1bed2c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20318.446129063243`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20318.446129063243`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8266205898638287`*^9},
 CellLabel->
  "During evaluation of \
In[719]:=",ExpressionUUID->"4c18299d-0861-4eed-b2bd-407349dfd423"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20315.460707493115`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20315.460707493115`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826620612392089*^9},
 CellLabel->
  "During evaluation of \
In[719]:=",ExpressionUUID->"cef38a19-34d5-49a8-8294-a6ccc94b4ccc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20316.361229390226`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20316.361229390226`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8266206407794313`*^9},
 CellLabel->
  "During evaluation of \
In[719]:=",ExpressionUUID->"b26dd4c4-f922-4d72-99b2-a8c83e7df38c"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,719,355,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826620675981534*^9},
 CellLabel->
  "During evaluation of \
In[719]:=",ExpressionUUID->"2048bb82-5b57-4fdc-b914-76b0313a17e1"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"FindRoot\\\", \
\\\"::\\\", \\\"lstol\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,719,356,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266206759845324`*^9},
 CellLabel->
  "During evaluation of \
In[719]:=",ExpressionUUID->"22c3911b-2c51-4ddb-8f39-be42abdf7138"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20316.07831477145`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20316.07831477145, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826620675985532*^9},
 CellLabel->
  "During evaluation of \
In[719]:=",ExpressionUUID->"0a64216e-ff9b-4977-95c9-ad0e1e87588e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "20316.16964151274`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 20316.16964151274, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826620699928571*^9},
 CellLabel->
  "During evaluation of \
In[719]:=",ExpressionUUID->"eb12e69c-56e0-488c-8069-9be0b5039dc1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    RowBox[{
     TagBox["InterpolatingFunction",
      "SummaryHead"], "[", 
     DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = 
      "Ready"}, 
      TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquarePlusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = True), Appearance -> None,
                 Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[{{
                 GrayLevel[0.6], 
                 AbsolutePointSize[5], 
                 PointBox[{1, 1}], 
                 PointBox[{2, 4}], 
                 PointBox[{3, 2}], 
                 PointBox[{4, 3}]}, {{}, {}, {
                  AbsoluteThickness[1], 
                  Opacity[1.], 
                  LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                   "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
               GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                 GrayLevel[0.7], 
                 Thickness[Tiny]], FrameTicks -> None, 
               ImageSize -> {Automatic, 
                 Dynamic[
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                   Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "14450.846898537267`"}], ",", 
                    "260115.2441736708`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "120053.1896186173`"}], ",", 
                    "120053.1896186173`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "16674.05411369685`"}], ",", 
                    "300132.9740465433`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"scalar\"", "SummaryItem"]}]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}], True -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquareMinusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                None, Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[{{
                 GrayLevel[0.6], 
                 AbsolutePointSize[5], 
                 PointBox[{1, 1}], 
                 PointBox[{2, 4}], 
                 PointBox[{3, 2}], 
                 PointBox[{4, 3}]}, {{}, {}, {
                  AbsoluteThickness[1], 
                  Opacity[1.], 
                  LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                   "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
               GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                 GrayLevel[0.7], 
                 Thickness[Tiny]], FrameTicks -> None, 
               ImageSize -> {Automatic, 
                 Dynamic[
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                   Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "14450.846898537267`"}], ",", 
                    "260115.2441736708`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "120053.1896186173`"}], ",", 
                    "120053.1896186173`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "16674.05411369685`"}], ",", 
                    "300132.9740465433`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"scalar\"", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Order: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{"3", ",", "3", ",", "3"}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Method: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"Hermite\"", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Periodic: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["False", "SummaryItem"]}]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}]}, 
         Dynamic[Typeset`open$$], ImageSize -> Automatic]},
       "SummaryPanel"],
      DynamicModuleValues:>{}], "]"}],
    InterpolatingFunction[{{-14450.846898537267`, 
     260115.2441736708}, {-120053.1896186173, 
     120053.1896186173}, {-16674.05411369685, 300132.9740465433}}, {
     5, 7, 0, {20, 37, 20}, {4, 4, 4}, 0, 0, 0, 0, Automatic, {}, {}, 
      False}, {{-14450.846898537267`, 0., 14450.846898537267`, 
      28901.693797074535`, 43352.5406956118, 57803.38759414907, 
      72254.23449268634, 86705.08139122362, 101155.92828976086`, 
      115606.77518829814`, 130057.62208683541`, 144508.46898537266`, 
      158959.31588390993`, 173410.1627824472, 187861.00968098445`, 
      202311.85657952173`, 216762.703478059, 231213.55037659628`, 
      245664.39727513355`, 
      260115.2441736708}, {-120053.1896186173, -113383.56797313856`, \
-106713.94632765983`, -100044.32468218108`, -93374.70303670234, \
-86705.0813912236, -80035.45974574485, -73365.83810026612, -66696.21645478738,
       -60026.59480930865, -53356.97316382991, -46687.35151835116, \
-40017.72987287243, -33348.10822739369, -26678.48658191494, \
-20008.864936436206`, -13339.24329095747, -6669.621645478735, 0., 
      6669.62164547875, 13339.24329095747, 20008.864936436235`, 
      26678.48658191497, 33348.108227393706`, 40017.72987287244, 
      46687.35151835118, 53356.97316382991, 60026.59480930865, 
      66696.21645478741, 73365.83810026615, 80035.45974574488, 
      86705.08139122362, 93374.70303670235, 100044.32468218109`, 
      106713.94632765983`, 113383.56797313856`, 
      120053.1896186173}, {-16674.05411369685, 0., 16674.05411369685, 
      33348.10822739369, 50022.162341090545`, 66696.2164547874, 
      83370.27056848424, 100044.32468218109`, 116718.37879587794`, 
      133392.4329095748, 150066.48702327165`, 166740.5411369685, 
      183414.59525066533`, 200088.64936436218`, 216762.70347805903`, 
      233436.7575917559, 250110.81170545274`, 266784.8658191496, 
      283458.91993284645`, 300132.9740465433}}, {
     Developer`PackedArrayForm, CompressedData["
1:eJwc3VMQINuyBcA79hnbtm3btm3btm3btm3btu2X8zoiI/q3P1p7V62K36Bt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      "], CompressedData["
1:eJzs2vc/1f//P3AjI9l7O/beez5vONax9w4lpEQllRQVmjLaQygklRZC0UAy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      "]}, {Automatic, Automatic, Automatic}],
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", "20316.16964151274`", ",", 
   "20316.07831477145`"}], "}"}]], "Output",
 CellChangeTimes->{3.795432399786127*^9, 3.795433111998863*^9, 
  3.795433839934499*^9, 3.7954340003356733`*^9, 3.795434818022442*^9, 
  3.795437075717575*^9, 3.795437357152672*^9, 3.7954375228901515`*^9, 
  3.7954381756964903`*^9, 3.795441606161701*^9, 3.7954980874278345`*^9, 
  3.7955056396567974`*^9, 3.826619519876444*^9, 3.8266206999365654`*^9},
 CellLabel->
  "Out[719]=",ExpressionUUID->"54a8ace8-ff11-45df-b41c-5912f872446f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nbBEC", " ", "=", " ", 
   RowBox[{"NbBECFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0BEC", " ", "=", " ", 
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", 
      "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nbTh", " ", "=", " ", 
   RowBox[{"NbThFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0ThSheetOnly", " ", "=", " ", 
   RowBox[{
    RowBox[{"n0ThBoltzSheetOnlyFun", "[", 
     RowBox[{"NatReservoirTest", ",", "TempReservoir"}], "]"}], "*", 
    "factAuxDensity"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0ThDimple", " ", "=", 
    RowBox[{
     RowBox[{"nThFun", "[", 
      RowBox[{
      "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
       "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Initial chemical potential: \>\"", ",", "\[Mu]Chem", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Final chemical potential: \>\"", ",", "\[Mu]ChemSol", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<BEC atom number: \>\"", ",", "nbBEC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Thermal atom number in dimple (theory): \>\"", ",", "nbTh"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Thermal atom number in reservoir (from exp): \>\"", ",", 
    "NatReservoirTest"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak density due to BEC: \>\"", ",", "n0BEC", ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak density due to thermal gas in dimple: \>\"", ",", "n0ThDimple", 
   ",", "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Peak density due to thermal gas in reservoir (sheet only): \>\"", ",",
     "n0ThSheetOnly", ",", "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]",
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nBECFun", "[", 
       RowBox[{
       "x", ",", "0", ",", "0", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}],
        "]"}], "*", "factAuxDensity"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "xMaxBEC"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nBECFun", "[", 
       RowBox[{
       "0", ",", "y", ",", "0", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}],
        "]"}], "*", "factAuxDensity"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BecPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{
        "0", ",", "0", ",", "z", ",", "\[Mu]ChemSol", ",", 
         "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0", ",", "zMaxBEC"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"x", ",", "0.", ",", "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{
          RowBox[{"nThFun", "[", 
           RowBox[{
           "x", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
            ",", "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
         "0."}], "]"}], ",", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
         "x", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
          ",", "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
       RowBox[{
        RowBox[{"nTh2Fun", "[", 
         RowBox[{
         "x", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], 
         "]"}], "*", "factAuxDensity"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{"2", "*", "xMaxBEC"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", "y", ",", "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{
          RowBox[{"nThFun", "[", 
           RowBox[{
           "0.", ",", "y", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
            ",", "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
         "0."}], "]"}], ",", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
         "0.", ",", "y", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
          ",", "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
       RowBox[{
        RowBox[{"nTh2Fun", "[", 
         RowBox[{
         "0.", ",", "y", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], 
         "]"}], "*", "factAuxDensity"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "*", "yMaxBEC"}], ",", 
       RowBox[{"2", "*", "yMaxBEC"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"aux2Fun", "[", 
            RowBox[{"0.", ",", "0.", ",", "z"}], "]"}], "<", "0.5"}], ",", 
          RowBox[{
           RowBox[{"nThFun", "[", 
            RowBox[{
            "0.", ",", "0.", ",", "z", ",", "\[Mu]ChemSol", ",", "TempCloud", 
             ",", "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
          "0."}], "]"}], ",", 
        RowBox[{
         RowBox[{"nThExtendedFun", "[", 
          RowBox[{
          "0.", ",", "0.", ",", "z", ",", "\[Mu]ChemSol", ",", "TempCloud", 
           ",", "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
        RowBox[{
         RowBox[{"nTh2Fun", "[", 
          RowBox[{
          "0.", ",", "0.", ",", "z", ",", "\[Mu]ChemSol", ",", "TempCloud"}], 
          "]"}], "*", "factAuxDensity"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0", ",", 
        RowBox[{"2", "*", "zMaxBEC"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThSheetOnlyPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"n0ThSheetOnly", "*", 
      RowBox[{"nThBoltzSheetOnlyFun", "[", 
       RowBox[{"x", ",", "0.", ",", "0.", ",", "TempReservoir"}], "]"}]}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"-", "xMaxTh"}], "/", "2"}], ",", 
       RowBox[{"xMaxTh", "/", "2"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThSheetOnlyPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"n0ThSheetOnly", "*", 
      RowBox[{"nThBoltzSheetOnlyFun", "[", 
       RowBox[{"0.", ",", "y", ",", "0.", ",", "TempReservoir"}], "]"}]}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThSheetOnlyPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"n0ThSheetOnly", "*", 
       RowBox[{"nThBoltzSheetOnlyFun", "[", 
        RowBox[{"0.", ",", "0.", ",", "z", ",", "TempReservoir"}], "]"}]}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{
         RowBox[{"-", "zMaxTh"}], "/", "2"}], ",", 
        RowBox[{"zMaxTh", "/", "2"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"BecPlot1", ",", "BecPlot2", ",", "BecPlot3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ThPlot1", ",", "ThPlot2", ",", "ThPlot3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "ThSheetOnlyPlot1", ",", "ThSheetOnlyPlot2", ",", "ThSheetOnlyPlot3"}], 
     "}"}]}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.795432692306858*^9, 3.7954327479470406`*^9}, {
   3.7954327858582087`*^9, 3.795432846670687*^9}, {3.7954331382793665`*^9, 
   3.7954331391564164`*^9}, {3.795433454851473*^9, 3.7954334557785263`*^9}, {
   3.7954334892674417`*^9, 3.7954335096336064`*^9}, {3.7954337453250875`*^9, 
   3.7954337997432*^9}, {3.7954339214801626`*^9, 3.7954339756062584`*^9}, {
   3.7954340388148737`*^9, 3.7954340949300833`*^9}, {3.7954341418397665`*^9, 
   3.7954341575836673`*^9}, {3.795434207998551*^9, 3.7954342189461765`*^9}, {
   3.7954343180178432`*^9, 3.7954343280924196`*^9}, {3.795434488132573*^9, 
   3.795434520024398*^9}, {3.7954345642069244`*^9, 3.7954345863721924`*^9}, 
   3.7954346972365336`*^9, {3.7954347324705486`*^9, 3.7954347328215685`*^9}, {
   3.79543478913579*^9, 3.795434972312267*^9}, {3.79543501746585*^9, 
   3.7954350501917214`*^9}, {3.7954350971094046`*^9, 3.795435516716405*^9}, {
   3.7954355624790225`*^9, 3.7954356639218245`*^9}, {3.7954356952846184`*^9, 
   3.7954358121203012`*^9}, {3.795435842576043*^9, 3.795435927612907*^9}, {
   3.795435994903756*^9, 3.7954360027222033`*^9}, {3.7954360373971863`*^9, 
   3.795436106495138*^9}, {3.7954361434422517`*^9, 3.795436237156612*^9}, {
   3.795436505338951*^9, 3.795436509153169*^9}, {3.795436541402014*^9, 
   3.7954367131008344`*^9}, {3.7954367912023015`*^9, 3.795436850637701*^9}, 
   3.7954368896729336`*^9, {3.795436970114535*^9, 3.7954369707245693`*^9}, {
   3.795437548773632*^9, 3.7954375498886957`*^9}, {3.795500317152367*^9, 
   3.7955003205805635`*^9}, {3.7955017506463585`*^9, 
   3.7955017896875916`*^9}, {3.7955018286098175`*^9, 3.795501883579962*^9}, {
   3.795502020914817*^9, 3.795502240178358*^9}},
 CellLabel->
  "In[720]:=",ExpressionUUID->"bfc37668-d65c-4454-be3b-b1c2442dfcba"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initial chemical potential: \"\>", "\[InvisibleSpace]", 
   "21022.378106772427`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Initial chemical potential: ", 21022.378106772427`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506435838336*^9, 3.826619529947177*^9, 
  3.8266207076129065`*^9},
 CellLabel->
  "During evaluation of \
In[720]:=",ExpressionUUID->"6053ebb1-70b4-4519-a194-2250e451eb71"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final chemical potential: \"\>", "\[InvisibleSpace]", 
   "20316.16964151274`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Final chemical potential: ", 20316.16964151274, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506435838336*^9, 3.826619529947177*^9, 
  3.8266207076149063`*^9},
 CellLabel->
  "During evaluation of \
In[720]:=",ExpressionUUID->"d7192d06-3c31-4ade-94dc-fa860fab92d2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BEC atom number: \"\>", "\[InvisibleSpace]", 
   "500000.00000000006`"}],
  SequenceForm["BEC atom number: ", 500000.00000000006`],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506435838336*^9, 3.826619529947177*^9, 
  3.8266207076169033`*^9},
 CellLabel->
  "During evaluation of \
In[720]:=",ExpressionUUID->"68cad0bd-6ae4-40c0-b818-44845338d133"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thermal atom number in dimple (theory): \"\>", 
   "\[InvisibleSpace]", "524363.9807380937`"}],
  SequenceForm["Thermal atom number in dimple (theory): ", 524363.9807380937],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506435838336*^9, 3.826619529947177*^9, 
  3.8266207076179037`*^9},
 CellLabel->
  "During evaluation of \
In[720]:=",ExpressionUUID->"af367cd9-36e8-4b18-af75-43e02b52cea2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thermal atom number in reservoir (from exp): \"\>", 
   "\[InvisibleSpace]", "830000.0000000001`"}],
  SequenceForm[
  "Thermal atom number in reservoir (from exp): ", 830000.0000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506435838336*^9, 3.826619529947177*^9, 
  3.826620707618903*^9},
 CellLabel->
  "During evaluation of \
In[720]:=",ExpressionUUID->"7e6eaad7-673e-415c-b748-fc180d3fa079"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to BEC: \"\>", "\[InvisibleSpace]", 
   "2.0108467830065044`*^21", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to BEC: ", 2.0108467830065044`*^21, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506435838336*^9, 3.826619529947177*^9, 
  3.8266207076199026`*^9},
 CellLabel->
  "During evaluation of \
In[720]:=",ExpressionUUID->"7975ee27-cde1-4ec3-a187-822f2d2dd596"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas in dimple: \"\>", 
   "\[InvisibleSpace]", "7.6314899672814`*^19", 
   "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas in dimple: ", 7.6314899672814*^19, 
   " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506435838336*^9, 3.826619529947177*^9, 
  3.8266207076209*^9},
 CellLabel->
  "During evaluation of \
In[720]:=",ExpressionUUID->"a17f235d-c348-4a45-942a-7a0549b2d981"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas in reservoir (sheet only): \
\"\>", "\[InvisibleSpace]", "4.805645683071362`*^18", 
   "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas in reservoir (sheet only): ", 
   4.805645683071362*^18, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506435838336*^9, 3.826619529947177*^9, 
  3.826620707626898*^9},
 CellLabel->
  "During evaluation of \
In[720]:=",ExpressionUUID->"85bd2af6-ea26-4d37-8a30-d4ac56765061"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"1543.0837768265305`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,741,357,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266195215603933`*^9, 3.826620714846597*^9},
 CellLabel->
  "During evaluation of \
In[720]:=",ExpressionUUID->"57c965f4-d576-47bb-9519-375369a708bf"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"2126.480289804425`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,741,358,
   29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266195215603933`*^9, 3.826620714848596*^9},
 CellLabel->
  "During evaluation of \
In[720]:=",ExpressionUUID->"5e328afb-12af-4b8c-8489-f076a1661d8c"],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[{{{}, {}, 
         TagBox[
          {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
           Opacity[1.], LineBox[CompressedData["
1:eJxF0wk0lVsbB3AhQwhJZIx0SArX1I2PR2dLqWQM7+tKAwpxTacQuUqUIkMq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            "]]},
          Annotation[#, "Charting`Private`Tag$8879871#1"]& ]}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 18},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -119.58957682310464}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{}, {}, 
         TagBox[
          {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
           Opacity[1.], LineBox[CompressedData["
1:eJxF2Hk0VV0fB3BTRShTZMhYhkqIVBIbOw8PChnuvceUkMypkEqmlGTuSWSO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            "]]},
          Annotation[#, "Charting`Private`Tag$8881159#1"]& ]}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 18},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -119.58957682310464}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{}, {}, 
         TagBox[
          {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
           Opacity[1.], LineBox[CompressedData["
1:eJxF03k01OsbAPCxRaRG7k2LskRpbkILstQz5hXXlizF9zv9UhJa6FIiFdmX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            "]]},
          Annotation[#, "Charting`Private`Tag$8883353#1"]& ]}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 18},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -119.58957682310464}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}]}, {InsetBox[
      GraphicsBox[{{{}, {}, 
         TagBox[
          {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
           Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF1nk01O/3APAxY5shZjCWkexLUhElkZ63LqmQfSeVpcVSQmUvLYRSRKFS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            "]]},
          Annotation[#, "Charting`Private`Tag$8884650#1"]& ], 
         TagBox[
          {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
           Opacity[1.], LineBox[CompressedData["
1:eJwV1nk4FM4fB/C17iV27eFqo5wpolJCmjGTLsmZ5Ejl6ELKUeSovkVFKZKQ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            "]]},
          Annotation[#, "Charting`Private`Tag$8884650#2"]& ], 
         TagBox[
          {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
           Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nc0Ft4fB/DH3vuxPVR4Hjtb36x73UulMooyQhRaFBlFNIRISwpRyMgI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            "]]},
          Annotation[#, "Charting`Private`Tag$8884650#3"]& ]}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 18},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -358.76873046931394}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{}, {}, 
         TagBox[
          {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
           Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxN2nc01X/8OHCjsuteK3vvkYw0UC/dZyKjEmWP0CdCygolJNESISqyGopQ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            "]]},
          Annotation[#, "Charting`Private`Tag$8895099#1"]& ], 
         TagBox[
          {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
           Opacity[1.], LineBox[CompressedData["
1:eJwtm3c8l+/3x+3t0/ttZe9ZWdGmrrvrSkpUkr1XEcoOJSTRsJJRyCoNMooQ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            "]]},
          Annotation[#, "Charting`Private`Tag$8895099#2"]& ], 
         TagBox[
          {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
           Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwtmnc4l9//x/G236kIZa/sndmgc3dOqNBG9i5CmX2ohCIiOyMjK5XsUEa6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            "]]},
          Annotation[#, "Charting`Private`Tag$8895099#3"]& ]}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 18},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -358.76873046931394}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{}, {}, 
         TagBox[
          {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
           Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF1Xk0FFwbAPCxzpDGjH1fxppERSqp7jWPqGxFqGTJGiWhKBJFSFkqJVp4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            "]]},
          Annotation[#, "Charting`Private`Tag$8912358#1"]& ], 
         TagBox[
          {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
           Opacity[1.], LineBox[CompressedData["
1:eJwV1Xc4Fd4bAPBrjy7uNa5r7xFSoiXVOc4RlRVSSfaKkqIQSSIrqyKhUJTV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            "]]},
          Annotation[#, "Charting`Private`Tag$8912358#2"]& ], 
         TagBox[
          {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
           Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nc81d8fB/Brj4xrXyKuuFZf2YrG5+0cJYmKVFb2qKwoikpFdkmhoqgo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            "]]},
          Annotation[#, "Charting`Private`Tag$8912358#3"]& ]}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 18},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -358.76873046931394}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}]}, {InsetBox[
      GraphicsBox[{{{}, {}, 
         TagBox[
          {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
           Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJw12nk0VV/YB3CFNKBSSSnzcM3DxTVc3O0xlqHInDnKUJEh8xgKRaiUlFRC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            "]]},
          Annotation[#, "Charting`Private`Tag$8922259#1"]& ]}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -597.9478841155233}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{}, {}, 
         TagBox[
          {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
           Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwtmnc0l+//x+093pKMT1FRaCAjK7pvL3uVHUV2kexRyMgo2VuR7JKZVSHd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            "]]},
          Annotation[#, "Charting`Private`Tag$8926372#1"]& ]}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -597.9478841155233}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{}, {}, 
         TagBox[
          {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
           Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJw1mnc0F174x1WyoqEQIiMiKqN8KeT2IEX2np9hfcwolJG9d2SFkITsysjI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            "]]},
          Annotation[#, "Charting`Private`Tag$8930912#1"]& ]}, {}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{None, None},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->All,
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
         AbsolutePointSize[6], "ScalingFunctions" -> None, 
         "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -597.9478841155233}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}]}}, {}},
  ContentSelectable->True,
  ImageSize->{1173., 729.5374609386279},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{3.7955064419356847`*^9, 3.8266195841101913`*^9, 
  3.8266207148675814`*^9},
 CellLabel->
  "Out[742]=",ExpressionUUID->"91d5d1f6-7389-4511-8865-5ecad1da901e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TempReservoirMax", " ", "=", " ", 
   RowBox[{"3.", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velMin", " ", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"2.", "/", "Pi"}], "*", 
      RowBox[{"TempCloud", "/", "mAssSr"}], "*", "kBOverAu"}], "]"}], " ", 
    "*", 
    RowBox[{"4.", "/", 
     RowBox[{"Sqrt", "[", "2.", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velReservoir", " ", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"2.", "/", "Pi"}], "*", 
      RowBox[{"TempReservoir", "/", "mAssSr"}], "*", "kBOverAu"}], "]"}], " ",
     "*", 
    RowBox[{"4.", "/", 
     RowBox[{"Sqrt", "[", "2.", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"velMax", " ", "=", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"2.", "/", "Pi"}], "*", 
       RowBox[{"TempReservoirMax", "/", "mAssSr"}], "*", "kBOverAu"}], "]"}], 
     " ", "*", 
     RowBox[{"4.", "/", 
      RowBox[{"Sqrt", "[", "2.", "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]", " ", "=", " ", 
    RowBox[{"8", "*", "Pi", "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"aScat", "*", "aB"}], ")"}], "^", "2"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]CollBEC", " ", "=", " ", 
    RowBox[{"n0BEC", " ", "*", "  ", 
     RowBox[{"\[Sigma]", "/", "2"}], "*", " ", "velMin"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]CollDimpleAv", " ", "=", " ", 
   RowBox[{
    RowBox[{"n0ThDimple", "/", "2"}], " ", "*", "  ", "\[Sigma]", "*", " ", 
    "velMin"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]CollDimpleToBEC", " ", "=", " ", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "n0ThDimple", "*", "n0BEC"}], "]"}], " ", "*", "  ", 
     "\[Sigma]", "*", " ", "velMin"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]CollReservoir", " ", "=", " ", 
   RowBox[{
   "n0ThSheetOnly", " ", "*", "  ", "\[Sigma]", "*", " ", "velReservoir"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalGamma]CollReservoirtoDimple", " ", "=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"n0ThSheetOnly", "*", "2", "*", "n0ThDimple"}], "]"}], " ", "*", 
    "  ", "\[Sigma]", "*", " ", "velReservoir"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]CollReservoirtoDimpleMax", " ", "=", " ", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"n0ThSheetOnly", "*", "2", "*", "n0ThDimple"}], "]"}], " ", "*",
      "  ", "\[Sigma]", "*", " ", "velMax"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak collision rate in BEC: \>\"", ",", "\[CapitalGamma]CollBEC", ",", 
   "\"\< /s\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak collision rate between dimple and BEC: \>\"", ",", 
   "\[CapitalGamma]CollDimpleToBEC", ",", "\"\< /s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Average thermalisation rate in dimple: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollDimpleAv", "/", "3"}], ",", "\"\< /s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Peak thermalisation rate in reservoir: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollReservoir", "/", "3"}], ",", "\"\< /s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak thermalisation rate between reservoir and dimple: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollReservoirtoDimple", "/", "3"}], ",", 
   "\"\< /s\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak thermalisation rate between reservoir and dimple for max \
velocity: \>\"", ",", 
   RowBox[{"\[CapitalGamma]CollReservoirtoDimpleMax", "/", "3"}], ",", 
   "\"\< /s\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.795444459183885*^9, 3.795444655489113*^9}, {
  3.7954446880079727`*^9, 3.7954447698856564`*^9}, {3.795444822526667*^9, 
  3.7954448255718412`*^9}, {3.795502595032655*^9, 3.795502629486625*^9}, {
  3.795502696740472*^9, 3.79550304550242*^9}, {3.795503088375872*^9, 
  3.7955031874145365`*^9}, {3.7955032377274146`*^9, 3.795503338798196*^9}, {
  3.795506533689933*^9, 3.7955065338339415`*^9}},
 CellLabel->
  "In[743]:=",ExpressionUUID->"6ca94500-0776-44e7-abcb-31acec7e4a22"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak collision rate in BEC: \"\>", "\[InvisibleSpace]", 
   "24985.027571823048`", "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm["Peak collision rate in BEC: ", 24985.027571823048`, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506535375029*^9, 3.826619595794923*^9, 
  3.826620716921465*^9},
 CellLabel->
  "During evaluation of \
In[743]:=",ExpressionUUID->"5de6aab7-50b1-4843-9111-cc3d1688351a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak collision rate between dimple and BEC: \"\>", 
   "\[InvisibleSpace]", "13767.02195483486`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak collision rate between dimple and BEC: ", 13767.02195483486, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506535375029*^9, 3.826619595794923*^9, 
  3.8266207169244633`*^9},
 CellLabel->
  "During evaluation of \
In[743]:=",ExpressionUUID->"e756ab7f-922f-4c2e-bab4-7765bf663002"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Average thermalisation rate in dimple: \"\>", 
   "\[InvisibleSpace]", "316.0741183896223`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Average thermalisation rate in dimple: ", 316.0741183896223, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506535375029*^9, 3.826619595794923*^9, 
  3.8266207169254627`*^9},
 CellLabel->
  "During evaluation of \
In[743]:=",ExpressionUUID->"7a457f77-51c8-4e75-9eba-dab2b6cabf99"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak thermalisation rate in reservoir: \"\>", 
   "\[InvisibleSpace]", "43.03227747710585`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak thermalisation rate in reservoir: ", 43.03227747710585, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506535375029*^9, 3.826619595794923*^9, 
  3.826620716927461*^9},
 CellLabel->
  "During evaluation of \
In[743]:=",ExpressionUUID->"951434a1-6b59-4520-a866-31292f7e0efd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak thermalisation rate between reservoir and dimple: \"\>", 
   "\[InvisibleSpace]", "242.5147313543426`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak thermalisation rate between reservoir and dimple: ", 
   242.5147313543426, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506535375029*^9, 3.826619595794923*^9, 
  3.826620716928461*^9},
 CellLabel->
  "During evaluation of \
In[743]:=",ExpressionUUID->"6260e10e-25a2-4ab1-aeff-b5d58e212b8f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak thermalisation rate between reservoir and dimple for max \
velocity: \"\>", "\[InvisibleSpace]", "372.1795547956502`", 
   "\[InvisibleSpace]", "\<\" /s\"\>"}],
  SequenceForm[
  "Peak thermalisation rate between reservoir and dimple for max velocity: ", 
   372.1795547956502, " /s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.795506535375029*^9, 3.826619595794923*^9, 
  3.82662071692946*^9},
 CellLabel->
  "During evaluation of \
In[743]:=",ExpressionUUID->"1f52cf80-be09-44ca-a183-94a61aedb6ae"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Calibration of results with Innsbruck experiment", "Section",
 CellChangeTimes->{{3.721657938130308*^9, 3.721657962491701*^9}, {
  3.781243177526231*^9, 3.7812431817364717`*^9}, {3.7954415066110077`*^9, 
  3.7954415107962465`*^9}, {3.795441701735168*^9, 
  3.7954417020581865`*^9}},ExpressionUUID->"33377513-f13b-4de5-811b-\
fa781d7ec443"],

Cell[CellGroupData[{

Cell["Input parameters", "Subsection",
 CellChangeTimes->{{3.720181220017393*^9, 3.7201812301199703`*^9}, {
  3.7812432431539845`*^9, 
  3.7812432476842437`*^9}},ExpressionUUID->"3a07be48-c557-40b2-8a6f-\
9e46011165a9"],

Cell[CellGroupData[{

Cell["DT parameters", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 
  3.6822405592526093`*^9}},ExpressionUUID->"67d8a1a8-4854-4e07-ba6a-\
02902ef455f4"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]DipIPG", " ", "=", " ", 
   RowBox[{"1064.8", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]DipVerdi", " ", "=", " ", 
   RowBox[{"532.", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarVerdiSr", " ", "=", " ", "752.3"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xOffset", " ", "=", " ", 
   RowBox[{"0.", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yOffset", " ", "=", 
   RowBox[{"0.", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zOffset", " ", "=", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "7", " ", "W", " ", "at", " ", "the", " ", "smallest", " ", "for", " ", 
     RowBox[{"transport", " ", "/", " ", "10"}], " ", "W", " ", "half", " ", 
     "flux"}], " ", "//", " ", 
    RowBox[{
     RowBox[{"-", "10"}], "db", " ", "670", 
     RowBox[{"mW", " ", "/", " ", 
      RowBox[{"-", "7"}]}], "dB", " ", "1062", "mW"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]Tab", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]Tab", " ", "=", 
   RowBox[{"{", 
    RowBox[{
    "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
     "\[Alpha]PolarIPGSr"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MsquaredTab", " ", "=", 
   RowBox[{"{", 
    RowBox[{"1.", ",", "1.", ",", "1."}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTab", "=", 
    RowBox[{"{", 
     RowBox[{"0.743", ",", "1.748", ",", "0.0396"}], "}"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WaistXTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"297.", ",", "17.3", ",", "22.4"}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WaistYTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"297.", ",", "298", ",", "22.4"}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Theta]Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "90.", ",", "0."}], "}"}], "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"90.", ",", "0.", ",", "90."}], "}"}], "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"X0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Y0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Z0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "3"}], ")"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.719734073769492*^9, 3.7197341228395596`*^9}, {3.7197341865133104`*^9, 
   3.7197342789691334`*^9}, {3.7197343148477635`*^9, 3.719734336700366*^9}, {
   3.7197343764349933`*^9, 3.7197344120350423`*^9}, {3.7197344514142857`*^9, 
   3.71973448305433*^9}, {3.7197361695534525`*^9, 3.71973652993395*^9}, {
   3.7197367287202907`*^9, 3.719736825700424*^9}, {3.719736863871477*^9, 
   3.7197368791314983`*^9}, {3.7197369247040195`*^9, 
   3.7197370245241575`*^9}, {3.719737184228448*^9, 3.7197371935384607`*^9}, {
   3.7197372908300533`*^9, 3.719737365114664*^9}, {3.719737398126776*^9, 
   3.7197374618533916`*^9}, {3.719737517591997*^9, 3.7197375178019977`*^9}, {
   3.719737585322091*^9, 3.7197376399442005`*^9}, {3.7197376841172633`*^9, 
   3.7197376898272715`*^9}, {3.7197377431993933`*^9, 3.719737889667735*^9}, {
   3.719737927819822*^9, 3.7197379435098433`*^9}, {3.7197380047919617`*^9, 
   3.7197380477640553`*^9}, {3.719738224646333*^9, 3.719738225226334*^9}, {
   3.719739819974985*^9, 3.7197398206549854`*^9}, {3.719739887487097*^9, 
   3.7197398877670975`*^9}, {3.7197400449833655`*^9, 3.719740045333366*^9}, {
   3.719740312335746*^9, 3.719740312475746*^9}, {3.7197403835278645`*^9, 
   3.7197403850878663`*^9}, {3.719821996481608*^9, 3.719822001997924*^9}, {
   3.7198220621013613`*^9, 3.7198220657915726`*^9}, {3.719822105493843*^9, 
   3.719822109667082*^9}, {3.719822161757061*^9, 3.719822166407327*^9}, {
   3.719822208055709*^9, 3.7198222117679214`*^9}, {3.7198237503968167`*^9, 
   3.7198237509768176`*^9}, {3.7198237831788635`*^9, 
   3.7198237898588724`*^9}, {3.7198239502711134`*^9, 
   3.7198239509111147`*^9}, {3.7198241242633643`*^9, 3.719824153265425*^9}, {
   3.719824211517519*^9, 3.719824252869594*^9}, {3.7198242873516583`*^9, 
   3.7198243196737204`*^9}, {3.719837823583614*^9, 3.7198378987177553`*^9}, {
   3.7198379468598375`*^9, 3.719837947929839*^9}, {3.719837995351921*^9, 
   3.719837996601923*^9}, {3.7198380967420607`*^9, 3.7198380970420613`*^9}, {
   3.7198382877323246`*^9, 3.719838289962328*^9}, {3.7198384641025677`*^9, 
   3.7198384643025684`*^9}, {3.719838531044673*^9, 3.719838531554674*^9}, {
   3.719838619129826*^9, 3.719838619309826*^9}, 3.719838684291926*^9, 
   3.7198387330140142`*^9, {3.7198387736260843`*^9, 3.719838774556086*^9}, {
   3.7198388554882135`*^9, 3.7198388563582144`*^9}, {3.719838902520297*^9, 
   3.7198389032202983`*^9}, {3.719838986942433*^9, 3.719838987212433*^9}, {
   3.7198391303526306`*^9, 3.719839131262632*^9}, {3.719840417788425*^9, 
   3.71984049419853*^9}, {3.7198406187707143`*^9, 3.719840619910716*^9}, {
   3.719905054109453*^9, 3.7199050737994804`*^9}, {3.7199060923484554`*^9, 
   3.719906100058466*^9}, {3.7199061624505644`*^9, 3.719906163720566*^9}, {
   3.719906196412629*^9, 3.719906197752631*^9}, {3.7199063525548563`*^9, 
   3.7199063530148563`*^9}, {3.7199064525380077`*^9, 3.719906462448022*^9}, {
   3.719922144132188*^9, 3.7199221493821955`*^9}, {3.7199221815242577`*^9, 
   3.7199222077563066`*^9}, {3.7199222404183645`*^9, 
   3.7199222409083652`*^9}, {3.7199223100624876`*^9, 3.719922310582488*^9}, {
   3.719922357614565*^9, 3.7199223578045654`*^9}, {3.71992239366663*^9, 
   3.71992239405663*^9}, {3.7199224355186987`*^9, 3.7199224358386993`*^9}, {
   3.719922469890757*^9, 3.7199224707307587`*^9}, {3.719922530632856*^9, 
   3.7199225322328587`*^9}, {3.7201606252342777`*^9, 3.720160628840484*^9}, {
   3.7201730442847676`*^9, 3.7201730451358166`*^9}, {3.720173190240116*^9, 
   3.7201731993096347`*^9}, {3.720173247575395*^9, 3.7201732477894077`*^9}, 
   3.720173285526566*^9, {3.720173320860587*^9, 3.7201733234547353`*^9}, {
   3.720173364994111*^9, 3.7201733672892427`*^9}, {3.7201734215763474`*^9, 
   3.720173427280674*^9}, {3.720173470132125*^9, 3.720173472943286*^9}, {
   3.720173566256623*^9, 3.72017356655764*^9}, {3.720173683311318*^9, 
   3.720173684201369*^9}, 3.7201741942425413`*^9, {3.7201742531269093`*^9, 
   3.720174253699942*^9}, {3.7201742940902524`*^9, 3.72017431712457*^9}, {
   3.7201758083938656`*^9, 3.7201758099729557`*^9}, {3.720180328271388*^9, 
   3.720180328585406*^9}, {3.7201806002729454`*^9, 3.7201806007049704`*^9}, 
   3.72018140949223*^9, {3.720181724486247*^9, 3.720181724597253*^9}, 
   3.7201818653313026`*^9, {3.7201821144325504`*^9, 3.7201821148715754`*^9}, {
   3.7201822608799267`*^9, 3.7201822611589427`*^9}, 3.720182378003626*^9, {
   3.72018247808335*^9, 3.720182478925398*^9}, {3.720182547301309*^9, 
   3.720182547962347*^9}, 3.720182654228425*^9, {3.7201828061421137`*^9, 
   3.720182807422187*^9}, {3.720183360003793*^9, 3.7201833604458184`*^9}, {
   3.720183414743924*^9, 3.7201834150529413`*^9}, {3.7201848613202066`*^9, 
   3.7201849357254624`*^9}, {3.72018496715226*^9, 3.720184976040768*^9}, {
   3.72018500649151*^9, 3.7201850570264006`*^9}, {3.7201850970656905`*^9, 
   3.7201850989948006`*^9}, {3.7201851572601333`*^9, 3.720185159441258*^9}, {
   3.7201852260940704`*^9, 3.720185226629101*^9}, {3.7201852616201024`*^9, 
   3.7201852635282116`*^9}, {3.720185341325661*^9, 3.7201853751045933`*^9}, {
   3.7201854524520173`*^9, 3.720185456458246*^9}, {3.720185852238884*^9, 
   3.720185854181995*^9}, {3.720185884528731*^9, 3.720185890064047*^9}, {
   3.720185981268264*^9, 3.720185981762292*^9}, {3.720186411158852*^9, 
   3.7201864115118723`*^9}, {3.7201865075153637`*^9, 3.720186526702461*^9}, {
   3.7201866649373674`*^9, 3.720186735660413*^9}, {3.720186917196796*^9, 
   3.720186919614934*^9}, {3.720186951679768*^9, 3.7201870534245872`*^9}, {
   3.720187088828613*^9, 3.720187102890417*^9}, {3.720187190237413*^9, 
   3.7201872672848196`*^9}, {3.7201873194828053`*^9, 
   3.7201873362667656`*^9}, {3.7201873976742773`*^9, 
   3.7201874140382137`*^9}, {3.720187462436982*^9, 3.7201874646341076`*^9}, {
   3.720187511310777*^9, 3.7201875163470654`*^9}, {3.7201876386170588`*^9, 
   3.7201876576211457`*^9}, {3.7201876933631897`*^9, 
   3.7201876984614816`*^9}, {3.720187743972085*^9, 3.72018774475513*^9}, {
   3.7201879895351305`*^9, 3.720187997171567*^9}, {3.720188283798961*^9, 
   3.72018833972616*^9}, {3.7201886960805426`*^9, 3.720188729831473*^9}, {
   3.7201900034323187`*^9, 3.7201900099566917`*^9}, {3.72024544489887*^9, 
   3.7202454753026094`*^9}, {3.7202455655027685`*^9, 
   3.7202455680619144`*^9}, {3.7202456150726037`*^9, 
   3.7202456155406303`*^9}, {3.720245658944113*^9, 3.72024566379139*^9}, {
   3.7202456939011126`*^9, 3.720245694157127*^9}, {3.720245886740142*^9, 
   3.720245888816261*^9}, {3.720245952024876*^9, 3.7202459609863887`*^9}, {
   3.7202462358368483`*^9, 3.7202462416468563`*^9}, {3.7202462956109676`*^9, 
   3.720246298710972*^9}, {3.720246406543135*^9, 3.72024641008314*^9}, 
   3.720246643135479*^9, {3.7202467104675894`*^9, 3.7202467408176312`*^9}, {
   3.720246788287697*^9, 3.720246788477697*^9}, {3.720246831309776*^9, 
   3.720246881871866*^9}, {3.720249855124486*^9, 3.7202498722445097`*^9}, {
   3.7202499266066027`*^9, 3.7202499267666025`*^9}, {3.720249979878691*^9, 
   3.720249980178692*^9}, {3.720250039650789*^9, 3.720250039980789*^9}, {
   3.72025009069287*^9, 3.7202500933228736`*^9}, {3.7202502108570633`*^9, 
   3.720250224367082*^9}, {3.7202502749691715`*^9, 3.720250308879218*^9}, {
   3.720250408659356*^9, 3.7202504090493565`*^9}, {3.7202504392093983`*^9, 
   3.7202504583794246`*^9}, {3.7202505265815353`*^9, 
   3.7202505320615425`*^9}, {3.7202505913636446`*^9, 3.720250605963665*^9}, {
   3.7202507560158863`*^9, 3.7202507662659006`*^9}, {3.7202508056259546`*^9, 
   3.7202508370759983`*^9}, {3.7202508860580816`*^9, 
   3.7202508870980835`*^9}, {3.7202690803201017`*^9, 3.720269087170111*^9}, {
   3.720270034685447*^9, 3.72027003670545*^9}, {3.7202700716575155`*^9, 
   3.7202700782675247`*^9}, {3.7202701196195974`*^9, 
   3.7202701223796005`*^9}, {3.7202740675530834`*^9, 
   3.7202740680330844`*^9}, {3.720276648361673*^9, 3.7202766586116867`*^9}, {
   3.720276812983918*^9, 3.7202768167539234`*^9}, {3.7202815621345186`*^9, 
   3.720281562774519*^9}, {3.720281662286667*^9, 3.7202816626866674`*^9}, {
   3.720281710328745*^9, 3.7202817154587517`*^9}, {3.7207791762553525`*^9, 
   3.7207791862653666`*^9}, 3.720781067202996*^9, 3.7207810990060587`*^9, 
   3.7207811677301674`*^9, {3.721128157070932*^9, 3.721128195819148*^9}, {
   3.721128248279149*^9, 3.721128254961531*^9}, {3.7211282913126106`*^9, 
   3.721128292862699*^9}, {3.721128779887555*^9, 3.721128780029563*^9}, {
   3.721129757507472*^9, 3.721129790841378*^9}, {3.721130293308118*^9, 
   3.7211302953942375`*^9}, {3.7211303824512167`*^9, 3.721130382846239*^9}, 
   3.721130449387045*^9, 3.7211305112905855`*^9, {3.721130582994687*^9, 
   3.7211305889670286`*^9}, {3.721137585980235*^9, 3.721137590984521*^9}, {
   3.72138433762089*^9, 3.721384365044459*^9}, {3.72138446857238*^9, 
   3.7213844734666605`*^9}, 3.7214566882425437`*^9, {3.7214567641198835`*^9, 
   3.7214567645769095`*^9}, 3.721485717648896*^9, {3.72148596923489*^9, 
   3.721485999667631*^9}, 3.7214864469942164`*^9, 3.721487139612832*^9, 
   3.721487360555469*^9, {3.721487403498925*^9, 3.7214874269062643`*^9}, {
   3.721489159766378*^9, 3.72148923830087*^9}, 3.7214894079405727`*^9, {
   3.721494619480902*^9, 3.72149464495243*^9}, {3.7215764359042506`*^9, 
   3.721576456089405*^9}, {3.721576514209729*^9, 3.721576524058293*^9}, {
   3.721576862167631*^9, 3.7215769379309645`*^9}, {3.7215806227807436`*^9, 
   3.721580628194953*^9}, {3.7215808491452017`*^9, 3.7215808561464157`*^9}, {
   3.7215809279677477`*^9, 3.721580930493353*^9}, {3.7215809780816402`*^9, 
   3.7215810901650476`*^9}, {3.7215816241029406`*^9, 3.721581625445543*^9}, {
   3.721631047917037*^9, 3.721631064414336*^9}, {3.721657873684622*^9, 
   3.721657916823089*^9}, {3.750685294502102*^9, 3.7506853139022117`*^9}, {
   3.7789363888513436`*^9, 3.778936394522668*^9}, {3.7954389322927647`*^9, 
   3.795438942443345*^9}},
 CellLabel->
  "In[760]:=",ExpressionUUID->"ce01712b-47e4-4edc-a860-0ea7b6fae7d2"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Atomic cloud parameters", "Item",
 CellChangeTimes->{{3.670601207082728*^9, 3.670601214202738*^9}, {
  3.682245787232095*^9, 
  3.6822458075121226`*^9}},ExpressionUUID->"e1ab07e3-ef79-4ca7-b4ca-\
f93d4294b0e0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"mAssSr", " ", "=", "  ", 
    RowBox[{"mSr84", "/", "au"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "au"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aScat", " ", "=", " ", 
    RowBox[{"a1S0iso84", " ", "/", "aB"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Innsbruck", " ", "experiment"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TempCloud", " ", "=", 
    RowBox[{"0.944", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "K"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NatBECTest", " ", "=", " ", 
    RowBox[{"1.11", "*", 
     RowBox[{"10", "^", "5."}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"calculation", " ", "boundaries"}], ",", " ", 
    RowBox[{
    "usually", " ", "no", " ", "need", " ", "to", " ", "change", " ", 
     "them"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xMaxBEC", "=", " ", 
    RowBox[{"15.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yMaxBEC", "=", 
    RowBox[{"13.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zMaxBEC", " ", "=", " ", 
    RowBox[{"15.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xMaxTh", " ", "=", " ", 
    RowBox[{"500.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yMaxTh", " ", "=", " ", 
    RowBox[{"17.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zMaxTh", " ", "=", " ", 
    RowBox[{"700.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6705060134472785`*^9, 3.6705063316287174`*^9}, {
   3.6705063744487767`*^9, 3.6705064550088882`*^9}, {3.6705064915209384`*^9, 
   3.6705066804911995`*^9}, {3.6705067293012667`*^9, 
   3.6705067436812863`*^9}, {3.6705067859413447`*^9, 
   3.6705069103915167`*^9}, {3.670506994671633*^9, 3.670507004841647*^9}, {
   3.6705070450017023`*^9, 3.6705070570017185`*^9}, {3.670507155592855*^9, 
   3.6705072480429826`*^9}, {3.6705073453731165`*^9, 
   3.6705074762032976`*^9}, {3.6705075128933477`*^9, 
   3.6705075464433947`*^9}, {3.6705076435935287`*^9, 3.670507732093651*^9}, {
   3.6705077943837366`*^9, 3.67050780425375*^9}, {3.670507841103801*^9, 
   3.67050785488382*^9}, {3.6705078886138663`*^9, 3.670508298995433*^9}, {
   3.670508350655504*^9, 3.6705083639855223`*^9}, {3.6705084949957037`*^9, 
   3.6705085146357307`*^9}, {3.670508578955819*^9, 3.67050857974582*^9}, {
   3.6705086805159597`*^9, 3.670508683825964*^9}, {3.6705087410160427`*^9, 
   3.6705087421260443`*^9}, {3.670573259870878*^9, 3.670573260580879*^9}, {
   3.670573799502623*^9, 3.6705738439226847`*^9}, 3.670573964732851*^9, {
   3.670574161783123*^9, 3.670574173363139*^9}, {3.6705807735689363`*^9, 
   3.670580876689079*^9}, {3.670582695557665*^9, 3.6705827393377256`*^9}, {
   3.6705829178889723`*^9, 3.6705830030990896`*^9}, {3.670583037049136*^9, 
   3.6705830517691565`*^9}, {3.6705832267993984`*^9, 3.670583231519405*^9}, {
   3.670583317249523*^9, 3.670583320369528*^9}, {3.6705834934607663`*^9, 
   3.6705835058607836`*^9}, {3.670583790251176*^9, 3.6705838326412344`*^9}, {
   3.670590191043731*^9, 3.6705902075337543`*^9}, {3.670598515862998*^9, 
   3.6705985291030164`*^9}, {3.6705986458441772`*^9, 3.670598648004181*^9}, {
   3.670599387396201*^9, 3.670599390976206*^9}, 3.6706000391371145`*^9, {
   3.6706001227672305`*^9, 3.670600123187231*^9}, {3.6706008937622957`*^9, 
   3.670600894082296*^9}, {3.6706011683326745`*^9, 3.670601184712697*^9}, {
   3.6706014644630833`*^9, 3.67060149128312*^9}, {3.6706016133252897`*^9, 
   3.6706017087674227`*^9}, {3.67060178660853*^9, 3.670601786898531*^9}, {
   3.670602023529857*^9, 3.6706020296098657`*^9}, {3.681796547646595*^9, 
   3.68179656731472*^9}, {3.681797131609996*^9, 3.6817971388794117`*^9}, {
   3.6817972567821555`*^9, 3.681797331213413*^9}, {3.681797368280533*^9, 
   3.6817974673552*^9}, {3.6817975085815573`*^9, 3.6817976178398066`*^9}, {
   3.681797659052164*^9, 3.681797812867962*^9}, {3.6817978757445583`*^9, 
   3.6817978793017616`*^9}, {3.681807018798511*^9, 3.681807042754881*^9}, {
   3.681807083724224*^9, 3.681807111816831*^9}, {3.681807143248629*^9, 
   3.681807150640052*^9}, {3.681807344880162*^9, 3.6818074633809395`*^9}, {
   3.681807508964547*^9, 3.681807615773656*^9}, {3.681807715169341*^9, 
   3.6818077306652274`*^9}, {3.681807852271183*^9, 3.6818079106415215`*^9}, 
   3.68180801814267*^9, {3.681808274467331*^9, 3.681808274658342*^9}, 
   3.681808307765236*^9, {3.6818084611120067`*^9, 3.6818084717686157`*^9}, {
   3.681808582119928*^9, 3.681808583852027*^9}, {3.6818105383788195`*^9, 
   3.681810538846846*^9}, {3.681810620697528*^9, 3.6818106219806013`*^9}, {
   3.6818106952397914`*^9, 3.6818107028912287`*^9}, {3.6818107968846054`*^9, 
   3.681810797284628*^9}, {3.6818109962380075`*^9, 3.681811026996767*^9}, 
   3.6818119686246247`*^9, {3.6818129889259825`*^9, 3.681812990653082*^9}, 
   3.681816711875923*^9, 3.6818177996871424`*^9, 3.68181794738059*^9, {
   3.6818179854647684`*^9, 3.6818179867998447`*^9}, {3.681820529102256*^9, 
   3.681820547859329*^9}, {3.681820580440192*^9, 3.6818206410246572`*^9}, {
   3.681820690053462*^9, 3.681820721388254*^9}, {3.681821022415472*^9, 
   3.681821043671688*^9}, {3.6818211259833956`*^9, 3.681821150269785*^9}, {
   3.6818212009416833`*^9, 3.6818212011406946`*^9}, {3.681824335980997*^9, 
   3.6818243369340515`*^9}, 3.6818244684665747`*^9, {3.6818245149492335`*^9, 
   3.6818245506302743`*^9}, {3.681825864488423*^9, 3.681825899984453*^9}, {
   3.6818259826361804`*^9, 3.6818259908306494`*^9}, {3.6818260275877514`*^9, 
   3.6818260287698193`*^9}, 3.6818280916898117`*^9, {3.6818288250697584`*^9, 
   3.681828827328888*^9}, 3.6818290074781914`*^9, {3.681829062977366*^9, 
   3.681829070411791*^9}, {3.6818293416073027`*^9, 3.6818293627585125`*^9}, {
   3.681829454208743*^9, 3.681829477492075*^9}, {3.681829613048828*^9, 
   3.6818296146449194`*^9}, {3.6822462620947514`*^9, 
   3.6822464538750157`*^9}, {3.682246591646206*^9, 3.682246591816206*^9}, {
   3.6822474960034723`*^9, 3.682247513623496*^9}, {3.682247582903592*^9, 
   3.6822475928536053`*^9}, {3.6822478770090003`*^9, 
   3.6822478820490074`*^9}, {3.685010030523532*^9, 3.68501009621929*^9}, {
   3.685014872111455*^9, 3.6850148730475087`*^9}, {3.6850164266803713`*^9, 
   3.6850164585361934`*^9}, {3.6855557250394945`*^9, 
   3.6855557549752064`*^9}, {3.6855558013118567`*^9, 
   3.6855558437682853`*^9}, {3.6855558870157585`*^9, 3.685555890903981*^9}, {
   3.6855559436719995`*^9, 3.6855559714955907`*^9}, {3.685556075104517*^9, 
   3.685556089167321*^9}, 3.6855561455435457`*^9, {3.6855561905291185`*^9, 
   3.6855561932312737`*^9}, {3.6855562510345793`*^9, 3.6855562640403233`*^9}, 
   3.6855563550725303`*^9, 3.6855568176889906`*^9, {3.68573287729165*^9, 
   3.6857329090194645`*^9}, {3.68573300300384*^9, 3.685733003683879*^9}, {
   3.6857331369315*^9, 3.6857331382275743`*^9}, {3.685733202180232*^9, 
   3.6857332028912725`*^9}, {3.6857332388833313`*^9, 
   3.6857332399873943`*^9}, {3.685733317099805*^9, 3.6857333178278465`*^9}, 
   3.685733413940344*^9, 3.6857334529315743`*^9, {3.6857334881165867`*^9, 
   3.6857334889876366`*^9}, {3.6859578096957517`*^9, 
   3.6859578106257524`*^9}, {3.704200696130089*^9, 3.704200698570092*^9}, {
   3.7042007723602085`*^9, 3.7042007731602097`*^9}, {3.7042008289802866`*^9, 
   3.704200917850409*^9}, {3.7042009501024733`*^9, 3.704200952212476*^9}, {
   3.7201755125559444`*^9, 3.7201755140330296`*^9}, {3.720175564314905*^9, 
   3.720175591389454*^9}, {3.720175642783393*^9, 3.720175643107412*^9}, {
   3.7201757938260326`*^9, 3.7201757941750526`*^9}, {3.7201758461130233`*^9, 
   3.7201758476561112`*^9}, 3.7201766222334146`*^9, {3.7201767201350145`*^9, 
   3.7201767212770796`*^9}, {3.720177128742385*^9, 3.7201771292504144`*^9}, {
   3.7201789623262606`*^9, 3.720178972006814*^9}, {3.7201798346011515`*^9, 
   3.7201798424526005`*^9}, {3.720179890473347*^9, 3.7201798925454655`*^9}, {
   3.720180344477315*^9, 3.7201803454193687`*^9}, {3.7201807028648133`*^9, 
   3.7201807046289144`*^9}, {3.7201808673092194`*^9, 
   3.7201808683202767`*^9}, {3.720180988405145*^9, 3.720180990220249*^9}, {
   3.720181185125397*^9, 3.7201811866854863`*^9}, {3.7201813275725446`*^9, 
   3.72018132784156*^9}, 3.720181932156125*^9, 3.7201822640471077`*^9, 
   3.7201824745211463`*^9, 3.720182804792037*^9, {3.7201849637070627`*^9, 
   3.720184964101085*^9}, 3.7201854708680706`*^9, {3.7211286601607075`*^9, 
   3.7211286604147215`*^9}, {3.7211337024261084`*^9, 3.721133702750127*^9}, 
   3.721137579847884*^9, {3.721379286480474*^9, 3.721379286750474*^9}, {
   3.7213793450515547`*^9, 3.7213793483415594`*^9}, {3.721384481819138*^9, 
   3.7213844833462253`*^9}, {3.721384538867401*^9, 3.721384543786682*^9}, {
   3.7213845760175257`*^9, 3.721384585865089*^9}, {3.7213846220261574`*^9, 
   3.72138462381726*^9}, {3.7213846760572476`*^9, 3.7213846769292974`*^9}, {
   3.721384743289093*^9, 3.7213847474403305`*^9}, {3.721386762107337*^9, 
   3.7213867790573063`*^9}, {3.72138700168904*^9, 3.721387008903453*^9}, {
   3.7214670579431496`*^9, 3.721467062934435*^9}, 3.7214856658705573`*^9, {
   3.7214859763872995`*^9, 3.7214859797394905`*^9}, {3.7214870769562483`*^9, 
   3.721487104522825*^9}, 3.72148734204241*^9, 3.721487449937581*^9, 
   3.7214874986563683`*^9, {3.7214875905926266`*^9, 3.7214876246735754`*^9}, {
   3.7214881181398*^9, 3.721488132531624*^9}, {3.721489100463986*^9, 
   3.7214891046052227`*^9}, 3.7214892551088314`*^9, {3.721546352188744*^9, 
   3.721546391259979*^9}, {3.721549009718418*^9, 3.7215490214418497`*^9}, 
   3.72154922985345*^9, {3.7215553600231857`*^9, 3.7215553627373924`*^9}, {
   3.7215769527418118`*^9, 3.7215769661575794`*^9}, {3.721580537983374*^9, 
   3.7215805407933793`*^9}, {3.7215808785478573`*^9, 
   3.7215808863286715`*^9}, {3.7215812264577065`*^9, 3.721581231604518*^9}, {
   3.7215813172904806`*^9, 3.7215813380225205`*^9}, {3.721581508508638*^9, 
   3.721581518970657*^9}, {3.72158155203812*^9, 3.7215816084078684`*^9}, {
   3.7215822265764112`*^9, 3.721582230456633*^9}, {3.7215822899530363`*^9, 
   3.721582290104045*^9}, {3.7215836899177103`*^9, 3.721583690925768*^9}, 
   3.721583758743647*^9, {3.721631034405193*^9, 3.7216310405299*^9}, {
   3.7216310828974514`*^9, 3.721631084731888*^9}, {3.7216331859399176`*^9, 
   3.7216332418981185`*^9}, {3.7216332736829367`*^9, 3.721633275859061*^9}, {
   3.721635244477659*^9, 3.721635245516719*^9}, {3.721635280830739*^9, 
   3.7216353314116316`*^9}, 3.7216517987929225`*^9, {3.7216518854088764`*^9, 
   3.7216519380468874`*^9}, {3.72165202639194*^9, 3.721652083278194*^9}, 
   3.7216521260156384`*^9, {3.721652165086873*^9, 3.721652165324887*^9}, {
   3.721652271309949*^9, 3.72165231976472*^9}, {3.7216523524375887`*^9, 
   3.721652352644601*^9}, {3.721652450397192*^9, 3.7216524715083995`*^9}, {
   3.721652526492544*^9, 3.721652526643553*^9}, {3.7216526905949306`*^9, 
   3.7216526910579567`*^9}, {3.721652734842461*^9, 3.721652735377492*^9}, {
   3.7216528234585295`*^9, 3.721652823953558*^9}, {3.721653283814861*^9, 
   3.721653299117736*^9}, 3.7216563206897955`*^9, 3.7216565295607424`*^9, 
   3.7216569405092473`*^9, 3.7216571111480074`*^9, {3.7216571666191797`*^9, 
   3.721657166819192*^9}, {3.721657205099381*^9, 3.721657205193386*^9}, 
   3.7216573151136737`*^9, {3.721657346210452*^9, 3.721657346537471*^9}, {
   3.7216573824745264`*^9, 3.7216574126732535`*^9}, {3.7216576267284966`*^9, 
   3.721657626871505*^9}, {3.7216577004157114`*^9, 3.721657700543719*^9}, {
   3.7216578682783127`*^9, 3.721657889128505*^9}, {3.7954415311354103`*^9, 
   3.7954415425600634`*^9}},
 CellLabel->
  "In[778]:=",ExpressionUUID->"ca98a7d5-a6eb-4ac5-b3d5-12d365dc47e2"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Display DT potential", "Item",
 CellChangeTimes->{{3.750746832403555*^9, 3.750746845568308*^9}, {
  3.7507472053488865`*^9, 
  3.7507472064959517`*^9}},ExpressionUUID->"98d8c45d-d083-40b2-b8b7-\
64e169f081c2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITab", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTab", ",", "WaistXTab", ",", "WaistYTab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTab", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITab", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighXTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistXTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighYTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistYTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTab", ",", "WaistXTab", ",", "WaistYTab", ",", "ZRayleighXTab", 
       ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", "\[Phi]Tab", ",", 
       "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", " ", 
     RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
    RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
     RowBox[{
     "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTab", ",", "mAssSr"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gSaggSrNum", " ", "=", " ", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"gSaggSrNum", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
       ",", 
       RowBox[{"{", "1", "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]X", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{
               RowBox[{"xx", "+", "xOffset"}], ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], 
              "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"xx", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"xx", "->", 
            RowBox[{"(", "X", ")"}]}]}], ")"}], "/.", 
         RowBox[{"X", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Y", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"yy", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"yy", "->", 
            RowBox[{"(", "Y", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Y", "\[Rule]", "gSaggSrNum"}]}], ")"}], " ", "/", 
       "mAssSr"}], "]"}], "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Z", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", 
               RowBox[{"zz", "+", "zOffset"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"zz", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"zz", "->", 
            RowBox[{"(", "Z", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Z", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]IsoDT", " ", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]X", "*", "\[Omega]Y", "*", "\[Omega]Z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aHODTiso", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"1.", "/", " ", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "\[Omega]IsoDT"}], ")"}]}], "*", 
      "hbarreOverAu"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDepth", "=", 
   RowBox[{"XYZDipPotFun", "[", 
    RowBox[{"xOffset", ",", 
     RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TrapEdgeByGrav", "=", " ", 
   RowBox[{"FindMaximum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", 
         RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0."}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "\[LessEqual]", " ", "yy", 
        "\[LessEqual]", 
        RowBox[{"400.", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"55.", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", " ", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDipTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"TrapEdgeByGrav", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PosTrapEdgeByGrav", " ", "=", " ", 
    RowBox[{"yy", "/.", 
     RowBox[{"TrapEdgeByGrav", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"xx", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
      ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
    RowBox[{"10", "^", "6."}]}], ",", 
   RowBox[{"{", 
    RowBox[{"xx", ",", 
     RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in X axis\>\""}], 
   ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{"xOffset", ",", 
      RowBox[{
       RowBox[{"yy", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", "zOffset"}], 
     "]"}], "*", "ctePlanckOverkB", " ", "*", 
    RowBox[{"10", "^", "6."}]}], ",", 
   RowBox[{"{", 
    RowBox[{"yy", ",", 
     RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Y axis\>\""}], 
   ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{"xOffset", ",", "yOffset", ",", 
       RowBox[{
        RowBox[{"zz", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", 
    RowBox[{"{", 
     RowBox[{"zz", ",", 
      RowBox[{"-", "200"}], ",", "200"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
    RowBox[{
    "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Z axis\>\""}], 
    ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
      "}"}]}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Beam powers: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rayleigh length axis 1: \>\"", " ", ",", 
   RowBox[{"ZRayleighXTab", "*", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Rayleigh length axis 2: \>\"", " ", ",", 
    RowBox[{"ZRayleighYTab", "*", 
     RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]X", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]Y", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
     RowBox[{
      RowBox[{"\[Omega]Z", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Grav sagging: \>\"", " ", ",", 
   RowBox[{"gSaggSrNum", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Absolute potential depth: \>\"", " ", ",", 
   RowBox[{"PotDepth", "*", "ctePlanck", "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Edge of the trap between tranport DT and sheet DT: \>\"", ",", 
     RowBox[{"PosTrapEdgeByGrav", "*", 
      RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Trap depth: \>\"", " ", ",", 
   RowBox[{"UdipTab", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Effective trap depth: \>\"", ",", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"PotDipTrapEdgeByGrav", " ", "-", "PotDepth"}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.7197386048911114`*^9, 3.719738605608152*^9}, {3.719738648634557*^9, 
   3.719738676855596*^9}, {3.719739932359174*^9, 3.7197399377291813`*^9}, {
   3.7197399752412496`*^9, 3.7197399870912657`*^9}, 3.7198221739167566`*^9, {
   3.719823712196764*^9, 3.7198237279767857`*^9}, {3.7198385766077533`*^9, 
   3.7198385783877554`*^9}, {3.7199057240019007`*^9, 3.719905739391922*^9}, {
   3.7199058264440594`*^9, 3.71990583412407*^9}, {3.7199058651741133`*^9, 
   3.7199058719441223`*^9}, {3.719905913506194*^9, 3.7199059152661963`*^9}, 
   3.7199222698204207`*^9, {3.720173300657431*^9, 3.720173337943564*^9}, {
   3.720173722037533*^9, 3.720173742179685*^9}, {3.7201743683204985`*^9, 
   3.72017437254574*^9}, {3.720174482765044*^9, 3.7201744958137903`*^9}, {
   3.7201745402443314`*^9, 3.720174541739417*^9}, {3.7201746186378155`*^9, 
   3.720174668615674*^9}, {3.7201747081059327`*^9, 3.720174725602934*^9}, {
   3.7201747596758823`*^9, 3.720174780074049*^9}, {3.720174854079282*^9, 
   3.7201749148787594`*^9}, {3.720174949256726*^9, 3.7201749757732425`*^9}, {
   3.7201754634941387`*^9, 3.7201754807061234`*^9}, 3.720175598122839*^9, {
   3.7201855281053443`*^9, 3.7201855286313744`*^9}, {3.7201855692646985`*^9, 
   3.7201855724428806`*^9}, {3.720185621443683*^9, 3.7201856630040603`*^9}, {
   3.720185735696218*^9, 3.720185739544438*^9}, {3.720185912814348*^9, 
   3.7201859139234123`*^9}, {3.7202455310867996`*^9, 
   3.7202455323388715`*^9}, {3.7202457217307043`*^9, 
   3.7202458625817604`*^9}, {3.720245916877866*^9, 3.7202459196840262`*^9}, {
   3.7202459868828697`*^9, 3.720245988715975*^9}, {3.7202460767705545`*^9, 
   3.7202460773205557`*^9}, {3.720246107360617*^9, 3.7202461096106205`*^9}, {
   3.720246142012685*^9, 3.720246147742693*^9}, {3.7202461996647835`*^9, 
   3.720246201824786*^9}, {3.72024626607891*^9, 3.7202462667389107`*^9}, {
   3.7202469651740007`*^9, 3.7202470153380957`*^9}, {3.7202470697001905`*^9, 
   3.7202470764601994`*^9}, {3.720250120114921*^9, 3.7202501308849363`*^9}, {
   3.7202505029515023`*^9, 3.7202505060615067`*^9}, {3.7202691420522037`*^9, 
   3.7202691515622168`*^9}, {3.7207799442924137`*^9, 
   3.7207799554324293`*^9}, {3.7207810440109515`*^9, 
   3.7207810454109535`*^9}, {3.7264045192662487`*^9, 
   3.7264045476483073`*^9}, {3.7501623752658863`*^9, 3.750162380690197*^9}, {
   3.7501624362433743`*^9, 3.75016243913054*^9}, {3.7501629648146067`*^9, 
   3.7501629806835146`*^9}, {3.750163037752779*^9, 3.750163041703005*^9}, {
   3.75016322152929*^9, 3.7501632660988393`*^9}, {3.7507472360466423`*^9, 
   3.7507472934519253`*^9}, {3.78124152793388*^9, 3.7812415464759398`*^9}, {
   3.791015401259475*^9, 3.7910154143292227`*^9}, {3.79101548858247*^9, 
   3.7910154900205517`*^9}, {3.79101569611034*^9, 3.7910156977184315`*^9}, {
   3.7910332153287725`*^9, 3.791033219580016*^9}, {3.791034332516672*^9, 
   3.791034378844322*^9}, {3.791893429624709*^9, 3.791893433540933*^9}, {
   3.795439274688349*^9, 3.7954393124695096`*^9}, {3.7954393427302403`*^9, 
   3.7954393429762545`*^9}},
 CellLabel->
  "In[788]:=",ExpressionUUID->"f47d7ceb-e72d-44e3-be8b-bdae79014261"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVlXk41IsXxkVqrrpIsi8TZoYxkbLvWbJrIWUtZOlGljFmaJOiiKyVslZy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        "]], LineBox[CompressedData["
1:eJwVj2k8FOofxZUtrpAkVNZmYYZsCcn8CE0lsuTe0mLNvs+YSVHJlZLKkitR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        "]]},
      Annotation[#, 
       "Charting`Private`Tag$8934982#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, -14.288238690950394`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in X axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795441786274003*^9, 
   3.79544181908488*^9, 3.826619644735478*^9, 3.826620719196308*^9},
 CellLabel->
  "Out[805]=",ExpressionUUID->"195742da-7531-4e9e-bbb6-86bcc0b79856"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVk3k4FHofxUW2GaEZxjIytsSYsmsMmWmRS9mGNMkWZUlui2TJW+EmZnhl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        "]], LineBox[CompressedData["
1:eJwVlnk4lO0Xx4mKFhQeBskymGGyjhmknkMhheymUqrX0ooUShQlbfYSkixZ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        "]]},
      Annotation[#, 
       "Charting`Private`Tag$8937095#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in Y axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795441786274003*^9, 
   3.79544181908488*^9, 3.826619644735478*^9, 3.826620719922473*^9},
 CellLabel->
  "Out[806]=",ExpressionUUID->"5b875958-ec1e-4041-a25a-e0ae6345aa6f"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Xk8Vdv7B3A/CtFNIXOR4ewzIfMxD+eYTimlDJkJR3VLhKsUqVSSuVQU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        "]], LineBox[CompressedData["
1:eJwV0nk41PsXB3BrodCiW5SszXdmTELIMsyZGURhypIkZRlMpiw3pEIpWxeF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        "]]},
      Annotation[#, 
       "Charting`Private`Tag$8939406#1"]& ], {}}, {{}, {}, {}}}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, -14.28876996840225},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in Z axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795441786274003*^9, 
   3.79544181908488*^9, 3.826619644735478*^9, 3.82662072068548*^9},
 CellLabel->
  "Out[807]=",ExpressionUUID->"6da55b63-e496-4f7b-8c7b-7cef7552b0a9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beam powers: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.743`", ",", "1.748`", ",", "0.0396`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["Beam powers: ", {0.743, 1.748, 0.0396}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.82661964500148*^9, 
   3.8266207206888037`*^9},
 CellLabel->
  "During evaluation of \
In[788]:=",ExpressionUUID->"3fed9805-3965-4b79-83a1-f75f8e8294a9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 1: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "260.25239141669994`", ",", "0.883027108652225`", ",", 
     "1.480395877033447`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 1: ", {260.25239141669994`, 0.883027108652225, 
   1.480395877033447}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.82661964500148*^9, 
   3.826620720689803*^9},
 CellLabel->
  "During evaluation of \
In[788]:=",ExpressionUUID->"17d95278-5854-4ff6-97a9-05d5fee8d7f5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 2: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "260.25239141669994`", ",", "262.0078831793651`", ",", 
     "1.480395877033447`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 2: ", {260.25239141669994`, 262.0078831793651, 
   1.480395877033447}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.82661964500148*^9, 
   3.826620720690802*^9},
 CellLabel->
  "During evaluation of \
In[788]:=",ExpressionUUID->"88fcb44f-9442-4268-8f45-43fd6e993409"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]X for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "232.8695507486084`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : ", 
   232.8695507486084, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.82661964500148*^9, 
   3.8266207206928005`*^9},
 CellLabel->
  "During evaluation of \
In[788]:=",ExpressionUUID->"ddef982f-314e-45d8-ba03-cdbbf194e4fe"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Y for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "614.7133752314404`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : ", 
   614.7133752314404, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.82661964500148*^9, 
   3.8266207206938004`*^9},
 CellLabel->
  "During evaluation of \
In[788]:=",ExpressionUUID->"0f56a90c-e3eb-414c-ae7d-21d8622b5ab0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Z for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "230.18183475677768`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : ", 
   230.18183475677768`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.82661964500148*^9, 
   3.8266207206947985`*^9},
 CellLabel->
  "During evaluation of \
In[788]:=",ExpressionUUID->"e9e016d5-0b67-4fbd-af6c-c0188d51ab91"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Grav sagging: \"\>", "\[InvisibleSpace]", 
   "0.6536251978088555`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Grav sagging: ", 0.6536251978088555, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.82661964500148*^9, 
   3.8266207206957965`*^9},
 CellLabel->
  "During evaluation of \
In[788]:=",ExpressionUUID->"0e5b1501-f0b9-4660-84e9-aeac15f449f2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Absolute potential depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "14.321241198438015`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Absolute potential depth: ", -14.321241198438015`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.82661964500148*^9, 
   3.826620720697796*^9},
 CellLabel->
  "During evaluation of \
In[788]:=",ExpressionUUID->"2f468364-8793-4098-a7e7-93228f298277"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Edge of the trap between tranport DT and sheet DT: \"\>", 
   "\[InvisibleSpace]", "23.109856551592706`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Edge of the trap between tranport DT and sheet DT: ", 23.109856551592706`, 
   " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.82661964500148*^9, 
   3.8266207206987953`*^9},
 CellLabel->
  "During evaluation of \
In[788]:=",ExpressionUUID->"722e1da5-b932-46ff-84ee-125f80156996"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Trap depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.28226129026214203`", ",", "11.361991718643715`", ",", 
     "2.6446886814355284`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Trap depth: ", {0.28226129026214203`, 11.361991718643715`, 
   2.6446886814355284`}, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.82661964500148*^9, 
   3.826620720699795*^9},
 CellLabel->
  "During evaluation of \
In[788]:=",ExpressionUUID->"68aceb08-543c-45c4-ac38-8ebc0bb3d300"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap depth: \"\>", "\[InvisibleSpace]", 
   "8.787412459886397`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Effective trap depth: ", 8.787412459886397, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.82661964500148*^9, 
   3.826620720700794*^9},
 CellLabel->
  "During evaluation of \
In[788]:=",ExpressionUUID->"c38c7141-dad0-4ba7-9f75-c48130298018"]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Self consistent evaluation of Nth for a fixed Nbec and Temp", \
"Subsection",
 CellChangeTimes->{{3.7213797517345233`*^9, 3.7213797879645734`*^9}, {
  3.750685679896145*^9, 3.7506856865615263`*^9}, {3.7954336196228976`*^9, 
  3.7954336495026064`*^9}},ExpressionUUID->"3b9f85fc-aa30-4b2a-b2c5-\
cd2c2a66cfea"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NInterpPts", " ", "=", "15"}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gScat", " ", "=", 
    RowBox[{"4.", "*", "Pi", "*", 
     RowBox[{"aScat", "/", "mAssSr"}]}]}], " ", ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"hbarre", "^", "2"}], "*", 
    RowBox[{"aB", "/", "au"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"factAuxNatAniso", " ", "=", " ", 
   RowBox[{"hbarre", "/", 
    RowBox[{"(", 
     RowBox[{"2.", "*", "Pi", "*", 
      RowBox[{"aB", "^", "2."}], "*", "au"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxDensity", " ", "=", " ", 
    RowBox[{"2.", "*", 
     RowBox[{"Pi", "/", 
      RowBox[{"(", 
       RowBox[{"hbarre", "*", 
        RowBox[{"aB", "/", "au"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vpot0", " ", "=", " ", 
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"0.", ",", "0.", ",", "0."}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTh0Init", " ", "=", " ", "0."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0BECInit", " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Omega]IsoDT", "/", 
      RowBox[{"(", 
       RowBox[{"2.", "*", "gScat"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"15.", "*", "NatBECTest", "*", "aScat", "*", 
         RowBox[{"aB", "/", "aHODTiso"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
      RowBox[{"(", 
       RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"2", "*", "Pi", " ", "*", " ", 
    RowBox[{
     RowBox[{"hbarre", " ", "/", " ", 
      RowBox[{"hbarre", "^", "2"}]}], " ", "/", "aB"}], " ", "*", " ", "au"}],
    "  ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]Chem", " ", "=", " ", 
    RowBox[{"Vpot0", " ", "+", " ", 
     RowBox[{"gScat", " ", "*", " ", 
      RowBox[{"(", 
       RowBox[{"n0BECInit", "+", 
        RowBox[{"2.", "*", "nTh0Init"}]}], ")"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "Hz"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nThTab", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "0."}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"xMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{
          RowBox[{"-", "yMaxBEC"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{
          RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"zMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", "2"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nThInterpFun", "=", " ", 
    RowBox[{"Interpolation", "[", "nThTab", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]deBroglieFun", "[", "Temp_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2.", "*", 
      RowBox[{"Pi", "/", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "Temp"}], ")"}]}], " ", "*", " ", 
      "hbarreOverAu", " ", "*", " ", "hbarreOverkB"}], "]"}], " ", "/", " ", 
    "aB"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxnThFun", "[", "Temp_", "]"}], ":=", 
   RowBox[{"1.", "/", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]deBroglieFun", "[", "Temp", "]"}], ")"}], "^", 
       "3."}], " ", "*", " ", 
      RowBox[{"aB", "^", "3."}], "*", "factAuxDensity"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{
       RowBox[{"x", "*", "aB"}], ",", 
       RowBox[{"y", "*", "aB"}], ",", 
       RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepth"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
        RowBox[{"2.", "*", 
         RowBox[{"nThFun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ",", "0."}], 
      "]"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbBECFun", "[", 
     RowBox[{
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{"4.", "*", 
     RowBox[{
      RowBox[{"Quiet", "[", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"nBECFun", "[", 
          RowBox[{
           RowBox[{"x", "+", 
            RowBox[{"xOffset", "/", "aB"}]}], ",", 
           RowBox[{"y", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
           ",", 
           RowBox[{"z", "+", 
            RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", 
           "nThFun"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.", ",", "xMaxBEC"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", " ", "0.", ",", "zMaxBEC"}], "}"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
         RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
         RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}],
        "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"UFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=",
    " ", 
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", "+", " ", 
    RowBox[{"2.", "*", "gScat", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}],
         "]"}], "+", " ", 
       RowBox[{"nThOldFun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
   " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"UFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}], 
         "]"}]}], ")"}], "/", "Temp"}], "*", "ctePlanckOverkB"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
    " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThOldFun"}], "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"selfConsitentLoopFun", "[", 
     RowBox[{"{", 
      RowBox[{"nThInterpFun_", ",", "\[Mu]Chem_", ",", "\[Mu]ChemOld_"}], 
      "}"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"nThTabAux", ",", "nThInterpFunRes", ",", "\[Mu]ChemRes"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nThTabAux", " ", "=", " ", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"nThFun", "[", 
               RowBox[{
               "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "TempCloud", 
                ",", "nThInterpFun"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"xMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{
               RowBox[{"-", "yMaxBEC"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"zMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", 
          "2"}], "]"}]}], ";", 
       RowBox[{"nThInterpFunRes", "=", " ", 
        RowBox[{"Interpolation", "[", "nThTabAux", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]ChemRes", "=", " ", 
        RowBox[{"\[Mu]ChemBEC", "/.", " ", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"NbBECFun", "[", 
             RowBox[{"\[Mu]ChemBEC", ",", "nThInterpFunRes"}], "]"}], 
            "\[Equal]", "   ", "NatBECTest"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Mu]ChemBEC", ",", "\[Mu]Chem"}], "}"}], ",", 
           RowBox[{"Evaluated", "\[Rule]", " ", "False"}], ",", 
           RowBox[{"MaxIterations", "\[Rule]", " ", "20"}], ",", 
           RowBox[{"AccuracyGoal", "\[Rule]", "10"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Current value of chemical potential: \>\"", ",", "\[Mu]ChemRes", 
         ",", "\"\< Hz\>\""}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nThInterpFunRes", ",", "\[Mu]ChemRes", ",", "\[Mu]Chem"}], 
        "}"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aux1Fun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"x", "/", "xMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"y", "/", "yMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"z", "/", "zMaxTh"}], "]"}], ")"}], "^", "1.5"}]}], ")"}], 
    "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"aux2Fun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"x", "/", 
           RowBox[{"(", 
            RowBox[{"xMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"y", "/", 
           RowBox[{"(", 
            RowBox[{"yMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"z", "/", 
           RowBox[{"(", 
            RowBox[{"zMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}]}], ")"}], "/", "2."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nTh2Fun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Z2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThExtendedFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"aux1Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aux2Fun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", 
        RowBox[{"nThFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThInterpFun"}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], ",", "0."}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbThFun", "[", 
    RowBox[{"\[Mu]Chem_", ",", "Temp_", ",", "nThInterpFun_"}], "]"}], ":=", 
   RowBox[{"4.", "*", " ", 
    RowBox[{
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
         RowBox[{"x", "+", 
          RowBox[{"xOffset", "/", "aB"}]}], ",", 
         RowBox[{"y", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], ",", 
         RowBox[{"z", "+", 
          RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", "Temp", 
         ",", "nThInterpFun"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
       RowBox[{"PrecisionGoal", "\[Rule]", "2"}], ",", 
       RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
     "/", "factAuxNatAniso"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.795412272675922*^9, 3.7954122733979635`*^9}, {
   3.795412338503687*^9, 3.7954123395937495`*^9}, {3.7954124414115734`*^9, 
   3.7954125545510445`*^9}, {3.795412602645795*^9, 3.7954126028588076`*^9}, {
   3.795412641986045*^9, 3.795412672181772*^9}, {3.7954127276239433`*^9, 
   3.795412727969963*^9}, {3.795412802308215*^9, 3.7954129253082504`*^9}, {
   3.7954129567280474`*^9, 3.7954129985764413`*^9}, {3.7954130524345217`*^9, 
   3.7954130688094583`*^9}, {3.7954131738404655`*^9, 
   3.7954131821739426`*^9}, {3.795413298957622*^9, 3.7954133254101353`*^9}, {
   3.7954134760787525`*^9, 3.7954135066395006`*^9}, {3.7954135429855795`*^9, 
   3.7954137009686155`*^9}, {3.7954137321614*^9, 3.795413737549708*^9}, 
   3.7954137685704823`*^9, {3.795413863906935*^9, 3.7954138970708323`*^9}, {
   3.795413975689329*^9, 3.7954139764343715`*^9}, {3.795425005449195*^9, 
   3.7954250208070736`*^9}, {3.7954251594590034`*^9, 3.795425181198247*^9}, {
   3.7954253466877127`*^9, 3.7954253762114015`*^9}, {3.7954254409391036`*^9, 
   3.795425478726265*^9}, 3.795425536822588*^9, {3.7954255808941083`*^9, 
   3.795425634325165*^9}, {3.795425790490097*^9, 3.7954258183856926`*^9}, {
   3.7954258785161314`*^9, 3.7954259995520544`*^9}, {3.795426044443622*^9, 
   3.795426233835455*^9}, {3.795426537196806*^9, 3.7954266074378233`*^9}, {
   3.7954266600658336`*^9, 3.7954267045523777`*^9}, {3.7954267351641293`*^9, 
   3.7954267980517263`*^9}, {3.795426852222824*^9, 3.7954268679787254`*^9}, {
   3.7954269030007286`*^9, 3.7954269032427425`*^9}, {3.7954269832783203`*^9, 
   3.795427083169034*^9}, {3.79542712139222*^9, 3.795427127744583*^9}, {
   3.7954271649117093`*^9, 3.7954271817886744`*^9}, 3.7954275600773115`*^9, {
   3.7954276202647543`*^9, 3.7954276375347414`*^9}, 3.7954277665431204`*^9, {
   3.7954277989009714`*^9, 3.7954277995990114`*^9}, {3.7954278577423368`*^9, 
   3.795427892545327*^9}, {3.795427931265542*^9, 3.795427944648308*^9}, {
   3.795428058806837*^9, 3.7954280875334797`*^9}, {3.795428207570346*^9, 
   3.795428235397938*^9}, {3.795428276863309*^9, 3.7954283208918276`*^9}, {
   3.7954283918318853`*^9, 3.795428397111187*^9}, 3.7954291421097984`*^9, {
   3.795429443170018*^9, 3.7954294558067408`*^9}, {3.795429676046338*^9, 
   3.7954296763353543`*^9}, {3.795429969224107*^9, 3.7954299737993684`*^9}, {
   3.7954302001643157`*^9, 3.7954302012023754`*^9}, {3.7954314113425913`*^9, 
   3.7954314117536144`*^9}, {3.7954315154065433`*^9, 
   3.7954315579919786`*^9}, {3.795431890181979*^9, 3.795431890531999*^9}, 
   3.795432954083831*^9, {3.7954338308759804`*^9, 3.795433850961129*^9}, {
   3.7954368927101073`*^9, 3.7954368968943467`*^9}, 3.7954371532650104`*^9, {
   3.795437262779274*^9, 3.795437280441284*^9}, {3.7954373374385443`*^9, 
   3.7954373406827297`*^9}, 3.7954375579651575`*^9, {3.7954375896489697`*^9, 
   3.795437669130516*^9}, {3.795437770695325*^9, 3.795437771037345*^9}, {
   3.7954393882568445`*^9, 3.795439388967885*^9}, {3.795441832335638*^9, 
   3.7954418325246487`*^9}},
 CellLabel->
  "In[819]:=",ExpressionUUID->"3196d6a4-6aea-407f-817c-0cbf5943a2d4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"nThInterpFunSol", ",", "\[Mu]ChemSol", ",", "\[Mu]ChemAux"}], 
   "}"}], "=", " ", 
  RowBox[{"NestWhile", "[", 
   RowBox[{"selfConsitentLoopFun", ",", 
    RowBox[{"{", 
     RowBox[{"nThInterpFun", ",", "\[Mu]Chem", ",", "1."}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", 
          RowBox[{"#", "[", 
           RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "]"}], "/", 
       RowBox[{"#", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], ">", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "5"}], ")"}]}]}], "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.795431789724233*^9, 3.7954318089193316`*^9}, {
  3.7954324286467776`*^9, 3.795432428983797*^9}, {3.7954324599235663`*^9, 
  3.7954324602215834`*^9}, {3.7954338361732836`*^9, 3.7954338364613*^9}, {
  3.7954372906848707`*^9, 3.795437291167898*^9}},
 CellLabel->
  "In[844]:=",ExpressionUUID->"9d8033ae-87b4-44d1-ae32-4c56c67b455c"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,844,359,29134194936382683519,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8266208766421986`*^9},
 CellLabel->
  "During evaluation of \
In[844]:=",ExpressionUUID->"f8719089-fa99-4315-ba47-7bd3f69b0c26"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8054.863529228956`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8054.863529228956, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826620876645197*^9},
 CellLabel->
  "During evaluation of \
In[844]:=",ExpressionUUID->"6c9a0eae-9b11-457b-8810-1b671a3365fa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8021.689388385408`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8021.689388385408, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8266209041850696`*^9},
 CellLabel->
  "During evaluation of \
In[844]:=",ExpressionUUID->"6133d7b0-667d-4aaa-b591-81b894c22680"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","cvmit",
   "\"Failed to converge to the requested accuracy or precision within \\!\\(\
\\*RowBox[{\\\"20\\\"}]\\) iterations.\"",2,844,360,29134194936382683519,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.826621107603532*^9},
 CellLabel->
  "During evaluation of \
In[844]:=",ExpressionUUID->"488873ee-1bbb-4bcd-b02f-9bf419036815"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8010.290503598393`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8010.290503598393, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826621107605531*^9},
 CellLabel->
  "During evaluation of \
In[844]:=",ExpressionUUID->"98e61a3e-174c-446d-9d2c-df922065c71c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8004.753085423336`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8004.753085423336, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8266211284225817`*^9},
 CellLabel->
  "During evaluation of \
In[844]:=",ExpressionUUID->"5bf52d80-e2d2-443d-ae25-6ff03c46f104"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8006.1194604457705`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8006.1194604457705`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826621145082219*^9},
 CellLabel->
  "During evaluation of \
In[844]:=",ExpressionUUID->"c8e948ca-b979-4424-906e-a5b43547f7f3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8005.688445130779`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8005.688445130779, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826621161794823*^9},
 CellLabel->
  "During evaluation of \
In[844]:=",ExpressionUUID->"bdfccd81-b1e0-40f1-88c9-96f76441f6a3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8005.8254361207955`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8005.8254361207955`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8266211785274177`*^9},
 CellLabel->
  "During evaluation of \
In[844]:=",ExpressionUUID->"26e1a122-dbc1-4e75-b314-311fa765278c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8005.781416968946`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8005.781416968946, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.826621195828101*^9},
 CellLabel->
  "During evaluation of \
In[844]:=",ExpressionUUID->"4629359f-da4d-4dbb-a7b6-8e320ff1a6be"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    RowBox[{
     TagBox["InterpolatingFunction",
      "SummaryHead"], "[", 
     DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = 
      "Ready"}, 
      TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquarePlusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = True), Appearance -> None,
                 Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[{{
                 GrayLevel[0.6], 
                 AbsolutePointSize[5], 
                 PointBox[{1, 1}], 
                 PointBox[{2, 4}], 
                 PointBox[{3, 2}], 
                 PointBox[{4, 3}]}, {{}, {}, {
                  AbsoluteThickness[1], 
                  Opacity[1.], 
                  LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                   "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
               GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                 GrayLevel[0.7], 
                 Thickness[Tiny]], FrameTicks -> None, 
               ImageSize -> {Automatic, 
                 Dynamic[
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                   Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "18897.261328856428`"}], ",", 
                    "302356.18126170285`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "262042.02376014245`"}], ",", 
                    "262042.02376014245`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "18897.261328856428`"}], ",", 
                    "302356.18126170285`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"scalar\"", "SummaryItem"]}]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}], True -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquareMinusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                None, Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[{{
                 GrayLevel[0.6], 
                 AbsolutePointSize[5], 
                 PointBox[{1, 1}], 
                 PointBox[{2, 4}], 
                 PointBox[{3, 2}], 
                 PointBox[{4, 3}]}, {{}, {}, {
                  AbsoluteThickness[1], 
                  Opacity[1.], 
                  LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                   "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
               GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                 GrayLevel[0.7], 
                 Thickness[Tiny]], FrameTicks -> None, 
               ImageSize -> {Automatic, 
                 Dynamic[
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                   Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "18897.261328856428`"}], ",", 
                    "302356.18126170285`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "262042.02376014245`"}], ",", 
                    "262042.02376014245`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "18897.261328856428`"}], ",", 
                    "302356.18126170285`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"scalar\"", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Order: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{"3", ",", "3", ",", "3"}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Method: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"Hermite\"", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Periodic: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["False", "SummaryItem"]}]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}]}, 
         Dynamic[Typeset`open$$], ImageSize -> Automatic]},
       "SummaryPanel"],
      DynamicModuleValues:>{}], "]"}],
    InterpolatingFunction[{{-18897.261328856428`, 
     302356.18126170285`}, {-262042.02376014245`, 
     262042.02376014245`}, {-18897.261328856428`, 302356.18126170285`}}, {
     5, 7, 0, {18, 33, 18}, {4, 4, 4}, 0, 0, 0, 0, Automatic, {}, {}, 
      False}, {{-18897.261328856428`, 0., 18897.261328856428`, 
      37794.522657712856`, 56691.78398656928, 75589.04531542571, 
      94486.30664428213, 113383.56797313856`, 132280.829301995, 
      151178.09063085142`, 170075.35195970786`, 188972.6132885643, 
      207869.8746174207, 226767.13594627712`, 245664.39727513355`, 
      264561.65860399004`, 283458.91993284645`, 
      302356.18126170285`}, {-262042.02376014245`, -245664.39727513355`, \
-229286.77079012463`, -212909.14430511574`, -196531.51782010682`, \
-180153.89133509793`, -163776.26485008904`, -147398.6383650801, \
-131021.01188007122`, -114643.38539506233`, -98265.75891005341, \
-81888.13242504452, -65510.505940035626`, -49132.879455026705`, \
-32755.252970017813`, -16377.626485008892`, 0., 16377.626485008921`, 
      32755.252970017784`, 49132.879455026705`, 65510.505940035626`, 
      81888.13242504449, 98265.75891005341, 114643.38539506233`, 
      131021.0118800712, 147398.6383650801, 163776.26485008904`, 
      180153.89133509796`, 196531.51782010682`, 212909.14430511574`, 
      229286.77079012466`, 245664.39727513352`, 
      262042.02376014245`}, {-18897.261328856428`, 0., 18897.261328856428`, 
      37794.52265771285, 56691.78398656928, 75589.04531542571, 
      94486.30664428213, 113383.56797313856`, 132280.829301995, 
      151178.09063085142`, 170075.35195970786`, 188972.6132885643, 
      207869.8746174207, 226767.13594627712`, 245664.39727513355`, 
      264561.65860399004`, 283458.91993284645`, 302356.18126170285`}}, {
     Developer`PackedArrayForm, CompressedData["
1:eJwc3VMQINuyBcA79hnbtm3btm3btm3btm3btu2X8zoiI/qzf1p7V62K36Bt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      "], CompressedData["
1:eJzs2+c71/8b+H+bJDOUHTKzZes8bdl705KUlaRsDRklKpKZkVFkl1nZMrJJ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      "]}, {Automatic, Automatic, Automatic}],
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", "8005.781416968946`", ",", 
   "8005.8254361207955`"}], "}"}]], "Output",
 CellChangeTimes->{3.795432399786127*^9, 3.795433111998863*^9, 
  3.795433839934499*^9, 3.7954340003356733`*^9, 3.795434818022442*^9, 
  3.795437075717575*^9, 3.795437357152672*^9, 3.7954375228901515`*^9, 
  3.7954381756964903`*^9, 3.795440034512808*^9, 3.795442995612173*^9, 
  3.8266196468223486`*^9, 3.8266211958334503`*^9},
 CellLabel->
  "Out[844]=",ExpressionUUID->"db07730d-7455-42bd-b887-57f2d50dc279"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nbBEC", " ", "=", " ", 
   RowBox[{"NbBECFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nbTh", " ", "=", " ", 
    RowBox[{"NbThFun", "[", 
     RowBox[{"\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Final BEC atom number: \>\"", ",", "nbBEC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Final thermal atom number: \>\"", ",", "nbTh"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Initial chemical potential: \>\"", ",", "\[Mu]Chem", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Final chemical potential: \>\"", ",", "\[Mu]ChemSol", ",", 
    "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Peak density due to BEC: \>\"", ",", 
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", 
      "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Peak density due to thermal gas: \>\"", ",", 
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
      "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Peak density due to both BEC and thermal gas in dimple: \>\"", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{
        "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", 
         "nThInterpFunSol"}], "]"}], "+", 
       RowBox[{"nThFun", "[", 
        RowBox[{
        "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
         ",", "nThInterpFunSol"}], "]"}]}], ")"}], "*", "factAuxDensity"}], 
    ",", "\"\< at./m^3\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"nBECFun", "[", 
      RowBox[{
      "x", ",", "0", ",", "0", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "xMaxBEC"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"nBECFun", "[", 
      RowBox[{
      "0", ",", "y", ",", "0", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "yMaxBEC"}], ",", "yMaxBEC"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot3", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"nBECFun", "[", 
      RowBox[{
      "0", ",", "0", ",", "z", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "0", ",", "zMaxBEC"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"BecPlot1", ",", "BecPlot2", ",", "BecPlot3"}], "}"}], "}"}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"x", ",", "0.", ",", "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{
          "x", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
           ",", "nThInterpFunSol"}], "]"}], ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
        "x", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",",
          "nThInterpFunSol"}], "]"}], ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{
        "x", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{"2", "*", "xMaxBEC"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", "y", ",", "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{
          "0.", ",", "y", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
           ",", "nThInterpFunSol"}], "]"}], ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
        "0.", ",", "y", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",",
          "nThInterpFunSol"}], "]"}], ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{
        "0.", ",", "y", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "*", "yMaxBEC"}], ",", 
       RowBox[{"2", "*", "yMaxBEC"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot3", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", "0.", ",", "z"}], "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{
          "0.", ",", "0.", ",", "z", ",", "\[Mu]ChemSol", ",", "TempCloud", 
           ",", "nThInterpFunSol"}], "]"}], ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
        "0.", ",", "0.", ",", "z", ",", "\[Mu]ChemSol", ",", "TempCloud", ",",
          "nThInterpFunSol"}], "]"}], ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{
        "0.", ",", "0.", ",", "z", ",", "\[Mu]ChemSol", ",", "TempCloud"}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "0", ",", 
       RowBox[{"2", "*", "zMaxBEC"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{"ThPlot1", ",", "ThPlot2", ",", "ThPlot3"}], "}"}], "}"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.795432692306858*^9, 3.7954327479470406`*^9}, {
   3.7954327858582087`*^9, 3.795432846670687*^9}, {3.7954331382793665`*^9, 
   3.7954331391564164`*^9}, {3.795433454851473*^9, 3.7954334557785263`*^9}, {
   3.7954334892674417`*^9, 3.7954335096336064`*^9}, {3.7954337453250875`*^9, 
   3.7954337997432*^9}, {3.7954339214801626`*^9, 3.7954339756062584`*^9}, {
   3.7954340388148737`*^9, 3.7954340949300833`*^9}, {3.7954341418397665`*^9, 
   3.7954341575836673`*^9}, {3.795434207998551*^9, 3.7954342189461765`*^9}, {
   3.7954343180178432`*^9, 3.7954343280924196`*^9}, {3.795434488132573*^9, 
   3.795434520024398*^9}, {3.7954345642069244`*^9, 3.7954345863721924`*^9}, 
   3.7954346972365336`*^9, {3.7954347324705486`*^9, 3.7954347328215685`*^9}, {
   3.79543478913579*^9, 3.795434972312267*^9}, {3.79543501746585*^9, 
   3.7954350501917214`*^9}, {3.7954350971094046`*^9, 3.795435516716405*^9}, {
   3.7954355624790225`*^9, 3.7954356639218245`*^9}, {3.7954356952846184`*^9, 
   3.7954358121203012`*^9}, {3.795435842576043*^9, 3.795435927612907*^9}, {
   3.795435994903756*^9, 3.7954360027222033`*^9}, {3.7954360373971863`*^9, 
   3.795436106495138*^9}, {3.7954361434422517`*^9, 3.795436237156612*^9}, {
   3.795436505338951*^9, 3.795436509153169*^9}, {3.795436541402014*^9, 
   3.7954367131008344`*^9}, {3.7954367912023015`*^9, 3.795436850637701*^9}, 
   3.7954368896729336`*^9, {3.795436970114535*^9, 3.7954369707245693`*^9}, {
   3.795437548773632*^9, 3.7954375498886957`*^9}},
 CellLabel->
  "In[845]:=",ExpressionUUID->"122f8416-7719-4859-9838-0c15f7896c33"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final BEC atom number: \"\>", "\[InvisibleSpace]", 
   "111000.00000000001`"}],
  SequenceForm["Final BEC atom number: ", 111000.00000000001`],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.7954441208155317`*^9, 3.826619660750684*^9, 3.8266211995667515`*^9},
 CellLabel->
  "During evaluation of \
In[845]:=",ExpressionUUID->"65a433f5-4b8e-4dc3-9eff-4ff606c2cd32"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final thermal atom number: \"\>", "\[InvisibleSpace]", 
   "6.1843031526592625`*^6"}],
  SequenceForm["Final thermal atom number: ", 6.1843031526592625`*^6],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.7954441208155317`*^9, 3.826619660750684*^9, 3.82662119956975*^9},
 CellLabel->
  "During evaluation of \
In[845]:=",ExpressionUUID->"d230498e-3363-49e5-a0ef-41a6a1a7fc31"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initial chemical potential: \"\>", "\[InvisibleSpace]", 
   "8680.44717535618`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Initial chemical potential: ", 8680.44717535618, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.7954441208155317`*^9, 3.826619660750684*^9, 3.8266211995707493`*^9},
 CellLabel->
  "During evaluation of \
In[845]:=",ExpressionUUID->"c4160bb5-833d-409d-84e8-57f70dcc466c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final chemical potential: \"\>", "\[InvisibleSpace]", 
   "8005.781416968946`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Final chemical potential: ", 8005.781416968946, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.7954441208155317`*^9, 3.826619660750684*^9, 3.8266211995717487`*^9},
 CellLabel->
  "During evaluation of \
In[845]:=",ExpressionUUID->"37888ab2-c324-47ad-8477-9de6c04dc8d7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to BEC: \"\>", "\[InvisibleSpace]", 
   "7.339394635333654`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm["Peak density due to BEC: ", 7.339394635333654*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.7954441208155317`*^9, 3.826619660750684*^9, 3.8266211995737476`*^9},
 CellLabel->
  "During evaluation of \
In[845]:=",ExpressionUUID->"3126c29d-ae96-49ec-bcdd-1e630159c80c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas: \"\>", "\[InvisibleSpace]", 
   "1.1172017513443482`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas: ", 1.1172017513443482`*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.7954441208155317`*^9, 3.826619660750684*^9, 3.826621199574747*^9},
 CellLabel->
  "During evaluation of \
In[845]:=",ExpressionUUID->"3dc630f8-9472-4071-83f9-a26252476052"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to both BEC and thermal gas in dimple: \"\>", 
   "\[InvisibleSpace]", "8.456596386678002`*^20", 
   "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to both BEC and thermal gas in dimple: ", 
   8.456596386678002*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954400456214437`*^9, 3.7954430004894524`*^9, 
   3.7954441208155317`*^9, 3.826619660750684*^9, 3.826621199575746*^9},
 CellLabel->
  "During evaluation of \
In[845]:=",ExpressionUUID->"7ffe696d-4b19-4a24-91e9-8b2a0cb9f89a"],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{{{}, {}, 
        TagBox[
         {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
          Opacity[1.], LineBox[CompressedData["
1:eJxF0wk0lesaB3AkUxQpSoSKSho0UAp/ZDhFGpB7ctGwDcmQYe9PhlKEJArp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           "]]},
         Annotation[#, "Charting`Private`Tag$20344436#1"]& ]}, {}, {}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->{FontSize -> 18},
      DisplayFunction->Identity,
      Frame->{{False, False}, {False, False}},
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, 
         Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
         Charting`ScaledFrameTicks[{Identity, Identity}]}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->All,
      ImageSize->Medium,
      Method->{
       "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
        AbsolutePointSize[6], "ScalingFunctions" -> None, 
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& )}},
      PlotRange->{All, All},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {193.5, -116.80842387373012}, 
     ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
     GraphicsBox[{{{}, {}, 
        TagBox[
         {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
          Opacity[1.], LineBox[CompressedData["
1:eJxF2Hc0l/3/B3BbVoPMoqQUKRqEG71Q6hbZZJUtK5vP5yKjZZXdTaHbLCtZ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           "]]},
         Annotation[#, "Charting`Private`Tag$20345718#1"]& ]}, {}, {}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->{FontSize -> 18},
      DisplayFunction->Identity,
      Frame->{{False, False}, {False, False}},
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, 
         Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
         Charting`ScaledFrameTicks[{Identity, Identity}]}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->All,
      ImageSize->Medium,
      Method->{
       "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
        AbsolutePointSize[6], "ScalingFunctions" -> None, 
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& )}},
      PlotRange->{All, All},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {580.5, -116.80842387373012}, 
     ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
     GraphicsBox[{{{}, {}, 
        TagBox[
         {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
          Opacity[1.], LineBox[CompressedData["
1:eJxF0wk01OsbB3Bb2bNeFCIXoY2yGzzIkshVSKXMFVmKsWTmVyJkLHWVsnW1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           "]]},
         Annotation[#, "Charting`Private`Tag$20347612#1"]& ]}, {}, {}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->{FontSize -> 18},
      DisplayFunction->Identity,
      Frame->{{False, False}, {False, False}},
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, 
         Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
         Charting`ScaledFrameTicks[{Identity, Identity}]}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->All,
      ImageSize->Medium,
      Method->{
       "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
        AbsolutePointSize[6], "ScalingFunctions" -> None, 
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& )}},
      PlotRange->{All, All},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {967.5, -116.80842387373012}, 
     ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}]}, {}},
  ContentSelectable->True,
  ImageSize->{1173., 245.61684774746024`},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.795436719932225*^9, {3.7954368015638943`*^9, 3.7954368250282364`*^9}, 
   3.795436857776109*^9, 3.795437086403186*^9, 3.7954375322116847`*^9, 
   3.7954382056532035`*^9, 3.7954400460974708`*^9, 3.7954430009644794`*^9, 
   3.795444121262557*^9, 3.8266199169013157`*^9, 3.826621201744998*^9},
 CellLabel->
  "Out[857]=",ExpressionUUID->"ff7f50d6-41ae-465f-98da-d8bfdeb28bdc"],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{{{}, {}, 
        TagBox[
         {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
          Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF1Hkw1fv/B3Ckq8SxhyJUslSU7FvPY4nKWXAc5xu3KCKk5BZRRITcUFrc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           "]]},
         Annotation[#, "Charting`Private`Tag$20348916#1"]& ], 
        TagBox[
         {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
          Opacity[1.], LineBox[CompressedData["
1:eJwV13lUDNwbB/AiItW0TQulmUgLirRvvreFolna56deoiKyRJYWoojSqyIR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           "]]},
         Annotation[#, "Charting`Private`Tag$20348916#2"]& ], 
        TagBox[
         {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
          Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1Xk41NsfB/AhStqIGfsypNBql6j3iUpZStYQ+g5DP0KpEO5tIbRZopSU
FiUUpRAqyZJLsmSpK2UJiVCyzJj85v5xnvO8ns/Zns9zPucwqYDdXoI0Gm2S
3/7r72TPvu16FL1pzfyliaHrKJznvb1kXuoFt6x/Ao7xfWGfqI5M6RFcd/4q
EsG3ZrfDonlWx7E/Zd/eE//FL6qfECiNQnLqxgPRfI+Zcca5mmchtznMMO6/
8VwvXa5lPExVGS9T+O5otvYPEbqIeycWCdz5b36OQebvkmRoWbj/yeMbUcrd
h4JSECM/v/Dlf+vtnS8/qpkKXSuRlQ1839L/aX+gOw2n6vc4d/OdFT287bdl
OvTsOWYTfM8Z7+rNz7yJYd2+wQVaFFw9Wk8cErqNJ0dlLFX5Xrz+ZclISQZ+
l5jBkW/vjHynh1L3YGWg0xzEd5l45m+/oEy0STgwE/k+OBi/dlAzG0fcVEaa
+f7HIaou83QOiitf+k/yrfI6dL939wP88Q+9L69NYdDqkc1PyzyYzKrt8uOb
EbkyvZGTh4TdoqWX+DYtzviRl/kIC8uHu8v5vrb86tkAoXxokoR9yjoUrGdP
Vg6VPEX8YzvmKN/H9HgSdfsLYPTOxFNdl8I932AqW6oQnac69lF809p9Z/cH
FSGxd8n5f/l+lGe3vl+zBJEHxG9161Ho7KuPrmovgd9Ov2fq+hREFba3Zpwu
hRJN6Wwg31SsSZBn93OcE3DcK2zAj2tdbB21LENy+PkSU0MKypYNEV9ul4G5
U+3OZb71vRepNXDKoEe7vXWYb1ZadFBu5is4/RF7lraeQun8cDF/odc482vI
RmIDBf9uzx3fSypxUXG7mc1GCg2XJKY0Zatg6bTO8B++tS3KM/4XUoXSYSXt
LZsoTOQrCQzqVsOa+dCAgMJfUR8LBx68wVBR9GmbzRTi1Hep9d2oxe6Hb2Wa
t1L42fGnSe1PLUa5fR5+2yjYJTw47uVah2j1NTnzzClIc0Q7eqXf4k9MmbXZ
dgrptZWJPQn1WGGhV9ZiQcGpUOH46KsG7Ns/qbvHhkKs+G8HsbEG+P7j8XDp
bgrFvnWr1yk3ouJKrkY93/LKYf8G/NWI2a2uahZ2FL7EtOuPGDVB4/6hVXsd
Kfg4Xxwezm/G3DQdu669FEJ5Ii7fM1oRt+H9Gx8/CpEF6S++N7aCoZKSaHOA
QnyAocoQrxVnb+2WMvancLfL+9uQfRt8Ls3sYgRSaKqsCv4h3I6JCzuOfw7i
19OFyKQxrw8o7Zm8WxHGrydFWv2kWgdyC3wr289R6G+7rDVl04H+S+4Xp87z
8xO/NnkqogMjckYM2TgKInPcXadbOtBgUbeeSqCg2/98kBP1CdsdD/+ce4lf
/7lh8/587YT95I7pmzcoKKWHKQs2f4HSwg9v5J9QeCIh3nZx4As8hncv9HtK
wTz67nm1P19w1eLZUGkBhUP+jRxzjS7cu+x6ivWMQoXxipa4v7tQo8cWqHjB
z8+HpliFVd1ILfgq2lRDIW+p5i/DqB48DXdLUe6iQKLaKwMM+hDaEdMTIsmC
urvoXy3Wffhwp+DgbgYLYuuN9Tew+2C+tLhxtTQLnUM37s5N7kP7u2LhQTkW
wu28o9N+9iGyrFM7RJWFItUJ89oH/Yjcw97xXZuFdeUSdcuXfQP1Z8MtDVsW
lGetmz6JDaHs6v/CRlJYOCzS1ZC/fAj1qhpiEqks1IgHvYs1HoLSCllVwzQW
Di27XKfnM4QfJeLlp2+yULH9c9X5l0OIOPD8g14WCz5JASUm/sMwiQuR/beE
hUca8XfSan/Ak7taY9MXFphZPiVrXo/C17+I5rjaE2I39F/5F/2Csa3j2y39
nvh8xMDj840JnH95dJvoUy+MxvdseZo1ga9b8pO0i7wgmBO38uzTCaxrPUtz
LfHC8u7+Cf3aCUztXKz9+JUXDlinnL8wMQEDx40/fOu9wF0+XWxiNYmguYrO
kgNekGovpl/jTOJq+1Sgnjwb6r/Y3IPCU2jk2Vw6rsSG0WKJrm1iU7i9hldT
p8KGm5lvzi+1KdzrXe/so8FGRp6cqYXNFPqz25fk6LOhExseyLk3BV3jVy5e
NmzsNNpY62Q/DYte/6bUaDbOxBQ9kt43jdcr2vNszrJR1aqd0u43jSsjwc9E
4tgwDlrh5RQ5ja4nOVuPXeKfJ0ds1jF/GudFlDf6ZrAhqNij7SjOgYrqadHI
12yY+O2VkVLgoC7m8QbLajZCittmW9U5uP/XrnP0WjZGHOrqHMCBTOqq2Owm
NjrinrIdAjio/3Sws7eLjQKBmKv2bzk4p2jlfo7mjbGdgifoHzigeRB9tpA3
Vl0P927p5SBzspZJRLxx2+igrv0MB52PB3U4S7zRGfNdli7Chf8Ac0+7hDdk
27wEWiS4ML2lF18o5Q17tS/9SUpcCBoHt1+W80Z8kHO93UouaBwDrVAlb9S+
ev9E0oALNaWaKy6q3pgrtjP1/WYupM1qE3MN2djsVnMiyZqLm6+FGVdeeCEi
x9THzpmLuHxu4DcvLxRxnltLsrmoS2nMmpD3wri5od77g1z0tpluzvvkibWX
H8slRXBhILYjRiXDE//7ukrQLpaL5uSjs1cOeiJD596ARDIXgYPZcbTNnvhy
gvmuOZ2LwY0fmi7TPeGoyLhmW8Tfb1VZgEMFC4l+8SclKrgIvWw6WX2dhfpi
0f3N77h4IcW9NXSMBTPHWT3bfi7/3qfvu2DAwt8ZofISv7g4RdKCX0qxUPzr
l2DzHy6Wrd8lITJNQSt+4N1uxgzuW8UvPs5/DxRrGvfv3jKD/Tw5pcW2FMTW
hgft2DWDF5LXVGL4/4dg8vKIzS4zeLCz5EnUMgpfPcLitQ/O4ExmqMuPyX3I
mVpWuDRtBoOPBfVqb++DkXqIUPP4DELkqpNfLNiHVRdUFtfOzqBttcDo7LQH
FMfrpF6L8rBMbmDV8QEPCJQxV+Yr82CzSTRWt8oDbxxrbS5a8nC3UHGefqQH
HKIVb9je4WE0oPO07nwPmA+/ybTI5YG1cYSx7Lc7jGyDHpsW8zAbHMlZ2e4O
BaU3lToNPJTLJZySveGO3oKDQxIzPAxsGmRjnTsO9VWsf2/7B59XnBS2d3PD
hS2+7+3mzIJYbX/k0OWKecHH0umLZ2GUNnLrQK0rjmfG+rVKz8L84u30rKeu
CFqQKeS0Zha8+7O7ks64wqmxV9dlzyxQV+fO0HeFyl635H25s/AxGp9wv+gC
l2L1lYWraUQiWez3NMsZ0rbrEqR0aOTb3QP0HhtnvP9uMBlsSCNSUjmXezc5
w1ph22tDUxrRyS69tlbeGTju5VLsRCPIPDbxqWUP1LbeOvv8FI1Uxj/PpKz2
YKRRbuj1BxpJemfPjLBwAiLP7L7ymUZI32p6tpETEvWni/y/0siLv5WjhjWc
oJvaGiUzRiPxv9aK5Io44ZhnglKAiAChLJ9JKlU7Qmhyrq2sgQC5vSe5Jnab
I2Tlfz4LTBIgXf9GWLDsHbCV/SZaYacg8U7Qu1mRZsd/j9/NXrATJF0hxY2l
CXa40d0STHMWJEWpYedeRtlhyq3Hu8dTkGy6Lra394Adsh3/bLt/TJCkSgSl
3t9oB7HtuiJ6dwVJQxYrU7LbFh9XpsdY8gTJ/KLz2+aus8WBseDYsOw5RLzl
TmLiVxusqfkqQD2aQ5SSVPKHP9pgNN32mHnhHKLReijGpsEGh3at9aW/nkOe
M61UdUpsEJLbZ5n7cQ7p/LGwwzXBBicP2Iv1zBciU8dyX2CTDVK+aV/e4SNE
LrImtwre3IWKruE7MmrCpOMpaj6NW2O70oW/ejWFCU9bN+xujzXqXdc45a4T
JlnISQ9rskZ7m/+CLcbChPbym7hFnjWG344cDLTlx2e+LIvwswajeGxj9Qlh
0u8mIKbabwWfxN/thzuFSd70VjeVr5ZYYMpb2HB5Lll1O6rggoAFVFKX/Htm
bB65Hyos4ta1DT5OA+VRPvPJN4lDP1q5Zvh7YYVYVJUo8T98vkQ9azMq1dgh
FWQhkfP9ZpJyHODm3lwlX7CIRMmwrK+4mEBQ68vWEPElJE1JapnCfiOknj1k
IrpFjDRWJoxfvW0AxWNHz3wcFyMeLmbMF556kGFW8/RvihNtx9LhnmAdZHM4
ETquS0mSgbLkpQwtZOxcp/VYVIIc5hXuGtFYB4M287GGaglS+75JYUPUahCp
h21hJyRJVclfz5oVVyK/SXIscw2dhHMrFzLUNfC8zE3q6CCddA48T7favgJr
NbMCK68wSOJK8Za4MjXIWG4eTd8iRX56zlSV+S5DavrzcHmaNPF0GwtgqKki
KtDIWPahNHnVfmQ4Q0oF84KuihT9T4Y82P1oXIrOxNgod167rCwxCbf7oLlJ
GbYrslZHVsuSU1OaP3/PU4Jl/AaPhpNyZFFDC2/pdQU8PFxfeV1Lnjw82vQ9
L1Ae986aGS4akSdp29fwCi3lIO0yr3HefQVyp6q27rGlLH5m1F6LdFAk4UlM
vD0iA5Zq0JGbS5XIzJka1/Tb0jCWlz+BciXyTqH4t8FPKVT3xXzQM1AmUuUF
n8ptpVDq9DskNUmZCJvGFs0tZMArplur/LsyubL9g4SpFgPdjiWO24aVSVDj
ijdz1zLgsSIpou6HMok1nmNdu4oB16otNa1jyoT54GidgzoDtkL3Pb5PKpN3
C6dOBysxQI4HxEkKMcnhhIiYz4sYUAiZGWLLM4li3MOwrd/puLqtZemQApOM
lC0KVf1Gh7TUQ8ODSkwiZK+2XqCfDskC98gwFSaxLcyffdFNx4Lxcrl4dSZh
hLRcMf1Ix3RA7I5nukwy6GlwI7CGjqObqMCN+kxin/AzcU81HeOLN1x6bcAk
lmbOm00r6Rh9MNT11ohJVicfbpJ+RUf/952h3WCSUrfq7LoiOjxL1G94b2aS
geS2wJICOrrPCFQOmTKJtoTaj6wndHRq5ItNbmWS8syKJefy6HCdPqsfbs4k
oUUm+REP6fj4xtNVYAeTqPPIosAcOpxSTE6etmCSI1FeCqwsOlq8GZkLrJhk
/1XjHodMOv4PuvUNLw==
           "]]},
         Annotation[#, "Charting`Private`Tag$20348916#3"]& ]}, {}, {}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->{FontSize -> 18},
      DisplayFunction->Identity,
      Frame->{{False, False}, {False, False}},
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, 
         Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
         Charting`ScaledFrameTicks[{Identity, Identity}]}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->All,
      ImageSize->Medium,
      Method->{
       "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
        AbsolutePointSize[6], "ScalingFunctions" -> None, 
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& )}},
      PlotRange->{All, All},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {193.5, -116.80842387373012}, 
     ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
     GraphicsBox[{{{}, {}, 
        TagBox[
         {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
          Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF2nc4Vv/7AHB7PCIZFZ8kRMgKCcm5j5HS8/DYo5TVlhVCKkmRkKJQCNlU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           "]]},
         Annotation[#, "Charting`Private`Tag$20355837#1"]& ], 
        TagBox[
         {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
          Opacity[1.], LineBox[CompressedData["
1:eJxN23c0V/8fOHB7j7dVURRKSAhJKq/nJZTsTckqVMpoIZVEJKSMImQmI4nM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           "]]},
         Annotation[#, "Charting`Private`Tag$20355837#2"]& ], 
        TagBox[
         {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
          Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwUl3c8V98fx+29t48tZEWhjMo5x6bIrKjsVfmGSimFjEgls8yyyqayZdyL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           "]]},
         Annotation[#, "Charting`Private`Tag$20355837#3"]& ]}, {}, {}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->{FontSize -> 18},
      DisplayFunction->Identity,
      Frame->{{False, False}, {False, False}},
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, 
         Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
         Charting`ScaledFrameTicks[{Identity, Identity}]}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->All,
      ImageSize->Medium,
      Method->{
       "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
        AbsolutePointSize[6], "ScalingFunctions" -> None, 
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& )}},
      PlotRange->{All, All},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {580.5, -116.80842387373012}, 
     ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
     GraphicsBox[{{{}, {}, 
        TagBox[
         {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
          Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF0nk01OsfB3CkSHaViFAUUiqFxqj3KCWZxTYzlVtKSJSkRYWQJbmWFqUQ
KjW2kIiotFCiLooot4xEMYUhMWP5zT3nd3yff57zOp/nnOec9+ets8fXwV1C
TExMQVxM7L/7Vs7kG25h1HpbTrvuo3YqYsffXLapcIff9E2TT0SO2y1jolZx
FF3ykWdeimzYwZSTooZAJeBi4bv/5hf1Q8UrIpC+3y26U+SBjYIhoWEMHkT8
lBH8917ovlpol4DGf5eazuZS0faOdjBA8iKUxtVnmYgcl2vG+V2eiPMdZdFM
kRGh3XHYPwnHpsncCxZ54K+ZGv2GyeizUQjPEfmGKd/5QEcqYpTrJ9tEzo76
ufm3XTpsVzvrqXRQMW2I21nEycDLP1lDVJFdXJtDD0veROz8tgOxIsuvfVLe
V54Jr1fzd6p/pcIzs4h9V/UOZqrZN3mKXKnE+e3jz8GqbUXDZSL79SQY9xjm
QMvKy9ynk4rXzIg6TmQulHeOsOtEXvj8hJdnRx5cGEt1V36joodaaM+3K0BS
nny5dBcVc8OXpjcICpBsIR91SuQNDzN/FXAKseMbfYIvcsriazG+kkU49sOh
r6+bCtpkWBWvvBhLbAbbdXqoOLlmXKXOqwTn5eJkH4p8x/v4nhzVB9j2UvMb
s5cKsRbvSS//Ugh8dK9f51FRWOC0ttuwHE/3XDTz6KPic9fbqOqWcsTsjm5c
1E+FjOaW5szICghdqjS6RN4Tbem/t+MRVHgelQF80XzlxeZ+u0r8pUChNf+m
QtuuPqj9ZiVeW246UDZMhamnnF69oBLfd4Wuy/hDhVtqlH8+5yne/4vR4FEq
KmYGKh6UfI6yI5Jth8epONix17a3vAqje1qekGfQUH9ZZcRQvRo27se54VI0
rNr6LHN/QDUOkczPN0rTMFykJd6z+iVSl8tcD55FQ3DExwff816hZLp2mJoS
DfH6DL2utFoYWa0y2KFJA79tolFvohZF5s9ixhbQ4HQ+L8TdpQ79uWXRN7Vp
mCeQaeuc9wbGDnk7JHRpSK+tuvD1/Fu885zjP20pDewHmiH9T+vxIWU9azaJ
hmil30zFgXqktA3+UCDT8NC7btkK7QaYL/ilr7SOBg3tU598gxvg+cqnQNeK
hvazLaZ9pEb0aPlIJdjSsG/7xZ8/i96BnHctJtSFhhPj0jt6M5vhonFDoSyc
hvCS9Me9Dc24E+tQsT6KhgRf84W88WYUmp4Lro2m4TbX8wfP+QNu3GDY8ONo
aKyqPv5regsyLA1Vgq7SYBgXfmnAvRVzBt3SzubT0LZA7O0fvTY8kpsxFvKF
hu4PV1aO2LdhYeeW9twOUT4JxokjQW0Q3u+Z/vkbDdLTdrmMNrVhKT1+PoNH
w+ruRz2CiH9xInNZqv8oDbH5p6Qmvn2GUOfJ/rLZdGiln9KWeNeOvoAZHnZ0
Ou6rKH24+L0dnSYBXoqOdNhE3Y7Vm2iHWGRwQSuTjsMHGwQ2BlzcSatXDNxJ
xwvykqb401zsSBHQxQ7Ssa+1MVrTqAPO134FS8fRUaBsOGge8RUmAdUvSY10
bIx8kvX62lc4aZx/kttMR+uok6tLwVfsiIiw0P1EhwT39JvTn76idce2V4s6
6XDKb7pTvbITTMOjfu7DdIxsDXVx+twJnQ1vjwrkGKBEtFT5mnXhU97tLdlr
GNDfJRPcROuCn15s+VFzBhTXkk0tPLogJ0FJ2mjBwGde2u0ZiV1QOpaVxAMD
gU6eUan8LgQc2dzpbsdA6aJhm9q8biw+eHTxpBsDK56p1C3W/YGv6Rr9LYkM
zEuxDv/b4gfifSt151xlYPLocTLf4Qdq6pInnFIYeGvwKfdR6A+s3z4v+8sN
BnzO34h1+vID5FmP1XQKGOC4rqSHXetBWeIFE2YtA9qTtMZ/FXlIPjTdK03S
HkekufVFi3n4++K2E3Ol7VGj5P9PNJkn6nvuUMIsexzWvVK3Zh8P643TTRKU
7fFiy5fq2Cc89HrFzijVtse+S77llgd/YqbRUc5dS3sUGiTcSq39hRpl51Lr
k/bQyd5Xvvx5P3LoL7wvTdhjiHu6fNo//Yg+7VfoNM0Br9SulLd87Id3YlaG
mrQDDkVXlYfx+5Ei4x5fqOSAx/sWVjTrDODKtxExdT0HuCxpqwgOGYDq2QxW
vZ0Dkm7RH7+15KOmadYQL80BPm0ej29u4cP8ASt1S6YDMDv4cYAzH/4pfvtz
sh3QfSb38cIDfEzyxUKDix1g6jbzybEUPkb/yl9kWOuA9zrPnywQ8mFRbNjr
9ccBimmmTw+WDuLAZclEBSdHeN+4d0b2xSA2LOKo921zRHXm8k3Z/wxid97z
3e93OSIod3Htt65B5F4wdirwdkRP2dwmlzlDyLvfnXP3jCNevB/+bnt4CBcO
dfjU3XdEgMwDxSVGv5HWypiome+EL0fNXL+kDaOgcfTYxIQT+hO+WhdnD+OM
W/G9OTOcIZEbvzSmeBiZbf4mq+Wcsbije9i0dhiOepdXRM13xgFaUmzc8DD6
PPezIs2dIVw8+tCS+gckg53WfoecodrycE6K4A+eC28lG311hv6gh9Bv+gh8
xmrqM3ucQZJX4W5WHMFOswxxA74zdm70zh3UG0FqAGeAKs5EZsH8DVvtRyCe
U+Y6V5sJk+jAQ4I7IyiOqTxftYsJOmldLdt5FInn7tt/+M7EubOlhfN2j2Ir
R20ah89EdfOqpBafUZTefE2JGWOC7L/EnR0+ivO24pHnFFnQz1WcZBWN4u/8
a+Qja1mQWPB1FUtJAJdrS++Yx7Ng6fOXmqqmALOuqM5lXmMh4OGHyWZ9AZZl
HFGOyWShj1lXx4QATccHtC0rWGiLL/Zg+gpg9ibxe20PCyXiZ685vxGgbh3N
hGfHxgBdInROqwA66kp5BdvYMLoe6NnUKUDOh+zlFz3YuEnyW+08JoCF80mj
+yFsfD7bqz5HWgiWoUT6YCwb6h/cxZtUhCi5s0TGMZkNZ7327ktaQjBls3iN
HDYS/Le/dVoqxNjn97X+JWzUPn1/f7aZEA88lKKVK9iYoUhPfm8lRKTxPW3x
XDasdtaEXqIJoaw4K0chhS3q04Z9TtuFcDLX6LP8m41SwSPabA8hdv2SKo4J
ZGPIxnzNez8hpC7Pqh7xYWP/NyMJp2gh6oLyB41pbGSa3PmukigEtXYuZ3Qd
G+2hOv+8SxfCOk31A9eYDdaCuSmOpUL0NhjP+KTCxkbW5BrHbiEc6TPujnNZ
WFDT4OVgPYbJGm5uUBgLisaB/raMMRTLhiwrOC7aT+LiIKsdY2DePfl70IeF
b66nElb5jeFM3OtNd1ks5I7oPlBOHYMst+li1zIWSPoBku+GxvD72LzhZf8y
wYxakOZ4axxtfHpWmDUTcdbe752mTYIjjLQtWOWMvob5vOetYpQFVjM9Kkwd
scnjVZQmXYLillTYzDOyx4GB49GncqZRttUY+B3opeEF9+ctNb3plIB8i5am
S1sxa8O4bP2VGRTFnBPwy7LBwmSFT+cGpChBB/LUr1pswj7292cR+2ZS/Oi/
Dgx93YDTsi8UI6plKFWGpbpSQxRU6XkEvKDIUlbv0wparAYI8zOMNErkKJIm
m/QkJ8kQy5ZJjS6XowS7KrU1D5Ihectf7k+lHCW/x1tw9zsZsknWvxpq5Shr
6pfv9W0kQyPkR34UV45yg/qAs+I2GWTGSpNBWXlKcM1mxyIaGcH9lWtfu8lT
tB5lmXJuWiCsxyDbzEueYlqZ5bHoqgUiOy+oZx6UpzzpxL2bcRaIa9krPH1C
nqKc03Oh6IQF0iqlH62Jl6cYSzHXKjIsUJnAQMZDecpf4alzy8dJeHGurEC+
Up7ieFm3N3KQhFfhC3UCq+Qp3s8CS1g/SKgPGBJn1ctT+LZ/60s3kcB1TXou
2yVP8bJ4TbqVS0LXdvHVJ3vlKbQdxyKv3CChx2n/re5+eUqhNrckPokEvg05
4plQnnJu02hFXDgJw1aZv43FFSiVKkZxiSdJEJDlPVJnKFBu7tS3yDhEgsTK
9k0BSgqU8qPntV66kJC8seDBdlUFSkgjY5msAwmr2SH6lpoKlLYjR7qYm0mo
82Zc1VqkQEl8qm9zh0yC+2ltGQkDBYrY/8/Ehf6TncsJX75d2Vu9mvCrN65v
YkB4N3fFuoObCAuGxPIZdoSNNDIS5rAJx+/nOqb5EtYPLnwRepRw5fnQNXtP
EeaX6qgaRBFmSu35eO86YY1bHa7VbwgXP7jXwHlHmFYbZhXTSvg0f6Eu4xvh
Drh1t44Rfv9roGR4juKUk2MOW8pYE2Ym3xZVjbBizscnZ20Jh7+2spJiEPaZ
qbJZcgdhclQRY+IQ4bawITd+CuEFJ4+d+zhEWE3n5bhphtKUcwSCIBMX5Sln
0lesvCejMmWzDzYD9S8JU1TvfjgVOnvKRY2zBzjL50z5UeVO1WM9hI0Nsw9V
XZ1L/G9n1Z9urUrkkf4oUENs3pQjDpHI6ncJS/lfky7drzblgX6hVIu6+pQd
l2QvC39J2C7BwrU+bP6U7x55W3V9pcaU78RsNJfrIzxvh1SDVJYm0Y/M2pRw
5oIpuy3yP5qhrEXkraERimeEX3adbV1jpj3lCvbvgORLhN3Pdqx81ku4g1XO
2vyTsOuSS0F1vwi7VFvXNA8QdpTMcu39Q5gS4hs/W1JnypoBYzwPDcLXNjcp
8zQJz1O9a+6nRXh2ya7wUwsJzxp6Nj9Bn/Cob7Rt2WrCx9bvObTOlPCQvMXl
52aE+/N43Dckwt299BMdILy3XD/N04pwxznxKt4Gwp8NihT/bCLsMhpjGmhD
+OOrvS7itoTZSZZhkVsJN3nO5cyiEv4fsPzZcQ==
           "]]},
         Annotation[#, "Charting`Private`Tag$20376504#1"]& ], 
        TagBox[
         {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
          Opacity[1.], LineBox[CompressedData["
1:eJwV0mk4FGwbBmAkRMwgibGNKGlRkTRDXY8iiZmxzUxvKi22aJEWbYqseW2V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           "]]},
         Annotation[#, "Charting`Private`Tag$20376504#2"]& ], 
        TagBox[
         {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
          Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1Hk01V0XB3BjhiZTGa7pKqVSxlDR8z1NyFRmhfhd7jUUSmVIg54kVJRI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           "]]},
         Annotation[#, "Charting`Private`Tag$20376504#3"]& ]}, {}, {}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->{FontSize -> 18},
      DisplayFunction->Identity,
      Frame->{{False, False}, {False, False}},
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, 
         Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
         Charting`ScaledFrameTicks[{Identity, Identity}]}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->All,
      ImageSize->Medium,
      Method->{
       "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
        AbsolutePointSize[6], "ScalingFunctions" -> None, 
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& )}},
      PlotRange->{All, All},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {967.5, -116.80842387373012}, 
     ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}]}, {}},
  ContentSelectable->True,
  ImageSize->{1173., 245.61684774746024`},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.795436719932225*^9, {3.7954368015638943`*^9, 3.7954368250282364`*^9}, 
   3.795436857776109*^9, 3.795437086403186*^9, 3.7954375322116847`*^9, 
   3.7954382056532035`*^9, 3.7954400460974708`*^9, 3.7954430009644794`*^9, 
   3.795444121262557*^9, 3.8266199169013157`*^9, 3.8266212046481895`*^9},
 CellLabel->
  "Out[861]=",ExpressionUUID->"72d7a3fa-e26f-460c-a469-0cbdba217ae0"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1920, 997},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"11.3 for Microsoft Windows (64-bit) (March 6, 2018)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 2037, 44, 238, "Input",ExpressionUUID->"2e2cc9d5-3342-4930-bc5a-61aee098ee69"],
Cell[CellGroupData[{
Cell[2620, 68, 315, 5, 67, "Section",ExpressionUUID->"bf43d1c7-1ad5-427a-96c9-f7a3d5579539"],
Cell[2938, 75, 847, 21, 105, "Input",ExpressionUUID->"69c5e1d9-63da-4d96-8699-072aae0c187c",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[3810, 100, 219, 4, 53, "Subsection",ExpressionUUID->"e7ca371b-30a5-4fc1-9c85-363143e21214"],
Cell[CellGroupData[{
Cell[4054, 108, 159, 3, 31, "Item",ExpressionUUID->"5b9e4adb-fd9b-4850-8abc-bd361e7ec1e2"],
Cell[CellGroupData[{
Cell[4238, 115, 42027, 701, 637, "Input",ExpressionUUID->"e24e5a9a-e364-4fe4-96e6-339698fe90fd"],
Cell[46268, 818, 1018, 20, 22, "Print",ExpressionUUID->"ead86963-fc86-4cfb-9598-08c4b0d278e5"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[47335, 844, 216, 4, 31, "Item",ExpressionUUID->"c671991d-f125-4b4c-aabf-280cbd401bd5"],
Cell[CellGroupData[{
Cell[47576, 852, 20891, 352, 409, "Input",ExpressionUUID->"b6af5ee4-4620-4f50-bca0-a6ca717d308d"],
Cell[68470, 1206, 1281, 21, 22, "Print",ExpressionUUID->"acf49bc0-1b1b-401e-bbb9-c5f09acb66e8"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[69800, 1233, 215, 4, 31, "Item",ExpressionUUID->"7fada5da-f10b-47c9-bfa8-061ac95dede1"],
Cell[CellGroupData[{
Cell[70040, 1241, 41765, 856, 1432, "Input",ExpressionUUID->"8ba9737c-857d-424c-b3fa-7a50114b410b"],
Cell[111808, 2099, 505, 11, 70, "Message",ExpressionUUID->"068a5d5f-12bb-4990-8d83-cfebf6e1484a"],
Cell[112316, 2112, 509, 11, 70, "Message",ExpressionUUID->"a9401372-1f1a-477e-8f3b-982647c96e3a"],
Cell[112828, 2125, 505, 11, 70, "Message",ExpressionUUID->"5a9564ed-25ab-4ce8-b89f-9f87004316ca"],
Cell[113336, 2138, 509, 11, 70, "Message",ExpressionUUID->"f36d8853-528f-42bd-a210-d245b3ac9bde"],
Cell[113848, 2151, 92890, 1623, 70, "Output",ExpressionUUID->"2ba87596-1dd8-4f0a-8bd4-caa4e626748f"],
Cell[206741, 3776, 4669, 71, 70, "Print",ExpressionUUID->"fc3ee18e-e14c-4bcd-b9d1-7233b585048f"],
Cell[211413, 3849, 4703, 71, 70, "Print",ExpressionUUID->"8e56c04a-553a-4779-93c7-7ed2bede76eb"],
Cell[216119, 3922, 4707, 71, 70, "Print",ExpressionUUID->"8b1a074c-55b8-4d1a-9e09-3a99df57ed1c"],
Cell[220829, 3995, 4653, 69, 70, "Print",ExpressionUUID->"ee56b71e-1c2b-4cae-9e82-ecc3ab6926ea"],
Cell[225485, 4066, 4651, 69, 70, "Print",ExpressionUUID->"df65ef66-9ac1-4133-a1fa-7c1c53cadfcc"],
Cell[230139, 4137, 4656, 69, 70, "Print",ExpressionUUID->"3c1e6b10-98dc-4e99-9eea-25434eccdf3f"],
Cell[234798, 4208, 4548, 66, 70, "Print",ExpressionUUID->"2686ec05-f60f-456b-8c6d-fa4195161668"],
Cell[239349, 4276, 4592, 67, 70, "Print",ExpressionUUID->"0234a9b4-2d08-4bfe-9aeb-08b21bc8a9d6"],
Cell[243944, 4345, 4633, 69, 70, "Print",ExpressionUUID->"7c08868e-8c6f-4097-97b5-70e72b3dfa92"],
Cell[248580, 4416, 4691, 72, 70, "Print",ExpressionUUID->"4f377d37-b77e-4af7-a428-1a043de09730"],
Cell[253274, 4490, 4562, 66, 70, "Print",ExpressionUUID->"833f6df1-eebd-41fb-97d9-218179e8739a"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[257897, 4563, 314, 5, 53, "Subsection",ExpressionUUID->"3b4972fc-5e31-4273-80aa-9eb153d12fd7"],
Cell[258214, 4570, 27574, 712, 1264, "Input",ExpressionUUID->"a209b280-a852-4b80-b052-b16655821820"],
Cell[CellGroupData[{
Cell[285813, 5286, 1118, 29, 28, "Input",ExpressionUUID->"8e0fd04b-dd90-4f88-bd79-b4b715eb52ec"],
Cell[286934, 5317, 445, 11, 22, "Print",ExpressionUUID->"9d9a0b27-d392-4d67-9d6a-4477c957af86"],
Cell[287382, 5330, 450, 11, 22, "Print",ExpressionUUID->"a8357e34-692f-4b4e-8380-00cf74e0d806"],
Cell[287835, 5343, 450, 11, 22, "Print",ExpressionUUID->"e0fc53e0-fef7-4128-a3f4-65bfed3655c1"],
Cell[288288, 5356, 450, 11, 22, "Print",ExpressionUUID->"0d2fc433-cee3-4914-abaa-325ec6b61874"],
Cell[288741, 5369, 448, 11, 22, "Print",ExpressionUUID->"c09ea8d0-c888-4a39-955f-82300bc1ac47"],
Cell[289192, 5382, 447, 11, 22, "Print",ExpressionUUID->"0ce6197e-7fe3-46c1-8db2-6b4da94bdbb4"],
Cell[289642, 5395, 448, 11, 22, "Print",ExpressionUUID->"399d86f7-d37a-4cbc-ba92-99f39576bc69"],
Cell[290093, 5408, 445, 11, 22, "Print",ExpressionUUID->"622f48e6-56fc-4fe4-9919-6aa8e69aa82c"],
Cell[290541, 5421, 450, 11, 22, "Print",ExpressionUUID->"27254423-35af-42b3-92ab-f2c4f92b9206"],
Cell[290994, 5434, 447, 11, 22, "Print",ExpressionUUID->"be5e6577-81a6-4cb5-a71a-abd49c8ca84c"],
Cell[291444, 5447, 132375, 2211, 73, "Output",ExpressionUUID->"544cce9c-dbe9-4be8-9b00-9fbf65bb9112"]
}, Open  ]],
Cell[CellGroupData[{
Cell[423856, 7663, 27766, 735, 1074, "Input",ExpressionUUID->"a171204e-57fe-4cd1-b729-a348a35cee78"],
Cell[451625, 8400, 1849, 29, 22, "Print",ExpressionUUID->"f5d0aeb1-3736-4825-81d3-fce8606077ee"],
Cell[453477, 8431, 1841, 29, 22, "Print",ExpressionUUID->"ec435ab4-be0d-4956-9161-21019c303e0a"],
Cell[455321, 8462, 1915, 32, 22, "Print",ExpressionUUID->"8055cccd-17c6-4e4d-ad6c-ba2824648601"],
Cell[457239, 8496, 1782, 29, 22, "Print",ExpressionUUID->"4c2d1e5e-04cf-466c-9c63-5630a3294062"],
Cell[459024, 8527, 1828, 29, 22, "Print",ExpressionUUID->"542c66bb-0b00-4a79-bb06-31da327c0927"],
Cell[460855, 8558, 1843, 30, 22, "Print",ExpressionUUID->"b9b01a13-868c-4b4a-b119-f7037b94486f"],
Cell[462701, 8590, 1861, 29, 24, "Print",ExpressionUUID->"83009f7d-e152-4b2f-9080-dd52433868fc"],
Cell[464565, 8621, 1906, 32, 24, "Print",ExpressionUUID->"89c6479b-a70d-4807-8b83-8a7081012892"],
Cell[466474, 8655, 1939, 32, 24, "Print",ExpressionUUID->"077d1014-7b22-440c-96f4-3dc0e76bdb48"],
Cell[468416, 8689, 503, 11, 23, "Message",ExpressionUUID->"5b9d4ac7-9eb5-4966-a60d-4c94c47405c5"],
Cell[468922, 8702, 506, 11, 23, "Message",ExpressionUUID->"352258db-9494-4f5a-a5a7-17fbf453a4ce"],
Cell[469431, 8715, 432805, 8206, 747, "Output",ExpressionUUID->"a0f19d96-0d24-46e5-a457-856f1ddfe411"]
}, Open  ]],
Cell[CellGroupData[{
Cell[902273, 16926, 4729, 120, 466, "Input",ExpressionUUID->"7ef83780-6845-4b1d-9c45-c2fb762a45a0"],
Cell[907005, 17048, 752, 13, 22, "Print",ExpressionUUID->"3311caad-f72b-4cd4-a0fb-76f30863d1a6"],
Cell[907760, 17063, 791, 15, 22, "Print",ExpressionUUID->"3b54d048-7afb-4cc8-8c5e-0b4c236e5863"],
Cell[908554, 17080, 786, 15, 22, "Print",ExpressionUUID->"b258049a-1bb3-4ab9-909f-865e4d7e6886"],
Cell[909343, 17097, 786, 15, 22, "Print",ExpressionUUID->"2aeff143-256a-4bd8-91f4-905bef3a2e2a"],
Cell[910132, 17114, 819, 16, 22, "Print",ExpressionUUID->"4946f1da-e691-49ed-939b-51d05c8f3ee0"],
Cell[910954, 17132, 852, 16, 22, "Print",ExpressionUUID->"7ea7ad14-3579-459d-a8da-bbb85f4046e6"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[911867, 17155, 394, 6, 67, "Section",ExpressionUUID->"cc979cbb-8c5d-469a-bfb2-28987e976308"],
Cell[CellGroupData[{
Cell[912286, 17165, 159, 3, 30, "Item",ExpressionUUID->"96367004-b124-4a18-a36f-007bd7e65840"],
Cell[CellGroupData[{
Cell[912470, 17172, 41979, 701, 739, "Input",ExpressionUUID->"b3562cc3-0c03-49e5-bc44-ca24da695bf4"],
Cell[954452, 17875, 971, 19, 70, "Print",ExpressionUUID->"17ab05fb-6219-46d0-b3f9-f6e5624eef1e"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[955472, 17900, 216, 4, 26, "Item",ExpressionUUID->"09f57938-84a3-4fdf-9bc2-d210d88ca5c9"],
Cell[CellGroupData[{
Cell[955713, 17908, 20723, 358, 475, "Input",ExpressionUUID->"03a29ec4-2c05-487e-b6d2-971e671b9912"],
Cell[976439, 18268, 1137, 20, 70, "Print",ExpressionUUID->"dbdf3fde-b0c5-4d2f-9f0d-ac9b684c0f7b"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[977625, 18294, 215, 4, 26, "Item",ExpressionUUID->"135e1dea-9239-4574-ac07-4fc2f1cfb112"],
Cell[CellGroupData[{
Cell[977865, 18302, 41765, 856, 1575, "Input",ExpressionUUID->"fdde83cd-8d8b-414e-9b0a-1eda5eb7e280"],
Cell[1019633, 19160, 505, 11, 70, "Message",ExpressionUUID->"f8aeef5f-eafc-4392-9e6a-6ce8c751f698"],
Cell[1020141, 19173, 505, 11, 70, "Message",ExpressionUUID->"98ef2b79-3b70-4ea2-9451-7b0645d11c80"],
Cell[1020649, 19186, 505, 11, 70, "Message",ExpressionUUID->"0f50b079-7ce6-4f13-9de1-2d77be3352a2"],
Cell[1021157, 19199, 505, 11, 70, "Message",ExpressionUUID->"7e6eae6b-32f4-4c32-8bde-89c0b7cfeb63"],
Cell[1021665, 19212, 92838, 1621, 70, "Output",ExpressionUUID->"51650bfe-992e-4539-b5c2-b1ffb38320e5"],
Cell[1114506, 20835, 4619, 70, 70, "Print",ExpressionUUID->"5a17400f-006d-4899-9104-c6d29f6e2e4e"],
Cell[1119128, 20907, 4659, 70, 70, "Print",ExpressionUUID->"b88c54b0-6d51-44b3-bcd1-db085e62edfa"],
Cell[1123790, 20979, 4655, 70, 70, "Print",ExpressionUUID->"d70393d0-3b82-4991-9886-a181c774619e"],
Cell[1128448, 21051, 4604, 68, 70, "Print",ExpressionUUID->"0494e0f1-0b2a-43d8-8f13-5871fad07ca4"],
Cell[1133055, 21121, 4601, 68, 70, "Print",ExpressionUUID->"410bc0c7-0fc2-479f-9692-4763ba16bcaa"],
Cell[1137659, 21191, 4603, 68, 70, "Print",ExpressionUUID->"aad5ea5e-4ed4-4798-b165-107f39d0a6cf"],
Cell[1142265, 21261, 4500, 65, 70, "Print",ExpressionUUID->"e1582692-434d-4ae2-a5f9-a73d71be570e"],
Cell[1146768, 21328, 4542, 66, 70, "Print",ExpressionUUID->"8b1dc187-0fe5-4c2e-a0bc-883e7c7c4a29"],
Cell[1151313, 21396, 4584, 68, 70, "Print",ExpressionUUID->"fb4aeb14-77f7-4788-ae43-7242ffffb4e2"],
Cell[1155900, 21466, 4643, 71, 70, "Print",ExpressionUUID->"48252305-4f4a-4369-a1dc-cc90665b7a36"],
Cell[1160546, 21539, 4510, 65, 70, "Print",ExpressionUUID->"1e155b55-722c-4668-b532-6bd67e280687"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1165105, 21610, 306, 4, 26, "Item",ExpressionUUID->"a916b940-d73f-4a6f-843c-6d3d3e4de9cf"],
Cell[1165414, 21616, 25767, 663, 1685, "Input",ExpressionUUID->"37ad34e9-fec0-4bd8-ad60-e65825809598"],
Cell[1191184, 22281, 21171, 546, 1355, "Input",ExpressionUUID->"820b3f25-e8c3-451a-aae5-3edc719ccbf8"],
Cell[CellGroupData[{
Cell[1212380, 22831, 1118, 29, 33, "Input",ExpressionUUID->"f7b1d9fa-8c1c-4735-a6c5-6423bff592cf"],
Cell[1213501, 22862, 593, 12, 70, "Message",ExpressionUUID->"fa52a047-0c09-47f0-812f-045cd165c326"],
Cell[1214097, 22876, 445, 11, 70, "Print",ExpressionUUID->"09840534-a6da-4fca-a085-c780bbf35fa8"],
Cell[1214545, 22889, 450, 11, 70, "Print",ExpressionUUID->"62941afd-f5c0-4c2d-b415-c819d2b6fa43"],
Cell[1214998, 22902, 593, 12, 70, "Message",ExpressionUUID->"8348c20e-b2de-4406-8863-9766ad1bed2c"],
Cell[1215594, 22916, 450, 11, 70, "Print",ExpressionUUID->"4c18299d-0861-4eed-b2bd-407349dfd423"],
Cell[1216047, 22929, 448, 11, 70, "Print",ExpressionUUID->"cef38a19-34d5-49a8-8294-a6ccc94b4ccc"],
Cell[1216498, 22942, 450, 11, 70, "Print",ExpressionUUID->"b26dd4c4-f922-4d72-99b2-a8c83e7df38c"],
Cell[1216951, 22955, 593, 12, 70, "Message",ExpressionUUID->"2048bb82-5b57-4fdc-b914-76b0313a17e1"],
Cell[1217547, 22969, 452, 10, 70, "Message",ExpressionUUID->"22c3911b-2c51-4ddb-8f39-be42abdf7138"],
Cell[1218002, 22981, 445, 11, 70, "Print",ExpressionUUID->"0a64216e-ff9b-4977-95c9-ad0e1e87588e"],
Cell[1218450, 22994, 445, 11, 70, "Print",ExpressionUUID->"eb12e69c-56e0-488c-8069-9be0b5039dc1"],
Cell[1218898, 23007, 179900, 2991, 70, "Output",ExpressionUUID->"54a8ace8-ff11-45df-b41c-5912f872446f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1398835, 26003, 13676, 341, 959, "Input",ExpressionUUID->"bfc37668-d65c-4454-be3b-b1c2442dfcba"],
Cell[1412514, 26346, 472, 10, 70, "Print",ExpressionUUID->"6053ebb1-70b4-4519-a194-2250e451eb71"],
Cell[1412989, 26358, 465, 10, 70, "Print",ExpressionUUID->"d7192d06-3c31-4ade-94dc-fa860fab92d2"],
Cell[1413457, 26370, 407, 10, 70, "Print",ExpressionUUID->"68cad0bd-6ae4-40c0-b818-44845338d133"],
Cell[1413867, 26382, 450, 10, 70, "Print",ExpressionUUID->"af367cd9-36e8-4b18-af75-43e02b52cea2"],
Cell[1414320, 26394, 461, 11, 70, "Print",ExpressionUUID->"7e6eaad7-673e-415c-b748-fc180d3fa079"],
Cell[1414784, 26407, 487, 11, 70, "Print",ExpressionUUID->"7975ee27-cde1-4ec3-a187-822f2d2dd596"],
Cell[1415274, 26420, 520, 13, 70, "Print",ExpressionUUID->"a17f235d-c348-4a45-942a-7a0549b2d981"],
Cell[1415797, 26435, 556, 13, 70, "Print",ExpressionUUID->"85bd2af6-ea26-4d37-8a30-d4ac56765061"],
Cell[1416356, 26450, 507, 11, 70, "Message",ExpressionUUID->"57c965f4-d576-47bb-9519-375369a708bf"],
Cell[1416866, 26463, 506, 11, 70, "Message",ExpressionUUID->"5e328afb-12af-4b8c-8489-f076a1661d8c"],
Cell[1417375, 26476, 159846, 2772, 70, "Output",ExpressionUUID->"91d5d1f6-7389-4511-8865-5ecad1da901e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1577258, 29253, 4770, 121, 540, "Input",ExpressionUUID->"6ca94500-0776-44e7-abcb-31acec7e4a22"],
Cell[1582031, 29376, 470, 10, 70, "Print",ExpressionUUID->"5de6aab7-50b1-4843-9111-cc3d1688351a"],
Cell[1582504, 29388, 508, 12, 70, "Print",ExpressionUUID->"e756ab7f-922f-4c2e-bab4-7765bf663002"],
Cell[1583015, 29402, 498, 12, 70, "Print",ExpressionUUID->"7a457f77-51c8-4e75-9eba-dab2b6cabf99"],
Cell[1583516, 29416, 496, 12, 70, "Print",ExpressionUUID->"951434a1-6b59-4520-a866-31292f7e0efd"],
Cell[1584015, 29430, 532, 13, 70, "Print",ExpressionUUID->"6260e10e-25a2-4ab1-aeff-b5d58e212b8f"],
Cell[1584550, 29445, 563, 13, 70, "Print",ExpressionUUID->"1f52cf80-be09-44ca-a183-94a61aedb6ae"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1585174, 29465, 345, 5, 53, "Section",ExpressionUUID->"33377513-f13b-4de5-811b-fa781d7ec443"],
Cell[CellGroupData[{
Cell[1585544, 29474, 219, 4, 53, "Subsection",ExpressionUUID->"3a07be48-c557-40b2-8a6f-9e46011165a9"],
Cell[CellGroupData[{
Cell[1585788, 29482, 159, 3, 31, "Item",ExpressionUUID->"67d8a1a8-4854-4e07-ba6a-02902ef455f4"],
Cell[1585950, 29487, 32495, 509, 409, "Input",ExpressionUUID->"ce01712b-47e4-4edc-a860-0ea7b6fae7d2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1618482, 30001, 216, 4, 31, "Item",ExpressionUUID->"e1ab07e3-ef79-4ca7-b4ca-f93d4294b0e0"],
Cell[1618701, 30007, 13563, 244, 352, "Input",ExpressionUUID->"ca98a7d5-a6eb-4ac5-b3d5-12d365dc47e2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1632301, 30256, 215, 4, 31, "Item",ExpressionUUID->"98d8c45d-d083-40b2-b8b7-64e169f081c2"],
Cell[CellGroupData[{
Cell[1632541, 30264, 34140, 648, 1025, "Input",ExpressionUUID->"f47d7ceb-e72d-44e3-be8b-bdae79014261"],
Cell[1666684, 30914, 12777, 220, 70, "Output",ExpressionUUID->"195742da-7531-4e9e-bbb6-86bcc0b79856"],
Cell[1679464, 31136, 13428, 230, 70, "Output",ExpressionUUID->"5b875958-ec1e-4041-a25a-e0ae6345aa6f"],
Cell[1692895, 31368, 13514, 232, 70, "Output",ExpressionUUID->"6da55b63-e496-4f7b-8c7b-7cef7552b0a9"],
Cell[1706412, 31602, 4294, 64, 70, "Print",ExpressionUUID->"3fed9805-3965-4b79-83a1-f75f8e8294a9"],
Cell[1710709, 31668, 4403, 67, 70, "Print",ExpressionUUID->"17d95278-5854-4ff6-97a9-05d5fee8d7f5"],
Cell[1715115, 31737, 4403, 67, 70, "Print",ExpressionUUID->"88fcb44f-9442-4268-8f45-43fd6e993409"],
Cell[1719521, 31806, 4354, 65, 70, "Print",ExpressionUUID->"ddef982f-314e-45d8-ba03-cdbbf194e4fe"],
Cell[1723878, 31873, 4354, 65, 70, "Print",ExpressionUUID->"0f56a90c-e3eb-414c-ae7d-21d8622b5ab0"],
Cell[1728235, 31940, 4357, 65, 70, "Print",ExpressionUUID->"e9e016d5-0b67-4fbd-af6c-c0188d51ab91"],
Cell[1732595, 32007, 4251, 62, 70, "Print",ExpressionUUID->"0e5b1501-f0b9-4660-84e9-aeac15f449f2"],
Cell[1736849, 32071, 4297, 64, 70, "Print",ExpressionUUID->"2f468364-8793-4098-a7e7-93228f298277"],
Cell[1741149, 32137, 4337, 65, 70, "Print",ExpressionUUID->"722e1da5-b932-46ff-84ee-125f80156996"],
Cell[1745489, 32204, 4405, 68, 70, "Print",ExpressionUUID->"68aceb08-543c-45c4-ac38-8ebc0bb3d300"],
Cell[1749897, 32274, 4263, 62, 70, "Print",ExpressionUUID->"c38c7141-dad0-4ba7-9f75-c48130298018"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1754221, 32343, 314, 5, 53, "Subsection",ExpressionUUID->"3b9f85fc-aa30-4b2a-b2c5-cd2c2a66cfea"],
Cell[1754538, 32350, 21127, 546, 1074, "Input",ExpressionUUID->"3196d6a4-6aea-407f-817c-0cbf5943a2d4"],
Cell[CellGroupData[{
Cell[1775690, 32900, 1118, 29, 28, "Input",ExpressionUUID->"9d8033ae-87b4-44d1-ae32-4c56c67b455c"],
Cell[1776811, 32931, 595, 12, 39, "Message",ExpressionUUID->"f8719089-fa99-4315-ba47-7bd3f69b0c26"],
Cell[1777409, 32945, 445, 11, 22, "Print",ExpressionUUID->"6c9a0eae-9b11-457b-8810-1b671a3365fa"],
Cell[1777857, 32958, 447, 11, 22, "Print",ExpressionUUID->"6133d7b0-667d-4aaa-b591-81b894c22680"],
Cell[1778307, 32971, 405, 10, 21, "Message",ExpressionUUID->"488873ee-1bbb-4bcd-b02f-9bf419036815"],
Cell[1778715, 32983, 445, 11, 22, "Print",ExpressionUUID->"98e61a3e-174c-446d-9d2c-df922065c71c"],
Cell[1779163, 32996, 447, 11, 22, "Print",ExpressionUUID->"5bf52d80-e2d2-443d-ae25-6ff03c46f104"],
Cell[1779613, 33009, 448, 11, 22, "Print",ExpressionUUID->"c8e948ca-b979-4424-906e-a5b43547f7f3"],
Cell[1780064, 33022, 445, 11, 22, "Print",ExpressionUUID->"bdfccd81-b1e0-40f1-88c9-96f76441f6a3"],
Cell[1780512, 33035, 450, 11, 22, "Print",ExpressionUUID->"26e1a122-dbc1-4e75-b314-311fa765278c"],
Cell[1780965, 33048, 445, 11, 22, "Print",ExpressionUUID->"4629359f-da4d-4dbb-a7b6-8e320ff1a6be"],
Cell[1781413, 33061, 132497, 2213, 73, "Output",ExpressionUUID->"db07730d-7455-42bd-b887-57f2d50dc279"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1913947, 35279, 10026, 248, 485, "Input",ExpressionUUID->"122f8416-7719-4859-9838-0c15f7896c33"],
Cell[1923976, 35529, 1239, 21, 22, "Print",ExpressionUUID->"65a433f5-4b8e-4dc3-9eff-4ff606c2cd32"],
Cell[1925218, 35552, 1250, 21, 24, "Print",ExpressionUUID->"d230498e-3363-49e5-a0ef-41a6a1a7fc31"],
Cell[1926471, 35575, 1287, 21, 22, "Print",ExpressionUUID->"c4160bb5-833d-409d-84e8-57f70dcc466c"],
Cell[1927761, 35598, 1285, 21, 22, "Print",ExpressionUUID->"37888ab2-c324-47ad-8477-9de6c04dc8d7"],
Cell[1929049, 35621, 1301, 21, 24, "Print",ExpressionUUID->"3126c29d-ae96-49ec-bcdd-1e630159c80c"],
Cell[1930353, 35644, 1321, 22, 24, "Print",ExpressionUUID->"3dc630f8-9472-4071-83f9-a26252476052"],
Cell[1931677, 35668, 1372, 24, 24, "Print",ExpressionUUID->"7ffe696d-4b19-4a24-91e9-8b2a0cb9f89a"],
Cell[1933052, 35694, 17688, 341, 263, "Output",ExpressionUUID->"ff7f50d6-41ae-465f-98da-d8bfdeb28bdc"],
Cell[1950743, 36037, 89989, 1534, 70, "Output",ExpressionUUID->"72d7a3fa-e26f-460c-a469-0cbdba217ae0"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

