(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   3330878,      64864]
NotebookOptionsPosition[   3233640,      63814]
NotebookOutlinePosition[   3234006,      63830]
CellTagsIndexPosition[   3233963,      63827]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
   "SetDirectory", "[", "\"\<D:\\\\SrBEC\\\\Mathematica\\\\\>\"", "]"}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "ce", " ", "folder", " ", "location", " ", "to", " ", "find", " ", "the", 
    " ", "right", " ", "packages"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ComputerArithmetic`"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "SetDirectory", "[", 
     "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
   " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LaunchKernels", "[", "8", "]"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "put", " ", "your", " ", "favorite", " ", "number", " ", "of", " ", 
    "kernels"}], " ", "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7286202174860296`*^9, 3.728620217703042*^9}, {
   3.728711424316966*^9, 3.728711424667986*^9}, {3.7318186909359274`*^9, 
   3.7318186914469566`*^9}, {3.7362219622568893`*^9, 3.736221963848092*^9}, {
   3.750685517644865*^9, 3.7506855815085177`*^9}, {3.751015397460146*^9, 
   3.751015405152586*^9}, {3.751686861017559*^9, 3.7516868614915867`*^9}, {
   3.7789356108208427`*^9, 3.778935614772069*^9}, {3.7809130088505454`*^9, 
   3.780913009292571*^9}, 3.7915556905681534`*^9, {3.79155578368948*^9, 
   3.7915557853995776`*^9}, {3.8401656575321813`*^9, 3.840165658047117*^9}, 
   3.8401978153713036`*^9},
 CellLabel->"In[1]:=",ExpressionUUID->"ec979c32-f678-4c1e-831e-74df855cf42f"],

Cell["\<\
See references:
S. Stellmer, B. Pasquiou, R. Grimm, and F. Schreck, Laser Cooling to Quantum \
Degeneracy, Phys. Rev. Lett. 110, 263003 (2013).
J. S\[ODoubleDot]ding, D. Gu\[EAcute]ry-Odelin, P. Desbiolles, F. Chevy, H. \
Inamori, and J. Dalibard, Three-Body Decay of a Rubidium Bose-Einstein \
Condensate, Appl. Phys. B 69, 257 (1999).
B. Jackson and E. Zaremba, Modeling Bose-Einstein Condensed Gases at Finite \
Temperatures with N-Body Simulations, Phys. Rev. A 66, 033606 (2002).\
\>", "Text",
 CellChangeTimes->{{3.840172132347146*^9, 
  3.840172182840019*^9}},ExpressionUUID->"f2e807ee-6ef4-49ef-9940-\
d6f8e57d2e9c"],

Cell[CellGroupData[{

Cell["SSBEC experiment, harmonic approximation", "Section",
 CellChangeTimes->{{3.721657938130308*^9, 3.721657962491701*^9}, {
  3.781243177526231*^9, 3.7812431817364717`*^9}, {3.7954415066110077`*^9, 
  3.7954415107962465`*^9}, {3.7954416628979464`*^9, 3.7954416726935067`*^9}, {
  3.8401722256819468`*^9, 3.840172231432062*^9}, {3.8401833148991494`*^9, 
  3.8401833191041965`*^9}, {3.840280324704692*^9, 
  3.8402803274540243`*^9}},ExpressionUUID->"e2afa3b2-e949-4f0b-a6fe-\
41d50f05c5dc"],

Cell[CellGroupData[{

Cell["Input parameters", "Subsection",
 CellChangeTimes->{{3.720181220017393*^9, 3.7201812301199703`*^9}, {
  3.7812432431539845`*^9, 
  3.7812432476842437`*^9}},ExpressionUUID->"1b86051f-61cc-4b0a-9c23-\
4235d0340ab0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"mAssSr", " ", "=", "  ", 
    RowBox[{"mSr84", "/", "au"}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "atomic", " ", "unit", " ", "au"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"aScat", " ", "=", " ", 
    RowBox[{"a1S0iso84", " ", "/", "aB"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TempCloud", " ", "=", 
   RowBox[{"1.08", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "K"}], ",", " ", 
    RowBox[{"fixed", " ", "by", " ", "the", " ", 
     RowBox[{"experiment", "'"}], "s", " ", "cooling", " ", "capability"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"NatBECTest", " ", "=", 
   RowBox[{"7.4", "*", 
    RowBox[{"10", "^", "3."}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "desired", " ", "number", " ", "of", " ", "atoms", " ", "in", " ", "the", 
    " ", "BEC"}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Dimple", " ", "trap", " ", "frequencies"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"\[Omega]xDT", "=", 
   RowBox[{"2.", "*", "Pi", "*", " ", "330."}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]yDT", "=", 
   RowBox[{"2.", "*", "Pi", "*", "740."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]zDT", "=", 
   RowBox[{"2.", "*", "Pi", "*", " ", "315."}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]IsoDT", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
      "\[Omega]xDT", " ", "*", "\[Omega]yDT", "*", " ", "\[Omega]zDT"}], 
      ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"calculation", " ", "boundaries", " ", 
     RowBox[{"(", 
      RowBox[{"for", " ", 
       RowBox[{"BEC", " ", "/", " ", "thermal"}], " ", 
       RowBox[{"cloud", " ", "/", " ", "transparency"}], " ", "region"}], 
      ")"}]}], ",", " ", 
    RowBox[{
    "usually", " ", "no", " ", "need", " ", "to", " ", "change", " ", 
     "them"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xMaxBEC", "=", " ", 
   RowBox[{"13.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxBEC", "=", 
   RowBox[{"6.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxBEC", " ", "=", " ", 
   RowBox[{"15.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"xMaxBEC2", "=", " ", 
   RowBox[{"7.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxBEC2", "=", 
   RowBox[{"3.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxBEC2", " ", "=", " ", 
   RowBox[{"8.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"xMaxTh", " ", "=", " ", 
   RowBox[{"27.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxTh", " ", "=", " ", 
   RowBox[{"15.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxTh", " ", "=", 
   RowBox[{"30.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Average isotropic temperature: \>\"", ",", 
    RowBox[{"TempCloud", "*", 
     RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.6705060134472785`*^9, 3.6705063316287174`*^9}, {
   3.6705063744487767`*^9, 3.6705064550088882`*^9}, {3.6705064915209384`*^9, 
   3.6705066804911995`*^9}, {3.6705067293012667`*^9, 
   3.6705067436812863`*^9}, {3.6705067859413447`*^9, 
   3.6705069103915167`*^9}, {3.670506994671633*^9, 3.670507004841647*^9}, {
   3.6705070450017023`*^9, 3.6705070570017185`*^9}, {3.670507155592855*^9, 
   3.6705072480429826`*^9}, {3.6705073453731165`*^9, 
   3.6705074762032976`*^9}, {3.6705075128933477`*^9, 
   3.6705075464433947`*^9}, {3.6705076435935287`*^9, 3.670507732093651*^9}, {
   3.6705077943837366`*^9, 3.67050780425375*^9}, {3.670507841103801*^9, 
   3.67050785488382*^9}, {3.6705078886138663`*^9, 3.670508298995433*^9}, {
   3.670508350655504*^9, 3.6705083639855223`*^9}, {3.6705084949957037`*^9, 
   3.6705085146357307`*^9}, {3.670508578955819*^9, 3.67050857974582*^9}, {
   3.6705086805159597`*^9, 3.670508683825964*^9}, {3.6705087410160427`*^9, 
   3.6705087421260443`*^9}, {3.670573259870878*^9, 3.670573260580879*^9}, {
   3.670573799502623*^9, 3.6705738439226847`*^9}, 3.670573964732851*^9, {
   3.670574161783123*^9, 3.670574173363139*^9}, {3.6705807735689363`*^9, 
   3.670580876689079*^9}, {3.670582695557665*^9, 3.6705827393377256`*^9}, {
   3.6705829178889723`*^9, 3.6705830030990896`*^9}, {3.670583037049136*^9, 
   3.6705830517691565`*^9}, {3.6705832267993984`*^9, 3.670583231519405*^9}, {
   3.670583317249523*^9, 3.670583320369528*^9}, {3.6705834934607663`*^9, 
   3.6705835058607836`*^9}, {3.670583790251176*^9, 3.6705838326412344`*^9}, {
   3.670590191043731*^9, 3.6705902075337543`*^9}, {3.670598515862998*^9, 
   3.6705985291030164`*^9}, {3.6705986458441772`*^9, 3.670598648004181*^9}, {
   3.670599387396201*^9, 3.670599390976206*^9}, 3.6706000391371145`*^9, {
   3.6706001227672305`*^9, 3.670600123187231*^9}, {3.6706008937622957`*^9, 
   3.670600894082296*^9}, {3.6706011683326745`*^9, 3.670601184712697*^9}, {
   3.6706014644630833`*^9, 3.67060149128312*^9}, {3.6706016133252897`*^9, 
   3.6706017087674227`*^9}, {3.67060178660853*^9, 3.670601786898531*^9}, {
   3.670602023529857*^9, 3.6706020296098657`*^9}, {3.681796547646595*^9, 
   3.68179656731472*^9}, {3.681797131609996*^9, 3.6817971388794117`*^9}, {
   3.6817972567821555`*^9, 3.681797331213413*^9}, {3.681797368280533*^9, 
   3.6817974673552*^9}, {3.6817975085815573`*^9, 3.6817976178398066`*^9}, {
   3.681797659052164*^9, 3.681797812867962*^9}, {3.6817978757445583`*^9, 
   3.6817978793017616`*^9}, {3.681807018798511*^9, 3.681807042754881*^9}, {
   3.681807083724224*^9, 3.681807111816831*^9}, {3.681807143248629*^9, 
   3.681807150640052*^9}, {3.681807344880162*^9, 3.6818074633809395`*^9}, {
   3.681807508964547*^9, 3.681807615773656*^9}, {3.681807715169341*^9, 
   3.6818077306652274`*^9}, {3.681807852271183*^9, 3.6818079106415215`*^9}, 
   3.68180801814267*^9, {3.681808274467331*^9, 3.681808274658342*^9}, 
   3.681808307765236*^9, {3.6818084611120067`*^9, 3.6818084717686157`*^9}, {
   3.681808582119928*^9, 3.681808583852027*^9}, {3.6818105383788195`*^9, 
   3.681810538846846*^9}, {3.681810620697528*^9, 3.6818106219806013`*^9}, {
   3.6818106952397914`*^9, 3.6818107028912287`*^9}, {3.6818107968846054`*^9, 
   3.681810797284628*^9}, {3.6818109962380075`*^9, 3.681811026996767*^9}, 
   3.6818119686246247`*^9, {3.6818129889259825`*^9, 3.681812990653082*^9}, 
   3.681816711875923*^9, 3.6818177996871424`*^9, 3.68181794738059*^9, {
   3.6818179854647684`*^9, 3.6818179867998447`*^9}, {3.681820529102256*^9, 
   3.681820547859329*^9}, {3.681820580440192*^9, 3.6818206410246572`*^9}, {
   3.681820690053462*^9, 3.681820721388254*^9}, {3.681821022415472*^9, 
   3.681821043671688*^9}, {3.6818211259833956`*^9, 3.681821150269785*^9}, {
   3.6818212009416833`*^9, 3.6818212011406946`*^9}, {3.681824335980997*^9, 
   3.6818243369340515`*^9}, 3.6818244684665747`*^9, {3.6818245149492335`*^9, 
   3.6818245506302743`*^9}, {3.681825864488423*^9, 3.681825899984453*^9}, {
   3.6818259826361804`*^9, 3.6818259908306494`*^9}, {3.6818260275877514`*^9, 
   3.6818260287698193`*^9}, 3.6818280916898117`*^9, {3.6818288250697584`*^9, 
   3.681828827328888*^9}, 3.6818290074781914`*^9, {3.681829062977366*^9, 
   3.681829070411791*^9}, {3.6818293416073027`*^9, 3.6818293627585125`*^9}, {
   3.681829454208743*^9, 3.681829477492075*^9}, {3.681829613048828*^9, 
   3.6818296146449194`*^9}, {3.6822462620947514`*^9, 
   3.6822464538750157`*^9}, {3.682246591646206*^9, 3.682246591816206*^9}, {
   3.6822474960034723`*^9, 3.682247513623496*^9}, {3.682247582903592*^9, 
   3.6822475928536053`*^9}, {3.6822478770090003`*^9, 
   3.6822478820490074`*^9}, {3.685010030523532*^9, 3.68501009621929*^9}, {
   3.685014872111455*^9, 3.6850148730475087`*^9}, {3.6850164266803713`*^9, 
   3.6850164585361934`*^9}, {3.6855557250394945`*^9, 
   3.6855557549752064`*^9}, {3.6855558013118567`*^9, 
   3.6855558437682853`*^9}, {3.6855558870157585`*^9, 3.685555890903981*^9}, {
   3.6855559436719995`*^9, 3.6855559714955907`*^9}, {3.685556075104517*^9, 
   3.685556089167321*^9}, 3.6855561455435457`*^9, {3.6855561905291185`*^9, 
   3.6855561932312737`*^9}, {3.6855562510345793`*^9, 3.6855562640403233`*^9}, 
   3.6855563550725303`*^9, 3.6855568176889906`*^9, {3.68573287729165*^9, 
   3.6857329090194645`*^9}, {3.68573300300384*^9, 3.685733003683879*^9}, {
   3.6857331369315*^9, 3.6857331382275743`*^9}, {3.685733202180232*^9, 
   3.6857332028912725`*^9}, {3.6857332388833313`*^9, 
   3.6857332399873943`*^9}, {3.685733317099805*^9, 3.6857333178278465`*^9}, 
   3.685733413940344*^9, 3.6857334529315743`*^9, {3.6857334881165867`*^9, 
   3.6857334889876366`*^9}, {3.6859578096957517`*^9, 
   3.6859578106257524`*^9}, {3.704200696130089*^9, 3.704200698570092*^9}, {
   3.7042007723602085`*^9, 3.7042007731602097`*^9}, {3.7042008289802866`*^9, 
   3.704200917850409*^9}, {3.7042009501024733`*^9, 3.704200952212476*^9}, {
   3.7201755125559444`*^9, 3.7201755140330296`*^9}, {3.720175564314905*^9, 
   3.720175591389454*^9}, {3.720175642783393*^9, 3.720175643107412*^9}, {
   3.7201757938260326`*^9, 3.7201757941750526`*^9}, {3.7201758461130233`*^9, 
   3.7201758476561112`*^9}, 3.7201766222334146`*^9, {3.7201767201350145`*^9, 
   3.7201767212770796`*^9}, {3.720177128742385*^9, 3.7201771292504144`*^9}, {
   3.7201789623262606`*^9, 3.720178972006814*^9}, {3.7201798346011515`*^9, 
   3.7201798424526005`*^9}, {3.720179890473347*^9, 3.7201798925454655`*^9}, {
   3.720180344477315*^9, 3.7201803454193687`*^9}, {3.7201807028648133`*^9, 
   3.7201807046289144`*^9}, {3.7201808673092194`*^9, 
   3.7201808683202767`*^9}, {3.720180988405145*^9, 3.720180990220249*^9}, {
   3.720181185125397*^9, 3.7201811866854863`*^9}, {3.7201813275725446`*^9, 
   3.72018132784156*^9}, 3.720181932156125*^9, 3.7201822640471077`*^9, 
   3.7201824745211463`*^9, 3.720182804792037*^9, {3.7201849637070627`*^9, 
   3.720184964101085*^9}, 3.7201854708680706`*^9, {3.7211286601607075`*^9, 
   3.7211286604147215`*^9}, {3.7211337024261084`*^9, 3.721133702750127*^9}, 
   3.721137579847884*^9, {3.721379286480474*^9, 3.721379286750474*^9}, {
   3.7213793450515547`*^9, 3.7213793483415594`*^9}, {3.721384481819138*^9, 
   3.7213844833462253`*^9}, {3.721384538867401*^9, 3.721384543786682*^9}, {
   3.7213845760175257`*^9, 3.721384585865089*^9}, {3.7213846220261574`*^9, 
   3.72138462381726*^9}, {3.7213846760572476`*^9, 3.7213846769292974`*^9}, {
   3.721384743289093*^9, 3.7213847474403305`*^9}, {3.721386762107337*^9, 
   3.7213867790573063`*^9}, {3.72138700168904*^9, 3.721387008903453*^9}, {
   3.7214670579431496`*^9, 3.721467062934435*^9}, 3.7214856658705573`*^9, {
   3.7214859763872995`*^9, 3.7214859797394905`*^9}, {3.7214870769562483`*^9, 
   3.721487104522825*^9}, 3.72148734204241*^9, 3.721487449937581*^9, 
   3.7214874986563683`*^9, {3.7214875905926266`*^9, 3.7214876246735754`*^9}, {
   3.7214881181398*^9, 3.721488132531624*^9}, {3.721489100463986*^9, 
   3.7214891046052227`*^9}, 3.7214892551088314`*^9, {3.721546352188744*^9, 
   3.721546391259979*^9}, {3.721549009718418*^9, 3.7215490214418497`*^9}, 
   3.72154922985345*^9, {3.7215553600231857`*^9, 3.7215553627373924`*^9}, {
   3.7215769527418118`*^9, 3.7215769661575794`*^9}, {3.721580537983374*^9, 
   3.7215805407933793`*^9}, {3.7215808785478573`*^9, 
   3.7215808863286715`*^9}, {3.7215812264577065`*^9, 3.721581231604518*^9}, {
   3.7215813172904806`*^9, 3.7215813380225205`*^9}, {3.721581508508638*^9, 
   3.721581518970657*^9}, {3.72158155203812*^9, 3.7215816084078684`*^9}, {
   3.7215822265764112`*^9, 3.721582230456633*^9}, {3.7215822899530363`*^9, 
   3.721582290104045*^9}, {3.7215836899177103`*^9, 3.721583690925768*^9}, 
   3.721583758743647*^9, {3.721631034405193*^9, 3.7216310405299*^9}, {
   3.7216310828974514`*^9, 3.721631084731888*^9}, {3.7216331859399176`*^9, 
   3.7216332418981185`*^9}, {3.7216332736829367`*^9, 3.721633275859061*^9}, {
   3.721635244477659*^9, 3.721635245516719*^9}, {3.721635280830739*^9, 
   3.7216353314116316`*^9}, 3.7216517987929225`*^9, {3.7216518854088764`*^9, 
   3.7216519380468874`*^9}, {3.72165202639194*^9, 3.721652083278194*^9}, 
   3.7216521260156384`*^9, {3.721652165086873*^9, 3.721652165324887*^9}, {
   3.721652271309949*^9, 3.72165231976472*^9}, {3.7216523524375887`*^9, 
   3.721652352644601*^9}, {3.721652450397192*^9, 3.7216524715083995`*^9}, {
   3.721652526492544*^9, 3.721652526643553*^9}, {3.7216526905949306`*^9, 
   3.7216526910579567`*^9}, {3.721652734842461*^9, 3.721652735377492*^9}, {
   3.7216528234585295`*^9, 3.721652823953558*^9}, {3.721653283814861*^9, 
   3.721653299117736*^9}, 3.7216563206897955`*^9, 3.7216565295607424`*^9, 
   3.7216569405092473`*^9, 3.7216571111480074`*^9, {3.7216571666191797`*^9, 
   3.721657166819192*^9}, {3.721657205099381*^9, 3.721657205193386*^9}, 
   3.7216573151136737`*^9, {3.721657346210452*^9, 3.721657346537471*^9}, {
   3.7216573824745264`*^9, 3.7216574126732535`*^9}, {3.7216576267284966`*^9, 
   3.721657626871505*^9}, {3.7216577004157114`*^9, 3.721657700543719*^9}, {
   3.7216578682783127`*^9, 3.721657889128505*^9}, {3.721658089094943*^9, 
   3.72165809289316*^9}, {3.721658147548286*^9, 3.7216581487663555`*^9}, {
   3.721658215380166*^9, 3.721658215508173*^9}, {3.721658451442668*^9, 
   3.721658451601677*^9}, 3.72165897860782*^9, {3.72165927758292*^9, 
   3.721659277836935*^9}, 3.7216593316530128`*^9, {3.7216594299236336`*^9, 
   3.7216594309306912`*^9}, {3.721980609164713*^9, 3.7219806092895136`*^9}, {
   3.722246964118188*^9, 3.7222469701875353`*^9}, {3.7222477665180826`*^9, 
   3.722247823397336*^9}, {3.723977469195091*^9, 3.7239774715152235`*^9}, {
   3.7362219875757337`*^9, 3.7362219881841345`*^9}, {3.7362227302756443`*^9, 
   3.7362227385191154`*^9}, {3.7362228181366696`*^9, 
   3.7362228190637226`*^9}, {3.7362229577176533`*^9, 3.736222958744712*^9}, {
   3.7362233838090243`*^9, 3.7362233860701537`*^9}, {3.736223480280542*^9, 
   3.736223483286714*^9}, {3.736223571402754*^9, 3.736223573907897*^9}, {
   3.7362286277711306`*^9, 3.736228628051931*^9}, {3.736228710966076*^9, 
   3.7362287112936764`*^9}, {3.7362287882330103`*^9, 
   3.7362287901362133`*^9}, {3.736228880928372*^9, 3.736228881411973*^9}, {
   3.7362289494124913`*^9, 3.7362289497400923`*^9}, {3.7505744803556046`*^9, 
   3.750574481625677*^9}, 3.7506842107861166`*^9, {3.750684435752984*^9, 
   3.750684583890457*^9}, {3.750685657582869*^9, 3.750685658692932*^9}, {
   3.750744098612191*^9, 3.7507441000542736`*^9}, {3.750744678207342*^9, 
   3.750744678620366*^9}, {3.750745941986626*^9, 3.750745943039686*^9}, {
   3.750746072278078*^9, 3.750746080119527*^9}, {3.7507473729654737`*^9, 
   3.750747373221488*^9}, {3.7507474836758056`*^9, 3.750747483979823*^9}, 
   3.750747542542173*^9, {3.750763647554327*^9, 3.750763647868345*^9}, {
   3.7507637976109095`*^9, 3.7507637978539233`*^9}, {3.7507638368471537`*^9, 
   3.7507638371731725`*^9}, {3.777712793496577*^9, 3.777712813543723*^9}, {
   3.7777129614681845`*^9, 3.77771296297227*^9}, {3.7777190084080496`*^9, 
   3.7777190112712135`*^9}, {3.777719664767591*^9, 3.777719667911771*^9}, {
   3.7794199911047573`*^9, 3.7794199931868763`*^9}, {3.7794201524639864`*^9, 
   3.7794201530400195`*^9}, {3.779420285664605*^9, 3.779420290418877*^9}, {
   3.7794203625030003`*^9, 3.7794203642511*^9}, {3.7794208537851*^9, 
   3.779420855848218*^9}, {3.779420905853078*^9, 3.7794209075171733`*^9}, {
   3.7794209448713093`*^9, 3.7794209462703896`*^9}, {3.77942098543963*^9, 
   3.7794209871107254`*^9}, {3.7794210351364727`*^9, 3.779421039165703*^9}, {
   3.7794210773208857`*^9, 3.7794210786979637`*^9}, {3.779421118062216*^9, 
   3.7794211214174075`*^9}, {3.779796217440748*^9, 3.779796217783949*^9}, {
   3.779796314101319*^9, 3.779796314382119*^9}, 3.780322288186262*^9, {
   3.780912279709841*^9, 3.7809122991109505`*^9}, {3.780914113152708*^9, 
   3.780914197167513*^9}, {3.780918136254816*^9, 3.780918138362937*^9}, {
   3.7809193806919937`*^9, 3.780919383293143*^9}, {3.780981635049055*^9, 
   3.7809816353760734`*^9}, {3.7809817882778187`*^9, 3.7809817885978374`*^9}, 
   3.7809821493904734`*^9, 3.7809830367752285`*^9, {3.7812414019986763`*^9, 
   3.7812415012333527`*^9}, {3.7812415781587524`*^9, 
   3.7812415789187956`*^9}, {3.785419520688731*^9, 3.7854195236829023`*^9}, {
   3.7867940660349407`*^9, 3.78679406671598*^9}, {3.786794105322188*^9, 
   3.7867941108785057`*^9}, {3.7867941415152583`*^9, 
   3.7867941892859907`*^9}, {3.79086283154325*^9, 3.790862864465133*^9}, {
   3.790862966757984*^9, 3.7908629691381197`*^9}, {3.790863040770217*^9, 
   3.790863041782275*^9}, {3.7908632750036144`*^9, 3.7908632936416807`*^9}, {
   3.790863365000762*^9, 3.7908633652207747`*^9}, {3.790864386607195*^9, 
   3.790864389741374*^9}, {3.791008143917379*^9, 3.7910081506727657`*^9}, {
   3.791008221645825*^9, 3.7910082235299325`*^9}, {3.791008276179944*^9, 
   3.791008306281666*^9}, {3.791008336321384*^9, 3.791008361010796*^9}, {
   3.791010008514028*^9, 3.7910100086750374`*^9}, {3.7910113648276043`*^9, 
   3.791011367407752*^9}, {3.7910114010846786`*^9, 3.7910114017347155`*^9}, {
   3.7910114342605762`*^9, 3.7910114362366886`*^9}, {3.791011731169558*^9, 
   3.7910117445053205`*^9}, {3.7910119120109015`*^9, 3.791011924827635*^9}, {
   3.7910119763975844`*^9, 3.7910119813998704`*^9}, {3.791012885840602*^9, 
   3.7910129405307293`*^9}, {3.7910129708454638`*^9, 
   3.7910129712834883`*^9}, {3.791014211517426*^9, 3.7910142119144487`*^9}, {
   3.791014855938285*^9, 3.791014856154297*^9}, {3.7910151481549983`*^9, 
   3.791015148289006*^9}, {3.7910152609784517`*^9, 3.7910152617824974`*^9}, {
   3.7910153557698736`*^9, 3.7910153563459063`*^9}, {3.791015689732975*^9, 
   3.791015690412014*^9}, {3.7910158355513153`*^9, 3.791015835833331*^9}, {
   3.7910338350972214`*^9, 3.791033835611251*^9}, {3.7910346822426753`*^9, 
   3.791034683240732*^9}, {3.791035100947624*^9, 3.791035101293644*^9}, {
   3.7910360580833693`*^9, 3.7910360583303833`*^9}, {3.792155644952961*^9, 
   3.7921556463520412`*^9}, {3.792322036145445*^9, 3.7923220364414616`*^9}, {
   3.792322367244383*^9, 3.7923223685514574`*^9}, {3.7923223990132*^9, 
   3.7923224078307037`*^9}, {3.792326560205206*^9, 3.7923265719558783`*^9}, {
   3.7923279900119867`*^9, 3.7923280171315374`*^9}, {3.7930952510430913`*^9, 
   3.79309525871453*^9}, {3.7948267160886555`*^9, 3.7948267203308983`*^9}, {
   3.7948267553499017`*^9, 3.7948267973403034`*^9}, {3.79482711495747*^9, 
   3.7948271250010443`*^9}, {3.795431698886038*^9, 3.795431703136281*^9}, {
   3.795433028270074*^9, 3.795433028576092*^9}, {3.795433085908371*^9, 
   3.795433104094411*^9}, {3.7954346183150196`*^9, 3.795434634702957*^9}, {
   3.795436470271945*^9, 3.795436470772974*^9}, {3.795441204974755*^9, 
   3.7954412074248953`*^9}, {3.7954415660464067`*^9, 
   3.7954415949320593`*^9}, {3.795497703356867*^9, 3.795497723027992*^9}, {
   3.7954984244271097`*^9, 3.795498425425167*^9}, {3.7954998218930397`*^9, 
   3.795499847551508*^9}, {3.7954998964143023`*^9, 3.7954999105051084`*^9}, {
   3.795501155447315*^9, 3.795501183787936*^9}, {3.80198449336639*^9, 
   3.8019844968735905`*^9}, {3.815723156545473*^9, 3.815723180915867*^9}, {
   3.8157232186980286`*^9, 3.815723230591708*^9}, {3.815723292664259*^9, 
   3.8157233262431793`*^9}, {3.815723419321503*^9, 3.8157234406047206`*^9}, {
   3.8157237764409294`*^9, 3.8157237766359406`*^9}, {3.8157238227925806`*^9, 
   3.8157238232296057`*^9}, {3.8157280639261594`*^9, 
   3.8157280706815457`*^9}, {3.815728562759691*^9, 3.8157285657778635`*^9}, {
   3.8157290591230817`*^9, 3.8157290619382424`*^9}, {3.81573060551553*^9, 
   3.815730609661767*^9}, {3.8157306919974766`*^9, 3.8157306949876475`*^9}, {
   3.815730744698491*^9, 3.8157307475976567`*^9}, 3.8401722549426155`*^9, 
   3.8402512383169484`*^9, {3.840251376720147*^9, 3.840251380461211*^9}, {
   3.8402559524656878`*^9, 3.8402559575793324`*^9}, {3.8402560777221417`*^9, 
   3.84025608396982*^9}, {3.8402573699528933`*^9, 3.8402573748883743`*^9}, {
   3.8402574057321315`*^9, 3.8402574342891006`*^9}, {3.8402574756901875`*^9, 
   3.8402574758750877`*^9}, {3.840257887465089*^9, 3.8402578940606775`*^9}, {
   3.8402579316576366`*^9, 3.840257934819002*^9}, 3.840273888772343*^9},
 CellLabel->"In[9]:=",ExpressionUUID->"6c5412ac-fc92-4db3-bbe8-6f6104ea314d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Average isotropic temperature: \"\>", "\[InvisibleSpace]", 
   "1.08`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Average isotropic temperature: ", 1.08, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.792328017712571*^9, 3.7923289344100027`*^9, 3.792328979520583*^9, 
   3.793095212332877*^9, 3.7930952596105814`*^9, 3.793102909761145*^9, 
   3.7931033216627045`*^9, 3.793509798053353*^9, 3.794826812916194*^9, 
   3.794827125209056*^9, 3.795425395372497*^9, 3.7954275357269187`*^9, 
   3.7954289357109933`*^9, 3.7954291784408765`*^9, 3.795429477229966*^9, 
   3.795430270950364*^9, 3.7954318710448847`*^9, 3.7954331160220933`*^9, 
   3.7954346360270324`*^9, 3.7954369294542093`*^9, {3.7954411964872694`*^9, 
   3.795441229796174*^9}, 3.7954445114138727`*^9, {3.7954976994746447`*^9, 
   3.7954977051819715`*^9}, 3.7954984272452707`*^9, 3.7954997438405757`*^9, 
   3.7955001481767025`*^9, 3.795501184474975*^9, 3.7955044206910763`*^9, 
   3.7964706380764885`*^9, 3.798280597619022*^9, {3.8019844907302394`*^9, 
   3.8019845034269657`*^9}, 3.8157231838270335`*^9, 3.8157232319837885`*^9, 
   3.8157232953714137`*^9, 3.815723360637147*^9, {3.8157234350594034`*^9, 
   3.8157234413967657`*^9}, 3.815723777952016*^9, 3.8157238238256397`*^9, 
   3.815725424502193*^9, 3.8157263896983995`*^9, 3.8157265169716787`*^9, 
   3.8157275499167595`*^9, 3.8157277867773075`*^9, {3.815728066091283*^9, 
   3.8157280714985924`*^9}, 3.8157286340477686`*^9, 3.8157290630413055`*^9, 
   3.8157306099617844`*^9, 3.8157306953826704`*^9, 3.815730758722293*^9, 
   3.8157375261833696`*^9, 3.8157383625252056`*^9, 3.840251299244791*^9, 
   3.840251492313644*^9, 3.8402559583437557`*^9, 3.840256084417777*^9, 
   3.8402573756059084`*^9, {3.840257406186569*^9, 3.8402574346524277`*^9}, 
   3.84025747687717*^9, 3.840257781971203*^9, 3.8402579451139956`*^9, 
   3.840260191883144*^9, 3.840273925172372*^9},
 CellLabel->
  "During evaluation of \
In[9]:=",ExpressionUUID->"11d0f418-ff98-4818-9d41-55a4ef4e8de1"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Self consistent evaluation of Nth for a fixed Nbec and Temp", \
"Subsection",
 CellChangeTimes->{{3.7213797517345233`*^9, 3.7213797879645734`*^9}, {
  3.750685679896145*^9, 3.7506856865615263`*^9}, {3.7954336196228976`*^9, 
  3.7954336495026064`*^9}},ExpressionUUID->"591bceb2-2cfa-43fa-a12d-\
f78f409a7b9e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NInterpPts", " ", "=", "40."}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbLoopPerStep", " ", "=", "5."}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbLoopStep", " ", "=", " ", "40."}], ";"}], " ", 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gScat", " ", "=", 
   RowBox[{"4.", "*", "Pi", "*", 
    RowBox[{"aScat", "/", "mAssSr"}]}]}], " ", ";", "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"hbarre", "^", "2"}], "*", 
    RowBox[{"aB", "/", "au"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"factAuxNatAniso", " ", "=", " ", 
   RowBox[{"hbarre", "/", 
    RowBox[{"(", 
     RowBox[{"2.", "*", "Pi", "*", 
      RowBox[{"aB", "^", "2."}], "*", "au"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxDensity", " ", "=", " ", 
    RowBox[{"2.", "*", 
     RowBox[{"Pi", "/", 
      RowBox[{"(", 
       RowBox[{"hbarre", "*", 
        RowBox[{"aB", "/", "au"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aHODTiso", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"1.", "/", " ", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "\[Omega]IsoDT"}], ")"}]}], "*", 
      "hbarreOverAu"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTh0Init", " ", "=", " ", "0."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0BECInit", " ", "=", " ", 
   RowBox[{
    RowBox[{"\[Omega]IsoDT", "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "gScat"}], ")"}]}], "*", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"15.", "*", "NatBECTest", "*", "aScat", "*", 
        RowBox[{"aB", "/", "aHODTiso"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"2", "*", "Pi", " ", "*", " ", 
    RowBox[{
     RowBox[{"hbarre", " ", "/", " ", 
      RowBox[{"hbarre", "^", "2"}]}], " ", "/", "aB"}], " ", "*", " ", "au"}],
    "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Mu]Chem", " ", "=", "  ", 
   RowBox[{"gScat", " ", "*", " ", 
    RowBox[{"(", 
     RowBox[{"n0BECInit", "+", 
      RowBox[{"2.", "*", "nTh0Init"}]}], ")"}]}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "Hz"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"nThTab", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "0."}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"xMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{
          RowBox[{"-", "yMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"yMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{
          RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"zMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", "2"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nThInterpFunInit", "=", " ", 
    RowBox[{"Interpolation", "[", "nThTab", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]deBroglieFun", "[", "Temp_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2.", "*", 
      RowBox[{"Pi", "/", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "Temp"}], ")"}]}], " ", "*", " ", 
      "hbarreOverAu", " ", "*", " ", "hbarreOverkB"}], "]"}], " ", "/", " ", 
    "aB"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxnThFun", "[", "Temp_", "]"}], ":=", 
   RowBox[{"1.", "/", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]deBroglieFun", "[", "Temp", "]"}], ")"}], "^", 
       "3."}], " ", "*", " ", 
      RowBox[{"aB", "^", "3."}], "*", "factAuxDensity"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"VDTFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{
     RowBox[{"mAssSr", "/", "2."}], "*", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Omega]xDT", "^", "2."}], "*", 
        RowBox[{"x", "^", "2."}]}], "+", 
       RowBox[{
        RowBox[{"\[Omega]yDT", "^", "2."}], "*", 
        RowBox[{"y", "^", "2."}]}], "+", 
       RowBox[{
        RowBox[{"\[Omega]zDT", "^", "2."}], "*", 
        RowBox[{"z", "^", "2."}]}]}], ")"}], "*", 
     RowBox[{"aB", "^", "2."}], "*", " ", "auOverCtePlanck"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_", ",", 
      RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
        RowBox[{"2.", "*", "gScat", "*", "factgScat", "*", 
         RowBox[{"nThFun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ",", "0."}], 
      "]"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbBECFun", "[", 
     RowBox[{
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_", ",", 
      RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{"8.", "*", 
     RowBox[{
      RowBox[{"Quiet", "[", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"nBECFun", "[", 
          RowBox[{
          "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThFun", ",", 
           "factgScat"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.", ",", "xMaxBEC2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "0.", ",", "yMaxBEC2"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", "0.", ",", "zMaxBEC2"}], "}"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
         RowBox[{"PrecisionGoal", "\[Rule]", "4"}], ",", 
         RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}],
        "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"UFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThOldFun_", ",", 
     RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"VDTFun", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", "+", " ", 
    RowBox[{"2.", "*", "gScat", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{
        "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun", ",", 
         "factgScat"}], "]"}], "+", " ", 
       RowBox[{"nThOldFun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_", ",", 
     RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"UFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun", ",", 
          "factgScat"}], "]"}]}], ")"}], "/", "Temp"}], "*", 
     "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_", ",", 
      RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThOldFun", ",", "factgScat"}], "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"selfConsitentLoopFun", "[", 
     RowBox[{"{", 
      RowBox[{
      "nThInterpFun_", ",", "\[Mu]Chem_", ",", "\[Mu]ChemOld_", ",", 
       "LoopCount_"}], "}"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "nThTabAux", ",", "nThInterpFunRes", ",", "\[Mu]ChemRes", ",", 
        "factgScat"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"factgScat", " ", "=", " ", 
        RowBox[{"Min", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Floor", "[", 
              RowBox[{"LoopCount", "/", "NbLoopPerStep"}], "]"}], "+", "1."}],
             ")"}], "/", "NbLoopStep"}], ",", "1."}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<Current value of gScat factor: \>\"", ",", "factgScat"}],
         "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"nThTabAux", " ", "=", " ", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"nThFun", "[", 
               RowBox[{
               "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "TempCloud", 
                ",", "nThInterpFun", ",", "factgScat"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"xMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{
               RowBox[{"-", "yMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"yMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"zMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", 
          "2"}], "]"}]}], ";", 
       RowBox[{"nThInterpFunRes", "=", " ", 
        RowBox[{"Interpolation", "[", "nThTabAux", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]ChemRes", "=", " ", 
        RowBox[{"\[Mu]ChemBEC", "/.", " ", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"NbBECFun", "[", 
             RowBox[{
             "\[Mu]ChemBEC", ",", "nThInterpFunRes", ",", "factgScat"}], 
             "]"}], "\[Equal]", "   ", "NatBECTest"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Mu]ChemBEC", ",", 
             RowBox[{"\[Mu]Chem", "*", "1.2"}]}], "}"}], ",", 
           RowBox[{"Evaluated", "\[Rule]", " ", "False"}], ",", 
           RowBox[{"MaxIterations", "\[Rule]", " ", "50"}], ",", 
           RowBox[{"AccuracyGoal", "\[Rule]", "10"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Current value of chemical potential: \>\"", ",", "\[Mu]ChemRes", 
         ",", "\"\< Hz\>\""}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nThInterpFunRes", ",", "\[Mu]ChemRes", ",", "\[Mu]Chem", ",", 
         RowBox[{"LoopCount", "+", "1"}]}], "}"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aux1Fun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"x", "/", "xMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"y", "/", "yMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"z", "/", "zMaxTh"}], "]"}], ")"}], "^", "1.5"}]}], ")"}], 
    "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"aux2Fun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"x", "/", 
           RowBox[{"(", 
            RowBox[{"xMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"y", "/", 
           RowBox[{"(", 
            RowBox[{"yMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"z", "/", 
           RowBox[{"(", 
            RowBox[{"zMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}]}], ")"}], "/", "2."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"VDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nTh2Fun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Z2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThExtendedFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThInterpFun_", ",", 
      RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"aux1Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aux2Fun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", 
        RowBox[{"nThFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThInterpFun", ",", "factgScat"}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], ",", "0."}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbThFun", "[", 
    RowBox[{"\[Mu]Chem_", ",", "Temp_", ",", "nThInterpFun_", ",", 
     RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", 
   RowBox[{"8.", "*", " ", 
    RowBox[{
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
        "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
         "nThInterpFun", ",", "factgScat"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", "0.", ",", "yMaxTh"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
       RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
       RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
     "/", "factAuxNatAniso"}]}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.795412272675922*^9, 3.7954122733979635`*^9}, {
   3.795412338503687*^9, 3.7954123395937495`*^9}, {3.7954124414115734`*^9, 
   3.7954125545510445`*^9}, {3.795412602645795*^9, 3.7954126028588076`*^9}, {
   3.795412641986045*^9, 3.795412672181772*^9}, {3.7954127276239433`*^9, 
   3.795412727969963*^9}, {3.795412802308215*^9, 3.7954129253082504`*^9}, {
   3.7954129567280474`*^9, 3.7954129985764413`*^9}, {3.7954130524345217`*^9, 
   3.7954130688094583`*^9}, {3.7954131738404655`*^9, 
   3.7954131821739426`*^9}, {3.795413298957622*^9, 3.7954133254101353`*^9}, {
   3.7954134760787525`*^9, 3.7954135066395006`*^9}, {3.7954135429855795`*^9, 
   3.7954137009686155`*^9}, {3.7954137321614*^9, 3.795413737549708*^9}, 
   3.7954137685704823`*^9, {3.795413863906935*^9, 3.7954138970708323`*^9}, {
   3.795413975689329*^9, 3.7954139764343715`*^9}, {3.795425005449195*^9, 
   3.7954250208070736`*^9}, {3.7954251594590034`*^9, 3.795425181198247*^9}, {
   3.7954253466877127`*^9, 3.7954253762114015`*^9}, {3.7954254409391036`*^9, 
   3.795425478726265*^9}, 3.795425536822588*^9, {3.7954255808941083`*^9, 
   3.795425634325165*^9}, {3.795425790490097*^9, 3.7954258183856926`*^9}, {
   3.7954258785161314`*^9, 3.7954259995520544`*^9}, {3.795426044443622*^9, 
   3.795426233835455*^9}, {3.795426537196806*^9, 3.7954266074378233`*^9}, {
   3.7954266600658336`*^9, 3.7954267045523777`*^9}, {3.7954267351641293`*^9, 
   3.7954267980517263`*^9}, {3.795426852222824*^9, 3.7954268679787254`*^9}, {
   3.7954269030007286`*^9, 3.7954269032427425`*^9}, {3.7954269832783203`*^9, 
   3.795427083169034*^9}, {3.79542712139222*^9, 3.795427127744583*^9}, {
   3.7954271649117093`*^9, 3.7954271817886744`*^9}, 3.7954275600773115`*^9, {
   3.7954276202647543`*^9, 3.7954276375347414`*^9}, 3.7954277665431204`*^9, {
   3.7954277989009714`*^9, 3.7954277995990114`*^9}, {3.7954278577423368`*^9, 
   3.795427892545327*^9}, {3.795427931265542*^9, 3.795427944648308*^9}, {
   3.795428058806837*^9, 3.7954280875334797`*^9}, {3.795428207570346*^9, 
   3.795428235397938*^9}, {3.795428276863309*^9, 3.7954283208918276`*^9}, {
   3.7954283918318853`*^9, 3.795428397111187*^9}, 3.7954291421097984`*^9, {
   3.795429443170018*^9, 3.7954294558067408`*^9}, {3.795429676046338*^9, 
   3.7954296763353543`*^9}, {3.795429969224107*^9, 3.7954299737993684`*^9}, {
   3.7954302001643157`*^9, 3.7954302012023754`*^9}, {3.7954314113425913`*^9, 
   3.7954314117536144`*^9}, {3.7954315154065433`*^9, 
   3.7954315579919786`*^9}, {3.795431890181979*^9, 3.795431890531999*^9}, 
   3.795432954083831*^9, {3.7954338308759804`*^9, 3.795433850961129*^9}, {
   3.7954368927101073`*^9, 3.7954368968943467`*^9}, 3.7954371532650104`*^9, {
   3.795437262779274*^9, 3.795437280441284*^9}, {3.7954373374385443`*^9, 
   3.7954373406827297`*^9}, 3.7954375579651575`*^9, {3.7954375896489697`*^9, 
   3.795437669130516*^9}, {3.795437770695325*^9, 3.795437771037345*^9}, {
   3.795439259206463*^9, 3.7954392703330994`*^9}, {3.7954393169097633`*^9, 
   3.795439349873649*^9}, {3.7954996735715566`*^9, 3.795499703605274*^9}, {
   3.7954999315233107`*^9, 3.7954999878055296`*^9}, {3.795500045195812*^9, 
   3.7955000616517534`*^9}, {3.795500402439245*^9, 3.795500402593254*^9}, {
   3.795500573894052*^9, 3.795500608371024*^9}, {3.795500639738818*^9, 
   3.7955006601759872`*^9}, {3.7955007342222223`*^9, 
   3.7955007987529135`*^9}, {3.7955008947094016`*^9, 3.795500905100996*^9}, {
   3.795501040455738*^9, 3.7955011358851957`*^9}, {3.79550438859624*^9, 
   3.795504388786251*^9}, {3.798280548834232*^9, 3.798280574608706*^9}, {
   3.798286208309935*^9, 3.7982862292831345`*^9}, {3.8157231076666775`*^9, 
   3.8157231200523863`*^9}, {3.8157232757682924`*^9, 3.815723281396614*^9}, {
   3.8157233698276725`*^9, 3.8157234130371437`*^9}, {3.815723447183097*^9, 
   3.815723613908633*^9}, {3.815723645618447*^9, 3.8157236908970366`*^9}, {
   3.815723955014143*^9, 3.815723955790188*^9}, {3.8157254489875937`*^9, 
   3.8157254676756625`*^9}, {3.8157255608459916`*^9, 3.815725561466027*^9}, {
   3.8157256919344893`*^9, 3.8157256922485075`*^9}, {3.815725867203514*^9, 
   3.8157258728168354`*^9}, {3.8157259638270407`*^9, 
   3.8157259672922387`*^9}, {3.815726137019947*^9, 3.81572613777499*^9}, {
   3.8157262179285746`*^9, 3.8157263293059444`*^9}, {3.8157264256164536`*^9, 
   3.815726488482049*^9}, {3.81572657521101*^9, 3.815726576665093*^9}, {
   3.8157267860970716`*^9, 3.8157268031740484`*^9}, {3.815726918755659*^9, 
   3.8157269213638086`*^9}, {3.8157274711482544`*^9, 3.815727490704373*^9}, {
   3.815727536543995*^9, 3.8157275935822573`*^9}, {3.8157277731415277`*^9, 
   3.8157277738945704`*^9}, {3.8157278262705665`*^9, 3.815727826560583*^9}, {
   3.815727860397518*^9, 3.815727882158763*^9}, {3.8157279657425437`*^9, 
   3.815727989784919*^9}, {3.8157280298372097`*^9, 3.8157280384097*^9}, {
   3.815728097034053*^9, 3.8157281169831944`*^9}, {3.815728182037915*^9, 
   3.8157282191090355`*^9}, {3.815728250782847*^9, 3.815728251123866*^9}, {
   3.815728285997861*^9, 3.8157284337323112`*^9}, {3.8157284874133816`*^9, 
   3.8157284911355944`*^9}, {3.8157285960905976`*^9, 
   3.8157285982207193`*^9}, {3.815728720931738*^9, 3.8157287422679586`*^9}, {
   3.8157287801011224`*^9, 3.815728867900144*^9}, {3.8157290214619274`*^9, 
   3.8157290358597507`*^9}, {3.8157290661774845`*^9, 3.8157290665075035`*^9}, 
   3.815729197273983*^9, {3.815737727467882*^9, 3.8157377466499796`*^9}, {
   3.8157379606062174`*^9, 3.8157379642674265`*^9}, {3.8157381259526744`*^9, 
   3.8157381464078445`*^9}, {3.8157382589702826`*^9, 3.815738287614921*^9}, {
   3.815738336310706*^9, 3.815738336692728*^9}, {3.815738407550781*^9, 
   3.8157384395156093`*^9}, {3.815738777411936*^9, 3.8157387831682653`*^9}, {
   3.815739169235347*^9, 3.8157391763047514`*^9}, {3.8157394527385626`*^9, 
   3.8157394594079437`*^9}, {3.840251338264688*^9, 3.840251338364936*^9}, {
   3.84025150787111*^9, 3.8402515088047843`*^9}, {3.8402515594548674`*^9, 
   3.8402515707679863`*^9}, {3.8402516355550346`*^9, 3.840251645302017*^9}, {
   3.8402516854844627`*^9, 3.840251686556276*^9}, {3.840251764995161*^9, 
   3.8402518403086634`*^9}, {3.840251913657692*^9, 3.840251973246253*^9}, 
   3.8402526947464075`*^9, {3.8402533001598816`*^9, 3.840253313054817*^9}, 
   3.8402534474321737`*^9, {3.8402534872089806`*^9, 3.8402535031208916`*^9}, {
   3.8402535711450553`*^9, 3.8402535735588284`*^9}, {3.840255602207428*^9, 
   3.84025560244802*^9}, 3.8402556596726356`*^9, 3.8402576379053016`*^9, {
   3.840257669826823*^9, 3.8402576710613337`*^9}, {3.840257740671088*^9, 
   3.840257764503725*^9}, {3.840257797545969*^9, 3.840257800600586*^9}, {
   3.840257941081698*^9, 3.840257943287021*^9}, {3.8402581140159535`*^9, 
   3.8402581676483183`*^9}, {3.840258321666235*^9, 3.8402583252223005`*^9}, {
   3.8402599197066517`*^9, 3.8402599465078273`*^9}, {3.840260020840459*^9, 
   3.8402600720385785`*^9}, {3.8402601147055817`*^9, 3.840260176187751*^9}, {
   3.840260687136786*^9, 3.840260691405672*^9}, {3.840262081860264*^9, 
   3.840262095047367*^9}, {3.840262284066161*^9, 3.8402622950637827`*^9}, {
   3.8402637980189295`*^9, 3.840263808515527*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"32af9096-6c6b-4c66-9ede-d2d517ad7075"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
   "nThInterpFunSol", ",", "\[Mu]ChemSol", ",", "\[Mu]ChemAux", ",", " ", 
    "LoopCounter"}], "}"}], "=", " ", 
  RowBox[{"NestWhile", "[", 
   RowBox[{"selfConsitentLoopFun", ",", 
    RowBox[{"{", 
     RowBox[{"nThInterpFunInit", ",", 
      RowBox[{"\[Mu]Chem", "*", "2."}], ",", "1.", ",", "0."}], "}"}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "-", 
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "]"}], "/", 
         RowBox[{"#", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], ">", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "3"}], ")"}]}]}], "||", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "4", "]"}], "]"}], " ", "<", " ", 
         RowBox[{"NbLoopPerStep", "*", "NbLoopStep"}]}], ")"}]}], ")"}], 
     "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.795431789724233*^9, 3.7954318089193316`*^9}, {
   3.7954324286467776`*^9, 3.795432428983797*^9}, {3.7954324599235663`*^9, 
   3.7954324602215834`*^9}, {3.7954338361732836`*^9, 3.7954338364613*^9}, {
   3.7954372906848707`*^9, 3.795437291167898*^9}, {3.8157255014655952`*^9, 
   3.815725502181636*^9}, {3.8157255720736337`*^9, 3.8157255727556725`*^9}, {
   3.8157375483296366`*^9, 3.8157375503927546`*^9}, {3.8157376335865126`*^9, 
   3.815737633978535*^9}, 3.815737664381274*^9, {3.8157378540791245`*^9, 
   3.8157378548061657`*^9}, 3.815738342861081*^9, {3.8157387873525047`*^9, 
   3.8157387880385437`*^9}, 3.8402535242235527`*^9, 3.8402557887186365`*^9, 
   3.84025846222646*^9, {3.840259970269339*^9, 3.8402600011726975`*^9}, 
   3.840260669926422*^9, 3.840263975958886*^9, 3.8402783244542627`*^9},
 CellLabel->"In[40]:=",ExpressionUUID->"3d96aa85-9b98-4786-885f-1ce56fbcf803"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.025`"}],
  SequenceForm["Current value of gScat factor: ", 0.025],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402783307204323`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"6cc79971-cc57-490a-8336-20b6c93fb901"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3904.2253927938377`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3904.2253927938377`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402783508595886`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8013426d-2f11-4493-b80a-fd6768320d30"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.025`"}],
  SequenceForm["Current value of gScat factor: ", 0.025],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278350922085*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3f7527cb-2d18-43d5-a9a9-95a74ed037fc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3903.735902469484`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3903.735902469484, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278368650957*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"65bd66e4-434d-4506-af80-9293a8e97595"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.025`"}],
  SequenceForm["Current value of gScat factor: ", 0.025],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402783687134542`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c6f0b476-1c9f-408e-9515-7ed018c3a732"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3903.9867344293402`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3903.9867344293402`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402783867161694`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a059475d-8437-4a85-9bdd-ac53563c5f96"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.025`"}],
  SequenceForm["Current value of gScat factor: ", 0.025],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402783867786655`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"033cf658-26c0-41c2-a7de-d557adf44550"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3903.8798218853535`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3903.8798218853535`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402784045632114`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a45bcfaf-6339-42b6-8ec6-e4888ff238cc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.025`"}],
  SequenceForm["Current value of gScat factor: ", 0.025],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402784046100855`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"177bbce0-4bcf-45f9-b42e-3c90475f8fb8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3903.922559739226`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3903.922559739226, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278422491897*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ca1862df-b90a-4949-8bb0-3fc03c436fbd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.05`"}],
  SequenceForm["Current value of gScat factor: ", 0.05],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402784225387707`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"649c9518-59b1-445e-8bea-0250f56dd97b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4005.0476079339333`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4005.0476079339333`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402784407782946`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"45de7673-021e-41c0-b7c6-da6c61bab96b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.05`"}],
  SequenceForm["Current value of gScat factor: ", 0.05],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402784408407927`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"e36898b8-eb0d-47a6-b63e-fb81adda7b6b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4002.74087357635`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4002.74087357635, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402784591252117`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"84f90f4f-7938-4bb0-ae2f-8096bb43f097"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.05`"}],
  SequenceForm["Current value of gScat factor: ", 0.05],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402784591877103`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b6f2db75-b845-401f-9abb-bf3b92f6972d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4003.442617852105`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4003.442617852105, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278477488142*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8e418cd8-bdb7-4308-8a1f-040d453bb23e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.05`"}],
  SequenceForm["Current value of gScat factor: ", 0.05],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278477535015*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"274fc950-fb88-4a32-b314-d8789d4dd805"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4003.2280682945734`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4003.2280682945734`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402784958817873`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"dff4eec9-52a7-4e3f-9246-bf696dff379d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.05`"}],
  SequenceForm["Current value of gScat factor: ", 0.05],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402784959286604`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2c367669-2aee-4177-9749-f04941172567"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4003.2939600957375`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4003.2939600957375`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278514368952*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"50baee83-f6cc-44ee-9fd8-75a4abc277da"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.07500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.07500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84027851443145*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"4a2cb9d3-d0a3-48a9-b0f5-910e7dc5cc79"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4106.456354561026`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4106.456354561026, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278532871807*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"70cdf7b8-97e1-42ae-bd6f-73c58eb10057"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.07500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.07500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402785329343047`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2a69dd00-c643-4f28-a961-90f007f8f45f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4102.906464217561`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4102.906464217561, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402785513746977`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b0bef2f6-a148-4732-acc4-59c9636c1ea2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.07500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.07500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402785514371967`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a22e892f-5ab7-4f32-8316-90c9d5b880b3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4103.988014920812`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4103.988014920812, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402785696573915`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3da48ed7-8a55-4435-b872-a354e6ebb8d9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.07500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.07500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402785697042656`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b2b6e300-0b55-4693-ab75-080454140717"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4103.675212490094`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4103.675212490094, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402785880075674`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"55154d87-e49d-4d58-af8f-fa4448bb8c6c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.07500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.07500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402785880544405`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"bfef2d17-e156-412f-a076-cc66d1b969a0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4103.768907404819`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4103.768907404819, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402786062592783`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b5663c29-176c-408b-9f6b-b271814d50bc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.1`"}],
  SequenceForm["Current value of gScat factor: ", 0.1],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402786063217764`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b6cccbb2-75f4-4f4e-88a0-2fa990e85ffb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4209.097131605989`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4209.097131605989, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278624421115*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"73ec79d0-f7b0-45eb-b9e4-740839ffb9d0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.1`"}],
  SequenceForm["Current value of gScat factor: ", 0.1],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402786244836135`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"74cdfae9-1d1e-4939-9885-e04a83d35109"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4204.36771380418`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4204.36771380418, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402786424557657`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"97751505-55b4-4900-b77d-18fd26ff28d3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.1`"}],
  SequenceForm["Current value of gScat factor: ", 0.1],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278642502639*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ad86a7d4-4c98-49de-8696-4ef8ff536424"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4205.742072196884`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4205.742072196884, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278660599866*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"bb58cdcb-2e40-4e0a-9048-e2cbf6d0ea79"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.1`"}],
  SequenceForm["Current value of gScat factor: ", 0.1],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402786606623645`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9e355806-9105-41db-aaea-0129a5dc9bdf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4205.3405916936235`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4205.3405916936235`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402786785253077`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"0ae9f92c-d299-47f0-ae8a-7808e191aa6c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.1`"}],
  SequenceForm["Current value of gScat factor: ", 0.1],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402786785878057`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"112a0f43-103f-4925-af6f-941b8965769b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4205.457619644887`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4205.457619644887, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278696684964*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"5709ca03-fea5-4ed1-a94a-e3cfbe503c4f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.125`"}],
  SequenceForm["Current value of gScat factor: ", 0.125],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402786967474623`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"459eec47-d596-4dfb-8ee0-602aefcfd68c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4312.987503641639`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4312.987503641639, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278714498192*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"cc6552ff-e774-42ca-aa92-bf1e211b1237"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.125`"}],
  SequenceForm["Current value of gScat factor: ", 0.125],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278714545068*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"6b2165d6-d558-47bb-b66c-f0556877617d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4307.0672330565885`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4307.0672330565885`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278732282873*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a817a431-319d-4cfd-a3dc-719dc5271414"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.125`"}],
  SequenceForm["Current value of gScat factor: ", 0.125],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402787323297462`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"875f36c7-1478-4448-b8eb-4a9e11fbdf5d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4308.757483871193`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4308.757483871193, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278750351613*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ef912690-c513-49fa-aa39-10c4531121ba"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.125`"}],
  SequenceForm["Current value of gScat factor: ", 0.125],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278750414112*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9df0452f-eb6a-4903-b730-c4315688efe9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4308.27818047472`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4308.27818047472, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278768198852*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ec533052-8a1e-4e22-a6ae-326a789a284e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.125`"}],
  SequenceForm["Current value of gScat factor: ", 0.125],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402787682613506`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"310f2272-1666-4680-88c9-3889585f524b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4308.413085020205`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4308.413085020205, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402787860608983`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1c3dda16-4cdb-4a35-8e4e-4f986cfae046"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.15000000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.15000000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278786123396*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"40e63c58-eb8e-45bf-a74a-40b8d791aee5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4418.341620323386`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4418.341620323386, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84027880373621*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c7a06533-1494-433a-ae38-173002a80b8c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.15000000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.15000000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278803783083*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"817677a3-fc4e-4e54-a8a9-316d62970249"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4411.08027636318`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4411.08027636318, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402788216890507`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9e2ebabc-14a6-4588-af9a-984110616baf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.15000000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.15000000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278821751549*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3fdc2d7c-8225-447b-8f23-db1e2872775a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4413.083768946818`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4413.083768946818, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278839491844*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"7d45c6cf-20bb-4bf7-bc03-4aebbabef411"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.15000000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.15000000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402788395387173`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"eec7b5b8-3701-479c-b91f-2d3ae620ec1c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4412.532053773331`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4412.532053773331, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278857260442*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ae897806-731b-41bd-942e-aaa5be18f734"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.15000000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.15000000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84027885732294*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f5a20bc2-205c-4b94-abf2-baf46e93b94b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4412.6813833795295`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4412.6813833795295`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402788750906334`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3635ce6b-bc2a-4cd1-9e8c-664407bbe077"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.17500000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.17500000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402788751531315`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"d3eea4b1-bfbc-40b5-82c4-0ec1660365b1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4524.986547217699`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4524.986547217699, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402788926872587`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c47ee0cc-2acc-42e3-b1e9-0637df92f7e9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.17500000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.17500000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402788927497563`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c2eec113-f92d-4b8a-8345-f1bce8b3a617"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4516.482129486066`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4516.482129486066, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278910768077*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"98978c7b-1099-4782-8c2e-dbdb7945d210"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.17500000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.17500000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278910830575*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"78199765-1a3b-4989-9433-fa84a09a0229"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4518.777725740772`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4518.777725740772, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278928868124*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"70cac285-4d24-4ad1-8549-ef8261180d11"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.17500000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.17500000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278928930626*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"50a76363-9cbe-4ac6-bd45-1ab5b55c0b04"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4518.165622676659`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4518.165622676659, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278947011962*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"87a08e85-1fc3-4735-abd0-f3bdd861361c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.17500000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.17500000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402789470588365`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f1029674-5a8c-4ed5-b0d3-613433fc3545"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4518.32423262532`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4518.32423262532, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402789649835196`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9d3c0b09-f411-4303-9a75-270c6bb35cd8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.2`"}],
  SequenceForm["Current value of gScat factor: ", 0.2],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840278965047655*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f395f01c-f3af-4dab-b592-5c86b91ec5e3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4633.215107927002`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4633.215107927002, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84027898256675*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1df4558d-b34f-4002-97b5-e325aedfae17"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.2`"}],
  SequenceForm["Current value of gScat factor: ", 0.2],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402789826136246`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2c765b09-a237-4e02-8f14-aa1e092f5c69"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4623.45460916327`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4623.45460916327, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279000478033*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"adab76f9-5dbb-47b0-9ace-54796ed8302b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.2`"}],
  SequenceForm["Current value of gScat factor: ", 0.2],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279000540531*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"08e0f470-e4a7-41d5-adc6-5c568d3b551e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4625.9625614418455`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4625.9625614418455`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402790188697214`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"e765345d-7676-4ae5-8aa9-8e0c5eb08624"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.2`"}],
  SequenceForm["Current value of gScat factor: ", 0.2],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402790189322195`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f6f22749-1c83-453a-91a6-3d499fa34c19"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4625.373695325523`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4625.373695325523, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402790368596554`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"709261c0-3bc8-4d42-9af9-b9f3c49fdf33"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.2`"}],
  SequenceForm["Current value of gScat factor: ", 0.2],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402790369065304`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9eb9a283-0284-44da-b57e-b58512197cbe"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4625.530711172557`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4625.530711172557, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279054847406*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"eaa1c040-bdab-4a6e-9813-4c790820e951"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.225`"}],
  SequenceForm["Current value of gScat factor: ", 0.225],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402790549099045`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"894e326b-adf0-44f0-b8e7-59f316b7f0df"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,40,5,23443370046449738762,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8402646819053555`*^9, 3.840274686714347*^9, 
  3.8402790722862086`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"305b60c9-b7a4-4066-94ab-1cfaaf73af67"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4742.972391019002`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4742.972391019002, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279072317458*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c54716b7-e029-44ca-8a84-9ee0ef9564c1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.225`"}],
  SequenceForm["Current value of gScat factor: ", 0.225],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279072317458*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2f0c4b67-7d82-4383-a040-b0d6bb32a353"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4731.800254242946`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4731.800254242946, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402790904139853`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b89391b6-34e0-42c6-b762-73c24b188591"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.225`"}],
  SequenceForm["Current value of gScat factor: ", 0.225],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402790904608593`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3e634686-4160-4e6e-9edc-c45622c759e8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4734.667083428435`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4734.667083428435, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279108338752*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2f8ec2f2-c932-454a-aac1-a07c93ad1257"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.225`"}],
  SequenceForm["Current value of gScat factor: ", 0.225],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84027910840125*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"6bb12857-49e9-472e-9a0e-6f09f6b80353"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4733.9549169245665`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4733.9549169245665`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402791263217974`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"4ed59e51-09cc-4ddb-9299-688887e3f5c8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.225`"}],
  SequenceForm["Current value of gScat factor: ", 0.225],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279126368677*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"7e4d7137-a959-46d1-8829-e2f61a2345de"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4734.120664444332`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4734.120664444332, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279144297693*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"356a9fc3-6b50-4564-9cdf-4ef05dc6c6d2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.25`"}],
  SequenceForm["Current value of gScat factor: ", 0.25],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402791443445663`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"39f7c91c-89e3-4ace-9e1b-896717ae951c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4854.340350280352`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4854.340350280352, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279161744589*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f01fccf1-71e5-454a-add6-db58b13b13fd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.25`"}],
  SequenceForm["Current value of gScat factor: ", 0.25],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279161791464*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"e68fb5cf-2a4a-42b2-9f11-75987c23a4ee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4841.720144580329`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4841.720144580329, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402791799211845`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"fbcb7d00-aac4-4c67-8b0d-e50b77edba2f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.25`"}],
  SequenceForm["Current value of gScat factor: ", 0.25],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402791799680576`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"4dc383cb-cc54-464a-937e-c1d61e7c2ebf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4844.833003057414`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4844.833003057414, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402791980638247`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"88794c00-e1a5-415c-8a42-cebc18cb96b1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.25`"}],
  SequenceForm["Current value of gScat factor: ", 0.25],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402791981106977`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"fb91f629-54ac-4e58-a1a8-fc143474a609"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4844.099363024881`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4844.099363024881, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279216519575*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"25091feb-ceda-4314-a64b-b14b1b842500"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.25`"}],
  SequenceForm["Current value of gScat factor: ", 0.25],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279216582072*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"4cedb5ce-e324-4379-8f7f-3c2f2edaf3df"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4844.254523751261`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4844.254523751261, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402792346497993`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ee21c4a1-c345-4dbe-a24a-764f7ba29d0b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.275`"}],
  SequenceForm["Current value of gScat factor: ", 0.275],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279234712296*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1bbe8144-745b-4f4d-8a55-db4560ac19de"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4967.102696226909`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4967.102696226909, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402792524797053`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8e96f0ff-cbf7-41e1-a605-eef0bd12d077"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.275`"}],
  SequenceForm["Current value of gScat factor: ", 0.275],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279252526579*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a1ed3dc7-57be-4528-8be9-7f71063a61a0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4953.010232442625`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4953.010232442625, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279270404984*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"6779a8ab-cd8a-46a3-bd62-567de75a168b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.275`"}],
  SequenceForm["Current value of gScat factor: ", 0.275],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279270467482*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"97691ce4-5f32-4481-a337-d1499bb929f6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4956.420899456288`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4956.420899456288, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279288250887*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"bb0f53f0-5755-4761-892e-bfa7d28de691"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.275`"}],
  SequenceForm["Current value of gScat factor: ", 0.275],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279288297761*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"87560cce-f6ce-4715-b068-21e0db7cc7da"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4955.6207625504785`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4955.6207625504785`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402793060357723`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"0cd1706a-cee4-44db-a55b-700a125ee69c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.275`"}],
  SequenceForm["Current value of gScat factor: ", 0.275],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279306098271*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"6b6d3054-39df-4e63-9301-7549aec51678"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,40,6,23443370046449738762,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8402646819053555`*^9, 3.840274686714347*^9, 
  3.840279323884136*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"913799b8-b94e-4c82-abdc-d0601368d354"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4955.806076518993`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4955.806076518993, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402793238997626`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"08a6d87f-3dea-4962-b7b3-0ec103c98b90"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.30000000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.30000000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402793238997626`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"249ef3c7-9fdf-400d-b0c8-c018b23e38c9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5081.662943602457`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5081.662943602457, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402793415756855`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"81dc6000-6ca3-4f27-9485-69e24185036f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.30000000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.30000000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402793416381836`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"4fb2b1bf-7cab-44b1-a8f1-55fadea3a562"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5066.448447558383`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5066.448447558383, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402793592960577`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3e40c59b-5c5c-4de9-baf4-c41444cc2644"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.30000000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.30000000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402793593585567`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c30797dd-682d-4f6b-ad9d-3638c0153c15"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5070.004099896895`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5070.004099896895, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279377036004*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"0a462e6f-fa87-4416-9476-ec8e638eb6e5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.30000000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.30000000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279377098502*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"be3e86ec-e947-4c39-8fd5-6fe521bc3fa2"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,40,7,23443370046449738762,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8402646819053555`*^9, 3.840274686714347*^9, 
  3.8402793959628844`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"7bfa05ab-f7ff-48cc-b577-e9fd95b67236"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"FindRoot\\\", \
\\\"::\\\", \\\"lstol\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,40,8,23443370046449738762,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8402646819053555`*^9, 3.840274686714347*^9, 
  3.84027939602539*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2539104e-0ec1-4a60-9e79-da0fc8aba8b0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5069.269336245684`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5069.269336245684, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279396041008*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"15226aa1-ef02-4fbd-8ef0-fc89d0b5ecbd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.30000000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.30000000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279396041008*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a3b25b72-5fc6-4f23-bcd1-36c229b8e874"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5069.393955015583`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5069.393955015583, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279413703249*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1dfe0293-e7bf-4b22-a9a4-7292b458ed47"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.325`"}],
  SequenceForm["Current value of gScat factor: ", 0.325],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279413750122*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"dc72fc8f-b9a8-49ae-81ca-2771b16e3954"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5197.999857228086`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5197.999857228086, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402794314402685`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ca8ed0a6-fc24-4552-9ddc-7bc92a748e53"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.325`"}],
  SequenceForm["Current value of gScat factor: ", 0.325],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279431502767*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"de09ec88-f208-4731-93d3-2e39a68ed2c8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5181.055311239303`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5181.055311239303, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402794494609942`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"314c5e79-55a2-4ea3-80f7-0aed53c46e15"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.325`"}],
  SequenceForm["Current value of gScat factor: ", 0.325],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279449507868*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"10688995-ad7e-420b-a52e-1a70bcfeb793"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5185.146120398538`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5185.146120398538, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279467150622*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3fb4ab2e-993a-4c60-9143-cfab4ed4c38f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.325`"}],
  SequenceForm["Current value of gScat factor: ", 0.325],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402794671974955`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"6e7cdfea-ab1e-4d65-986e-bc48eea431b3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5184.152518369866`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5184.152518369866, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402794851722345`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"eee6ef1e-970e-4fc1-9248-8b07f3812e0c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.325`"}],
  SequenceForm["Current value of gScat factor: ", 0.325],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279485234733*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8f7361cb-2c61-420b-902a-06ca6f68cd02"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5184.482617671483`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5184.482617671483, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402795030354586`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"e6020b47-10fe-445c-a73a-ac21cdcc5287"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.35000000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.35000000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279503097957*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"eece42cb-cb03-4b7d-90d8-8d0954bff3d7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5316.20465852114`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5316.20465852114, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402795210391684`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f92f5b2b-4067-4bf9-8b23-a8015fb2486c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.35000000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.35000000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402795210860434`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"0a55aed3-63eb-41e1-90c4-785c3af8c27c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5297.819498796755`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5297.819498796755, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279539574401*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"fa737e91-08c8-40b9-96ce-1acd673fc715"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.35000000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.35000000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402795396369*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2c0e2906-7487-4ece-90bd-68cf00f9d9e6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5301.696189010713`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5301.696189010713, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402795577354727`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1eb21e33-6b93-48ce-b2e7-397c91d1dd3e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.35000000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.35000000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279557782346*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"57226901-bf86-45a0-8ab7-2449832ae457"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5301.073972579336`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5301.073972579336, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402795758328342`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3fd8f37d-6b3c-4a6d-885f-c67080df4856"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.35000000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.35000000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402795758797083`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"16d15d0d-5b96-4839-8b13-77f643ce4695"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5301.105865750117`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5301.105865750117, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279594258354*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"bd7011e7-1fc1-4223-bab4-b3cdf8b85213"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.375`"}],
  SequenceForm["Current value of gScat factor: ", 0.375],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279594305228*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"af1ec68e-074a-43e7-8510-fab9d02ed558"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5436.087604834007`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5436.087604834007, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402796128899636`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"82a8573e-def9-4b2c-8959-d4bb0855162e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.375`"}],
  SequenceForm["Current value of gScat factor: ", 0.375],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402796129368396`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"60378aeb-189d-467c-813d-f104e917d780"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5416.7443783075`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5416.7443783075, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279631235396*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"78c1049c-0c49-4626-a1f6-b7453fe65edd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.375`"}],
  SequenceForm["Current value of gScat factor: ", 0.375],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402796312822695`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"68fd0b42-468f-4658-a6c2-8c9c73935a9c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5420.7564781842575`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5420.7564781842575`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402796493487043`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"d2edf7e6-f1d5-4de0-84d0-c5224203d813"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.375`"}],
  SequenceForm["Current value of gScat factor: ", 0.375],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279649411203*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3a23a005-0723-4698-89e7-6d8c0b91576b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5420.09417997893`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5420.09417997893, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279667775485*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"96046165-cc2d-422f-a37e-8b5b65baf1f4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.375`"}],
  SequenceForm["Current value of gScat factor: ", 0.375],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402796678379836`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"d42a507e-c476-462d-baa6-424b486fde28"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5420.118664282817`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5420.118664282817, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279685819069*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"dc182895-0df3-4cc5-b9be-f65299b76b96"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.4`"}],
  SequenceForm["Current value of gScat factor: ", 0.4],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402796858889513`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"d1a60115-e69f-4372-aa25-f7b7ab329e45"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5558.386612705109`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5558.386612705109, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279704251027*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"fc57ffc3-e277-4e10-9a8e-5ce351f36033"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.4`"}],
  SequenceForm["Current value of gScat factor: ", 0.4],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279704313525*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"05aab1b4-6ba8-4524-aaab-83106ea63cab"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5537.461794110594`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5537.461794110594, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279722434623*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"24bc13c5-619b-478c-9ae7-e06a156c5623"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.4`"}],
  SequenceForm["Current value of gScat factor: ", 0.4],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279722481496*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8377e0cd-058a-4876-b622-b2752424b910"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5541.37918589755`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5541.37918589755, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402797407803645`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"6e7b5fde-7ef4-4aad-8377-3ba2639527dd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.4`"}],
  SequenceForm["Current value of gScat factor: ", 0.4],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279740827238*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a826e07c-7b5f-478e-a57a-1978c71eca41"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5540.748831740223`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5540.748831740223, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279759175024*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9ae44c52-cc7f-45a8-b957-9fb05a310613"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.4`"}],
  SequenceForm["Current value of gScat factor: ", 0.4],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279759237522*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"eaa4f09e-9ac6-404f-a7fd-a4f8d5c5f16f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5540.788288411377`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5540.788288411377, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402797777737136`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"642ca585-b29b-4525-bd2c-25f01eac6039"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.42500000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.42500000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402797778362117`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"da546ef0-a02a-4575-bd6c-fa0292a9189e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5682.466513557319`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5682.466513557319, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402797957866154`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ff674345-786a-4c46-95b7-9f0470b453a9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.42500000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.42500000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402797958334904`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1fbf4c87-ab0b-48c8-bf7d-cc8f07a8d4b9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5659.585615124999`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5659.585615124999, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279814268287*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8c9e722d-561f-4d74-ab80-6879b28ed9f5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.42500000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.42500000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402798143151617`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a4f7d32e-0be9-4543-95db-1ab22d89063c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5664.27922737733`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5664.27922737733, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402798331161857`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"51007dea-de5b-4d8a-98b0-b2078f317deb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.42500000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.42500000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402798331943083`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"54df1c90-0db0-418b-b309-ec170e7fdbd5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5663.568572117838`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5663.568572117838, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279852323407*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"d18cac37-d8ad-4241-8dfc-e893a1ad53c5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.42500000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.42500000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279852370285*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"868e3d5a-b5d2-48f2-8db8-b7629a17108e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5663.563306672853`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5663.563306672853, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402798712029657`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"72aed44b-256f-4eba-8e41-aec2386222c1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.45`"}],
  SequenceForm["Current value of gScat factor: ", 0.45],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402798712498403`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b9f9ab42-2368-4a17-9596-5a39fc324f37"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5808.3309710700505`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5808.3309710700505`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279890142025*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2fbba85f-9df2-4d65-9487-6bc0f00c558d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.45`"}],
  SequenceForm["Current value of gScat factor: ", 0.45],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279890188898*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"6002a937-86f1-41f5-834b-2c554bd0b1c1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5784.334024981162`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5784.334024981162, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402799091293755`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"86ba9cba-a5cf-4cba-a7a1-fa966de1ca5a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.45`"}],
  SequenceForm["Current value of gScat factor: ", 0.45],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840279909191873*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2d6130ac-a4ea-4e3f-9248-7eade9662a06"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5788.829884061053`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5788.829884061053, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402800366624184`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"7946cb7c-227d-45be-992e-e247c5d81058"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.45`"}],
  SequenceForm["Current value of gScat factor: ", 0.45],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402800367249174`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"43e27e63-b4b5-46d8-b627-0871f6f0738b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5788.114673671854`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5788.114673671854, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402800551035547`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a2f22820-67a7-4d2a-aa6b-79498caccd85"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.45`"}],
  SequenceForm["Current value of gScat factor: ", 0.45],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280055166053*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"abea1fc9-f89f-40e2-bbeb-95a93e189204"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5788.0830003036945`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5788.0830003036945`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280075076374*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"67a2a054-ee1f-416a-838d-0ec72941fcca"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.47500000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.47500000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280075123248*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8a96ede5-8fcf-457b-91f9-fd1cd73df0bb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5936.828939995838`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5936.828939995838, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280093267329*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ca226cdd-463c-4651-b8ec-e46424ca1989"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.47500000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.47500000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402800933142033`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"517a2524-54d6-469e-a5af-946797dd33eb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5911.177702803217`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5911.177702803217, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402801115715637`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f2694a20-c3c9-41ed-b72b-e871e1202730"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.47500000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.47500000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280111618436*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c46fc333-2f61-4da5-aa94-1ddfecc46550"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5914.743735630464`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5914.743735630464, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280130498331*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"0ed0145c-438f-482a-9fd2-0d9114772690"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.47500000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.47500000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280130560828*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"0d8c4731-1e8e-454f-bb15-9bca31395f63"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5915.322790270342`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5915.322790270342, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280148983137*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"82fc1dcb-7d7c-4808-80ab-67ed374bd96f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.47500000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.47500000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280149045636*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"87faf229-8ac8-433a-ac10-3ec1ba63ac35"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5915.0053344457365`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5915.0053344457365`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028016779945*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"d0a23b3c-fa10-42e6-b0bf-ddf6b3184411"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5`"}],
  SequenceForm["Current value of gScat factor: ", 0.5],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402801678463225`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"acac9ee8-aef6-4b53-b2fb-7c8791d85522"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6067.28299850034`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6067.28299850034, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402801860859127`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"19a9d350-43fe-415f-be9c-cdcb5cfc7570"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5`"}],
  SequenceForm["Current value of gScat factor: ", 0.5],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402801861484084`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c6de7469-fc65-472c-8436-421c97cd276c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6040.479834005115`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6040.479834005115, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402802049820666`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c527fe57-5e6c-40c0-8411-8edd0484bb7f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5`"}],
  SequenceForm["Current value of gScat factor: ", 0.5],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280205028942*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"cdb9fd86-9740-43ed-8e88-ece06825e20e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6043.604652173582`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6043.604652173582, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402802247511806`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"890d1dc0-ab93-4ad5-b3df-8fb1c2445c7c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5`"}],
  SequenceForm["Current value of gScat factor: ", 0.5],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402802247980566`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ed3ba659-a423-4cdd-98de-36058da87407"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6044.533857238433`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6044.533857238433, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280246995648*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"853a084d-05af-49d4-b434-7f7c4e6162b7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5`"}],
  SequenceForm["Current value of gScat factor: ", 0.5],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028024705963*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b65d464a-71bb-4be2-bf36-43d30a53b701"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6043.067335960801`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6043.067335960801, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402802670992775`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f2e8afc4-7ece-4d15-8785-c8f31f10bee2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.525`"}],
  SequenceForm["Current value of gScat factor: ", 0.525],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402802671506605`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"5c376f2b-7f88-415f-9849-5578a0eecc2f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6200.497146983493`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6200.497146983493, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280285272967*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"12ad3b96-d0c6-46c2-84a5-a9c3cc06689d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.525`"}],
  SequenceForm["Current value of gScat factor: ", 0.525],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402802853198404`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"46097752-26b7-4bba-8393-9a2fb7d7fe09"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6172.456111719704`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6172.456111719704, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280303440715*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1c1c6adb-3e84-4e95-ab7d-de54c732917d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.525`"}],
  SequenceForm["Current value of gScat factor: ", 0.525],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402803034946327`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"52634ab1-b7a6-4bc6-b10d-b07c385fc2a8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6175.161971809259`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6175.161971809259, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402803218364224`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"7ef83a6a-8fde-4caf-917f-59da0d9d23a6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.525`"}],
  SequenceForm["Current value of gScat factor: ", 0.525],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280321889353*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f864cc0a-6ff4-493c-a585-fb9dbf592c01"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6175.482026300565`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6175.482026300565, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402803399333506`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"cb39fd16-fb97-489f-81c1-ebcd83e53712"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.525`"}],
  SequenceForm["Current value of gScat factor: ", 0.525],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402803399859514`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"aff79d05-2b41-45e0-a410-90dd4ddcdeed"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6175.033388537319`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6175.033388537319, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402803579577584`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f06f1786-09c9-423e-b44d-d96397b515dc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.55`"}],
  SequenceForm["Current value of gScat factor: ", 0.55],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028035800845*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"7d649c80-a357-4c86-b0b5-ba9fe950afd1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6336.518847041325`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6336.518847041325, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402803763349695`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9cf5b2d4-fdf8-4462-825c-6fc94eec4a28"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.55`"}],
  SequenceForm["Current value of gScat factor: ", 0.55],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280376385429*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"59b23c73-174a-44f5-af81-2e6a78ea3f0b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6306.979751148952`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6306.979751148952, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402803944820766`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"43944120-18f5-4c2e-b393-8f5af846747f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.55`"}],
  SequenceForm["Current value of gScat factor: ", 0.55],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402803945327063`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"865ccb03-df42-40d1-bd19-02ea8ce98c6a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6309.230247070677`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6309.230247070677, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028041291437*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"5ac05f81-754e-4416-a1d1-4f4214ec2e06"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.55`"}],
  SequenceForm["Current value of gScat factor: ", 0.55],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402804129548993`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f6badaa7-e43c-4171-bfef-874dcd7e37df"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6309.85484302331`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6309.85484302331, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402804309642735`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ff0bbd67-c7b9-4625-8178-36dd0c31b051"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.55`"}],
  SequenceForm["Current value of gScat factor: ", 0.55],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402804310147934`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c7d9a3e4-b2aa-4a02-bcc6-dd38335a7f79"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6309.251221769641`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6309.251221769641, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280449128332*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2d4671ed-5f77-4db6-96b9-11475b70aa92"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.5750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402804491439643`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"959004c0-9e50-468a-9f2d-de33999445e5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6475.415480697476`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6475.415480697476, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280467595051*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"6628102a-358d-4732-b930-fd14cb52b0a8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.5750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280467610669*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"47c4b35b-d5d7-4f88-a59d-4d81c695afa5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6442.889264389967`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6442.889264389967, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402804854877176`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8073b4a3-1f80-4154-a787-4ef5611c52d6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.5750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402804854977846`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"0e30fd17-0e40-42a2-b25e-adbec1b7e0da"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6446.02053187499`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6446.02053187499, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028050319455*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8b365ce4-a529-435d-aec8-5917fcc35d55"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.5750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402805032047462`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"57571a44-7fe0-4ef7-ba6b-95e0b3a5ec4f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6446.679261007409`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6446.679261007409, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402805209908895`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2d068d9d-e514-406f-8b83-937aa853162d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.5750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402805210010023`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"722912f7-c9b3-41b5-b793-90a0922ebc6f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6445.939881971563`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6445.939881971563, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280538408847*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"21896d79-ed7c-4958-8798-9b7d35408d54"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.6000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.6000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280538416958*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9b7c3b6e-6208-40f9-a559-94cc2d1d166a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6617.1438921534145`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6617.1438921534145`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402805563653097`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c7870901-28be-4260-b81d-164ee24b0aff"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.6000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.6000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402805563834443`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"e3b3be06-6098-4b32-ae62-e89d2a5d19db"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6582.375004091477`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6582.375004091477, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280574742597*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"09822cff-7bf9-4888-8a44-f12e3a854dc6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.6000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.6000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280574752724*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f7ae1699-348c-4a3e-8c77-58df1ad159a5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6585.548383443891`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6585.548383443891, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280592666662*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1def781a-f7a0-41a3-bffb-9e5278444cf7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.6000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.6000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280592676812*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"59d49cc7-2aa6-4441-89d1-96b004473bf4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6586.37071271546`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6586.37071271546, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402806105674243`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"d2e683f6-db4f-483b-bd79-81cd1c4f62f3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.6000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.6000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402806105895567`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b62115ae-9b92-4d38-97af-13ef02fda962"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6585.486860335169`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6585.486860335169, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402806282198267`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2783f40e-0734-43d2-8857-cb6dca3e9ec7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.625`"}],
  SequenceForm["Current value of gScat factor: ", 0.625],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402806282299147`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a46df0d9-3264-48e7-a198-38b0bbc26a09"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6761.642724182836`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6761.642724182836, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280646106653*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"85d98d23-1169-4661-aac4-34db3035fbe3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.625`"}],
  SequenceForm["Current value of gScat factor: ", 0.625],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280646147091*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"82b527de-7b25-44e9-9066-a12187a536a8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6725.492284580488`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6725.492284580488, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280665678348*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a96439a4-68b1-4ec2-9551-db1b5c1b1d74"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.625`"}],
  SequenceForm["Current value of gScat factor: ", 0.625],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402806657614765`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"64052e67-f49c-4196-9a42-04dbd790d984"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6728.081696895468`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6728.081696895468, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402806832334805`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"cd8606ab-ddc1-4950-b0c4-ef277c011598"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.625`"}],
  SequenceForm["Current value of gScat factor: ", 0.625],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402806833143687`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1e5baea9-9cc5-4d69-a1ec-6faed2a2e6d8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6729.196274507656`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6729.196274507656, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280701932898*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"89b8b671-a5c1-48ed-bfee-82c672312e55"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.625`"}],
  SequenceForm["Current value of gScat factor: ", 0.625],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402807020138516`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"46dfed57-0a28-4f58-b792-4b58fdfa9281"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6728.0820798804`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6728.0820798804, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402807209125276`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"e0714af8-135c-406d-8de4-eacd96bcc301"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.65`"}],
  SequenceForm["Current value of gScat factor: ", 0.65],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280720983276*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2ab1d685-049d-4a57-998d-760b8e64625b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6909.229335215049`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6909.229335215049, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280737893927*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"94021575-742a-40fb-90b2-8a8eb07b5c2d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.65`"}],
  SequenceForm["Current value of gScat factor: ", 0.65],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402807379727573`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"0298b480-c16d-4079-816a-92b616def28b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6871.697284929291`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6871.697284929291, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402807549539595`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3c1876df-aba3-4991-b29e-251bcc0f7028"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.65`"}],
  SequenceForm["Current value of gScat factor: ", 0.65],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280755034767*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9e385f2c-50b4-43e0-a341-2e8fdc3fcd98"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6873.766032569069`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6873.766032569069, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402807722236443`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b6b71a1a-3f4c-464f-b2d5-1de5972c3274"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.65`"}],
  SequenceForm["Current value of gScat factor: ", 0.65],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402807722965093`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2ab3035a-5f9b-4d05-af15-33af8808e92a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6875.705743311236`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6875.705743311236, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402807891644573`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3d260e1e-8204-482e-b7ff-41c442a2eb13"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.65`"}],
  SequenceForm["Current value of gScat factor: ", 0.65],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280789245475*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ec960192-a287-4f41-9924-2793b6695310"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6874.197383443186`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6874.197383443186, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280806274446*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"e5127672-9841-4801-b8bc-bc3b47757e82"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.675`"}],
  SequenceForm["Current value of gScat factor: ", 0.675],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402808063534517`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a7d7c5c0-e5e7-4302-a792-5a4b59c98e91"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7060.21126792751`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7060.21126792751, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280823226025*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"748ad8bd-ee6d-4307-b27a-0fa0b23210ca"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.675`"}],
  SequenceForm["Current value of gScat factor: ", 0.675],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402808233069057`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1aed4fe7-11a5-4498-b383-52480f7f4937"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7020.748034793751`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7020.748034793751, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280840648246*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"63f23cbc-6ecd-44e7-abbc-ada2da15c670"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.675`"}],
  SequenceForm["Current value of gScat factor: ", 0.675],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280840729274*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f16a1abb-eb93-4f6d-bcd4-ff343c21d748"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7023.419371025247`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7023.419371025247, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280857625003*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"197c724c-a8a9-4ded-9787-23d03b9e2bcb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.675`"}],
  SequenceForm["Current value of gScat factor: ", 0.675],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280857706005*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c5a237bb-9409-4733-84fc-1c24bc4029cc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7024.196797581288`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7024.196797581288, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280874740511*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"77e03566-a0ed-4cce-83e1-74f2d321527a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.675`"}],
  SequenceForm["Current value of gScat factor: ", 0.675],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028087482148*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"954969f3-a1b1-4647-9dae-5a59fb694dfa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7023.204939139023`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7023.204939139023, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402808915345488`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"09d23eaa-2ed5-45e5-84a0-b33de00dc67b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402808916155167`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"d9771b54-bca0-48e7-ab84-75d6130de187"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7214.397972229497`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7214.397972229497, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280910037572*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"90ec9f6b-4fff-483c-8629-7cc9191a4b5a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280910118507*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ec0659ac-5ab2-44c5-a17b-94cfe2715eb2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7173.686290599083`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7173.686290599083, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280928020945*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"83c5de90-60cb-45b2-b0ee-7a40b0e6039c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028092810187*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9be335e0-e5f3-4fd5-8bb8-9e5f95057266"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7175.058392985205`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7175.058392985205, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280945818099*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"d53bb0af-f7e0-492f-af25-48206f20b448"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028094589902*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3e936c28-b489-42fc-9cf2-f92b36bb1e9d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7177.413345843432`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7177.413345843432, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280963266212*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"7e051206-6db6-4203-8c5d-35e0a3300d4c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280963347131*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"5ea475d6-888e-400b-abbf-21bd9c3705ac"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7175.51059792746`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7175.51059792746, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840280980812787*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2368b7ea-454b-4323-855f-1d6a9761abfe"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402809808916855`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"057e0f0e-0038-4264-9afe-22a1d19773bf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7372.749645858088`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7372.749645858088, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402809987772007`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"68425ef4-3b46-4081-bb40-74a583c40091"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402809988553267`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"d99eb4ed-24a7-49cf-a4ab-72c0ec647814"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7333.05302644886`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7333.05302644886, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402810168954105`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"41b524f2-fcf4-4364-9aa5-a8b9cc8b7f23"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402810169852037`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"39bc6684-492b-47b2-a498-b4783cd48b17"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7330.046909971726`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7330.046909971726, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281036529918*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9dc33d35-28d0-435d-84b6-b8c47ddc6dba"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402810372075644`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"e3d6dd02-569b-4c0e-a185-118e9dc54c76"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7336.193698052324`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7336.193698052324, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281054947569*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c2e318f2-4d5e-460a-bf37-0d06de17d57c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281054947569*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a47f1ec8-7077-40a2-8701-daad715aedd0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7332.613598711711`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7332.613598711711, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402810730122886`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f814c0f7-766e-4a6e-8c5a-6c3eb7fb3343"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.75`"}],
  SequenceForm["Current value of gScat factor: ", 0.75],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402810730224185`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"475c5381-3198-40b6-ad29-dcc2c53154b1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7534.906698086591`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7534.906698086591, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402810910261984`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a5060bec-098a-44e9-b8f6-8220e076d3e7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.75`"}],
  SequenceForm["Current value of gScat factor: ", 0.75],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028109107894*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"be0b384a-eef2-4ce5-8957-b65c7789115d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7494.434222504899`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7494.434222504899, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402811091142244`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"6d0ca123-441b-4b79-b805-1f213953c390"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.75`"}],
  SequenceForm["Current value of gScat factor: ", 0.75],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402811091647277`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a8b049e7-41d9-4a73-a6be-ab015ca8f008"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7491.493313991318`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7491.493313991318, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281128116517*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2efa53af-384b-432b-b7b0-010206e9e3b8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.75`"}],
  SequenceForm["Current value of gScat factor: ", 0.75],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402811281671906`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a03194fa-b7fb-4ce2-8ec1-3ab18c59ef51"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7496.63787797183`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7496.63787797183, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281145602194*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"79d4c91e-4052-40c8-992d-96af8b769d7e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.75`"}],
  SequenceForm["Current value of gScat factor: ", 0.75],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402811456346283`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"4c18c3ab-cd24-4400-a799-6691cbd0eda0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7492.599459081028`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7492.599459081028, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402811643052454`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"55dbd7eb-f56e-435f-abd9-86ea486d3532"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.775`"}],
  SequenceForm["Current value of gScat factor: ", 0.775],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281164345743*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"6dfb0931-dbb2-47dc-bea2-ca7a37f1dd82"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7703.869232181102`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7703.869232181102, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402811825980134`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8219b3ca-9490-48d2-abd8-a8670cd18bff"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.775`"}],
  SequenceForm["Current value of gScat factor: ", 0.775],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402811826385803`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"df469f17-0401-40d9-90b3-714348651c49"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7658.672058644059`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7658.672058644059, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281200671097*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9811be3a-08b6-46bc-b97f-f9ffb209af47"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.775`"}],
  SequenceForm["Current value of gScat factor: ", 0.775],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402812007115297`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8755e402-d6bd-44f9-82fe-03693d98b18e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7655.558268738553`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7655.558268738553, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281219860344*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3d05e2b4-435a-4132-a4da-cce83a8cfa37"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.775`"}],
  SequenceForm["Current value of gScat factor: ", 0.775],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402812199012957`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"cf985dfa-3072-42aa-b451-402fc8b974b6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7661.818789355528`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7661.818789355528, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402812380560927`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3e6a2857-29c0-4b76-a805-6a36330facac"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.775`"}],
  SequenceForm["Current value of gScat factor: ", 0.775],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402812380965514`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3e70d172-ae3e-428d-ab0f-0ed0f6b7d6b3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7656.554527088778`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7656.554527088778, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402812573470645`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"84739181-94f0-49f8-b21a-a20b1920400f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8`"}],
  SequenceForm["Current value of gScat factor: ", 0.8],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281257387556*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"da6724b3-2fc6-4f14-b039-42bfb6f2cc33"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7875.137308014805`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7875.137308014805, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402812746690726`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"d6eac2ca-b989-436a-a0be-2de56b2e29a4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8`"}],
  SequenceForm["Current value of gScat factor: ", 0.8],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402812747097063`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f65c02ba-a28b-4d3e-b134-17faee892609"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7828.837147230484`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7828.837147230484, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402812926076136`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"872c5a1f-94e7-4f71-8890-b760382c4c20"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8`"}],
  SequenceForm["Current value of gScat factor: ", 0.8],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402812926076136`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1a037808-dd41-4f48-95d1-65fcf08f64eb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7825.754331945664`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7825.754331945664, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402813107097673`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"4f466afc-a9f6-431a-bf9d-8dac94743fd5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8`"}],
  SequenceForm["Current value of gScat factor: ", 0.8],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402813107198277`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"0d2a3abc-d2f9-4f42-8d0f-4852624a5878"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7831.26266695259`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7831.26266695259, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402813307004447`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"5ee2b46e-62d4-4e5b-8c4b-8467b42005d6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8`"}],
  SequenceForm["Current value of gScat factor: ", 0.8],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402813307408495`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"40af3e90-e0ca-4ae8-bab7-03a2e0fb6e16"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7826.864501426075`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7826.864501426075, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402813494353495`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"07c2e09f-285a-4e26-9cf2-a2a5868b59f6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402813494860086`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c66c225f-fdc2-4d55-9049-5e9ee0f20fb4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8050.231018630737`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8050.231018630737, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028136717638*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8953c2dd-ba34-484b-9be8-2661f018ae87"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402813672574177`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2f7f8632-d9b7-49e1-a54c-871a60f78822"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8004.900894421457`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8004.900894421457, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028138680408*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1df36466-3f93-409f-b6c7-f5b813b205e8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281386905408*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3ebba728-8d25-4b78-b372-95f1d8d102f5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7999.552644339157`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7999.552644339157, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281404987454*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"abecd15f-61ff-4a4e-bc1a-3d1107231905"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281405078727*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"42d18ce0-8d96-408c-927b-d7f3a2b4ea3e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8006.5029680943135`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8006.5029680943135`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281423183053*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ab16bdf1-22d1-4db7-bff0-9ee7bc8cf115"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281423223612*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"46022df6-2c3a-40e4-a53f-14dbce3dd7e7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8000.719384042344`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8000.719384042344, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402814426233997`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"5d326aea-728e-449e-8afb-ffacb41bfd81"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402814427124186`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ef320c82-ef4e-46ba-ae01-ead24ee93aa7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8232.012792789166`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8232.012792789166, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402814603341675`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8e0fd887-80a0-49e9-aecd-4fb186c6ff6a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402814604250317`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"606d9d14-305b-4469-bcc8-a5acb7bb5fee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8186.350161937509`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8186.350161937509, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402814794023685`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"0c516129-6e85-4f1a-a434-be57ac74b89c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402814794428363`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1fc2aad8-7211-428b-8ae1-dc070f45f6bd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8178.516560235111`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8178.516560235111, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402814972405844`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a5ebf292-77f3-47f0-a744-ed6f8726ce1b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402814972507095`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"453d4582-94e2-4d8f-838c-c63e80ff1d22"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8187.83056557231`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8187.83056557231, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281516545006*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3a3e681c-d0da-4985-a60c-d864f3e8c8a9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402815165954833`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"5f27b768-ce1d-46dd-a82d-f2d5ab31d180"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8179.849004261205`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8179.849004261205, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402815351211987`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"53f3c105-4662-43fc-9b0b-e0ff78370886"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.875`"}],
  SequenceForm["Current value of gScat factor: ", 0.875],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402815351819525`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"49e06317-4971-4aa5-9418-4fb1f9545b13"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8420.022556837414`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8420.022556837414, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028155235491*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"d177baba-17f2-4bae-a959-9f54950f007e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.875`"}],
  SequenceForm["Current value of gScat factor: ", 0.875],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281552425754*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c6b423de-882d-4b84-8764-6cf7295eac70"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8373.02689957522`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8373.02689957522, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028157154641*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"987012ed-e7ee-4204-9572-186e328e9e13"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.875`"}],
  SequenceForm["Current value of gScat factor: ", 0.875],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402815716193347`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"6665eae5-bed5-402c-aa7a-5e1a7d70f8bf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8364.005893684633`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8364.005893684633, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402815901669474`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"4fdabe69-dda1-4419-91f4-b0071ed595d2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.875`"}],
  SequenceForm["Current value of gScat factor: ", 0.875],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281590217639*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ee9ccf38-cd55-4065-ab87-2412ca6d6d00"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8375.113016326884`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8375.113016326884, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402816090781817`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"25bb639d-1780-4faa-b158-5c054085e93a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.875`"}],
  SequenceForm["Current value of gScat factor: ", 0.875],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402816091288843`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"fcda9987-0006-4bb5-b3f4-5fd45de96f19"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8365.212648796238`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8365.212648796238, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402816280626864`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a283f1b2-d904-415c-b2c1-c7571811c212"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9`"}],
  SequenceForm["Current value of gScat factor: ", 0.9],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281628123242*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ec030ef7-fe9f-4209-b1c8-7d86a2f938cb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8614.791476851167`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8614.791476851167, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281647566338*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"70ff9606-a19d-483d-b61b-43533003101f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9`"}],
  SequenceForm["Current value of gScat factor: ", 0.9],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281647625179*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"79193555-6426-4252-9d5e-c7e8f97c2282"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8567.331869758436`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8567.331869758436, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281667693739*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"226aa0cf-72b0-4300-9315-d5cc5f60eeb5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9`"}],
  SequenceForm["Current value of gScat factor: ", 0.9],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281667750877*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b1053aff-d27c-49c9-a326-f90ff4353ea7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8555.479733170368`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8555.479733170368, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402816872510633`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a50d2e1a-8d26-4c07-a79f-e25797583951"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9`"}],
  SequenceForm["Current value of gScat factor: ", 0.9],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281687293669*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"12d4ceb0-e0f8-4ad1-b22e-eebaa6e41bfc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8570.749286107373`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8570.749286107373, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281707367066*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"10ac9a91-a402-4549-80ec-16b1940512c2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9`"}],
  SequenceForm["Current value of gScat factor: ", 0.9],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402817074176483`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2fdd413d-e17a-4aea-afd2-f67bc832a180"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8556.493114399456`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8556.493114399456, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402817270195465`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3c54d568-33d0-4540-9425-4e170ecc8422"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.925`"}],
  SequenceForm["Current value of gScat factor: ", 0.925],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402817270681467`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"73df5e3d-d0f5-46f2-b32b-7fe8f4361f96"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8816.68944362473`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8816.68944362473, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281745088313*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"947ab7a6-2762-4b05-90e3-ba42bcbe7d32"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.925`"}],
  SequenceForm["Current value of gScat factor: ", 0.925],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402817451388364`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c4f8d5e4-f77b-4ceb-9a23-db5b1a89a326"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8766.86006981099`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8766.86006981099, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281765035039*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"17a738b4-ebca-4ce3-ad9e-382dc2490d68"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.925`"}],
  SequenceForm["Current value of gScat factor: ", 0.925],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402817650775824`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2afee795-bc8c-401e-851b-11d1e0dcc67a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8755.5284396013`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8755.5284396013, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402817851657953`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"8c049a93-5497-467f-9fd3-d247fd3de47d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.925`"}],
  SequenceForm["Current value of gScat factor: ", 0.925],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281785216406*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"51b36283-3836-47ea-b0ff-5c37866febfc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8770.503073351567`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8770.503073351567, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281804952772*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"0599f7de-3a5b-415b-b798-2cf100a4f7fa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.925`"}],
  SequenceForm["Current value of gScat factor: ", 0.925],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402818050035343`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a85a501e-a62a-4ddc-b63f-bd2ca958e38d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8756.257130387576`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8756.257130387576, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281824703196*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b4e715b9-fb7c-4fc5-acc1-d060801cd255"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281824753728*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a1f77820-b99b-4109-95c5-037d6f0a2c06"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9023.710398926098`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9023.710398926098, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281845264161*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"0eaac9d6-be99-49cb-85c6-8884216a8e7b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402818453148527`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"a8e7a45f-f6b3-4863-98a3-2c0320024963"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8973.95856131019`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8973.95856131019, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281866357229*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"04a69e63-af29-4170-b0fc-d6b494615a62"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281866407878*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"7fac5a6c-75cd-4532-be22-6732aaea008a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8961.804596106045`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8961.804596106045, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402818873688345`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"62c9c311-f294-4a53-a53b-c1480b4d622f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028188741946*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f2d7b7f5-5bdb-4781-89bb-a74009267ece"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8972.495539938423`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8972.495539938423, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281908022339*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"2dac2cce-43ed-4c26-9f64-ee88244c0b35"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402819080730357`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"350341a4-f4df-43fe-b464-3ed2594dbf8c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8964.929799340947`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8964.929799340947, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402819291243563`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9e3dcc26-5164-4a27-86c8-fad8719bc377"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402819291750813`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"550123ee-ffed-4fef-9211-215c433ddbf8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9230.905088663194`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9230.905088663194, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281950543651*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"aa72e18e-4d89-464a-86df-72a3f61795e2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281950594237*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"981041ba-bf07-40f0-8e00-b24557d17b42"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9170.360710727231`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9170.360710727231, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402819723354206`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"faaf0e70-83c7-46a6-8131-34db98f57126"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840281972386001*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"e2b6710e-6b4f-4362-bf7f-8eef583e7000"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9167.911934272037`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9167.911934272037, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.84028199419357*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"bba101f3-8c6d-403a-a059-af2f8326a877"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402819942462482`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"81d803a4-e34c-4410-846a-646e8330b453"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9181.649506872314`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9181.649506872314, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840282016053357*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9a47cdca-afe6-455a-a249-d624aaa1e608"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402820161039715`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"1c46b327-a7db-49f3-b7aa-a90c2b3a89bb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9175.467968908353`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9175.467968908353, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402820386704965`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"95a9236c-9156-4bb5-ae82-711899d23fe9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402820387233696`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"18ebe5a0-4a08-43b5-8eb8-5bd3e8fcd93e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9449.978105724314`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9449.978105724314, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840282059481003*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"4b7a06d3-0d32-4f34-a558-aa7128828d34"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402820595397263`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"c6ef2ea3-af16-4f75-9794-38c10476ac53"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9374.094881322417`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9374.094881322417, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402820828910294`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"cef6952b-fb31-47f3-be37-21939fdc53d4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840282082960783*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"5272eac1-2bf6-44ca-a01c-1a98817d5b9f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9360.010500629973`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9360.010500629973, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402821058630247`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"323353ba-2385-4ac1-904e-df9c25a3ae82"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402821059341326`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3ae4ef5d-7bfa-4c36-93f4-ee3a335d68f0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9384.284097757918`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9384.284097757918, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840282128340511*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"9b8a8fed-454a-43dd-bfbf-96384d4198f7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402821283911247`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"75293bc4-b0e6-4684-aeaa-8e2caf2852f9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9369.439602104681`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9369.439602104681, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402821522919617`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"fc206c22-9401-4a20-b491-5d360eed690b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840282152342662*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"3ca5132b-b2c6-41be-b059-80e4377c4588"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9392.942352227672`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9392.942352227672, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.840282176449841*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"ea119af2-0297-46b5-adb9-e7f984a52d65"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402821765004177`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b314f3ce-5978-4cdd-95d0-5e8d4df8a7ae"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9398.198529876`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Current value of chemical potential: ", 9398.198529876, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815738152650202*^9, 3.8157382947423286`*^9, 
  3.815738374435887*^9, 3.8157384167913094`*^9, 3.8157388048385043`*^9, 
  3.815739196638914*^9, 3.815739474094784*^9, 3.8402535565275*^9, 
  3.8402556935814877`*^9, 3.8402557992004085`*^9, 3.8402559667335825`*^9, 
  3.8402578078228016`*^9, 3.8402579693025584`*^9, 3.840258201584863*^9, 
  3.8402584812065697`*^9, 3.840260199229166*^9, 3.8402607045877953`*^9, 
  3.8402623039471703`*^9, 3.8402638476424427`*^9, 3.84026398541912*^9, 
  3.8402739442674775`*^9, 3.8402822011948414`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"b3ddc568-0379-4153-be84-b30ada7ddca3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    TemplateBox[{RowBox[{
        StyleBox[
         TagBox["InterpolatingFunction", "SummaryHead"], 
         "NonInterpretableSummary"], 
        StyleBox["[", "NonInterpretableSummary"], 
        DynamicModuleBox[{
         Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
         TemplateBox[{
           TemplateBox[{
             PaneSelectorBox[{False -> GridBox[{{
                   PaneBox[
                    ButtonBox[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SquarePlusIconMedium"]], 
                    ButtonFunction :> (Typeset`open$$ = True), Appearance -> 
                    None, Evaluator -> Automatic, Method -> "Preemptive"], 
                    Alignment -> {Center, Center}, ImageSize -> 
                    Dynamic[{
                    Automatic, 3.5 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                   GraphicsBox[{{
                    GrayLevel[0.6], 
                    AbsolutePointSize[5], 
                    PointBox[{1, 1}], 
                    PointBox[{2, 4}], 
                    PointBox[{3, 2}], 
                    PointBox[{4, 3}]}, {{}, {}, {
                    AbsoluteThickness[1], 
                    Opacity[1.], 
                    LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                    "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
                    GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                    GrayLevel[0.7], 
                    Thickness[Tiny]], FrameTicks -> None, 
                    ImageSize -> {Automatic, 
                    Dynamic[
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
                   GridBox[{{
                    RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "6141.609905033753`"}], ",", 
                    "251806.0061063839`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "2834.5891869386555`"}], ",", 
                    "116218.15666448488`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "7086.472967346639`"}], ",", 
                    "290545.3916612122`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                    AutoDelete -> False, 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                    BaseStyle -> {
                    ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
                 GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False,
                  GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 BaselinePosition -> {1, 1}], True -> GridBox[{{
                   PaneBox[
                    ButtonBox[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SquareMinusIconMedium"]], 
                    ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                    None, Evaluator -> Automatic, Method -> "Preemptive"], 
                    Alignment -> {Center, Center}, ImageSize -> 
                    Dynamic[{
                    Automatic, 3.5 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                   GraphicsBox[{{
                    GrayLevel[0.6], 
                    AbsolutePointSize[5], 
                    PointBox[{1, 1}], 
                    PointBox[{2, 4}], 
                    PointBox[{3, 2}], 
                    PointBox[{4, 3}]}, {{}, {}, {
                    AbsoluteThickness[1], 
                    Opacity[1.], 
                    LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                    "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
                    GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                    GrayLevel[0.7], 
                    Thickness[Tiny]], FrameTicks -> None, 
                    ImageSize -> {Automatic, 
                    Dynamic[
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
                   GridBox[{{
                    RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "6141.609905033753`"}], ",", 
                    "251806.0061063839`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "2834.5891869386555`"}], ",", 
                    "116218.15666448488`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "7086.472967346639`"}], ",", 
                    "290545.3916612122`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Order: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{"3", ",", "3", ",", "3"}], "}"}], 
                    "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Method: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"Hermite\"", "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Periodic: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["False", "SummaryItem"]}]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                    AutoDelete -> False, 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                    BaseStyle -> {
                    ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
                 GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False,
                  GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 BaselinePosition -> {1, 1}]}, 
              Dynamic[Typeset`open$$], ImageSize -> Automatic]}, 
            "SummaryPanel"], 
           ButtonBox[
            DynamicBox[
             ToBoxes[
              If[
               
               Or[$VersionNumber < 11.2, CurrentValue["RunningEvaluator"] =!= 
                "Local"], 
               Style["This object cannot be used as input.", "SummaryEmbed"], 
               BoxForm`EmbedSummaryLabel[InterpolatingFunction, 1274968, 
                Dynamic[Typeset`embedState$$]]], StandardForm]], 
            ButtonFunction :> 
            BoxForm`EmbedSummaryInterpretation[
             InterpolatingFunction, 
              7977365448009348194995994306379124205569630625941630353808, 
              EvaluationBox[], 
              Dynamic[Typeset`embedState$$], StandardForm], DefaultBaseStyle -> 
            "SummaryEmbedButton", BaseStyle -> {"DialogStyle"}, Enabled -> 
            Dynamic[
              
              And[$VersionNumber >= 11.2, CurrentValue["RunningEvaluator"] === 
               "Local", Typeset`embedState$$ === "Ready"]], Appearance -> 
            Inherited, Method -> Inherited, Evaluator -> Automatic]}, 
          "SummaryEmbedGrid"], DynamicModuleValues :> {}], 
        StyleBox["]", "NonInterpretableSummary"]}]},
     "CopyTag",
     DisplayFunction->(#& ),
     InterpretationFunction->(
      "InterpolatingFunction[{{-6141.61, 251806.}, {-2834.59, 116218.}, \
{-7086.47, 290545.}}, <>]"& )],
    False,
    BoxID -> 7977365448009348194995994306379124205569630625941630353808,
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", "9398.198529876`", ",", "9392.942352227672`", 
   ",", "202.`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.795432399786127*^9, 3.795433111998863*^9, 3.795433839934499*^9, 
   3.7954340003356733`*^9, 3.795434818022442*^9, 3.795437075717575*^9, 
   3.795437357152672*^9, 3.7954375228901515`*^9, 3.7954381756964903`*^9, 
   3.795441606161701*^9, 3.7955001055492644`*^9, 3.795504793577404*^9, 
   3.796471038869413*^9, 3.7982809809299464`*^9, 3.801984855464101*^9, 
   3.815723704900838*^9, 3.8157238454298754`*^9, {3.8157254571210585`*^9, 
   3.8157254751400895`*^9}, 3.815725506063858*^9, 3.8157255939388847`*^9, 
   3.8157261745670943`*^9, 3.815726341424638*^9, 3.815726404471244*^9, {
   3.815726440846325*^9, 3.8157264793415265`*^9}, 3.8157265327355804`*^9, 
   3.815726597465283*^9, 3.8157275699569063`*^9, 3.8157276735498314`*^9, {
   3.815727843072527*^9, 3.8157278915493*^9}, 3.815727998613424*^9, 
   3.8157280526955175`*^9, {3.815728105008509*^9, 3.81572813195205*^9}, 
   3.815728203020115*^9, 3.815728240622266*^9, 3.815728273332137*^9, {
   3.8157283069300585`*^9, 3.8157283349946637`*^9}, 3.8157284621319356`*^9, 
   3.8157286026659737`*^9, 3.815728632799697*^9, 3.815728691751069*^9, 
   3.8157287774089684`*^9, 3.815728814296078*^9, 3.8157288510031776`*^9, 
   3.8157288953057117`*^9, 3.8157290828314376`*^9, 3.8157306262827177`*^9, 
   3.815730707880385*^9, {3.8157375455704784`*^9, 3.8157375645065613`*^9}, 
   3.8157376487853823`*^9, 3.815737680445193*^9, 3.815737851279964*^9, 
   3.8157379674486084`*^9, 3.81573811276592*^9, 3.815738180056769*^9, 
   3.815738346853309*^9, 3.8157383876126404`*^9, 3.8157387928838205`*^9, 
   3.8157391867153463`*^9, 3.8157394618500834`*^9, 3.815739928200757*^9, 
   3.840255662781711*^9, {3.840255791798876*^9, 3.840255813169283*^9}, 
   3.8402559827878494`*^9, 3.840257868145904*^9, 3.8402580434296184`*^9, 
   3.8402583204979124`*^9, 3.840258727306329*^9, 3.8402606967949924`*^9, 
   3.840262028543867*^9, 3.8402635766181364`*^9, 3.840263979193033*^9, 
   3.8402688025136995`*^9, 3.840278327487822*^9, 3.840282201263668*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"9f4431cf-bcfc-4a23-9755-87582e0d2c56"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nbBEC", " ", "=", " ", 
   RowBox[{"NbBECFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "nThInterpFunSol", ",", "1."}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0BEC", " ", "=", " ", 
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol", 
      ",", "1."}], "]"}], "*", "factAuxDensity"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nbTh", " ", "=", " ", 
   RowBox[{"NbThFun", "[", 
    RowBox[{
    "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", "1."}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0Th", " ", "=", 
    RowBox[{
     RowBox[{"nThFun", "[", 
      RowBox[{
      "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
       "nThInterpFunSol", ",", "1."}], "]"}], "*", "factAuxDensity"}]}], 
   ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Initial chemical potential: \>\"", ",", "\[Mu]Chem", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Final chemical potential: \>\"", ",", "\[Mu]ChemSol", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<BEC atom number: \>\"", ",", "nbBEC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Thermal atom number (theory): \>\"", ",", "nbTh"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak density due to BEC: \>\"", ",", "n0BEC", ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak density due to thermal gas: \>\"", ",", "n0Th", ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Peak density: \>\"", ",", 
    RowBox[{"n0Th", "+", "n0BEC"}], ",", "\"\< at./m^3\>\""}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nBECFun", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", "0.",
         ",", "\[Mu]ChemSol", ",", "nThInterpFunSol", ",", "1."}], "]"}], "*", 
      RowBox[{"factAuxDensity", "/", 
       RowBox[{"10", "^", "20."}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{
        RowBox[{"xMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<BEC\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along X (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<BEC profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nBECFun", "[", 
       RowBox[{"0.", ",", 
        RowBox[{"y", "*", 
         RowBox[{
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
        "\[Mu]ChemSol", ",", "nThInterpFunSol", ",", "1."}], "]"}], "*", 
      RowBox[{"factAuxDensity", "/", 
       RowBox[{"10", "^", "20."}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "0.", ",", 
       RowBox[{
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<BEC\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along Y (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<BEC profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BecPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{"0.", ",", "0.", ",", 
         RowBox[{"z", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "\[Mu]ChemSol",
          ",", "nThInterpFunSol", ",", "1."}], "]"}], "*", 
       RowBox[{"factAuxDensity", "/", 
        RowBox[{"10", "^", "20."}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0.", ",", 
        RowBox[{
         RowBox[{"zMaxBEC", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", "\"\<BEC\>\"", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Position along Z (\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         "\"\<BEC profile\>\""}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{
            RowBox[{"x", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{
          RowBox[{"nThFun", "[", 
           RowBox[{
            RowBox[{"x", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
            "nThInterpFunSol", ",", "1."}], "]"}], "*", 
          RowBox[{"factAuxDensity", "/", 
           RowBox[{"10", "^", "20."}]}]}], ",", "0."}], "]"}], ",", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol",
           ",", "1."}], "]"}], "*", 
        RowBox[{"factAuxDensity", "/", 
         RowBox[{"10", "^", "20."}]}]}], ",", 
       RowBox[{
        RowBox[{"nTh2Fun", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], "]"}], "*", 
        RowBox[{"factAuxDensity", "/", 
         RowBox[{"10", "^", "20."}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{"2.", "*", 
        RowBox[{"xMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
          "\"\<Long dist.\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along X (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"y", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0."}], 
           "]"}], "<", "0.5"}], ",", 
         RowBox[{
          RowBox[{"nThFun", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"y", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", 
            "1."}], "]"}], "*", 
          RowBox[{"factAuxDensity", "/", 
           RowBox[{"10", "^", "20."}]}]}], ",", "0."}], "]"}], ",", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"y", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", 
          "1."}], "]"}], "*", 
        RowBox[{"factAuxDensity", "/", 
         RowBox[{"10", "^", "20."}]}]}], ",", 
       RowBox[{
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"y", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "\[Mu]ChemSol", ",", "TempCloud"}], "]"}], "*", 
        RowBox[{"factAuxDensity", "/", 
         RowBox[{"10", "^", "20."}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "0.", ",", 
       RowBox[{"2.", "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
          "\"\<Long dist.\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along Y (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"aux2Fun", "[", 
            RowBox[{"0.", ",", "0.", ",", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}]}], "]"}], "<", 
           "0.5"}], ",", 
          RowBox[{
           RowBox[{"nThFun", "[", 
            RowBox[{"0.", ",", "0.", ",", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
             "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", 
             "1."}], "]"}], "*", 
           RowBox[{"factAuxDensity", "/", 
            RowBox[{"10", "^", "20."}]}]}], ",", "0."}], "]"}], ",", 
        RowBox[{
         RowBox[{"nThExtendedFun", "[", 
          RowBox[{"0.", ",", "0.", ",", 
           RowBox[{"z", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
           "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", 
           "1."}], "]"}], "*", 
         RowBox[{"factAuxDensity", "/", 
          RowBox[{"10", "^", "20."}]}]}], ",", 
        RowBox[{
         RowBox[{"nTh2Fun", "[", 
          RowBox[{"0.", ",", "0.", ",", 
           RowBox[{"z", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
           "\[Mu]ChemSol", ",", "TempCloud"}], "]"}], "*", 
         RowBox[{"factAuxDensity", "/", 
          RowBox[{"10", "^", "20."}]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0.", ",", 
        RowBox[{"2.", "*", 
         RowBox[{"zMaxBEC", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
           "\"\<Long dist.\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Position along Z (\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"BecPlot1", ",", "BecPlot2", ",", "BecPlot3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ThPlot1", ",", "ThPlot2", ",", "ThPlot3"}], "}"}]}], "}"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.795432692306858*^9, 3.7954327479470406`*^9}, {
   3.7954327858582087`*^9, 3.795432846670687*^9}, {3.7954331382793665`*^9, 
   3.7954331391564164`*^9}, {3.795433454851473*^9, 3.7954334557785263`*^9}, {
   3.7954334892674417`*^9, 3.7954335096336064`*^9}, {3.7954337453250875`*^9, 
   3.7954337997432*^9}, {3.7954339214801626`*^9, 3.7954339756062584`*^9}, {
   3.7954340388148737`*^9, 3.7954340949300833`*^9}, {3.7954341418397665`*^9, 
   3.7954341575836673`*^9}, {3.795434207998551*^9, 3.7954342189461765`*^9}, {
   3.7954343180178432`*^9, 3.7954343280924196`*^9}, {3.795434488132573*^9, 
   3.795434520024398*^9}, {3.7954345642069244`*^9, 3.7954345863721924`*^9}, 
   3.7954346972365336`*^9, {3.7954347324705486`*^9, 3.7954347328215685`*^9}, {
   3.79543478913579*^9, 3.795434972312267*^9}, {3.79543501746585*^9, 
   3.7954350501917214`*^9}, {3.7954350971094046`*^9, 3.795435516716405*^9}, {
   3.7954355624790225`*^9, 3.7954356639218245`*^9}, {3.7954356952846184`*^9, 
   3.7954358121203012`*^9}, {3.795435842576043*^9, 3.795435927612907*^9}, {
   3.795435994903756*^9, 3.7954360027222033`*^9}, {3.7954360373971863`*^9, 
   3.795436106495138*^9}, {3.7954361434422517`*^9, 3.795436237156612*^9}, {
   3.795436505338951*^9, 3.795436509153169*^9}, {3.795436541402014*^9, 
   3.7954367131008344`*^9}, {3.7954367912023015`*^9, 3.795436850637701*^9}, 
   3.7954368896729336`*^9, {3.795436970114535*^9, 3.7954369707245693`*^9}, {
   3.795437548773632*^9, 3.7954375498886957`*^9}, {3.795500317152367*^9, 
   3.7955003205805635`*^9}, {3.7955017506463585`*^9, 
   3.7955017896875916`*^9}, {3.7955018286098175`*^9, 3.795501883579962*^9}, {
   3.795502020914817*^9, 3.795502240178358*^9}, {3.7964707168549943`*^9, 
   3.796470811640416*^9}, {3.796470843812256*^9, 3.796470870714795*^9}, {
   3.7964709198326044`*^9, 3.7964709661382527`*^9}, {3.79647238959667*^9, 
   3.7964723982111626`*^9}, {3.796472434224222*^9, 3.796472474962552*^9}, {
   3.7964725092535143`*^9, 3.7964725349469833`*^9}, {3.7964725792205153`*^9, 
   3.7964726398859854`*^9}, {3.796472684130516*^9, 3.7964726858666153`*^9}, {
   3.7982807119675627`*^9, 3.7982809667371345`*^9}, {3.798281045130618*^9, 
   3.7982810600964746`*^9}, {3.7982811839505587`*^9, 3.798281208662972*^9}, {
   3.798281245106056*^9, 3.798281278076942*^9}, 3.7982813749594836`*^9, {
   3.798281413114666*^9, 3.79828141931402*^9}, {3.7982842261155605`*^9, 
   3.798284276080418*^9}, {3.7982852237646227`*^9, 3.798285224117643*^9}, {
   3.7982854259611874`*^9, 3.798285430941472*^9}, {3.798285635121151*^9, 
   3.7982856526361523`*^9}, 3.7982862491592717`*^9, {3.8019849650463686`*^9, 
   3.8019849825223684`*^9}, {3.815726660173869*^9, 3.815726666242216*^9}, {
   3.815726745972777*^9, 3.815726757879458*^9}, {3.81572688589278*^9, 
   3.8157268964803853`*^9}, {3.815730633754145*^9, 3.8157306680781083`*^9}, {
   3.8402541286056356`*^9, 3.840254154810141*^9}, {3.840254800622955*^9, 
   3.840254844459155*^9}, {3.840254933159149*^9, 3.840254962260401*^9}, {
   3.840254997877988*^9, 3.840255024408143*^9}, {3.840255093001424*^9, 
   3.840255187847892*^9}, {3.840255252597455*^9, 3.8402552630943413`*^9}, {
   3.8402555690373945`*^9, 3.8402555714944024`*^9}, {3.840255878902956*^9, 
   3.840255884148379*^9}, {3.8402568787218266`*^9, 3.840256907098607*^9}, {
   3.840256948687759*^9, 3.8402570022830143`*^9}, {3.840257086854124*^9, 
   3.8402571263732786`*^9}, {3.840257161280277*^9, 3.840257168699815*^9}, {
   3.8402572343688526`*^9, 3.8402572599355125`*^9}, {3.840257579912939*^9, 
   3.8402576089370704`*^9}, {3.840260207865986*^9, 3.840260218295296*^9}, {
   3.8402621184440985`*^9, 3.840262163490795*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"9043f60b-9865-4a7a-a868-bc33f3641e17"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initial chemical potential: \"\>", "\[InvisibleSpace]", 
   "3805.612517803062`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Initial chemical potential: ", 3805.612517803062, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8157267008111935`*^9, 3.815727243176215*^9, 3.8157290430181603`*^9, 
   3.8157305156733913`*^9, 3.815730644943785*^9, 3.8157307204221025`*^9, 
   3.8157373045946956`*^9, 3.8402558177579556`*^9, 3.8402559855407867`*^9, 
   3.8402560885124655`*^9, {3.840256862396821*^9, 3.8402568995502033`*^9}, 
   3.8402569546405945`*^9, 3.8402570174014945`*^9, 3.840257264431841*^9, 
   3.840258053430952*^9, 3.8402583552981205`*^9, 3.840258405514261*^9, 
   3.8402598963574286`*^9, 3.8402620360967884`*^9, 3.8402621041802435`*^9, 
   3.8402621659885626`*^9, 3.8402635859305043`*^9, 3.840263822547511*^9, 
   3.8402688622114325`*^9, 3.8402822667696705`*^9},
 CellLabel->
  "During evaluation of \
In[41]:=",ExpressionUUID->"88bca337-8337-4f90-951a-4417d063dba9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final chemical potential: \"\>", "\[InvisibleSpace]", 
   "9398.198529876`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Final chemical potential: ", 9398.198529876, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8157267008111935`*^9, 3.815727243176215*^9, 3.8157290430181603`*^9, 
   3.8157305156733913`*^9, 3.815730644943785*^9, 3.8157307204221025`*^9, 
   3.8157373045946956`*^9, 3.8402558177579556`*^9, 3.8402559855407867`*^9, 
   3.8402560885124655`*^9, {3.840256862396821*^9, 3.8402568995502033`*^9}, 
   3.8402569546405945`*^9, 3.8402570174014945`*^9, 3.840257264431841*^9, 
   3.840258053430952*^9, 3.8402583552981205`*^9, 3.840258405514261*^9, 
   3.8402598963574286`*^9, 3.8402620360967884`*^9, 3.8402621041802435`*^9, 
   3.8402621659885626`*^9, 3.8402635859305043`*^9, 3.840263822547511*^9, 
   3.8402688622114325`*^9, 3.8402822667696705`*^9},
 CellLabel->
  "During evaluation of \
In[41]:=",ExpressionUUID->"ff8932f8-bb1d-4133-9e76-1687e9967865"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BEC atom number: \"\>", "\[InvisibleSpace]", 
   "7399.999999999999`"}],
  SequenceForm["BEC atom number: ", 7399.999999999999],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8157267008111935`*^9, 3.815727243176215*^9, 3.8157290430181603`*^9, 
   3.8157305156733913`*^9, 3.815730644943785*^9, 3.8157307204221025`*^9, 
   3.8157373045946956`*^9, 3.8402558177579556`*^9, 3.8402559855407867`*^9, 
   3.8402560885124655`*^9, {3.840256862396821*^9, 3.8402568995502033`*^9}, 
   3.8402569546405945`*^9, 3.8402570174014945`*^9, 3.840257264431841*^9, 
   3.840258053430952*^9, 3.8402583552981205`*^9, 3.840258405514261*^9, 
   3.8402598963574286`*^9, 3.8402620360967884`*^9, 3.8402621041802435`*^9, 
   3.8402621659885626`*^9, 3.8402635859305043`*^9, 3.840263822547511*^9, 
   3.8402688622114325`*^9, 3.840282266785296*^9},
 CellLabel->
  "During evaluation of \
In[41]:=",ExpressionUUID->"c8a82230-b210-4cfa-bc46-345cb08821cb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thermal atom number (theory): \"\>", "\[InvisibleSpace]", 
   "261280.6377438173`"}],
  SequenceForm["Thermal atom number (theory): ", 261280.6377438173],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8157267008111935`*^9, 3.815727243176215*^9, 3.8157290430181603`*^9, 
   3.8157305156733913`*^9, 3.815730644943785*^9, 3.8157307204221025`*^9, 
   3.8157373045946956`*^9, 3.8402558177579556`*^9, 3.8402559855407867`*^9, 
   3.8402560885124655`*^9, {3.840256862396821*^9, 3.8402568995502033`*^9}, 
   3.8402569546405945`*^9, 3.8402570174014945`*^9, 3.840257264431841*^9, 
   3.840258053430952*^9, 3.8402583552981205`*^9, 3.840258405514261*^9, 
   3.8402598963574286`*^9, 3.8402620360967884`*^9, 3.8402621041802435`*^9, 
   3.8402621659885626`*^9, 3.8402635859305043`*^9, 3.840263822547511*^9, 
   3.8402688622114325`*^9, 3.840282266785296*^9},
 CellLabel->
  "During evaluation of \
In[41]:=",ExpressionUUID->"392a126b-f8a4-4899-8c2b-420670118413"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to BEC: \"\>", "\[InvisibleSpace]", 
   "5.6437871039729874`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to BEC: ", 5.6437871039729874`*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8157267008111935`*^9, 3.815727243176215*^9, 3.8157290430181603`*^9, 
   3.8157305156733913`*^9, 3.815730644943785*^9, 3.8157307204221025`*^9, 
   3.8157373045946956`*^9, 3.8402558177579556`*^9, 3.8402559855407867`*^9, 
   3.8402560885124655`*^9, {3.840256862396821*^9, 3.8402568995502033`*^9}, 
   3.8402569546405945`*^9, 3.8402570174014945`*^9, 3.840257264431841*^9, 
   3.840258053430952*^9, 3.8402583552981205`*^9, 3.840258405514261*^9, 
   3.8402598963574286`*^9, 3.8402620360967884`*^9, 3.8402621041802435`*^9, 
   3.8402621659885626`*^9, 3.8402635859305043`*^9, 3.840263822547511*^9, 
   3.8402688622114325`*^9, 3.840282266785296*^9},
 CellLabel->
  "During evaluation of \
In[41]:=",ExpressionUUID->"9a33ee42-9eab-43aa-bd46-aff9fe4d6c73"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas: \"\>", "\[InvisibleSpace]", 
   "1.9551523801243202`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas: ", 1.9551523801243202`*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8157267008111935`*^9, 3.815727243176215*^9, 3.8157290430181603`*^9, 
   3.8157305156733913`*^9, 3.815730644943785*^9, 3.8157307204221025`*^9, 
   3.8157373045946956`*^9, 3.8402558177579556`*^9, 3.8402559855407867`*^9, 
   3.8402560885124655`*^9, {3.840256862396821*^9, 3.8402568995502033`*^9}, 
   3.8402569546405945`*^9, 3.8402570174014945`*^9, 3.840257264431841*^9, 
   3.840258053430952*^9, 3.8402583552981205`*^9, 3.840258405514261*^9, 
   3.8402598963574286`*^9, 3.8402620360967884`*^9, 3.8402621041802435`*^9, 
   3.8402621659885626`*^9, 3.8402635859305043`*^9, 3.840263822547511*^9, 
   3.8402688622114325`*^9, 3.840282266785296*^9},
 CellLabel->
  "During evaluation of \
In[41]:=",ExpressionUUID->"562ef899-2f5e-48e0-a7e2-97c84fce6880"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density: \"\>", "\[InvisibleSpace]", 
   "7.598939484097308`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm["Peak density: ", 7.598939484097308*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795434004966938*^9, 3.7954340962761602`*^9, 3.795434159000748*^9, 
   3.7954342205582695`*^9, {3.7954343195069284`*^9, 3.7954343293764935`*^9}, 
   3.7954345221625195`*^9, 3.795434588096291*^9, 3.7954354296054225`*^9, 
   3.7954355207106333`*^9, 3.7954356211293774`*^9, 3.795435672380308*^9, 
   3.795435817402603*^9, 3.7954358673614607`*^9, 3.7954359372694592`*^9, 
   3.7954360127867785`*^9, 3.7954361140025682`*^9, {3.7954361506846657`*^9, 
   3.795436168796702*^9}, 3.7954362436999865`*^9, 3.795436517418642*^9, 
   3.795436592233921*^9, 3.795436630205093*^9, {3.7954366945567737`*^9, 
   3.795436719445197*^9}, {3.795436800978861*^9, 3.7954368244912057`*^9}, 
   3.795436857242079*^9, 3.795437085888157*^9, 3.7954375317186565`*^9, 
   3.7954382051371737`*^9, 3.7954416154992356`*^9, 3.7955017604019165`*^9, 
   3.795501799399147*^9, 3.795501847395892*^9, 3.795501894070562*^9, 
   3.7955022101826425`*^9, 3.7955022499599175`*^9, 3.7955048070271735`*^9, 
   3.7964711951733527`*^9, 3.79647240848075*^9, 3.79647244484483*^9, 
   3.796472485001127*^9, 3.7964725454455843`*^9, 3.796472650388586*^9, 
   3.7964727024845657`*^9, 3.798280992845628*^9, 3.798281070878091*^9, 
   3.7982812186275415`*^9, 3.79828128887956*^9, 3.7982813853640785`*^9, 
   3.7982814297856193`*^9, 3.7982843235711346`*^9, 3.79828570469313*^9, 
   3.7982863189042606`*^9, 3.8019849607251215`*^9, 3.8019850214905972`*^9, 
   3.8157267008111935`*^9, 3.815727243176215*^9, 3.8157290430181603`*^9, 
   3.8157305156733913`*^9, 3.815730644943785*^9, 3.8157307204221025`*^9, 
   3.8157373045946956`*^9, 3.8402558177579556`*^9, 3.8402559855407867`*^9, 
   3.8402560885124655`*^9, {3.840256862396821*^9, 3.8402568995502033`*^9}, 
   3.8402569546405945`*^9, 3.8402570174014945`*^9, 3.840257264431841*^9, 
   3.840258053430952*^9, 3.8402583552981205`*^9, 3.840258405514261*^9, 
   3.8402598963574286`*^9, 3.8402620360967884`*^9, 3.8402621041802435`*^9, 
   3.8402621659885626`*^9, 3.8402635859305043`*^9, 3.840263822547511*^9, 
   3.8402688622114325`*^9, 3.840282266785296*^9},
 CellLabel->
  "During evaluation of \
In[41]:=",ExpressionUUID->"ffc1b21a-aae8-44e1-8252-5b2573b8b102"],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxN0gk01WkfB3D3Rsjyknv/aRlLloakUpos+f0oLZaQa8ueLGXfGy2WLCmJ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                "]]},
              Annotation[#, "Charting`Private`Tag$229015#1"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"BEC\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    "}"}], ",", 
                  RowBox[{"{", #, "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along X (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"BEC profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxN0gk01WkfB3D3Rsjyknv/aRlLloakUpos+f0oLZaQa8ueLGXfGy2WLCmJ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                 "]]}, "Charting`Private`Tag$229015#1"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along X (\[Micro]m)", FontSize -> 16], 
               "BEC profile"}}, FrameStyle -> Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]]}, {"BEC"}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {193.5, -192.}, {Center, Center}, {360., 360.}], 
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxF1nk01P33AHAhI0vCzCdpKuuUVEhF9XDfxcM3JbIvJRQpS1SPJWuFrzCy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                "]]},
              Annotation[#, "Charting`Private`Tag$229219#1"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"BEC\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    "}"}], ",", 
                  RowBox[{"{", #, "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along Y (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"BEC profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxF1nk01P33AHAhI0vCzCdpKuuUVEhF9XDfxcM3JbIvJRQpS1SPJWuFrzCy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                 "]]}, "Charting`Private`Tag$229219#1"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along Y (\[Micro]m)", FontSize -> 16], 
               "BEC profile"}}, FrameStyle -> Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]]}, {"BEC"}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {580.5, -192.}, {Center, Center}, {360., 360.}], 
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxN1Xk01V0XB3D3GuMh7nV/hgwZkzkVyrA3Sg9KGpQhQ4NG02NImZJoRCkV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                "]]},
              Annotation[#, "Charting`Private`Tag$229278#1"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"BEC\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    "}"}], ",", 
                  RowBox[{"{", #, "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along Z (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"BEC profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {17., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {19., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxN1Xk01V0XB3D3GuMh7nV/hgwZkzkVyrA3Sg9KGpQhQ4NG02NImZJoRCkV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                 "]]}, "Charting`Private`Tag$229278#1"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along Z (\[Micro]m)", FontSize -> 16], 
               "BEC profile"}}, FrameStyle -> Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]]}, {"BEC"}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {967.5, -192.}, {Center, Center}, {360., 360.}]}, {
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF1Xk0Vd/7B/A7cu9FpqJSiQxlTGUqtR+U+ohIZCYyJ/NQVEKFyPwRMhSf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                "]]},
              Annotation[#, "Charting`Private`Tag$229340#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJwVVnc8lu8X5rVfREoqZWXvzSvec1DqazZsEbKTFSoqIqFkJZmpFDIiSmZl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                "]]},
              Annotation[#, "Charting`Private`Tag$229340#2"]& ], 
             TagBox[
              {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwdl3k4Vd/bxhFyDDlkyDxlnudzxHkeQt9kSCFDIjKGhFRURKVUlBShQYQi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                "]]},
              Annotation[#, "Charting`Private`Tag$229340#3"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along X (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {25., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {17., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {19., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {21., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {22., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {23., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {24., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {26., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {27., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {28., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {29., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJxF1Xk0Vd/7B/A7cu9FpqJSiQxlTGUqtR+U+ohIZCYyJ/NQVEKFyPwRMhSf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                 "]]}, "Charting`Private`Tag$229340#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJwVVnc8lu8X5rVfREoqZWXvzSvec1DqazZsEbKTFSoqIqFkJZmpFDIiSmZl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                 "]]}, "Charting`Private`Tag$229340#2"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJwdl3k4Vd/bxhFyDDlkyDxlnudzxHkeQt9kSCFDIjKGhFRURKVUlBShQYQi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                 "]]}, "Charting`Private`Tag$229340#3"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along X (\[Micro]m)", FontSize -> 16], 
               "Thermal cloud profile"}}, FrameStyle -> 
            Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {193.5, -576.}, {Center, Center}, {360., 360.}], 
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF13k0FPr7B/Ax1hn7MohQtpJEKqTleUiREmVJSvayVLpUllIplDX7lUYo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                "]]},
              Annotation[#, "Charting`Private`Tag$229408#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJwV13c8Vf8bAPBruyjz2vO690oyQpJynie0yChRKYkkSZEUKYVQ9gjfhpFS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                "]]},
              Annotation[#, "Charting`Private`Tag$229408#2"]& ], 
             TagBox[
              {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1ndcTf8bAPDb3tp73+69qQiVFDrPIyGi8qUSiZKEtJRS0lChpU00lJAo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                "]]},
              Annotation[#, "Charting`Private`Tag$229408#3"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along Y (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJxF13k0FPr7B/Ax1hn7MohQtpJEKqTleUiREmVJSvayVLpUllIplDX7lUYo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                 "]]}, "Charting`Private`Tag$229408#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJwV13c8Vf8bAPBruyjz2vO690oyQpJynie0yChRKYkkSZEUKYVQ9gjfhpFS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                 "]]}, "Charting`Private`Tag$229408#2"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJwV1ndcTf8bAPDb3tp73+69qQiVFDrPIyGi8qUSiZKEtJRS0lChpU00lJAo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                 "]]}, "Charting`Private`Tag$229408#3"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along Y (\[Micro]m)", FontSize -> 16], 
               "Thermal cloud profile"}}, FrameStyle -> 
            Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {580.5, -576.}, {Center, Center}, {360., 360.}], 
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxN13kwVf//wPG7u66lsiWhyHrJWtZ4vxQVslUqSkpZypIiCmWJyFJZEipR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                "]]},
              Annotation[#, "Charting`Private`Tag$229476#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJwVl3c4lt8bwF97q6wkZO893td8zk1G2S0hGkLKDFlJkj36GmUlKytKRmaS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                "]]},
              Annotation[#, "Charting`Private`Tag$229476#2"]& ], 
             TagBox[
              {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nc8l98XAHAhGdlb9t7b52M+99iFaEfZIQ0jKSNZmSVfo+ydLTKSGUJk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                "]]},
              Annotation[#, "Charting`Private`Tag$229476#3"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along Z (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {22., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {24., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {26., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {28., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {32., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {34., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {36., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {38., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {40., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJxN13kwVf//wPG7u66lsiWhyHrJWtZ4vxQVslUqSkpZypIiCmWJyFJZEipR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                 "]]}, "Charting`Private`Tag$229476#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJwVl3c4lt8bwF97q6wkZO893td8zk1G2S0hGkLKDFlJkj36GmUlKytKRmaS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                 "]]}, "Charting`Private`Tag$229476#2"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJwV1nc8l98XAHAhGdlb9t7b52M+99iFaEfZIQ0jKSNZmSVfo+ydLTKSGUJk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                 "]]}, "Charting`Private`Tag$229476#3"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along Z (\[Micro]m)", FontSize -> 16], 
               "Thermal cloud profile"}}, FrameStyle -> 
            Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {967.5, -576.}, {
      Center, Center}, {360., 360.}]}}, {}},
  ContentSelectable->True,
  ImageSize->{1013., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.795436719932225*^9, {3.7954368015638943`*^9, 3.7954368250282364`*^9}, 
   3.795436857776109*^9, 3.795437086403186*^9, 3.7954375322116847`*^9, 
   3.7954382056532035`*^9, 3.795441615996264*^9, 3.7955017609009447`*^9, 
   3.7955017998991756`*^9, 3.7955018478919206`*^9, 3.795501894584591*^9, 
   3.7955022107536755`*^9, 3.7955022552312193`*^9, 3.795504812300475*^9, 
   3.7964712009576836`*^9, 3.796472414577099*^9, 3.796472451039184*^9, 
   3.796472491300487*^9, 3.7964725519799576`*^9, 3.796472657425989*^9, 
   3.7964727092249517`*^9, 3.798280999776024*^9, 3.7982810774034643`*^9, 
   3.798281225197918*^9, 3.7982812954269342`*^9, 3.798281391926454*^9, 
   3.7982814363769965`*^9, 3.798284323567134*^9, 3.798285711346511*^9, 
   3.798286325792655*^9, 3.801984960719121*^9, 3.801985027555944*^9, 
   3.8157267027583055`*^9, 3.815727239850025*^9, 3.8157290414360695`*^9, 
   3.8157305139432926`*^9, 3.815730647983959*^9, 3.8157307234962783`*^9, 
   3.8157373079698887`*^9, 3.8402558209354734`*^9, 3.8402559873076677`*^9, 
   3.840256090517604*^9, {3.8402568648337264`*^9, 3.8402569011133285`*^9}, 
   3.8402569564774504`*^9, 3.8402570189587297`*^9, 3.840257265891235*^9, 
   3.840258055273369*^9, 3.840258357156638*^9, 3.840258407414135*^9, 
   3.840259898315481*^9, 3.8402620385716467`*^9, 3.840262106437331*^9, 
   3.840262167666837*^9, 3.8402635876688137`*^9, 3.8402638241707416`*^9, 
   3.8402688639470663`*^9, 3.8402822685742784`*^9},
 CellLabel->"Out[58]=",ExpressionUUID->"e3cc58c5-f5ee-4f85-bddd-8284e22b63c8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ThLogPlot1", " ", "=", " ", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{
            RowBox[{"x", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{
           RowBox[{"x", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
           "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
           "nThInterpFunSol", ",", "1."}], "]"}], ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", 
         ",", "1."}], "]"}], ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{
        RowBox[{"xMaxTh", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
          "\"\<Long dist.\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along X (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThLogPlot2", " ", "=", " ", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"y", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0."}], 
           "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{"0.", ",", 
           RowBox[{"y", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
           "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", 
           "1."}], "]"}], ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{"0.", ",", 
         RowBox[{"y", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", 
         "1."}], "]"}], ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{"0.", ",", 
         RowBox[{"y", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "\[Mu]ChemSol", ",", "TempCloud"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "0.", ",", 
       RowBox[{"2.", "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
          "\"\<Long dist.\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along Y (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThLogPlot3", " ", "=", " ", 
    RowBox[{"LogPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"aux2Fun", "[", 
            RowBox[{"0.", ",", "0.", ",", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}]}], "]"}], "<", 
           "0.5"}], ",", 
          RowBox[{"nThFun", "[", 
           RowBox[{"0.", ",", "0.", ",", 
            RowBox[{"z", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
            "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", 
            "1."}], "]"}], ",", "0."}], "]"}], ",", 
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{"0.", ",", "0.", ",", 
          RowBox[{"z", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
          "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", 
          "1."}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"0.", ",", "0.", ",", 
          RowBox[{"z", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
          "\[Mu]ChemSol", ",", "TempCloud"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0.", ",", 
        RowBox[{
         RowBox[{"zMaxTh", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
           "\"\<Long dist.\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Position along Z (\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{"ThLogPlot1", ",", "ThLogPlot2", ",", "ThLogPlot3"}], "}"}], 
   "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.840169317154015*^9, 3.840169317989607*^9}, {
   3.8402060859198675`*^9, 3.840206149799098*^9}, 3.8402062205130424`*^9, {
   3.8402062887345977`*^9, 3.8402063055002513`*^9}, {3.840206704237053*^9, 
   3.840206737649864*^9}, {3.8402573146149235`*^9, 3.840257314762063*^9}, {
   3.840262326961007*^9, 3.8402623708462515`*^9}},
 CellLabel->"In[59]:=",ExpressionUUID->"4847f3fe-993d-454f-ad91-33cc2bd1d8df"],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{{}, {}, 
            TagBox[
             {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nk4FW8bB/CzOrYsM3M4sqXlkIRIRHnuFEn2JUtUVFpEJ5VIlgophPIj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               "]]},
             Annotation[#, "Charting`Private`Tag$229746#1"]& ], 
            TagBox[
             {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
              Opacity[1.], LineBox[CompressedData["
1:eJwV13k4Fd8fB/Drute1Zbkz11KW0CKVNclVzgeRhISyZEulUnFTRLJliZAl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               "]]},
             Annotation[#, "Charting`Private`Tag$229746#2"]& ], 
            TagBox[
             {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nk4VekfAHCMJcS97j3HUiL3FpIIUd3i/doaKpWlkl+WTGQJV5aiQpGQ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               "]]},
             Annotation[#, "Charting`Private`Tag$229746#3"]& ]}, {}}, InsetBox[
           TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
            "LineLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"LineLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                   "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{Automatic, -9.763618929347052},
         BaseStyle->{FontSize -> 14},
         CoordinatesToolOptions:>{"DisplayFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& )},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Position along X (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], 
            FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
         FrameStyle->Directive[FontSize -> 16],
         FrameTicks->FrontEndValueCache[{{Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
             Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
             
             Charting`ScaledFrameTicks[{
              Identity, Identity}]}}, {{{{-9.210340371976182, 
               FormBox[
                TemplateBox[{"10", 
                  RowBox[{"-", "4"}]}, "Superscript", SyntaxForm -> 
                 SuperscriptBox], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox["0.001`", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.010\"", 0.01, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 3}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.100\"", 0.1, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 3}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox["1", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox["10", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox["100", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.819778284410283`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.41431317630212, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.126631103850338`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.903487552536127, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.721165995742174, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.567015315914915, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.433483923290392, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.315700887634009, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.111728083308073, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.824046010856292, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.418580902748128, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.264430222920869, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.1308988302963465`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.013115794639964, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.809142990314028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.521460917862246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.115995809754082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.961845129926823, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.710530701645918, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.294049640102028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.699514748210191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.85366542803745, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}, {{-9.210340371976182, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.819778284410283`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.41431317630212, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.126631103850338`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.903487552536127, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.721165995742174, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.567015315914915, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.433483923290392, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.315700887634009, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.111728083308073, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.824046010856292, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.418580902748128, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.264430222920869, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.1308988302963465`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.013115794639964, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.809142990314028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.521460917862246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.115995809754082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.961845129926823, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.710530701645918, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.294049640102028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.699514748210191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.85366542803745, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {10., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {15., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {20., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {25., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {9., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {11., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {12., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {13., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {14., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {16., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {17., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {18., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {19., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {21., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {22., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {23., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {24., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {26., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {27., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {28., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {29., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {30., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}}],
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImagePadding->All,
         ImageSize->Medium,
         Method->{
          "DefaultBoundaryStyle" -> Automatic, 
           "DefaultGraphicsInteraction" -> {
            "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
             "Effects" -> {
              "Highlight" -> {"ratio" -> 2}, 
               "HighlightPoint" -> {"ratio" -> 2}, 
               "Droplines" -> {
                "freeformCursorMode" -> True, 
                 "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
           "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
           None},
         PlotRange->{All, All},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.05], 
            Scaled[0.05]}},
         Ticks->{Automatic, Quiet[
            Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{{{}, {}, 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.368417, 0.506779, 0.709798], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwV1nk4FW8bB/CzOrYsM3M4sqXlkIRIRHnuFEn2JUtUVFpEJ5VIlgophPIj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                "]]}, "Charting`Private`Tag$229746#1"], 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.880722, 0.611041, 0.142051], 
                AbsoluteThickness[1.6]], 
               Line[CompressedData["
1:eJwV13k4Fd8fB/Drute1Zbkz11KW0CKVNclVzgeRhISyZEulUnFTRLJliZAl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                "]]}, "Charting`Private`Tag$229746#2"], 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.560181, 0.691569, 0.194885], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwV1nk4VekfAHCMJcS97j3HUiL3FpIIUd3i/doaKpWlkl+WTGQJV5aiQpGQ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                "]]}, "Charting`Private`Tag$229746#3"]}}, {}}, {
          DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, DisplayFunction -> Identity, DisplayFunction -> Identity, 
           Ticks -> {Automatic, Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }, 
           AxesOrigin -> {Automatic, -9.763618929347052}, 
           FrameTicks -> {{Quiet[
               Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
              Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
           GridLines -> {None, None}, DisplayFunction -> Identity, 
           PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.05], 
              Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All, 
           DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None, "ClippingRange" -> {{{5.510204081632652*^-7, 
              26.99999944897959}, {-9.763618929347052, 5.422380056733864}}, {{
              5.510204081632652*^-7, 26.99999944897959}, {-9.763618929347052, 
              5.422380056733864}}}}, DisplayFunction -> Identity, AspectRatio -> 
           GoldenRatio^(-1), Axes -> {True, True}, AxesLabel -> {None, None}, 
           AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
           CoordinatesToolOptions -> {"DisplayFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& ), "CopiedValueFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& )}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
              Style["Position along X (\[Micro]m)", FontSize -> 16], 
              "Thermal cloud profile"}}, FrameStyle -> 
           Directive[FontSize -> 16], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, PlotRange -> {All, All}, PlotRangeClipping -> True, 
           PlotRangePadding -> {{Automatic, Automatic}, {
             Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           LineLegend[{
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.560181, 0.691569, 0.194885], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]]}, {
            "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {193.5, -189.}, {Center, Center}, {360., 360.}], 
    InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{{}, {}, 
            TagBox[
             {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nk8VV0XB/BLRFE49xzSoJJIJZVKk9ZKgyJzqSTzlDSSIQkljzkqY8Yi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               "]]},
             Annotation[#, "Charting`Private`Tag$229819#1"]& ], 
            TagBox[
             {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
              Opacity[1.], LineBox[CompressedData["
1:eJwV1nk0Vd0bB3BTURTuPZeo0DXcUGmSofQ8qSgVolTIPCVJJWOSktecIUIy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               "]]},
             Annotation[#, "Charting`Private`Tag$229819#2"]& ], 
            TagBox[
             {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1Xk4lFscB/B3jBBJeF+yxgwzJolKouL8Kmm/6SZCyR6SUIiSKKrJSNyU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               "]]},
             Annotation[#, "Charting`Private`Tag$229819#3"]& ]}, {}}, InsetBox[
           TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
            "LineLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"LineLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                   "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.01, 0.99}], ImageScaled[{0, 1}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{Automatic, -9.665172370543331},
         BaseStyle->{FontSize -> 14},
         CoordinatesToolOptions:>{"DisplayFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& )},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Position along Y (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], 
            FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
         FrameStyle->Directive[FontSize -> 16],
         FrameTicks->FrontEndValueCache[{{Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
             Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
             
             Charting`ScaledFrameTicks[{
              Identity, Identity}]}}, {{{{-9.210340371976182, 
               FormBox[
                TemplateBox[{"10", 
                  RowBox[{"-", "4"}]}, "Superscript", SyntaxForm -> 
                 SuperscriptBox], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox["0.001`", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.010\"", 0.01, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 3}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.100\"", 0.1, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 3}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox["1", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox["10", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox["100", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.819778284410283`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.41431317630212, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.126631103850338`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.903487552536127, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.721165995742174, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.567015315914915, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.433483923290392, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.315700887634009, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.111728083308073, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.824046010856292, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.418580902748128, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.264430222920869, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.1308988302963465`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.013115794639964, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.809142990314028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.521460917862246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.115995809754082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.961845129926823, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.710530701645918, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.294049640102028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.699514748210191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.85366542803745, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}, {{-9.210340371976182, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.819778284410283`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.41431317630212, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.126631103850338`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.903487552536127, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.721165995742174, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.567015315914915, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.433483923290392, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.315700887634009, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.111728083308073, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.824046010856292, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.418580902748128, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.264430222920869, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.1308988302963465`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.013115794639964, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.809142990314028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.521460917862246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.115995809754082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.961845129926823, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.710530701645918, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.294049640102028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.699514748210191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.85366542803745, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {10., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {9., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {9.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {10.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {11., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {11.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {12., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {12.5, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}}],
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImagePadding->All,
         ImageSize->Medium,
         Method->{
          "DefaultBoundaryStyle" -> Automatic, 
           "DefaultGraphicsInteraction" -> {
            "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
             "Effects" -> {
              "Highlight" -> {"ratio" -> 2}, 
               "HighlightPoint" -> {"ratio" -> 2}, 
               "Droplines" -> {
                "freeformCursorMode" -> True, 
                 "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
           "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
           None},
         PlotRange->{All, All},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.05], 
            Scaled[0.05]}},
         Ticks->{Automatic, Quiet[
            Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{{{}, {}, 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.368417, 0.506779, 0.709798], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwV1nk8VV0XB/BLRFE49xzSoJJIJZVKk9ZKgyJzqSTzlDSSIQkljzkqY8Yi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                "]]}, "Charting`Private`Tag$229819#1"], 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.880722, 0.611041, 0.142051], 
                AbsoluteThickness[1.6]], 
               Line[CompressedData["
1:eJwV1nk0Vd0bB3BTURTuPZeo0DXcUGmSofQ8qSgVolTIPCVJJWOSktecIUIy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                "]]}, "Charting`Private`Tag$229819#2"], 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.560181, 0.691569, 0.194885], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwV1Xk4lFscB/B3jBBJeF+yxgwzJolKouL8Kmm/6SZCyR6SUIiSKKrJSNyU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                "]]}, "Charting`Private`Tag$229819#3"]}}, {}}, {
          DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, DisplayFunction -> Identity, DisplayFunction -> Identity, 
           Ticks -> {Automatic, Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }, 
           AxesOrigin -> {Automatic, -9.665172370543331}, 
           FrameTicks -> {{Quiet[
               Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
              Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
           GridLines -> {None, None}, DisplayFunction -> Identity, 
           PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.05], 
              Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All, 
           DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None, "ClippingRange" -> {{{2.4489795918367347`*^-7, 
              11.99999975510204}, {-9.665172370543331, 5.422495228318092}}, {{
              2.4489795918367347`*^-7, 
              11.99999975510204}, {-9.665172370543331, 5.422495228318092}}}}, 
           DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
           Axes -> {True, True}, AxesLabel -> {None, None}, 
           AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
           CoordinatesToolOptions -> {"DisplayFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& ), "CopiedValueFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& )}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
              Style["Position along Y (\[Micro]m)", FontSize -> 16], 
              "Thermal cloud profile"}}, FrameStyle -> 
           Directive[FontSize -> 16], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, PlotRange -> {All, All}, PlotRangeClipping -> True, 
           PlotRangePadding -> {{Automatic, Automatic}, {
             Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           LineLegend[{
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.560181, 0.691569, 0.194885], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]]}, {
            "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {Left, Top}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {580.5, -189.}, {Center, Center}, {360., 360.}], 
    InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{{}, {}, 
            TagBox[
             {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nk8FfsbB3DOqluRmTloL0kZKlQo9H1aRBsqS1okUoqkUELoxD1RKkuy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               "]]},
             Annotation[#, "Charting`Private`Tag$229892#1"]& ], 
            TagBox[
             {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
              Opacity[1.], LineBox[CompressedData["
1:eJwV1nk8FfsbB3DH2biVmDMHV1qIo5At2U/fp6RSESFpUbausqRQktBJiVJZ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               "]]},
             Annotation[#, "Charting`Private`Tag$229892#2"]& ], 
            TagBox[
             {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nlYTesXB/AGSZI65+ydClHqhM5pkjQd71JIIZEkpJk0X6IkzUQUxdUo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               "]]},
             Annotation[#, "Charting`Private`Tag$229892#3"]& ]}, {}}, InsetBox[
           TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
            "LineLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"LineLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                   "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{Automatic, -11.592433670142945`},
         BaseStyle->{FontSize -> 14},
         CoordinatesToolOptions:>{"DisplayFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& )},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Position along Z (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], 
            FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
         FrameStyle->Directive[FontSize -> 16],
         FrameTicks->FrontEndValueCache[{{Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
             Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
             
             Charting`ScaledFrameTicks[{
              Identity, Identity}]}}, {{{{-9.210340371976182, 
               FormBox[
                TemplateBox[{"10", 
                  RowBox[{"-", "4"}]}, "Superscript", SyntaxForm -> 
                 SuperscriptBox], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.01\"", 0.01, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 2}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox["1", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox["100", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-13.815510557964274`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {9.210340371976184, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}, {{-9.210340371976182, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-13.815510557964274`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {9.210340371976184, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {10., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {20., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {30., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {12., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {14., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {16., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {18., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {22., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {24., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {26., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {28., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {32., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {34., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {36., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {38., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {40., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}}],
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImagePadding->All,
         ImageSize->Medium,
         Method->{
          "DefaultBoundaryStyle" -> Automatic, 
           "DefaultGraphicsInteraction" -> {
            "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
             "Effects" -> {
              "Highlight" -> {"ratio" -> 2}, 
               "HighlightPoint" -> {"ratio" -> 2}, 
               "Droplines" -> {
                "freeformCursorMode" -> True, 
                 "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
           "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
           None},
         PlotRange->{All, All},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.05], 
            Scaled[0.05]}},
         Ticks->{Automatic, Quiet[
            Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{{{}, {}, 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.368417, 0.506779, 0.709798], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwV1nk8FfsbB3DOqluRmTloL0kZKlQo9H1aRBsqS1okUoqkUELoxD1RKkuy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                "]]}, "Charting`Private`Tag$229892#1"], 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.880722, 0.611041, 0.142051], 
                AbsoluteThickness[1.6]], 
               Line[CompressedData["
1:eJwV1nk8FfsbB3DH2biVmDMHV1qIo5At2U/fp6RSESFpUbausqRQktBJiVJZ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                "]]}, "Charting`Private`Tag$229892#2"], 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.560181, 0.691569, 0.194885], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwV1nlYTesXB/AGSZI65+ydClHqhM5pkjQd71JIIZEkpJk0X6IkzUQUxdUo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                "]]}, "Charting`Private`Tag$229892#3"]}}, {}}, {
          DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, DisplayFunction -> Identity, DisplayFunction -> Identity, 
           Ticks -> {Automatic, Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }, 
           AxesOrigin -> {Automatic, -11.592433670142945`}, 
           FrameTicks -> {{Quiet[
               Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
              Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
           GridLines -> {None, None}, DisplayFunction -> Identity, 
           PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.05], 
              Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All, 
           DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None, "ClippingRange" -> {{{6.122448979591837*^-7, 
              29.999999387755103`}, {-11.592433670142945`, 
              5.4228992164666545`}}, {{6.122448979591837*^-7, 
              29.999999387755103`}, {-11.592433670142945`, 
              5.4228992164666545`}}}}, DisplayFunction -> Identity, 
           AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
           AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, 
           BaseStyle -> {FontSize -> 14}, 
           CoordinatesToolOptions -> {"DisplayFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& ), "CopiedValueFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& )}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
              Style["Position along Z (\[Micro]m)", FontSize -> 16], 
              "Thermal cloud profile"}}, FrameStyle -> 
           Directive[FontSize -> 16], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, PlotRange -> {All, All}, PlotRangeClipping -> True, 
           PlotRangePadding -> {{Automatic, Automatic}, {
             Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           LineLegend[{
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.560181, 0.691569, 0.194885], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]]}, {
            "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {967.5, -189.}, {Center, Center}, {360., 360.}]}, {}},
  ContentSelectable->True,
  ImageSize->{1261., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.8402560505679693`*^9, 3.840256256218956*^9, 3.840257319257552*^9, {
   3.8402573858207006`*^9, 3.840257412972949*^9}, 3.84025744673738*^9, 
   3.840257485166918*^9, 3.840258082709899*^9, 3.8402584218458395`*^9, 
   3.8402688828085794`*^9, 3.840282335548601*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"d2f6cf88-bf77-4c59-87a7-543d0567192d"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["SSBEC experiment", "Section",
 CellChangeTimes->{{3.721657938130308*^9, 3.721657962491701*^9}, {
  3.781243177526231*^9, 3.7812431817364717`*^9}, {3.7954415066110077`*^9, 
  3.7954415107962465`*^9}, {3.7954416628979464`*^9, 3.7954416726935067`*^9}, {
  3.7954986330890446`*^9, 3.7954986481679068`*^9}, {3.81574119773637*^9, 
  3.815741205138794*^9}, {3.840169019604935*^9, 
  3.8401690232529173`*^9}},ExpressionUUID->"5b6f04c3-a9d1-4504-a294-\
9e0628328d19"],

Cell[CellGroupData[{

Cell["Input parameters", "Subsection",
 CellChangeTimes->{{3.720181220017393*^9, 3.7201812301199703`*^9}, {
  3.7812432431539845`*^9, 
  3.7812432476842437`*^9}},ExpressionUUID->"cd6e5913-49bf-4335-95ff-\
82db5e897698"],

Cell[CellGroupData[{

Cell["DT parameters", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 
  3.6822405592526093`*^9}},ExpressionUUID->"534124be-ae45-4831-b2e8-\
10297fc09d7a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipIPG", " ", "=", " ", 
    RowBox[{"1070.", " ", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]DipTransparency", " ", "=", " ", 
    RowBox[{"688.", " ", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Polar688Sr", " ", "=", " \[InvisibleSpace]", "343."}], 
   ";"}], "\[InvisibleSpace] ", 
  RowBox[{"(*", " ", 
   RowBox[{"polarizability", " ", "in", " ", "atomic", " ", "unit"}], " ", 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Spatial", " ", "coordinates", " ", "where", " ", "we", " ", "want", " ", 
    "to", " ", "look", " ", "at", " ", "properties"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xOffset", " ", "=", " ", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yOffset", " ", "=", 
    RowBox[{"0.", "*", " ", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zOffset", " ", "=", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"powDimpleFun", "[", "Att_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"0.0383", "*", 
       RowBox[{"Att", "^", "3"}]}], "+", 
      RowBox[{"3.0901", 
       RowBox[{"Att", "^", "2"}]}], "+", 
      RowBox[{"82.973", "Att"}], "+", "747.63"}], ")"}], "/", "1000."}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"powSheetFun", "[", "Att_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.000736"}], "*", 
        RowBox[{"Att", "^", "5"}]}], "-", 
       RowBox[{"0.068407", "*", 
        RowBox[{"Att", "^", "4"}]}], "-", 
       RowBox[{"2.264870", "*", 
        RowBox[{"Att", "^", "3"}]}], "-", 
       RowBox[{"29.112936", "*", 
        RowBox[{"Att", "^", "2"}]}], "-", 
       RowBox[{"37.638786", "*", "Att"}], "+", "1419.847969"}], ")"}], "/", 
     "1000."}]}], ";"}], "\[IndentingNewLine]", "\n", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{"sheet", ",", " ", "dimple", ",", " ", 
     RowBox[{"transparency", " ", "vert"}]}], "}"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTab", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"powSheetFun", "[", 
        RowBox[{"-", "9.7"}], "]"}], "*", "0.95"}], ",", 
      RowBox[{"powDimpleFun", "[", 
       RowBox[{"-", "12"}], "]"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}]}], "}"}]}], 
   ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "W", " ", 
     RowBox[{"for", " ", "@", "DT"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "9.7"}], ",", 
       RowBox[{"-", "3.9"}], ",", 
       RowBox[{"-", "12"}]}], ")"}]}], "  ", "=", 
    RowBox[{">", " ", 
     RowBox[{"SSBEC", " ", "main", " ", "data", " ", "set", " ", "  ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0.575", "*", "0.95"}], ",", 
        RowBox[{"0.145", "*", "0.95"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"0.0065", "+", "0.0159"}], ")"}], "*", "0.4441"}], ",", 
        RowBox[{"0", "*", "10.4"}]}], "}"}]}]}]}], " ", "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MsquaredTab", " ", "=", 
    RowBox[{"{", 
     RowBox[{"1.6", ",", "1.", ",", "1."}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WaistXTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"14.5", ",", "27.", ",", "23."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WaistYTab", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"110.", ",", "27.", ",", "23"}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Theta]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"90.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "90.", ",", "90."}], "}"}], "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "rad"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"X0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Y0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z0Tab", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]Tab", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
     "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", 
      "\[Lambda]DipTransparency"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "m"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]Tab", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
      "\[Alpha]Polar688Sr"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"atomic", " ", "unit"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Power: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.719734073769492*^9, 3.7197341228395596`*^9}, {3.7197341865133104`*^9, 
   3.7197342789691334`*^9}, {3.7197343148477635`*^9, 3.719734336700366*^9}, {
   3.7197343764349933`*^9, 3.7197344120350423`*^9}, {3.7197344514142857`*^9, 
   3.71973448305433*^9}, {3.7197361695534525`*^9, 3.71973652993395*^9}, {
   3.7197367287202907`*^9, 3.719736825700424*^9}, {3.719736863871477*^9, 
   3.7197368791314983`*^9}, {3.7197369247040195`*^9, 
   3.7197370245241575`*^9}, {3.719737184228448*^9, 3.7197371935384607`*^9}, {
   3.7197372908300533`*^9, 3.719737365114664*^9}, {3.719737398126776*^9, 
   3.7197374618533916`*^9}, {3.719737517591997*^9, 3.7197375178019977`*^9}, {
   3.719737585322091*^9, 3.7197376399442005`*^9}, {3.7197376841172633`*^9, 
   3.7197376898272715`*^9}, {3.7197377431993933`*^9, 3.719737889667735*^9}, {
   3.719737927819822*^9, 3.7197379435098433`*^9}, {3.7197380047919617`*^9, 
   3.7197380477640553`*^9}, {3.719738224646333*^9, 3.719738225226334*^9}, {
   3.719739819974985*^9, 3.7197398206549854`*^9}, {3.719739887487097*^9, 
   3.7197398877670975`*^9}, {3.7197400449833655`*^9, 3.719740045333366*^9}, {
   3.719740312335746*^9, 3.719740312475746*^9}, {3.7197403835278645`*^9, 
   3.7197403850878663`*^9}, {3.719821996481608*^9, 3.719822001997924*^9}, {
   3.7198220621013613`*^9, 3.7198220657915726`*^9}, {3.719822105493843*^9, 
   3.719822109667082*^9}, {3.719822161757061*^9, 3.719822166407327*^9}, {
   3.719822208055709*^9, 3.7198222117679214`*^9}, {3.7198237503968167`*^9, 
   3.7198237509768176`*^9}, {3.7198237831788635`*^9, 
   3.7198237898588724`*^9}, {3.7198239502711134`*^9, 
   3.7198239509111147`*^9}, {3.7198241242633643`*^9, 3.719824153265425*^9}, {
   3.719824211517519*^9, 3.719824252869594*^9}, {3.7198242873516583`*^9, 
   3.7198243196737204`*^9}, {3.719837823583614*^9, 3.7198378987177553`*^9}, {
   3.7198379468598375`*^9, 3.719837947929839*^9}, {3.719837995351921*^9, 
   3.719837996601923*^9}, {3.7198380967420607`*^9, 3.7198380970420613`*^9}, {
   3.7198382877323246`*^9, 3.719838289962328*^9}, {3.7198384641025677`*^9, 
   3.7198384643025684`*^9}, {3.719838531044673*^9, 3.719838531554674*^9}, {
   3.719838619129826*^9, 3.719838619309826*^9}, 3.719838684291926*^9, 
   3.7198387330140142`*^9, {3.7198387736260843`*^9, 3.719838774556086*^9}, {
   3.7198388554882135`*^9, 3.7198388563582144`*^9}, {3.719838902520297*^9, 
   3.7198389032202983`*^9}, {3.719838986942433*^9, 3.719838987212433*^9}, {
   3.7198391303526306`*^9, 3.719839131262632*^9}, {3.719840417788425*^9, 
   3.71984049419853*^9}, {3.7198406187707143`*^9, 3.719840619910716*^9}, {
   3.719905054109453*^9, 3.7199050737994804`*^9}, {3.7199060923484554`*^9, 
   3.719906100058466*^9}, {3.7199061624505644`*^9, 3.719906163720566*^9}, {
   3.719906196412629*^9, 3.719906197752631*^9}, {3.7199063525548563`*^9, 
   3.7199063530148563`*^9}, {3.7199064525380077`*^9, 3.719906462448022*^9}, {
   3.719922144132188*^9, 3.7199221493821955`*^9}, {3.7199221815242577`*^9, 
   3.7199222077563066`*^9}, {3.7199222404183645`*^9, 
   3.7199222409083652`*^9}, {3.7199223100624876`*^9, 3.719922310582488*^9}, {
   3.719922357614565*^9, 3.7199223578045654`*^9}, {3.71992239366663*^9, 
   3.71992239405663*^9}, {3.7199224355186987`*^9, 3.7199224358386993`*^9}, {
   3.719922469890757*^9, 3.7199224707307587`*^9}, {3.719922530632856*^9, 
   3.7199225322328587`*^9}, {3.7201606252342777`*^9, 3.720160628840484*^9}, {
   3.7201730442847676`*^9, 3.7201730451358166`*^9}, {3.720173190240116*^9, 
   3.7201731993096347`*^9}, {3.720173247575395*^9, 3.7201732477894077`*^9}, 
   3.720173285526566*^9, {3.720173320860587*^9, 3.7201733234547353`*^9}, {
   3.720173364994111*^9, 3.7201733672892427`*^9}, {3.7201734215763474`*^9, 
   3.720173427280674*^9}, {3.720173470132125*^9, 3.720173472943286*^9}, {
   3.720173566256623*^9, 3.72017356655764*^9}, {3.720173683311318*^9, 
   3.720173684201369*^9}, 3.7201741942425413`*^9, {3.7201742531269093`*^9, 
   3.720174253699942*^9}, {3.7201742940902524`*^9, 3.72017431712457*^9}, {
   3.7201758083938656`*^9, 3.7201758099729557`*^9}, {3.720180328271388*^9, 
   3.720180328585406*^9}, {3.7201806002729454`*^9, 3.7201806007049704`*^9}, 
   3.72018140949223*^9, {3.720181724486247*^9, 3.720181724597253*^9}, 
   3.7201818653313026`*^9, {3.7201821144325504`*^9, 3.7201821148715754`*^9}, {
   3.7201822608799267`*^9, 3.7201822611589427`*^9}, 3.720182378003626*^9, {
   3.72018247808335*^9, 3.720182478925398*^9}, {3.720182547301309*^9, 
   3.720182547962347*^9}, 3.720182654228425*^9, {3.7201828061421137`*^9, 
   3.720182807422187*^9}, {3.720183360003793*^9, 3.7201833604458184`*^9}, {
   3.720183414743924*^9, 3.7201834150529413`*^9}, {3.7201848613202066`*^9, 
   3.7201849357254624`*^9}, {3.72018496715226*^9, 3.720184976040768*^9}, {
   3.72018500649151*^9, 3.7201850570264006`*^9}, {3.7201850970656905`*^9, 
   3.7201850989948006`*^9}, {3.7201851572601333`*^9, 3.720185159441258*^9}, {
   3.7201852260940704`*^9, 3.720185226629101*^9}, {3.7201852616201024`*^9, 
   3.7201852635282116`*^9}, {3.720185341325661*^9, 3.7201853751045933`*^9}, {
   3.7201854524520173`*^9, 3.720185456458246*^9}, {3.720185852238884*^9, 
   3.720185854181995*^9}, {3.720185884528731*^9, 3.720185890064047*^9}, {
   3.720185981268264*^9, 3.720185981762292*^9}, {3.720186411158852*^9, 
   3.7201864115118723`*^9}, {3.7201865075153637`*^9, 3.720186526702461*^9}, {
   3.7201866649373674`*^9, 3.720186735660413*^9}, {3.720186917196796*^9, 
   3.720186919614934*^9}, {3.720186951679768*^9, 3.7201870534245872`*^9}, {
   3.720187088828613*^9, 3.720187102890417*^9}, {3.720187190237413*^9, 
   3.7201872672848196`*^9}, {3.7201873194828053`*^9, 
   3.7201873362667656`*^9}, {3.7201873976742773`*^9, 
   3.7201874140382137`*^9}, {3.720187462436982*^9, 3.7201874646341076`*^9}, {
   3.720187511310777*^9, 3.7201875163470654`*^9}, {3.7201876386170588`*^9, 
   3.7201876576211457`*^9}, {3.7201876933631897`*^9, 
   3.7201876984614816`*^9}, {3.720187743972085*^9, 3.72018774475513*^9}, {
   3.7201879895351305`*^9, 3.720187997171567*^9}, {3.720188283798961*^9, 
   3.72018833972616*^9}, {3.7201886960805426`*^9, 3.720188729831473*^9}, {
   3.7201900034323187`*^9, 3.7201900099566917`*^9}, {3.72024544489887*^9, 
   3.7202454753026094`*^9}, {3.7202455655027685`*^9, 
   3.7202455680619144`*^9}, {3.7202456150726037`*^9, 
   3.7202456155406303`*^9}, {3.720245658944113*^9, 3.72024566379139*^9}, {
   3.7202456939011126`*^9, 3.720245694157127*^9}, {3.720245886740142*^9, 
   3.720245888816261*^9}, {3.720245952024876*^9, 3.7202459609863887`*^9}, {
   3.7202462358368483`*^9, 3.7202462416468563`*^9}, {3.7202462956109676`*^9, 
   3.720246298710972*^9}, {3.720246406543135*^9, 3.72024641008314*^9}, 
   3.720246643135479*^9, {3.7202467104675894`*^9, 3.7202467408176312`*^9}, {
   3.720246788287697*^9, 3.720246788477697*^9}, {3.720246831309776*^9, 
   3.720246881871866*^9}, {3.720249855124486*^9, 3.7202498722445097`*^9}, {
   3.7202499266066027`*^9, 3.7202499267666025`*^9}, {3.720249979878691*^9, 
   3.720249980178692*^9}, {3.720250039650789*^9, 3.720250039980789*^9}, {
   3.72025009069287*^9, 3.7202500933228736`*^9}, {3.7202502108570633`*^9, 
   3.720250224367082*^9}, {3.7202502749691715`*^9, 3.720250308879218*^9}, {
   3.720250408659356*^9, 3.7202504090493565`*^9}, {3.7202504392093983`*^9, 
   3.7202504583794246`*^9}, {3.7202505265815353`*^9, 
   3.7202505320615425`*^9}, {3.7202505913636446`*^9, 3.720250605963665*^9}, {
   3.7202507560158863`*^9, 3.7202507662659006`*^9}, {3.7202508056259546`*^9, 
   3.7202508370759983`*^9}, {3.7202508860580816`*^9, 
   3.7202508870980835`*^9}, {3.7202690803201017`*^9, 3.720269087170111*^9}, {
   3.720270034685447*^9, 3.72027003670545*^9}, {3.7202700716575155`*^9, 
   3.7202700782675247`*^9}, {3.7202701196195974`*^9, 
   3.7202701223796005`*^9}, {3.7202740675530834`*^9, 
   3.7202740680330844`*^9}, {3.720276648361673*^9, 3.7202766586116867`*^9}, {
   3.720276812983918*^9, 3.7202768167539234`*^9}, {3.7202815621345186`*^9, 
   3.720281562774519*^9}, {3.720281662286667*^9, 3.7202816626866674`*^9}, {
   3.720281710328745*^9, 3.7202817154587517`*^9}, {3.7207791762553525`*^9, 
   3.7207791862653666`*^9}, 3.720781067202996*^9, 3.7207810990060587`*^9, 
   3.7207811677301674`*^9, {3.721128157070932*^9, 3.721128195819148*^9}, {
   3.721128248279149*^9, 3.721128254961531*^9}, {3.7211282913126106`*^9, 
   3.721128292862699*^9}, {3.721128779887555*^9, 3.721128780029563*^9}, {
   3.721129757507472*^9, 3.721129790841378*^9}, {3.721130293308118*^9, 
   3.7211302953942375`*^9}, {3.7211303824512167`*^9, 3.721130382846239*^9}, 
   3.721130449387045*^9, 3.7211305112905855`*^9, {3.721130582994687*^9, 
   3.7211305889670286`*^9}, {3.721137585980235*^9, 3.721137590984521*^9}, {
   3.72138433762089*^9, 3.721384365044459*^9}, {3.72138446857238*^9, 
   3.7213844734666605`*^9}, 3.7214566882425437`*^9, {3.7214567641198835`*^9, 
   3.7214567645769095`*^9}, 3.721485717648896*^9, {3.72148596923489*^9, 
   3.721485999667631*^9}, 3.7214864469942164`*^9, 3.721487139612832*^9, 
   3.721487360555469*^9, {3.721487403498925*^9, 3.7214874269062643`*^9}, {
   3.721489159766378*^9, 3.72148923830087*^9}, 3.7214894079405727`*^9, {
   3.721494619480902*^9, 3.72149464495243*^9}, {3.7215764359042506`*^9, 
   3.721576456089405*^9}, {3.721576514209729*^9, 3.721576524058293*^9}, {
   3.721576862167631*^9, 3.7215769379309645`*^9}, {3.7215806227807436`*^9, 
   3.721580628194953*^9}, {3.7215808491452017`*^9, 3.7215808561464157`*^9}, {
   3.7215809279677477`*^9, 3.721580930493353*^9}, {3.7215809780816402`*^9, 
   3.7215810901650476`*^9}, {3.7215816241029406`*^9, 3.721581625445543*^9}, {
   3.721631047917037*^9, 3.721631064414336*^9}, {3.721657873684622*^9, 
   3.721657916823089*^9}, {3.7216581071889777`*^9, 3.72165814551717*^9}, {
   3.721658524074822*^9, 3.721658528098052*^9}, 3.7216590210792494`*^9, 
   3.7216590699200425`*^9, 3.721659117742778*^9, {3.7216592020466*^9, 
   3.7216592225097704`*^9}, {3.7219800238946486`*^9, 
   3.7219800510762978`*^9}, {3.7219805320391736`*^9, 3.721980532475974*^9}, {
   3.722000753355342*^9, 3.72200077254644*^9}, 3.722001753475546*^9, 
   3.7220018561694193`*^9, {3.722246973820743*^9, 3.7222469815401845`*^9}, {
   3.7222477334541917`*^9, 3.7222477573175564`*^9}, {3.7222478475507174`*^9, 
   3.7222479338386526`*^9}, {3.723977446428788*^9, 3.723977457911445*^9}, {
   3.7239775282574687`*^9, 3.723977529945565*^9}, {3.7239823429118514`*^9, 
   3.7239823697343855`*^9}, {3.7239824061024656`*^9, 
   3.7239824066194954`*^9}, {3.7240284629445157`*^9, 
   3.7240284862198467`*^9}, {3.7240286235977044`*^9, 
   3.7240286241137342`*^9}, {3.7240286666411667`*^9, 
   3.7240286672362003`*^9}, {3.7240299837334995`*^9, 3.724029984492543*^9}, {
   3.726386193186821*^9, 3.7263863463070326`*^9}, {3.726386529961662*^9, 
   3.726386530841663*^9}, {3.726386581551733*^9, 3.7263865818817334`*^9}, {
   3.7362229404596663`*^9, 3.736222942892805*^9}, {3.7362284669972506`*^9, 
   3.736228494780899*^9}, {3.736228554950204*^9, 3.7362285588970103`*^9}, {
   3.7506827706227446`*^9, 3.7506828001024303`*^9}, {3.7507447978931875`*^9, 
   3.7507448747175817`*^9}, {3.7507451323263164`*^9, 
   3.7507451429239225`*^9}, {3.7507455231936727`*^9, 
   3.7507456299067764`*^9}, {3.7507456759024067`*^9, 3.7507457396580534`*^9}, 
   3.7507628821605487`*^9, {3.7507632576910276`*^9, 3.7507632583510656`*^9}, {
   3.7507633942118363`*^9, 3.7507634361172333`*^9}, {3.777712543623285*^9, 
   3.777712557211062*^9}, {3.7777125914280195`*^9, 3.7777126283381305`*^9}, {
   3.777712677832961*^9, 3.7777126796810665`*^9}, {3.77771281977908*^9, 
   3.7777128289496045`*^9}, {3.777712864315627*^9, 3.777712865965722*^9}, 
   3.7777131752134094`*^9, {3.7777132612973337`*^9, 3.7777132768242216`*^9}, {
   3.7777134400495577`*^9, 3.7777134448428316`*^9}, {3.7777141973898745`*^9, 
   3.7777141974798803`*^9}, {3.7777185879289994`*^9, 
   3.7777186027008443`*^9}, {3.7777186332625923`*^9, 3.777718638518893*^9}, {
   3.777718674985979*^9, 3.7777186920239534`*^9}, {3.777719203975235*^9, 
   3.7777192075854416`*^9}, {3.7777192786515064`*^9, 3.777719281768685*^9}, {
   3.7777195254266214`*^9, 3.7777195524281654`*^9}, {3.7777196056112075`*^9, 
   3.7777196058992243`*^9}, {3.777719651440829*^9, 3.777719674504148*^9}, {
   3.778932899483763*^9, 3.778932902496936*^9}, {3.7789329481355457`*^9, 
   3.7789329515467415`*^9}, {3.7794201280365896`*^9, 
   3.7794201356610255`*^9}, {3.779420263037311*^9, 3.7794202652324367`*^9}, {
   3.779796993954721*^9, 3.7797970140891576`*^9}, {3.7797977145519924`*^9, 
   3.7797977813567095`*^9}, {3.7797978329308004`*^9, 
   3.7797978332896013`*^9}, {3.779797873801273*^9, 3.779797873958273*^9}, {
   3.7797979041251264`*^9, 3.779797904437127*^9}, {3.7803217969585505`*^9, 
   3.7803218211595883`*^9}, {3.7803223793974104`*^9, 
   3.7803223798174114`*^9}, {3.7803811986908293`*^9, 3.780381233274808*^9}, {
   3.780381274329156*^9, 3.7803812755342245`*^9}, {3.7809122528493047`*^9, 
   3.7809122536983533`*^9}, {3.78091233232485*^9, 3.780912336256075*^9}, {
   3.780912847662326*^9, 3.7809130042772837`*^9}, {3.78091858581553*^9, 
   3.7809186104509387`*^9}, {3.780918703730274*^9, 3.7809187063284225`*^9}, {
   3.780918756026265*^9, 3.780918756330282*^9}, {3.780918822149047*^9, 
   3.7809188236551332`*^9}, {3.780982186543598*^9, 3.780982190995853*^9}, {
   3.780983047042816*^9, 3.7809830514170666`*^9}, {3.780983778188635*^9, 
   3.780983778833672*^9}, {3.785418378402396*^9, 3.78541841220533*^9}, {
   3.785418987387228*^9, 3.7854189882902794`*^9}, {3.7854191202708282`*^9, 
   3.7854191206898527`*^9}, {3.7854191761170225`*^9, 3.785419176401039*^9}, {
   3.785419418823905*^9, 3.7854194202359858`*^9}, {3.7854200534372025`*^9, 
   3.7854200575994406`*^9}, {3.785420209750143*^9, 3.785420212734314*^9}, {
   3.7854893914688864`*^9, 3.785489392262932*^9}, {3.7855669704574156`*^9, 
   3.7855669707514324`*^9}, {3.7855670127978373`*^9, 
   3.7855670131188555`*^9}, {3.785646044958697*^9, 3.7856460536451936`*^9}, {
   3.786089149985133*^9, 3.7860891533713264`*^9}, {3.7860892534500513`*^9, 
   3.78608925378407*^9}, {3.7860894252318764`*^9, 3.786089425586897*^9}, {
   3.7860894770158386`*^9, 3.78608950046618*^9}, {3.7860898389955425`*^9, 
   3.7860898397795873`*^9}, {3.7860898713603935`*^9, 
   3.7860898843021336`*^9}, {3.7908625915585237`*^9, 3.790862597680874*^9}, {
   3.7908627226360207`*^9, 3.790862753581791*^9}, {3.7908643591366234`*^9, 
   3.790864378975758*^9}, 3.791008101463951*^9, {3.7910332402752*^9, 
   3.791033269529873*^9}, {3.7910334071937466`*^9, 3.7910334124380465`*^9}, {
   3.791033465013054*^9, 3.79103347700974*^9}, {3.7910335168020163`*^9, 
   3.791033516958025*^9}, {3.7910335612045555`*^9, 3.791033561340564*^9}, {
   3.791033628834424*^9, 3.791033632466632*^9}, {3.7910339311517153`*^9, 
   3.791034005270955*^9}, {3.791034068542574*^9, 3.7910341150422335`*^9}, {
   3.7910341653891134`*^9, 3.791034251471037*^9}, {3.791034287598103*^9, 
   3.791034313183566*^9}, {3.791034346899495*^9, 3.791034349140623*^9}, {
   3.791034412426243*^9, 3.791034551300186*^9}, {3.791034868979356*^9, 
   3.791035031131631*^9}, {3.7918933086937923`*^9, 3.791893373211482*^9}, {
   3.7923289322508793`*^9, 3.79232893243589*^9}, {3.792328963606673*^9, 
   3.792328978119503*^9}, {3.793095207275588*^9, 3.793095209441712*^9}, {
   3.793103316991437*^9, 3.793103319168562*^9}, {3.7935097859496603`*^9, 
   3.793509792222019*^9}, {3.794826490288741*^9, 3.794826490658762*^9}, {
   3.794826523562644*^9, 3.7948266168669806`*^9}, {3.7948268805930653`*^9, 
   3.794826895752932*^9}, {3.7954411868907204`*^9, 3.795441187423751*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"922e0122-ebfe-4a54-940a-3fb0f8162110"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Power: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5418745985135789`", ",", "0.13074600000000008`", ",", "0.00994784`"}], 
    "}"}], "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Power: ", {0.5418745985135789, 0.13074600000000008`, 0.00994784}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7948265748355765`*^9, 3.7948266959135017`*^9, 3.7948268969760017`*^9, 
   3.7954253929433584`*^9, 3.7954275330537653`*^9, 3.7954289346779337`*^9, 
   3.7954291783738728`*^9, 3.795429477153962*^9, 3.7954302689922523`*^9, 
   3.795431852859844*^9, 3.7954369284501514`*^9, 3.7954411900269003`*^9, 
   3.7954412280000715`*^9, 3.7954445111138554`*^9, 3.795497689228059*^9, 
   3.795499741724455*^9, 3.795504416337827*^9, 3.795505218677718*^9, 
   3.8401690309863577`*^9, 3.840169868073799*^9, 3.840174930970755*^9, 
   3.8401794005682764`*^9, 3.8402069027341146`*^9, {3.840269099828555*^9, 
   3.8402691244021397`*^9}, 3.8402824819093337`*^9, 3.840304046653489*^9},
 CellLabel->
  "During evaluation of \
In[9]:=",ExpressionUUID->"80a28af0-fd2f-4ba8-81cc-80a5149b6d09"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Atomic cloud parameters", "Item",
 CellChangeTimes->{{3.670601207082728*^9, 3.670601214202738*^9}, {
  3.682245787232095*^9, 
  3.6822458075121226`*^9}},ExpressionUUID->"494969a0-08ca-43cf-9665-\
964ed7fe7b65"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"mAssSr", " ", "=", "  ", 
    RowBox[{"mSr84", "/", "au"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "au"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aScat", " ", "=", " ", 
    RowBox[{"a1S0iso84", " ", "/", "aB"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TempCloud", " ", "=", 
   RowBox[{"1.08", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"in", " ", "K"}], ",", " ", 
    RowBox[{"fixed", " ", "by", " ", "the", " ", 
     RowBox[{"experiment", "'"}], "s", " ", "cooling", " ", "capability"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"NatBECTest", " ", "=", 
   RowBox[{"7.4", "*", 
    RowBox[{"10", "^", "3."}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "desired", " ", "number", " ", "of", " ", "atoms", " ", "in", " ", "the", 
    " ", "BEC"}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"calculation", " ", "boundaries", " ", 
     RowBox[{"(", 
      RowBox[{"for", " ", 
       RowBox[{"BEC", " ", "/", " ", "thermal"}], " ", 
       RowBox[{"cloud", " ", "/", " ", "transparency"}], " ", "region"}], 
      ")"}]}], ",", " ", 
    RowBox[{
    "usually", " ", "no", " ", "need", " ", "to", " ", "change", " ", 
     "them"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"xMaxBEC", "=", " ", 
   RowBox[{"13.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], " ", ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxBEC", "=", 
   RowBox[{"6.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], " ", ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxBEC", " ", "=", " ", 
   RowBox[{"15.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], " ", ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"xMaxBEC2", "=", " ", 
   RowBox[{"7.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxBEC2", "=", 
   RowBox[{"4.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxBEC2", " ", "=", " ", 
   RowBox[{"8.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"xMaxTh", " ", "=", " ", 
   RowBox[{"200.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxTh", " ", "=", " ", 
   RowBox[{"15.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxTh", " ", "=", " ", 
   RowBox[{"1500.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"xMaxDimple", "=", " ", 
   RowBox[{"27.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], " ", ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"yMaxDimple", "=", 
   RowBox[{"15.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], " ", ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"zMaxDimple", " ", "=", " ", 
   RowBox[{"27.", "*", 
    RowBox[{
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], " ", ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Average isotropic temperature: \>\"", ",", 
    RowBox[{"TempCloud", "*", 
     RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.6705060134472785`*^9, 3.6705063316287174`*^9}, {
   3.6705063744487767`*^9, 3.6705064550088882`*^9}, {3.6705064915209384`*^9, 
   3.6705066804911995`*^9}, {3.6705067293012667`*^9, 
   3.6705067436812863`*^9}, {3.6705067859413447`*^9, 
   3.6705069103915167`*^9}, {3.670506994671633*^9, 3.670507004841647*^9}, {
   3.6705070450017023`*^9, 3.6705070570017185`*^9}, {3.670507155592855*^9, 
   3.6705072480429826`*^9}, {3.6705073453731165`*^9, 
   3.6705074762032976`*^9}, {3.6705075128933477`*^9, 
   3.6705075464433947`*^9}, {3.6705076435935287`*^9, 3.670507732093651*^9}, {
   3.6705077943837366`*^9, 3.67050780425375*^9}, {3.670507841103801*^9, 
   3.67050785488382*^9}, {3.6705078886138663`*^9, 3.670508298995433*^9}, {
   3.670508350655504*^9, 3.6705083639855223`*^9}, {3.6705084949957037`*^9, 
   3.6705085146357307`*^9}, {3.670508578955819*^9, 3.67050857974582*^9}, {
   3.6705086805159597`*^9, 3.670508683825964*^9}, {3.6705087410160427`*^9, 
   3.6705087421260443`*^9}, {3.670573259870878*^9, 3.670573260580879*^9}, {
   3.670573799502623*^9, 3.6705738439226847`*^9}, 3.670573964732851*^9, {
   3.670574161783123*^9, 3.670574173363139*^9}, {3.6705807735689363`*^9, 
   3.670580876689079*^9}, {3.670582695557665*^9, 3.6705827393377256`*^9}, {
   3.6705829178889723`*^9, 3.6705830030990896`*^9}, {3.670583037049136*^9, 
   3.6705830517691565`*^9}, {3.6705832267993984`*^9, 3.670583231519405*^9}, {
   3.670583317249523*^9, 3.670583320369528*^9}, {3.6705834934607663`*^9, 
   3.6705835058607836`*^9}, {3.670583790251176*^9, 3.6705838326412344`*^9}, {
   3.670590191043731*^9, 3.6705902075337543`*^9}, {3.670598515862998*^9, 
   3.6705985291030164`*^9}, {3.6705986458441772`*^9, 3.670598648004181*^9}, {
   3.670599387396201*^9, 3.670599390976206*^9}, 3.6706000391371145`*^9, {
   3.6706001227672305`*^9, 3.670600123187231*^9}, {3.6706008937622957`*^9, 
   3.670600894082296*^9}, {3.6706011683326745`*^9, 3.670601184712697*^9}, {
   3.6706014644630833`*^9, 3.67060149128312*^9}, {3.6706016133252897`*^9, 
   3.6706017087674227`*^9}, {3.67060178660853*^9, 3.670601786898531*^9}, {
   3.670602023529857*^9, 3.6706020296098657`*^9}, {3.681796547646595*^9, 
   3.68179656731472*^9}, {3.681797131609996*^9, 3.6817971388794117`*^9}, {
   3.6817972567821555`*^9, 3.681797331213413*^9}, {3.681797368280533*^9, 
   3.6817974673552*^9}, {3.6817975085815573`*^9, 3.6817976178398066`*^9}, {
   3.681797659052164*^9, 3.681797812867962*^9}, {3.6817978757445583`*^9, 
   3.6817978793017616`*^9}, {3.681807018798511*^9, 3.681807042754881*^9}, {
   3.681807083724224*^9, 3.681807111816831*^9}, {3.681807143248629*^9, 
   3.681807150640052*^9}, {3.681807344880162*^9, 3.6818074633809395`*^9}, {
   3.681807508964547*^9, 3.681807615773656*^9}, {3.681807715169341*^9, 
   3.6818077306652274`*^9}, {3.681807852271183*^9, 3.6818079106415215`*^9}, 
   3.68180801814267*^9, {3.681808274467331*^9, 3.681808274658342*^9}, 
   3.681808307765236*^9, {3.6818084611120067`*^9, 3.6818084717686157`*^9}, {
   3.681808582119928*^9, 3.681808583852027*^9}, {3.6818105383788195`*^9, 
   3.681810538846846*^9}, {3.681810620697528*^9, 3.6818106219806013`*^9}, {
   3.6818106952397914`*^9, 3.6818107028912287`*^9}, {3.6818107968846054`*^9, 
   3.681810797284628*^9}, {3.6818109962380075`*^9, 3.681811026996767*^9}, 
   3.6818119686246247`*^9, {3.6818129889259825`*^9, 3.681812990653082*^9}, 
   3.681816711875923*^9, 3.6818177996871424`*^9, 3.68181794738059*^9, {
   3.6818179854647684`*^9, 3.6818179867998447`*^9}, {3.681820529102256*^9, 
   3.681820547859329*^9}, {3.681820580440192*^9, 3.6818206410246572`*^9}, {
   3.681820690053462*^9, 3.681820721388254*^9}, {3.681821022415472*^9, 
   3.681821043671688*^9}, {3.6818211259833956`*^9, 3.681821150269785*^9}, {
   3.6818212009416833`*^9, 3.6818212011406946`*^9}, {3.681824335980997*^9, 
   3.6818243369340515`*^9}, 3.6818244684665747`*^9, {3.6818245149492335`*^9, 
   3.6818245506302743`*^9}, {3.681825864488423*^9, 3.681825899984453*^9}, {
   3.6818259826361804`*^9, 3.6818259908306494`*^9}, {3.6818260275877514`*^9, 
   3.6818260287698193`*^9}, 3.6818280916898117`*^9, {3.6818288250697584`*^9, 
   3.681828827328888*^9}, 3.6818290074781914`*^9, {3.681829062977366*^9, 
   3.681829070411791*^9}, {3.6818293416073027`*^9, 3.6818293627585125`*^9}, {
   3.681829454208743*^9, 3.681829477492075*^9}, {3.681829613048828*^9, 
   3.6818296146449194`*^9}, {3.6822462620947514`*^9, 
   3.6822464538750157`*^9}, {3.682246591646206*^9, 3.682246591816206*^9}, {
   3.6822474960034723`*^9, 3.682247513623496*^9}, {3.682247582903592*^9, 
   3.6822475928536053`*^9}, {3.6822478770090003`*^9, 
   3.6822478820490074`*^9}, {3.685010030523532*^9, 3.68501009621929*^9}, {
   3.685014872111455*^9, 3.6850148730475087`*^9}, {3.6850164266803713`*^9, 
   3.6850164585361934`*^9}, {3.6855557250394945`*^9, 
   3.6855557549752064`*^9}, {3.6855558013118567`*^9, 
   3.6855558437682853`*^9}, {3.6855558870157585`*^9, 3.685555890903981*^9}, {
   3.6855559436719995`*^9, 3.6855559714955907`*^9}, {3.685556075104517*^9, 
   3.685556089167321*^9}, 3.6855561455435457`*^9, {3.6855561905291185`*^9, 
   3.6855561932312737`*^9}, {3.6855562510345793`*^9, 3.6855562640403233`*^9}, 
   3.6855563550725303`*^9, 3.6855568176889906`*^9, {3.68573287729165*^9, 
   3.6857329090194645`*^9}, {3.68573300300384*^9, 3.685733003683879*^9}, {
   3.6857331369315*^9, 3.6857331382275743`*^9}, {3.685733202180232*^9, 
   3.6857332028912725`*^9}, {3.6857332388833313`*^9, 
   3.6857332399873943`*^9}, {3.685733317099805*^9, 3.6857333178278465`*^9}, 
   3.685733413940344*^9, 3.6857334529315743`*^9, {3.6857334881165867`*^9, 
   3.6857334889876366`*^9}, {3.6859578096957517`*^9, 
   3.6859578106257524`*^9}, {3.704200696130089*^9, 3.704200698570092*^9}, {
   3.7042007723602085`*^9, 3.7042007731602097`*^9}, {3.7042008289802866`*^9, 
   3.704200917850409*^9}, {3.7042009501024733`*^9, 3.704200952212476*^9}, {
   3.7201755125559444`*^9, 3.7201755140330296`*^9}, {3.720175564314905*^9, 
   3.720175591389454*^9}, {3.720175642783393*^9, 3.720175643107412*^9}, {
   3.7201757938260326`*^9, 3.7201757941750526`*^9}, {3.7201758461130233`*^9, 
   3.7201758476561112`*^9}, 3.7201766222334146`*^9, {3.7201767201350145`*^9, 
   3.7201767212770796`*^9}, {3.720177128742385*^9, 3.7201771292504144`*^9}, {
   3.7201789623262606`*^9, 3.720178972006814*^9}, {3.7201798346011515`*^9, 
   3.7201798424526005`*^9}, {3.720179890473347*^9, 3.7201798925454655`*^9}, {
   3.720180344477315*^9, 3.7201803454193687`*^9}, {3.7201807028648133`*^9, 
   3.7201807046289144`*^9}, {3.7201808673092194`*^9, 
   3.7201808683202767`*^9}, {3.720180988405145*^9, 3.720180990220249*^9}, {
   3.720181185125397*^9, 3.7201811866854863`*^9}, {3.7201813275725446`*^9, 
   3.72018132784156*^9}, 3.720181932156125*^9, 3.7201822640471077`*^9, 
   3.7201824745211463`*^9, 3.720182804792037*^9, {3.7201849637070627`*^9, 
   3.720184964101085*^9}, 3.7201854708680706`*^9, {3.7211286601607075`*^9, 
   3.7211286604147215`*^9}, {3.7211337024261084`*^9, 3.721133702750127*^9}, 
   3.721137579847884*^9, {3.721379286480474*^9, 3.721379286750474*^9}, {
   3.7213793450515547`*^9, 3.7213793483415594`*^9}, {3.721384481819138*^9, 
   3.7213844833462253`*^9}, {3.721384538867401*^9, 3.721384543786682*^9}, {
   3.7213845760175257`*^9, 3.721384585865089*^9}, {3.7213846220261574`*^9, 
   3.72138462381726*^9}, {3.7213846760572476`*^9, 3.7213846769292974`*^9}, {
   3.721384743289093*^9, 3.7213847474403305`*^9}, {3.721386762107337*^9, 
   3.7213867790573063`*^9}, {3.72138700168904*^9, 3.721387008903453*^9}, {
   3.7214670579431496`*^9, 3.721467062934435*^9}, 3.7214856658705573`*^9, {
   3.7214859763872995`*^9, 3.7214859797394905`*^9}, {3.7214870769562483`*^9, 
   3.721487104522825*^9}, 3.72148734204241*^9, 3.721487449937581*^9, 
   3.7214874986563683`*^9, {3.7214875905926266`*^9, 3.7214876246735754`*^9}, {
   3.7214881181398*^9, 3.721488132531624*^9}, {3.721489100463986*^9, 
   3.7214891046052227`*^9}, 3.7214892551088314`*^9, {3.721546352188744*^9, 
   3.721546391259979*^9}, {3.721549009718418*^9, 3.7215490214418497`*^9}, 
   3.72154922985345*^9, {3.7215553600231857`*^9, 3.7215553627373924`*^9}, {
   3.7215769527418118`*^9, 3.7215769661575794`*^9}, {3.721580537983374*^9, 
   3.7215805407933793`*^9}, {3.7215808785478573`*^9, 
   3.7215808863286715`*^9}, {3.7215812264577065`*^9, 3.721581231604518*^9}, {
   3.7215813172904806`*^9, 3.7215813380225205`*^9}, {3.721581508508638*^9, 
   3.721581518970657*^9}, {3.72158155203812*^9, 3.7215816084078684`*^9}, {
   3.7215822265764112`*^9, 3.721582230456633*^9}, {3.7215822899530363`*^9, 
   3.721582290104045*^9}, {3.7215836899177103`*^9, 3.721583690925768*^9}, 
   3.721583758743647*^9, {3.721631034405193*^9, 3.7216310405299*^9}, {
   3.7216310828974514`*^9, 3.721631084731888*^9}, {3.7216331859399176`*^9, 
   3.7216332418981185`*^9}, {3.7216332736829367`*^9, 3.721633275859061*^9}, {
   3.721635244477659*^9, 3.721635245516719*^9}, {3.721635280830739*^9, 
   3.7216353314116316`*^9}, 3.7216517987929225`*^9, {3.7216518854088764`*^9, 
   3.7216519380468874`*^9}, {3.72165202639194*^9, 3.721652083278194*^9}, 
   3.7216521260156384`*^9, {3.721652165086873*^9, 3.721652165324887*^9}, {
   3.721652271309949*^9, 3.72165231976472*^9}, {3.7216523524375887`*^9, 
   3.721652352644601*^9}, {3.721652450397192*^9, 3.7216524715083995`*^9}, {
   3.721652526492544*^9, 3.721652526643553*^9}, {3.7216526905949306`*^9, 
   3.7216526910579567`*^9}, {3.721652734842461*^9, 3.721652735377492*^9}, {
   3.7216528234585295`*^9, 3.721652823953558*^9}, {3.721653283814861*^9, 
   3.721653299117736*^9}, 3.7216563206897955`*^9, 3.7216565295607424`*^9, 
   3.7216569405092473`*^9, 3.7216571111480074`*^9, {3.7216571666191797`*^9, 
   3.721657166819192*^9}, {3.721657205099381*^9, 3.721657205193386*^9}, 
   3.7216573151136737`*^9, {3.721657346210452*^9, 3.721657346537471*^9}, {
   3.7216573824745264`*^9, 3.7216574126732535`*^9}, {3.7216576267284966`*^9, 
   3.721657626871505*^9}, {3.7216577004157114`*^9, 3.721657700543719*^9}, {
   3.7216578682783127`*^9, 3.721657889128505*^9}, {3.721658089094943*^9, 
   3.72165809289316*^9}, {3.721658147548286*^9, 3.7216581487663555`*^9}, {
   3.721658215380166*^9, 3.721658215508173*^9}, {3.721658451442668*^9, 
   3.721658451601677*^9}, 3.72165897860782*^9, {3.72165927758292*^9, 
   3.721659277836935*^9}, 3.7216593316530128`*^9, {3.7216594299236336`*^9, 
   3.7216594309306912`*^9}, {3.721980609164713*^9, 3.7219806092895136`*^9}, {
   3.722246964118188*^9, 3.7222469701875353`*^9}, {3.7222477665180826`*^9, 
   3.722247823397336*^9}, {3.723977469195091*^9, 3.7239774715152235`*^9}, {
   3.7362219875757337`*^9, 3.7362219881841345`*^9}, {3.7362227302756443`*^9, 
   3.7362227385191154`*^9}, {3.7362228181366696`*^9, 
   3.7362228190637226`*^9}, {3.7362229577176533`*^9, 3.736222958744712*^9}, {
   3.7362233838090243`*^9, 3.7362233860701537`*^9}, {3.736223480280542*^9, 
   3.736223483286714*^9}, {3.736223571402754*^9, 3.736223573907897*^9}, {
   3.7362286277711306`*^9, 3.736228628051931*^9}, {3.736228710966076*^9, 
   3.7362287112936764`*^9}, {3.7362287882330103`*^9, 
   3.7362287901362133`*^9}, {3.736228880928372*^9, 3.736228881411973*^9}, {
   3.7362289494124913`*^9, 3.7362289497400923`*^9}, {3.7505744803556046`*^9, 
   3.750574481625677*^9}, 3.7506842107861166`*^9, {3.750684435752984*^9, 
   3.750684583890457*^9}, {3.750685657582869*^9, 3.750685658692932*^9}, {
   3.750744098612191*^9, 3.7507441000542736`*^9}, {3.750744678207342*^9, 
   3.750744678620366*^9}, {3.750745941986626*^9, 3.750745943039686*^9}, {
   3.750746072278078*^9, 3.750746080119527*^9}, {3.7507473729654737`*^9, 
   3.750747373221488*^9}, {3.7507474836758056`*^9, 3.750747483979823*^9}, 
   3.750747542542173*^9, {3.750763647554327*^9, 3.750763647868345*^9}, {
   3.7507637976109095`*^9, 3.7507637978539233`*^9}, {3.7507638368471537`*^9, 
   3.7507638371731725`*^9}, {3.777712793496577*^9, 3.777712813543723*^9}, {
   3.7777129614681845`*^9, 3.77771296297227*^9}, {3.7777190084080496`*^9, 
   3.7777190112712135`*^9}, {3.777719664767591*^9, 3.777719667911771*^9}, {
   3.7794199911047573`*^9, 3.7794199931868763`*^9}, {3.7794201524639864`*^9, 
   3.7794201530400195`*^9}, {3.779420285664605*^9, 3.779420290418877*^9}, {
   3.7794203625030003`*^9, 3.7794203642511*^9}, {3.7794208537851*^9, 
   3.779420855848218*^9}, {3.779420905853078*^9, 3.7794209075171733`*^9}, {
   3.7794209448713093`*^9, 3.7794209462703896`*^9}, {3.77942098543963*^9, 
   3.7794209871107254`*^9}, {3.7794210351364727`*^9, 3.779421039165703*^9}, {
   3.7794210773208857`*^9, 3.7794210786979637`*^9}, {3.779421118062216*^9, 
   3.7794211214174075`*^9}, {3.779796217440748*^9, 3.779796217783949*^9}, {
   3.779796314101319*^9, 3.779796314382119*^9}, 3.780322288186262*^9, {
   3.780912279709841*^9, 3.7809122991109505`*^9}, {3.780914113152708*^9, 
   3.780914197167513*^9}, {3.780918136254816*^9, 3.780918138362937*^9}, {
   3.7809193806919937`*^9, 3.780919383293143*^9}, {3.780981635049055*^9, 
   3.7809816353760734`*^9}, {3.7809817882778187`*^9, 3.7809817885978374`*^9}, 
   3.7809821493904734`*^9, 3.7809830367752285`*^9, {3.7812414019986763`*^9, 
   3.7812415012333527`*^9}, {3.7812415781587524`*^9, 
   3.7812415789187956`*^9}, {3.785419520688731*^9, 3.7854195236829023`*^9}, {
   3.7867940660349407`*^9, 3.78679406671598*^9}, {3.786794105322188*^9, 
   3.7867941108785057`*^9}, {3.7867941415152583`*^9, 
   3.7867941892859907`*^9}, {3.79086283154325*^9, 3.790862864465133*^9}, {
   3.790862966757984*^9, 3.7908629691381197`*^9}, {3.790863040770217*^9, 
   3.790863041782275*^9}, {3.7908632750036144`*^9, 3.7908632936416807`*^9}, {
   3.790863365000762*^9, 3.7908633652207747`*^9}, {3.790864386607195*^9, 
   3.790864389741374*^9}, {3.791008143917379*^9, 3.7910081506727657`*^9}, {
   3.791008221645825*^9, 3.7910082235299325`*^9}, {3.791008276179944*^9, 
   3.791008306281666*^9}, {3.791008336321384*^9, 3.791008361010796*^9}, {
   3.791010008514028*^9, 3.7910100086750374`*^9}, {3.7910113648276043`*^9, 
   3.791011367407752*^9}, {3.7910114010846786`*^9, 3.7910114017347155`*^9}, {
   3.7910114342605762`*^9, 3.7910114362366886`*^9}, {3.791011731169558*^9, 
   3.7910117445053205`*^9}, {3.7910119120109015`*^9, 3.791011924827635*^9}, {
   3.7910119763975844`*^9, 3.7910119813998704`*^9}, {3.791012885840602*^9, 
   3.7910129405307293`*^9}, {3.7910129708454638`*^9, 
   3.7910129712834883`*^9}, {3.791014211517426*^9, 3.7910142119144487`*^9}, {
   3.791014855938285*^9, 3.791014856154297*^9}, {3.7910151481549983`*^9, 
   3.791015148289006*^9}, {3.7910152609784517`*^9, 3.7910152617824974`*^9}, {
   3.7910153557698736`*^9, 3.7910153563459063`*^9}, {3.791015689732975*^9, 
   3.791015690412014*^9}, {3.7910158355513153`*^9, 3.791015835833331*^9}, {
   3.7910338350972214`*^9, 3.791033835611251*^9}, {3.7910346822426753`*^9, 
   3.791034683240732*^9}, {3.791035100947624*^9, 3.791035101293644*^9}, {
   3.7910360580833693`*^9, 3.7910360583303833`*^9}, {3.792155644952961*^9, 
   3.7921556463520412`*^9}, {3.792322036145445*^9, 3.7923220364414616`*^9}, {
   3.792322367244383*^9, 3.7923223685514574`*^9}, {3.7923223990132*^9, 
   3.7923224078307037`*^9}, {3.792326560205206*^9, 3.7923265719558783`*^9}, {
   3.7923279900119867`*^9, 3.7923280171315374`*^9}, {3.7930952510430913`*^9, 
   3.79309525871453*^9}, {3.7948267160886555`*^9, 3.7948267203308983`*^9}, {
   3.7948267553499017`*^9, 3.7948267973403034`*^9}, {3.79482711495747*^9, 
   3.7948271250010443`*^9}, {3.795431698886038*^9, 3.795431703136281*^9}, {
   3.795433028270074*^9, 3.795433028576092*^9}, {3.795433085908371*^9, 
   3.795433104094411*^9}, {3.7954346183150196`*^9, 3.795434634702957*^9}, {
   3.795436470271945*^9, 3.795436470772974*^9}, {3.795441204974755*^9, 
   3.7954412074248953`*^9}, {3.7954415660464067`*^9, 
   3.7954415949320593`*^9}, {3.795497703356867*^9, 3.795497704315922*^9}, {
   3.795498436006772*^9, 3.795498438230899*^9}, 3.795498498872368*^9, {
   3.795504546676282*^9, 3.795504561721143*^9}, {3.7955046183473816`*^9, 
   3.7955046243447247`*^9}, {3.84016903909344*^9, 3.8401690449592853`*^9}, {
   3.8401703758405066`*^9, 3.8401703861439486`*^9}, {3.8401709815807085`*^9, 
   3.840170989381527*^9}, {3.8401712335431643`*^9, 3.8401712373366585`*^9}, {
   3.8401714831425*^9, 3.840171484363126*^9}, {3.8401739483049164`*^9, 
   3.8401739520928807`*^9}, {3.840242536850871*^9, 3.84024258556398*^9}, {
   3.8402428695092554`*^9, 3.8402428744718447`*^9}, {3.840242912540143*^9, 
   3.8402429142575903`*^9}, {3.8402429943781214`*^9, 
   3.8402430052663946`*^9}, {3.84024340009793*^9, 3.8402434084707775`*^9}, {
   3.8402434469897947`*^9, 3.840243452378169*^9}, {3.8402434972170763`*^9, 
   3.8402435033762927`*^9}, {3.8402435371921864`*^9, 
   3.8402435674167285`*^9}, {3.840243633240551*^9, 3.8402436340669327`*^9}, {
   3.8402436742608085`*^9, 3.8402436757636805`*^9}, {3.8402441174416914`*^9, 
   3.8402441182118387`*^9}, {3.840245611735079*^9, 3.840245614886713*^9}, {
   3.840251247887613*^9, 3.8402512565334454`*^9}, {3.840268987919498*^9, 
   3.840268988627921*^9}, 3.8402690650784984`*^9, 3.840273904982495*^9},
 CellLabel->"In[30]:=",ExpressionUUID->"93adbead-628b-412d-871d-f541292ad03d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Average isotropic temperature: \"\>", "\[InvisibleSpace]", 
   "1.08`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Average isotropic temperature: ", 1.08, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.792328017712571*^9, 3.7923289344100027`*^9, 3.792328979520583*^9, 
   3.793095212332877*^9, 3.7930952596105814`*^9, 3.793102909761145*^9, 
   3.7931033216627045`*^9, 3.793509798053353*^9, 3.794826812916194*^9, 
   3.794827125209056*^9, 3.795425395372497*^9, 3.7954275357269187`*^9, 
   3.7954289357109933`*^9, 3.7954291784408765`*^9, 3.795429477229966*^9, 
   3.795430270950364*^9, 3.7954318710448847`*^9, 3.7954331160220933`*^9, 
   3.7954346360270324`*^9, 3.7954369294542093`*^9, {3.7954411964872694`*^9, 
   3.795441229796174*^9}, 3.7954445114138727`*^9, {3.7954976994746447`*^9, 
   3.7954977051819715`*^9}, 3.7954984396779823`*^9, 3.7955052220359106`*^9, 
   3.8401690523906307`*^9, 3.840169870757497*^9, 3.840170386977724*^9, 
   3.840171486765542*^9, 3.84017493369357*^9, 3.840179402641675*^9, 
   3.84020691029241*^9, 3.8402425873569407`*^9, 3.8402428764422126`*^9, 
   3.8402429158839884`*^9, 3.84024300662111*^9, 3.840243410317422*^9, 
   3.8402434537034483`*^9, 3.8402435047131095`*^9, {3.8402435390581584`*^9, 
   3.840243568654394*^9}, 3.8402436351966877`*^9, 3.8402436767274313`*^9, 
   3.8402441192950106`*^9, 3.840245616504495*^9, {3.8402691056646147`*^9, 
   3.840269126993226*^9}, 3.840304055279705*^9},
 CellLabel->
  "During evaluation of \
In[30]:=",ExpressionUUID->"2c4dce3f-7d74-4f67-9429-8058d25b54ef"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Display DT potential", "Item",
 CellChangeTimes->{{3.750746832403555*^9, 3.750746845568308*^9}, {
  3.7507472053488865`*^9, 
  3.7507472064959517`*^9}},ExpressionUUID->"4e66989d-7772-437f-a57e-\
90e3d2646c91"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITab", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTab", ",", "WaistXTab", ",", "WaistYTab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTab", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITab", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighXTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistXTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighYTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistYTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTab", ",", "WaistXTab", ",", "WaistYTab", ",", "ZRayleighXTab", 
       ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", "\[Phi]Tab", ",", 
       "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerTabSheetOnly", " ", "=", " ", "PowerTab"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTabSheetOnly", "[", 
    RowBox[{"[", "2", "]"}], "]"}], " ", "=", " ", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTabSheetOnly", "[", 
    RowBox[{"[", "3", "]"}], "]"}], " ", "=", " ", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ITabSheetOnly", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTabSheetOnly", ",", "WaistXTab", ",", "WaistYTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTabSheetOnly", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITabSheetOnly", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTabSheetOnly", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTabSheetOnly", ",", "WaistXTab", ",", "WaistYTab", ",", 
       "ZRayleighXTab", ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", 
       "\[Phi]Tab", ",", "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"XYZDipPotFun", "[", " ", 
    RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
   RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
    RowBox[{
    "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTab", ",", "mAssSr"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotSheetOnlyFun", "[", " ", 
     RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
    RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
     RowBox[{
     "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTabSheetOnly", ",", 
      "mAssSr"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{"gSaggSrNum", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
      ",", 
      RowBox[{"{", "1", "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNumSheetOnly", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotSheetOnlyFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gSaggSrNumSheetOnly", " ", "=", " ", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"gSaggSrNumSheetOnly", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
       ",", 
       RowBox[{"{", "1", "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]X", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{
               RowBox[{"xx", "+", "xOffset"}], ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], 
              "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"xx", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"xx", "->", 
            RowBox[{"(", "X", ")"}]}]}], ")"}], "/.", 
         RowBox[{"X", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Y", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"yy", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"yy", "->", 
            RowBox[{"(", "Y", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Y", "\[Rule]", "gSaggSrNum"}]}], ")"}], " ", "/", 
       "mAssSr"}], "]"}], "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Z", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", 
               RowBox[{"zz", "+", "zOffset"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"zz", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"zz", "->", 
            RowBox[{"(", "Z", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Z", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]IsoDT", " ", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]X", "*", "\[Omega]Y", "*", "\[Omega]Z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aHODTiso", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"1.", "/", " ", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "\[Omega]IsoDT"}], ")"}]}], "*", 
      "hbarreOverAu"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDepth", "=", 
   RowBox[{"XYZDipPotFun", "[", 
    RowBox[{"xOffset", ",", 
     RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TrapEdgeByGrav", "=", " ", 
   RowBox[{"FindMaximum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", 
         RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0."}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "\[LessEqual]", " ", "yy", 
        "\[LessEqual]", 
        RowBox[{"400.", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"55.", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", " ", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDipTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"TrapEdgeByGrav", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PosTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"yy", "/.", 
    RowBox[{"TrapEdgeByGrav", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PotDepthSheetOnly", "=", 
    RowBox[{"XYZDipPotSheetOnlyFun", "[", 
     RowBox[{"xOffset", ",", 
      RowBox[{"gSaggSrNumSheetOnly", "+", "yOffset"}], ",", "zOffset"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLot1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"xx", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
        ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"xx", ",", 
       RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in X axis\>\""}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLot2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotFun", "[", 
       RowBox[{"xOffset", ",", 
        RowBox[{
         RowBox[{"yy", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", 
        "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Y axis\>\""}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PLot3", " ", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", "yOffset", ",", 
         RowBox[{
          RowBox[{"zz", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
       "ctePlanckOverkB", "*", 
       RowBox[{"10", "^", "6."}]}], ",", 
      RowBox[{"{", 
       RowBox[{"zz", ",", 
        RowBox[{"-", "1000"}], ",", "1000"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Z axis\>\""}],
       ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLotSheetOnly1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotSheetOnlyFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"xx", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
        ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"xx", ",", 
       RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Trapping potential (sheet only) on 1S0 in X axis\>\""}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLotSheetOnly2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"XYZDipPotSheetOnlyFun", "[", 
       RowBox[{"xOffset", ",", 
        RowBox[{
         RowBox[{"yy", "*", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", 
        "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
      RowBox[{"10", "^", "6."}]}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Trapping potential (sheet only) on 1S0 in Y axis\>\""}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PLotSheetOnly3", " ", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"XYZDipPotSheetOnlyFun", "[", 
        RowBox[{"xOffset", ",", "yOffset", ",", 
         RowBox[{
          RowBox[{"zz", "*", 
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
       "ctePlanckOverkB", "*", 
       RowBox[{"10", "^", "6."}]}], ",", 
      RowBox[{"{", 
       RowBox[{"zz", ",", 
        RowBox[{"-", "1000"}], ",", "1000"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "PlotLabel", "\[Rule]", 
       "\"\<Trapping potential (sheet only) on 1S0 in Z axis\>\""}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "10"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"PLot1", ",", "PLot2", ",", "PLot3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "PLotSheetOnly1", ",", "PLotSheetOnly2", ",", "PLotSheetOnly3"}], 
      "}"}]}], "}"}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Beam powers: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rayleigh length axis 1: \>\"", " ", ",", 
   RowBox[{"ZRayleighXTab", "*", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Rayleigh length axis 2: \>\"", " ", ",", 
    RowBox[{"ZRayleighYTab", "*", 
     RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]X", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]Y", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
     RowBox[{
      RowBox[{"\[Omega]Z", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Grav sagging: \>\"", " ", ",", 
   RowBox[{"gSaggSrNum", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Absolute potential depth: \>\"", " ", ",", 
   RowBox[{"PotDepth", "*", "ctePlanck", "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Edge of the trap between tranport DT and sheet DT: \>\"", ",", 
     RowBox[{"PosTrapEdgeByGrav", "*", 
      RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Trap depth: \>\"", " ", ",", 
   RowBox[{"UdipTab", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Effective trap depth: \>\"", ",", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"PotDipTrapEdgeByGrav", " ", "-", "PotDepth"}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.7197386048911114`*^9, 3.719738605608152*^9}, {3.719738648634557*^9, 
   3.719738676855596*^9}, {3.719739932359174*^9, 3.7197399377291813`*^9}, {
   3.7197399752412496`*^9, 3.7197399870912657`*^9}, 3.7198221739167566`*^9, {
   3.719823712196764*^9, 3.7198237279767857`*^9}, {3.7198385766077533`*^9, 
   3.7198385783877554`*^9}, {3.7199057240019007`*^9, 3.719905739391922*^9}, {
   3.7199058264440594`*^9, 3.71990583412407*^9}, {3.7199058651741133`*^9, 
   3.7199058719441223`*^9}, {3.719905913506194*^9, 3.7199059152661963`*^9}, 
   3.7199222698204207`*^9, {3.720173300657431*^9, 3.720173337943564*^9}, {
   3.720173722037533*^9, 3.720173742179685*^9}, {3.7201743683204985`*^9, 
   3.72017437254574*^9}, {3.720174482765044*^9, 3.7201744958137903`*^9}, {
   3.7201745402443314`*^9, 3.720174541739417*^9}, {3.7201746186378155`*^9, 
   3.720174668615674*^9}, {3.7201747081059327`*^9, 3.720174725602934*^9}, {
   3.7201747596758823`*^9, 3.720174780074049*^9}, {3.720174854079282*^9, 
   3.7201749148787594`*^9}, {3.720174949256726*^9, 3.7201749757732425`*^9}, {
   3.7201754634941387`*^9, 3.7201754807061234`*^9}, 3.720175598122839*^9, {
   3.7201855281053443`*^9, 3.7201855286313744`*^9}, {3.7201855692646985`*^9, 
   3.7201855724428806`*^9}, {3.720185621443683*^9, 3.7201856630040603`*^9}, {
   3.720185735696218*^9, 3.720185739544438*^9}, {3.720185912814348*^9, 
   3.7201859139234123`*^9}, {3.7202455310867996`*^9, 
   3.7202455323388715`*^9}, {3.7202457217307043`*^9, 
   3.7202458625817604`*^9}, {3.720245916877866*^9, 3.7202459196840262`*^9}, {
   3.7202459868828697`*^9, 3.720245988715975*^9}, {3.7202460767705545`*^9, 
   3.7202460773205557`*^9}, {3.720246107360617*^9, 3.7202461096106205`*^9}, {
   3.720246142012685*^9, 3.720246147742693*^9}, {3.7202461996647835`*^9, 
   3.720246201824786*^9}, {3.72024626607891*^9, 3.7202462667389107`*^9}, {
   3.7202469651740007`*^9, 3.7202470153380957`*^9}, {3.7202470697001905`*^9, 
   3.7202470764601994`*^9}, {3.720250120114921*^9, 3.7202501308849363`*^9}, {
   3.7202505029515023`*^9, 3.7202505060615067`*^9}, {3.7202691420522037`*^9, 
   3.7202691515622168`*^9}, {3.7207799442924137`*^9, 
   3.7207799554324293`*^9}, {3.7207810440109515`*^9, 
   3.7207810454109535`*^9}, {3.7264045192662487`*^9, 
   3.7264045476483073`*^9}, {3.7501623752658863`*^9, 3.750162380690197*^9}, {
   3.7501624362433743`*^9, 3.75016243913054*^9}, {3.7501629648146067`*^9, 
   3.7501629806835146`*^9}, {3.750163037752779*^9, 3.750163041703005*^9}, {
   3.75016322152929*^9, 3.7501632660988393`*^9}, {3.7507472360466423`*^9, 
   3.7507472934519253`*^9}, {3.78124152793388*^9, 3.7812415464759398`*^9}, {
   3.791015401259475*^9, 3.7910154143292227`*^9}, {3.79101548858247*^9, 
   3.7910154900205517`*^9}, {3.79101569611034*^9, 3.7910156977184315`*^9}, {
   3.7910332153287725`*^9, 3.791033219580016*^9}, {3.791034332516672*^9, 
   3.791034378844322*^9}, {3.791893429624709*^9, 3.791893433540933*^9}, {
   3.795439274688349*^9, 3.7954393124695096`*^9}, {3.7954393427302403`*^9, 
   3.7954393429762545`*^9}, {3.7954990848268824`*^9, 
   3.7954996059426885`*^9}, {3.7955006837293344`*^9, 3.7955007212054777`*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"64180294-6c50-47cf-b4d6-c10ce526bdc2"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"2743.26004769161`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,62,1,
   23443567467300568549,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.840169060034031*^9, 3.840169873877757*^9, 
  3.840170394395321*^9, 3.840174937661208*^9, 3.8401794044084997`*^9, 
  3.840206928746661*^9, 3.8402691324536905`*^9, 3.840304061622446*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"1cfd5998-ef1d-4c56-b8a4-1a1cd0866325"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"3780.4094040967557`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,62,2,
   23443567467300568549,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.840169060034031*^9, 3.840169873877757*^9, 
  3.840170394395321*^9, 3.840174937661208*^9, 3.8401794044084997`*^9, 
  3.840206928746661*^9, 3.8402691324536905`*^9, 3.840304061642434*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"9b77e77d-176a-48ab-aa5a-db417e8c5d29"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"2743.26004769161`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,65,3,
   23443567467300568549,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.840169060034031*^9, 3.840169873877757*^9, 
  3.840170394395321*^9, 3.840174937661208*^9, 3.8401794044084997`*^9, 
  3.840206928746661*^9, 3.8402691324536905`*^9, 3.8403040620378456`*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"ff2b3aae-3103-4422-8396-4b865011908e"],

Cell[BoxData[
 TemplateBox[{
  "General","munfl",
   "\"\\!\\(\\*RowBox[{\\\"Exp\\\", \\\"[\\\", RowBox[{\\\"-\\\", \
\\\"3780.4094040967557`\\\"}], \\\"]\\\"}]\\) is too small to represent as a \
normalized machine number; precision may be lost.\"",2,65,4,
   23443567467300568549,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.840169060034031*^9, 3.840169873877757*^9, 
  3.840170394395321*^9, 3.840174937661208*^9, 3.8401794044084997`*^9, 
  3.840206928746661*^9, 3.8402691324536905`*^9, 3.840304062105803*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"f560993b-88c6-4c4e-8fef-0f7d792d3723"],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVVnc4Fe4Xt0kZWWVky0hkyyqykpBKCNl73ete99IwEiVChCQrK4SkIe77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             "]], LineBox[CompressedData["
1:eJwVVXc8Fd4bJmSF0kZmhJQoJfMliZCRjIzsPa7rLjOEyGpQkSRlRZSGVPec
S7bMZCSRUsjeX6Sf3z/nfJ7P532e93nez/m8R8zJ38x1ExMTk97G8f975/vM
qDvn2zQPr5GV95gqMoY1eX1GTEc1Sw/fl18wUmTM/KY8P5Y0rXlEeNkl2ECR
MVX6S44cMK/pE5aWZKmnyJigWhS8urCsGS086JOko8j4o1krsXhyTbOON29S
CBQZCyz3jAX5mOCmVqkUu6oiY/63WZIq8yZwu6ltYqSkyJhr4mqymWOBeZ/0
5unDiozZ0iqO0GE2GCRpH5g7sNH/VrBuZjc7hNwI5LYQVWRMUxWj3zdwgvxH
AyPBPYqMSc2cf2tPeSD16N6xTrYNPxIX1fdl88FxCbPM5lUFxiJLPF24YSuo
nOq0UpjZwL9hVeMdP/R31XHqfNnAvUICxi+3g1bde8vlZgXGQtOy8qWnO8Di
3ysH8UoFxnzpM8rlB7tgTEby+o/cDfwwMS3l7m7wcnk/EXFHgTF3y+Plgxt7
QDR/PSA7ToExSxWdxVcEwPrEN7tATwXGtOZ1XyYPYXjUGyDSJKnAoO1qr1Ck
iIC3rI22Kb8CI2KR44qitigsyR8MdF0/wuBs1m91MRED4YbKZwafjzAEgpvc
G3wkYNlUpO1e+BGGemfL3Zu5B4D3ObmfcFWeoVXtFXaT+wgYkdj7DwTKMX7+
F7xVxPgIUJLPDQRqyzFi5RMeFd08ApXXYoXWtskxGjOKGqr3KgDTAQvJ3ucH
GWYB4zuXDiiC4uv0ArsFWYaLsF+Jjc4xWE+dNySmyDA2m4drjVw9Bkk+H1Qq
XWQYBfHJnaSmY3B55IFCkooMY3y+ZCXJTAkifPijH/2WZpCbpnQZDsfhr/ef
2akz0oxYWsDA/jBlkJpNrogXO8CA+ES1w++VIUTs7YAN8wHGSnp++olVZVjO
HCp88F2K4feu//zZoJMweeZxOO2RFMNiXb/en6wCM/4Np03kpBiS0eLP3/qq
wWM57ggHU0nGt1R13upiNXga6TDz4oQk426ulXfzHzWIff2b7igsydhSlyw5
6KkOjaPSX6vH9zPmOVfT2dw04KJR8+HApP2MoTpPLWl5gLaLEhJvvkowNE2W
porPAZQcP6NZXyfByOyJzlLwA7Dhq0nd/kKCYTH6YFXlKYDl8wpn82sSjEau
rldGB7WA57GbkIGqBKPMSFs28IA2TLhJScflijOiPglsRyI6kNFz+F/HdTEG
Ydmc/beWDkjr7/ndEi7GsN+XssrnogO9dhUX+3zEGCruLD8dC3RAZh/plZi+
GGNu5c9LNoXT8KHE1E1/kxjDRZxuYaStCzFTQVMmFFHG6YBLGV9d9GDm8G75
1SphBgffY7HVQkPo2e+U4k4SYJgaunkdiDUDxU3bDtk58DNkzY11mtLMwOzF
0qy6Dj+D1VZZ2D/XDJ6s/9NRlOZnvPbm6nhdbQY54jNKFtPbGAIJJSd1Wc5D
rfGR+pTIbYyfDYscrhHnYXehcOOf/K0Mypmr+TnB5mAjcG+dwsXLMDYmROpe
MwfGj0n5J908DGlLa5uxdHNQllme2JLLw/jidpBPscIcbv541OUIPAzN2FZK
5ZI5TMguJJ4L2sLgqNmtO0i6AFwWWm+t57kY97QLfu7zt4CdnrTjR7dyMN7f
df++PcIC1CblPv0YYGd8m5T6xnnDAjhf2jm1l7IzxO/ldi+UWUDIp9EyZxN2
RsFcTmPzogU8OqRp6p66mfH68f1nYeGWMFFA3bd8gI3RsflWaH+SFVwdeDrr
F7aJMW9rFvQpywqunXDY9cl8E2PXi22UhlIr2J38t4okt4lhfem6/6t2K5Dl
UYkkfGVmDJYnOSXttIYrCXo/zmgyMyY94vTU71tDe/XZctetTAzOprAd94sv
wr5bWyYt8Cqe7saniO8vQml28rnkyFXc85M58MzHi2CwxCtwUGcVF6zHtM/8
uQjafktTtxpXsK5icrLuQRuw1yaYCn79D0enZ3FMF9pA1W2phx+2LeN1d7ym
nW8LPZ6OTM418/gXiVluT7ktzK7qv624NY9bIk/ZTNTagv3OnTI+TvP4/r26
iju/bEE92gINMc1jtdZWyrikHVw8rtK9RXsOBx0fnE57bAd9xJfXWD7P4HlW
5uGRh/ag4K5a8II8iWkmiVp+z+3hy76FQ+4yk3jt3u6sOYY9DN6MrX7RP4FZ
jx62XB+wh21Z/8R36k3g7Y42DduFL4FzzmDcD4lxrEh/9VQj4xJ89l3cw7Y0
il9zaHFVF17a2I993ydfjGIV849u+hWX4B+XVpprwCjW+jMkYt5zCeKb9hYt
Tozggi0cDce4HQD9cxC8OfEbv1FRUj2r7wCCZsonNm3+hYMHg0e3mDrA60qm
x/ZNw1gtlnGn1coBgqLXX6veGMaMdoN5cw8H2Pz1FoMkPIzrPJyeXrrqAMXh
5czNGj9x1+0UEXKNAzgK8w543x7CC7OjLNlajnCK8lZCXXkAf8UZH7jPOoKs
K3MCvecbrko0uEI1cwTWvn7LY8HfcLLU003Gzo5gKc2J/+J+LHWRwLwe7QiC
j4tsPlp8xVaVi+s29Y4wVzZxuaq0F2sk56O6NkdoZXCXttj34v02VuFHex2B
ZGns9pK3F8/MV/zlGnOEDJaT/mwBPfiadNhaBbcTPJest0nS7MbvU1hWdhs7
wcj1V4dfb/qMc2xfVlyxdILA2ISBRNSJ42Rcg6YuOYEf4eiiWEgnvvChdrmW
4ATcrd9bIxY/4cnF+CXyTSdYn7Xd9HOhA4vYb1349NkJhAcu3Ozf2Y43H6x8
qfnNCdJS/pzu+9qGx5cCSEW/nGBwzEkl/HEbfnPj01zU0obevcpfT5XasEnN
7VmFvc6wfiPs7k7cgqPk9k2n2DpDXIjAtz8PmnCTOZ++t4sziGwNEY8404R3
hDHn6Po4g3bvQ7Ut0404v3n4/N8QZ6CnJ+9m0WnEH/1Kyr3uOcPm1BOyh5fq
8c7nmpdPf3EGd4ieyoirxfa9Cj2iQ85weK1iqlCjFhcw71dYG3WGkccGP5IX
arCKGcePsv+cQUBcJ6fDtQbbz7Xpiu51gSeq1+S4TKpxgZIT76qlCyzp8w/E
61fhGTtz965LLvBg7HUt75YqrBKry3ju7gLtNzv2GbRW4uYuWaIH1QXaNo1P
DFlW4lnq3OfPt13g5kGO23YBDKz6Nvr+s88u8IpRRFm9SsfRQ5TFhH4XyGFt
NTATp+MWLk9j92EXcL1akfyd/h472BgxCy+4wFEQyslcfoej13a6JuxwBU/w
UTsU+ha3aOTLuZ13hfKxi4m8FeVYLZn1zpiNKzg8pNdG2Jfjwn5HZn8XV9Bs
DjaXYSvH0aFCXVSyK9SrecjwWbzGKm9vXI6/4woJHUL0JrZXOE8ptKO4zxVY
aif+8WeU4R0xvWoKP11BaPx5vLFpGY7sPJ7/atwV3hzjZE3iLMO2gTMh6K8r
tBzZErUe+hzzP3eTbBNxgzB8ytDd/xkOkzOlzTm7gZ6UFmvCv2I8FlIyRPVx
A/FSxYZLCcXYqonbaI3kBttt21q/7CnGil61YmyxbvDOIeRJiXIRHslXbdpV
4AbFcxr16gmF2FxCSlhl3A1+fqluzKPm4SrilTg07wZ3QmX0YgXzsHzV4Kz2
Xzd44KchhRi5mMvxXp0BrzuUMjfrS/LlYkbW1gC7I+7QKoYqLN89wnICqx8i
SO4w5kK1KTB6iNeq0+tIoe6wp3o6pYfzIW72V27yiHaHIMkr29Zqs7FfDbnD
JNUd+EUoA1t1svEzwvSg6MuN1/bsvoH6zSx8tG74L2POHYJl7zxMX87ArMRo
5lerG3hIYe1pYgbuFJJgK2TxgGRDJgVj8QxMIjpsubHdA65LJTRImKXj1/v6
BByPeoBi7NET1z7cwSqkthPMgR4g9f1x2r7RVMwl4q+6EOwB30wy9StupeK+
Bh7N0SgPEP5xK+O2ZioOFTHQbb/pAedXorex3buFUWON+cMyDzhn93JVzeEm
Tia7WKW99YDa9fZfhB038SVRFtv4Kg84uXu8sKbhBmaigHNAhwdsC2E5WXXi
BtYSexegNesBSv1SsfdFr2P+j9ZkpRUP6FFx/dT3NgUPUZZpMps84cHanayo
4yk46qNSxDZ+T3CoJm6rPZqMq6nPkr8reALRXLfG+XQi1mvJLYoM8IQ3rb6H
T+I47LZntMYoyBOuiz6ylrCKwzFOcoN7Iz3h8woWyZy9iqsWy3aUXfeEO6mX
siXkrmI1EUbYUOlG/W5/wYVnMfiiJ8vdknJPqC6pNUQXYnDQC92yYOwJNexT
W8dXo/HrM82/+Fs9IdH1TKSjYTQ+QvhifGrSE6LDOF7K/Y3C597u8+Jb9ATm
vt/0m8VR2JfVMbrvrye8v+Kld8IuCj+5+/tNII8X6Fy/PSNTFYn3V86LPZbz
ArX2+KOqGRF4Dz/fPKu3F7DlTXq1rofi47ZmvO1ELzjy8DklIDIUX8hLk74f
7AVGE51RPJtD8U0VITula16wc8nUbdfOELzFWabWtdAL5PO9xR7rB2HZpz6D
Cs+9gLDYrX+uj4b1l0pX/r7xglvKmv5v/Wg4NuG4/O16LxjMveyCMqiY6eWp
u7W/N/qLtZZUbqZg4fXYsptTG/4o6l11uWSsrtf40X7JC0ZfiaXZ6ZJx8FcT
5qXN3lAVNaIkmkja+L/tvQ5IecPSgYIJB5lAPHqBphbn4g28zAPfN+cRsFyd
lMdfH28oP/zOVOoCAfspf75FJHuDx9Ext9dsBDwvoPjHNtYbbseqZoh2+WGm
wT/pCgXekDvqqMqT6INPmWbU5D3zhlYePqMtTD44tkpvRrBiAzPb+16neGPu
3Fy9zY3e0H6RaWnNywvv8rq09OWPN6SkBK+dInhg6z4eCZN5bxjUzpE8s+SO
Mw3fn6tZ84aaqMOvwyLcsZj83rxSHh8YvCsjdindDcvNd5hHy/tA0a0ONPPD
BWuH65YdCvSBJkKEGu50xDFT8/05IT5AZV1Waw92xPUOjzj3RPuAd3bq12Rx
R2x0islxU5oPjIbnhk5RHLAVx1u+7tc+YFlskrPmYo/vBXmoGmIfUF0bZNdv
tMPfxna5V9b5wCY/p0ehinbYpTkQFfX4APO9uWxXblvsf/OQb8SKD/TtFjk1
0G+Ny1i+3l3Y5AtV4gxnVmtrPE+6Vu3F7QuBI6n6JV1WONjyt+AFIV/gvHDs
u1OvJY4Vetgoo+ELBYe2TwisXsCZeTukP0X6wscewfHXeWZYO5B1ojzeF373
P6zMMTDDI5rzzzNv+EL6rivPj86a4qO9n1TdHvqChJRIkLSOKW7kvmX8H8MX
VnL2/XdywRgTeqJ2fKv3BXIpv/WgpTHelUvsrWrzhW2BQtMu9HPYUcPMOXHQ
F2zUv7/pum6ElwnbqCJMfnCr+Y8Lp5UBzlJnVmPl8IPMJ1zYsO0s1uGaYRrl
84NzahoafAZnccqjtmtlIn7A87mpYPiMPpbqSsk6rekHd4qa+p/ancEXVHlr
vcP9gL2FT2h4+hReYV+/ZhLrB9HM0s8MEk/h7M4JY6VkP+Dkt72SKnMKj/s2
967f94O5BwGsRZ7aODo7ceIG3Q/eBc/MsP0DLOsbWkap8YM1bZH1OwWA2076
UG2a/UAgLZf943nAgp8MmCX7/YBWva1j2U4Tl7Fx73yz5geH4swlvafUsFXH
Sm8mqz8caNqTJ2ijhtezxrIit/iDo6/jiwcNqlhfuVHaQMgfko1Op0+WqOBB
r3i1b6r+0Dh2sUAvXRnztrG7sIb4g+e40Z2coWO454OTys0r/hB1vOrHsM8x
nFNO3yqa6A/DCdfWHv53FB9/EEhXve8PdlfuxZoJHMWX/AZ2BWJ/aOYYunKK
qoBlnVQmmOr9wXhRnXNluwKev5D2IbnNH6aESvc1lR3BceoGhCff/YF+PbdL
YkIeW8X2/ZxmJoByD7+o6MFDWJ2Js+3EZgKEV1nvnroih8WDj78L5yKAgZqu
qungwY153rixZTsB1IWyZWMeyeKIC2c0pPcTYHuf46a3ptK4YP+LO5d0CWBL
HFno19iPk7IGo/LOEgA171n9XS+BiXt4/SbOEcDJwMf+ygUJrLbFUyfEkgCH
X8yJKFPEcduc8MxtDwLEXzytfahTFL/yNfza70OAi/sEmc0DRHHG76C6/QEE
UFzwDM/bKopd+jrvlwURoGmXMZNWkTBerrp2tuUaAabUZeKcpwRxv9obpZ0p
BNCb7Pi5qi+Iq14Pi9reIoA+F6uNRoEATnwCS6P3CJAQEt5J9N+LRW8uPmJ7
SgD7Bop7nNRuzLZlf4rh843+r7JF7TJ34bEY0+BbrwjAlj9noLdzF34ZVGwi
hggg6ia4Jrx1J9ZzdPqr1kqAsyVKFG7p7bhTdmjO/xMBOi6EFw+95scO845j
Od0EONO5m0dVjx/Trjp2cwwSoPMow/8kcRsueOrwvHOaAGKZstvYqvnwMepg
PvsCAU6/l+yY2MyHGeCQpfIfARw3b57jPceLez5dSshmDoCLjy+/yxrZgjlX
7F19+AMg83sMTjTkwrc/fLN5sCsABFSnac0lnFg8yd6sQyAANktv/y9jBydW
EbXXVJYIgFrP+qTkMXbspWu3l/VYABxaevy0mc6GF/n6+U4oB8DJTxp27ips
OKrXdrOXWgAUL1TprFWw4gwf27lWnQCgV8b0fq5kwY03bZrvXQgAy2CclzTL
jC1s+z60WAdAe0ystE4MMx6StHnLbB8Ah7tsHgQLMOOVNxfz3d0CYOas4TN5
QyYsO2AdeZQaAHr/ydPibv9Frwt6qW4hAdCC486yfl9D2kRrv/TLAXBl/HhW
qfwaushmbfPvagCoJvLmHe9dQQkHrZSa7gbAsa+FcckXl9Gehe6D65kBID6+
vJe7egk9RpbiCg8DoMR48Ay7whJ6b2rJd6cwABZW0wTkdy6icarFqNPbABgo
i1eXZp1HNK2ugTQUAIbq81rXrs4hVm6LrvqqABCN4y3t5plDQlkXPhxuCoCk
5zfmZ8RnkWG1+f2VvgCQUmjUcvGdRtdUyQ7DAwEgMT7/5jjPNKorS5No+xEA
EyMi3cb2U0j7YVdh7p8AsFuk5QXMTiDlcKvXJqsB8MXtrPwH/T+IskALUv0X
APuxwrmxgjH0widdTYqFCL+PmLx8xD2GDtt8qVrlIoLHf1urL/eNIEll29Y8
ASLU83ijTzm/kFNp6M0bwkQwsDXZFCn0C2VL3b8QKk4E3vbJc/Lpw0ho57c+
U1kirAqZgtG9n4h/9tLI2kkibNLp7O5kDCETz4ii3+pEaPjYotFiMoSSBrP9
OrSIYKOkkm304zviaP0+n69PhEuBoQV5fN/RepEz83lrIuyjzorf5RhAahLR
1ep2ROCImfi9YvQNBWU8virtSARH3Umv9Dv9aD5umGfdY4NfQL9+8MRXNObq
LlBII4KnhmmlXG4vku6/2n8rlAgCZlqnZzl7kat5QXZ4BBGySwezTxF70KD2
qJR5HBEIb90CVIy6UZeI99F/d4jwMTv/mrPsZ7TjTsLi6D0ilM8+a/Mv7ESm
vMUVnQ+I8J75eELgwU70cW1c80k+EVSblLyFlT+hql4/wwvlRPj7X1g7ENsR
k2kKH7zb8CedLnSavR2p15d2yOKNPH8vfP2Q1YbevJ62Yqojghkrd9V0YSsq
vUV0LeoiQs5XJe+rFR9ReJbe87EvRLiR2bU7/L8mdK5Q+K/MABHcQvJYjTWa
0CRqTC34TYTc1vhT7F0NSG5MvDp3mQiSRQ0ZT1Xq0Nr8Mt/wGhFSedKdjLJq
0cd/LTb7mQPhQFuNxghbLfLeGTKXwxkIKpMypUWD1egJfBLPFgiEDwok0fbK
KhRsUOg3IBwITryNf4q1q9BZi8tvhSUCYWdlimNTbSUa9T5odv9gILzg05cM
72Eg6TtXIjPUAsHk+mjDIU2Elh9aN/dCIDh2tlxlEOiorlh+797TgRCqE2ZR
kP8euVX1PbtjFAjHylfpU/vfodyJo4Op9oGgtBJ0u8v6DSItc8p1Ov2fX1QV
XVaOdFgGqdvdAyHVVdMzia8c/dyTyHfTPxB6eV/SNbpeIXGdnxopEYGQrLRU
p3LrBZo99/ZaS3QgtGed3NXO/QJVWV/v4okPhC+Kzz7PXS1Djv5qfok3AoEz
OFvqyrXnKDsj9X58TiDk17tdbvEpRYRcr9H6vEDgo+pYLN4oQfAMlDiKAsHS
Urrt5/unaKBm/GPsi0DQfa6WcVmiGAnP6KxdqQ6EkWGOjmr5QjS5KqD3oT4Q
Hqr2ah69XIDom2dubWoOhJQANdHzn/KRrdD9g5GfA2HtR4+tXHweundm4WL4
r0Dos5cv5Zd+jISYfALJY4GQc3sgSvrRI5T1ZijBZzIQ/EQKLW6IPULZMm3v
Ly4GgvxyGzeXdA56zF0kfGIzaWOfDrmRrLORZLXYicNcJIhnKf+x2PsA5YXe
NZbkJQGn4QJXyOYHqHAiJmL7LhI4u7b8tfO/j0paHYamJEnQVZxFZQvLQPJx
3Su/ZEgw2X9EQ+ljOnoG57Z/O0SCUasD3QMi6ajsuarORyUS9GnT45U676Dy
W7vyCk6T4EGIbeWSbxpSNkxCD/RJ4OE7zcn7LRW9ZWXtvm1EAqFcSUaraSp6
T55hj7mwoT9zXvi/U7cQw/Kjp6MrCUbUFO6HmNxAWltPRVl5ksD82EmI7LuO
quorMox9SeDaVWZ31fM6qjmZ36ROJkFrSNLSDaEU1CgYdUgghgSp1SR1o5kE
ZNC5fHpbPAnYf5zb73w0AX1M9LfnSCLBmK1+mkPwNdTy1zZlMZUELGI7mdN2
xaNPAydmOh6TIJ0rWzonOhaZ3y3hbCwgwb9XPgvFYzGoy0RSvLKYBKGZP9fL
zWNQTyX/+dKXJJgddNnqcSwafX008TKhmgTzg7JProhEITtbl+aoehLcl0hV
HciJRN929A0HfSTBuzY7xTCZSPQ9pn6XRycJ2EzGd8hBBPrl/oim85MEBpr7
BfXFwxAvwSfzwAgJTsh5deXahqLjNCUG1zgJbK87/xXMDEFX4+rY2+dIgPht
gzpkgpF04Z/bdixk0Ajj4GYLoyKT5y/fAjsZHkiKHK/+SkG0irBvEtxk+G/i
n24xUFBDA5/UGD8ZPo5dNE7cQUZeY0dfUcTJcDhqxrp6lIhuzq71WEuRwb39
p866OxG9XalZU5Mlg9bktnf3RgMQN7eVDosiGaxqP74rXCSg4oOhn1K0yHAS
5RanefuhzqOnl4inydC+Z39XUbovWlPlFbTQJ4Psmb7C080+yNAw20nIlAxf
WgvmSDreaMKneqbAgQxqxUtu7P4eaBc5aWeiCxlEON48DapxRxphFif9Pciw
2VJ42U3UHSUnjUQoEcgg+bnIUf2HKzpcsmVr1WUyxPGRtZvTnZHF689Hc6+Q
Ychacp1tmzMKR1mWcVfJQLBmCf6e4IRaW448OJdChvSf6euiiY6IMGV+uC+L
DI91jd9e87iE7i7tM0M5ZJirXM2UTLRHjH+/yA/zyCDc94Uj95Ud2rY1iO5e
Qoamc2rer/baorIj9w3n6WSoLvwiyitujb4ouxG6K8nAUV3RXE6wQpu05FPf
1pDBMHOnvVS1JTpvWtkX0UyG7febd3yiWaD5gGEvnn4yyHx+Sd+3yxyV8Ljs
Pv2dDEd8m9RKQs4jz8KhD6HDZNgiPVZcM2yGvg0OCI1PkKEo6/kIW50puhtq
3yAxuzGfg8c1ptRNkdmefrLNIhnsPdYSBt+YoDrjLy2N6xt6H1XUmkjGKOqP
VcgmFgpIMd1yjYw8h9Sudh9QYafARaT8xCXNCD1DnRGFfBSYlEz/MNhugDIO
tSrGiVLA7vYeu1N39ZB5g9EA3k8BJcNtT/70nEF8rh8TlqQp8GboUrWWyBkU
ndnw002BAn/5rxqbvD+NNJT1bmQpUeBzPa/kG/7TaPlTrXrXSQp0FcxHyPnp
IF/u6tuntSnQNvyoPvfoKSSdr30qTJcC1eJx7U73tdGQduXUy7MU0Pp6PjGT
WxtZBCO9/ecpsPqsSI15ARCMvlnZ5EKB88l5jtrT6mgl+kS+igcFgobExjNZ
1dEr0dfniT4U2Nuf+YtbVA3JWr0o/k7a4E+EKZl7q6CfcwrWe4MoUGmzt6Uu
4yTKSnnGZhpGgZJdI/rRbcpoe91Te0YMBfAvXV6hcydQi5Mc93L8hv/EqMrM
tOMobv1JuXwyBdbjtQWeDymhNaWCrQ9ub+if1o6aSDyGfj3OqQrLp8DPbB2y
yz5FlA1i/q+KKGDUQ30hnaSALn59IDhRSgEoV60yZlZArdvvk2zfUOBAbNj0
lXF5dK1UUCz1PQVm7RMLMyYOIx2DjOYmBgU0L0TQqYuH0JuoO1KqDRRo/9qf
lS4sh4jCuz4RmynwflcVk6/6QXToberlJ+0UiKxnbpFwlkU5Mzd69n6hwFil
SZRXlTRKcEi8tjxGgYSaiGdLjZJosbCIZWSSAtJ/k73YD0gip7nG0O5ZCmQs
twY1X92PVGI5/V+v/H8+anyLFhJorCj2PImLCiIKYUPq0mLIYiH3ozMvFfbH
7tUOzxNFVRo1p8/zU2H77+78cGlRlN7OoqwoQIXCkeCSfD9hpLcUITQtQ4U7
nDudeVYF0EvIThs4RIXfpryOM4cEkOg1zNuqQIXqL3IWTW570bLQOlPJSSps
Gx9hfjW6G+Vrhwx761NBRX790x/5nYg/McPexogKqi3usizJO1D454rus6ZU
kGe1zP08vR1ZeCw3yFhv6BVlPhSv5kebk8klvz2o4FVy2qf1/lZE7E490O1D
BcHRz7EHhbeib6Ivs2sJVGjh6lJJ0eFDr1/M3sylUcGTkkN47MWDxP9u25IW
SoVWsZc1u+O2oGRdhZjoCCpIXbe6faKYG7n2+lOd46gwOxyqWMHOhdrEU6bN
EqnAGsNZ8l6DE6n5lHhqX6eC1l2B2dIQDrTj37iN2F0qPGg4SCnfzI6q93vB
QD4V2CsrzzfYsqIjfvEVLUVUCDnR8IWBWFBmeYEiKqWC629KvackCwo8+3v/
/XIqcMRHqp1m2oS+3dqclfiOCh3mw7+PkZjR2X7J3aGYCpZi0sdNxpmQOMGF
06aOCs9sn/gJtf+jJ1dciTrbRAXDHYXPxnrW6SubHq2ebKXCF8+JbrGRv/SO
tO8Te7o38kRy1U0KrtEj39l3dP2iwuSwWZ/5p2X6nto2iuqfjfyuPIr+K0v0
Z23agtlTVOCWNHvVKL1E/zYs5eK5TAX96bubzDMW6JTpuxwta1ToMwlf4emf
p/Oscj1VZKbBDr49tmJS83S1rVMLq5w04CtpvhXROEvvFHDMcOClAbpxmuEm
OUv3lvykUcNPg6VOoZEvMTP0DJXyq8mCG/XXGsxeWEzTl10u7xU7RAOF4LTt
H9zG6df9Z+gxCjTQEbjwvMP7D/1AsLPTmBIN/vTfOekQNEa3SDlT9EKDBr+U
+491F4/QJ9IrjPecokHBrrKIEx2/6dGPD86HnqHB98OBp1j+/aK/qOBT1zWh
wYHcuyVDvsP0s9WR35+Y0+CRrq10eOlP+lDLXAyfNQ08heYyUpd+0Lf+7G7p
caTBlQufVywyhuh+vNkO3oE0sOxd9ru1f5C+eS8/WxuVBspx5w6/lh6g35eI
LjwWSgPDd2cMJfm/0T8qe8z+jaZBqv1amhnzV7rLqS+3neJp0MciSPTf3Edf
NTJUrUuiQfhcnrHMji90Wecj0ddv0yBGf6reSK+HXuWbI72QQQPbFXe9g37d
dGvajmbrBzQwDTnimXCvix6XtLxTooAG+9vqlDq4P9OHyxn5ryo28g6Iv/qp
2kEPrVI0FEAbesW52xTvtNN3ND+eDq+iweUfdZZHl9vo2kNxJ/WaaBDCdU1M
IK2V/mV8pb+4lQanTpy/w0ttoQcs+URt66TBibv3GmecmunZW0ybvnylQaOa
PO8hyya68u4P/prfaaA2fSRl0L6R3iqmtOPxMA1AGl8+6d9AXz++1853kgYP
NYPGSwvq6Le1Epg7ZmlwdpT3g3p7Lf2Q4d/c40s0kL7glmrKXEuvtvA/e2+V
BulfpHwLlWvoto7fJ//9o4G1+6HrbNRq+v8AxaoUow==
             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$2996#1"]& ], {}}, {{}, {}}, {{}, {}}}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, Automatic},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->{{9.428576997679642, 72.}, {7.26846118999606, 
        34.00000000000003}},
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, 
         "DefaultGraphicsInteraction" -> {
          "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
           "Effects" -> {
            "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2},
              "Droplines" -> {
              "freeformCursorMode" -> True, 
               "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
         "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
         None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in X axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -118.66252583997979}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVlHk01Isbh8vSCCWGGWObwZSxz4zlDompyLVmb0qhTSjdIi0UqZskKhfX
NkoplRvaS6rvJ0rdys4krjUhokKWbD+/P97znuc853z+fDS3/eGxU2zBggXZ
8/f/v3lr59DcnADtLztXx9WT+O0qm4cVpgVwzjfqW/KaxN/WIPq5fEIAufrh
82lPSPwg+/fTTt8F6FLs/HT1MokfbvhIOqNDgMjt3jnlf5D4CZOJK9gvBBAe
u+izUJbEL0nm+QWcEMBT81nXMdtFfErZ+UpICJBuHbM16oEE3976Y7T/qA/2
a6w6GeK1kE9zHSfJjHlDW2eHa+LGaRvWgdin96a98JNR1KqpN2ZT9CB/reWQ
J076rqXv/TJk05iQe6Xyhwfyd6UfM93RZRMeZdZg3eEOdvT7RlPnchvXE+ac
wno3qMR29P4zXUOkWii/d7u7Hi7V4vUm/d3EkWuTzWIpLiB5J1eMsH8Qubw/
M6vSnSDICnu9LHKcWDPRU5Sa74DgyiuOG/JmiLqhmGDKWXto+3CTrXXFcFW2
rP5Oih3WKIY+OWwvie1bLT9Jha3FzZHS/twbUsjpSnDYtGk10qlNBxR/ycCE
sphIqLRG/6PTi+IV5SDVGGTWlGwJDQ9+xHZbeVjnEDzpE5bYaUCSpjnJI3wn
xcoqzBKHvafGat3l0fazfE2uhyUyckJNXf3lcY9CdwsiW0LihU5TWKQ8/ASN
IROpFqg/pfXHyTvyuN+yOlc5gwdZCz9ShrYC+vMy8hzjeZjWWDr8TU8B9D3f
8o8e5iHW3mfVeq4CEqaFhR0CHnJe+d5grlaAv/rEkxs0HvzsXLqN/RUg7V/U
yMv+Da2LxTJHhAoI6FKR2XjRHD2fHN1fMMhw2Zw9wEsyxw71YXOWHhmWItX3
ykfN8Wz3jZRcEzLIb9WSmjaaY3THrjWv15FRcUdDTqBkDvNlmRXjoWQYxmqR
NySaQUF4mrADGSpTV0bMo8yw8bqscOwtGYsitBsoIWZATOEM0UhGRxAzTWRv
hv80f3heHCAj1W0F1UfcDENtMTXpyor4RddT9Y40hbtR7v6JQ4rozSyYMg02
xexjtljYn4poIOv/pygwxcubORJLkhVRSDLIaTCb95HZrTcLFBHwzZDu9cME
1Re0XlxoV8Tr5xxtzyATTND74264KeE+7664yQYTlP/cMXraXwm5d7ndCutM
sPRA9vWUvUqIzDe5Vqdtgn+c99dzk5RgdM5Mx6OdC7vVPs7X3ishdYuFvrsP
F+3di32lvCnoztjXdtyOC82Q3+/dC6TArOF68m1TLtb69L5OO0yByJEyIUfm
oiFYwmlhDgU03sjLqmoOng5xRs/2UXBRodDP2YGDJNFpIfMsFd9cuuWP8jhI
0XUczc6lgn9G9dU/Ohw8mmye9XlIRefcGX2ZRRxUEOzo7C4qmIOBE/+WsXFp
oGB3hLUybr5m/GVvxcapviZJHQkafokJ7A7psxGlf5y+SoMGR+vzE/kqbPhU
M3Su8mj4EDz1THbYGK/zVq8K2kvDZtsHGxJ2G6N6MnikrZWGXZOss6f8jIC+
7CizShVI7Uv/0W1lhCCfm72Pv6qgoEdSYKtqhJ0L6OczZVXxtb6LKd5kiEod
Xf8IF1WEFQmfH3c3xNUlCtSCelUc3b5sOMrWAE5JLrl/D6vhrz1HRtSWG2B4
YAHtrpI6rkd0jT6TNMCWqeJVOhbqqDt9f3yuQh9v70hoM2LVoXNLMHPSQR97
3Fve+ChpoG40VyrRVQ+JIvdBjfV09M0sljY01oOMcuqFmUN0zCwKl6mS08Pz
26RUy8t0sGh2S5fV6sKyc4GgZpSO6FVfyKmeuuCrJkr/5saAbhyHLhSwMCYR
R3suoQnr81mMVRYsbPucmcBU04RXhrhWG40FivLOtU9MNBFd0MhktOhA9rvQ
JHy7Jhqqjuhd3aKDDfEqs9RXmjhOLTO7tW0FGmZKHkkna0F0w8P56R4mdAaN
PT84MLFJSU6qxJEJivXgVU4wE22x78ofsJj49vmyXEk8E72bbFcWd2tjDXlf
jvMbJiZkzfWubNbGm4wvseEOy6GynyYV76yFCCehA9VzBfwsOso9DRh4tiRW
dfcxFrquCWPcpBmYsmfZvM9loZJ592BWDR1N1qVpVi9ZaBPl7Uz6nY6Ub8J+
OxldLFh5em04TwPNrNYnHzJ1YSfuOmetrIbv0QvLqx/poSql5aDoAxXv4vlZ
zEEDEMkOTM8MKmISVLUjlxji9vlHtdUCKgJrZFgPDA2RfDbF4N+PFOgTrfGi
UEN4nXTqKm1RgtaDsEdXvhqiOazU5XI7GWLVBl78T0Z4t093Sj2XjP57l4M9
Fxrj6d70G1kBZHB8l4f8RjdGTki4eGqnAgraXsmHbjJGwDb9krhP8hCuw8Hd
VcZ4l2fu0FQlh1/fR92qvNm4dUnhau36+W4/1PpE3s7Gueyh2bc1S1Hw3F+c
t48Nt5T8+8/qlsClWCqNlsCG6ASFkSeSQTG3oZHzlI3H0cORwg0ySC1xvOn7
ho3MyKrGtCZpXPo7Lcq/gY3NYXFn45sXIzx84PvwABtdW8fGQttIOLwp38GS
xsHLLXXuu/xJ2NSrYbqcycG1jUW3AjoWoSc/a/izEQdB7oHbPLsk8fDg8sme
tRwM8UWVvB5xyEjFTH/czUGN1V0Wd5c41GzKHAIjOLjDO3dSv08MRxO/lL6M
5uAAe52FRv9CDH4oCRi7wMGIzR4H0n9zxPBd6z2a9zgYdbmgN941S/zF2nxQ
pnSefe/L9H6ZIZ6Hmu+rKJvnQ9OVFeNTxIrkkZ7C2nk+xSh+OPuLoE49Kf/Y
xMHPFNsL+ZK/iNkgiltjOwdjxYkeceQJomDS0sNycJ6f3TY5qDJOsCnClXkj
HIy/a1AM1BwjCrMrS5snOZjoVftgZzxKxJHqTt6X5M73vdBX0uk7EeJwtFlW
lYufvleO9OcNEcqni5Z107kYO9S/8u2dr8TjwwJWPJOLieJInKnsI2pjrbzM
DbmYfFd2IrilhzAKClDlc+b3eqXtHL50EypnRLoUMy6m6dn/Skl2Ess+fs5d
YTXvD1VQa5e3EUYXz9QF2Mz7Yh/hhdXNRFdJZmvgGi5me3sYbltERP2ZrELe
fMfn6IeuyR2pI5JCOtgiey7Ebi/1uqhbSYS7JgtsHLmQZBhvUd/6iqgm5ysf
cOZCnnHpPY9TSoxmDuw64MqF0lPhiXTP28StFr2BJ+u5+B9MTs1b
             "]], LineBox[CompressedData["
1:eJwVlXk4lV0Xxg15O+oNRYVUPOeYdTxnIKKeRTKVMcNBpaSIMqRMDVLShKIy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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$10222#1"]& ], {}}, {{}, {}}, {{}, {}}}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->{{9.428576997679642, 72.}, {7.26846118999606, 
        34.00000000000003}},
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, 
         "DefaultGraphicsInteraction" -> {
          "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
           "Effects" -> {
            "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2},
              "Droplines" -> {
              "freeformCursorMode" -> True, 
               "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
         "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
         None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in Y axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -118.66252583997979}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVkGk4FHoDR5WlUNmztkyZ/9hiZspyyTbWxE2ThDIihhYqCnVLimTfkr0R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             "]], LineBox[CompressedData["
1:eJwVkWk41Asbh7MvJ5oxyDppxvxHSEZxEObBZJQQ2UuWqBChhRRhUMrMHNKi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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$12599#1"]& ], {}}, {{}, {}}, {{}, {}}}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, Automatic},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->{{9.428576997679642, 72.}, {7.26846118999606, 
        34.00000000000003}},
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, 
         "DefaultGraphicsInteraction" -> {
          "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
           "Effects" -> {
            "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2},
              "Droplines" -> {
              "freeformCursorMode" -> True, 
               "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
         "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
         None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential on 1S0 in Z axis\"", TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -118.66252583997979}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}]}, {InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVlnc8Fd4bx42MVJJVRtkjGcmMKEKSkMoK2Xvd6173ojJCZYskycqqZKUi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             "]], LineBox[CompressedData["
1:eJwVlXk0FVwXxsmQoSiVCpndVMorKbNNKCVTIhkyz8O9150yFEJEVDQQkjJF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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$14355#1"]& ], {}}, {{}, {}}, {{}, {}}}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, Automatic},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->{{9.428576997679642, 72.}, {7.26846118999606, 
        34.00000000000003}},
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, 
         "DefaultGraphicsInteraction" -> {
          "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
           "Effects" -> {
            "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2},
              "Droplines" -> {
              "freeformCursorMode" -> True, 
               "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
         "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
         None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in X axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {193.5, -355.98757751993935}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwVkXk4lIsfxWVsWbI1tmQwY+y7mYbkfbtxXWu2mISxXJJUopuoq1IhXEt0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             "]], LineBox[CompressedData["
1:eJwVk3k41N/7h80MGckaZSvLMCnCLLao90OSlA8RpoVSSsnWRhRKUrIr+y67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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$21488#1"]& ], {}}, {{}, {}}, {{}, {}}}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->{{9.428576997679642, 72.}, {7.26846118999606, 
        34.00000000000003}},
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, 
         "DefaultGraphicsInteraction" -> {
          "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
           "Effects" -> {
            "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2},
              "Droplines" -> {
              "freeformCursorMode" -> True, 
               "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
         "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
         None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in Y axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {580.5, -355.98757751993935}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}], InsetBox[
      GraphicsBox[{{{{}, {}, 
          TagBox[
           {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
            Opacity[1.], LineBox[CompressedData["
1:eJwV1Hs41PkXB3CS3CoTBqEyMZ/KdYxSv8RqppjEJrdIRqQZbaVcQi2SEJGR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             "]], LineBox[CompressedData["
1:eJwV0ms4lAkbB3A5s8UzSHIYmjFPKkoqL5K5vTlsEdHkmDCxolqH7DrLqXGc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             "]]},
           
           Annotation[#, 
            "Charting`Private`Tag$23863#1"]& ], {}}, {{}, {}}, {{}, {}}}, {}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->{True, True},
       AxesLabel->{
         FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
         FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
       AxesOrigin->{0, Automatic},
       BaseStyle->{FontSize -> 10},
       DisplayFunction->Identity,
       Frame->{{False, False}, {False, False}},
       FrameLabel->{{None, None}, {None, None}},
       FrameTicks->{{Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
          Charting`ScaledFrameTicks[{Identity, Identity}]}},
       GridLines->{None, None},
       GridLinesStyle->Directive[
         GrayLevel[0.5, 0.4]],
       ImagePadding->{{9.428576997679642, 72.}, {7.26846118999606, 
        34.00000000000003}},
       ImageSize->Medium,
       Method->{
        "DefaultBoundaryStyle" -> Automatic, 
         "DefaultGraphicsInteraction" -> {
          "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
           "Effects" -> {
            "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2},
              "Droplines" -> {
              "freeformCursorMode" -> True, 
               "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
         "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
         None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             (Identity[#]& )[
              Part[#, 1]], 
             (Identity[#]& )[
              Part[#, 2]]}& )}},
       PlotLabel->FormBox[
        "\"Trapping potential (sheet only) on 1S0 in Z axis\"", 
         TraditionalForm],
       PlotRange->{All, All},
       PlotRangeClipping->True,
       PlotRangePadding->{{
          Scaled[0.02], 
          Scaled[0.02]}, {
          Scaled[0.05], 
          Scaled[0.05]}},
       Ticks->{Automatic, Automatic}], {967.5, -355.98757751993935}, 
      ImageScaled[{0.5, 0.5}], {360, 222.49223594996212}]}}, {}},
  ContentSelectable->True,
  ImageSize->{
    UpTo[600], 
    UpTo[700]},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795444513002963*^9, 
   3.795497711297321*^9, {3.7954991745430136`*^9, 3.7954991979843545`*^9}, 
   3.795499256431698*^9, 3.795499299008133*^9, {3.795499419206008*^9, 
   3.7954995014137096`*^9}, 3.795499746785744*^9, 3.7955007288739166`*^9, 
   3.7955044276334734`*^9, 3.79550522604814*^9, 3.840169063304601*^9, 
   3.8401698771836147`*^9, 3.8401703976378555`*^9, 3.840174941169365*^9, 
   3.8401794078324184`*^9, 3.840206931184402*^9, 3.840269134743889*^9, 
   3.840304063486732*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"c6dcdcd1-5ca9-44bf-9031-b7b3f69755a4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beam powers: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5418745985135789`", ",", "0.13074600000000008`", ",", "0.00994784`"}], 
    "}"}], "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm[
  "Beam powers: ", {0.5418745985135789, 0.13074600000000008`, 0.00994784}, 
   " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.840169063337504*^9, 3.840169877214331*^9, 3.8401703976682835`*^9, 
   3.8401749412010374`*^9, 3.840179407863655*^9, 3.8402069312263765`*^9, 
   3.8402691347972717`*^9, 3.840304063531142*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"6c1d8dcb-3cf4-4094-8e8e-9be45a172f7d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 1: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.38581767255680716`", ",", "2.1403934995018306`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 1: ", {0.38581767255680716`, 2.1403934995018306`, 
   2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.840169063337504*^9, 3.840169877214331*^9, 3.8401703976682835`*^9, 
   3.8401749412010374`*^9, 3.840179407863655*^9, 3.8402069312263765`*^9, 
   3.8402691347972717`*^9, 3.8403040635341406`*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"ac41e085-fe6a-4a32-bdc8-f078c512a9be"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 2: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "22.204013497918506`", ",", "2.1403934995018306`", ",", 
     "2.415555979286338`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 2: ", {22.204013497918506`, 2.1403934995018306`, 
   2.415555979286338}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.840169063337504*^9, 3.840169877214331*^9, 3.8401703976682835`*^9, 
   3.8401749412010374`*^9, 3.840179407863655*^9, 3.8402069312263765`*^9, 
   3.8402691347972717`*^9, 3.840304063537139*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"cf001f81-00f8-447e-932c-ab91ab9c421a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]X for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "331.2437399952538`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : ", 
   331.2437399952538, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.840169063337504*^9, 3.840169877214331*^9, 3.8401703976682835`*^9, 
   3.8401749412010374`*^9, 3.840179407863655*^9, 3.8402069312263765`*^9, 
   3.8402691347972717`*^9, 3.840304063540137*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"3cddc2c1-34b5-4a84-8d63-aa10002f4e96"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Y for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "735.0929982678693`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : ", 
   735.0929982678693, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.840169063337504*^9, 3.840169877214331*^9, 3.8401703976682835`*^9, 
   3.8401749412010374`*^9, 3.840179407863655*^9, 3.8402069312263765`*^9, 
   3.8402691347972717`*^9, 3.840304063542136*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"19923e96-6c86-47f0-bca8-3631cc06d257"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Z for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "316.99600173726355`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : ", 
   316.99600173726355`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.840169063337504*^9, 3.840169877214331*^9, 3.8401703976682835`*^9, 
   3.8401749412010374`*^9, 3.840179407863655*^9, 3.8402069312263765`*^9, 
   3.8402691347972717`*^9, 3.840304063545134*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"d923ea5e-8bff-44a7-9f36-26b64d1f407d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Grav sagging: \"\>", "\[InvisibleSpace]", 
   "0.4578684927201798`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Grav sagging: ", 0.4578684927201798, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.840169063337504*^9, 3.840169877214331*^9, 3.8401703976682835`*^9, 
   3.8401749412010374`*^9, 3.840179407863655*^9, 3.8402069312263765`*^9, 
   3.8402691347972717`*^9, 3.8403040635481324`*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"cd8eed90-4fcf-422f-a31e-0f7e9984e9b5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Absolute potential depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "18.340834203465665`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Absolute potential depth: ", -18.340834203465665`, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.840169063337504*^9, 3.840169877214331*^9, 3.8401703976682835`*^9, 
   3.8401749412010374`*^9, 3.840179407863655*^9, 3.8402069312263765`*^9, 
   3.8402691347972717`*^9, 3.840304063550131*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"76170eb5-2694-46ff-8a2e-47cc80ea502a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Edge of the trap between tranport DT and sheet DT: \"\>", 
   "\[InvisibleSpace]", "19.92260066943493`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Edge of the trap between tranport DT and sheet DT: ", 19.92260066943493, 
   " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.840169063337504*^9, 3.840169877214331*^9, 3.8401703976682835`*^9, 
   3.8401749412010374`*^9, 3.840179407863655*^9, 3.8402069312263765`*^9, 
   3.8402691347972717`*^9, 3.8403040635531282`*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"45fc095e-b61e-4daf-a683-0ee8cab9299c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Trap depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "11.384484435042038`", ",", "6.010023148769077`", ",", 
     "0.9236908554379949`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Trap depth: ", {11.384484435042038`, 6.010023148769077, 
   0.9236908554379949}, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.840169063337504*^9, 3.840169877214331*^9, 3.8401703976682835`*^9, 
   3.8401749412010374`*^9, 3.840179407863655*^9, 3.8402069312263765`*^9, 
   3.8402691347972717`*^9, 3.8403040635561275`*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"4b0ec76d-23ca-4f6c-82c8-47c9b429cd0f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap depth: \"\>", "\[InvisibleSpace]", 
   "9.174928499709962`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Effective trap depth: ", 9.174928499709962, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954445134789906`*^9, 3.795497711747347*^9, {3.79549917570308*^9, 
   3.7954991991184196`*^9}, 3.7954992569247255`*^9, 3.79549930000919*^9, {
   3.7954994209791093`*^9, 3.7954995014747133`*^9}, 3.7954997468447475`*^9, 
   3.7955007289309196`*^9, 3.795504427694477*^9, 3.7955052261101437`*^9, 
   3.840169063337504*^9, 3.840169877214331*^9, 3.8401703976682835`*^9, 
   3.8401749412010374`*^9, 3.840179407863655*^9, 3.8402069312263765`*^9, 
   3.8402691347972717`*^9, 3.8403040635581284`*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"de97fda8-4113-434d-b5e3-9bf155fd6221"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Self consistent evaluation of Nth for a fixed Nbec and Temp", \
"Subsection",
 CellChangeTimes->{{3.7213797517345233`*^9, 3.7213797879645734`*^9}, {
  3.750685679896145*^9, 3.7506856865615263`*^9}, {3.7954336196228976`*^9, 
  3.7954336495026064`*^9}},ExpressionUUID->"d5a0090f-90d2-43d6-9a46-\
44cbe2aa2c56"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NInterpPts", " ", "=", "40."}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbLoopPerStep", " ", "=", " ", "5."}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbLoopStep", " ", "=", " ", "40."}], ";"}], " ", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gScat", " ", "=", 
   RowBox[{"4.", "*", "Pi", "*", 
    RowBox[{"aScat", "/", "mAssSr"}]}]}], " ", ";", "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"hbarre", "^", "2"}], "*", 
    RowBox[{"aB", "/", "au"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"factAuxNatAniso", " ", "=", " ", 
   RowBox[{"hbarre", "/", 
    RowBox[{"(", 
     RowBox[{"2.", "*", "Pi", "*", 
      RowBox[{"aB", "^", "2."}], "*", "au"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxDensity", " ", "=", " ", 
    RowBox[{"2.", "*", 
     RowBox[{"Pi", "/", 
      RowBox[{"(", 
       RowBox[{"hbarre", "*", 
        RowBox[{"aB", "/", "au"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vpot0", " ", "=", " ", 
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"0.", ",", "0.", ",", "0."}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTh0Init", " ", "=", " ", "0."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0BECInit", " ", "=", " ", 
   RowBox[{
    RowBox[{"\[Omega]IsoDT", "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "gScat"}], ")"}]}], "*", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"15.", "*", "NatBECTest", "*", "aScat", "*", 
        RowBox[{"aB", "/", "aHODTiso"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"2", "*", "Pi", " ", "*", " ", 
    RowBox[{
     RowBox[{"hbarre", " ", "/", " ", 
      RowBox[{"hbarre", "^", "2"}]}], " ", "/", "aB"}], " ", "*", " ", "au"}],
    "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Mu]Chem", " ", "=", " ", 
   RowBox[{"Vpot0", " ", "+", " ", 
    RowBox[{"gScat", " ", "*", " ", 
     RowBox[{"(", 
      RowBox[{"n0BECInit", "+", 
       RowBox[{"2.", "*", "nTh0Init"}]}], ")"}]}]}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "Hz"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"nThTab", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "0."}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"xMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{
          RowBox[{"-", "yMaxBEC"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{
          RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"zMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", "2"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nThInterpFun", "=", " ", 
    RowBox[{"Interpolation", "[", "nThTab", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]deBroglieFun", "[", "Temp_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2.", "*", 
      RowBox[{"Pi", "/", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "Temp"}], ")"}]}], " ", "*", " ", 
      "hbarreOverAu", " ", "*", " ", "hbarreOverkB"}], "]"}], " ", "/", " ", 
    "aB"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxnThFun", "[", "Temp_", "]"}], ":=", 
   RowBox[{"1.", "/", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]deBroglieFun", "[", "Temp", "]"}], ")"}], "^", 
       "3."}], " ", "*", " ", 
      RowBox[{"aB", "^", "3."}], "*", "factAuxDensity"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{
       RowBox[{"x", "*", "aB"}], ",", 
       RowBox[{"y", "*", "aB"}], ",", 
       RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepth"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_", ",", 
      RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
        RowBox[{"2.", "*", "gScat", "*", "factgScat", "*", 
         RowBox[{"nThFun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ",", "0."}], 
      "]"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbBECFun", "[", 
     RowBox[{
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_", ",", 
      RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{"5.", "*", 
     RowBox[{
      RowBox[{"Quiet", "[", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"nBECFun", "[", 
          RowBox[{
           RowBox[{"x", "+", 
            RowBox[{"xOffset", "/", "aB"}]}], ",", 
           RowBox[{"y", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
           ",", 
           RowBox[{"z", "+", 
            RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", "nThFun",
            ",", "factgScat"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.", ",", "xMaxBEC2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "yMaxBEC2"}], ",", "yMaxBEC2"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", " ", "0.", ",", "zMaxBEC2"}], "}"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
         RowBox[{"PrecisionGoal", "\[Rule]", "4"}], ",", 
         RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}],
        "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"UFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThOldFun_", ",", 
     RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", "+", " ", 
    RowBox[{"2.", "*", "gScat", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{
        "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun", ",", 
         StyleBox["factgScat",
          FontWeight->"Plain"]}], "]"}], "+", " ", 
       RowBox[{"nThOldFun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_", ",", 
     RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"UFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun", ",", 
          "factgScat"}], "]"}]}], ")"}], "/", "Temp"}], "*", 
     "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_", ",", 
      RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThOldFun", ",", "factgScat"}], "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"selfConsitentLoopFun", "[", 
     RowBox[{"{", 
      RowBox[{
      "nThInterpFun_", ",", "\[Mu]Chem_", ",", "\[Mu]ChemOld_", ",", 
       "LoopCount_"}], "}"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "nThTabAux", ",", "nThInterpFunRes", ",", "\[Mu]ChemRes", ",", 
        "factgScat"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"factgScat", " ", "=", " ", 
        RowBox[{"Min", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Floor", "[", 
              RowBox[{"LoopCount", "/", "NbLoopPerStep"}], "]"}], "+", "1."}],
             ")"}], "/", "NbLoopStep"}], ",", "1."}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<Current value of gScat factor: \>\"", ",", "factgScat"}],
         "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"nThTabAux", " ", "=", " ", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"nThFun", "[", 
               RowBox[{
               "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "TempCloud", 
                ",", "nThInterpFun", ",", "factgScat"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"xMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{
               RowBox[{"-", "yMaxBEC"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"zMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", 
          "2"}], "]"}]}], ";", 
       RowBox[{"nThInterpFunRes", "=", " ", 
        RowBox[{"Interpolation", "[", "nThTabAux", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]ChemRes", "=", " ", 
        RowBox[{"\[Mu]ChemBEC", "/.", " ", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"NbBECFun", "[", 
             RowBox[{
             "\[Mu]ChemBEC", ",", "nThInterpFunRes", ",", "factgScat"}], 
             "]"}], "\[Equal]", "   ", "NatBECTest"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Mu]ChemBEC", ",", 
             RowBox[{"1.2", "*", "\[Mu]Chem"}]}], "}"}], ",", 
           RowBox[{"Evaluated", "\[Rule]", " ", "False"}], ",", 
           RowBox[{"MaxIterations", "\[Rule]", " ", "50"}], ",", 
           RowBox[{"AccuracyGoal", "\[Rule]", "10"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Current value of chemical potential: \>\"", ",", "\[Mu]ChemRes", 
         ",", "\"\< Hz\>\""}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nThInterpFunRes", ",", "\[Mu]ChemRes", ",", "\[Mu]Chem", ",", 
         RowBox[{"LoopCount", "+", "1"}]}], "}"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aux1Fun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"x", "/", "xMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"y", "/", "yMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"z", "/", "zMaxTh"}], "]"}], ")"}], "^", "1.5"}]}], ")"}], 
    "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aux2Fun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"x", "/", 
          RowBox[{"(", 
           RowBox[{"xMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
       "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"y", "/", 
          RowBox[{"(", 
           RowBox[{"yMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
       "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"z", "/", 
          RowBox[{"(", 
           RowBox[{"zMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
       "1.5"}]}], ")"}], "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"aux3Fun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"x", "/", 
           RowBox[{"(", "xMaxDimple", ")"}]}], "]"}], ")"}], "^", "1.5"}], 
       "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"y", "/", 
           RowBox[{"(", "yMaxDimple", ")"}]}], "]"}], ")"}], "^", "1.5"}], 
       "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"z", "/", 
           RowBox[{"(", "zMaxDimple", ")"}]}], "]"}], ")"}], "^", "1.5"}]}], 
      ")"}], "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nTh2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"PolyLog", "[", 
      RowBox[{
       RowBox[{"3", "/", "2"}], ",", 
       RowBox[{"Z2Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
        "]"}]}], "]"}], "]"}], " ", "*", 
    RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThExtendedFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThInterpFun_", ",", 
      RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"aux1Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aux2Fun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", 
        RowBox[{"nThFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThInterpFun", ",", "factgScat"}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], ",", "0."}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbThFun", "[", 
     RowBox[{"\[Mu]Chem_", ",", "Temp_", ",", "nThInterpFun_", ",", 
      RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{"4.", "*", " ", 
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
          RowBox[{"x", "+", 
           RowBox[{"xOffset", "/", "aB"}]}], ",", 
          RowBox[{"y", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
          ",", 
          RowBox[{"z", "+", 
           RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", "Temp", 
          ",", "nThInterpFun", ",", "factgScat"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
        RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
        RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
      "/", "factAuxNatAniso"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThDimpleFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThInterpFun_", ",", 
      RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"aux3Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aux2Fun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", 
        RowBox[{"nThFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThInterpFun", ",", "factgScat"}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], ",", "0."}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbThDimpleFun", "[", 
    RowBox[{"\[Mu]Chem_", ",", "Temp_", ",", "nThInterpFun_", ",", 
     RowBox[{"factgScat_", "?", "NumericQ"}]}], "]"}], ":=", 
   RowBox[{"4.", "*", " ", 
    RowBox[{
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"nThDimpleFun", "[", 
        RowBox[{
         RowBox[{"x", "+", 
          RowBox[{"xOffset", "/", "aB"}]}], ",", 
         RowBox[{"y", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], ",", 
         RowBox[{"z", "+", 
          RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", "Temp", 
         ",", "nThInterpFun", ",", "factgScat"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0.", ",", "xMaxDimple"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "yMaxDimple"}], ",", "yMaxDimple"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", "0.", ",", "zMaxDimple"}], "}"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
       RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
       RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
     "/", "factAuxNatAniso"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.795412272675922*^9, 3.7954122733979635`*^9}, {
   3.795412338503687*^9, 3.7954123395937495`*^9}, {3.7954124414115734`*^9, 
   3.7954125545510445`*^9}, {3.795412602645795*^9, 3.7954126028588076`*^9}, {
   3.795412641986045*^9, 3.795412672181772*^9}, {3.7954127276239433`*^9, 
   3.795412727969963*^9}, {3.795412802308215*^9, 3.7954129253082504`*^9}, {
   3.7954129567280474`*^9, 3.7954129985764413`*^9}, {3.7954130524345217`*^9, 
   3.7954130688094583`*^9}, {3.7954131738404655`*^9, 
   3.7954131821739426`*^9}, {3.795413298957622*^9, 3.7954133254101353`*^9}, {
   3.7954134760787525`*^9, 3.7954135066395006`*^9}, {3.7954135429855795`*^9, 
   3.7954137009686155`*^9}, {3.7954137321614*^9, 3.795413737549708*^9}, 
   3.7954137685704823`*^9, {3.795413863906935*^9, 3.7954138970708323`*^9}, {
   3.795413975689329*^9, 3.7954139764343715`*^9}, {3.795425005449195*^9, 
   3.7954250208070736`*^9}, {3.7954251594590034`*^9, 3.795425181198247*^9}, {
   3.7954253466877127`*^9, 3.7954253762114015`*^9}, {3.7954254409391036`*^9, 
   3.795425478726265*^9}, 3.795425536822588*^9, {3.7954255808941083`*^9, 
   3.795425634325165*^9}, {3.795425790490097*^9, 3.7954258183856926`*^9}, {
   3.7954258785161314`*^9, 3.7954259995520544`*^9}, {3.795426044443622*^9, 
   3.795426233835455*^9}, {3.795426537196806*^9, 3.7954266074378233`*^9}, {
   3.7954266600658336`*^9, 3.7954267045523777`*^9}, {3.7954267351641293`*^9, 
   3.7954267980517263`*^9}, {3.795426852222824*^9, 3.7954268679787254`*^9}, {
   3.7954269030007286`*^9, 3.7954269032427425`*^9}, {3.7954269832783203`*^9, 
   3.795427083169034*^9}, {3.79542712139222*^9, 3.795427127744583*^9}, {
   3.7954271649117093`*^9, 3.7954271817886744`*^9}, 3.7954275600773115`*^9, {
   3.7954276202647543`*^9, 3.7954276375347414`*^9}, 3.7954277665431204`*^9, {
   3.7954277989009714`*^9, 3.7954277995990114`*^9}, {3.7954278577423368`*^9, 
   3.795427892545327*^9}, {3.795427931265542*^9, 3.795427944648308*^9}, {
   3.795428058806837*^9, 3.7954280875334797`*^9}, {3.795428207570346*^9, 
   3.795428235397938*^9}, {3.795428276863309*^9, 3.7954283208918276`*^9}, {
   3.7954283918318853`*^9, 3.795428397111187*^9}, 3.7954291421097984`*^9, {
   3.795429443170018*^9, 3.7954294558067408`*^9}, {3.795429676046338*^9, 
   3.7954296763353543`*^9}, {3.795429969224107*^9, 3.7954299737993684`*^9}, {
   3.7954302001643157`*^9, 3.7954302012023754`*^9}, {3.7954314113425913`*^9, 
   3.7954314117536144`*^9}, {3.7954315154065433`*^9, 
   3.7954315579919786`*^9}, {3.795431890181979*^9, 3.795431890531999*^9}, 
   3.795432954083831*^9, {3.7954338308759804`*^9, 3.795433850961129*^9}, {
   3.7954368927101073`*^9, 3.7954368968943467`*^9}, 3.7954371532650104`*^9, {
   3.795437262779274*^9, 3.795437280441284*^9}, {3.7954373374385443`*^9, 
   3.7954373406827297`*^9}, 3.7954375579651575`*^9, {3.7954375896489697`*^9, 
   3.795437669130516*^9}, {3.795437770695325*^9, 3.795437771037345*^9}, {
   3.795439259206463*^9, 3.7954392703330994`*^9}, {3.7954393169097633`*^9, 
   3.795439349873649*^9}, {3.7954996735715566`*^9, 3.795499703605274*^9}, {
   3.7954999315233107`*^9, 3.7954999878055296`*^9}, {3.795500045195812*^9, 
   3.7955000616517534`*^9}, {3.795500402439245*^9, 3.795500402593254*^9}, {
   3.795500573894052*^9, 3.795500608371024*^9}, {3.795500639738818*^9, 
   3.7955006601759872`*^9}, {3.7955007342222223`*^9, 
   3.7955007987529135`*^9}, {3.7955008947094016`*^9, 3.795500905100996*^9}, {
   3.795501040455738*^9, 3.7955011358851957`*^9}, {3.79550438859624*^9, 
   3.795504388786251*^9}, {3.7955046600427666`*^9, 3.7955046602407775`*^9}, {
   3.8401690853394475`*^9, 3.8401691011356688`*^9}, 3.8401692179069867`*^9, {
   3.8401693491631436`*^9, 3.8401693630859413`*^9}, {3.840169409370838*^9, 
   3.8401694237653637`*^9}, {3.840169493736347*^9, 3.8401695172943754`*^9}, {
   3.8401696863680897`*^9, 3.8401697007000685`*^9}, {3.840169777908667*^9, 
   3.840169799595072*^9}, {3.840169831614745*^9, 3.8401698516839523`*^9}, {
   3.8401699095569983`*^9, 3.8401699870878277`*^9}, {3.8401701075108323`*^9, 
   3.8401701084397287`*^9}, {3.840170672815154*^9, 3.840170674915721*^9}, {
   3.840170816326168*^9, 3.8401708229687757`*^9}, {3.840171310611528*^9, 
   3.8401713108495865`*^9}, {3.8401714043330154`*^9, 3.840171418072076*^9}, {
   3.8401714990413485`*^9, 3.8401715276119967`*^9}, {3.840171559817667*^9, 
   3.840171737632191*^9}, {3.8401717993095493`*^9, 3.840171828824258*^9}, {
   3.8401718799696836`*^9, 3.8401719035169945`*^9}, {3.840171943253089*^9, 
   3.8401719852108245`*^9}, {3.840172534424733*^9, 3.8401725420103645`*^9}, {
   3.8401726258750954`*^9, 3.8401726369054956`*^9}, {3.8401726725104012`*^9, 
   3.8401726731945305`*^9}, {3.8401728311053247`*^9, 3.840172833056746*^9}, {
   3.8401735706074286`*^9, 3.8401736039976225`*^9}, {3.840173750180964*^9, 
   3.840173803644369*^9}, {3.840174216597207*^9, 3.8401742413378344`*^9}, 
   3.8401743861294603`*^9, {3.840174962386903*^9, 3.840174966282936*^9}, {
   3.8401758700133333`*^9, 3.8401758756978645`*^9}, {3.840176350825405*^9, 
   3.840176351789316*^9}, {3.840176397562083*^9, 3.840176405058426*^9}, {
   3.8401778475939646`*^9, 3.8401778509557776`*^9}, 3.8401778825406637`*^9, {
   3.8401782596532784`*^9, 3.840178260372196*^9}, {3.8401820500931387`*^9, 
   3.8401820716974916`*^9}, {3.840182181961463*^9, 3.8401821826816244`*^9}, {
   3.8401823372461586`*^9, 3.8401823385334463`*^9}, 3.8401828757513056`*^9, 
   3.8401829193190346`*^9, {3.8401829612849197`*^9, 3.840183034445137*^9}, {
   3.8401831238954067`*^9, 3.840183147081095*^9}, {3.840183200200232*^9, 
   3.840183247857848*^9}, {3.8402069942105865`*^9, 3.8402070170231647`*^9}, {
   3.840212754781577*^9, 3.8402127810503426`*^9}, {3.8402423464796276`*^9, 
   3.840242468872979*^9}, {3.8402426157723837`*^9, 3.840242630403019*^9}, {
   3.8402428095382724`*^9, 3.8402428237498918`*^9}, 3.840242936065626*^9, {
   3.840243199758028*^9, 3.840243200215748*^9}, {3.8402432971757307`*^9, 
   3.840243298346465*^9}, {3.8402433434470816`*^9, 3.840243344222925*^9}, {
   3.8402436559155583`*^9, 3.840243656450364*^9}, {3.8402438201751986`*^9, 
   3.840243821903132*^9}, {3.8402438923693123`*^9, 3.840243892654493*^9}, {
   3.840243963996889*^9, 3.8402439649513226`*^9}, {3.8402440064940014`*^9, 
   3.840244091433638*^9}, {3.840244167581005*^9, 3.8402442302855825`*^9}, {
   3.8402442986911535`*^9, 3.840244298873001*^9}, {3.8402443919880695`*^9, 
   3.840244403993173*^9}, {3.8402444343752403`*^9, 3.840244451161195*^9}, {
   3.8402444869268847`*^9, 3.8402445826300974`*^9}, {3.8402446384652405`*^9, 
   3.8402446491861277`*^9}, {3.8402446845461993`*^9, 
   3.8402447254692464`*^9}, {3.84024477071705*^9, 3.8402447717852154`*^9}, {
   3.8402448436732845`*^9, 3.840244909253932*^9}, {3.840245011220854*^9, 
   3.840245018733143*^9}, {3.840245094929255*^9, 3.8402451072751427`*^9}, {
   3.8402452196780567`*^9, 3.840245283468144*^9}, {3.840245494758815*^9, 
   3.8402455038893895`*^9}, {3.840250509933813*^9, 3.8402505343449526`*^9}, {
   3.8402505739300427`*^9, 3.8402505994376297`*^9}, {3.8402507169618444`*^9, 
   3.8402507693156123`*^9}, {3.8402508500232587`*^9, 3.840250851679454*^9}, {
   3.840269164014731*^9, 3.840269168109906*^9}, {3.8402692331977654`*^9, 
   3.8402692366226473`*^9}, {3.840269283626313*^9, 3.8402692853147273`*^9}},
 CellLabel->"In[78]:=",ExpressionUUID->"d867447f-3448-4e2c-9868-17b82e4719e5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
   "nThInterpFunSol", ",", "\[Mu]ChemSol", ",", "\[Mu]ChemAux", ",", 
    "LoopCounter"}], "}"}], "=", " ", 
  RowBox[{"NestWhile", "[", 
   RowBox[{"selfConsitentLoopFun", ",", 
    RowBox[{"{", 
     RowBox[{"nThInterpFun", ",", "\[Mu]Chem", ",", "1.", ",", "0."}], "}"}], 
    ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "-", 
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "]"}], "/", 
         RowBox[{"#", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], ">", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "3"}], ")"}]}]}], " ", "||", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "4", "]"}], "]"}], " ", "<", " ", 
         RowBox[{"NbLoopPerStep", "*", "NbLoopStep"}]}], ")"}]}], ")"}], 
     "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.795431789724233*^9, 3.7954318089193316`*^9}, {
   3.7954324286467776`*^9, 3.795432428983797*^9}, {3.7954324599235663`*^9, 
   3.7954324602215834`*^9}, {3.7954338361732836`*^9, 3.7954338364613*^9}, {
   3.7954372906848707`*^9, 3.795437291167898*^9}, 3.8401700002212296`*^9, {
   3.8401706168210382`*^9, 3.8401706206823597`*^9}, {3.8401707105712147`*^9, 
   3.840170711352244*^9}, {3.840171325797593*^9, 3.8401713852751083`*^9}, {
   3.840172058212635*^9, 3.8401721014225206`*^9}, 3.840177806560177*^9},
 CellLabel->
  "In[105]:=",ExpressionUUID->"232f6f35-046e-40bd-8369-f8dbc939f240"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.025`"}],
  SequenceForm["Current value of gScat factor: ", 0.025],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.84030411052995*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"bd1cb8d3-d5ac-4b24-bfba-06e49aee745d"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,105,5,23443567467300568549,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8401736237168674`*^9, 3.8401755219313383`*^9, 
  3.8401766720446653`*^9, 3.84018005513076*^9, 3.8402075723109245`*^9, 
  3.840213603564241*^9, 3.8402704325177813`*^9, 3.8403043154818525`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"3675d818-494d-46de-a784-603ec5e5aec2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3607.193919570175`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3607.193919570175, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840304315637755*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1d3572dd-49a4-4ffe-9e05-20027049a72e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.025`"}],
  SequenceForm["Current value of gScat factor: ", 0.025],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403043156417522`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"6bdb517e-19c0-463f-b4a9-5740da184dc7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3563.0438878826712`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3563.0438878826712`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840304505034844*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"94896cdb-8319-4976-93ae-8df22a2218f0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.025`"}],
  SequenceForm["Current value of gScat factor: ", 0.025],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403045051627665`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"20377fd2-50a0-4f3e-95fb-e3e0346471d1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3576.4102433380467`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3576.4102433380467`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403046939802585`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"62e1f459-7cd6-48e6-993b-96445256adc8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.025`"}],
  SequenceForm["Current value of gScat factor: ", 0.025],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403046941118546`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a384a264-dce3-40fe-8770-17c1f347b434"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3571.933267719258`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3571.933267719258, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403048810953836`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1d0ddd0b-6617-4abf-a353-9b8c55eba536"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.025`"}],
  SequenceForm["Current value of gScat factor: ", 0.025],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403048812267303`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"05621595-cc37-4700-b501-e76422a1fd5a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3573.3976170016645`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3573.3976170016645`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840305068302541*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f16fe15d-1e81-4f66-a14a-57c1048ff3b7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.05`"}],
  SequenceForm["Current value of gScat factor: ", 0.05],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403050684359484`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"899de8a3-e019-4122-ade6-0a65472b0b2b"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,105,6,23443567467300568549,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8401736237168674`*^9, 3.8401755219313383`*^9, 
  3.8401766720446653`*^9, 3.84018005513076*^9, 3.8402075723109245`*^9, 
  3.840213603564241*^9, 3.8402704325177813`*^9, 3.84030525481129*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"98d3cc3b-0759-4d7a-ae50-be6d1fbeb3d0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3674.6395089841953`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3674.6395089841953`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403052549555407`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e5d2803c-8ca9-4907-be85-2256307adb23"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.05`"}],
  SequenceForm["Current value of gScat factor: ", 0.05],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840305254963565*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"629ef148-b247-4960-8c16-efff93746acf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3672.563023081672`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3672.563023081672, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840305440754649*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"7cdc402e-92e9-46e3-ae66-b6bd08a024b3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.05`"}],
  SequenceForm["Current value of gScat factor: ", 0.05],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840305440895616*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"7a724025-4e43-45f5-87f0-67bddc8f9646"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3673.1931143956945`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3673.1931143956945`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840305626722333*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"869263e7-b233-45cb-b58d-d8ab55b93585"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.05`"}],
  SequenceForm["Current value of gScat factor: ", 0.05],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403056268745246`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"81253918-ef37-4796-9b76-28b00a66bad0"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,105,7,23443567467300568549,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8401736237168674`*^9, 3.8401755219313383`*^9, 
  3.8401766720446653`*^9, 3.84018005513076*^9, 3.8402075723109245`*^9, 
  3.840213603564241*^9, 3.8402704325177813`*^9, 3.8403058131759853`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c086918c-fe56-483e-98b8-73e4632a404e"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"FindRoot\\\", \
\\\"::\\\", \\\"lstol\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,105,8,23443567467300568549,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8401736237168674`*^9, 3.8401755219313383`*^9, 
  3.8401766720446653`*^9, 3.84018005513076*^9, 3.8402075723109245`*^9, 
  3.840213603564241*^9, 3.8402704325177813`*^9, 3.8403058133015738`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b1a531c8-93b3-47b9-8cca-3daed778201e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3673.000638245808`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3673.000638245808, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840305813433087*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"48641bc9-e636-4d75-8cf7-6d5f9ef65140"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.05`"}],
  SequenceForm["Current value of gScat factor: ", 0.05],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840305813433087*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"fe4b1a2e-c56d-4d8d-bb7f-f38f85be0aa7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3673.0595567050154`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3673.0595567050154`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403060001366262`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"5125f1df-6ad9-46d3-ae8c-a73c77a84533"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.07500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.07500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840306000248008*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0b6f9abb-f797-44b5-83f3-83b855936427"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3777.1340394743024`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3777.1340394743024`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840306183305171*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"96557f03-5ab6-4e4f-9ce3-765b0a0fb20a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.07500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.07500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840306183455083*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"bbefef43-65b7-4b16-b415-5760d9f660c1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3773.4435168246837`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3773.4435168246837`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840306365718825*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"05b5eafb-b9b2-4684-b8a9-3ab6987b9350"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.07500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.07500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403063658304105`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d0a6dd09-eb3b-4ff2-80a0-cdb04eb3bfa8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3774.5422817134645`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3774.5422817134645`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403065466695423`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"87567a03-d95e-4dd8-9f84-b6131ba263ab"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.07500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.07500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840306546780925*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"9db61d6a-41e2-48bb-9cd1-838f59249549"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3774.209265027347`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3774.209265027347, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403067280670667`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"6e609412-150a-48a3-9c8b-dde5dc197036"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.07500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.07500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840306728178527*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"fbebfdbb-aa70-41b5-be99-f34cde396dea"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3774.310509649622`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3774.310509649622, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840306910735525*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"14efe4a3-c2ba-4f29-aba2-feb6a91dcab4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.1`"}],
  SequenceForm["Current value of gScat factor: ", 0.1],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403069108974113`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"29c23965-9f1e-4a75-a07a-6859f01139aa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3880.5401535674364`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3880.5401535674364`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403070936644664`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"148f4263-87ce-4e67-857e-b3aa50e9848c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.1`"}],
  SequenceForm["Current value of gScat factor: ", 0.1],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403070937758536`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b9145a11-bca3-4a98-83fe-166f5d7c45ba"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3875.614487324577`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3875.614487324577, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403072759512987`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0f751c73-e49f-422f-885b-a170707c2015"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.1`"}],
  SequenceForm["Current value of gScat factor: ", 0.1],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840307276062786*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"030ce40f-42fb-4bae-a059-f8c01892e7b1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3877.080611438071`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3877.080611438071, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840307456024332*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a6b4a0b7-d2af-4b45-be4b-3190dd4623c1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.1`"}],
  SequenceForm["Current value of gScat factor: ", 0.1],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403074561356516`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"11673139-b473-4766-b1a2-736287e2cb07"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3876.6520830933955`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3876.6520830933955`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840307637965993*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"ba877688-9763-4aef-a972-1cb19a986c68"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.1`"}],
  SequenceForm["Current value of gScat factor: ", 0.1],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840307638077456*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"04cb08e1-a551-4bf4-993f-83462fb86865"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3876.778747049422`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3876.778747049422, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403078196396728`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"2e6462b5-ed95-49d5-9f4e-8833f868ce03"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.125`"}],
  SequenceForm["Current value of gScat factor: ", 0.125],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403078197877645`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"93cbf7d9-2630-416f-a76d-78dfc28436a0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3985.4306672410476`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3985.4306672410476`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403080016176405`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"168425b8-4fe0-4302-a7e9-b1dcac1017d1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.125`"}],
  SequenceForm["Current value of gScat factor: ", 0.125],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403080017288885`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d9e2957f-4a6e-4450-bd14-b15f44760a6b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3979.2081431735523`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3979.2081431735523`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403081839300838`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"23483709-ed77-4feb-9a3c-262f9f979746"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.125`"}],
  SequenceForm["Current value of gScat factor: ", 0.125],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840308184041546*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"744804e4-35fd-4c93-aa9c-7a9d60b4d9d9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3981.0202737223262`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3981.0202737223262`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403083660262985`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"6f2a0e6f-73ae-440b-b9cb-db81221e5712"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.125`"}],
  SequenceForm["Current value of gScat factor: ", 0.125],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840308366137762*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"32f3573f-8bf5-4870-b4d8-324f11407e6c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3980.5037118028085`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3980.5037118028085`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403085474960976`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"9b6989b4-9a7c-4ee5-9731-1a5d681e5577"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.125`"}],
  SequenceForm["Current value of gScat factor: ", 0.125],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403085476478105`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"16539320-a5a7-4d7d-a7b0-a412f541badf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "3980.6518400091627`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 3980.6518400091627`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840308729743745*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4b0a5ba8-5a8b-4b52-b589-af0842d6dbb1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.15000000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.15000000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840308729855057*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d8c1a013-78b6-46d3-8be5-02071819d799"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4091.702345379861`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4091.702345379861, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403089105592604`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0e3e0c4f-1ab8-4705-8392-eface97528ca"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.15000000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.15000000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403089106628647`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"dd4cfa16-0bf9-4711-b10a-e1f7a3005ec7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4084.909738428209`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4084.909738428209, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403090921072426`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d5426d0b-009e-4614-b9de-fc4d5f79b57f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.15000000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.15000000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403090922187405`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"69edf5f4-f925-496e-951b-c30222bf7b48"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4087.005977899975`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4087.005977899975, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840309283817213*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"dc0cec7e-e44a-453d-9eab-692f45d93b1a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.15000000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.15000000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403092839286613`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4bfa3fc4-d5a6-49cd-bb8e-42d95658e6b8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4086.4490802789032`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4086.4490802789032`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840309475070113*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"cca3ee3a-78cc-4cf7-893e-d062fa4052ee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.15000000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.15000000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403094752118907`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"29595d44-d836-4667-a9f9-f96d591b7978"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4086.598856931889`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4086.598856931889, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403096667234735`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"3596e63b-f75e-4fe6-b14b-1e863c41df65"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.17500000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.17500000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403096668348083`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"3afeda73-9aeb-44f5-a592-5bba3005cc16"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4200.103509488992`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4200.103509488992, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.84030984174671*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"808eac99-4a15-46e7-94c0-a142a83c22aa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.17500000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.17500000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840309841858288*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"14848baa-ccb5-4ab9-bc9a-2f6d4859bfac"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4190.827435057713`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4190.827435057713, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840310023626216*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1614a736-228e-4112-b183-94f21d01a0b5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.17500000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.17500000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403100237359223`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b4041e2a-01e7-49d2-a08d-d52e94eb4baa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4193.262524379614`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4193.262524379614, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.84031021468513*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4bfec6b8-3dc4-4bb2-bc55-67a4c2177440"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.17500000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.17500000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840310214796644*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"5beef3e0-7962-4106-9b52-58ea3c2787cc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4192.676302735676`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4192.676302735676, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403103953593335`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"164c7e1f-686f-45d1-91e6-fe290b13a9d9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.17500000000000002`"}],
  SequenceForm["Current value of gScat factor: ", 0.17500000000000002`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403103955214286`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"536a97df-be5e-4ae2-afd6-2ccf1599c359"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4192.772413126837`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4192.772413126837, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840310586673563*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"679fe3b7-548d-4e79-b3c3-e3e811eb1fcf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.2`"}],
  SequenceForm["Current value of gScat factor: ", 0.2],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403105867829237`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"93c87fa7-5403-4804-88a0-37f22ab67f4c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4308.817849703622`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4308.817849703622, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403107661120644`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b44f1f71-2f1f-4a11-9bf5-c6c031aea56e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.2`"}],
  SequenceForm["Current value of gScat factor: ", 0.2],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403107662212553`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b8fa507c-2552-4ccc-b933-8b3bf36c251a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4298.74072859207`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4298.74072859207, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840310948132389*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"6bfc1799-d45c-4f43-8e58-518555cf171a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.2`"}],
  SequenceForm["Current value of gScat factor: ", 0.2],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840310948244012*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4e2de348-87c3-4ea2-bc9c-fa3af3f47a98"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4301.458869594313`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4301.458869594313, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403111288139396`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"41184630-16c8-4136-8e39-7f7ed34f93ca"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.2`"}],
  SequenceForm["Current value of gScat factor: ", 0.2],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403111289963417`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"450b036e-500f-415f-b876-8c6b06b1dcf2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4300.729929354393`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4300.729929354393, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403113096049376`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"ad0367d5-3e98-41d2-9684-00fd4dd0a68b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.2`"}],
  SequenceForm["Current value of gScat factor: ", 0.2],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840311309708325*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"6f0f8915-7f44-4dfd-86c6-9a8c2eaf3168"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4300.909155432054`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4300.909155432054, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840311490518861*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"dde2da32-50c7-4280-8da2-dfbe82614656"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.225`"}],
  SequenceForm["Current value of gScat factor: ", 0.225],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403114906300488`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"654e2936-ea0c-4588-ba3b-7c0ca70599ae"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4419.554122031103`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4419.554122031103, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840311670723447*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4045749d-e6a8-4487-8aac-f9590d3d1248"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.225`"}],
  SequenceForm["Current value of gScat factor: ", 0.225],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403116708329296`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a5fd9d4c-bfe9-4861-b02c-ed5689088e2c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4407.885335605666`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4407.885335605666, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840311855320944*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"8f468f95-64d9-4187-83f2-b4dabb985b66"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.225`"}],
  SequenceForm["Current value of gScat factor: ", 0.225],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840311855432584*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b34a8332-180f-4667-9953-71c629f8f939"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4410.832314810803`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4410.832314810803, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840312040074831*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a10347de-6286-4bb2-bbfb-2e8dbd8200b1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.225`"}],
  SequenceForm["Current value of gScat factor: ", 0.225],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840312040227558*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"fe3bb4be-1770-4168-9ebb-19d4f92f4746"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4410.135391909182`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4410.135391909182, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403122242213755`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"630703ac-ec39-4545-833d-35a54fdd738a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.225`"}],
  SequenceForm["Current value of gScat factor: ", 0.225],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403122243328714`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e7b0985a-dfc5-4d7d-8c78-176142d01f58"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4410.279682571069`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4410.279682571069, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.84031240929895*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"7a694f00-34b1-4a97-bb99-b7ac790e8b95"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.25`"}],
  SequenceForm["Current value of gScat factor: ", 0.25],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840312409410364*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d1ee703d-8a78-44d8-80dc-b75e285461f0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4531.76547875148`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4531.76547875148, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840312600954791*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b70759b5-dc65-48b5-8fb1-3c9748675eb9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.25`"}],
  SequenceForm["Current value of gScat factor: ", 0.25],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403126010662837`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"ab64c59b-9847-4acd-a598-d4fac8f76a89"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4518.888414603231`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4518.888414603231, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840312783302283*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"23952af8-8853-4f48-b299-bad987599ad5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.25`"}],
  SequenceForm["Current value of gScat factor: ", 0.25],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403127834139786`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"85884f63-a8db-433d-8693-32dc2c968d54"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4522.175578714035`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4522.175578714035, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840312967558717*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b5442849-1e0c-416c-a216-4725dac86870"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.25`"}],
  SequenceForm["Current value of gScat factor: ", 0.25],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403129677171106`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"990d5d4b-249a-471b-bbe7-c055ce6b0f9d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4521.391059463422`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4521.391059463422, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403131514550147`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1c3442af-4b4b-4495-ae4f-1163d503a9cb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.25`"}],
  SequenceForm["Current value of gScat factor: ", 0.25],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403131515563555`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"69152fdf-4073-41ac-9a72-3b1ae2b2699e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4521.5639046895`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4521.5639046895, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403133349167013`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"2a577ef1-71af-4304-8804-aa6a7ac56293"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.275`"}],
  SequenceForm["Current value of gScat factor: ", 0.275],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403133350261183`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"62e46b29-66e2-4151-b72e-e0602b39ddaa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4645.76858950533`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4645.76858950533, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840313515694228*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a6de3b9f-d24e-4271-b379-ef5b830454ab"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.275`"}],
  SequenceForm["Current value of gScat factor: ", 0.275],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840313515810113*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"09be9d45-afde-4c77-a7be-aec20760547e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4631.272883637529`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4631.272883637529, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403138377710495`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f3e63276-7a5f-432a-bc05-3ab03a9da526"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.275`"}],
  SequenceForm["Current value of gScat factor: ", 0.275],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840313837953826*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c7e8d29c-912e-4d1b-9731-8679fb34eb92"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4634.8536241676875`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4634.8536241676875`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403140207440815`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"59777e1b-7cf6-4500-a4f1-d9548045f784"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.275`"}],
  SequenceForm["Current value of gScat factor: ", 0.275],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840314020844344*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"14188613-d8cc-4cee-af19-6da0579dbde6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4633.991565117755`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4633.991565117755, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403142056817493`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f7555722-d659-4f90-a12e-642177ee7277"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.275`"}],
  SequenceForm["Current value of gScat factor: ", 0.275],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403142057934217`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"fd88dbde-a75c-4881-8c14-f800b41c15bd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4634.18046006138`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4634.18046006138, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840314390235572*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c2b1b0d9-c8c8-4afe-b6fc-fc863bd57ed1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.30000000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.30000000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403143903368654`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c6cf3765-5c84-41f7-95f4-22d1e83c8087"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4761.347344298178`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4761.347344298178, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840314572135538*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f1355e85-42a3-4750-84b9-804f39331b6a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.30000000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.30000000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840314572238921*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"bdf927dc-b42c-48ff-a3ec-15029fc0fe68"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4745.899035330654`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4745.899035330654, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403147679847918`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a97bc1f4-d807-4f7b-b553-dec11572dd04"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.30000000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.30000000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.84031476814666*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"ee46c287-d033-4b96-9f88-3a360989a0a1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4749.295083196675`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4749.295083196675, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840314952345187*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"662b30c8-6079-4549-88aa-55b95231169b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.30000000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.30000000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403149524546137`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"396cc6ec-d0d0-4701-8850-3e650a78011e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4748.779946561615`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4748.779946561615, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403151377456636`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"55ad5385-da4a-4765-88a4-5bbfd2770d56"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.30000000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.30000000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403151378471055`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1bfb1492-92f4-4f40-9af5-fbce47d1b594"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4748.886827806639`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4748.886827806639, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840315322394992*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a4a884b0-4afb-41fc-b363-dbd6047aefbb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.325`"}],
  SequenceForm["Current value of gScat factor: ", 0.325],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840315322506444*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"ab255e4b-f1ae-4b51-baf8-6fdffa7235bf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4878.877369798612`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4878.877369798612, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840315505769329*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"db30828e-f821-46f0-86dc-1e27c374e715"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.325`"}],
  SequenceForm["Current value of gScat factor: ", 0.325],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840315505878787*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"27c867ae-7beb-4616-9af1-489a768b8d15"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4861.681808114387`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4861.681808114387, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403157002343206`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"9143ac6e-417f-46c3-b819-84a0764b5060"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.325`"}],
  SequenceForm["Current value of gScat factor: ", 0.325],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840315700386177*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"86c64afc-9d26-448b-88c4-170880a09cdc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4865.907786296108`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4865.907786296108, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403158810230236`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c5d8699b-6180-4cf4-adbc-66bcd026a06d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.325`"}],
  SequenceForm["Current value of gScat factor: ", 0.325],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840315881138912*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"08e8cadc-48a1-42b9-8102-6eb7a49f1aac"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4865.091805394984`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4865.091805394984, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403160626451845`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"2569e74d-12bf-4c59-ae3a-8afda9f073d6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.325`"}],
  SequenceForm["Current value of gScat factor: ", 0.325],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840316062746605*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c829aa5b-dc86-489e-a7e0-f5fbaabb6264"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4865.218129326052`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4865.218129326052, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840316244472207*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"598e283b-cd0c-46ca-9971-27fccf004c3e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.35000000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.35000000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403162445836678`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"24c09871-c522-41e5-9dea-8832fa4133ed"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4998.5222883014885`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4998.5222883014885`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403164271968946`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"46273de1-b9a6-4256-b6a0-7a4a17e2fef3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.35000000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.35000000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840316427368867*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d37d02a7-d7ae-45af-93fa-5494169c6b13"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4979.5051535092925`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4979.5051535092925`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840316611589401*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e7ef74b1-1f3e-4ee0-8965-e05afa956605"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.35000000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.35000000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840316611690796*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"387ce6d2-64c3-4830-bf36-8cce67619a1a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4983.65411971348`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4983.65411971348, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840316794509362*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"cff5cdca-fbec-4084-ab72-8a802a2452f6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.35000000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.35000000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403167946106234`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"21d0e95d-2b56-47d9-aed9-3160d452bb99"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4982.86446443414`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4982.86446443414, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840316978616044*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"7cc23934-d5f1-4614-a790-8109ee7ec530"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.35000000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.35000000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403169787173634`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"84f33fd0-329d-4f50-9b5e-3d29692d172f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "4982.950453943541`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 4982.950453943541, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403171632227273`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"69290db7-f56b-4587-8da4-d0ff91ffa6bc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.375`"}],
  SequenceForm["Current value of gScat factor: ", 0.375],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403171633341827`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"8f1ca653-fbd4-4e16-92e1-edfc1bf4f112"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5119.643741212873`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5119.643741212873, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840317346169376*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4db9bcde-925e-43d6-a8da-59e41b817d96"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.375`"}],
  SequenceForm["Current value of gScat factor: ", 0.375],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840317346323408*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"8b8e9460-a789-41f7-9450-02cbb41147ba"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5099.406877948789`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5099.406877948789, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840317529257435*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"5c290828-e234-4387-ace0-7bb6331daa3c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.375`"}],
  SequenceForm["Current value of gScat factor: ", 0.375],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403175293608894`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"13a36027-26c0-428b-a8e4-f062e237279c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5103.5644348105525`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5103.5644348105525`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403177132536325`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d3059cf5-9198-40b6-9f5e-7775312cb866"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.375`"}],
  SequenceForm["Current value of gScat factor: ", 0.375],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403177133551064`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"25ecf565-e146-45d8-a58e-9b419c045fe8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5102.826996969655`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5102.826996969655, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403178971112328`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"993cb594-61f6-4c5d-819b-bc09acf7dd2c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.375`"}],
  SequenceForm["Current value of gScat factor: ", 0.375],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403178972143197`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"da4d9eea-1e12-4911-9d3f-ba37c3caf28c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5102.907181927937`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5102.907181927937, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840318081882798*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e5b89f82-db5c-43fb-a071-9356f46d30a8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.4`"}],
  SequenceForm["Current value of gScat factor: ", 0.4],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840318081992143*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c55b75e2-369e-46bf-8b36-f6a2122e0465"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5242.993715826763`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5242.993715826763, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840318265340985*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1c47d7da-69ce-4284-8841-0000731b68f1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.4`"}],
  SequenceForm["Current value of gScat factor: ", 0.4],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840318265513094*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"7ba117ee-82ac-4204-8ce5-db02d5894e77"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5221.327513537791`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5221.327513537791, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840318446925867*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"9a6dbddf-b7f7-4435-96eb-931bdc4d358a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.4`"}],
  SequenceForm["Current value of gScat factor: ", 0.4],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403184470273666`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"28bcb4fc-f678-4a38-8e05-aa6194eb22fe"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5225.444692522414`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5225.444692522414, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403186303064537`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"6560d7de-4268-4206-a1c1-9487aacda06f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.4`"}],
  SequenceForm["Current value of gScat factor: ", 0.4],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840318630417719*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"76e4eaa1-b96b-4e2d-ae76-5ad734975aaa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5224.966677860349`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5224.966677860349, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840318813199905*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"13c1f852-a8dd-45cd-8292-bb63e6d8db22"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.4`"}],
  SequenceForm["Current value of gScat factor: ", 0.4],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840318813301323*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c13264a3-6cb4-49d6-bde6-06de7acf5bba"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5224.886957499536`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5224.886957499536, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403189967431097`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"ada4413d-5ac2-4f31-a4e6-3dcb69da2535"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.42500000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.42500000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403189969054413`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"af2a5f82-a4e0-4731-bdba-906a97ac0d55"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5368.302464689736`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5368.302464689736, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840319176687725*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"95b6c956-62b3-4f66-af2c-38c0450b4a47"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.42500000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.42500000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840319176789208*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0e06c587-f854-4b9b-a436-f100b0db157b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5345.2621716495505`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5345.2621716495505`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840319361619779*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"11bb8e3c-6ace-47cf-86b1-beb60a666796"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.42500000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.42500000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840319361719037*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e225abf5-c063-4d5b-abf6-ccd0005ae549"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5349.470649683998`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5349.470649683998, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840319544090622*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"9e22c90b-15a1-41b2-9304-e33ee2cbac31"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.42500000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.42500000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840319544181902*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"00051bbd-35da-4b35-9289-3f0f7aaeea74"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5348.992319249081`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5348.992319249081, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403197262283506`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"00cfd506-6218-4958-b096-b226e25a348d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.42500000000000004`"}],
  SequenceForm["Current value of gScat factor: ", 0.42500000000000004`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403197263318563`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"90d3f140-d343-405b-9340-8566724ccbeb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5348.871402450325`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5348.871402450325, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403199096896753`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"805f8826-8fe3-4201-8d04-4b1f288f79de"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.45`"}],
  SequenceForm["Current value of gScat factor: ", 0.45],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840319909849661*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0673de91-e84e-4eae-845e-489a878be938"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5496.157493182168`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5496.157493182168, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840320089770294*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"35c232b1-7070-4b6a-aeff-a1024e38de81"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.45`"}],
  SequenceForm["Current value of gScat factor: ", 0.45],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403200898700595`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d4b2bccf-4f57-460f-9142-6ad36dedd704"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5471.256127557582`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5471.256127557582, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840320275225254*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"232dfb6f-8b0b-48cf-a91b-752f78b2f926"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.45`"}],
  SequenceForm["Current value of gScat factor: ", 0.45],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403202753267374`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c2f8045d-0482-4c10-b1d0-e39c61d65965"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5475.630140693456`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5475.630140693456, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403204584030333`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b3e6cfb9-27d0-43da-b89c-ac448529af64"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.45`"}],
  SequenceForm["Current value of gScat factor: ", 0.45],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840320458504133*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"131a6c0e-c483-40b0-a66d-3dd7a6c2b8fb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5475.231592558415`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5475.231592558415, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403206419515114`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"dfc7b91f-016e-45c0-b0cb-1883e3d96493"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.45`"}],
  SequenceForm["Current value of gScat factor: ", 0.45],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403206420426273`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b38eff7b-b83c-420e-9443-1cf75bfa10d4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5475.044987340266`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5475.044987340266, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403208257822003`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"dabc1514-2140-4419-a1da-50dfbab54e6e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.47500000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.47500000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403208259343367`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b4ae08e8-8a4f-41fd-b31b-67c1d568a223"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5626.279172146139`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5626.279172146139, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403210068049717`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"cb598085-7947-4a5c-979d-995a0a1c5986"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.47500000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.47500000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840321006906807*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c4a295b1-80d3-4913-b4b2-84a8365e7f95"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5599.471624439428`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5599.471624439428, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840321190281247*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"2479e557-5ebc-49ce-8192-c9198cf8b545"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.47500000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.47500000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403211903823795`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"6cf32a67-6094-4b3e-ad6b-936449b5317b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5603.9906215193105`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5603.9906215193105`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840321373969117*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a107fafc-5548-42ed-bc05-29d297386bde"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.47500000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.47500000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840321374070511*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c6aaeea2-a0d3-4443-af65-023d28dcad7c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5603.725816512282`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5603.725816512282, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403215570931296`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"817d9d5e-f5ba-4998-b74c-22f64f85c1b8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.47500000000000003`"}],
  SequenceForm["Current value of gScat factor: ", 0.47500000000000003`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840321557184258*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"da4ced39-b73d-4a91-821c-5dc8b42c9eab"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5603.415993585628`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5603.415993585628, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403217403562284`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d32d7447-2b54-400c-9130-fa6821c0afa0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5`"}],
  SequenceForm["Current value of gScat factor: ", 0.5],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840321740517923*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a05004fe-f858-42b9-9518-1e3806e3c1d0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5758.776457425711`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5758.776457425711, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840321920972603*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"83130db0-6c8d-4cfb-8684-97f2724f6960"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5`"}],
  SequenceForm["Current value of gScat factor: ", 0.5],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840321921073631*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a8024174-5316-4da9-a49a-3af0970ad8ed"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5730.395199884122`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5730.395199884122, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403221143229213`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"9bf14fb1-8dc2-4d58-9585-412193e54607"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5`"}],
  SequenceForm["Current value of gScat factor: ", 0.5],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403221144221354`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"78d07ef2-bd39-4d80-acce-17e4e1fe91e1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5734.689510558521`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5734.689510558521, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840322300382653*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e37c02ba-9248-43d6-b197-da40852932cf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5`"}],
  SequenceForm["Current value of gScat factor: ", 0.5],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403223004837213`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"949b56a0-3358-4b67-9ac8-6324a583cd49"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5734.3966011169105`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5734.3966011169105`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.84032248328601*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"6eb97188-632c-41eb-b125-cea990e205b6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5`"}],
  SequenceForm["Current value of gScat factor: ", 0.5],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403224834480934`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a5176248-08a3-408b-b03a-794e08257f09"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5734.105665153493`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5734.105665153493, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403226667620044`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"533ad21b-271e-4dd2-86e4-5a23a77be540"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.525`"}],
  SequenceForm["Current value of gScat factor: ", 0.525],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840322666863418*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"90e0cf22-ef10-4996-8292-474daff76ff2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5893.919300321656`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5893.919300321656, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840322848751362*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d3af4bf2-6966-4952-a480-085d70d3bd7c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.525`"}],
  SequenceForm["Current value of gScat factor: ", 0.525],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840322848844287*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"9899e006-c2c8-4b07-b2f4-7a466718d290"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5863.733010313306`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5863.733010313306, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403230316184807`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"aedb5389-5d1b-45d1-b8d5-1dfa48dae9c9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.525`"}],
  SequenceForm["Current value of gScat factor: ", 0.525],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840323031718154*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"2d3edd7c-4361-4d2d-9e13-bf99cb27dc1f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5867.698628614189`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5867.698628614189, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840323216344353*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1224a7b9-c87e-42b5-9524-df1566c4aecc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.525`"}],
  SequenceForm["Current value of gScat factor: ", 0.525],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403232164534445`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"23741f9d-5fe4-49f1-b5a5-a1e18cd768e3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5868.127534117373`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5868.127534117373, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403234002008514`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"abae979e-0e78-477b-98c0-d55463d51626"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.525`"}],
  SequenceForm["Current value of gScat factor: ", 0.525],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840323400345007*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"3ee08e69-234c-4ddf-a3aa-d7d89bc4a046"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5867.470417862661`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5867.470417862661, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840323596673781*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"07b35c29-8915-4b54-98d7-c7ca8a51b86a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.55`"}],
  SequenceForm["Current value of gScat factor: ", 0.55],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403235967730694`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a836707e-faed-45ed-9f82-13b649af1f81"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6031.6101987102875`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6031.6101987102875`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840323777819742*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"5f81a0b2-087b-4e74-b96e-3d03ec9891b6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.55`"}],
  SequenceForm["Current value of gScat factor: ", 0.55],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840323777913072*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"8ef0d646-3784-4202-8424-0e6fdc9e089b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "5999.680784786273`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 5999.680784786273, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840323962130058*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"64de3e60-99ec-4045-b51c-13de845a6be9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.55`"}],
  SequenceForm["Current value of gScat factor: ", 0.55],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403239622313757`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"13b97aa5-b807-4eeb-a4bf-5e974c09711f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6003.728372417619`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6003.728372417619, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840324157660052*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"ea4149e0-0748-45b2-84e8-1b1dfa498966"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.55`"}],
  SequenceForm["Current value of gScat factor: ", 0.55],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403241577592597`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"762c144d-3e0d-47b9-ad14-2f2353b047aa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6004.002614117813`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6004.002614117813, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840324343599292*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"9f6b1512-2036-43b3-92f4-78877c0a9b25"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.55`"}],
  SequenceForm["Current value of gScat factor: ", 0.55],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403243437475224`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f50f807e-f30a-4625-935b-12c717e99844"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6003.447386781559`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6003.447386781559, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840324529360382*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"cd13baf6-5837-4950-a7fb-d314d4a40023"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.5750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403245294614058`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f5a01ad8-acca-46fc-b658-1cc80f745315"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6172.298514310015`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6172.298514310015, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403247164178457`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"8fb56816-ce28-47c1-82a0-8ea24ff1daa1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.5750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840324716519184*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b4314a67-6134-4be3-ba30-033e66f2feeb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6138.630045552652`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6138.630045552652, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840324905109007*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d371934e-34dc-48b4-8054-ead80d5c4703"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.5750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403249051998796`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b0c65bec-36eb-4261-ac5f-f1b63c29ab81"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6142.4097097518115`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6142.4097097518115`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840325091281375*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"ffed3be8-9f64-458d-a16a-9b45854a2e3d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.5750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403250913826914`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f2af6157-07b5-49ad-ac74-4ffcc4bdff1a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6142.984549646313`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6142.984549646313, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403252789517665`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"03ac9b26-0db0-474a-9289-9f6b7c8baed4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.5750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.5750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840325279121973*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0804f48b-3c74-4975-8d57-e1b21b64a03f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6142.138650005866`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6142.138650005866, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840325466177785*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"20896323-0b11-4be8-9819-0ef8aded6470"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.6000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.6000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840325466289201*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b2b04bbd-7163-427d-9280-8b5068bb82f0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6317.363595817911`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6317.363595817911, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403256538556614`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"60b29480-2d98-432e-b741-c4b56f57636a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.6000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.6000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.84032565395508*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"9bb603c2-271e-43e0-a104-47a601e1cc9f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6280.182893747752`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6280.182893747752, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840325850757615*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"5df38c04-0ff0-444b-a390-b8b2d6087bc8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.6000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.6000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840325850859001*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"107c16c7-07e6-4c1b-aba5-a54b7544526e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6284.023605170604`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6284.023605170604, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403260364074945`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"de3ebb88-108f-4100-9102-18672a302659"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.6000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.6000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840326036509117*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"51de6fd1-0c24-4a4d-9442-f4deeceb01f1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6284.848223229584`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6284.848223229584, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840326234586932*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d47e40f1-ca91-4298-971e-f06264d91bab"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.6000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.6000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403262347369847`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"6d8ee2af-ca55-453d-a30c-cf933c089d15"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6285.727062963319`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6285.727062963319, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403264306534724`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"28b0029a-fd88-4320-8915-c13fa3307680"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.625`"}],
  SequenceForm["Current value of gScat factor: ", 0.625],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840326430754719*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"55f98516-d7c3-4418-bde8-66e040a054ab"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6461.848773546631`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6461.848773546631, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403266130915813`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0f0be72a-edaf-434a-8e4f-5351d7d8f450"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.625`"}],
  SequenceForm["Current value of gScat factor: ", 0.625],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403266131850023`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"fcf375b6-c0c5-478a-b533-3d950b17d7e8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6425.4619627630345`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6425.4619627630345`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840326802015414*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"27f15550-5bcf-4773-9c73-b2af4867261b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.625`"}],
  SequenceForm["Current value of gScat factor: ", 0.625],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403268021167984`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"ce7f87cc-e70d-4799-8bc3-b7ee5e10f535"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6428.513205109333`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6428.513205109333, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403269904744005`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f2e4c099-a893-4b83-a2dd-77a2309ff134"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.625`"}],
  SequenceForm["Current value of gScat factor: ", 0.625],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840326990626365*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"7f6b52ad-d8d5-4f20-8f73-c4963df89e92"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6429.744639998054`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6429.744639998054, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840327181245964*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"165c1a34-038e-4620-9231-94046af8bfe8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.625`"}],
  SequenceForm["Current value of gScat factor: ", 0.625],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840327181347274*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"5a068f3e-a4df-4b73-bf1c-50f67e4be87d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6428.510769291354`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6428.510769291354, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840327368973922*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"3b9e056a-1e69-43c6-990c-f9034e871f7f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.65`"}],
  SequenceForm["Current value of gScat factor: ", 0.65],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403273690752363`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e43ce357-9403-47bd-ae4b-beeda7e003f1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6612.0047963539955`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6612.0047963539955`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403275516343126`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0a2292c0-048f-459d-8c64-b732c533cbad"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.65`"}],
  SequenceForm["Current value of gScat factor: ", 0.65],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840327551731961*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"2c6d7ee2-5dd1-4393-a3ad-9bb6f2694b70"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6573.5145525632815`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6573.5145525632815`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840327750949916*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"fcf9ced3-28c6-4795-937e-3e117b3cca6f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.65`"}],
  SequenceForm["Current value of gScat factor: ", 0.65],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.84032775106911*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d6d78c22-7db0-4e31-a965-bde87dccc9e3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6576.199280200145`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6576.199280200145, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403279376335497`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"66d1efb8-c404-40d2-b9b7-9f80bd1a6f6b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.65`"}],
  SequenceForm["Current value of gScat factor: ", 0.65],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403279378055267`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"3f4e1efb-34c5-4888-9c7e-4aedaf96e96b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6577.767127225234`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6577.767127225234, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403281391400833`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"18e35aa1-cf1d-41c1-a108-e7bf781afffc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.65`"}],
  SequenceForm["Current value of gScat factor: ", 0.65],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840328139251625*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"ffb2af23-7746-4aa7-8bde-dea71a0ae2a7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6576.393390489705`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6576.393390489705, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403283284673834`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"84eb6afe-13a7-4ba4-81dd-2c77765ae0fc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.675`"}],
  SequenceForm["Current value of gScat factor: ", 0.675],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840328328568843*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"5347fda2-4404-45a4-8d8d-1cfe242226c6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6765.654567768755`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6765.654567768755, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840328511817048*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"eeed5c32-f82b-465e-968a-397cd038e45d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.675`"}],
  SequenceForm["Current value of gScat factor: ", 0.675],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840328511918275*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"8ab4d1ca-c76f-4692-ae21-2ecabd20b009"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6725.224402175999`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6725.224402175999, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403286991530914`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a8a1576c-fbfd-49c2-ab48-50b4889a6c75"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.675`"}],
  SequenceForm["Current value of gScat factor: ", 0.675],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840328699262573*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e6f28606-3b4f-4cb8-8711-853b6085a7ac"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6727.160643557108`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6727.160643557108, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840328886877797*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b7307692-8820-48d8-a467-bf5114b2bf27"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.675`"}],
  SequenceForm["Current value of gScat factor: ", 0.675],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403288870278254`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4e0b1567-bcfe-4bf0-a6cf-a326ede122ae"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6729.106921205079`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6729.106921205079, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403290767312913`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c3ddfcf3-9d52-4de1-824c-4101a4cdee0c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.675`"}],
  SequenceForm["Current value of gScat factor: ", 0.675],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840329076832574*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f9b25d30-c95a-41b1-86f8-a09c63aaaec1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6727.374454613408`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6727.374454613408, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.84032927834881*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f2e2dc9f-e54b-4227-b34f-822e15b8705a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840329278450184*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"bd86f2d3-46cb-4aea-b3a6-85a0a564efe3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6922.672008571933`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6922.672008571933, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840329462328184*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d619b8a4-9839-4943-acaa-08b841f0ad90"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403294624193697`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d8ceda8e-666a-4d1a-a995-d399034a7517"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6880.947679364718`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6880.947679364718, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403310137667894`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"12b4c80e-dd21-41c4-be20-46642707909b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840331013868238*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"6abc5fee-b0a9-4ef3-ac02-04262cca8061"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6881.825854854814`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6881.825854854814, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840331201003291*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"02c30c88-6385-40c8-9a48-baaae0436663"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840331201147171*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"279f9832-9d8c-4fe6-b766-020ab1312528"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6884.617903239508`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6884.617903239508, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403313878883395`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"cbc24dc0-cbd1-48c3-af10-689f89e02a7e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7000000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7000000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840331387986824*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"735c9810-abb3-47c6-a1e5-7711677f5adf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "6882.425113299582`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 6882.425113299582, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840331574715534*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"cd87cd90-9ee4-4afe-8245-b3e6d184c6f8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403315748166885`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"dd8079db-721a-4e7e-8d60-65a0c48c9f95"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7083.907297017818`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7083.907297017818, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403317709466352`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1c82f023-b585-4d7e-893f-16a262c88c4a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840331771048176*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a4d40278-2024-4d19-8c92-32143f5b90a7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7042.681396962765`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7042.681396962765, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403319658898067`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e55c8387-56d6-46b4-9c37-28d9737feecf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403319659912405`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"ef520141-64d9-42cd-8483-57d03b0b3601"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7039.788169732204`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7039.788169732204, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840332162540471*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"dfd035ff-2ce8-4e3a-9551-6cd5b7567bf9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403321626924496`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0d496b12-da6b-48e9-a5c7-70b23d9bd6c2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7043.996709749786`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7043.996709749786, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840332347705209*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"48ee67df-8c7f-451c-8d13-b6574fb04452"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.7250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.7250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403323478108406`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4789d6aa-96e9-46df-8f77-bdde426c449e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7041.2085643103665`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7041.2085643103665`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403325460326786`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f4221d40-084a-4438-a5f8-dc8dc583b3a0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.75`"}],
  SequenceForm["Current value of gScat factor: ", 0.75],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.84033254613385*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"48d38cda-b39b-4e4b-bc4b-54fa32dcc850"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7249.527122315904`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7249.527122315904, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403327321150813`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"59d9f69c-f2f5-42b7-a565-e08c1a08b863"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.75`"}],
  SequenceForm["Current value of gScat factor: ", 0.75],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840332732208145*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f1fc4fe2-5629-4a91-ab13-b4d352a06d1b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7206.019546668516`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7206.019546668516, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403329242104177`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"385f9c07-be9f-4e2e-a00a-561b40d354ec"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.75`"}],
  SequenceForm["Current value of gScat factor: ", 0.75],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403329243196363`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"104d44fe-cce3-4af0-bf98-4b19146de011"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7202.780612992981`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7202.780612992981, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403331237966585`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4f9f4c9b-788f-4688-99d5-97c83c0cd76e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.75`"}],
  SequenceForm["Current value of gScat factor: ", 0.75],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840333123956824*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"04f899e0-a039-486d-9c65-83dc3c2dfe7b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7207.671040400379`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7207.671040400379, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840333318261428*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d3484457-21e1-45b6-9669-b3a647ff409b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.75`"}],
  SequenceForm["Current value of gScat factor: ", 0.75],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403333183626485`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0bb27ad1-db84-423d-a5c9-7594e82eb1e2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7204.294098280543`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7204.294098280543, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840333501416812*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0183622a-7684-454c-99d3-cf8f3a9e11f6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.775`"}],
  SequenceForm["Current value of gScat factor: ", 0.775],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403335015262547`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0c245591-5f09-4124-8c6a-38b82f0385e3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7419.3575663034935`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7419.3575663034935`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403336907822084`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4c06d3b3-8dab-4aa4-a02c-b6cb36bbf447"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.775`"}],
  SequenceForm["Current value of gScat factor: ", 0.775],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840333690885438*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b97db9c4-2ce8-466f-8f08-8f7f77938441"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7374.4934225925435`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7374.4934225925435`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840333875225525*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"bd547f2f-38de-48dc-97a1-482b541b93e0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.775`"}],
  SequenceForm["Current value of gScat factor: ", 0.775],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403338753269873`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"90b7a4fa-7d59-4d63-b8f9-33b1edb97cdc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7370.743607206035`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7370.743607206035, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840334075116762*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d671f562-d4c6-4b02-ae04-8b86bf0aaff9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.775`"}],
  SequenceForm["Current value of gScat factor: ", 0.775],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403340752202673`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"989a76d3-4062-4b78-92fa-5f34e5505d27"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7376.380061944575`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7376.380061944575, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840334261437264*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e612977a-1953-4e04-9b82-6605434a6da9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.775`"}],
  SequenceForm["Current value of gScat factor: ", 0.775],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840334261538632*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4ec1c49a-c398-4a75-99a4-ec1e89c6494e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7372.011319801202`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7372.011319801202, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840334461152152*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4ae00897-44af-4bb5-bd5b-1e551316d1a4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8`"}],
  SequenceForm["Current value of gScat factor: ", 0.8],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840334461253564*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"3de646e6-5bc3-41c0-b7aa-84c2e4fd8ce0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7594.801842494173`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7594.801842494173, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403346647171507`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"90c7ea3d-9dd3-4f08-8259-b6e4550339e0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8`"}],
  SequenceForm["Current value of gScat factor: ", 0.8],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.84033466481856*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"eff4d993-3587-4f5b-9388-02ac3d8b1907"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7548.260472260662`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7548.260472260662, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403348578306007`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d885576f-55c0-4ee4-8be9-870b5cc65ef1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8`"}],
  SequenceForm["Current value of gScat factor: ", 0.8],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840334857990941*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a9076fc9-8ad7-4707-8dfb-cad95ecfa0a7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7543.624995899795`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7543.624995899795, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840335058162447*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d172cb4d-78d8-4e59-b189-e3bb315d9a26"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8`"}],
  SequenceForm["Current value of gScat factor: ", 0.8],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403350582637568`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"577a5090-dea4-4bec-a0da-b7bd48a9add6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7550.036989955625`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7550.036989955625, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840335254533502*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e35d8bf7-e400-4bc6-bd6a-13464880e92c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8`"}],
  SequenceForm["Current value of gScat factor: ", 0.8],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840335254634448*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"42b938d7-5c3a-4a72-b5db-d271fe9ebc68"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7545.061700011514`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7545.061700011514, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403354509213104`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"249d23bf-b4b7-4cb9-8d89-c91caa2ed6a0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840335451022684*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"6ddb23cf-e1e3-41c0-8a18-001a7c5bfa4c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7773.694323459498`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7773.694323459498, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403356498839207`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c026545f-72b4-48de-9df4-8254ac9e7952"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840335649995347*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"11132d89-5d26-4af4-8fc3-5a1767a6ec6a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7728.407851918417`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7728.407851918417, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403358450517335`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"5cd8cea5-436e-4658-abc7-9037691f0098"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403358452236013`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"402a91f3-18df-478a-9f05-78d3d61bcb66"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7721.852279462455`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7721.852279462455, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840336048414271*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"cc3900a9-1234-4f21-81a3-26c58a94c568"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403360485154324`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d7be01db-fc27-49cf-b9be-6defa898fb61"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7729.405873236074`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7729.405873236074, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840336244583852*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"fa180f69-7447-430b-877f-7f9d349d177c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8250000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8250000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403362446849995`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"0a82eb58-8988-4919-8a8e-98464aae24a4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7723.148914160571`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7723.148914160571, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840336446068344*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"35c70b4f-2556-45cb-9732-b03241c3c31b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840336446179463*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"3ec63e9a-b4b4-4e80-8024-646fca9fa3a9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7960.731707874649`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7960.731707874649, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840336647193661*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d96d1f4a-0617-4155-b030-74f20328e34a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.84033664729502*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"eb9ced2e-ccf6-4af1-82be-bfbbd75260f7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7913.159523742931`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7913.159523742931, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403368436433086`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"947af4a6-7d14-46d7-983b-b81369b8cb30"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403368438117895`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"652cee9d-6ffc-46ee-89ac-e3901c6851cc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7904.6712692436795`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7904.6712692436795`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403370478639607`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"61b297f0-85b5-48f0-8531-8e685d34d5a8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840337047965826*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4eccb938-8634-44e5-9cbc-7cfbb80c63de"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7914.665267407016`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7914.665267407016, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840337251221408*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f0faa90d-af28-468c-82b2-a455b10c3617"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.8500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.8500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403372513229227`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"88067663-303b-455b-bf5c-83eac62a2aca"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "7906.259853956611`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 7906.259853956611, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403374427335396`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"70bffe2b-66c1-4721-a4e3-8366c7aac06c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.875`"}],
  SequenceForm["Current value of gScat factor: ", 0.875],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403374428350487`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"bebafa20-1f59-4a68-be6c-5efdf2750c2b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8152.953397842549`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8152.953397842549, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403376477644043`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"fdaabac3-40be-4ae2-a6c6-83d28394b78b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.875`"}],
  SequenceForm["Current value of gScat factor: ", 0.875],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403376478675795`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"00c52f70-b18a-4d00-b243-acf883028649"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8104.879032374482`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8104.879032374482, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403378553693094`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"c289e7cf-080e-40bb-967c-97cc407de4d1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.875`"}],
  SequenceForm["Current value of gScat factor: ", 0.875],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403378555133686`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e8519dde-6795-4a34-94eb-a9a869fc7378"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8095.283848388948`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8095.283848388948, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403380679280415`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"654a3e22-a683-4ece-b001-960cf416c4ae"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.875`"}],
  SequenceForm["Current value of gScat factor: ", 0.875],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840338068031397*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"499e26a5-1f6c-4f29-b4c3-823cd0b190d2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8106.130229999485`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8106.130229999485, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403382753823547`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e8757302-92e8-4ef3-a512-0d9e68b0e236"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.875`"}],
  SequenceForm["Current value of gScat factor: ", 0.875],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403382754833746`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4c2bc111-481c-43e5-8653-1bf73156cf66"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8096.489209070035`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8096.489209070035, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403384865321913`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"5781d956-d4f6-4863-b275-609e46adaf0b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9`"}],
  SequenceForm["Current value of gScat factor: ", 0.9],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840338486633395*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"583e4a02-3544-414d-9c29-3b9f298842a2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8349.102377776886`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8349.102377776886, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403386910738907`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"67cd68ff-a585-4971-95ab-a7181a8729f3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9`"}],
  SequenceForm["Current value of gScat factor: ", 0.9],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840338691185073*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1033ab59-9ef0-44ab-bb71-89071098498c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8303.390489676625`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8303.390489676625, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840338903966049*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4a353c87-08a6-4707-b360-07aa751c0e73"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9`"}],
  SequenceForm["Current value of gScat factor: ", 0.9],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403389041160913`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"d918916a-672a-4f71-8fe7-0d18494c3624"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8289.275622796295`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8289.275622796295, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840339115770797*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"7c5651be-588f-453a-9be5-4e9a66b69b97"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9`"}],
  SequenceForm["Current value of gScat factor: ", 0.9],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403391158743496`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4f721898-296a-4729-a9d8-8e15d0228789"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8305.022073872895`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8305.022073872895, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403393297633705`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e6b8d4cf-31f6-4855-a1a3-1798ae245dca"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9`"}],
  SequenceForm["Current value of gScat factor: ", 0.9],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840339329864745*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b73b42db-ea73-4116-9d75-778d5ee9ed53"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8290.320930246706`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8290.320930246706, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840339539365354*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"bc46ea11-4276-418f-b1e2-a741abded1b6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.925`"}],
  SequenceForm["Current value of gScat factor: ", 0.925],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840339539474812*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"861bea50-753c-456e-a6fa-7b3123967955"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8555.630248754265`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8555.630248754265, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403397496541986`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"468cf2dd-62f8-4207-acef-e574803152b0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.925`"}],
  SequenceForm["Current value of gScat factor: ", 0.925],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840339749755657*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1dd9f063-b93b-4b85-a57b-c1434e106191"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8506.899647938955`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8506.899647938955, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840339965984439*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"3e9c7fc6-3987-4765-8910-45dd563bf2d6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.925`"}],
  SequenceForm["Current value of gScat factor: ", 0.925],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840339966126308*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"8cf70e7a-5be5-4455-ba7e-220d21db111d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8491.37163059567`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8491.37163059567, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840340182857273*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"015258f5-733e-4f02-8ce7-2c0f29aa2e6f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.925`"}],
  SequenceForm["Current value of gScat factor: ", 0.925],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403401829586334`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"8b302264-7c14-4745-9558-2b86f8159a55"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8509.342570706314`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8509.342570706314, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403403990530634`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4e769e8e-d6a3-4dba-a0e5-40a2faac4e11"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.925`"}],
  SequenceForm["Current value of gScat factor: ", 0.925],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403403991543913`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"05be4845-ed71-4463-a33d-44265d0ea1dd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8489.862354962177`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8489.862354962177, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403413141487556`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"7d80fec7-09e4-4790-8f67-dc7f602772a8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840341314259664*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"cc1e3aea-35d0-4a99-929a-3bfe6770ce4d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8772.571905569463`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8772.571905569463, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840341539803105*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1c43a2e0-8418-4412-b1cb-7a3b9e25b87b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403415399145226`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"de02fb40-ad8e-466a-a9ef-2d741a65f71b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8715.049279663626`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8715.049279663626, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840341758891328*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"67416ecf-c54c-480c-be6d-079515652720"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403417590428724`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f3f9fffe-0c87-40a5-b813-8b658748a8b4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8707.142357015546`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8707.142357015546, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403419873669987`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a09b8cd9-f3d0-439c-81ac-edda1d6ba4a7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403419874964247`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"36997003-f796-4a44-87df-309e9614641f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8716.760406909418`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8716.760406909418, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840342209719611*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"a7b58577-85e2-4b17-a4d7-1a4d2c90030a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9500000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9500000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840342209830735*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"449a80fd-e8e1-48c9-b8c3-e0f5f08470ed"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8709.782545800737`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8709.782545800737, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403424375470266`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"51bd0020-bede-40a7-a31e-c5f425220555"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840342437655855*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"13e8a72c-1b36-4801-b868-e902fea42c6d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8980.616824341372`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8980.616824341372, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403426582237234`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1c0bf036-b2a1-458d-9a42-51399f882139"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403426583248777`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"871fb079-7f53-4a03-84ea-5eb6d2db5f54"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8926.513878948783`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8926.513878948783, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403428755672226`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"3a65266b-b499-493b-9df3-7a8b189a7f8d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403428757089376`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"8ba0f650-212b-4f38-b2de-84cddeee8dbe"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8919.96654562972`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8919.96654562972, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403430972973213`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b1ceb2db-4c0e-4b78-8393-622655de6f02"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840343097398592*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"2e27ffd6-c168-402d-8617-cdecf700f8fa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8941.379530292259`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8941.379530292259, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840343316561187*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"4ec615e8-2c20-46f4-af65-be2cf0ce6f36"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "0.9750000000000001`"}],
  SequenceForm["Current value of gScat factor: ", 0.9750000000000001],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840343316662427*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"b9ce3aa6-6626-4f93-94a4-0337ead6794d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "8925.221116433217`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 8925.221116433217, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403435338429985`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"fdc62c08-9981-4e8e-985b-3f255d94c882"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840343533944418*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"fba0d929-9676-4629-b42b-fe7a74e83cf9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9212.416573875398`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9212.416573875398, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403437589101973`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"e6a8773a-d4b5-455e-87e4-39f6cd8b3b96"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840343759019596*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"94ec5a13-d31e-4869-ad0f-69d6446a74ae"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9119.802427174433`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9119.802427174433, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403439834826517`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"343c863f-f339-48b8-ac74-2c9fd5570bd1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840343983634754*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"2d112451-d6ed-417b-beb0-be6c8b0f6079"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9128.103254918833`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9128.103254918833, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403442160750923`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"7cb6079c-ebbb-4892-a8e5-d8d1b1b3b209"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403442161846457`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"932a7001-db4f-4503-829f-3aece9af9874"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9114.696761057883`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9114.696761057883, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403444533674717`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"220e0288-5efe-4a9a-ad19-d13a291a9a47"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403444534688597`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"60146073-7782-4564-b9a6-b8beb45fd7b1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9135.282175452297`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9135.282175452297, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403446837857056`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"82e7c357-c4d8-4393-9e1e-773d15727248"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of gScat factor: \"\>", "\[InvisibleSpace]", 
   "1.`"}],
  SequenceForm["Current value of gScat factor: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.8403446838868933`*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"1810ad22-b40a-4083-b12a-26c10eb6baf8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "9137.724607600894`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 9137.724607600894, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401721179960227`*^9, 3.8401726633291826`*^9, 
  3.8401727000624065`*^9, 3.8401728643966928`*^9, 3.8401736235418406`*^9, 
  3.8401749811481733`*^9, 3.840176447545518*^9, 3.84017942558032*^9, 
  3.840207042734934*^9, 3.840212804341759*^9, 3.840269300799426*^9, 
  3.840344919127967*^9},
 CellLabel->
  "During evaluation of \
In[105]:=",ExpressionUUID->"f234d351-3c1d-46ee-84d4-f74430c51edf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    TemplateBox[{RowBox[{
        StyleBox[
         TagBox["InterpolatingFunction", "SummaryHead"], 
         "NonInterpretableSummary"], 
        StyleBox["[", "NonInterpretableSummary"], 
        DynamicModuleBox[{
         Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
         TemplateBox[{
           TemplateBox[{
             PaneSelectorBox[{False -> GridBox[{{
                   PaneBox[
                    ButtonBox[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SquarePlusIconMedium"]], 
                    ButtonFunction :> (Typeset`open$$ = True), Appearance -> 
                    None, Evaluator -> Automatic, Method -> "Preemptive"], 
                    Alignment -> {Center, Center}, ImageSize -> 
                    Dynamic[{
                    Automatic, 3.5 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                   GraphicsBox[{{
                    GrayLevel[0.6], 
                    AbsolutePointSize[5], 
                    PointBox[{1, 1}], 
                    PointBox[{2, 4}], 
                    PointBox[{3, 2}], 
                    PointBox[{4, 3}]}, {{}, {}, {
                    AbsoluteThickness[1], 
                    Opacity[1.], 
                    LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                    "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
                    GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                    GrayLevel[0.7], 
                    Thickness[Tiny]], FrameTicks -> None, 
                    ImageSize -> {Automatic, 
                    Dynamic[
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
                   GridBox[{{
                    RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "6141.609905033753`"}], ",", 
                    "251806.0061063839`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "116218.15666448488`"}], ",", 
                    "116218.15666448488`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "7086.472967346639`"}], ",", 
                    "290545.3916612122`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                    AutoDelete -> False, 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                    BaseStyle -> {
                    ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
                 GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False,
                  GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 BaselinePosition -> {1, 1}], True -> GridBox[{{
                   PaneBox[
                    ButtonBox[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SquareMinusIconMedium"]], 
                    ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                    None, Evaluator -> Automatic, Method -> "Preemptive"], 
                    Alignment -> {Center, Center}, ImageSize -> 
                    Dynamic[{
                    Automatic, 3.5 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                   GraphicsBox[{{
                    GrayLevel[0.6], 
                    AbsolutePointSize[5], 
                    PointBox[{1, 1}], 
                    PointBox[{2, 4}], 
                    PointBox[{3, 2}], 
                    PointBox[{4, 3}]}, {{}, {}, {
                    AbsoluteThickness[1], 
                    Opacity[1.], 
                    LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                    "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
                    GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                    GrayLevel[0.7], 
                    Thickness[Tiny]], FrameTicks -> None, 
                    ImageSize -> {Automatic, 
                    Dynamic[
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
                   GridBox[{{
                    RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "6141.609905033753`"}], ",", 
                    "251806.0061063839`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "116218.15666448488`"}], ",", 
                    "116218.15666448488`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "7086.472967346639`"}], ",", 
                    "290545.3916612122`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Order: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{"3", ",", "3", ",", "3"}], "}"}], 
                    "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Method: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"Hermite\"", "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Periodic: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["False", "SummaryItem"]}]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                    AutoDelete -> False, 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                    BaseStyle -> {
                    ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
                 GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False,
                  GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 BaselinePosition -> {1, 1}]}, 
              Dynamic[Typeset`open$$], ImageSize -> Automatic]}, 
            "SummaryPanel"], 
           ButtonBox[
            DynamicBox[
             ToBoxes[
              If[
               
               Or[$VersionNumber < 11.2, CurrentValue["RunningEvaluator"] =!= 
                "Local"], 
               Style["This object cannot be used as input.", "SummaryEmbed"], 
               BoxForm`EmbedSummaryLabel[InterpolatingFunction, 2458680, 
                Dynamic[Typeset`embedState$$]]], StandardForm]], 
            ButtonFunction :> 
            BoxForm`EmbedSummaryInterpretation[
             InterpolatingFunction, 
              7977432626843748100434649164502773684792316233848203297984, 
              EvaluationBox[], 
              Dynamic[Typeset`embedState$$], StandardForm], DefaultBaseStyle -> 
            "SummaryEmbedButton", BaseStyle -> {"DialogStyle"}, Enabled -> 
            Dynamic[
              
              And[$VersionNumber >= 11.2, CurrentValue["RunningEvaluator"] === 
               "Local", Typeset`embedState$$ === "Ready"]], Appearance -> 
            Inherited, Method -> Inherited, Evaluator -> Automatic]}, 
          "SummaryEmbedGrid"], DynamicModuleValues :> {}], 
        StyleBox["]", "NonInterpretableSummary"]}]},
     "CopyTag",
     DisplayFunction->(#& ),
     InterpretationFunction->(
      "InterpolatingFunction[{{-6141.61, 251806.}, {-116218., 116218.}, \
{-7086.47, 290545.}}, <>]"& )],
    False,
    BoxID -> 7977432626843748100434649164502773684792316233848203297984,
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", "9137.724607600894`", ",", "9135.282175452297`", 
   ",", "201.`"}], "}"}]], "Output",
 CellChangeTimes->{3.840176441159923*^9, 3.8401781970037656`*^9, 
  3.8401826083325167`*^9, 3.8402127890254154`*^9, 3.840235555034971*^9, 
  3.8402738972554245`*^9, 3.840344919277971*^9},
 CellLabel->
  "Out[105]=",ExpressionUUID->"340e52b6-e9f3-48fa-9fd5-e1454c5e0a73"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nbBEC", " ", "=", " ", 
   RowBox[{"NbBECFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "nThInterpFunSol", ",", "1."}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0BEC", " ", "=", " ", 
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "nThInterpFunSol", 
      ",", "1."}], "]"}], "*", "factAuxDensity"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nbTh", " ", "=", " ", 
   RowBox[{"NbThFun", "[", 
    RowBox[{
    "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", "1."}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0Th", "=", 
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
      "nThInterpFunSol", ",", "1."}], "]"}], "*", "factAuxDensity"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nbThDimple", " ", "=", " ", 
    RowBox[{"NbThDimpleFun", "[", 
     RowBox[{
     "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", "1."}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Initial chemical potential: \>\"", ",", "\[Mu]Chem", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Final chemical potential: \>\"", ",", "\[Mu]ChemSol", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<BEC atom number: \>\"", ",", "nbBEC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Thermal atom number (theory): \>\"", ",", "nbTh"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Thermal atom number in the ''dimple'' (theory): \>\"", ",", 
    "nbThDimple"}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak density due to BEC: \>\"", ",", "n0BEC", ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Peak density due to thermal gas: \>\"", ",", "n0Th", ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Peak density: \>\"", ",", 
    RowBox[{"n0Th", "+", "n0BEC"}], ",", "\"\< at./m^3\>\""}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nBECFun", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0", ",", "0", 
        ",", "\[Mu]ChemSol", ",", "nThInterpFunSol", ",", "1."}], "]"}], "*", 
      RowBox[{"factAuxDensity", "/", 
       RowBox[{"10", "^", "20."}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{
        RowBox[{"xMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<BEC\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along X (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<BEC profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nBECFun", "[", 
       RowBox[{"0", ",", 
        RowBox[{"y", "*", 
         RowBox[{
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0", ",", 
        "\[Mu]ChemSol", ",", "nThInterpFunSol", ",", "1."}], "]"}], "*", 
      RowBox[{"factAuxDensity", "/", 
       RowBox[{"10", "^", "20."}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "yMaxBEC"}], "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<BEC\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along Y (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<BEC profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BecPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"z", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "\[Mu]ChemSol", 
         ",", "nThInterpFunSol", ",", "1."}], "]"}], "*", 
       RowBox[{"factAuxDensity", "/", 
        RowBox[{"10", "^", "20."}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0", ",", 
        RowBox[{
         RowBox[{"zMaxBEC", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", "\"\<BEC\>\"", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Position along Z (\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         "\"\<BEC profile\>\""}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{
            RowBox[{"x", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{
          RowBox[{"nThFun", "[", 
           RowBox[{
            RowBox[{"x", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
            "nThInterpFunSol", ",", "1."}], "]"}], "*", 
          RowBox[{"factAuxDensity", "/", 
           RowBox[{"10", "^", "20."}]}]}], ",", "0."}], "]"}], ",", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol",
           ",", "1."}], "]"}], "*", 
        RowBox[{"factAuxDensity", "/", 
         RowBox[{"10", "^", "20."}]}]}], ",", 
       RowBox[{
        RowBox[{"nTh2Fun", "[", 
         RowBox[{
          RowBox[{"x", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], "]"}], "*", 
        RowBox[{"factAuxDensity", "/", 
         RowBox[{"10", "^", "20."}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{"2", "*", 
        RowBox[{"xMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
          "\"\<Long dist.\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along X (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"y", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0."}], 
           "]"}], "<", "0.5"}], ",", 
         RowBox[{
          RowBox[{"nThFun", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"y", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", 
            "1."}], "]"}], "*", 
          RowBox[{"factAuxDensity", "/", 
           RowBox[{"10", "^", "20."}]}]}], ",", "0."}], "]"}], ",", 
       RowBox[{
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"y", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", 
          "1."}], "]"}], "*", 
        RowBox[{"factAuxDensity", "/", 
         RowBox[{"10", "^", "20."}]}]}], ",", 
       RowBox[{
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"y", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
          "\[Mu]ChemSol", ",", "TempCloud"}], "]"}], "*", 
        RowBox[{"factAuxDensity", "/", 
         RowBox[{"10", "^", "20."}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{"2", "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
          "\"\<Long dist.\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along Y (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"aux2Fun", "[", 
            RowBox[{"0.", ",", "0.", ",", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], "]"}], "<", 
           "0.5"}], ",", 
          RowBox[{
           RowBox[{"nThFun", "[", 
            RowBox[{"0.", ",", "0.", ",", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
             "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", 
             "1."}], "]"}], "*", 
           RowBox[{"factAuxDensity", "/", 
            RowBox[{"10", "^", "20."}]}]}], ",", "0."}], "]"}], ",", 
        RowBox[{
         RowBox[{"nThExtendedFun", "[", 
          RowBox[{"0.", ",", "0.", ",", 
           RowBox[{"z", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
           "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol", ",", 
           "1."}], "]"}], "*", 
         RowBox[{"factAuxDensity", "/", 
          RowBox[{"10", "^", "20."}]}]}], ",", 
        RowBox[{
         RowBox[{"nTh2Fun", "[", 
          RowBox[{"0.", ",", "0.", ",", 
           RowBox[{"z", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}], ",", 
           "\[Mu]ChemSol", ",", "TempCloud"}], "]"}], "*", 
         RowBox[{"factAuxDensity", "/", 
          RowBox[{"10", "^", "20."}]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0", ",", 
        RowBox[{"2", "*", 
         RowBox[{"zMaxBEC", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6"}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
           "\"\<Long dist.\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Position along Z (\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"BecPlot1", ",", "BecPlot2", ",", "BecPlot3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ThPlot1", ",", "ThPlot2", ",", "ThPlot3"}], "}"}]}], "}"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.795432692306858*^9, 3.7954327479470406`*^9}, {
   3.7954327858582087`*^9, 3.795432846670687*^9}, {3.7954331382793665`*^9, 
   3.7954331391564164`*^9}, {3.795433454851473*^9, 3.7954334557785263`*^9}, {
   3.7954334892674417`*^9, 3.7954335096336064`*^9}, {3.7954337453250875`*^9, 
   3.7954337997432*^9}, {3.7954339214801626`*^9, 3.7954339756062584`*^9}, {
   3.7954340388148737`*^9, 3.7954340949300833`*^9}, {3.7954341418397665`*^9, 
   3.7954341575836673`*^9}, {3.795434207998551*^9, 3.7954342189461765`*^9}, {
   3.7954343180178432`*^9, 3.7954343280924196`*^9}, {3.795434488132573*^9, 
   3.795434520024398*^9}, {3.7954345642069244`*^9, 3.7954345863721924`*^9}, 
   3.7954346972365336`*^9, {3.7954347324705486`*^9, 3.7954347328215685`*^9}, {
   3.79543478913579*^9, 3.795434972312267*^9}, {3.79543501746585*^9, 
   3.7954350501917214`*^9}, {3.7954350971094046`*^9, 3.795435516716405*^9}, {
   3.7954355624790225`*^9, 3.7954356639218245`*^9}, {3.7954356952846184`*^9, 
   3.7954358121203012`*^9}, {3.795435842576043*^9, 3.795435927612907*^9}, {
   3.795435994903756*^9, 3.7954360027222033`*^9}, {3.7954360373971863`*^9, 
   3.795436106495138*^9}, {3.7954361434422517`*^9, 3.795436237156612*^9}, {
   3.795436505338951*^9, 3.795436509153169*^9}, {3.795436541402014*^9, 
   3.7954367131008344`*^9}, {3.7954367912023015`*^9, 3.795436850637701*^9}, 
   3.7954368896729336`*^9, {3.795436970114535*^9, 3.7954369707245693`*^9}, {
   3.795437548773632*^9, 3.7954375498886957`*^9}, {3.795500317152367*^9, 
   3.7955003205805635`*^9}, {3.7955017506463585`*^9, 
   3.7955017896875916`*^9}, {3.7955018286098175`*^9, 3.795501883579962*^9}, {
   3.795502020914817*^9, 3.795502240178358*^9}, {3.840170049804479*^9, 
   3.8401700786457043`*^9}, {3.840170315658825*^9, 3.8401703185684967`*^9}, {
   3.8401734903926597`*^9, 3.8401734948623705`*^9}, {3.84017425127398*^9, 
   3.8401743380985174`*^9}, {3.840175421636848*^9, 3.84017548366967*^9}, {
   3.8401755828416533`*^9, 3.84017570215137*^9}, {3.840178335178115*^9, 
   3.840178335767494*^9}, {3.8401783711030493`*^9, 3.840178590686863*^9}, {
   3.8401786308659496`*^9, 3.8401786737157927`*^9}, {3.840178716177472*^9, 
   3.8401787513860226`*^9}, {3.8401788231408353`*^9, 3.840178846788585*^9}, {
   3.8401789200153418`*^9, 3.840178977003647*^9}, {3.840179014121616*^9, 
   3.8401790282266765`*^9}, 3.8401790708354073`*^9, {3.8401791311232414`*^9, 
   3.8401791585500793`*^9}, {3.840179201946351*^9, 3.840179212081958*^9}, {
   3.840179244800542*^9, 3.8401792821471605`*^9}, {3.8401793199317446`*^9, 
   3.8401793205586557`*^9}, {3.8401819616771364`*^9, 3.840181974093269*^9}, {
   3.8402423051075554`*^9, 3.8402423057693853`*^9}, {3.8402426627553864`*^9, 
   3.840242694255574*^9}, {3.840250787086163*^9, 3.840250800916452*^9}, {
   3.8402540661588016`*^9, 3.8402540725512576`*^9}},
 CellLabel->
  "In[106]:=",ExpressionUUID->"62bcb7f5-8b44-4f05-b30e-28c0f15225d5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initial chemical potential: \"\>", "\[InvisibleSpace]", 
   "4282.4828518193135`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Initial chemical potential: ", 4282.4828518193135`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795506435838336*^9, 3.840169170990003*^9, 3.840169264885152*^9, {
   3.840170061935793*^9, 3.840170080838238*^9}, 3.8401702056363535`*^9, 
   3.840170501138228*^9, 3.84017145721957*^9, 3.8401724438758907`*^9, 
   3.8401734292438326`*^9, 3.840173502135185*^9, 3.840178202692133*^9, 
   3.8401784253238645`*^9, {3.8401785237091107`*^9, 3.8401785987046556`*^9}, {
   3.840178635691044*^9, 3.840178676128194*^9}, {3.840178726924519*^9, 
   3.8401787545861425`*^9}, 3.8401790308507233`*^9, 3.840179074708629*^9, 
   3.8401791609137573`*^9, 3.840179214687468*^9, 3.840179285101766*^9, 
   3.840179323104151*^9, 3.840182818511125*^9, {3.8401828879303465`*^9, 
   3.8401829052442117`*^9}, {3.8401829440605383`*^9, 
   3.8401830190746737`*^9}, {3.840183114640941*^9, 3.840183135255282*^9}, {
   3.840183191248704*^9, 3.8401832637110043`*^9}, 3.8402420353559694`*^9, 
   3.840242718144588*^9, 3.840243231914852*^9, 3.8402508029803023`*^9, 
   3.8402509693306465`*^9, 3.8403451141185303`*^9},
 CellLabel->
  "During evaluation of \
In[106]:=",ExpressionUUID->"c87d9072-2721-41e4-bba7-f8e949a939de"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final chemical potential: \"\>", "\[InvisibleSpace]", 
   "9137.724607600894`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Final chemical potential: ", 9137.724607600894, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795506435838336*^9, 3.840169170990003*^9, 3.840169264885152*^9, {
   3.840170061935793*^9, 3.840170080838238*^9}, 3.8401702056363535`*^9, 
   3.840170501138228*^9, 3.84017145721957*^9, 3.8401724438758907`*^9, 
   3.8401734292438326`*^9, 3.840173502135185*^9, 3.840178202692133*^9, 
   3.8401784253238645`*^9, {3.8401785237091107`*^9, 3.8401785987046556`*^9}, {
   3.840178635691044*^9, 3.840178676128194*^9}, {3.840178726924519*^9, 
   3.8401787545861425`*^9}, 3.8401790308507233`*^9, 3.840179074708629*^9, 
   3.8401791609137573`*^9, 3.840179214687468*^9, 3.840179285101766*^9, 
   3.840179323104151*^9, 3.840182818511125*^9, {3.8401828879303465`*^9, 
   3.8401829052442117`*^9}, {3.8401829440605383`*^9, 
   3.8401830190746737`*^9}, {3.840183114640941*^9, 3.840183135255282*^9}, {
   3.840183191248704*^9, 3.8401832637110043`*^9}, 3.8402420353559694`*^9, 
   3.840242718144588*^9, 3.840243231914852*^9, 3.8402508029803023`*^9, 
   3.8402509693306465`*^9, 3.8403451141266403`*^9},
 CellLabel->
  "During evaluation of \
In[106]:=",ExpressionUUID->"7a603745-d56e-457b-a479-958475d99f7d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BEC atom number: \"\>", "\[InvisibleSpace]", 
   "7399.999999999999`"}],
  SequenceForm["BEC atom number: ", 7399.999999999999],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795506435838336*^9, 3.840169170990003*^9, 3.840169264885152*^9, {
   3.840170061935793*^9, 3.840170080838238*^9}, 3.8401702056363535`*^9, 
   3.840170501138228*^9, 3.84017145721957*^9, 3.8401724438758907`*^9, 
   3.8401734292438326`*^9, 3.840173502135185*^9, 3.840178202692133*^9, 
   3.8401784253238645`*^9, {3.8401785237091107`*^9, 3.8401785987046556`*^9}, {
   3.840178635691044*^9, 3.840178676128194*^9}, {3.840178726924519*^9, 
   3.8401787545861425`*^9}, 3.8401790308507233`*^9, 3.840179074708629*^9, 
   3.8401791609137573`*^9, 3.840179214687468*^9, 3.840179285101766*^9, 
   3.840179323104151*^9, 3.840182818511125*^9, {3.8401828879303465`*^9, 
   3.8401829052442117`*^9}, {3.8401829440605383`*^9, 
   3.8401830190746737`*^9}, {3.840183114640941*^9, 3.840183135255282*^9}, {
   3.840183191248704*^9, 3.8401832637110043`*^9}, 3.8402420353559694`*^9, 
   3.840242718144588*^9, 3.840243231914852*^9, 3.8402508029803023`*^9, 
   3.8402509693306465`*^9, 3.8403451141286736`*^9},
 CellLabel->
  "During evaluation of \
In[106]:=",ExpressionUUID->"978b17b0-daef-47ed-bd74-0fe410ec23bf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thermal atom number (theory): \"\>", "\[InvisibleSpace]", 
   "362170.9159569417`"}],
  SequenceForm["Thermal atom number (theory): ", 362170.9159569417],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795506435838336*^9, 3.840169170990003*^9, 3.840169264885152*^9, {
   3.840170061935793*^9, 3.840170080838238*^9}, 3.8401702056363535`*^9, 
   3.840170501138228*^9, 3.84017145721957*^9, 3.8401724438758907`*^9, 
   3.8401734292438326`*^9, 3.840173502135185*^9, 3.840178202692133*^9, 
   3.8401784253238645`*^9, {3.8401785237091107`*^9, 3.8401785987046556`*^9}, {
   3.840178635691044*^9, 3.840178676128194*^9}, {3.840178726924519*^9, 
   3.8401787545861425`*^9}, 3.8401790308507233`*^9, 3.840179074708629*^9, 
   3.8401791609137573`*^9, 3.840179214687468*^9, 3.840179285101766*^9, 
   3.840179323104151*^9, 3.840182818511125*^9, {3.8401828879303465`*^9, 
   3.8401829052442117`*^9}, {3.8401829440605383`*^9, 
   3.8401830190746737`*^9}, {3.840183114640941*^9, 3.840183135255282*^9}, {
   3.840183191248704*^9, 3.8401832637110043`*^9}, 3.8402420353559694`*^9, 
   3.840242718144588*^9, 3.840243231914852*^9, 3.8402508029803023`*^9, 
   3.8402509693306465`*^9, 3.8403451141286736`*^9},
 CellLabel->
  "During evaluation of \
In[106]:=",ExpressionUUID->"33b46ae6-f789-46fe-9e3d-ff017936af80"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thermal atom number in the ''dimple'' (theory): \"\>", 
   "\[InvisibleSpace]", "319318.38192688307`"}],
  SequenceForm[
  "Thermal atom number in the ''dimple'' (theory): ", 319318.38192688307`],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795506435838336*^9, 3.840169170990003*^9, 3.840169264885152*^9, {
   3.840170061935793*^9, 3.840170080838238*^9}, 3.8401702056363535`*^9, 
   3.840170501138228*^9, 3.84017145721957*^9, 3.8401724438758907`*^9, 
   3.8401734292438326`*^9, 3.840173502135185*^9, 3.840178202692133*^9, 
   3.8401784253238645`*^9, {3.8401785237091107`*^9, 3.8401785987046556`*^9}, {
   3.840178635691044*^9, 3.840178676128194*^9}, {3.840178726924519*^9, 
   3.8401787545861425`*^9}, 3.8401790308507233`*^9, 3.840179074708629*^9, 
   3.8401791609137573`*^9, 3.840179214687468*^9, 3.840179285101766*^9, 
   3.840179323104151*^9, 3.840182818511125*^9, {3.8401828879303465`*^9, 
   3.8401829052442117`*^9}, {3.8401829440605383`*^9, 
   3.8401830190746737`*^9}, {3.840183114640941*^9, 3.840183135255282*^9}, {
   3.840183191248704*^9, 3.8401832637110043`*^9}, 3.8402420353559694`*^9, 
   3.840242718144588*^9, 3.840243231914852*^9, 3.8402508029803023`*^9, 
   3.8402509693306465`*^9, 3.8403451141286736`*^9},
 CellLabel->
  "During evaluation of \
In[106]:=",ExpressionUUID->"a225750f-079b-47e3-8a49-738e168d2119"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to BEC: \"\>", "\[InvisibleSpace]", 
   "4.528217090315077`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm["Peak density due to BEC: ", 4.528217090315077*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795506435838336*^9, 3.840169170990003*^9, 3.840169264885152*^9, {
   3.840170061935793*^9, 3.840170080838238*^9}, 3.8401702056363535`*^9, 
   3.840170501138228*^9, 3.84017145721957*^9, 3.8401724438758907`*^9, 
   3.8401734292438326`*^9, 3.840173502135185*^9, 3.840178202692133*^9, 
   3.8401784253238645`*^9, {3.8401785237091107`*^9, 3.8401785987046556`*^9}, {
   3.840178635691044*^9, 3.840178676128194*^9}, {3.840178726924519*^9, 
   3.8401787545861425`*^9}, 3.8401790308507233`*^9, 3.840179074708629*^9, 
   3.8401791609137573`*^9, 3.840179214687468*^9, 3.840179285101766*^9, 
   3.840179323104151*^9, 3.840182818511125*^9, {3.8401828879303465`*^9, 
   3.8401829052442117`*^9}, {3.8401829440605383`*^9, 
   3.8401830190746737`*^9}, {3.840183114640941*^9, 3.840183135255282*^9}, {
   3.840183191248704*^9, 3.8401832637110043`*^9}, 3.8402420353559694`*^9, 
   3.840242718144588*^9, 3.840243231914852*^9, 3.8402508029803023`*^9, 
   3.8402509693306465`*^9, 3.840345114136707*^9},
 CellLabel->
  "During evaluation of \
In[106]:=",ExpressionUUID->"eb7d64fe-72ec-4186-9816-cc2ff00e8fcf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas: \"\>", "\[InvisibleSpace]", 
   "2.1409399422844948`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas: ", 2.1409399422844948`*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795506435838336*^9, 3.840169170990003*^9, 3.840169264885152*^9, {
   3.840170061935793*^9, 3.840170080838238*^9}, 3.8401702056363535`*^9, 
   3.840170501138228*^9, 3.84017145721957*^9, 3.8401724438758907`*^9, 
   3.8401734292438326`*^9, 3.840173502135185*^9, 3.840178202692133*^9, 
   3.8401784253238645`*^9, {3.8401785237091107`*^9, 3.8401785987046556`*^9}, {
   3.840178635691044*^9, 3.840178676128194*^9}, {3.840178726924519*^9, 
   3.8401787545861425`*^9}, 3.8401790308507233`*^9, 3.840179074708629*^9, 
   3.8401791609137573`*^9, 3.840179214687468*^9, 3.840179285101766*^9, 
   3.840179323104151*^9, 3.840182818511125*^9, {3.8401828879303465`*^9, 
   3.8401829052442117`*^9}, {3.8401829440605383`*^9, 
   3.8401830190746737`*^9}, {3.840183114640941*^9, 3.840183135255282*^9}, {
   3.840183191248704*^9, 3.8401832637110043`*^9}, 3.8402420353559694`*^9, 
   3.840242718144588*^9, 3.840243231914852*^9, 3.8402508029803023`*^9, 
   3.8402509693306465`*^9, 3.840345114136707*^9},
 CellLabel->
  "During evaluation of \
In[106]:=",ExpressionUUID->"1ffff5a6-0021-4b0c-87b6-a7525be9518a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density: \"\>", "\[InvisibleSpace]", 
   "6.669157032599572`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm["Peak density: ", 6.669157032599572*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.795506435838336*^9, 3.840169170990003*^9, 3.840169264885152*^9, {
   3.840170061935793*^9, 3.840170080838238*^9}, 3.8401702056363535`*^9, 
   3.840170501138228*^9, 3.84017145721957*^9, 3.8401724438758907`*^9, 
   3.8401734292438326`*^9, 3.840173502135185*^9, 3.840178202692133*^9, 
   3.8401784253238645`*^9, {3.8401785237091107`*^9, 3.8401785987046556`*^9}, {
   3.840178635691044*^9, 3.840178676128194*^9}, {3.840178726924519*^9, 
   3.8401787545861425`*^9}, 3.8401790308507233`*^9, 3.840179074708629*^9, 
   3.8401791609137573`*^9, 3.840179214687468*^9, 3.840179285101766*^9, 
   3.840179323104151*^9, 3.840182818511125*^9, {3.8401828879303465`*^9, 
   3.8401829052442117`*^9}, {3.8401829440605383`*^9, 
   3.8401830190746737`*^9}, {3.840183114640941*^9, 3.840183135255282*^9}, {
   3.840183191248704*^9, 3.8401832637110043`*^9}, 3.8402420353559694`*^9, 
   3.840242718144588*^9, 3.840243231914852*^9, 3.8402508029803023`*^9, 
   3.8402509693306465`*^9, 3.840345114136707*^9},
 CellLabel->
  "During evaluation of \
In[106]:=",ExpressionUUID->"31d304b8-f500-437d-a942-a1e9e7b96bbd"],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxN1nk0FNz/B/CZyZpoZohU9iR7m0rkc6mULZSyZS1rCFl6SkiWSEQTES3I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                "]]},
              Annotation[#, "Charting`Private`Tag$884345373#1"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"BEC\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    "}"}], ",", 
                  RowBox[{"{", #, "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along X (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"BEC profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxN1nk0FNz/B/CZyZpoZohU9iR7m0rkc6mULZSyZS1rCFl6SkiWSEQTES3I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                 "]]}, "Charting`Private`Tag$884345373#1"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along X (\[Micro]m)", FontSize -> 16], 
               "BEC profile"}}, FrameStyle -> Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]]}, {"BEC"}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {193.5, -192.}, {Center, Center}, {360., 360.}], 
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxF2Gk0VV0fAHDz7OLeo0QhQpoMJYr676QoEYXwqCSpTJWUNBCPeSxFSGk0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                "]]},
              Annotation[#, "Charting`Private`Tag$884347295#1"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"BEC\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    "}"}], ",", 
                  RowBox[{"{", #, "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along Y (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"BEC profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-7.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxF2Gk0VV0fAHDz7OLeo0QhQpoMJYr676QoEYXwqCSpTJWUNBCPeSxFSGk0
T6WIcExJiMg8D9eUebjI+N53rfe953w567fW/rD3f1r7nM1W105dYmFiYnJg
ZmL67/ti+qOJtbX1hUz/e7AlUVn1ZcKlR99b3F4gLNuZ82N0kvAfvr63LT2E
r9uqmGaWEHaTaS208SUc/Vw67CeJcGyX3zVD7nUMr/t1+qS8sDDD5QantSpl
MIZ15GWcpaUoDO9Ps4irUSAzvBhgQ1GWF2KYNv8u/JycIHEeqbA9BQ4khtXZ
3TO3W/Mx/BSpqh56wMPwxRjT/j+xXAzXxItzM0dzMCzOl6GEZ7ExzCM5UDOc
xMKwvZF3ZEICE8OWJV2V4mEr+P8tdWDV8JvHX4YTr2T2fM2iMWw788EiMHqK
4ai9U+qXAwiXuyqKHb5LWIYpvWXRjHA3X4qJ7QbCxrJxBsciJxn2+LjHn7Rj
guFOtUztMl7CGrgSh9vIOMNzlbv+HUsibN+/9UGVPGFTkU03AuTGGN7lxm7G
IT3CsGjur2dDbITZ5543Vgz8YbjdQdkoNIlwwNnzJ0WUCQ9q5BzZdmiY4bo7
Xl580oQLPp0sGWcjHLFjAGWWDzGstZGioWFA+NWSvbL++UGGg1TVbigeIuxy
kzWDLE1YfyRqZ9PAAMMrrWVbLR0JD60Lu6xpQLj+1Nm4LcqEUypmpIdp/Qyb
50pKOD0gfHRu5KzRecJKytkxew8R3ujo2SYiTZgrSU90iY3wbL+IWccAleGu
zdRneDkVj268yWX16y1UnE1vfJ1ExWNZk1WmmbMhK+qusFcQFWf9eNGOn78Y
3jQcMbJxpOJVVXpxixHlECwk9ETHgIrT1navXtpUA9b+8YL8GBWv2L00KMPf
CBTXet6I53349pqHF6PsemBh7a/QxN0+nLl6QPOoRB90+kiI6Jj34afCls0y
q6lQwn9E/PW+Plxgt4a8k+sAJDy13bIo0of3h8caRCQOQojYo22nF3rxcarW
Ynv2ENx881kxpakXbyheWa9TNAwHM5gOnIvoxQ+kGSadKBuBLaqyh7Nv9eKJ
zSYxR4tHgbtA95igcS9eXXl4RSZ3DOorI4yLKb14awIvp8nLCbg6uMNR9nEP
nrHzIn/PyynQdzzl7H69Bw/dK6G8XmAa9tBc7jaf7MHLKIvczG7TsMpS4hNA
6sHfNu81NDCdgafiZrHjgd34O92pDw+ZaeCWzPPagb8Lv/ThqL2W+gIcyzFO
lajqxJdj9oSzvVkA7PurnNqATtzz24zdItdfSOzdW6fC1YmfCVV4M9j0F5wn
PToHyzrwIh2LQwJoEQ6uVv2J8u7Ao2/n8v9MWARuPpF5Xa0OPP/CTrl95CWo
33CRdZWlAx9tiEm1u78EsXJpAhlF7bhYU8rLrrElsFX5K2b1sB3f8OyNh7X7
MqwZhO4pW2nDHZmS9yy9W4Ftfl8vhSy04ifBgBy0sAa0cA4nlN2KN0dg9y5r
M6HCt4Zu07da8UkR0XsFYUzIGB+MMJlpwV9N5y6PyDOjh3OUcvHxZvxmd/uw
hRkLarK235be14hHqJwMNf7Mhgo6DFSz4hrx1WWT0uVFNhRnoqKVf7URDw4W
8D6P2JGzzurZyokG/GUfKVWjgh0J7nj0eHCpHqfYc2dEtnCg+XfOL8cL6vFW
H/1/zm/kRJ2bzJJpHvV4WN6VqORznChFQOobK1c9znq8pjanhxM98eOo46n8
jTee+qvnKMWF7jKPdAqF/MZbmzMtg6240LGZzAUJ7DfusxjqJ93OhRTtI9nl
murwjCfsN2cEuZFI/33yrug6fOXZ86uSR7jRQOORHRqSdbjtJx3x6GRu5Jnb
dN50Ry3+UndA7NgNHnSLdT54s381rqBXJeHaw4u0aHi8gkA1jneGjW3k50Pk
Qb+iA+E/cVpGoRFS40NpFaI0s9dVeBBvdxgpmA8NPD5oEZZTgavGXdNmV+JH
ppI+21j/lOG3a/0vgDUJudzdFvIjvADvnPPLjTouiPTHJxvT4/LxsUUt5klz
QSRrlS0RkZ2HyyjLICk7QdRwTOuDVUsuziFN8RQLFES7N5yrX9qYjUfyiGy4
/EMQdV6TVrHQSccLYSkxDIRQ8JmMsq22qXj1Bg2VYj0hpAEHTGmByXiBBvPW
2n+EUDTpzL2QmnicTZtPMsRFCJmkBhQVmrzC031WzgakCqFfKeJdRqds8C7B
ZOU8ChmxXdCV9DusDz7vq0+wS5JR4q43Lny5TtBd8jPhxA4y6mi5mv5a3w90
6tllvLTIyCVdT3dU5DmQVDSCIm+SkVY0RAm5pcBB9TOctlVkFP7xI+cRizQY
STZMZW8io5v9ZHWNTRng2Mv0wLuHjEpXvBOvLX2AtEbVSaU5MrLZZe/TmP0Z
7v/V9UbiFJQUqobeKebDxthKG+2rFMRWGpvHuacAllUHRSedKOj8Asc+O1Uc
WGZG4lzvU1BAxh+RDbGF8Pxp6meFUAo6uCFHqPt9MfjjatnbMinILnO05rFc
CRRQ83Z3fKWgSD3JkMOJJdCwvjLArZSCpj18eeJTSsHo0Du5qw0UFPfHmNUx
swxc82pEGmgU9NvLv0hC5TvkZmSKvF+hICaJfPfarO9g8wZXPsOOIfPTW5b3
5JbDhOP3gQsYhgTypmeXCiugak4skayEoTvBoQP+1dUwyvbacdQaQ+/lSt6p
G9RAjsw/XX22GKormrMaq62BLZ0xigXXMbRuKe1agu0vaPK/FSd2H0PXFdaN
8jrWwp70cfV7jzHks6xQSU2rhflPBvyBERh68eNYUv5ELTS0/5Zye46hiosP
rly7UQcchyVOkN5jSCaSSq1z/g1t/Fd/dmVhSOPSakny59/gqXmggfwVQ6eU
Rd56zf0G69QLzvI4hh5W6V7Ye6ce1sRv+DN/x1BE1CUkkFMP93t+cJZUYCjV
xl1i6G89wCn9XVeqMdTKlNkRda8BSJVFXmcbMDT5syrPKa8ByOZy+anNGOJ8
PvBcd6UB9r59n9bThqE9KqLmK26NoO7T/3O2B0MhVz0aLT2b4MFfd+fyUQz5
VTJ/phY0QWj/X1XSBIY8d3o+ubLUBHz9v++oT2HIZcrT4LpzM9g5hT48QcOQ
02lWhdmMZsjMt9FXnMeQ/ed/+e+MNQNzpH/80gKGLF29KtxtWsDieRz3sWV6
vtrYElnftgDXthcbKlcwZHTA29e3qwVUyM3Fe9YwpB/LbsO7sRWSo5q4fJiE
kQ6zj1aoaStktG2cKGAWRpoX6Z0a3gqVP+Rdu1iEkcY3H+Znta3QLOuRNMgq
jPbKcXaLktpgLSjOp4lNGCn5+xa8PN4Gp23FhdLZhdGOEc4XUr5tEMPsqOfI
IYxk9fzuxZW0AddVMRDmFEaS6Vzm25jaQTc4dfgt3aJC/mppGu2wuDPFQJRL
GGE3udcru7YDtSvW5Q7dpAZ/2ufP7VDMS7YqoJtLlad+33Q7cN/ReDZBN0tU
wMf8XR0g4FRfwMMtjJYXeR4fsuuAxv7FZH665ywCr32L7wCS45TFAn39ZAGv
/jFqB5S6LNZU0D0iGbTjp2Qn/DpqxupN94AnH6/h2U6ImzKkydLdTQ0aro/q
hBEr+XcZ9P22HuUvN23sBBVzGZIU3fUJwXHt5C7QtA1Sukc/bzUPydvyZBfw
LL3ny6PHo9w+5CI1sAuktHNfUOnxKq4maV4p7wLjc+S+WXo8z0VqC95m6QYj
6YXWUXq8//nhu5Yt2Q0P9bL+raLnw3Tx+/jfg93w5nJk2xN6vk5b6Px8cK8b
RPMWH7fQ82sQ7JeHR3WDsMK6sTP0/OsXlCczf+mGDtagyfxFDOlIHgvwnu2G
z+fKhhG9fo4Y+rt+J9PvQbk72s/S60vT88cVbqUeSJNRum41Q+8f6jHtYIce
EBmxvC1Fr899wgF7awJ7oPjLnv4Oev3uPVohI5TUA+x358cf/sGQYsJxtvAB
+vq6t1UP+jG0syVgppGtF07c1njR1IuhbTyVvSLSvdC8VYplQzeGttjrFsWc
74Wtw+qep1oxtPlFYEbng14YipGJPt6EIfHqyljJmF74lvIdttVjSETxhNu7
5l7w1Uzc+eonhvhnT6inGPZB2Ks2JQd6Pwu2Kl90ceqDlDTnIyb0fscKRQI1
n/RB3ZF2T6lsDIkGUVub6/tAtaHzlHUahrZuuX+X3ZQK6y5c3hVEnyfbeaze
/LpDhbCPUi7B9Hmza1K74nkUFdTCzaJu0OeRSh5FVLmNCmc2yWr2+tDjZZSc
c+5cP/Bg43zW9Hl2ZP/jHnn3ftBsVeK+Z/vfeLtw02L74XDhQIgzfR6eHNU0
C+zpBz7VTyQBUwxZeLUuZFsPQJ1gaHn3AQzd/sStJmQ3CAtG/zqOs2LINXri
fHvgIMjoipjIL1PQ/YcNvvEpg3DcvVfu6CwF/XviddOB8UF4LXnNSoZKQY+o
ai62N4ag+QN5w/tiCkrGrmSVuAxDafHrQ9OuFJS2qNcZEjkMmFCDoMF1CvrY
vZvDPGcYFCROPwixoaAvKWvGk4vDUNOcXp1yioLKtJ7RNrr9Aab1qVn28hTU
7Vy257bXCAhrOeRTf5FRezm7aMK7Efj5pK3X5RsZNW88stZSOgI9XGumIzlk
9Ku05McB9lG4P6Hb4fSGjAqxonPsPqOg9cS7htmJjGI/ffV76jsG+nFCMiW8
ZBTNteRQFj8GtsPhHo6rQijCYv/phe9jsPDqc+f8pBAKYcvZZME1DlXfLn15
2yCE3IyyPkr7j4P72LocsxdC6NxsRvvHgAlYlxh0jV9WCJnrTBZRkybALtDF
wG2dEDKOUYhfVzkBHG7jCT84hJCsVJNaPvsk9L+x7BwfEETiFcasm49Ogk9C
+g6H94KIJHo6cqhsErhpkv2cYoJoPEev2KV8CrbIH+z41MmPZLi/O99rmoJR
/c6vGV/4kYUpknMfmAK5gad/dMP4UcWccpAP2zTwqbveM9fiR+93i5iEo2k4
+afzUMZbPmSR2jv88cs0lN3YsnFFjxc9Wf4nJuv7NHQLXOk6tJkXVeg26Oc2
TkOdtyaTwCwPUvvzPbNodhrOnTd8qRHJgyhyqQ9+Kc7ASPkhmfxWblTxykVo
PGEGKmMMb+SZcCHmycmSqewZSPILTUyW5kJqYHubVjYDV59G3V+a4ERxHRZt
y9QZyN0/HZ3uw4k8RDXf826eBdey7QZ8KRxI7SnfPvmoWeAssjyb8psNXevz
HtmRMAsKft+msHD6fVl57YVi9ix0T8kUJRizIax2ikWtYRaWNovmaNWzogn+
pqqjQjRY6R+InyxjQbJnDdyPS9JA+6BKmrEHC7JI+aGkr0CDgxxyqHI/C6o4
nhdhrEeDC0qX0luTmBFztMoxMwsaYLfGuh0uMCO14bQlCzsaLAw9Osq2nhnF
+b62tPanAcnng8lOdyZk+cEhPSWKBr+97WxI25mQaNu+1dlEGvBLpl3k9F+D
kF11z70raGDp3Gy8MLgCtxtYmuJ458A96pXnteBFOCptrTccPAe1ZQE4NXQG
mPQUY5RezoGxu4BvVPI05N5e/uOaNgcKV2/4J5RNwa6Kp348NXOw741Y86M5
et3d+FayXXAeio/HV9mVDMGv6MdkZ8l58L/wyuvb3AAElJ69kKc4D5tObb/y
als/rK6fWz1hOA/1k/f5C5/2wECB7H7HsHnwvcAUPzBVD6+Gpv2y3syDRsnD
+iMOtWBOxptWP86DTci3xx6tlYBpBMpql8yD0cxP63BqKVRfOnMr9Pc8eMGd
FfOZr+AXKl3a1DcPrKraU4W2KaCZM0GWnJ0HqzL1mFVJK1ju/XrhCtsC/P/7
O4vPLyMDI3x9r9HawhbC2ywl9Q+pEH6Z+WWk1piwj/mw7EwEYeT1+ZZ6POHF
VI/Sf7MJOzKLWmHNhE0Sjr9Q2fCXYZm5ZMqd54RFvhlKJScR5nk6r9iZQ3hS
6bC+VjPhPIdWP0HhRYaN+rlWE0IIe9ZfGmrxWGK486NEvvqVFYaNn3X7jTxi
Qozzvg/KPxHBwjDbPw5j7K5sDFdbJsaf8uJg+DO/6Nl5ey6GZaM3D3Ge4GF4
8bbXSvJpPoZHFsVICWokhl9d9q0XkxZk+NGhqqANMkIMk64la5YIkxku0PqS
nyVKYXjF4fxeExLGMDNnXdT2FcJ7dZyKjzOtI/bTnjIkPE1Yy778kd4c4eCl
PjXvRcKSomL+syzrGdY+4y//m0L4ae0l20cqhHeViY/yuBK+Y7z/qeYDwkVU
Y427HoSNWIODhv0J30NLO8qjCZfnNjl45xEmH58Rzi8kbNFCKpgtJTwxf4Rk
/ZPwOpVPaZqdhC1La0zu9hJOPD2y+mGAsIaT1MnNE4R9mA/Om84Q/vXILPbR
PGFRyVva5UuE//f/muH/AFq+SF8=
                 "]]}, "Charting`Private`Tag$884347295#1"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {0, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along Y (\[Micro]m)", FontSize -> 16], 
               "BEC profile"}}, FrameStyle -> Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]]}, {"BEC"}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {580.5, -192.}, {Center, Center}, {360., 360.}], 
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxN0Xk01PsbB/CxxCDMjDVbl3DLnoRu9Hws5SKlpEybdfyoqISyFVKyVriS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                "]]},
              Annotation[#, "Charting`Private`Tag$884349556#1"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"BEC\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    "}"}], ",", 
                  RowBox[{"{", #, "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along Z (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"BEC profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {17., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {19., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxN0Xk01PsbB/CxxCDMjDVbl3DLnoRu9Hws5SKlpEybdfyoqISyFVKyVriS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                 "]]}, "Charting`Private`Tag$884349556#1"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along Z (\[Micro]m)", FontSize -> 16], 
               "BEC profile"}}, FrameStyle -> Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]]}, {"BEC"}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {967.5, -192.}, {Center, Center}, {360., 360.}]}, {
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF13k0Vd37APB77my8JUMaiHAzv8lQUfuhUqYo85CiTBGZK8pQUmgwlAgZ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                "]]},
              Annotation[#, "Charting`Private`Tag$884350992#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJwVl3c4Ff4Xx93r4ppXMtIgkmsLFxk5h0olo6LMBmVviooySiUS2UJGIVFI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                "]]},
              Annotation[#, "Charting`Private`Tag$884350992#2"]& ], 
             TagBox[
              {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nc0F94bB3CE+Bh97JW9ZY+yn4dvVHZJZCskqzKSUWZDJCSEksiKjGSn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                "]]},
              Annotation[#, "Charting`Private`Tag$884350992#3"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along X (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {25., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {17., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {19., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {21., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {22., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {23., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {24., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {26., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {27., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {28., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {29., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJxF13k0Vd37APB77my8JUMaiHAzv8lQUfuhUqYo85CiTBGZK8pQUmgwlAgZ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                 "]]}, "Charting`Private`Tag$884350992#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJwVl3c4Ff4Xx93r4ppXMtIgkmsLFxk5h0olo6LMBmVviooySiUS2UJGIVFI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                 "]]}, "Charting`Private`Tag$884350992#2"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJwV1nc0F94bB3CE+Bh97JW9ZY+yn4dvVHZJZCskqzKSUWZDJCSEksiKjGSn
7FDIykpCSkaUVUa/z++ve17nfc69z7nnuUPwzIUTLhRkZGRp5GRk/x+N+2IL
F95nacuG+ssqniWg3ym2GCqLMDCbjJhQItmaXPPnl5PxoKh9Z0mV5CDLRU6d
0FQY/HfPXofk96dMBXtPPgbBufuyxiRPkEtU/jufA8HWCfa2JC8VkRnKheZD
tVrUkjfJu5Yjn+2TikB322MiiuSb5KfV20+WAl28nuwjkomWrZQODuXgEMAw
UUtyapFCz/r5CiCrf704SrIAxaMHcX6VYPLN0m6X5HxLgrNYaDX4sX+QFnUm
oHzxZdmG6FpwWBS1NSW5mmJ60yKpHmxizeZDSJ4Z+tTWdPIN8N5kkJwiOZ+c
tYjRuhFsphI+crkQ0FPaIMHaoQmOk/d+PUnyanilza/zLRDibCU4SHJ10QJq
X2iFx6vxJtyuBAz5KCR2268NApodxs6QTClzd1kw9C1oZaew7JL81rJ10Cuq
A7aV5hvMzhEwNmKrtia6E1pZCjtySWYdPnf9eNI7WKxS27F1I2CijsCdNyd7
4XShytjKedL6p+pCXT/2wtiRkDAHdwKe8jzlQ2/9AdhnG6N6SeZOibW0cuiD
YQG6wnoPAj5Z2BRcPj8ApzybXF55keqhSGJNXhgAYUkFcn1vArpyyO3VvDAI
N2tZtz6QLKXrsnDTbwjEkxZoVy8QsDzlQyV/6DDYXMpOcPQh1VfsWdBKPgL7
h8P4KH0JeLlpb4ZH1Ah0SR+gfUay+qJWeFX0KDB0R29Q+BOwSbfQ0DRpHEbO
dKmMBRBw7rLOxdcnJ6GwqV5Q5hoB+2jXGRPSJ8H1lsdPzlAC1mcUFp+ZmgTt
cMpSmjACxjWxzFNd/AK6T6xoV8MJqMg462IUMwUVdXycf6+T+u/pbZuRxhlw
CqoIa44j4FlV+FtI8xUmDBzOL90loFHX79QQ06+gn6Sqy5tAQL4V2yH+T1+h
27Ks+cY9AjZryh133ZyFC05KZNGpBKQf6Nf/LTsHIiVCCgbZBFxzvfW1xX8O
LqQeoazIIfXzH82o5Po52PTWbBHMJWApf26jmsEP4ODNp6UtIKCFxxXNMJd5
oM6fzqYuIeAjCl5FhoxFoM2pnXhVR+pfzhdx9yhX4G/NuXvcw6T9/eWcny26
Ai8cafm+jJDOzzv2phf6K8D26CDDszECUoQHrfXfWoGXNgqcxz6T+nFOx5aV
4Rc83goaKZ4loE5tr+R9tt/wk8q7m2udgD9sllqSxdagW6A8IZCDDikPPp7I
PbIGJ4NyxIu46JCfeGKz0m0NZPokuKZ46PBky8sDHwvX4CBdAYOVAB02SF9N
5JBbBzeeGiVPSTpM3KFzTD20AabLAtIqmnSokSm59eDoH7AcMLp8xJkOu6ny
6CnP/wEXrZ9lH13p0NFThM87+g+Us1rzepynwxtq/Dq6nX9AkU4sIt2bDnv7
WW/+MPwLI4e7AoUC6dCZhoxFw3QLZBrvfngbR4exl4akxi12IOp47F2/ejpc
ytKRuVtGhrWZ+08qCtKjHof1Z+FmMqR7/c5sQIQeM2J9EqoHyPDPmRs/AyXo
0TAge+3LBhkeFntP7JWjx3wjqgZlbXJ0743py9Omx7Mbb01GO8nx/nHRXko7
ehw2MrsoOkOBwe8LIi5m0GPjhv2LOnYqHMpUvDEvyoCeKtkEEXEqTD/m3C8s
xYDsvt+cYg9R4QCDvriDLAO6L10g2llRYWBD/+TEQQZk/RrmtfuACtnoOGIo
jjKga98TcR1ealwSpNQYdWdAQvFsepvwXqwSvT/fVs6AJ894R32Qp0XG4GtX
fQ0Z0c1s6dmHJwzY42hP5vxqH9qy++TrVzBgYElLX0DzPjQbX8upa2VAxrpf
z+M69qGa287Dp98ZsI2GI7x1cB8SwujjA2UZUWw6ytdyaR8Wl0j5CdYyIs/S
xjQVkYi/GM9pXvqwD5c87X581CXi7MAP1dmpfRjaLhnPpE/EsTRvFZvVffjr
jEGR0TEinmHRSHlCR8RRtWd67aZENMjUjY+VJeLlyKGf722JuL/qeISjHxE7
ZPOqBQKI2DB7wZWGjAnvquZ3DhcRcar4SJU0DRMKyL0opyolIpU/P81xIhPS
ndbuV3pBRKM9PQUPBJgw20a3/l4NaX1+2UUpHZL714TOtBFxd5ZK2/QYE8bJ
bTandhBR6PmnON/jTFj983ha7zsiumveka93YsIJZf+v//UTcdNqwdc4ggn/
jVr+UJ0k1SfQ0nLpNhNKqP+WCpwmIn5LZ0tOZEIO58qHtbNEdH7u61qbxoTf
19R1d+aIeNPfsGriCRNuuHNz6iwSsVBTmGbPMyZ0FVziu7FMxO49W1biL5hQ
0KD0+Z2DpP3s7CswrGNC7cfNZDwl+5A9sfDvhWYmnBkTZKkS2YfqpyMMk7qY
sNVpKfVdOSPaCVhnVPczoeb3JzrrpowY9k1hcXyMCcMydQ0ebjBgznNabfIZ
Jnzres6LJ48B3/p/iRNdYEIRpUmq17YMuKBZ8/nYKhO+r5j4ac/BgEpdbuGJ
lMxo9IKN4lIqPZ5KxL5Kema8eXCEtZ3U30GnOYXHWJnRco7g0ipKj03f2luE
RZlJ54NiLZZ0vswoxWle6jHjocF25Wv/SO99167ViDEzBjuKbff0k+6rxKGC
HQtm3KB04LAi3W+fBW4Y6rsyowV3bWSFJQG9tb7GfbzBjJ4W5+7VvKbFRMpX
n7fimLEsMXiwOZ0WX3YlyQukMKNsr3HuzSu0uH36cJ9bHjP2qJ9lYlemxZjL
2Wx/25nRzp/Kw6ucBvNLnDL207LgdOhjroq2vdhvOdu4zMSCo59jBN/m78Xd
f+7fWrhZkGpGIfBYzF40N/NT9JJmQbPzW8FRx0n58o23r0xZkFE7LDtoihrN
FYtW7ZNZ8EMCmd4CCzVeG5XnVspkwWKBFD+nLSrMj3gJe/NZUJ5us5lzmgp3
+xpul9Sw4LxAzLL+C1Lu+0GA7BMLRtBfLfU/Rcor1o2yhFlRpKLB9GcuJUrY
Bfv4S7Pi/vLx4NEESjSnIks9psKK6kNzIr9DKDHfgnZ6RZ8Vh82N9QvMSfk6
T6CuOyv+J/FunLiHlB/SeTpdyooahfW1wuf3oHltzI6oNhvGR3N94jChwHz9
3LWz+mw4+FfrzxVtCtzue7OYZcKGZHXy0iuyFJgzv/aJ14EN01IpckWJFLi6
37GBLYwNvZ4c+ZXcT47JocqhVE1sSO69xu9oT47Dhz+RfdVjR4s+F+/NcDKU
/rCxKWTCjkX1+6ma/cgwzI55xfEUOwoMBWU/PEeGEpePfBl3Zce0w0UWEcZk
GJhX1jhwkx1vnXtvSMVNhtyEGxEtHexYcVF+7onHP7DrkaXMMeZAsxmfYe2f
O9CrrRlUbcGB9yXdNJqHd0D3+bHld3Yc6C/a0mnftANid5zH17w4MFzoT+Xo
/R1YMkirOBLHgdMj3lOTWjsQ1kblMt/NgVcTQuzIE7fhyavxVkUzTqySCNG6
fmwLvj27fbPxBBfiz1iy+KVNcNw+3HfdhgvD5aQP6o5twqjRv/0GzlxoYfXX
nPrtJrxb9C3v8+fCXVvP0easTSiVs/s0ncqFtQN8wkynNiHohZwS9WcunNRI
ZJ5o3AD6uoEJAw9uTD3sq5v2dB0UO/kODkTyoIv+WSn2B6swuOttThHLg+US
JyLTbq/CFaXXF+WTePCQ/By5VMgqvMpweBabw4NfLpuBu8MqHL3wWECvlQeJ
w9/dvcVWwY5ViK6Sej+W0IWbBFf+hlv2opMp0fux+8qH6dMTv+DTrwO3be7y
YuLR3y1bBitwg0YyRC2VF0NaaeRWtVZAnk/MmyOLFx9Rfulal1+BqGMCJ/rL
eXH+TrI/N8cKSD1m5TYc4sU+5jGf0elluGK8U6DOy4dakdYpyqHLwJLf3cH1
jA99JSedBIN+wjG7S7TDbfzIdMzLgTtvAYinnAJje/gRA6wKtxMWYNjk+BwO
8+PnvNjEpZAFcEOFjoI5fjxCFKMmN1+A5oQrLVrUApiRIcrw+d88TPmpRu2T
FMBbra5ufrbzwK9RveeFtwCqEr6uFwv8gLT2Koq/fwTQJu6/7Y9934C58q8w
7a4ALrmtHfZp+gYxOVp6nBSC+FFYP5+j/BuEhDffPEgQRMGgsUeRCd/AQaOH
3peblAfJen82+0b6t82yL6gLooHjmcbMD7NQnMx2YCJYEEkX1H7Gsa/wxsXX
vGlHEPdsGwrvo5+B+hZ6B0kKIexo1FYn7ExDtXCuezy1EH4JaThCXJqG0i/D
4fb7hPCy4x4xrd5pyLLTLv0rIIRjxsmMXPenIcKClkHpsBAufT2c2ScwDf/p
ZbZl3xbC0YMiBew4BW0iXWrXOYTRQ+y6wJGMSfjoXyKbxSOMvEFpwQ/iJ+F7
2z3hV/zCmEUz/P531CQQztsyrIkL41JvjO4br0kwLl6cdFYVRrOy1eEqmIQB
FeKtw6eF8Tuflql652f4om8xtCddGHe1z1KreUzAtttnnwg+EcxPW06oGh6D
eCnuE+tCImioGO7i3DwGogsnFdzFRTBs7CST4PMxMLnQ+fO4vAgO6j5s6Ygc
g0z/l56CuiJodv2Cw0e5MdCNiHF94yKCw0oKJSO3R+Fm+iHr3SIR9DrNli9r
NALM3Xd1gjREkebvw86+P0NwkLzFYQREkX+ei8fv+xCcVt68qnpYFJ1o3igJ
fRyCx2mOtetGolhgPvEgp2IIZM4pKPnai6Iq3R4dnYtDcJSsX8QzXBQJR7sN
++YG4ZoiO419uyhO2Qsyc8wOwFxyRreOuRjW/SlktCXvB6F6niELSzFslDbw
nfndB9Zf0j6dtxFDFsZA2cuzfdB54MFCwlkxlKcgxr/s6oPCN/cJU75i2Kzf
YJGd3AfuP+L0I5LE0NnqeI6KbB8saIU3NA2K4TEezVE65w/wc8bl+X9W4rhb
EpRwta8HCoM0HpfYiqOCfNHSek0PuBKZEnmcxLFuTmguIqsHJjTq/X+fF8fu
ysCwvos98C6RWSs7WBxlW1daTIg9kI+vuygyxfGPDKdw6YluOJPBOdf4VRwz
XjrP1828gyHzLmH0lUCvfXzzqNEJuWPzu44BEvjgsIqvhUQnBJylHw0PliD9
t57cCGDrBE5f4/jmSAlsni+TmvnZAacTe7b1kyTQ2sDmnP3TDhjv7R80fimB
F8v3NXczd8CU8fhNmw0JjKdlL3LcaIfFI4vzl4MlsXHvPVe3r61gpLOXOjJU
Ekt+s4j+GGyFInVBgbuRkkhOHz12ua0V3GUsTubFSKLpchFzWV4rfGd+Vf8x
XRIHqN3G8txbYepT7B3VekmM7t64lPqrBYZ9peX+bpPm91UMNCe0QEumh8/V
a1KoyFXvXWzZBHm045e/REihtBPnqYxjTXDb1yhY76YUTio38SdrNIHZEZko
hngp5HR+olbI3wRjS0v3H2ZJ4e3sw7nm3xvhl5ZPzasWKVS+GuqeE9wIAuNX
yHYJB7DAT2qNuvANBHPeiLuWcgC7dt2+Wh5tAB8/nZCU9AN44lFCeY1iA7j3
bp8vzTyALyPh0AHeBrC+5as3lXcA7yTPqGv9egWqm47betUHkDJ4c53n4StY
/ajhzjByAI+rDFbWrtWDd8qKXga3NIZE/+ehWF4HZ9jtdmoeSqOtyN13HRY1
8GnKe1DqiTQ2TO7tPqxbA1YlYcXpudKY5t/9X49sDZgczbG7WiKN/QsBtsw0
NaARNP+K1MzYwx+2ZlpXDawTgdfaZ6TRje1KyCORamh7mvxv4IAMar5f11el
qAJJlV7y5RoZfMyd0L46WwHKvmOcRg0yqJVC90T7YwVol83K5TfJ4IF7hg1J
7RVwQmbHzrGLlN91S3bJr4AgUana3nEZjNsqbEh1r4BOtiifsn8y6K7N3qe5
8gI81w9N++jJ4ragZYDm3hdQWpXZstYri0enZn0UT5ZBz7e1FupBWXzedXBC
5GgZLHEYtXKMyGImcZNZQLMMpK9stqp9kcXkyOOv5UXKIE/1ePvVFVk8LDl3
qXa1FB7VUHRSMcvhv76DjedTSiG2zqWHzVwOvXin/nK1lcC51wdGVQblkOyq
7qWDIsVAcBxueTQih6YVTecvMBZDEdn1kr0Tcug0f/9BzWYRLOtMRI3MyuFn
h1S38PdFENQSL3d1Uw6zmqmPfgoograZIN0pBnl0XqExqe15BiNzn1MkFeTx
1H6K+8UxhfDvd4FudYA88ivNMtUq5IP1q6fS7YHyaN7w9iKdYD5U3shiHwqW
x1mqE9znifngzfXgx+9QeUxyK5I49jMPxrVvJcrdksd5dk2l9OI8qI52ncpN
lceUSAmeUOk8uMQvHHG/Rh5D3zE50yjlwrRBRqPPljxG+P/o1HfKAer3rIYB
O/Lo1i4eUmSeA1KmdwaC/8njydHmTR79HLhofu1b1B4F/HHT6BDngRzYtnFk
SKFTQG0+OfLra9nA6iVyuo5HAVWiwu5LxmaD3t2i5T2aClhqL67k/eYJ5PXX
898PUUC7UYbxi/9lAX2c46PWawrouf08Z/+hLLh4lJJ3PUwBbdaf7umTygL1
V4bcltcVsNJj1uU0cxZ0546ycsUpYHmR+uzIl8ewGrhJ+zBTAa97CWqnRzwG
HQHl1ZwmBRy0Dr728X4mjHk+e1tBo4huD2bv+v3IAIPHq3WvCYqoaPQnIvxj
BtT2a5V00iviu7IuvoyWDEhV770/SVRElpVe8b+PMuAkzdoZei5FHFRZPmN1
MgO6s7V3zkoqYsd/PeVJjenQOPpBgcVAEYeyeL+3P02DvKObaZdiFLGcauUB
7b1UsKrwjMy/o4g5Ek+qJsNTgUbgi8fnu4rI+tZZuPViKrhvdGgaJyni/dSN
mpcmqSCbmz4h8VARQzRkq5TpUqFyDwhNPldE/Q8KxY9vpEBrw/UCkz5FlH9n
K/j9RjJMK7NUH+BSQs1z7FP0z5LgEZcMmxaPEmot8Zp8fJgE1rv6Pia8Stg0
9EbxWXwS9LYHSV8SVMLBYuVjFy4nQYP11ONKSSXsZrk9fU43CVLDyqJ11JXw
6t6zT1nH74HxO1MbSxsllKHlUJBmvwdVZ2N3Ix4qobJg+qep7ARQJxfeis5U
wtIP16sZHiRA/aOajfgsJdS75rQf4xKgaWR2+dFTJSxQz3Wru5IA3aY607XF
Ssi543aFziQBZjTW23+9UkKp9oRC+r/xwMTqmHBmQgkJntc/eVnGg0eLkogu
vzIGJH4ichnHgXzaGpu/oDImxydxn1KLg9ULVXvzhZWx0q56Mks0Dq7xaMwz
SChj7RttX5fdOxDvo1s+Iq+MUvuk3dNL70CFwHG8pKuMd1LWrldz3IGdEG/b
xy7KmFtPc89tOQbuqhQk7T5TRi5uu/P6HdFgH0XconuujHpcrnm/a6JBuj/A
iatUGe+Tc7k/K4yGzov6ssoVylgQbmWvHhsN1EXT7efrlVHE/a7koGk0XBPi
2xp4p4yrBW9SN4Zvgde+e07PFpVxmP1oYN2vm2A4FyJrJaeCf2Tzbz/XvQG2
F/fdTlBQwdZgiR/PlW+A50bW104lFeTWj7pTI3YD4qjaM7RUVXB/8P7QRcIN
6BVkohPWUcGWGC+pnv7rcMr66bfFEyp4/dS1DJ9z18Gp6/3jyMsqyB/owLcn
OQoCivlYSl6p4KFDRR35jJFgtijDOPFaBSuohWWV90SChIwWLUOTCvq/0S1p
34iA4SKbf+5tKigjdHqJ+ksEqBalzov1qKCYD2XZ1xcR8LeQueXRpArmTP79
wmcTAVfzqf3j9hxEvZ4jzRYl4RCZvTTkdewgZpKlZd/zCgPx8f0tHV0HMb4t
/bBZZQhoinJtC50+hGeWKK/g9yvwvdTXjuvTIbz6q+bK+xl/8PPefhhgr4oR
bNce3rb1hUua5pL9P1Rx42GG+AOKS0BtTDPR5aWGKbWHNtt1vGHzrudz1otq
aPLDI1JB0Rvm+3qv2fmoobKah8BTIW/otXrA//OyGpKLTV8q3OMNac5STsxh
akg2WPZEus0L5EKMZqwS1TDaR66HxtgLrJ7F//haqYY/Xi0ILjl5gsHSaq1s
jRr6XKgdiTH3BC2F0zEBdaT5FDRfK+p5glCVoDTtG9J8Keab6RKesNhU7iXd
oYYise2uYz89IGJ0YNlnTA1dB+ldacI8wI9XrbHukxrp/dMbUfHxgHOODxMo
J9Xw0aFQoqezBxjNuigmz6jhOzatsl9HPYD917pvzaIaGpxhpXVj9gAaFZvD
FMtq6D5gOTdK6QFbAa9ZDX+R6h2stD614Q6TOzdfjq+r4Wjty4+u4+7QjwvX
Rf+ooep/I0Nb3e7QFml2yntLDc9l8Js8aHSH6rYKsaodNewmWh6CCnd4Rsu1
8e+fGi58PhG7mOsO/wM7TXD5
                 "]]}, "Charting`Private`Tag$884350992#3"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along X (\[Micro]m)", FontSize -> 16], 
               "Thermal cloud profile"}}, FrameStyle -> 
            Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {193.5, -576.}, {Center, Center}, {360., 360.}], 
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF2nk0lF/cAPAZjBn7LkvZsiUhVLLdm8iaJSXKUpQWRLJvxa/sRNlJ9iVC
KWV9nmzJvm/Z90JZs/POe877mvlj5nzOnWfuvd97n7nf75nht7S/cpcMg8Eo
EJ/+99WqMOLvwYEIivm/B+sOl7DCLsm1lzJNXTZJFh4p/bGwRPJv2sn0gXGS
HR6eMS6uIdlHaBC1DiA5IfH4qxZ6kt+OBtobUAkfmr3dUO8Em9ChG/QNVZuE
BA+tcULI6bjA8UPLF5hmtUkKHHo72JpF+gT/odc3MqLNRfhI8xF4JVtlx3No
BdzT4pN3jh46Cp47d8Gb69BWScbTv99yHDri06xSVyzJVc0uMeUvSebai1IP
fUpyu1lH7ikLkpV5tR458JDMmaawsZ505NCXyhr1RqJIduo0yakPJbmdzM0k
1otkf6tP5XKmJK8JnnrmyU1yWzYPFTaB/dC3FlGs0yuSV6SttmeCSWatyp5v
9iTZuFuqNc6M5AnMxddS/CQ/uTQdks5JMkVowHN2ZpJFjjQ775KRbHvqmnHD
FNuh9xw39BWGSQ7/Gq9Z0EPyh4sj8lH1JKsEPZPBIyR3twqIe3wh+S5rneBi
Icn/TO4du5VDcsBbKvauFJI5pvPoL8WzoStuNEeyLSvBOzFdfGkkG3rtJTdy
OqYSKDgsHZwMZkN3oxInGBsrQfPnV5vJfmwoexn3jup+JTDfkV1m8mRD1ySK
/Vqlq8Azf/eJDRs2VN7sRONkUhVgaub++fAOGyrQ/fOZQ2cVSGOq6ho2ZUPH
4y9HXSUgoC6JrK7mMhvqSbVUK+iMAOrikOyXkmwo47HOIPcTKEjcPJVCJsqG
Kqn4n89QQ4G4cnucMx8bqnqa6dXubRTo/WANvsnEhtokk8NziSiIGn1jK7LK
ilrrRJT8ZPgGeGiLTiMlrKjjNbkRLrJq8GhKdOhlASvaGWAbPXK8GlRVpPrf
ymJFrURph4bUqoGZ3euf2BhWNORBoUtwcDVIanV5oerMipqwVUcUs9cAzkil
gR8yrGha0Q+ZUPlawMre9Ky7iAWNuFegMPaxHtz5c/FkZg4LeruV+nj2UD34
VF/R45zCglZ5XtD+RPkdGLoWiB2JYEHvjxYtpt38Dl71R3ab2LOg1Kl6XkOE
BsCQaCw6eooFLf26yc71+Aeg5ptp+/WOGZ37G0eV7NkMhpIITWNpzGjVhaU8
ioJm8J7zZH1fAjNqbjtcXj7WDPRZHCrqgplRJ8eAn0fVW0AM5XZO6kNmVPBN
kn/JkVYgsEjnZyLGjG5aKXZnNrQBhbIzsj9ymdAacb4YxZIOQHvOWBJNZUJl
8fZBY90dYKTYQ+xLPBNK80AtvXi1A/i9R/gyg5hQkzZ3mbnTnaAhRZPO9wET
anok61RkUSe4GmA2I3eCCX1Z1WvH/qUL2F59EZeTw4i20sxbvv7dA1L3y2TE
UhlRKXtnDka6XtCbs9SaF8+I9nDG3q6Q7AVw7yauMJgR/VH42SPDuRewZkk7
frZlRI1Zmy2/kveByo1R7WopRvQk1Y0zR0/0g6Nnnfe/PGZAP9yOfaKSMAj8
g8dkyy0ZUFH3I9fZawbB0oi2TZUhA2oV+c6Mb2EQ1AYI9NeeYUBD/aby+pR/
AruBtg8dW/SoM05Gc2DmJ6jyErs770uPzvXFdV+/MAxu1Yw28byiQ/WXJxTG
GceAutLm3WFfOpT8um7yvNgYkPjCiEl6TId2yUrMcKqNgd13F2Q5DejQyxvc
nyfcx0Dcq/QkFkY69FWhwvkT02Og/fY9O0I4LerlgajlVo+DC5i/9CtBNCj3
93vfHidMAlEPfG6ROw36bavqqXLpJGBc471o/4AGNex5ninTPwlGZvVdFzRo
0IvFnl9j2aeAR9vH0Rk8DVqnhFnTip4CH5Ndin6+oEaXnr7y8U6YBgJK+wZ1
vlRo2PlURca6WdDOpCQe70iFKqdfC6+fmQU+M56UdlZUaLNsBCaDMAcGX26V
sapRoSMSC2XdOnPg9cTa8TsEKjRWfe4dY98coAicXyd7SUCZ9BqnaFZ/gZnO
/niYhEcj8pkv9GsugKjsI06sYXj0qMYvw3cOC0DFy0h3zhuPPjaz5ciOXQDJ
Qt1kERZ4Yv/uQvwzC+C6W5vNqAAenQkkXON6sQgajtUr+eRSoumPk8flmv6A
3PvF4+UlONTxT5fc44ol0G35llc7C4eSjwqKeXYvAYxZiNlgNA6t7o3lTVlY
AkYGVgObTjg0ttRNT+HYMiCTZ+k4I4NDTXl/fP76dBncoHmCFhZSoMujFXrD
miuAukD6bXoOObpzxVHq7OoqeLj6wTQkAYs2FlTT87zZAPFnlxXuBWNRZ+k3
Od/LN0CDuxT3RQ8sut+u7Rw+uAGEMIUD2yZYlD392I8nHJtgjDbf6CEnFs0+
d0E5OXoTXBPO0teMw6CnsZU+btFbwPejbBC9+AHyJbH8qV3eDpDwwZlQHt9B
5gLpxV05MJCrrD12jmIHoZIZ51QQw0Dcv8TexpltRIHDfIBGEQOH7KSvvny3
jZiHT5Z1WWBgsJmFHof0NpL/Noh1LxsDZxVL1cQubCGXMrAuhfJYmLJjK61r
sYEUt2FwBg/IIIt7N01M4ioyKOeIGZqhgJsHW0x/PVYRS/WROzu7FHDEn5dD
48Yq0hjXYsrDgoM5UQ8FtzlWkSR9g3p/gIPKRRgl85gVZMufHlcUh4MPZsUf
CUcuIzbqNUeWNSmh7qMrTk8dlhFJzfL7oxaUUHbd1aNfbxnhKZFLKXOmhPtk
Nf7B9MsI/ETxUDKVEkbxmLz9E7KEtOFDML+2KKFHpk+mus0Sct6u92gwIx5a
iGfkpWgtIQ/qjt7fEsZDMfm/X65QLSFPWKeCOQzx0CePOtWO7i/Sy9DwiCsb
DzVLr73nbf6DXMXqBS+X4SHr95TSjuA/CHnmkRfnWvEwd+Js5xnCH+TyIFV6
/woeOi35jszWLyILv+pljlAQoPJ+8+/4F4uI9v3SVyGsBEhFy7GhrbqIMDys
bBUWJMBuTivyfbJF5KfsStOANAG+FSlgKPq2gCTiXQ0ISgT48MwWt+WzBeRk
ulTDH1kClL2oKsoKFpDbjB++8IsT4IH+S9n6vXlk94p82aoAATaaD0K3inlk
VFp/5DMnAUbZCl0W85xHaGKio74wEqCFh4PJ0Pl5ZNHI5tslAgGKBZbfDd/8
jajz2/wtxBDgejSlI/zyG0EyrqQob+Mhmm7gs+L8GwkqKStTWsfD4A9JwRmy
v5HMp5Ssm8t4eA2ZjTFa/YXo1KsfKV3CQ74W6XTCx1/Iu0WnkBZi++9B78Iy
h1+IGp2W93Pi9Z/nGsptJX8hyzofDaV28fDZP5YGnj9zyOzUEIcoJQFqU1h0
t+fPIc+Mgih/sBAgO/O7MT+bOUTbW/6hmxABjvOuL8iKzSHjIi37mQoEmH8K
bs3MzSL/3WyRib9LgK4KIbj47FmEX1NAIu4DAapo9jJpW88iu68V9+dwVJD2
Oj/PnuAsUjwu/OuyFRXsu2MrVjg5g8QMNN1pbqSCVcP650qyZpAxSsaRujPU
MMvojGrlgxmk67qD2418ahjWxmlQKz6DuFua49ukaKCTxr5Z099pRJLRSDa8
ngbe/DbxsPPjNDIoGpso8IQWqsh/dx1wnkbke8hC3kI6eKI47/mY3DQi4pHZ
a65GDxnFIyJnd6aQO2UOWXXtDHAjwyn5T9UU8lpqQl8tjwGOHDPJW/edQqKr
fTrUJelhXYzS113VKSTMZy/rjAQdzGcQqCMnTCHN230lNbdp4etAyk7qpknE
/O/UNu1nGuiBnR9hCp9EbneF1Xvw0EBLj7Z5DoNJpICnVa4sjhpqrhZv8rJO
IrRV0UkY4nylbONwIn0TyG+6Ot30BSrIMe3FLJEwgYxem9fMzKWCM71q4op8
EwgVqMxalKKCLXpi5y9OjiPMaixczNsE+KmB/pJW1jhinUxxSrWeAP3K+iyM
xceRzXgRCiNrAnwgU2Fr8XcM+S16xDLqPAHq56e4W38cQxh2zwbF0xMgT/KD
105yY4hC6o8q6ko8dCbfCOMPGkH2BUU0+Yn3q+o6ki3JMII4aVrF7WPxkHk2
8JtS9DCiZSsxf26EEo71G/zU5h5GGvq8RQvKKGFBI9e6SeoQsis/FzX1ihJ6
VUzS3xcZQrqfR2PSrSihVkG+qMv7n8hlBy4ryjOUcCZS2fRV6SDyQP5JwfQA
Dn76D++SAgaRJw8aFp+8x0E/5/aXBXUDyD8/S0KzLw7ymljWNHb0I1f07rSs
i+OgMZ+/GPnvXkRLhMGxK4wCCjPrqTI59CLNCVcaTO5TwDVyDnPefz2Ig9fa
SvdFChg5mxupQNaD6Kq/j/u6Rw5vDTjmaQZ2I60tOhSiQ+RQokmh7jp9N7Lj
ZX0uoZwc7lZQjN6N6kIindKNmZPIYWNBy+YTri4k3IWr2tuHHMalxDD7pXQi
zUHHVFzvkkPrVxbiEcKdyLTz9lv9y+SQ3GXZIl+6A7ELiSx04yWHrh5i4T+i
WxHajQPyqGYyqPtnqbcwqwVR1987PVRKBoUtv/DGfGlGUOP/gkqyyWCPpuoH
y4FGpIblUiXlCzIow2nevXP0O5KzJFZtrUYGqcMEj02cqkeCG6OSX54lgxOY
+bsNynUIs3xeP5coGYycc92IulWDjNbxn1OlJYMj9sfPmGogiIn3MmjuwcKw
60X1og8rETFr+VvzDVioCJSM10PKkShFQum1CixMoL/uGd72BdEy+FxLkYGF
Ru+Dv6FGRcgHrgy+JBcspBaTzOJazkeWLnY7Ttlg4f0tjR/FsrkIy5L5p4e3
sfB4nBfDTHkqovARq3TyMha25/OMXr3ignCdDd27JoKFFLe1+QIvmoP40Q9G
t3iwMFcizZW2zA/YlARoBbNh4fDAg8JU3ThwEjf8xZkCC10LL2svcOSBt21y
21FTxPN2TEbUsKcAYHPfX2AexkBzQhjZsMYHUL0ny1fZg4GY809GL+I+A9ML
Wjtx3zFQNQHEM/lUgCFynOf19xgY/fEjXs20Cmwlyb+XJJ6/T6aZFRSPoWB6
bilMKhUDa/de5NrvfAM7d5PF3kVjoLWErX/vlzogUlt8xegZBoaXZSotZdWD
5ICDDVNPDPxyaXSNKuY7uMtSUhbogoEEiytWSk4/wDUOFOraYeC7l3IwQ6oF
NCV0WgeaYiBF7dsKvGwrMLIw3TY1xkCLTcrzNufawDF3VPfGVWJ+UPSbg/Nt
O7h/oD7YokP8fC2evka+DvA7YufeRU0MnJoyiPZK6wCrr4KtxtQwUJmzlGks
sxM0jgbYvgQYaFO80BYp0gUIgdipFGL+EXeZL/xibheguCuG6T6PgXWzhjrr
Yt3g2821MvFzGLjiG0Cdnd8N3oXfvJkni4G8R8sbjCV6gGtzxmc9aQzUKfnj
T13UA7hvcqdwSmFg1u9r5I+Ke8GUXHHgMXEM7Hoe9I33TB+YNLysdJ2Y/2B4
K592lPSBPqHtP59FMfBU6ZLSf3L94LZXtfd5EQy8YSi4K1vWDwzqI5rGhTAw
YPF62YzCAPggJF5RIIiBnwJC3OIqB4BSisyZlOMYOMGPnNUCg0CHiYunRAAD
GSpW1nbQQbCCF7i1xI+BikbCxe9VfoK0XZMZXaIfLpk8tqj9CRJl4t908GFg
bHCYJNOlIeBl7eXkRnSt4LfF6u9DQBtndfMi0ctVa3lOmsMgoqDJS4JoHhPR
h8JNw0A7QshbiWjt1Zui/TojgAn/N8iBaLewlzNBrSNAVVMi7zvRmSI1GQr6
o8DeOfe3CrH/zm//LBc7RoER65zhBNEYieiIthNjgHpBdi2TOH72nQL7nIdj
INI4ZTCMOD/xhgZd37wxcP0hGUcCcf4XoydO3VgYA+sje1WNxPjcsNyllTk1
Dq4ekE3xEuPnIMm+QPNoHPjiDd/EE+PrvyvZNFUwDu6lkJPLEeP/5ofmu8q/
46B7lUxy5yQxnjFWQTFSE+BEGbfS5CkMbLTyvm//eAKMHWxpLUli4LhUrLrG
xwnAWy7pJkBc7829ImH+1QlwXl9+xp24H4TipqY6nSZBSVOeThRx/yje3a/J
+zwJYj8OfrhO3F9XpDnSn/+bBNk3eY5cIO6/Z83at8+6TQG6278n/In7Myb+
LmQonQIRUv+1TWpg4Hvrp7xzW1OgjelBwz3i/h7EFA/He06D3ep8ihlDDFxq
aa5wrJgGiwZDY2PXMRCfOJOovTcN+JQ5dsiJ94/sGa4bez4zwKeL81ztHeL9
+MC395bfLLg3DX3PumFgYBP281TVLAjOi7Pk98ZAv1N+r+/vzIIeuozm034Y
6Lrsp+/gNAd0rqUrfA7FwFvuzxufWv8CuET3jpfpxHj/pMglT/8F8q970ubl
YuBVpRcBAaO/ACZAP4yYwEENrL/qS+PfQHS6PfxfBQaeDgqoStaaB/Z0Y0m0
A8T1nMe/EQiYB4+ude34jmGg8OVAz6yaedDn6W4mNEf8/mIKkitQXADV8VLd
mxsYSBYf/LFSYhE0V59rrebEwt1t6sgLNovgZoqRbpYAFv4zDbGvy14EjYn/
6VedxMJ5vlDxFr4/YJO+zCtCGQu7c8Kyhpj/gkrBkNhRayxspaZ/cUvvL6iK
y+EOeoyFDbbhVlMhf4HDEpniYy8sNI9TZ3QhWwInxp8ykL/GQkNTjRZvzyUQ
df1H9vUaLNQPC6xA4pcAZRXjY752LNStasjDfl0CmRLUAbLDWKjBpxn8Ym0J
tP6+a5q9QTw/pjTVw+yWgZ3GaMGQJBk8zxZ8ti1kGZz1P97WpUwGz15qFGJ6
twwCUqy6pXTJoFSOFkX0zDI4EmDnKfGIDAraan9LslgBTnVet5FiMsj/JqRo
xHsF9DUmjNjUk0Ge1qa3fEkroLa5aCdrgAxySOn4ZPSvgDsn82rHseSQbk1H
Id9gFSwam7iJmZBDxkFpK1fHVeCxSqVw8JgcsqIcISqvV4GXgZBITQg55Aqd
GuzvXgWCNga7N6rJIY9jI1nG+irg16xGr4ySQ37jIjF79jVwQjE1zZeYL4gK
enngjNcAIe1CyaASBTxJbZnW7rYGNhpGNmRuUUCJJfXGxPg1kA10JwWeU8Az
FSxc0j/XQJbs8x9nOyigXNrWhb2dNfCnII/5zTYFVAwcfdBwdB2kfn/75Kgw
DqpczSs1N18HP4L68xif46CafOT4iafrgKPe5cdMCY4Yb1eq9bfroKPLn/n7
HxzUoTQ7jaLr4JHAnUpJGUqot6BiEjK+DsI8T94O9aSEVzpFfY3I/oHFpMar
7A2U0OgrfS7/8X+AJvLmOBMnHpo+H9z8cucfOBmo2l7yg1ivPUT5/nvxD8zH
JnIpiRGgpX6Whm7WPxCitSSwE0GA1mdDHTi//wPSHiecivaJ+eVRx7ip2X8g
0H5m8KoTFbQlM0YLCRugTOBD3ulVKugwpzTncWID3F3graLxpoZPWo8zXtLa
AGpsixN2rDTQ5ROVHJPNBqjHsc7JVdJA94S/FkMhG0BJIf7zsDct9HrWE5Cd
vwEaFR6tR1rSwWfW5YWOLRugjnmmoy6QHv6nk9qn9GcDSFHENngDRugvHXBA
YNgENujNDPtTDDCYw06kW3IT+NxfEeGdo4Nh+1f03upvgqxdOSGHA1oYMSXn
+vDxJgguHLxsqEoLoxp53p55tQlmrnQ7MGXRwNgiiu+Y4k0A5DmcbI7SwISY
33+aujaBJ2uOYnwaNUz2amePXdsEiHbg1xBiPp9qWaJsybYFHoxPlZzsooIZ
GknWp85uAS7RwZotdyqYI+EXvmm0BU65ld0bEKWCeaz3S2pcic7OJayMEGDB
9uWR8LgtIAecfBMTCfDjmAzljdIt8FZZxcPAnAA/13NKCA1ugYenFYbfCRPg
1/yDa0vbWyCW227WcA0PK15Ne5dzb4PHlc9WqL7jIeLWlOmvuA2GOnls4pLx
sNr8Q4uB2TZoKl9N6PXAw3rV2PWjPtugo7Ijc9YOD3+IeR+bS94GQRq6/u02
eNjMaKVWjGyDWyMrzFLE9vZ/GnY+Y9tgX3auqvwxHnYNSURrYndAubB7prg7
HvZWs1ayChDtGntP+T88HMzZnhpV2QHA4qp4wUs8HA4fo82z2gEPLrhVnCeO
Z8ypXtbl+Q5Q0yksTi7Aw6EGHFdOxg54HKr9VAXFw/6jagcDtTsgIzckQLyL
2H9tzQ8l3C4w5Badq9khjo+DvNBeaBfkd9+vmiDW2w22KlGparvANlNq/wQx
PijrN3Oc/y6QTuij/KtHgBX3Marnsojvf6l28M2KGL8KcOJB/S5o3BueuedC
rKcYn9InzuwCQX6WklNOBFh0p2q1mXIPlDJEJrvbEOvfr3v9+8J7wH63NuHk
bQLMoVWqklLfA+gt9yem1wgw45ZXuuW9PaDAeMJESIMA334qD4wK2AOXuGoL
3xLrrwTCjl199h6I+9IzMnWCAGNM5Q03v+8BJ+UXwvScBBhOUXrMlLAPzBvu
mTkQ19PnasnH40H7IH+O4zFdGh6arxUNfQw+AGV/lSYDVinhDY2lb1PvDsCl
htJTXKOU8FqSZDZ70wHgoObPDG2khMICfXKVOAwcC2XVPppKCXkar5HzX8LA
YUHCsROXKSE9l2HcXD0GJvmkK7ek4eCf0svVrsQ6QN3sYY6kPgUUovru5NlH
PAdcg7SSFSmgqTEUeTqDhWp3i5xYT1DAxn/Sof4UZDDgu98sNxkFzJThMIqG
ZDC9oKik+BM5NH0/8evjVzJopmDGn8ZNrJ9SXJn+5JDDc+5Fzn7LWJgVkHrr
ThAOWp7Kmhv1PQC3PtgV5sfjIL3tk9eJZgeA6+f5/bVcHLRelSp1On8AwiU6
E1804uBl3fU9n+V94NJD1pdFQwlTmfB5q5b74NLxO5d/hVFCAsy6YK69B2aq
hOUfvcJDBZ/IqpPSO0DoXx6LWyIVtL/HW+BitAE46gwE8t5RwQArnpIbChuA
OmpDaqSUCk4oD7Je59sAS6cv6qr2U0EBbOOHuN//QIXdYCAjGzVUO9llqfzs
H7g6TdjPCaeG825gi7poHfh1350b8KWBfvZXrt/mXwPO6TQbtJE08LS/dq8i
1Rq47/gBB1NoIHPN2k3J5VWgy7gnkFVFAy1ONeqZfFsFnDpRZo47NPCu46da
xHIVFNVUd1I700JGm9LU5twVMPKRt1LhPh0k/7oiHKmxDFrkHMUEXOngPQWC
cZrMMqioqo0l+NPBLqN0uQaeZZDY+MCxJ50OqvhR9RusLwHjiWIR+1E62JvJ
o3AzfQl0MGm8SjOih8ePO6IK5Eug1sHhHpUaA5wKWhUtS18Exf+qu/8aMkBM
8M3gfp9FkObFptJryQBDy7bEj91YBL6BZUfTnzHARL3INg6mRaCcQtGpWMEA
lUzdKnqfLYChezo8XzkZ4YWbrYVG9+bBtdixwPkIRojzTI35oPcLhKsX02Hj
ie2B5CI54r9Aw8aLV+ypjDD/Y+Tf71S/gLzxyaQLHxghZUFOul/tHODhdCmM
7WCE6WypS2MKc2Augab3IjMTrGn6b+K49CzwSD57POk1E4yxZns+oDANinWp
cj4kMsHoiSePSo5Ng4X9n+Lf05ng5j0m668HU8DcwvfsSjET1E3w2RSrnQIX
+Zo1NbqZYE9sHs133SlAm3bbYY2VGZZcEWSpejgJkjNDK3VimGHeUIB0dcU4
cBLVSet7wwxzmYKKSzPGgWYeTYBlJjO0TV781RI6DtaKgvXdPjFDD9wlGh2z
caBdETiZ3skMNxsX1JMOxsBm53OqHXoWqFr7COeiOQYMMN7XcgNYoDOj7tEv
E8NA+D9FedmXLNDvEW24fekw2MXt8iAxLHB7sgt/M2IY5NB4znVnssAo8t86
jcrDYJ/d3RNTywK/SRl8okgeAu9OOadex7DCHmZDvqq7PwHFTbtFnDsrtDdj
b/7LMQC4tY34ZHyJTgtd/LzSD6QVgOGtIFb4jF1rsai5H9ziZioti2eFBaEX
E1R9+0Hlz0/P7ctYoeVp+TNDC33AxXSXe2CHFfJ+G70U39ILwnSmdSkp2KAZ
WXBb5LtekKHY6itDywZLgryiywN6QdfRlNmwo2zQNPbTQqpKL5AavlisosQG
myV/RReX9QD1FvEZezU2qJjD800yvgeYV7JxvrnMBn+o0lj9dO0BoW9mfTbM
2OBi+Xlx9EwPSA9r/yBozQZljT2mNll7QJl36ZTBI+L15fZnbq11g19mIVr5
Pmyw5pRiXWlxN8DoOnkP+LPB2yamMXmvuwGHslkR5Us2KJZSI9j0pBtISlya
lIllg3pg/zzH1W5wiUeS/fZbNvj/v7ea0XNohmeT7LSP8SovJDltpHOcDSW5
tLWc9WIDye1VGeoO7SQfJLu8bxwj2dSCy/0plv3QT/TI8/OpSA4GCyMDTCR/
5a1SlRUgmW3sNuMvFZJbb+VmX3lOst/xp/LrISSfmbnaEvua5CQbzOpQGsk2
LteV730jmRCK6/HcJ1nly22yTLcjh/5Mx2W2YctxaOEE/jm8Dteht12e7+UZ
Hj30/DY3fY4cz6FT7gV0cx/nO3TEheZQTiH+Q9Pb56nUsAkcukr1a2UJ1/FD
79lZnDWiFzw0Ft8Zf3KP5LMajtVaGGHSeIby59hWSFa1bYi4/I/ksJ1JuRfb
JPNxcQetkYkcWv160IkuFpKjOu4+jDhDskQ9zwK1O8lu1+SjVLxJ/jZ1TdHD
l+Sr5GGhv4JI9oQ74g0JJDeU9dm9qCCZWWuVrRIl2XSAvmqtluS/G2r0d1pI
Zj/zqUBlhORbtW1GHhMk5xrO73+YIVnRUUCP/y/J/ljlDeNVktsjTN5GbJDM
xees3rBD8v/9P+fQ/wPYKjwX
                "]]},
              Annotation[#, "Charting`Private`Tag$884361122#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJwtW3c4lu/7fu3X3nvvWVSa6LorKhRKGSGhyAplE/GRTZTsZGRFMiL7vZOQ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                "]]},
              Annotation[#, "Charting`Private`Tag$884361122#2"]& ], 
             TagBox[
              {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwtmnc4l9//x+3xtvfKHm+rqFQKvY5UMpIiFGWTkVGyI7J3JbsyykoyUgjv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                "]]},
              Annotation[#, "Charting`Private`Tag$884361122#3"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.01, 0.99}], ImageScaled[{0, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along Y (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{-10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJxF2nk0lF/cAPAZjBn7LkvZsiUhVLLdm8iaJSXKUpQWRLJvxa/sRNlJ9iVC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                 "]]}, "Charting`Private`Tag$884361122#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJwtW3c4lu/7fu3X3nvvWVSa6LorKhRKGSGhyAplE/GRTZTsZGRFMiL7vZOQ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                 "]]}, "Charting`Private`Tag$884361122#2"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJwtmnc4l9//x+3xtvfKHm+rqFQKvY5UMpIiFGWTkVGyI7J3JbsyykoyUgjv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                 "]]}, "Charting`Private`Tag$884361122#3"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {0, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along Y (\[Micro]m)", FontSize -> 16], 
               "Thermal cloud profile"}}, FrameStyle -> 
            Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Left, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {580.5, -576.}, {Center, Center}, {360., 360.}], 
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxN13k4VP/7P/A5M2bmjO0tW/YkWYas2el1iyjKVilkyfaObG+kRClZCqW0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                "]]},
              Annotation[#, "Charting`Private`Tag$884379208#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJwVl3c8Vf8bwN2Ley/hKytZZWTca+91e56QijIqilKyioxCyigjI6OlEqIk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                "]]},
              Annotation[#, "Charting`Private`Tag$884379208#2"]& ], 
             TagBox[
              {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1Xc0F94bB3AR6WN9fGwiK7L37tPzGCmUFhmlVAjZREZGpBR9U7KSVEiE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                "]]},
              Annotation[#, "Charting`Private`Tag$884379208#3"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along Z (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.2, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.4, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.6, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.8, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {22., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {24., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {26., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {28., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {32., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {34., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {36., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {38., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {40., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJxN13k4VP/7P/A5M2bmjO0tW/YkWYas2el1iyjKVilkyfaObG+kRClZCqW0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                 "]]}, "Charting`Private`Tag$884379208#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJwVl3c8Vf8bwN2Ley/hKytZZWTca+91e56QijIqilKyioxCyigjI6OlEqIk
IoWoVLIiuyEjIopoiGRvfuf313m9X+ec55zzfN7P85yPpJPPblcyCwtLNomF
5f/Hmb7GNzLxWZutKO8ksjeSsP22cOCWrghQra45kEswCn5wEu5KhOcDLzxK
CBbqWcvBa5IGHhP9uz4QHGCV18nalQnNMWnUSYKPPGnOW72YA7f3eqdKSpJw
p9Do2UXjR9AQyc5xgOA0w5jcxZDHMHJd1/YOwWv/rkuc7ywG1SpK1F+Co+/k
Bs+qPwP8djN5uxQJl6z0XKcvPgePOsPr+QT7kpssJn+9BFdTn2BxaRL+emKv
O25cBntjWq2TCT7k+kdy7HYFREypi0rIkNBjTUXUTEgVvCuJ7ikg+GuZhc9U
ZzVs/1RkPb6JhKmC61z82N/AZYNtvPdkSbjX++v+CfVaIB/d2XlYjoRNG04Y
/btYD7HkmasL8iSMOqOr4/OqAfBT/uUuBSI/H1kU//5qhKDPSw9e00lYEnFV
cMT4LQxUupo9UyThiR47zuMn38HZ1H89lUokZGhKrf6+/R5eLk1ldCiTsMXX
bmoypAUe+Or0SamR0FRmuHe8sxVKy1V7TbRJmGVlsb/Iuw0mcvqqHuiQkHS2
uPUEezt4/dnOI6JHwrKOoPox9Q64tDrKJm5IQrWYNUWjFzuB79weo3wjEl56
4sPIl+mCyjz9Dk8TEo58bcv2fNUFlJ0+PhqmJLyvm5b659dn2A1uX7/vIKHY
sGLkb+MvYORnu7/NmoRBQldXcru/wKCO47bRPSTsNJo+c+xkL+RuCXbgtyVh
4q1yr5+3+0DoUsyWSHsSRsrmPJwI+QbP74U3LjiTcL5T58a/zgE48Nb/lVkg
CV+o0xxzFL6DFvP+Ie8Qwp+LXfRDwd/hsM36vLuhJJwwCqxqlhiEQ5EN2TrR
JBzOL/1z33UITj3LYcpcJ2EuLb7E4fkQmB/YrtRwk4RuzgfCBTh+gH280oOQ
WyT8LrwkFPHoB6jgYtW6eyT8cp5p5DD5E7Tf+I2sf0Ksdx83t8DWX1B/JXy3
9nMS7tfr62xK+gV8R8LPHHlFwo6/57x09X+DNvO0xWgNCd/bVSXzhw+DwVGm
WX8HCatUjMcaeUZBgbot3HuZhOfi+EvDHEfBm/eqTxmZjIZD3yN1ikeh7G90
2QYaGV+mRopk2/wFPr7UC3L8ZCxmr9saljYGPz6P1xrTydjqJWMhKjgOvmAw
On6QjGq3Ep7MMMdhV/aX2RfOZLzSMCXc6jYOBnjIOtWDjBbStd8vvBiH4HKm
U/4ZMjZ1uQbOHJgAbRHGhrbrZKwxzsn6mDkJe6XWn/vZQkbVS4W/ZxsmIW3u
351zXWS83fVcWWJsEgwCpxZ1vpHxjFfDCw+DKdB7P2Ej+I+Myjd/v2Vtn4LC
dH7Lm2tZMa1/fC19YQr89Lz6D4qwIofigq3VxmlI7+ET2yXNioNVnP1pntNQ
cUBctViLFVOHGdNa7DMQnfqy//FBVqRpaeofZMwApwP/rVE3VjwVahgaYT0D
g+7q1MMnWdFKYBfHh/QZSAy8mDoUzYrsm73Fj2nPQpKA0+6HT1nxxNXHW1OP
zsFX3fVr7EXZsK/nRVzVxTlY4JC5oqrAhuayrz/8eDIHPtT0wX06bCj76qOd
Bss8DGyxaby3lw17Bie83ibPQ0Dr4erwa2y4XWWxeKJiHtaTqb4qWWxYEsg6
Jzw0D3iR7mD6jA2v8AhEuKotwOvs4oSKLjY01dVKWmkkOMt4y/ZN7Pg0gtkj
828BoiT+ay/QY0fJd1s3mgstwtfBnvwMC3ZcOmKbd9NpEbi5NP0MgtixKP50
heriImwubvow0cWOEp9CWfdJLkHz95LkfRPsmLDxwvaz25bgXTP3hyAuCro9
S25tvLYE0bokYQljCop9ffnDSXEZdGz5dIdKKcgyeTK50XoZTDerB2R2U3CQ
QjdTPb0MJxqHTI4tUrBBZGAxKW0ZljoPBZiIUzFfOTV/+fUyMGnLnKZIxUSj
3Yddfi4Du2LVvrMuVAyw5VzbzLUCN49efvr1EhXtPaqr1dRXYMyHpzboDRU3
nwvyT963AoamUxsMl6golaguuxqyAncO7Rwy1qYh5f5wp2vmCgQcClws8aXh
+3f2BhqjK/DwCq35yiQNi/v5RlP4VkFukT/NWZcDk6abbrPoroJI3mzD2TAO
PCxuQH4fsQpzG8kNP0Q50URt8olm7ipkcexLXneCE+W3PnS99W4V2kqurxxp
5EQuO+d15MlVyOm6s3xZfg2eKbnoosnFgtfihCMfXVqDHlXu5T8lWNBYnhYq
s7wGDzZtFbqlxoKGTkVGpAAutGiX9LEwYUEKWWB2/xIXYt9yPWkfC3pZoL3R
DW5U//V54zN3FpTo0Di+04wHZSaeBR4LYcE19+JXVdX/Q6Glq62il1lwrkZe
9LM9L9Io3owPd1nwS6NO1eaq/3DhP7PIiKcseCrO8s/Nxzw4sl62V6ueBVdV
MsQ1R7mxT5qs/fszC8YoNhm6WXDjR6W+S2kjLFhc+D7BuY4L3+iU/rRcZUHS
pkCSlwUXlmxJQlY+EtawGlDTB9ZgrrlvSgkxx5yLcngCwtZgqo3FhDsxFw5K
thYZy67BhMN0c3EzEp6mHWJ/28qJ59wpWS0HSciM0b0iE8WJTmcrbHQiiD5r
fY1+a44D98akFgwTffVGxZdNL19woOnVAOrtHBJamC0N3QjhQN1bux2tS0nY
yCJ2edCYA+nZyi/Z3hFz8U/BsAsPB4oVcvK9+Er0xU7vjm89NOR5+cPj+AQJ
aYpju+mPaMhSU10jwU5Gv8vLyoVRNJx4e1usdR0Z41+cGLxD+DL4KehUFNEH
N4qUr5c4QsNP32zf6zLJyBuYUC9oTcOGYXW5EUsyut0jnfI3omHpFE/YHScy
DuasoSlo0fDRynDX7lNkTFFxTJNWoOFtWr0a5QLRx/bOH7aRoOEVvntxL1PJ
+POuov9jARqeFwv97plPxmdx6a1yXDQMkD1guLGKjPMNPlqFbDQ8pqpzo62V
6Msh+mSDFaIe9Pn/Rg+R8Xzfbp2qOSruNBkz1Z8j45pN6w5oThH1YdF8Z5ST
FRn4z/PiPyqq7s+ZyxBnxWt17zpfjxL14nTeeq8qcf7BT9eGP1QU8DycRzVm
RfieqpU8TEU69V6d1T5WJCUKt8oRjJk/BlKOs2Lvt7CIywTbMumrA6GsiDlK
42+I+z27vEQVr7Oig6YGRwURP8KvSOdULiu+fOL25wTx/GSe6T0VZax4Zo/S
YNskFQse6J6gfmTFdM/FI72zVHxjEpJgNcSKERt9Rs4T9dz9tTI3ZZ4VNXyn
RStINPwXxFo7wM2G80l/rkZQaShWFLfsr82Gei+lOiOJ/KnvfL++wowNUyem
2gtFabj951pt6mE2HI3xcgdpGvqLp3inxLChqhZHq6sGDeNefIkbuMWGiWsX
+H8b0DBjz8YcxmM23NkkWvHAhIYlf51r/N+woV2c+d30XTR8G5vztZzou8Fb
hhxKbWk4IPNnkTLKhgkpDMfpwzScq1QWtiKxY8nxCtHHxwjfDvhqpgiyY83P
j9vXudNQZuaZ1YACO8p6PD8cSLD+1XlPxmZ21OnXf9JOsJUiM9Z/NzsKrvl+
Q86Dhm71YdnlbuxYdZ7V/gTBIU5vXlOC2VH6TJt1PsGJy9Q+y8vs2M1x4cMX
gnOTzReS77Hjnvu+m5YJrtC4LDTwnB1V5qTvcx2nYdv7VnXGW3Z03paYxUHw
L3chS/9v7Mi238R/grh+hc3+ePkUO+74FepeS7BARnoMhYOClrYhn8MIphv0
37MUp6DhfLKINMH4SaYqWY2CivY3I/OI97c9eexL/1YKanN8PiFIsCfXozm6
PQXrqHf1nYh8ROSMCfh7U3Dg/X64fJSGyUYaauURFPzs29WX6kbDgt6AXZSb
FCybKQo+70rDN2dK3S0fUnD3x9DgbS407OZfiUqupOALNe1tQ06EDwVbMvvb
KPjkZoD5AaI+KWZRFfRfFFRV+zGXQ6yH2FBDt98SBa1No980OhB+hHHNlvFS
0cWFR77yAOGHqBU/ZRPh+f7tmdF2NDxUck3FUo+KChFezyX2Eb5Yd5on76Ji
J0/UeNRewpcRkWP9R6iou77mWylR/xkxhyLpAVSUsP0lWmZB+CKVmeEXR8Vm
v7t4wZzwY7/CZ/YnVJQJtR8IJnyam/SctqgnODWnKgMJPy4/XpvcQ8XXu3vN
4w0JP+hTSv1jVKzIbtqhr0v4UatjRifqXlnIaUGR8NXKMdjNT5iGfMu1FrMM
wo/FiogyReI7zwqwxskQPqiZvrKwoWHsxh8a/wnSUKXHbhuTyHsuOfvHZW7C
30ivNkYwDRX75lqH2Il8dV3/Q7tLQ/HRkftCM1QMPvddtGaEhjTxPZ8etxN5
ag4L0YnkwPZ3HD398VTUdn3F3PiEEx1GfnEbDhPrlqxaNc7LjeUVL829M9gx
Piv0A3n9WrzRXb6An8m47vr32Gvp/Hjw3US8vCUxV/bu2Nw6I4hxW7TKRC2X
iP+2u4cbI4RRzmpFd1liDkzGFoK8v4vgNr3B1OLcKQg3tD4ioiuO0m/e2lrl
jYN+QcrTc5UbUPxQnN7Xh6PgOTce1sAtiakmsQ8qxH7DPIO3T8lGCu9fX0/a
3D8Ihg8fZSQlSePaI6o+0g79MM5n5mhbLYM7fbhkHBR7octTqsWjXgZrfgiX
6Qj1QlXdAoS+lcHapbPaUiy9cCXo4YbcTzKo/ajwkWz7F1Ad4Po6PyyDrF6j
N0dCvoB30QeHdP5NGDCxztLlYw8MW9ocGHTZhDxuvubVUd0wmOBo60uVRe64
EV5DkS7wHlaUUuWSRf+hxtMkji6Y3TY/Osori+/0ZStaZzuBkzUxyl1EFo3W
7H+X3NEJqoE1Tx2VZDHRXEy9+GonnHWV5bfcI4svzveRBLg6QWjzyAfGHVks
e7ZU68zxCXaMnd4xpC2Hy1zKHa9k2kFMTSKaZiiHdIET0TyC7fDX9001Y4sc
Dnl0qHsR+7TrM7yGvuZyqLywdNjiRxv0LT9QXj0shz92xfLfyW0DX64v/Otj
5dBq+6NBX5U2SFXAvp09cvg5P1smf2srjDjT/J6GyuOw3IOSqsQW+HvbpLwy
Uh7JG9u410a3wNjnMGpzrDzus1QWOx7YAhOW87f6r8kjx72rxoaOLTBrMPyG
J1ces5ajSLuVW4As8FbIvUUez8f3DMUlf4D1by6Xiksq4P6cm4mGEu/BVGYd
OaZaAa/3TXseO9QMv5225RrUKyBlPL5jyKwZEu6etvjXrIBm1Db3kzrN0CbR
lWrXoYCXLtiNFfM2g+P6FA3FXwrIwl3k0lfTBIE8oq4fuelo92ag7L1iEzya
k2gQtaNjIu2zezutESx1LL1bHOhocVBMj322ASZOhQpEOdHxbtQMl/FQA+hN
fnX8e5yOCy2dt4deN0DdaMZ81Tk6Lltu9asNboCvA1IMtyw6/uHjU/k1Xg8R
kns+ijygo2vCKdmhb/Ug63j+9Id8Okqet0/6+6EePHu/1+g+p6NG3e5y2YJ6
mOvMOrimiY5Pg5/rMo7Xwy2hDnLVezrOd1ewxdvXw2Yb9gf+bXSc0BFjn91R
D1GtrtO9X+gYOrIxfFK+HuTXJt1K7Kfji/i5P+eF6+GtZd2WbT/oGPc02n0j
rR743sleejxGRx5eh+CzP+tgZUw1u2mKjv28Xdu+ddTBMJ9B2eA8HSu1zolb
v6mDT1pb21ZW6HhHq3r8Q3EdVO+3HBZmY2BypdBzWK2DgmA7kgYHA6mc3ZWm
o3WQettZeBcPAwOubbx5sKcO/AZPm4YLM7AxbFv40+d14EiNcLglzsDSStOQ
mew62ElP8H8mxcDrPylC267XgcyJjMzfigzk8D4+w3+yDtoXG1astzDQlFNe
8gCjDqok2gQ9TRno/9S6gVekDh5t6VWMNmfgj+xjj9tpdRAVM25fasPAl93i
gjE/akGbX+S5lAcD1cw//L2eWQs36cd9JhMZWHfbeNxMvBbELhRaaWsr4v5J
owMmCjWQV5BfM6+viA8GeC+eEK0B3Y6H2uWgiH7pBcdyuGuIfWyumMkORcz8
U7mkOVENCWUZv6wPKqIkl9Wz96+qYfHf1TCvCEWUC5hynraqhm47/8dZ7xUx
SLe6uiviNSQz9Hj5jyrht7ETYrtZq8DG/N2ViuNK+ESj9InZv0rgO35krccJ
JfwCLuvI3ZUQnxfL9zpQCcs8F1zv5VfCOYVuAZ8EJWxkffeqwKYSXOSC1zcX
KSH7xTGT3twKUJMulzq/pIQmtVIhxgfKoUlki9bkVWU85egWe3u0FFokCmXZ
birjkd7Kn5c+l8InKXFhwTRllJXjeHG5thT66fML2veV8bHfxOnq9FKY0y+q
CipVRrcrqgvDFqUge0ByJ/m7MnJJUvcaPn0JEbdIzms1VfDPAd3vkXEvQF+s
+orKJxUcrzBamnAqgQFpmb7f3Sp4fdlBo3hPCcQyohlZX1VQUHluzVmTEujS
N6sT/q2C+zacPKslWwKn7VoXSUsq+GPV3VV1+BnYm5/UGOZVRaMv+0JN/Z9B
0oXw22Xaqoh7v/4sufIUeFgz/Y9EqGLKBz+BT7+KgTJfuWc8UhWZOyeOKvYU
w8rfXvXwGFVc4JqeufiuGMa6149nJKhivt/Ju77FxdBSfNXrW5IqPoajG16H
FEOiU7jb4YeqOOvMmujBXwxC1Y77HdpVMffMweDC7UUgEb7B0E5WDROTCn9p
ZRZCgR9NqldeDV0d8ksPJBTCZrdx6hGGGu43Pct9LaAQHMxr2o6pquHlGJlF
LfNCSBM8evyMvhrWJik6mk8XwPq8gtSbFmrIW2tcm7OzAATamPMdAWoosbDK
VkvNB45NB0t216uhdFJT5f1HeeCxHsweNqqhGtnw/dStPGjilupjfauGhpNx
OpbxeZAw85P9WYsaxr4wmpL3yAOeBj+bdd1quL1+G6ePfB7hV/xUz4gaikmf
d2LmPACxolJ1Vz51fGizly8zPxeUmesLTzuoI1NvLyW95z48kXZfJDuqI2Vl
uuXS2/ugy/ly2yUndQye3Xk5ofw+GHXu/5Z1VB2HPZsrHt65D7Ynk9e2nlTH
Iv3qltMu9yE0e52/YrQ6/nfbWGTzv2xo4RbS6y9QR1LlQh3wZoNvH1+NGYsG
bnT1/Sd44h401B0szyNrYKxbfGKCyz2QKLz/nJNdA2uEzbPW2N2DplD9R00c
GmgTt2NJyugeSEk63TDj10CfC7p1zwTuwUfnoqNmshoYeKWJz+1VJqj+tuQy
26mBd1yKZGp5MmFsMsFmR7IGeo4aSNPfZsCXrru26akamFMuqV1WnQFN5SX7
xtM0sDdry+TelxmQFfPNLuWuBhZ/+7Av9X4G2ItqHvqdp4E74Jihf3gG1Br1
uMWWa+D7zgd8jroZcOuqwpnGAQ18yivs98fmDmxTqUvdoaSJ0VdOTsiapMN+
yva9LSqaaKPrnbukng4evY3c+9Q1MUUu3uarZDpcin8X5qKjiXvOn/ZoXk2D
Tz/b3UK3aKLJnI0tsywNXDK+qz+z0cTDEqXcoTppELGW1LzxnCY62a1eUNe5
BRWTBouz7zUxNvogTd8uBe6+fe6056MmCsj+ejhhngKR2RpNBW2aaN0nGv50
cwrs2MdIce3SxPOxkVl7ZFKgvVREp61fE0VcW7lWx5JhOHzet2BKExs0th5h
i00GId7nwy4iWsjYnbgp9fVN8FZU7/7oqoVtAcu34s2T4NSsyMLhY1qYWjtW
4AlJEFLNKvLXQwuTJp4V2WokQfz+DjvOE1oYdi7FfatoEuRGnvlsFKSF+3g3
dCX8uQEDXyq6nlzSwot8GT7lF2+A7UXzzhvPtXCHgf0b/67rwPzr0m7HoY36
0kU8jVHXYKuM8C7uTG3cvfHUxDW7qyAfFnemWkcHvXaOXsgTvAx0V73KTd06
KCSl4ixZEw+uFccin57URburGWkykrFQmdHuMi6oh6JRaslaT6JhKnd1VuW5
Ho4V/jot9CgSnDc95EjdpY/FuYrFqlznYZx+Tbv4nz6yfPsv/1tMOLzIWuyf
vmCAJEv/RxKWYWBvIo0GEoa49acWefOFcyDqFfNSucoQXRzGj0RfCQFBTs+i
XfuY+M39XvGW2SDIMj4b9M+Oid4hLEJJ/4JA/ewl42sHmSiZqeL493cQWPx7
3NF1hIk5FRW3874EQfSn6XlnTyZStGTPWlcHwVxmqFFQOBM/58XF2l4Kgm6D
a233HzLxqaZekqJCEBw7lZW2o4CJtpTu5TmpIJgpeOY68piJH7qLlhvEgoBP
qmtWrYSJxaKPyvx4g8CcJi5WXsXEAK4nM5OzgVDWft+lrYOJA00j+9LrA8GM
54VSQBcT79yYUsp8HQhd2xpnhHuYGLj3yum8V4EwVfrnwqFvTNzy6cbB2sJA
ULqrmv97mIlnlZ6qyCQT8bq3BCSMMnGdAcPFJJGIJ7AHVP4x0U81auFoQiC4
xZz66D/NxJcq8iYvw4h4VdGp6+aY6OglPPkjKBAiFm46ly4wUXNWb3HdqUDg
1Xyg6LDMxHRXF/udPoFw26t0enWViW9/nuCJdA+E/wGA/aV+
                 "]]}, "Charting`Private`Tag$884379208#2"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJwV1Xc0F94bB3AR6WN9fGwiK7L37tPzGCmUFhmlVAjZREZGpBR9U7KSVEiE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                 "]]}, "Charting`Private`Tag$884379208#3"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along Z (\[Micro]m)", FontSize -> 16], 
               "Thermal cloud profile"}}, FrameStyle -> 
            Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {967.5, -576.}, {
      Center, Center}, {360., 360.}]}}, {}},
  ContentSelectable->True,
  ImageSize->{938., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.7955064419356847`*^9, 3.8401691752791357`*^9, 3.840169269078709*^9, {
   3.8401700650809155`*^9, 3.8401700840261993`*^9}, 3.8401702089477234`*^9, 
   3.8401705047942924`*^9, 3.840171460355858*^9, 3.8401724472426596`*^9, 
   3.840173432570119*^9, 3.8401735053677425`*^9, 3.8401782058498*^9, 
   3.840178427046748*^9, {3.840178525393484*^9, 3.8401786003600516`*^9}, {
   3.840178637363264*^9, 3.8401786778069253`*^9}, {3.84017872871513*^9, 
   3.840178756304908*^9}, 3.8401790322882037`*^9, 3.840179076134349*^9, 
   3.8401791626624837`*^9, 3.840179216495695*^9, 3.84017928692494*^9, 
   3.8401793249382067`*^9, 3.840182820768399*^9, {3.8401828901464634`*^9, 
   3.840182907483483*^9}, {3.840182946291876*^9, 3.840183021296792*^9}, {
   3.8401831169741554`*^9, 3.840183137478025*^9}, {3.840183193478396*^9, 
   3.840183265960698*^9}, 3.8402420385692806`*^9, 3.8402427212447333`*^9, 
   3.840243235030478*^9, 3.840250806058328*^9, 3.8402509725375414`*^9, 
   3.840345117117047*^9},
 CellLabel->
  "Out[125]=",ExpressionUUID->"61e28a36-eba3-4a50-8cc0-6be741511a49"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ThLogPlot1", " ", "=", " ", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{
            RowBox[{"x", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{
           RowBox[{"x", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
           "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
           "nThInterpFunSol"}], "]"}], ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
         "nThInterpFunSol"}], "]"}], ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{
        RowBox[{"xMaxTh", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
          "\"\<Long dist.\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along X (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThLogPlot2", " ", "=", " ", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"y", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0."}], 
           "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{"0.", ",", 
           RowBox[{"y", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
           "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
         ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{"0.", ",", 
         RowBox[{"y", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
       ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{"0.", ",", 
         RowBox[{"y", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "\[Mu]ChemSol", ",", "TempCloud"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "2."}], "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{"2.", "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
          "\"\<Long dist.\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along Y (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThLogPlot3", " ", "=", " ", 
    RowBox[{"LogPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"aux2Fun", "[", 
            RowBox[{"0.", ",", "0.", ",", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}]}], "]"}], "<", 
           "0.5"}], ",", 
          RowBox[{"nThFun", "[", 
           RowBox[{"0.", ",", "0.", ",", 
            RowBox[{"z", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
            "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}],
           ",", "0."}], "]"}], ",", 
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{"0.", ",", "0.", ",", 
          RowBox[{"z", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
          "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
        ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"0.", ",", "0.", ",", 
          RowBox[{"z", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
          "\[Mu]ChemSol", ",", "TempCloud"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0.", ",", 
        RowBox[{
         RowBox[{"zMaxTh", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
           "\"\<Long dist.\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Position along Z (\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{"ThLogPlot1", ",", "ThLogPlot2", ",", "ThLogPlot3"}], "}"}], 
   "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.840169317154015*^9, 3.840169317989607*^9}, {
   3.8402060859198675`*^9, 3.840206149799098*^9}, 3.8402062205130424`*^9, {
   3.8402062887345977`*^9, 3.8402063055002513`*^9}, {3.840206704237053*^9, 
   3.840206737649864*^9}},
 CellLabel->
  "In[126]:=",ExpressionUUID->"2f320c4a-30cb-4c9c-8d6e-10a02119850c"],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{{}, {}, {}, {}, 
            TagBox[
             {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nk01dsXAHBDcjNkujdDKiT3XpUoScJ3V6gnJFTmuOM3UsiNyFDo5WUo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               "]]},
             Annotation[#, "Charting`Private`Tag$884389389#3"]& ]}, {}}, 
          InsetBox[
           TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
            "LineLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"LineLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                   "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{Automatic, -12.09930936781094},
         BaseStyle->{FontSize -> 14},
         CoordinatesToolOptions:>{"DisplayFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& )},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Position along X (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], 
            FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
         FrameStyle->Directive[FontSize -> 16],
         FrameTicks->FrontEndValueCache[{{Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
             Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
             
             Charting`ScaledFrameTicks[{
              Identity, Identity}]}}, {{{{-9.210340371976182, 
               FormBox[
                TemplateBox[{"10", 
                  RowBox[{"-", "4"}]}, "Superscript", SyntaxForm -> 
                 SuperscriptBox], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.01\"", 0.01, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 2}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox["1", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox["100", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-13.815510557964274`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {9.210340371976184, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}, {{-9.210340371976182, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-13.815510557964274`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {9.210340371976184, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {50., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {100., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {150., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {200., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-50., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-40., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-30., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-20., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {10., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {20., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {30., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {40., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {60., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {70., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {80., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {90., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {110., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {120., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {130., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {140., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {160., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {170., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {180., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {190., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {210., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {220., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {230., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {240., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {250., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}}],
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImagePadding->All,
         ImageSize->Medium,
         Method->{
          "DefaultBoundaryStyle" -> Automatic, 
           "DefaultGraphicsInteraction" -> {
            "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
             "Effects" -> {
              "Highlight" -> {"ratio" -> 2}, 
               "HighlightPoint" -> {"ratio" -> 2}, 
               "Droplines" -> {
                "freeformCursorMode" -> True, 
                 "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
           "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
           None},
         PlotRange->{All, All},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.05], 
            Scaled[0.05]}},
         Ticks->{Automatic, Quiet[
            Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{{{}, {}, {}, {}, 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.560181, 0.691569, 0.194885], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwV1nk01dsXAHBDcjNkujdDKiT3XpUoScJ3V6gnJFTmuOM3UsiNyFDo5WUo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                "]]}, "Charting`Private`Tag$884389389#3"]}}, {}}, {
          DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, DisplayFunction -> Identity, DisplayFunction -> Identity, 
           Ticks -> {Automatic, Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }, 
           AxesOrigin -> {Automatic, -12.09930936781094}, 
           FrameTicks -> {{Quiet[
               Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
              Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
           GridLines -> {None, None}, DisplayFunction -> Identity, 
           PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.05], 
              Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All, 
           DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None, "ClippingRange" -> {{{4.081632653061224*^-6, 
              199.99999591836735`}, {-12.09930936781094, 
              5.420351837502345}}, {{4.081632653061224*^-6, 
              199.99999591836735`}, {-12.09930936781094, 
              5.420351837502345}}}}, DisplayFunction -> Identity, AspectRatio -> 
           GoldenRatio^(-1), Axes -> {True, True}, AxesLabel -> {None, None}, 
           AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
           CoordinatesToolOptions -> {"DisplayFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& ), "CopiedValueFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& )}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
              Style["Position along X (\[Micro]m)", FontSize -> 16], 
              "Thermal cloud profile"}}, FrameStyle -> 
           Directive[FontSize -> 16], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, PlotRange -> {All, All}, PlotRangeClipping -> True, 
           PlotRangePadding -> {{Automatic, Automatic}, {
             Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           LineLegend[{
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.560181, 0.691569, 0.194885], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]]}, {
            "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {193.5, -189.}, {Center, Center}, {360., 360.}], 
    InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{{}, {}, {}, {}, 
            TagBox[
             {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwt2Hk8VN//B/BhZqwlxr19bVmyjEqRkIrO+9NGRIu1BX0SRWgjlUqbNSQh
S2WpRIRSZD1XhKiULFH2PYWy77/7eTx+f83j+Zi5Z+5yzuvxOlfhyMl9DrwM
BmMXD4Px36d9RujQwgKXEjkmZfnFXZQiZqRUNs1yqcZ+l+s3TopSpTueHDo3
yaW01U1ctJxFKZWW3Pe/hrnUvKTwhTA7Uernos5Hje1cirO38TwyEqVOOWtb
Z5VwqXfBMco2cqLUFeUmytGPS/3q+F6y+84SKiZWMeyjCJdasy3pEa+6CBXX
6n9yr6AKJZ8W2623WJha+tls9wpSmWq6uzX86SQ/VbHHbFuVshIVRmzc4/SZ
RRmuUHZXXK5Ibb+lfScf8VAb0w8lVasvp9o96kT33p/B04GO4porFKjNaWnn
xIdG8NjE4whbrjzl+jZ4q7dHHy5dHqZV5CpL8XwIWd339ivexPbOWnVUhpLi
PeMiuaIChcP69f9clqI81HJURnq6kP196+6fcRJUSVdQyImMP6j6qawgT8xS
6kZLn/U5lykkuyhzLc4mqB0PpqrMEQOE5Huq+59xqIRMgViNaSa4mPtEJSeL
UtNAhHr78MPhktYq2bDF1K6lVwY5b4Rguf783nfXBKlS1w/6u0gRSDme1Z6f
zaZa0w24dhGiUHskTs44iU3dqGPyidwXBYbNLZumCDYVyXfCpDBRFCz32jdO
urOpBxbE2mWZosC7UfyL9jo2ZcI0XdJZKQoHhM9SGRksyi5xsDCYIQZC6Zpx
j5KZ1HaJuqz7LmKgnSzbrBnFpPpZm7OPnxWDw4lC0m/9mNTCqiITnYtikB3Z
EdnmyKSUs31P1/uJwRHvsJBlykxqR3caqfZIDPL2/L18L4GXspQZs9rYJAbO
Iy8O3YrhoaKd3/84ZsSBaJ0/m44F8lAu0obmx/ZyoOKChvTWizzUE80dNc7W
HFBmZDRO7+ehJPY/s73iyIG2RWmWzpI8VNeYzuHv1zlgoZK0Z2cUg9rxfc4x
pIADN5261ZX9GdR8zAn31hIOvExTWsJznkFZ+Owm11dxQHTdo49vrBjUVu2D
f6YbOVCF4o1U/8egil/z53+f4MC1l1oBImoLOAyzkkBbHFp0swzKhBewQc8d
GWl9cdDDa/muDMzjj4K9JM92cRivWnPj97N5/GGvofMfc3Fw6Va9/GHFPN5c
5/G/Mx7iYC2x7HQgdw47HL380ydXHLIfxqpv4Z/DgTHtR4+8FQdxZanBqZ5Z
fPn6peOWVeLwae3/TjglzeKhJ3H7A5vFYauxmIOh8ixeJF0iZsokIP7LbUUG
exZr9Hpf5SwmYN5KpCOnawbj6rT+2aUEvDkqbMd9PIPX9pzuN11FwJor7P18
ijP4bMzqAGNLAqTyPt/rY83gU4sl05sPE8Aej62v7JnGbZ5Xv6SfIOCHq6b5
7WfTuO4qKKteJ6AiZS7sdNA0Xtq1f0dbMAFZ3RVfzNymcfrxyt6JaAICbex2
S2hOY/HQLzcvZhFwLnplyLT4NO5N8lMWKCbg37qxDz/GpjDTxUlev5qAXWLF
wrhhCquM5wpsbCFA1yTIKCF3Cv/sTdqzapAApQCrgBuxUzglzunfPQsEiL5b
XuFweQr7NimaCHJImGUM8hna0ccn2j4aVSGhVy93+8p/prA+I9RKH5FQc/7m
zUWKU7jg787HL2xIKHq1u2SQNYX5i66OL9wm4dmwFO+Xnkn8aaWo97sMEiLV
eiCrYhLHyji9lkwn4frxF94RzyYxN6ne3y2NBNfHl4o8gyZx05jsTMkzErbJ
iOvp7ZnE8hF2JaeekqBh3XJRVnMSC6kPyFQ8IUE6PCWXQUxiV9nzMvKPSfgr
DOvfNUzg9deriJp4EuJnXDRN7Sbw7ceSyzbHkBC0Xve0xj8T2CbyWGNMFAme
Z5mZHMUJPKOxzWgykgTTgejVDT3jmHNJYO/ruyTMNZWpHnYbxw/O31fRDSbh
QJ683JnLY1jcqj78yFUSxC/UCkfGjuA1s42frI6RMLkwJTZ0cQRvlvmV/dyB
hBZfOQnDAyO4uk8vn3WUhORwZ6VpiREcGZG0PPswCZszGfq2kX+xfJRKlsoB
Epx61dxU7vzBqdKanH9MSLiSKpTgungIS6fsTnbRImFnrsVzuQ+D2IiSZw9o
kkCUx+d+CRzE621+VjuvJSGlQ6dGW2AQb7V6neu2hoRaSXvmPO9v7HjLQMVf
lYSV/vkOIZM/8cKuK4+Yy0hoOOqyMqOzB0tZLhDq/PTza96zPjupB8e9Dtw7
ziYhyVJ7W6FTD04UYRGYRYK74bxN1VA3vmTSoGnBS4KoWuid3pkurNVkIxo+
R8DOkaxJOaITy6/NFrQdJcCDORGsENCCMy/ZP9ToJGDbGH6qvqQF33dIc1Lr
IIDT61+sH9GMN8xVTq5oJyC9Umpsf8IPPOlb6bSylYCeO5sPheU24RyeZe/h
OwHW8r4rmT/r8fO/vvzvvhLgeXFlyPuIT/jNZ23T9WUEmA4O12ckfcT3Vyl+
PfOOAJUjOXKROR+w38t9+pmlBNTt3PbiSGMlViDnyzRKCFgnaVs7I1OOc9Ze
rTOkCGg5qah9yBDjisRLrPo8AoKtMstUnQux3oPESxq09ZC+9ditfJw5ljoY
lEtAjIiVV0h1Dr7AK/3O+A0Bls8DiynLTHzQ7cbB9tcEfE6TbTXfdw6XdFsq
ur4ggPWvsbz/Vlvk8kIK92YSkLIm0XNR3nVkFNPpcJR2c6NTRoJpFArn3fnN
PoO+vgwT418SqSg2o9PJ6zmdJ23rVM3q0lE7y9WTj7atQDBvs+EL9HHZsnt3
0whgbDjbupX9Go1u1RF9lUrf7xgULXalAJUMGCwsfkZAxMuX/NsPFSHWarlX
KSkEnO3mbNJbRiHvuE3XDGiXzvmknJwpRistWMcCkglwXOPiW5/zDuU2rDir
8pSAkLwn+sNJZSil8v5sTRIBOTtaRwUjy9Fr/mOPrtEWsNtnr+/+Hn1dssG4
+wkBz27rwmONj0iV4cgpe0xff2lcAb/WJ1RaSwhdoW03ybfhxPpqNFp2/4Yu
7cDMnxKScZ+RRZPl/KtH9PhGsg2V8l8QQyyA4Um7q2tvxKXEL2hLcLjvJtqb
JXPF2p7UIM36EbkPiQScyPpVfYf7FZ11WaoVRTvKRD5ka8pXtLop46Mj7Xe9
ZrvGVtaiST6J3+tp/73mJ/Q0rRY9jI8PE6YtJ5NfYb2mDknKRBS1J9D5mT3o
K5RZh+xfbTydRzvppwXTLaseLe0LOXGW9tebAcVy2g3ILS85y4w2Q67Q+0t2
A5onjG7o0F6dO6x/Q/cbejYY1SRN+4CZ0qxW3jfkNfYql0nb77dVXs+mRsSO
zJEfjCfgld+t81GFjShhLGvJd9odCljHCDUh09Fs30raSwr+js5QTSiZW+5T
QFvPUiXr+Zbv6FFH16IXtJ2H95+2K/2OylcLySTTvhcYrC624wcS/bQyK4F2
qVLx77flP5Av0qp5QPtP0Wiq+85mtC9/8YX7tGX3qzqrVDWjwbVRT//73njk
oOq3XS3I2jzd5r/jzwff7gn41IKag5Vin9J+wi15vGlPKzok+N4uk3ZN8fiR
319a0Z9M+9R82ow1EaHVK9pQo2b25fe0l86kn0x2bkMKc171jbTVKipMr6W2
oVpD59e/aG+N6Fh94FcbChPVkOL9734dmV20bnU7Sl92jiVF+5T60l/Cbu1o
jtV6Vou276x6VVd6O6pcwX98L+0H73c+KxxqRzylN9tO0X4VaR8QqdGBJlt7
f4TRrrS/fPzk6Q4k9m/eoRza7Rr3DAxfdqAOgat2LbQn5zJVFEY6kL1Xdhc/
PR+Uo7q6atw7EW+GifsR2noO8yWprzvRM+1bl+/S3qcp8ejmeCeaIkb4ymlf
/WD8r875LpRf8uaeNj0/I6MdYEluF1KdefvgFO3njt5yfVNdyPbIHoV02k2M
rOZor25kXCr8UIOe/8MfPxScKehGWkezIzxo88f2xBrPdaPyoGb+Qtpa2lIH
5q70IPPO/dZm9PoKcbpWf/h6Lwp/++nOA3r9+VfxvO4q6kUnSsu3DdO+vvr6
3eMzvaj8kILUdnr9ev65vueUex8yWfVGdYz24Qs3K70d+1GnaE2hG73+D3xn
pTAf9aOxPmOXGtrm+j5+fq39qPjhJh1dOj8MeXy33bb+iSKTciSE6HxZG+BX
9NBoABnmN86W0fmjNsD/YLnfAPJCDSc20fmkYuLvlVQygFZXWg6++C+/xAJ0
0/V+ofdtESuepBPAGx34snDNb6TZa3rgMZ1/tcnBST84Q0iwaTKBRefnJyER
n8O7h9CP+l9UNO0KlxD7rltDaIfFnTaNbDr/ogxEz/EOo/DTOTIOOQSYHTL8
eNlrGFldMLDvpvNZr2unQbArvU8I7B7diglYPLprU9reEWRa96fFrYruO02a
9p5nRpDijfOCZh8IICiJW1vujiCdX4KWGz7S5xvU1fStdgRpqr3dtYjuU6pK
ly6yrUfRujoe96oaAraYp+ba2o6hsRap/LQmuo+9EtQVOzGBDHwOyg8MEHAh
Zsjux60JFNlJaCz5TcClq3V+T9MmkNp2AQltun/d2JXQoD84geqbyhx9hwkI
7dL1dD49iazfHMvbPEZAKnE8u8RzCo0v1xdm0f2szb1M69zNGfTTRSa6WpyE
HxVsqeTHM6hOYt0lRZKEbzLbFxpLZ9ATC8Nv55eS8Lm05L0+exb5uj7+w5Uk
gSKKbdm+s0jn2e2j92RJiHuV7x/uN4feB21QyV1Bgu1o5o+XgQtod/zg+DjQ
fcdwuLjr2QLq1mTreWwhweK++tOlVQtI03sqdXQrCSrLG3QL2Qy609XxTuwg
QbbSgqmwgwGGtuydgnR/EZEyi+orY8B3X3+5I/tJGMw1eetZwQM1zXKnas+Q
oCxY7u7VwAOPdly9aeVOwiFr4Hr38MC+z0kHv3uQUDmuGeTL4oXXoYNG3edJ
eLJOwjICeEGX2D7N403//nlH/8s3vFCSOM5nc4uEu7MH72eX84LqzzHXgSD6
eOM607x6XvB3Grh4MYQE3Z/lWcWjvDBl+9I75g7d37jPL3/WYILs14/Mjnsk
GJ1T0ahFTEhWvevkEU3C1XdxHQ2mTDCXdzgmGEufv32YQasLE9Z8Nlda95Ae
P95TbDCZCb98C84G0/2TZ3i45E8OExyddZyVk+j/Q87nxsqYcHzDmoFCur+e
DOlUnapjQmvO5KhlCt2vmg99n+1iAp/SL59huu82q9UHM0aZ0Kl/+H4g3YeJ
S7uBxWTB8e3pOsp0XzaqqvjLz2GB8YKGGUX36WtSW54IK7Bgqi7waWU4CW+c
8q2WaLBA4M+q0Gm6Xw6+0RISRyw42ZXVg+nnpyyQXrDUlAUi/RZe71fS98+K
e1LKhgUvNMzc19Hz5W5SvIKsCwvS9TzLPjHp6xuTrFXwYoFyscr4zF96/xC+
aMOKaBbY9tvJpdUScLLTZ0AtmQUzuz1DS+j+laS58EAjhwXFwW8rrtLrj/jy
h1e3jgUX7zo23abzfWhxw4cdYmwwlu6fsTlL54PNHm8jeTa4/U8afz5OwKG0
92tN1dmwzFq975otnddGBZEWJmwoDt/2PtCIHt8v4fDRADYUSU9KlCvR+fXC
NSMtmg0Ot78vG5Oi1+v3DfOjKWxgmv36ZCRG5+OamlifSjbIPjBh28+Lw7k6
3oYkYT44In1HdVGTOOxQPGrSH8wHCWlxCb8jxKGnSGWjWxg/7BPf35MiKQ7x
fX/9sxP5YaXn0qLtHHE4wMEN8y/5QXdBLPqnEL1/dLDyuP2VH4Qmr64yneVA
9iL/zExCAOb053U9Wjnge6BfZSRSAH7+U+a85Cm9vx5PFT8fKwhPTjgo6W/k
gMS7vctTnwkC99ufPpYWB4TCJzRacgVBpvrRu+rVHBheu9V02zdBeOBx3ctN
gQMFrk3+oqQQaFt8b/8owAHzboH55BAhMG6LP8D3TQyu1zr0NV4TBrsO3oML
nmLQ8lKucNPxxWCbZ+X5N18ULO61+Q+EioLw5I+PTYki8PBJUOGuSA5oOE40
toUIA+ug62/2BQLE7i65lvREAD4dTnm67+ZSCC2ZPxp5ig2vF0vZTLhIwMRg
ehf7GC+oxCj08e+Sgjuqk75pVfNo+tzNuVQzGWgqWhKC/5lEA9PSIsm6sqAV
tSjZcfVfFH/Mr1ZaUR5C6hJ/e5n3otB/PgRJKiuA2vqCXL+oOiRyMnVLCbkc
Jnmc5mIuh+GibW8Ks6UUwejurLn6xDc852qnYymiBBt4L415yPViHv6a6FVz
SnBS192ryHcY6xieeWvEUAFN/1Pzu2LH8PSPtD7yrwpcM3bjuyI0jbe5VISa
jKvAp9389tHLpnHwTKeuz7QKvAllRqZrTGN5KemAUV4uxCcleJVZTmMDq4AV
X8W5kL1xy+q0xGkc/sXBOVSbC0f73rmZbpjBa8pkfwld4EJfccFI37+z+LzF
xvAtl7nAvyQmSN99Fhd3WehdvMYFfTOLzlu+s9icGRzUH8AF6XM15WTqLPaC
GbWKGC4MOhkcbBmZxRV5Da4+BVxoGVNW3nJzDnOMRshCigu3frjt04ycw4ca
RYpGS7mwKmyZlkzyHB6a2C5y9CMXxteHcJqr5vBS7VfpW1q40G5kulpcfB4f
Lq22vNjBhV01RkOfleZxitnA/IseLshnxf3rrzOP9c4s360wRI834mrRtX8e
+/JsnrAe4YKxz1Sd/4l5/Dl0f1zoBBf46njY3MvzWErew6BihgvhZ4iOopB5
/P/vK4GbTbnsiZ/H/wcxOqkr
               "]]},
             Annotation[#, "Charting`Private`Tag$884393462#3"]& ]}, {}}, 
          InsetBox[
           TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
            "LineLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"LineLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                   "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.01, 0.99}], ImageScaled[{0, 1}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{0, -4.114079804765209},
         BaseStyle->{FontSize -> 14},
         CoordinatesToolOptions:>{"DisplayFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& )},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Position along Y (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], 
            FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
         FrameStyle->Directive[FontSize -> 16],
         FrameTicks->FrontEndValueCache[{{Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
             Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
             
             Charting`ScaledFrameTicks[{
              Identity, Identity}]}}, {{{{-4.605170185988091, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.01\"", 0.01, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 2}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.10\"", 0.1, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 2}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox["1", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox["10", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox["100", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}, {{-4.605170185988091, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}, {Automatic, {{-10., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {10., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-15., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-14., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-13., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-12., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-11., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {9., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {11., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {12., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {13., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {14., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {15., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}}],
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImagePadding->All,
         ImageSize->Medium,
         Method->{
          "DefaultBoundaryStyle" -> Automatic, 
           "DefaultGraphicsInteraction" -> {
            "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
             "Effects" -> {
              "Highlight" -> {"ratio" -> 2}, 
               "HighlightPoint" -> {"ratio" -> 2}, 
               "Droplines" -> {
                "freeformCursorMode" -> True, 
                 "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
           "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
           None},
         PlotRange->{All, All},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.05], 
            Scaled[0.05]}},
         Ticks->FrontEndValueCache[{Automatic, Quiet[
             Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }, {
           Automatic, {{-4.605170185988091, 
              FormBox[
               TagBox[
                InterpretationBox["\"0.01\"", 0.01, AutoDelete -> True], 
                NumberForm[#, {
                  DirectedInfinity[1], 2}]& ], TraditionalForm], {0.01, 0.}, {
               AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
              FormBox[
               TagBox[
                InterpretationBox["\"0.10\"", 0.1, AutoDelete -> True], 
                NumberForm[#, {
                  DirectedInfinity[1], 2}]& ], TraditionalForm], {0.01, 0.}, {
               AbsoluteThickness[0.1]}}, {0., 
              FormBox["1", TraditionalForm], {0.01, 0.}, {
               AbsoluteThickness[0.1]}}, {2.302585092994046, 
              FormBox["10", TraditionalForm], {0.01, 0.}, {
               AbsoluteThickness[0.1]}}, {4.605170185988092, 
              FormBox["100", TraditionalForm], {0.01, 0.}, {
               AbsoluteThickness[0.1]}}, {-3.912023005428146, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-3.506557897319982, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-2.995732273553991, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-2.659260036932778, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-0.916290731874155, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {0.6931471805599453, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {1.791759469228055, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {2.995732273553991, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {3.912023005428146, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {4.0943445622221, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {4.248495242049359, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {4.382026634673881, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {4.499809670330265, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {5.298317366548036, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {5.703782474656201, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {5.991464547107982, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {6.214608098422191, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {6.396929655216146, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {6.551080335043404, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {6.684611727667927, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {6.802394763324311, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {6.907755278982137, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {7.600902459542082, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {8.006367567650246, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}}}]],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{{{}, {}, {}, {}, 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.560181, 0.691569, 0.194885], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwt2Hk8VN//B/BhZqwlxr19bVmyjEqRkIrO+9NGRIu1BX0SRWgjlUqbNSQh
S2WpRIRSZD1XhKiULFH2PYWy77/7eTx+f83j+Zi5Z+5yzuvxOlfhyMl9DrwM
BmMXD4Px36d9RujQwgKXEjkmZfnFXZQiZqRUNs1yqcZ+l+s3TopSpTueHDo3
yaW01U1ctJxFKZWW3Pe/hrnUvKTwhTA7Uernos5Hje1cirO38TwyEqVOOWtb
Z5VwqXfBMco2cqLUFeUmytGPS/3q+F6y+84SKiZWMeyjCJdasy3pEa+6CBXX
6n9yr6AKJZ8W2623WJha+tls9wpSmWq6uzX86SQ/VbHHbFuVshIVRmzc4/SZ
RRmuUHZXXK5Ibb+lfScf8VAb0w8lVasvp9o96kT33p/B04GO4porFKjNaWnn
xIdG8NjE4whbrjzl+jZ4q7dHHy5dHqZV5CpL8XwIWd339ivexPbOWnVUhpLi
PeMiuaIChcP69f9clqI81HJURnq6kP196+6fcRJUSVdQyImMP6j6qawgT8xS
6kZLn/U5lykkuyhzLc4mqB0PpqrMEQOE5Huq+59xqIRMgViNaSa4mPtEJSeL
UtNAhHr78MPhktYq2bDF1K6lVwY5b4Rguf783nfXBKlS1w/6u0gRSDme1Z6f
zaZa0w24dhGiUHskTs44iU3dqGPyidwXBYbNLZumCDYVyXfCpDBRFCz32jdO
urOpBxbE2mWZosC7UfyL9jo2ZcI0XdJZKQoHhM9SGRksyi5xsDCYIQZC6Zpx
j5KZ1HaJuqz7LmKgnSzbrBnFpPpZm7OPnxWDw4lC0m/9mNTCqiITnYtikB3Z
EdnmyKSUs31P1/uJwRHvsJBlykxqR3caqfZIDPL2/L18L4GXspQZs9rYJAbO
Iy8O3YrhoaKd3/84ZsSBaJ0/m44F8lAu0obmx/ZyoOKChvTWizzUE80dNc7W
HFBmZDRO7+ehJPY/s73iyIG2RWmWzpI8VNeYzuHv1zlgoZK0Z2cUg9rxfc4x
pIADN5261ZX9GdR8zAn31hIOvExTWsJznkFZ+Owm11dxQHTdo49vrBjUVu2D
f6YbOVCF4o1U/8egil/z53+f4MC1l1oBImoLOAyzkkBbHFp0swzKhBewQc8d
GWl9cdDDa/muDMzjj4K9JM92cRivWnPj97N5/GGvofMfc3Fw6Va9/GHFPN5c
5/G/Mx7iYC2x7HQgdw47HL380ydXHLIfxqpv4Z/DgTHtR4+8FQdxZanBqZ5Z
fPn6peOWVeLwae3/TjglzeKhJ3H7A5vFYauxmIOh8ixeJF0iZsokIP7LbUUG
exZr9Hpf5SwmYN5KpCOnawbj6rT+2aUEvDkqbMd9PIPX9pzuN11FwJor7P18
ijP4bMzqAGNLAqTyPt/rY83gU4sl05sPE8Aej62v7JnGbZ5Xv6SfIOCHq6b5
7WfTuO4qKKteJ6AiZS7sdNA0Xtq1f0dbMAFZ3RVfzNymcfrxyt6JaAICbex2
S2hOY/HQLzcvZhFwLnplyLT4NO5N8lMWKCbg37qxDz/GpjDTxUlev5qAXWLF
wrhhCquM5wpsbCFA1yTIKCF3Cv/sTdqzapAApQCrgBuxUzglzunfPQsEiL5b
XuFweQr7NimaCHJImGUM8hna0ccn2j4aVSGhVy93+8p/prA+I9RKH5FQc/7m
zUWKU7jg787HL2xIKHq1u2SQNYX5i66OL9wm4dmwFO+Xnkn8aaWo97sMEiLV
eiCrYhLHyji9lkwn4frxF94RzyYxN6ne3y2NBNfHl4o8gyZx05jsTMkzErbJ
iOvp7ZnE8hF2JaeekqBh3XJRVnMSC6kPyFQ8IUE6PCWXQUxiV9nzMvKPSfgr
DOvfNUzg9deriJp4EuJnXDRN7Sbw7ceSyzbHkBC0Xve0xj8T2CbyWGNMFAme
Z5mZHMUJPKOxzWgykgTTgejVDT3jmHNJYO/ruyTMNZWpHnYbxw/O31fRDSbh
QJ683JnLY1jcqj78yFUSxC/UCkfGjuA1s42frI6RMLkwJTZ0cQRvlvmV/dyB
hBZfOQnDAyO4uk8vn3WUhORwZ6VpiREcGZG0PPswCZszGfq2kX+xfJRKlsoB
Epx61dxU7vzBqdKanH9MSLiSKpTgungIS6fsTnbRImFnrsVzuQ+D2IiSZw9o
kkCUx+d+CRzE621+VjuvJSGlQ6dGW2AQb7V6neu2hoRaSXvmPO9v7HjLQMVf
lYSV/vkOIZM/8cKuK4+Yy0hoOOqyMqOzB0tZLhDq/PTza96zPjupB8e9Dtw7
ziYhyVJ7W6FTD04UYRGYRYK74bxN1VA3vmTSoGnBS4KoWuid3pkurNVkIxo+
R8DOkaxJOaITy6/NFrQdJcCDORGsENCCMy/ZP9ToJGDbGH6qvqQF33dIc1Lr
IIDT61+sH9GMN8xVTq5oJyC9Umpsf8IPPOlb6bSylYCeO5sPheU24RyeZe/h
OwHW8r4rmT/r8fO/vvzvvhLgeXFlyPuIT/jNZ23T9WUEmA4O12ckfcT3Vyl+
PfOOAJUjOXKROR+w38t9+pmlBNTt3PbiSGMlViDnyzRKCFgnaVs7I1OOc9Ze
rTOkCGg5qah9yBDjisRLrPo8AoKtMstUnQux3oPESxq09ZC+9ditfJw5ljoY
lEtAjIiVV0h1Dr7AK/3O+A0Bls8DiynLTHzQ7cbB9tcEfE6TbTXfdw6XdFsq
ur4ggPWvsbz/Vlvk8kIK92YSkLIm0XNR3nVkFNPpcJR2c6NTRoJpFArn3fnN
PoO+vgwT418SqSg2o9PJ6zmdJ23rVM3q0lE7y9WTj7atQDBvs+EL9HHZsnt3
0whgbDjbupX9Go1u1RF9lUrf7xgULXalAJUMGCwsfkZAxMuX/NsPFSHWarlX
KSkEnO3mbNJbRiHvuE3XDGiXzvmknJwpRistWMcCkglwXOPiW5/zDuU2rDir
8pSAkLwn+sNJZSil8v5sTRIBOTtaRwUjy9Fr/mOPrtEWsNtnr+/+Hn1dssG4
+wkBz27rwmONj0iV4cgpe0xff2lcAb/WJ1RaSwhdoW03ybfhxPpqNFp2/4Yu
7cDMnxKScZ+RRZPl/KtH9PhGsg2V8l8QQyyA4Um7q2tvxKXEL2hLcLjvJtqb
JXPF2p7UIM36EbkPiQScyPpVfYf7FZ11WaoVRTvKRD5ka8pXtLop46Mj7Xe9
ZrvGVtaiST6J3+tp/73mJ/Q0rRY9jI8PE6YtJ5NfYb2mDknKRBS1J9D5mT3o
K5RZh+xfbTydRzvppwXTLaseLe0LOXGW9tebAcVy2g3ILS85y4w2Q67Q+0t2
A5onjG7o0F6dO6x/Q/cbejYY1SRN+4CZ0qxW3jfkNfYql0nb77dVXs+mRsSO
zJEfjCfgld+t81GFjShhLGvJd9odCljHCDUh09Fs30raSwr+js5QTSiZW+5T
QFvPUiXr+Zbv6FFH16IXtJ2H95+2K/2OylcLySTTvhcYrC624wcS/bQyK4F2
qVLx77flP5Av0qp5QPtP0Wiq+85mtC9/8YX7tGX3qzqrVDWjwbVRT//73njk
oOq3XS3I2jzd5r/jzwff7gn41IKag5Vin9J+wi15vGlPKzok+N4uk3ZN8fiR
319a0Z9M+9R82ow1EaHVK9pQo2b25fe0l86kn0x2bkMKc171jbTVKipMr6W2
oVpD59e/aG+N6Fh94FcbChPVkOL9734dmV20bnU7Sl92jiVF+5T60l/Cbu1o
jtV6Vou276x6VVd6O6pcwX98L+0H73c+KxxqRzylN9tO0X4VaR8QqdGBJlt7
f4TRrrS/fPzk6Q4k9m/eoRza7Rr3DAxfdqAOgat2LbQn5zJVFEY6kL1Xdhc/
PR+Uo7q6atw7EW+GifsR2noO8yWprzvRM+1bl+/S3qcp8ejmeCeaIkb4ymlf
/WD8r875LpRf8uaeNj0/I6MdYEluF1KdefvgFO3njt5yfVNdyPbIHoV02k2M
rOZor25kXCr8UIOe/8MfPxScKehGWkezIzxo88f2xBrPdaPyoGb+Qtpa2lIH
5q70IPPO/dZm9PoKcbpWf/h6Lwp/++nOA3r9+VfxvO4q6kUnSsu3DdO+vvr6
3eMzvaj8kILUdnr9ev65vueUex8yWfVGdYz24Qs3K70d+1GnaE2hG73+D3xn
pTAf9aOxPmOXGtrm+j5+fq39qPjhJh1dOj8MeXy33bb+iSKTciSE6HxZG+BX
9NBoABnmN86W0fmjNsD/YLnfAPJCDSc20fmkYuLvlVQygFZXWg6++C+/xAJ0
0/V+ofdtESuepBPAGx34snDNb6TZa3rgMZ1/tcnBST84Q0iwaTKBRefnJyER
n8O7h9CP+l9UNO0KlxD7rltDaIfFnTaNbDr/ogxEz/EOo/DTOTIOOQSYHTL8
eNlrGFldMLDvpvNZr2unQbArvU8I7B7diglYPLprU9reEWRa96fFrYruO02a
9p5nRpDijfOCZh8IICiJW1vujiCdX4KWGz7S5xvU1fStdgRpqr3dtYjuU6pK
ly6yrUfRujoe96oaAraYp+ba2o6hsRap/LQmuo+9EtQVOzGBDHwOyg8MEHAh
Zsjux60JFNlJaCz5TcClq3V+T9MmkNp2AQltun/d2JXQoD84geqbyhx9hwkI
7dL1dD49iazfHMvbPEZAKnE8u8RzCo0v1xdm0f2szb1M69zNGfTTRSa6WpyE
HxVsqeTHM6hOYt0lRZKEbzLbFxpLZ9ATC8Nv55eS8Lm05L0+exb5uj7+w5Uk
gSKKbdm+s0jn2e2j92RJiHuV7x/uN4feB21QyV1Bgu1o5o+XgQtod/zg+DjQ
fcdwuLjr2QLq1mTreWwhweK++tOlVQtI03sqdXQrCSrLG3QL2Qy609XxTuwg
QbbSgqmwgwGGtuydgnR/EZEyi+orY8B3X3+5I/tJGMw1eetZwQM1zXKnas+Q
oCxY7u7VwAOPdly9aeVOwiFr4Hr38MC+z0kHv3uQUDmuGeTL4oXXoYNG3edJ
eLJOwjICeEGX2D7N403//nlH/8s3vFCSOM5nc4uEu7MH72eX84LqzzHXgSD6
eOM607x6XvB3Grh4MYQE3Z/lWcWjvDBl+9I75g7d37jPL3/WYILs14/Mjnsk
GJ1T0ahFTEhWvevkEU3C1XdxHQ2mTDCXdzgmGEufv32YQasLE9Z8Nlda95Ae
P95TbDCZCb98C84G0/2TZ3i45E8OExyddZyVk+j/Q87nxsqYcHzDmoFCur+e
DOlUnapjQmvO5KhlCt2vmg99n+1iAp/SL59huu82q9UHM0aZ0Kl/+H4g3YeJ
S7uBxWTB8e3pOsp0XzaqqvjLz2GB8YKGGUX36WtSW54IK7Bgqi7waWU4CW+c
8q2WaLBA4M+q0Gm6Xw6+0RISRyw42ZXVg+nnpyyQXrDUlAUi/RZe71fS98+K
e1LKhgUvNMzc19Hz5W5SvIKsCwvS9TzLPjHp6xuTrFXwYoFyscr4zF96/xC+
aMOKaBbY9tvJpdUScLLTZ0AtmQUzuz1DS+j+laS58EAjhwXFwW8rrtLrj/jy
h1e3jgUX7zo23abzfWhxw4cdYmwwlu6fsTlL54PNHm8jeTa4/U8afz5OwKG0
92tN1dmwzFq975otnddGBZEWJmwoDt/2PtCIHt8v4fDRADYUSU9KlCvR+fXC
NSMtmg0Ot78vG5Oi1+v3DfOjKWxgmv36ZCRG5+OamlifSjbIPjBh28+Lw7k6
3oYkYT44In1HdVGTOOxQPGrSH8wHCWlxCb8jxKGnSGWjWxg/7BPf35MiKQ7x
fX/9sxP5YaXn0qLtHHE4wMEN8y/5QXdBLPqnEL1/dLDyuP2VH4Qmr64yneVA
9iL/zExCAOb053U9Wjnge6BfZSRSAH7+U+a85Cm9vx5PFT8fKwhPTjgo6W/k
gMS7vctTnwkC99ufPpYWB4TCJzRacgVBpvrRu+rVHBheu9V02zdBeOBx3ctN
gQMFrk3+oqQQaFt8b/8owAHzboH55BAhMG6LP8D3TQyu1zr0NV4TBrsO3oML
nmLQ8lKucNPxxWCbZ+X5N18ULO61+Q+EioLw5I+PTYki8PBJUOGuSA5oOE40
toUIA+ug62/2BQLE7i65lvREAD4dTnm67+ZSCC2ZPxp5ig2vF0vZTLhIwMRg
ehf7GC+oxCj08e+Sgjuqk75pVfNo+tzNuVQzGWgqWhKC/5lEA9PSIsm6sqAV
tSjZcfVfFH/Mr1ZaUR5C6hJ/e5n3otB/PgRJKiuA2vqCXL+oOiRyMnVLCbkc
Jnmc5mIuh+GibW8Ks6UUwejurLn6xDc852qnYymiBBt4L415yPViHv6a6FVz
SnBS192ryHcY6xieeWvEUAFN/1Pzu2LH8PSPtD7yrwpcM3bjuyI0jbe5VISa
jKvAp9389tHLpnHwTKeuz7QKvAllRqZrTGN5KemAUV4uxCcleJVZTmMDq4AV
X8W5kL1xy+q0xGkc/sXBOVSbC0f73rmZbpjBa8pkfwld4EJfccFI37+z+LzF
xvAtl7nAvyQmSN99Fhd3WehdvMYFfTOLzlu+s9icGRzUH8AF6XM15WTqLPaC
GbWKGC4MOhkcbBmZxRV5Da4+BVxoGVNW3nJzDnOMRshCigu3frjt04ycw4ca
RYpGS7mwKmyZlkzyHB6a2C5y9CMXxteHcJqr5vBS7VfpW1q40G5kulpcfB4f
Lq22vNjBhV01RkOfleZxitnA/IseLshnxf3rrzOP9c4s360wRI834mrRtX8e
+/JsnrAe4YKxz1Sd/4l5/Dl0f1zoBBf46njY3MvzWErew6BihgvhZ4iOopB5
/P/vK4GbTbnsiZ/H/wcxOqkr
                "]]}, "Charting`Private`Tag$884393462#3"]}}, {}}, {
          DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, DisplayFunction -> Identity, DisplayFunction -> Identity, 
           Ticks -> {Automatic, Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }, 
           AxesOrigin -> {0, -4.114079804765209}, FrameTicks -> {{Quiet[
               Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
              Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
           GridLines -> {None, None}, DisplayFunction -> Identity, 
           PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.05], 
              Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All, 
           DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None, "ClippingRange" -> {{{-11.999999510204082`, 
              11.999999510204082`}, {-4.114079804765209, 
              5.421651826249855}}, {{-11.999999510204082`, 
              11.999999510204082`}, {-4.114079804765209, 
              5.421651826249855}}}}, DisplayFunction -> Identity, AspectRatio -> 
           GoldenRatio^(-1), Axes -> {True, True}, AxesLabel -> {None, None}, 
           AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
           CoordinatesToolOptions -> {"DisplayFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& ), "CopiedValueFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& )}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
              Style["Position along Y (\[Micro]m)", FontSize -> 16], 
              "Thermal cloud profile"}}, FrameStyle -> 
           Directive[FontSize -> 16], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, PlotRange -> {All, All}, PlotRangeClipping -> True, 
           PlotRangePadding -> {{Automatic, Automatic}, {
             Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           LineLegend[{
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.560181, 0.691569, 0.194885], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]]}, {
            "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {Left, Top}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {580.5, -189.}, {Center, Center}, {360., 360.}], 
    InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{{}, {}, {}, {}, 
            TagBox[
             {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0Hk81PsfxfFJIdmZyb59U7KVZMvSvDGWhMKVUlkuQtkmJSFcCZUtYUpE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               "]]},
             Annotation[#, "Charting`Private`Tag$884399551#3"]& ]}, {}}, 
          InsetBox[
           TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
            "LineLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"LineLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                   "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{Automatic, -9.493606630286605},
         BaseStyle->{FontSize -> 14},
         CoordinatesToolOptions:>{"DisplayFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& )},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Position along Z (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], 
            FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
         FrameStyle->Directive[FontSize -> 16],
         FrameTicks->FrontEndValueCache[{{Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
             Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
             
             Charting`ScaledFrameTicks[{
              Identity, Identity}]}}, {{{{-9.210340371976182, 
               FormBox[
                TemplateBox[{"10", 
                  RowBox[{"-", "4"}]}, "Superscript", SyntaxForm -> 
                 SuperscriptBox], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox["0.001`", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.010\"", 0.01, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 3}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.100\"", 0.1, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 3}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox["1", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox["10", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox["100", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.819778284410283`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.41431317630212, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.126631103850338`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.903487552536127, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.721165995742174, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.567015315914915, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.433483923290392, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.315700887634009, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.111728083308073, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.824046010856292, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.418580902748128, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.264430222920869, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.1308988302963465`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.013115794639964, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.809142990314028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.521460917862246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.115995809754082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.961845129926823, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.710530701645918, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.294049640102028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.699514748210191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.85366542803745, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}, {{-9.210340371976182, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.819778284410283`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.41431317630212, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.126631103850338`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.903487552536127, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.721165995742174, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.567015315914915, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.433483923290392, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.315700887634009, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.111728083308073, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.824046010856292, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.418580902748128, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.264430222920869, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.1308988302963465`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.013115794639964, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.809142990314028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.521460917862246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.115995809754082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.961845129926823, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.710530701645918, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.294049640102028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.699514748210191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.85366542803745, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {500., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1000., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1500., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-500., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-400., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-300., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-200., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-100., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {100., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {200., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {300., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {400., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {600., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {700., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {800., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {900., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1100., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1200., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1300., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1400., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1600., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1700., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1800., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1900., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2000., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}}],
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImagePadding->All,
         ImageSize->Medium,
         Method->{
          "DefaultBoundaryStyle" -> Automatic, 
           "DefaultGraphicsInteraction" -> {
            "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
             "Effects" -> {
              "Highlight" -> {"ratio" -> 2}, 
               "HighlightPoint" -> {"ratio" -> 2}, 
               "Droplines" -> {
                "freeformCursorMode" -> True, 
                 "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
           "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
           None},
         PlotRange->{All, All},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.05], 
            Scaled[0.05]}},
         Ticks->{Automatic, Quiet[
            Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{{{}, {}, {}, {}, 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.560181, 0.691569, 0.194885], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwV0Hk81PsfxfFJIdmZyb59U7KVZMvSvDGWhMKVUlkuQtkmJSFcCZUtYUpE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                "]]}, "Charting`Private`Tag$884399551#3"]}}, {}}, {
          DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, DisplayFunction -> Identity, DisplayFunction -> Identity, 
           Ticks -> {Automatic, Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }, 
           AxesOrigin -> {Automatic, -9.493606630286605}, 
           FrameTicks -> {{Quiet[
               Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
              Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
           GridLines -> {None, None}, DisplayFunction -> Identity, 
           PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.05], 
              Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All, 
           DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None, "ClippingRange" -> {{{0.00003061224489795918, 
              1499.9999693877553`}, {-9.493606630286605, 
              5.420362701157899}}, {{0.00003061224489795918, 
              1499.9999693877553`}, {-9.493606630286605, 
              5.420362701157899}}}}, DisplayFunction -> Identity, AspectRatio -> 
           GoldenRatio^(-1), Axes -> {True, True}, AxesLabel -> {None, None}, 
           AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
           CoordinatesToolOptions -> {"DisplayFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& ), "CopiedValueFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& )}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
              Style["Position along Z (\[Micro]m)", FontSize -> 16], 
              "Thermal cloud profile"}}, FrameStyle -> 
           Directive[FontSize -> 16], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, PlotRange -> {All, All}, PlotRangeClipping -> True, 
           PlotRangePadding -> {{Automatic, Automatic}, {
             Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           LineLegend[{
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.560181, 0.691569, 0.194885], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]]}, {
            "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {967.5, -189.}, {Center, Center}, {360., 360.}]}, {}},
  ContentSelectable->True,
  ImageSize->{1078., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{3.8402420859046993`*^9, 3.8402510122775493`*^9, 
  3.8403451515867352`*^9},
 CellLabel->
  "Out[129]=",ExpressionUUID->"325adc05-5021-4441-80d5-2e6a2393c052"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Calibration of results with Innsbruck experiment", "Section",
 CellChangeTimes->{{3.721657938130308*^9, 3.721657962491701*^9}, {
   3.781243177526231*^9, 3.7812431817364717`*^9}, {3.7954415066110077`*^9, 
   3.7954415107962465`*^9}, {3.795441701735168*^9, 3.7954417020581865`*^9}, 
   3.815741211214141*^9, {3.840169009311469*^9, 
   3.840169009559514*^9}},ExpressionUUID->"5a99d29b-be84-4ffa-b4cf-\
644a7c366614"],

Cell[CellGroupData[{

Cell["Input parameters", "Subsection",
 CellChangeTimes->{{3.720181220017393*^9, 3.7201812301199703`*^9}, {
  3.7812432431539845`*^9, 
  3.7812432476842437`*^9}},ExpressionUUID->"fd5a7f0e-6cc7-493f-bca4-\
30a00db45223"],

Cell[CellGroupData[{

Cell["DT parameters", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 
  3.6822405592526093`*^9}},ExpressionUUID->"e240a68e-b39c-49c6-971f-\
ddbe92916455"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]DipIPG", " ", "=", " ", 
   RowBox[{"1064.8", " ", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "9"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]PolarIPGSr", " ", "=", " \[InvisibleSpace]", "234."}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xOffset", " ", "=", " ", 
   RowBox[{"0.", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yOffset", " ", "=", 
   RowBox[{"0.", "*", " ", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zOffset", " ", "=", 
    RowBox[{"0.", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]Tab", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG", ",", "\[Lambda]DipIPG"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]Tab", " ", "=", 
   RowBox[{"{", 
    RowBox[{
    "\[Alpha]PolarIPGSr", ",", "\[Alpha]PolarIPGSr", ",", 
     "\[Alpha]PolarIPGSr"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MsquaredTab", " ", "=", 
   RowBox[{"{", 
    RowBox[{"1.", ",", "1.", ",", "1."}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PowerTab", "=", 
    RowBox[{"{", 
     RowBox[{"0.743", ",", "1.748", ",", "0.0396"}], "}"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WaistXTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"297.", ",", "17.32", ",", "22.41"}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WaistYTab", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"297.", ",", "298.2", ",", "22.41"}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Theta]Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "90.", ",", "0."}], "}"}], "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"90.", ",", "0.", ",", "90."}], "}"}], "*", 
    RowBox[{"Pi", "/", "180"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"X0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Y0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Z0Tab", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "3"}], ")"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.719734073769492*^9, 3.7197341228395596`*^9}, {3.7197341865133104`*^9, 
   3.7197342789691334`*^9}, {3.7197343148477635`*^9, 3.719734336700366*^9}, {
   3.7197343764349933`*^9, 3.7197344120350423`*^9}, {3.7197344514142857`*^9, 
   3.71973448305433*^9}, {3.7197361695534525`*^9, 3.71973652993395*^9}, {
   3.7197367287202907`*^9, 3.719736825700424*^9}, {3.719736863871477*^9, 
   3.7197368791314983`*^9}, {3.7197369247040195`*^9, 
   3.7197370245241575`*^9}, {3.719737184228448*^9, 3.7197371935384607`*^9}, {
   3.7197372908300533`*^9, 3.719737365114664*^9}, {3.719737398126776*^9, 
   3.7197374618533916`*^9}, {3.719737517591997*^9, 3.7197375178019977`*^9}, {
   3.719737585322091*^9, 3.7197376399442005`*^9}, {3.7197376841172633`*^9, 
   3.7197376898272715`*^9}, {3.7197377431993933`*^9, 3.719737889667735*^9}, {
   3.719737927819822*^9, 3.7197379435098433`*^9}, {3.7197380047919617`*^9, 
   3.7197380477640553`*^9}, {3.719738224646333*^9, 3.719738225226334*^9}, {
   3.719739819974985*^9, 3.7197398206549854`*^9}, {3.719739887487097*^9, 
   3.7197398877670975`*^9}, {3.7197400449833655`*^9, 3.719740045333366*^9}, {
   3.719740312335746*^9, 3.719740312475746*^9}, {3.7197403835278645`*^9, 
   3.7197403850878663`*^9}, {3.719821996481608*^9, 3.719822001997924*^9}, {
   3.7198220621013613`*^9, 3.7198220657915726`*^9}, {3.719822105493843*^9, 
   3.719822109667082*^9}, {3.719822161757061*^9, 3.719822166407327*^9}, {
   3.719822208055709*^9, 3.7198222117679214`*^9}, {3.7198237503968167`*^9, 
   3.7198237509768176`*^9}, {3.7198237831788635`*^9, 
   3.7198237898588724`*^9}, {3.7198239502711134`*^9, 
   3.7198239509111147`*^9}, {3.7198241242633643`*^9, 3.719824153265425*^9}, {
   3.719824211517519*^9, 3.719824252869594*^9}, {3.7198242873516583`*^9, 
   3.7198243196737204`*^9}, {3.719837823583614*^9, 3.7198378987177553`*^9}, {
   3.7198379468598375`*^9, 3.719837947929839*^9}, {3.719837995351921*^9, 
   3.719837996601923*^9}, {3.7198380967420607`*^9, 3.7198380970420613`*^9}, {
   3.7198382877323246`*^9, 3.719838289962328*^9}, {3.7198384641025677`*^9, 
   3.7198384643025684`*^9}, {3.719838531044673*^9, 3.719838531554674*^9}, {
   3.719838619129826*^9, 3.719838619309826*^9}, 3.719838684291926*^9, 
   3.7198387330140142`*^9, {3.7198387736260843`*^9, 3.719838774556086*^9}, {
   3.7198388554882135`*^9, 3.7198388563582144`*^9}, {3.719838902520297*^9, 
   3.7198389032202983`*^9}, {3.719838986942433*^9, 3.719838987212433*^9}, {
   3.7198391303526306`*^9, 3.719839131262632*^9}, {3.719840417788425*^9, 
   3.71984049419853*^9}, {3.7198406187707143`*^9, 3.719840619910716*^9}, {
   3.719905054109453*^9, 3.7199050737994804`*^9}, {3.7199060923484554`*^9, 
   3.719906100058466*^9}, {3.7199061624505644`*^9, 3.719906163720566*^9}, {
   3.719906196412629*^9, 3.719906197752631*^9}, {3.7199063525548563`*^9, 
   3.7199063530148563`*^9}, {3.7199064525380077`*^9, 3.719906462448022*^9}, {
   3.719922144132188*^9, 3.7199221493821955`*^9}, {3.7199221815242577`*^9, 
   3.7199222077563066`*^9}, {3.7199222404183645`*^9, 
   3.7199222409083652`*^9}, {3.7199223100624876`*^9, 3.719922310582488*^9}, {
   3.719922357614565*^9, 3.7199223578045654`*^9}, {3.71992239366663*^9, 
   3.71992239405663*^9}, {3.7199224355186987`*^9, 3.7199224358386993`*^9}, {
   3.719922469890757*^9, 3.7199224707307587`*^9}, {3.719922530632856*^9, 
   3.7199225322328587`*^9}, {3.7201606252342777`*^9, 3.720160628840484*^9}, {
   3.7201730442847676`*^9, 3.7201730451358166`*^9}, {3.720173190240116*^9, 
   3.7201731993096347`*^9}, {3.720173247575395*^9, 3.7201732477894077`*^9}, 
   3.720173285526566*^9, {3.720173320860587*^9, 3.7201733234547353`*^9}, {
   3.720173364994111*^9, 3.7201733672892427`*^9}, {3.7201734215763474`*^9, 
   3.720173427280674*^9}, {3.720173470132125*^9, 3.720173472943286*^9}, {
   3.720173566256623*^9, 3.72017356655764*^9}, {3.720173683311318*^9, 
   3.720173684201369*^9}, 3.7201741942425413`*^9, {3.7201742531269093`*^9, 
   3.720174253699942*^9}, {3.7201742940902524`*^9, 3.72017431712457*^9}, {
   3.7201758083938656`*^9, 3.7201758099729557`*^9}, {3.720180328271388*^9, 
   3.720180328585406*^9}, {3.7201806002729454`*^9, 3.7201806007049704`*^9}, 
   3.72018140949223*^9, {3.720181724486247*^9, 3.720181724597253*^9}, 
   3.7201818653313026`*^9, {3.7201821144325504`*^9, 3.7201821148715754`*^9}, {
   3.7201822608799267`*^9, 3.7201822611589427`*^9}, 3.720182378003626*^9, {
   3.72018247808335*^9, 3.720182478925398*^9}, {3.720182547301309*^9, 
   3.720182547962347*^9}, 3.720182654228425*^9, {3.7201828061421137`*^9, 
   3.720182807422187*^9}, {3.720183360003793*^9, 3.7201833604458184`*^9}, {
   3.720183414743924*^9, 3.7201834150529413`*^9}, {3.7201848613202066`*^9, 
   3.7201849357254624`*^9}, {3.72018496715226*^9, 3.720184976040768*^9}, {
   3.72018500649151*^9, 3.7201850570264006`*^9}, {3.7201850970656905`*^9, 
   3.7201850989948006`*^9}, {3.7201851572601333`*^9, 3.720185159441258*^9}, {
   3.7201852260940704`*^9, 3.720185226629101*^9}, {3.7201852616201024`*^9, 
   3.7201852635282116`*^9}, {3.720185341325661*^9, 3.7201853751045933`*^9}, {
   3.7201854524520173`*^9, 3.720185456458246*^9}, {3.720185852238884*^9, 
   3.720185854181995*^9}, {3.720185884528731*^9, 3.720185890064047*^9}, {
   3.720185981268264*^9, 3.720185981762292*^9}, {3.720186411158852*^9, 
   3.7201864115118723`*^9}, {3.7201865075153637`*^9, 3.720186526702461*^9}, {
   3.7201866649373674`*^9, 3.720186735660413*^9}, {3.720186917196796*^9, 
   3.720186919614934*^9}, {3.720186951679768*^9, 3.7201870534245872`*^9}, {
   3.720187088828613*^9, 3.720187102890417*^9}, {3.720187190237413*^9, 
   3.7201872672848196`*^9}, {3.7201873194828053`*^9, 
   3.7201873362667656`*^9}, {3.7201873976742773`*^9, 
   3.7201874140382137`*^9}, {3.720187462436982*^9, 3.7201874646341076`*^9}, {
   3.720187511310777*^9, 3.7201875163470654`*^9}, {3.7201876386170588`*^9, 
   3.7201876576211457`*^9}, {3.7201876933631897`*^9, 
   3.7201876984614816`*^9}, {3.720187743972085*^9, 3.72018774475513*^9}, {
   3.7201879895351305`*^9, 3.720187997171567*^9}, {3.720188283798961*^9, 
   3.72018833972616*^9}, {3.7201886960805426`*^9, 3.720188729831473*^9}, {
   3.7201900034323187`*^9, 3.7201900099566917`*^9}, {3.72024544489887*^9, 
   3.7202454753026094`*^9}, {3.7202455655027685`*^9, 
   3.7202455680619144`*^9}, {3.7202456150726037`*^9, 
   3.7202456155406303`*^9}, {3.720245658944113*^9, 3.72024566379139*^9}, {
   3.7202456939011126`*^9, 3.720245694157127*^9}, {3.720245886740142*^9, 
   3.720245888816261*^9}, {3.720245952024876*^9, 3.7202459609863887`*^9}, {
   3.7202462358368483`*^9, 3.7202462416468563`*^9}, {3.7202462956109676`*^9, 
   3.720246298710972*^9}, {3.720246406543135*^9, 3.72024641008314*^9}, 
   3.720246643135479*^9, {3.7202467104675894`*^9, 3.7202467408176312`*^9}, {
   3.720246788287697*^9, 3.720246788477697*^9}, {3.720246831309776*^9, 
   3.720246881871866*^9}, {3.720249855124486*^9, 3.7202498722445097`*^9}, {
   3.7202499266066027`*^9, 3.7202499267666025`*^9}, {3.720249979878691*^9, 
   3.720249980178692*^9}, {3.720250039650789*^9, 3.720250039980789*^9}, {
   3.72025009069287*^9, 3.7202500933228736`*^9}, {3.7202502108570633`*^9, 
   3.720250224367082*^9}, {3.7202502749691715`*^9, 3.720250308879218*^9}, {
   3.720250408659356*^9, 3.7202504090493565`*^9}, {3.7202504392093983`*^9, 
   3.7202504583794246`*^9}, {3.7202505265815353`*^9, 
   3.7202505320615425`*^9}, {3.7202505913636446`*^9, 3.720250605963665*^9}, {
   3.7202507560158863`*^9, 3.7202507662659006`*^9}, {3.7202508056259546`*^9, 
   3.7202508370759983`*^9}, {3.7202508860580816`*^9, 
   3.7202508870980835`*^9}, {3.7202690803201017`*^9, 3.720269087170111*^9}, {
   3.720270034685447*^9, 3.72027003670545*^9}, {3.7202700716575155`*^9, 
   3.7202700782675247`*^9}, {3.7202701196195974`*^9, 
   3.7202701223796005`*^9}, {3.7202740675530834`*^9, 
   3.7202740680330844`*^9}, {3.720276648361673*^9, 3.7202766586116867`*^9}, {
   3.720276812983918*^9, 3.7202768167539234`*^9}, {3.7202815621345186`*^9, 
   3.720281562774519*^9}, {3.720281662286667*^9, 3.7202816626866674`*^9}, {
   3.720281710328745*^9, 3.7202817154587517`*^9}, {3.7207791762553525`*^9, 
   3.7207791862653666`*^9}, 3.720781067202996*^9, 3.7207810990060587`*^9, 
   3.7207811677301674`*^9, {3.721128157070932*^9, 3.721128195819148*^9}, {
   3.721128248279149*^9, 3.721128254961531*^9}, {3.7211282913126106`*^9, 
   3.721128292862699*^9}, {3.721128779887555*^9, 3.721128780029563*^9}, {
   3.721129757507472*^9, 3.721129790841378*^9}, {3.721130293308118*^9, 
   3.7211302953942375`*^9}, {3.7211303824512167`*^9, 3.721130382846239*^9}, 
   3.721130449387045*^9, 3.7211305112905855`*^9, {3.721130582994687*^9, 
   3.7211305889670286`*^9}, {3.721137585980235*^9, 3.721137590984521*^9}, {
   3.72138433762089*^9, 3.721384365044459*^9}, {3.72138446857238*^9, 
   3.7213844734666605`*^9}, 3.7214566882425437`*^9, {3.7214567641198835`*^9, 
   3.7214567645769095`*^9}, 3.721485717648896*^9, {3.72148596923489*^9, 
   3.721485999667631*^9}, 3.7214864469942164`*^9, 3.721487139612832*^9, 
   3.721487360555469*^9, {3.721487403498925*^9, 3.7214874269062643`*^9}, {
   3.721489159766378*^9, 3.72148923830087*^9}, 3.7214894079405727`*^9, {
   3.721494619480902*^9, 3.72149464495243*^9}, {3.7215764359042506`*^9, 
   3.721576456089405*^9}, {3.721576514209729*^9, 3.721576524058293*^9}, {
   3.721576862167631*^9, 3.7215769379309645`*^9}, {3.7215806227807436`*^9, 
   3.721580628194953*^9}, {3.7215808491452017`*^9, 3.7215808561464157`*^9}, {
   3.7215809279677477`*^9, 3.721580930493353*^9}, {3.7215809780816402`*^9, 
   3.7215810901650476`*^9}, {3.7215816241029406`*^9, 3.721581625445543*^9}, {
   3.721631047917037*^9, 3.721631064414336*^9}, {3.721657873684622*^9, 
   3.721657916823089*^9}, {3.750685294502102*^9, 3.7506853139022117`*^9}, {
   3.7789363888513436`*^9, 3.778936394522668*^9}, {3.7954389322927647`*^9, 
   3.795438942443345*^9}, {3.8401807857527018`*^9, 3.8401808362325525`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"2cf4eaa5-cc02-4d1b-8afd-31107ee796ef"]
}, Closed]],

Cell[CellGroupData[{

Cell["Atomic cloud parameters", "Item",
 CellChangeTimes->{{3.670601207082728*^9, 3.670601214202738*^9}, {
  3.682245787232095*^9, 
  3.6822458075121226`*^9}},ExpressionUUID->"bed8cbb3-e49d-42f7-915f-\
d0c747dc9aa5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"mAssSr", " ", "=", "  ", 
    RowBox[{"mSr84", "/", "au"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "au"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aScat", " ", "=", " ", 
    RowBox[{"a1S0iso84", " ", "/", "aB"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Innsbruck", " ", "experiment"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TempCloud", " ", "=", 
    RowBox[{"0.944", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "K"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NatBECTest", " ", "=", " ", 
    RowBox[{"1.11", "*", 
     RowBox[{"10", "^", "5."}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"calculation", " ", "boundaries"}], ",", " ", 
    RowBox[{
    "usually", " ", "no", " ", "need", " ", "to", " ", "change", " ", 
     "them"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xMaxBEC", "=", " ", 
    RowBox[{"15.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yMaxBEC", "=", 
    RowBox[{"13.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zMaxBEC", " ", "=", " ", 
    RowBox[{"15.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xMaxBEC2", "=", " ", 
    RowBox[{"9.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yMaxBEC2", "=", 
    RowBox[{"6.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zMaxBEC2", " ", "=", " ", 
    RowBox[{"9.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"xMaxTh", " ", "=", " ", 
    RowBox[{"500.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"yMaxTh", " ", "=", " ", 
    RowBox[{"17.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"zMaxTh", " ", "=", " ", 
    RowBox[{"2000.", "*", 
     RowBox[{
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}]}], "/", "aB"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "atomic", " ", "unit", " ", "aB"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Average isotropic temperature: \>\"", ",", 
   RowBox[{"TempCloud", "*", 
    RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]K\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.6705060134472785`*^9, 3.6705063316287174`*^9}, {
   3.6705063744487767`*^9, 3.6705064550088882`*^9}, {3.6705064915209384`*^9, 
   3.6705066804911995`*^9}, {3.6705067293012667`*^9, 
   3.6705067436812863`*^9}, {3.6705067859413447`*^9, 
   3.6705069103915167`*^9}, {3.670506994671633*^9, 3.670507004841647*^9}, {
   3.6705070450017023`*^9, 3.6705070570017185`*^9}, {3.670507155592855*^9, 
   3.6705072480429826`*^9}, {3.6705073453731165`*^9, 
   3.6705074762032976`*^9}, {3.6705075128933477`*^9, 
   3.6705075464433947`*^9}, {3.6705076435935287`*^9, 3.670507732093651*^9}, {
   3.6705077943837366`*^9, 3.67050780425375*^9}, {3.670507841103801*^9, 
   3.67050785488382*^9}, {3.6705078886138663`*^9, 3.670508298995433*^9}, {
   3.670508350655504*^9, 3.6705083639855223`*^9}, {3.6705084949957037`*^9, 
   3.6705085146357307`*^9}, {3.670508578955819*^9, 3.67050857974582*^9}, {
   3.6705086805159597`*^9, 3.670508683825964*^9}, {3.6705087410160427`*^9, 
   3.6705087421260443`*^9}, {3.670573259870878*^9, 3.670573260580879*^9}, {
   3.670573799502623*^9, 3.6705738439226847`*^9}, 3.670573964732851*^9, {
   3.670574161783123*^9, 3.670574173363139*^9}, {3.6705807735689363`*^9, 
   3.670580876689079*^9}, {3.670582695557665*^9, 3.6705827393377256`*^9}, {
   3.6705829178889723`*^9, 3.6705830030990896`*^9}, {3.670583037049136*^9, 
   3.6705830517691565`*^9}, {3.6705832267993984`*^9, 3.670583231519405*^9}, {
   3.670583317249523*^9, 3.670583320369528*^9}, {3.6705834934607663`*^9, 
   3.6705835058607836`*^9}, {3.670583790251176*^9, 3.6705838326412344`*^9}, {
   3.670590191043731*^9, 3.6705902075337543`*^9}, {3.670598515862998*^9, 
   3.6705985291030164`*^9}, {3.6705986458441772`*^9, 3.670598648004181*^9}, {
   3.670599387396201*^9, 3.670599390976206*^9}, 3.6706000391371145`*^9, {
   3.6706001227672305`*^9, 3.670600123187231*^9}, {3.6706008937622957`*^9, 
   3.670600894082296*^9}, {3.6706011683326745`*^9, 3.670601184712697*^9}, {
   3.6706014644630833`*^9, 3.67060149128312*^9}, {3.6706016133252897`*^9, 
   3.6706017087674227`*^9}, {3.67060178660853*^9, 3.670601786898531*^9}, {
   3.670602023529857*^9, 3.6706020296098657`*^9}, {3.681796547646595*^9, 
   3.68179656731472*^9}, {3.681797131609996*^9, 3.6817971388794117`*^9}, {
   3.6817972567821555`*^9, 3.681797331213413*^9}, {3.681797368280533*^9, 
   3.6817974673552*^9}, {3.6817975085815573`*^9, 3.6817976178398066`*^9}, {
   3.681797659052164*^9, 3.681797812867962*^9}, {3.6817978757445583`*^9, 
   3.6817978793017616`*^9}, {3.681807018798511*^9, 3.681807042754881*^9}, {
   3.681807083724224*^9, 3.681807111816831*^9}, {3.681807143248629*^9, 
   3.681807150640052*^9}, {3.681807344880162*^9, 3.6818074633809395`*^9}, {
   3.681807508964547*^9, 3.681807615773656*^9}, {3.681807715169341*^9, 
   3.6818077306652274`*^9}, {3.681807852271183*^9, 3.6818079106415215`*^9}, 
   3.68180801814267*^9, {3.681808274467331*^9, 3.681808274658342*^9}, 
   3.681808307765236*^9, {3.6818084611120067`*^9, 3.6818084717686157`*^9}, {
   3.681808582119928*^9, 3.681808583852027*^9}, {3.6818105383788195`*^9, 
   3.681810538846846*^9}, {3.681810620697528*^9, 3.6818106219806013`*^9}, {
   3.6818106952397914`*^9, 3.6818107028912287`*^9}, {3.6818107968846054`*^9, 
   3.681810797284628*^9}, {3.6818109962380075`*^9, 3.681811026996767*^9}, 
   3.6818119686246247`*^9, {3.6818129889259825`*^9, 3.681812990653082*^9}, 
   3.681816711875923*^9, 3.6818177996871424`*^9, 3.68181794738059*^9, {
   3.6818179854647684`*^9, 3.6818179867998447`*^9}, {3.681820529102256*^9, 
   3.681820547859329*^9}, {3.681820580440192*^9, 3.6818206410246572`*^9}, {
   3.681820690053462*^9, 3.681820721388254*^9}, {3.681821022415472*^9, 
   3.681821043671688*^9}, {3.6818211259833956`*^9, 3.681821150269785*^9}, {
   3.6818212009416833`*^9, 3.6818212011406946`*^9}, {3.681824335980997*^9, 
   3.6818243369340515`*^9}, 3.6818244684665747`*^9, {3.6818245149492335`*^9, 
   3.6818245506302743`*^9}, {3.681825864488423*^9, 3.681825899984453*^9}, {
   3.6818259826361804`*^9, 3.6818259908306494`*^9}, {3.6818260275877514`*^9, 
   3.6818260287698193`*^9}, 3.6818280916898117`*^9, {3.6818288250697584`*^9, 
   3.681828827328888*^9}, 3.6818290074781914`*^9, {3.681829062977366*^9, 
   3.681829070411791*^9}, {3.6818293416073027`*^9, 3.6818293627585125`*^9}, {
   3.681829454208743*^9, 3.681829477492075*^9}, {3.681829613048828*^9, 
   3.6818296146449194`*^9}, {3.6822462620947514`*^9, 
   3.6822464538750157`*^9}, {3.682246591646206*^9, 3.682246591816206*^9}, {
   3.6822474960034723`*^9, 3.682247513623496*^9}, {3.682247582903592*^9, 
   3.6822475928536053`*^9}, {3.6822478770090003`*^9, 
   3.6822478820490074`*^9}, {3.685010030523532*^9, 3.68501009621929*^9}, {
   3.685014872111455*^9, 3.6850148730475087`*^9}, {3.6850164266803713`*^9, 
   3.6850164585361934`*^9}, {3.6855557250394945`*^9, 
   3.6855557549752064`*^9}, {3.6855558013118567`*^9, 
   3.6855558437682853`*^9}, {3.6855558870157585`*^9, 3.685555890903981*^9}, {
   3.6855559436719995`*^9, 3.6855559714955907`*^9}, {3.685556075104517*^9, 
   3.685556089167321*^9}, 3.6855561455435457`*^9, {3.6855561905291185`*^9, 
   3.6855561932312737`*^9}, {3.6855562510345793`*^9, 3.6855562640403233`*^9}, 
   3.6855563550725303`*^9, 3.6855568176889906`*^9, {3.68573287729165*^9, 
   3.6857329090194645`*^9}, {3.68573300300384*^9, 3.685733003683879*^9}, {
   3.6857331369315*^9, 3.6857331382275743`*^9}, {3.685733202180232*^9, 
   3.6857332028912725`*^9}, {3.6857332388833313`*^9, 
   3.6857332399873943`*^9}, {3.685733317099805*^9, 3.6857333178278465`*^9}, 
   3.685733413940344*^9, 3.6857334529315743`*^9, {3.6857334881165867`*^9, 
   3.6857334889876366`*^9}, {3.6859578096957517`*^9, 
   3.6859578106257524`*^9}, {3.704200696130089*^9, 3.704200698570092*^9}, {
   3.7042007723602085`*^9, 3.7042007731602097`*^9}, {3.7042008289802866`*^9, 
   3.704200917850409*^9}, {3.7042009501024733`*^9, 3.704200952212476*^9}, {
   3.7201755125559444`*^9, 3.7201755140330296`*^9}, {3.720175564314905*^9, 
   3.720175591389454*^9}, {3.720175642783393*^9, 3.720175643107412*^9}, {
   3.7201757938260326`*^9, 3.7201757941750526`*^9}, {3.7201758461130233`*^9, 
   3.7201758476561112`*^9}, 3.7201766222334146`*^9, {3.7201767201350145`*^9, 
   3.7201767212770796`*^9}, {3.720177128742385*^9, 3.7201771292504144`*^9}, {
   3.7201789623262606`*^9, 3.720178972006814*^9}, {3.7201798346011515`*^9, 
   3.7201798424526005`*^9}, {3.720179890473347*^9, 3.7201798925454655`*^9}, {
   3.720180344477315*^9, 3.7201803454193687`*^9}, {3.7201807028648133`*^9, 
   3.7201807046289144`*^9}, {3.7201808673092194`*^9, 
   3.7201808683202767`*^9}, {3.720180988405145*^9, 3.720180990220249*^9}, {
   3.720181185125397*^9, 3.7201811866854863`*^9}, {3.7201813275725446`*^9, 
   3.72018132784156*^9}, 3.720181932156125*^9, 3.7201822640471077`*^9, 
   3.7201824745211463`*^9, 3.720182804792037*^9, {3.7201849637070627`*^9, 
   3.720184964101085*^9}, 3.7201854708680706`*^9, {3.7211286601607075`*^9, 
   3.7211286604147215`*^9}, {3.7211337024261084`*^9, 3.721133702750127*^9}, 
   3.721137579847884*^9, {3.721379286480474*^9, 3.721379286750474*^9}, {
   3.7213793450515547`*^9, 3.7213793483415594`*^9}, {3.721384481819138*^9, 
   3.7213844833462253`*^9}, {3.721384538867401*^9, 3.721384543786682*^9}, {
   3.7213845760175257`*^9, 3.721384585865089*^9}, {3.7213846220261574`*^9, 
   3.72138462381726*^9}, {3.7213846760572476`*^9, 3.7213846769292974`*^9}, {
   3.721384743289093*^9, 3.7213847474403305`*^9}, {3.721386762107337*^9, 
   3.7213867790573063`*^9}, {3.72138700168904*^9, 3.721387008903453*^9}, {
   3.7214670579431496`*^9, 3.721467062934435*^9}, 3.7214856658705573`*^9, {
   3.7214859763872995`*^9, 3.7214859797394905`*^9}, {3.7214870769562483`*^9, 
   3.721487104522825*^9}, 3.72148734204241*^9, 3.721487449937581*^9, 
   3.7214874986563683`*^9, {3.7214875905926266`*^9, 3.7214876246735754`*^9}, {
   3.7214881181398*^9, 3.721488132531624*^9}, {3.721489100463986*^9, 
   3.7214891046052227`*^9}, 3.7214892551088314`*^9, {3.721546352188744*^9, 
   3.721546391259979*^9}, {3.721549009718418*^9, 3.7215490214418497`*^9}, 
   3.72154922985345*^9, {3.7215553600231857`*^9, 3.7215553627373924`*^9}, {
   3.7215769527418118`*^9, 3.7215769661575794`*^9}, {3.721580537983374*^9, 
   3.7215805407933793`*^9}, {3.7215808785478573`*^9, 
   3.7215808863286715`*^9}, {3.7215812264577065`*^9, 3.721581231604518*^9}, {
   3.7215813172904806`*^9, 3.7215813380225205`*^9}, {3.721581508508638*^9, 
   3.721581518970657*^9}, {3.72158155203812*^9, 3.7215816084078684`*^9}, {
   3.7215822265764112`*^9, 3.721582230456633*^9}, {3.7215822899530363`*^9, 
   3.721582290104045*^9}, {3.7215836899177103`*^9, 3.721583690925768*^9}, 
   3.721583758743647*^9, {3.721631034405193*^9, 3.7216310405299*^9}, {
   3.7216310828974514`*^9, 3.721631084731888*^9}, {3.7216331859399176`*^9, 
   3.7216332418981185`*^9}, {3.7216332736829367`*^9, 3.721633275859061*^9}, {
   3.721635244477659*^9, 3.721635245516719*^9}, {3.721635280830739*^9, 
   3.7216353314116316`*^9}, 3.7216517987929225`*^9, {3.7216518854088764`*^9, 
   3.7216519380468874`*^9}, {3.72165202639194*^9, 3.721652083278194*^9}, 
   3.7216521260156384`*^9, {3.721652165086873*^9, 3.721652165324887*^9}, {
   3.721652271309949*^9, 3.72165231976472*^9}, {3.7216523524375887`*^9, 
   3.721652352644601*^9}, {3.721652450397192*^9, 3.7216524715083995`*^9}, {
   3.721652526492544*^9, 3.721652526643553*^9}, {3.7216526905949306`*^9, 
   3.7216526910579567`*^9}, {3.721652734842461*^9, 3.721652735377492*^9}, {
   3.7216528234585295`*^9, 3.721652823953558*^9}, {3.721653283814861*^9, 
   3.721653299117736*^9}, 3.7216563206897955`*^9, 3.7216565295607424`*^9, 
   3.7216569405092473`*^9, 3.7216571111480074`*^9, {3.7216571666191797`*^9, 
   3.721657166819192*^9}, {3.721657205099381*^9, 3.721657205193386*^9}, 
   3.7216573151136737`*^9, {3.721657346210452*^9, 3.721657346537471*^9}, {
   3.7216573824745264`*^9, 3.7216574126732535`*^9}, {3.7216576267284966`*^9, 
   3.721657626871505*^9}, {3.7216577004157114`*^9, 3.721657700543719*^9}, {
   3.7216578682783127`*^9, 3.721657889128505*^9}, {3.7954415311354103`*^9, 
   3.7954415425600634`*^9}, {3.8401657926107664`*^9, 
   3.8401657936277323`*^9}, {3.840206551417529*^9, 3.840206552379587*^9}, {
   3.8402066320779705`*^9, 3.840206632551955*^9}, {3.8402066887818832`*^9, 
   3.840206691395669*^9}, {3.840281295135907*^9, 3.8402812959188395`*^9}, {
   3.840281419068119*^9, 3.8402814237960987`*^9}, {3.840281500611347*^9, 
   3.8402815008257875`*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"4c14092c-b925-4881-ab46-5e02a8136d51"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Average isotropic temperature: \"\>", "\[InvisibleSpace]", 
   "0.9439999999999998`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Average isotropic temperature: ", 0.9439999999999998, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.840282489891222*^9, 3.8402825068246727`*^9}},
 CellLabel->
  "During evaluation of \
In[25]:=",ExpressionUUID->"f7170bfe-ba3c-4e68-900d-c373860fdcfc"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Display DT potential", "Item",
 CellChangeTimes->{{3.750746832403555*^9, 3.750746845568308*^9}, {
  3.7507472053488865`*^9, 
  3.7507472064959517`*^9}},ExpressionUUID->"0d436b46-6f00-4fa2-ac90-\
552549956949"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITab", " ", "=", " ", 
   RowBox[{"IFun", "[", 
    RowBox[{"PowerTab", ",", "WaistXTab", ",", "WaistYTab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UdipTab", " ", "=", " ", 
   RowBox[{"UdipFun", "[", 
    RowBox[{"ITab", ",", "\[Alpha]Tab"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighXTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistXTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZRayleighYTab", " ", "=", 
   RowBox[{"ZRayleighFun", "[", " ", 
    RowBox[{"\[Lambda]Tab", ",", " ", "WaistYTab", ",", "MsquaredTab"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"laserTab", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
      "UdipTab", ",", "WaistXTab", ",", "WaistYTab", ",", "ZRayleighXTab", 
       ",", "ZRayleighYTab", ",", "\[Theta]Tab", ",", "\[Phi]Tab", ",", 
       "X0Tab", ",", "Y0Tab", ",", "Z0Tab"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", " ", 
     RowBox[{"xx_", ",", " ", "yy_", ",", " ", "zz_"}], "]"}], ":=", 
    RowBox[{"DipPotTotPlusSaggingFun", "[", " ", 
     RowBox[{
     "xx", ",", " ", "yy", ",", " ", "zz", ",", "laserTab", ",", "mAssSr"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gSaggSrNum", " ", "=", " ", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"XYZDipPotFun", "[", 
           RowBox[{"xOffset", ",", 
            RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy", ",", "1"}], "}"}]}], "]"}], "/.", 
        RowBox[{"yy", "->", 
         RowBox[{"(", "Y", ")"}]}]}], ")"}], "==", "0."}], ",", 
     RowBox[{"{", 
      RowBox[{"Y", ",", 
       RowBox[{
        RowBox[{"-", "1."}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gSaggSrNum", " ", "=", " ", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"gSaggSrNum", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Y", "\[Rule]", "v_"}], " ", ")"}], "\[Rule]", " ", "v"}], 
       ",", 
       RowBox[{"{", "1", "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]X", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{
               RowBox[{"xx", "+", "xOffset"}], ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], 
              "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"xx", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"xx", "->", 
            RowBox[{"(", "X", ")"}]}]}], ")"}], "/.", 
         RowBox[{"X", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Y", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"yy", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"yy", "->", 
            RowBox[{"(", "Y", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Y", "\[Rule]", "gSaggSrNum"}]}], ")"}], " ", "/", 
       "mAssSr"}], "]"}], "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Z", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Abs", "[", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"XYZDipPotFun", "[", 
              RowBox[{"xOffset", ",", 
               RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", 
               RowBox[{"zz", "+", "zOffset"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"zz", ",", "2"}], "}"}]}], "]"}], "/.", 
           RowBox[{"zz", "->", 
            RowBox[{"(", "Z", ")"}]}]}], ")"}], "/.", 
         RowBox[{"Z", "\[Rule]", "0."}]}], ")"}], " ", "/", "mAssSr"}], "]"}],
      "]"}], "*", " ", 
    RowBox[{"Sqrt", "[", "ctePlanckOverAu", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]IsoDT", " ", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Omega]X", "*", "\[Omega]Y", "*", "\[Omega]Z"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1.", "/", "3."}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aHODTiso", " ", "=", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"1.", "/", " ", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "\[Omega]IsoDT"}], ")"}]}], "*", 
      "hbarreOverAu"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDepth", "=", 
   RowBox[{"XYZDipPotFun", "[", 
    RowBox[{"xOffset", ",", 
     RowBox[{"gSaggSrNum", "+", "yOffset"}], ",", "zOffset"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TrapEdgeByGrav", "=", " ", 
   RowBox[{"FindMaximum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"XYZDipPotFun", "[", 
        RowBox[{"xOffset", ",", 
         RowBox[{"yy", "+", "yOffset"}], ",", "zOffset"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0."}], "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "\[LessEqual]", " ", "yy", 
        "\[LessEqual]", 
        RowBox[{"400.", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"yy", ",", 
       RowBox[{"55.", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", " ", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PotDipTrapEdgeByGrav", " ", "=", " ", 
   RowBox[{"TrapEdgeByGrav", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PosTrapEdgeByGrav", " ", "=", " ", 
    RowBox[{"yy", "/.", 
     RowBox[{"TrapEdgeByGrav", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"xx", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], "+", "xOffset"}], ",", "yOffset", 
      ",", "zOffset"}], "]"}], "*", "ctePlanckOverkB", " ", "*", 
    RowBox[{"10", "^", "6."}]}], ",", 
   RowBox[{"{", 
    RowBox[{"xx", ",", 
     RowBox[{"-", "400."}], ",", "400."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in X axis\>\""}], 
   ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"XYZDipPotFun", "[", 
     RowBox[{"xOffset", ",", 
      RowBox[{
       RowBox[{"yy", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6."}], ")"}]}]}], "+", "yOffset"}], ",", "zOffset"}], 
     "]"}], "*", "ctePlanckOverkB", " ", "*", 
    RowBox[{"10", "^", "6."}]}], ",", 
   RowBox[{"{", 
    RowBox[{"yy", ",", 
     RowBox[{"-", "100."}], ",", "100."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Y axis\>\""}], 
   ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{"xOffset", ",", "yOffset", ",", 
       RowBox[{
        RowBox[{"zz", "*", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "+", "zOffset"}]}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", 
    RowBox[{"{", 
     RowBox[{"zz", ",", 
      RowBox[{"-", "200"}], ",", "200"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
    RowBox[{
    "PlotLabel", "\[Rule]", "\"\<Trapping potential on 1S0 in Z axis\>\""}], 
    ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Distance (\[Micro]m)\>\"", ",", "\"\<Energy (\[Micro]K)\>\""}], 
      "}"}]}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Beam powers: \>\"", ",", "PowerTab", ",", "\"\< W\>\""}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Rayleigh length axis 1: \>\"", " ", ",", 
   RowBox[{"ZRayleighXTab", "*", 
    RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Rayleigh length axis 2: \>\"", " ", ",", 
    RowBox[{"ZRayleighYTab", "*", 
     RowBox[{"10", "^", "3."}]}], ",", "\"\< mm\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]X", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
    RowBox[{
     RowBox[{"\[Omega]Y", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : \
\>\"", ",", " ", 
     RowBox[{
      RowBox[{"\[Omega]Z", "/", "2"}], "/", "Pi"}], ",", "\"\< Hz\>\""}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Grav sagging: \>\"", " ", ",", 
   RowBox[{"gSaggSrNum", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Absolute potential depth: \>\"", " ", ",", 
   RowBox[{"PotDepth", "*", "ctePlanck", "*", 
    RowBox[{
     RowBox[{"10", "^", "6"}], "/", "kB"}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Edge of the trap between tranport DT and sheet DT: \>\"", ",", 
     RowBox[{"PosTrapEdgeByGrav", "*", 
      RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]m\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Trap depth: \>\"", " ", ",", 
   RowBox[{"UdipTab", "*", "ctePlanckOverkB", "*", 
    RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Effective trap depth: \>\"", ",", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"PotDipTrapEdgeByGrav", " ", "-", "PotDepth"}], "]"}], "*", 
     "ctePlanckOverkB", "*", 
     RowBox[{"10", "^", "6."}]}], ",", "\"\< \[Micro]K\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5885172576040745`*^9, 3.5885172581590753`*^9}, {
   3.5885179976701107`*^9, 3.5885180344001617`*^9}, {3.5885195384982677`*^9, 
   3.5885195430582743`*^9}, {3.588520017843939*^9, 3.5885200890840387`*^9}, {
   3.5885202587292757`*^9, 3.588520608680766*^9}, {3.5885220716678143`*^9, 
   3.5885220768878217`*^9}, {3.5888467923997636`*^9, 3.588846793855847*^9}, {
   3.5889333580691795`*^9, 3.5889333947192307`*^9}, {3.588933428369278*^9, 
   3.5889335158894005`*^9}, 3.588940644895957*^9, {3.5889407108060493`*^9, 
   3.5889407110960493`*^9}, {3.589038367865969*^9, 3.5890385007361555`*^9}, {
   3.5890869480001235`*^9, 3.589086985070175*^9}, {3.58908701673022*^9, 
   3.589087032070241*^9}, {3.5890870773903046`*^9, 3.589087136040387*^9}, {
   3.589087168500432*^9, 3.589087178370446*^9}, {3.589176246082903*^9, 
   3.5891762579729195`*^9}, {3.589206316438737*^9, 3.5892063446287766`*^9}, {
   3.589457546830792*^9, 3.5894575965616364`*^9}, {3.5894576282244473`*^9, 
   3.589457628691474*^9}, {3.5894584497554364`*^9, 3.5894584685395107`*^9}, 
   3.589458516482253*^9, {3.589458881214114*^9, 3.5894589783556705`*^9}, {
   3.589459020407076*^9, 3.589459111059261*^9}, {3.589515588581621*^9, 
   3.5895156138700676`*^9}, {3.5895156515072203`*^9, 3.58951583141051*^9}, {
   3.589517639564931*^9, 3.5895176589660406`*^9}, {3.5895176939820433`*^9, 
   3.5895178482788687`*^9}, {3.589517878424593*^9, 3.5895179215680604`*^9}, {
   3.589518021597782*^9, 3.5895180264220576`*^9}, {3.5895180625941267`*^9, 
   3.589518262591566*^9}, {3.5895183119713902`*^9, 3.589518357971021*^9}, {
   3.5895191937618256`*^9, 3.5895193770823107`*^9}, 3.5895194123983307`*^9, {
   3.589519471774727*^9, 3.589519529857049*^9}, {3.589519587098323*^9, 
   3.5895196347800503`*^9}, 3.5895197410281277`*^9, 3.589519778672281*^9, {
   3.589519815051361*^9, 3.5895199001432285`*^9}, {3.5895199302639513`*^9, 
   3.5895199930495424`*^9}, {3.589520277487811*^9, 3.58952038900919*^9}, {
   3.589520427935416*^9, 3.589520472948991*^9}, {3.5895205055618563`*^9, 
   3.5895205059968815`*^9}, {3.589520719762108*^9, 3.5895207393002253`*^9}, {
   3.58952091071803*^9, 3.5895209156693134`*^9}, {3.5895309832661467`*^9, 
   3.589531001643198*^9}, {3.5895310329649897`*^9, 3.589531044149629*^9}, {
   3.5895311135796003`*^9, 3.5895311594762254`*^9}, {3.589531202449683*^9, 
   3.5895312879095716`*^9}, {3.5895313183293114`*^9, 
   3.5895313305430098`*^9}, {3.5895313636809053`*^9, 3.589531394254654*^9}, {
   3.5895314751042786`*^9, 3.5895314969865303`*^9}, {3.589531787671156*^9, 
   3.589531812899599*^9}, {3.5895351558628054`*^9, 3.589535156101819*^9}, {
   3.589544253207144*^9, 3.5895443803064137`*^9}, 3.5895445159311705`*^9, {
   3.5895445563984857`*^9, 3.589544663347603*^9}, {3.589546276258856*^9, 
   3.5895463467238865`*^9}, {3.5895467777515397`*^9, 3.589546786709052*^9}, {
   3.5895483603660603`*^9, 3.5895484590497046`*^9}, 3.589549560471702*^9, {
   3.589549598813895*^9, 3.589549633376872*^9}, {3.5895499949895554`*^9, 
   3.5895500297195415`*^9}, {3.5895508714226847`*^9, 
   3.5895509049606023`*^9}, {3.589551149005561*^9, 3.589551167913643*^9}, {
   3.5895513666410093`*^9, 3.5895514041851563`*^9}, {3.589629397269106*^9, 
   3.58962955347304*^9}, {3.5896295852518578`*^9, 3.5896299593082523`*^9}, {
   3.5896300131213303`*^9, 3.5896300739508095`*^9}, 3.5896301057306275`*^9, {
   3.589630176825694*^9, 3.589630180445901*^9}, {3.589630217074996*^9, 
   3.5896302270215645`*^9}, {3.5896302593924165`*^9, 
   3.5896302669798503`*^9}, {3.589630376679125*^9, 3.5896303896078644`*^9}, {
   3.5896304202996197`*^9, 3.5896304588418245`*^9}, 3.589632830437472*^9, 
   3.589633527903364*^9, {3.589634798018011*^9, 3.5896347984260345`*^9}, {
   3.589634907819291*^9, 3.589634907958299*^9}, {3.5922120390383687`*^9, 
   3.592212046503317*^9}, 3.602420416911195*^9, {3.6024204607316713`*^9, 
   3.6024205393246098`*^9}, {3.602420583191887*^9, 3.6024206108975353`*^9}, 
   3.6024207236077332`*^9, 3.602420773403021*^9, {3.6024209355039053`*^9, 
   3.6024209554719405`*^9}, {3.6024210117880397`*^9, 3.60242101203764*^9}, {
   3.6024210460301*^9, 3.6024210465137005`*^9}, {3.602421189550352*^9, 
   3.602421189846752*^9}, {3.602421223917212*^9, 3.6024212242292128`*^9}, {
   3.6024814193917*^9, 3.602481421045303*^9}, 3.602481498780239*^9, {
   3.602481575735174*^9, 3.602481577170377*^9}, {3.602498276597311*^9, 
   3.6024982963157454`*^9}, {3.603191299413551*^9, 3.6031913871735706`*^9}, {
   3.6031914849981656`*^9, 3.6031914873583007`*^9}, {3.603191529727724*^9, 
   3.6031916224620285`*^9}, {3.60319165623096*^9, 3.603191685014606*^9}, {
   3.6031917771568766`*^9, 3.6031917840282693`*^9}, {3.6031918294678683`*^9, 
   3.6031918714502697`*^9}, {3.6031919219771595`*^9, 3.603191947916643*^9}, {
   3.603384339427783*^9, 3.603384359973019*^9}, {3.6033848328292503`*^9, 
   3.603384858226095*^9}, {3.60343895567692*^9, 3.6034389936473866`*^9}, {
   3.6034390241922398`*^9, 3.6034395682753954`*^9}, {3.6034396076810646`*^9, 
   3.603439684027599*^9}, {3.6034486158986874`*^9, 3.6034486377387257`*^9}, {
   3.6034486715439854`*^9, 3.603448674882391*^9}, {3.6034487770469704`*^9, 
   3.6034489484288716`*^9}, {3.603449009050578*^9, 3.6034490155089893`*^9}, {
   3.6034490706394863`*^9, 3.603449088049117*^9}, {3.603449139825608*^9, 
   3.603449469985588*^9}, {3.603449542603715*^9, 3.6034496067198277`*^9}, 
   3.6034496498071036`*^9, {3.6034497173396225`*^9, 3.6034497272300396`*^9}, {
   3.6034497578372936`*^9, 3.6034497605516977`*^9}, {3.6034498137009916`*^9, 
   3.60344983020582*^9}, {3.6034498881443224`*^9, 3.60344990394715*^9}, {
   3.603449935615206*^9, 3.6034500010885205`*^9}, {3.603456571814062*^9, 
   3.603456578974475*^9}, {3.6034567148351135`*^9, 3.6034567346627483`*^9}, {
   3.60351903063417*^9, 3.603519069369038*^9}, {3.603519120241728*^9, 
   3.6035191770258274`*^9}, {3.603519212157089*^9, 3.603519297598439*^9}, {
   3.6035193931798067`*^9, 3.6035196188030033`*^9}, {3.603532014270576*^9, 
   3.603532087154904*^9}, {3.603532236306766*^9, 3.6035322494731894`*^9}, {
   3.6137349904314795`*^9, 3.6137350615415783`*^9}, {3.613735098741629*^9, 
   3.613735131721675*^9}, {3.6137352134997993`*^9, 3.61373525750986*^9}, {
   3.6137353130899363`*^9, 3.613735658700431*^9}, {3.6137359718728633`*^9, 
   3.613736068064997*^9}, {3.6137361137451963`*^9, 3.613736260225398*^9}, {
   3.613736376076685*^9, 3.613736424426751*^9}, {3.613736455836795*^9, 
   3.6137365023768587`*^9}, {3.6137365335929337`*^9, 3.613736582203001*^9}, 
   3.613736675431177*^9, {3.6137367422512693`*^9, 3.6137367568712893`*^9}, {
   3.6137368784644585`*^9, 3.6137368956744823`*^9}, {3.6137370412756834`*^9, 
   3.6137370531157*^9}, {3.613737135255813*^9, 3.6137372026479073`*^9}, {
   3.613737266427995*^9, 3.613737297378038*^9}, {3.6137374102082324`*^9, 
   3.613737452952295*^9}, {3.6137375679324536`*^9, 3.613737646006565*^9}, {
   3.613737710222663*^9, 3.613737712276675*^9}, {3.6137377650677943`*^9, 
   3.61373780527785*^9}, {3.6137384277827387`*^9, 3.613738429842741*^9}, {
   3.6137384627027864`*^9, 3.613738463982788*^9}, {3.613738498662836*^9, 
   3.613738563526928*^9}, {3.6137385971969748`*^9, 3.613738640987035*^9}, {
   3.6137388250432987`*^9, 3.613738852963337*^9}, {3.6137389454154654`*^9, 
   3.613738945777467*^9}, {3.613739057575663*^9, 3.613739166268856*^9}, {
   3.6137391997089024`*^9, 3.613739247260981*^9}, {3.613739280223028*^9, 
   3.6137393288170986`*^9}, {3.6137431378755827`*^9, 
   3.6137431527256036`*^9}, {3.6138013932703533`*^9, 3.613801410350377*^9}, {
   3.613801461020447*^9, 3.613801553880576*^9}, {3.6138027955362988`*^9, 
   3.613802798256302*^9}, {3.613802843846365*^9, 3.6138029014774446`*^9}, {
   3.6138047025991287`*^9, 3.6138047515091963`*^9}, {3.613884506558429*^9, 
   3.613884564362735*^9}, {3.613884619598894*^9, 3.6138846721078978`*^9}, {
   3.613884717569498*^9, 3.613884736989609*^9}, {3.6138872586243563`*^9, 
   3.613887288895398*^9}, {3.613887339445468*^9, 3.6138873675855064`*^9}, {
   3.6756704657097464`*^9, 3.675670508709806*^9}, {3.6756887760640254`*^9, 
   3.675688785084038*^9}, {3.675688899124195*^9, 3.6756889018041987`*^9}, {
   3.6756889434842567`*^9, 3.6756891950446033`*^9}, {3.675689232554655*^9, 
   3.6756892331946564`*^9}, {3.675689582422142*^9, 3.6756895828321424`*^9}, {
   3.675689707482314*^9, 3.6756897952424355`*^9}, {3.675689916546639*^9, 
   3.675689921786646*^9}, {3.675690012900788*^9, 3.675690052680843*^9}, {
   3.6756900840329037`*^9, 3.675690106606947*^9}, {3.675690141909012*^9, 
   3.6756901905710917`*^9}, {3.6756902249931507`*^9, 3.675690355139408*^9}, {
   3.6756905743817225`*^9, 3.675690574661723*^9}, {3.6756906133437896`*^9, 
   3.6756906134237895`*^9}, {3.6756906443368464`*^9, 
   3.6756908267751846`*^9}, {3.6756908724272594`*^9, 
   3.6756908726472597`*^9}, {3.67569102589552*^9, 3.675691095641658*^9}, {
   3.6756911268737144`*^9, 3.6756911273737154`*^9}, {3.675691171125788*^9, 
   3.675691198497841*^9}, {3.6757584025084*^9, 3.675758479820526*^9}, {
   3.675758530335615*^9, 3.675758617687748*^9}, {3.675758661719818*^9, 
   3.675758675531847*^9}, 3.6757595042529984`*^9, {3.675759540535061*^9, 
   3.6757595883091516`*^9}, {3.6763703515826397`*^9, 3.676370361394665*^9}, {
   3.676462792245013*^9, 3.6764627966750193`*^9}, {3.6764628327970757`*^9, 
   3.676462929869217*^9}, {3.676463023631353*^9, 3.676463110731517*^9}, {
   3.676463142803568*^9, 3.6764631866096535`*^9}, {3.6765526616024513`*^9, 
   3.6765526620484767`*^9}, {3.6765526936392837`*^9, 
   3.6765527110892816`*^9}, {3.6765537611108847`*^9, 
   3.6765538284947395`*^9}, {3.6765539557370167`*^9, 3.676553956223045*^9}, 
   3.676554772200716*^9, {3.676554802808467*^9, 3.6765548033925*^9}, {
   3.6765550106963573`*^9, 3.676555010872367*^9}, {3.676555328354526*^9, 
   3.6765553288725557`*^9}, 3.6765588429015465`*^9, {3.676561886981658*^9, 
   3.676561889379795*^9}, 3.6767149816437645`*^9, {3.676715070258833*^9, 
   3.676715076227174*^9}, {3.676715115444417*^9, 3.6767151487073193`*^9}, {
   3.6767153988356266`*^9, 3.676715514093219*^9}, {3.6767155513163476`*^9, 
   3.676715552019388*^9}, {3.6767156166120825`*^9, 3.676715719827986*^9}, {
   3.676715754619976*^9, 3.6767157605323143`*^9}, {3.6767165848374615`*^9, 
   3.676716623165654*^9}, 3.6767166806049395`*^9, {3.6767167298937583`*^9, 
   3.676716770365073*^9}, {3.676717784374071*^9, 3.6767178081814327`*^9}, {
   3.6767178673178153`*^9, 3.6767178761423197`*^9}, {3.6775055616657057`*^9, 
   3.67750556629397*^9}, {3.6775162281187916`*^9, 3.6775162284848127`*^9}, 
   3.6775763067500925`*^9, 3.677576372004825*^9, {3.67757640513272*^9, 
   3.6775764232917585`*^9}, {3.677665975845872*^9, 3.6776659947559533`*^9}, {
   3.677666024908678*^9, 3.6776660426856947`*^9}, {3.6777675290201483`*^9, 
   3.6777676941905956`*^9}, {3.677767938287557*^9, 3.6777679675352297`*^9}, {
   3.677768763620764*^9, 3.677768796183626*^9}, {3.6777689815672293`*^9, 
   3.677768982890305*^9}, {3.677769156803252*^9, 3.6777691577523065`*^9}, {
   3.6777703302603703`*^9, 3.677770336800744*^9}, {3.677771889925578*^9, 
   3.6777718906986217`*^9}, {3.6777739309673185`*^9, 3.677773937539695*^9}, {
   3.6777739955100107`*^9, 3.677773997227109*^9}, {3.6777740412136245`*^9, 
   3.677774042082674*^9}, 3.6777740757586*^9, {3.678377114729491*^9, 
   3.6783771502975254`*^9}, {3.678383404944271*^9, 3.6783835067660947`*^9}, {
   3.678471820622469*^9, 3.6784718439788046`*^9}, {3.6785125143360167`*^9, 
   3.678512532037029*^9}, 3.6785126104465137`*^9, {3.6785131159154243`*^9, 
   3.6785131232618446`*^9}, 3.6785131827312465`*^9, 3.6785133722400856`*^9, {
   3.6785135955578585`*^9, 3.678513642624551*^9}, 3.678691035553846*^9, {
   3.678691151926502*^9, 3.678691153310581*^9}, {3.678691302088091*^9, 
   3.678691302199097*^9}, {3.705993608148267*^9, 3.7059936402183113`*^9}, {
   3.7059937053484135`*^9, 3.7059938580726624`*^9}, {3.70599391103474*^9, 
   3.7059939862048607`*^9}, {3.705995452819888*^9, 3.705995875248475*^9}, {
   3.7059960837485323`*^9, 3.7059960838895407`*^9}, {3.705996120105612*^9, 
   3.7059961983507767`*^9}, {3.7059964732999277`*^9, 3.705996562297538*^9}, {
   3.7059966978028636`*^9, 3.705996776897608*^9}, {3.7059968111476555`*^9, 
   3.7059970258679514`*^9}, {3.705997061918001*^9, 3.7059971438581142`*^9}, {
   3.705997197408188*^9, 3.705997334918378*^9}, {3.7059973891384525`*^9, 
   3.7059974926285954`*^9}, {3.7059979674612565`*^9, 3.7059980420713596`*^9}, 
   3.7059981670745373`*^9, {3.7059982051145897`*^9, 3.7059982392446365`*^9}, {
   3.7059984177588935`*^9, 3.7059984513389397`*^9}, {3.705998481380986*^9, 
   3.7059985422810707`*^9}, 3.7059985772911186`*^9, {3.7059986962012825`*^9, 
   3.7059986980412855`*^9}, {3.705998758163374*^9, 3.7059987623633795`*^9}, {
   3.7059988151454597`*^9, 3.70599882643748*^9}, {3.705998910635615*^9, 
   3.7059989107756147`*^9}, 3.7059990100277605`*^9, {3.705999129515941*^9, 
   3.7059991328459463`*^9}, {3.7059991954280376`*^9, 3.705999253788118*^9}, 
   3.705999350890256*^9, 3.705999399472327*^9, {3.7059994868824472`*^9, 
   3.7059995151044903`*^9}, {3.705999571176571*^9, 3.7059996475007153`*^9}, {
   3.705999688992778*^9, 3.7059996989447966`*^9}, {3.705999730517846*^9, 
   3.706000089168466*^9}, {3.7060007485685167`*^9, 3.7060007780605965`*^9}, {
   3.706001549584679*^9, 3.7060015932847395`*^9}, {3.7060016518908296`*^9, 
   3.706001805034135*^9}, {3.7060018381561923`*^9, 3.7060019261143813`*^9}, {
   3.706002279456889*^9, 3.7060023151209764`*^9}, {3.70600234708304*^9, 
   3.7060024298692064`*^9}, {3.706004970258795*^9, 3.7060049777688055`*^9}, {
   3.7060050109149694`*^9, 3.706005014864975*^9}, {3.7060117852849617`*^9, 
   3.706011785374962*^9}, {3.7196636482279625`*^9, 3.7196637190880604`*^9}, {
   3.7196638205582004`*^9, 3.719663831908216*^9}, {3.7196638820082855`*^9, 
   3.719663887298292*^9}, {3.719664020209476*^9, 3.7196640775695553`*^9}, {
   3.719664156269664*^9, 3.7196641649496756`*^9}, {3.7196653043785763`*^9, 
   3.71966532848861*^9}, {3.719665391018696*^9, 3.719665519238873*^9}, {
   3.7196655841429653`*^9, 3.7196656263630233`*^9}, {3.7196657112451525`*^9, 
   3.7196657114051533`*^9}, {3.719665936209503*^9, 3.719665949939522*^9}, 
   3.7196659868905735`*^9, {3.719666020682639*^9, 3.7196660614647074`*^9}, {
   3.719666100826779*^9, 3.7196662137389507`*^9}, {3.719666297381077*^9, 
   3.7196663442811413`*^9}, {3.719666389893219*^9, 3.7196663904232197`*^9}, {
   3.719666424705285*^9, 3.7196664439973307`*^9}, {3.7196664762893953`*^9, 
   3.7196664940494194`*^9}, {3.719667201513414*^9, 3.7196672436034718`*^9}, {
   3.7196672770135183`*^9, 3.7196673431346097`*^9}, {3.719667382694664*^9, 
   3.719667410744703*^9}, {3.719667531364869*^9, 3.7196675574249053`*^9}, {
   3.7196676669750566`*^9, 3.7196676671450567`*^9}, {3.7196676990651007`*^9, 
   3.719667699255101*^9}, {3.719667917695402*^9, 3.719667917955403*^9}, {
   3.719668011366532*^9, 3.7196680119665327`*^9}, {3.7196684756112056`*^9, 
   3.719668551467358*^9}, {3.7196685865994205`*^9, 3.7196685880194225`*^9}, {
   3.719668629921499*^9, 3.719668630041499*^9}, {3.7196686771535816`*^9, 
   3.7196686774035816`*^9}, 3.7196687618067193`*^9, {3.7196688439788527`*^9, 
   3.7196688460588555`*^9}, {3.719668881200919*^9, 3.719668882940922*^9}, {
   3.7196689187729874`*^9, 3.71966894000503*^9}, {3.719669008627137*^9, 
   3.719669009917139*^9}, {3.7196690899092603`*^9, 3.7196690915892625`*^9}, {
   3.7196691757613907`*^9, 3.7196692100534563`*^9}, 3.71966925554554*^9, {
   3.71966931780764*^9, 3.7196693181276407`*^9}, {3.719669385060749*^9, 
   3.7196694337828307`*^9}, {3.7196698090753655`*^9, 3.719669809415366*^9}, {
   3.719669869787465*^9, 3.7196698772674756`*^9}, {3.719669912969536*^9, 
   3.719669945861602*^9}, {3.719669987783676*^9, 3.7196700200157366`*^9}, {
   3.719670053398798*^9, 3.7196700572188034`*^9}, {3.7196701433409414`*^9, 
   3.7196701452209435`*^9}, {3.719670194873029*^9, 3.7196702112330513`*^9}, {
   3.719670276965156*^9, 3.719670277585157*^9}, {3.7196703127072244`*^9, 
   3.7196703165572295`*^9}, {3.7196704007193565`*^9, 
   3.7196704225193863`*^9}, {3.719670456091447*^9, 3.7196704581314497`*^9}, {
   3.7196704923135157`*^9, 3.7196704929235163`*^9}, {3.7196705235455728`*^9, 
   3.719670525355575*^9}, {3.7196707204288588`*^9, 3.719670809053012*^9}, {
   3.71967084071507*^9, 3.719670873207127*^9}, {3.7196709174591985`*^9, 
   3.719670919339201*^9}, {3.719670951131257*^9, 3.7196710466774282`*^9}, {
   3.7196710915495043`*^9, 3.7196711046295223`*^9}, 3.7196712363597045`*^9, {
   3.719671436592993*^9, 3.7196714387429953`*^9}, {3.7196714909811125`*^9, 
   3.719671619559349*^9}, {3.7196716808614483`*^9, 3.7196717032034917`*^9}, {
   3.7196717496755724`*^9, 3.719671813901698*^9}, {3.7196718463037558`*^9, 
   3.7196718487237587`*^9}, 3.719671898075844*^9, {3.719671980667969*^9, 
   3.719671983347973*^9}, {3.7196720289600506`*^9, 3.719672029240051*^9}, {
   3.7196720915231514`*^9, 3.719672095223157*^9}, {3.719672128606222*^9, 
   3.7196721852713346`*^9}, {3.7196722194413815`*^9, 3.719672219921382*^9}, {
   3.7196725015737844`*^9, 3.719672518515819*^9}, {3.719672591177933*^9, 
   3.719672610149971*^9}, {3.719672710974118*^9, 3.719672714434123*^9}, {
   3.7196727511871834`*^9, 3.7196727534071865`*^9}, {3.719673419542118*^9, 
   3.7196734555651884`*^9}, {3.7196735170382833`*^9, 3.719673517238284*^9}, {
   3.7196736679515123`*^9, 3.719673668111512*^9}, {3.7196737299736156`*^9, 
   3.7196737408136306`*^9}, {3.7196737810956974`*^9, 3.719673781505698*^9}, {
   3.719673823077772*^9, 3.7196738233077726`*^9}, {3.719673883689872*^9, 
   3.719673884069872*^9}, {3.7196739555819902`*^9, 3.719673955781991*^9}, {
   3.719674095474202*^9, 3.7196741165852313`*^9}, {3.7196741578683014`*^9, 
   3.7196741659383125`*^9}, {3.719674196380375*^9, 3.719674196700375*^9}, {
   3.7196742269624276`*^9, 3.7196742273024282`*^9}, {3.719674299774542*^9, 
   3.719674300064542*^9}, {3.7196743346275997`*^9, 3.719674335307601*^9}, {
   3.7196743804996758`*^9, 3.7196743808196764`*^9}, {3.7196744245917525`*^9, 
   3.7196744251217537`*^9}, {3.719674466003824*^9, 3.719674466453825*^9}, {
   3.7196746794261293`*^9, 3.719674681476132*^9}, {3.719674945830516*^9, 
   3.7196749464505167`*^9}, 3.7196749785025735`*^9, {3.719675018584649*^9, 
   3.7196750491367083`*^9}, {3.719675091827767*^9, 3.719675092557768*^9}, {
   3.7196751643608823`*^9, 3.7196751740708957`*^9}, {3.719731695341655*^9, 
   3.719731741721719*^9}, {3.7197340309284325`*^9, 3.7197340314684334`*^9}, {
   3.7197386048911114`*^9, 3.719738605608152*^9}, {3.719738648634557*^9, 
   3.719738676855596*^9}, {3.719739932359174*^9, 3.7197399377291813`*^9}, {
   3.7197399752412496`*^9, 3.7197399870912657`*^9}, 3.7198221739167566`*^9, {
   3.719823712196764*^9, 3.7198237279767857`*^9}, {3.7198385766077533`*^9, 
   3.7198385783877554`*^9}, {3.7199057240019007`*^9, 3.719905739391922*^9}, {
   3.7199058264440594`*^9, 3.71990583412407*^9}, {3.7199058651741133`*^9, 
   3.7199058719441223`*^9}, {3.719905913506194*^9, 3.7199059152661963`*^9}, 
   3.7199222698204207`*^9, {3.720173300657431*^9, 3.720173337943564*^9}, {
   3.720173722037533*^9, 3.720173742179685*^9}, {3.7201743683204985`*^9, 
   3.72017437254574*^9}, {3.720174482765044*^9, 3.7201744958137903`*^9}, {
   3.7201745402443314`*^9, 3.720174541739417*^9}, {3.7201746186378155`*^9, 
   3.720174668615674*^9}, {3.7201747081059327`*^9, 3.720174725602934*^9}, {
   3.7201747596758823`*^9, 3.720174780074049*^9}, {3.720174854079282*^9, 
   3.7201749148787594`*^9}, {3.720174949256726*^9, 3.7201749757732425`*^9}, {
   3.7201754634941387`*^9, 3.7201754807061234`*^9}, 3.720175598122839*^9, {
   3.7201855281053443`*^9, 3.7201855286313744`*^9}, {3.7201855692646985`*^9, 
   3.7201855724428806`*^9}, {3.720185621443683*^9, 3.7201856630040603`*^9}, {
   3.720185735696218*^9, 3.720185739544438*^9}, {3.720185912814348*^9, 
   3.7201859139234123`*^9}, {3.7202455310867996`*^9, 
   3.7202455323388715`*^9}, {3.7202457217307043`*^9, 
   3.7202458625817604`*^9}, {3.720245916877866*^9, 3.7202459196840262`*^9}, {
   3.7202459868828697`*^9, 3.720245988715975*^9}, {3.7202460767705545`*^9, 
   3.7202460773205557`*^9}, {3.720246107360617*^9, 3.7202461096106205`*^9}, {
   3.720246142012685*^9, 3.720246147742693*^9}, {3.7202461996647835`*^9, 
   3.720246201824786*^9}, {3.72024626607891*^9, 3.7202462667389107`*^9}, {
   3.7202469651740007`*^9, 3.7202470153380957`*^9}, {3.7202470697001905`*^9, 
   3.7202470764601994`*^9}, {3.720250120114921*^9, 3.7202501308849363`*^9}, {
   3.7202505029515023`*^9, 3.7202505060615067`*^9}, {3.7202691420522037`*^9, 
   3.7202691515622168`*^9}, {3.7207799442924137`*^9, 
   3.7207799554324293`*^9}, {3.7207810440109515`*^9, 
   3.7207810454109535`*^9}, {3.7264045192662487`*^9, 
   3.7264045476483073`*^9}, {3.7501623752658863`*^9, 3.750162380690197*^9}, {
   3.7501624362433743`*^9, 3.75016243913054*^9}, {3.7501629648146067`*^9, 
   3.7501629806835146`*^9}, {3.750163037752779*^9, 3.750163041703005*^9}, {
   3.75016322152929*^9, 3.7501632660988393`*^9}, {3.7507472360466423`*^9, 
   3.7507472934519253`*^9}, {3.78124152793388*^9, 3.7812415464759398`*^9}, {
   3.791015401259475*^9, 3.7910154143292227`*^9}, {3.79101548858247*^9, 
   3.7910154900205517`*^9}, {3.79101569611034*^9, 3.7910156977184315`*^9}, {
   3.7910332153287725`*^9, 3.791033219580016*^9}, {3.791034332516672*^9, 
   3.791034378844322*^9}, {3.791893429624709*^9, 3.791893433540933*^9}, {
   3.795439274688349*^9, 3.7954393124695096`*^9}, {3.7954393427302403`*^9, 
   3.7954393429762545`*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"991d0b38-e307-4a96-a3a1-bc22a571cd2f"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVlHc41Y8Xx32NSEohO+surlu+4torkS0rK7uuiL6qa1wNq5SkgQqRyipF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        "]], LineBox[CompressedData["
1:eJwVlGk8FGofhu1FtkrJ2GUWZiokqTB/XkoOKUp7obHv28wkWSYnSqgsEYUO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        "]]},
      Annotation[#, 
       "Charting`Private`Tag$2983#1"]& ], {}}, {{}, {}}, {{}, {}}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, Automatic},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in X axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795441786274003*^9, 
   3.79544181908488*^9, 3.840165816109932*^9, 3.840183338594731*^9, 
   3.8401978433917284`*^9, 3.8402825112974377`*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"e0f50566-da57-4022-905c-79c875c53bcc"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVk3k0FPobxstulCkjNCPjIsbMFIPRWGJSriZxB6XJUuhXKCq7VLpJm6Wa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        "]], LineBox[CompressedData["
1:eJwVlnk4VO0bx4lCi6VyxiBZBjNMljFmxta5KdtbsmQZUhSyFcpL8bZIE8ka
siYUbSqlRZK6Q4sU7VTaRJuErCX6nd8f53quzz/nfD/3832e62hsiHQLmiEm
JvaOev6/Kl4/nJi/+jzpbR/Qb5jKxl5SdtMX1xYyma7hWJrFxqHPsRe46Y9I
T69bmuXZbByo/sSO2fKMNJp/rNU7l4392zxPXvboJHdVDru0HGJjH3lHa8ys
i1zhV9E4kMfGUYliZxW59+S7XaEmD/PZOPLZLd1CvJt8Nqvu6voCNg63zm5d
M/yRrN3QEnaW4p/VjdI7envJoPeZgecpHsqJtzvc8Zkkp240hVE8uI0jut7y
lbRNbj7ZRb1vYM23W131fWRc9l3eLIp/kEf//jnbT8bbHM/5TOXp1/KxWlQ2
QFaHDH9OoPKOSaQ0qLUMkibjw+ueUD5jo4FdBo1D5CmHwzpdlO/YZ5hcWv+T
dLdKjzySQfFLVWXnS8PkwSUKm+lplE/rhMDv7AipWKPk4ZRC+TQ884o8Pkpq
2fD9zZMorj4fu7t0jFx0srTlfSLF5WmHMgvGyYKV6u2wm/LNCblUenCCjBMu
vuDzH+W7Tf3nzb2/SZt6OXrDVopD/8g/2jFJyqqXsmdFUP5rOg3fx/whvTnv
+bNDKX8ya7NYyDS5mhu2afk6Nm4nHtdxYv+SItOLIb+92JgwJr2XYyMGj1L2
VPm7slHmoWN7oIs4HCk/eZtcxsZVgrDRnR3iMJ92f1+dBRuzjx1QyV83A1Rd
h9b2mrBROb41uGWTBAQxTq7w0GLjut6+9O5hCah5+SKgSJmNx1zmXpqMl4Sp
x7zCHAU2snWdxAxSZsLucxOJFdP6aPWsrSC7UgrauztkXZ7rYyI5cKOKLQ2b
BGK1tvf18c5pud7mi9LQfUpDaeSGPq7a42I8fksGrlnbpew8oY/+Bk9a1ryd
A+enJ708YvTRujlsZ/YceYj9eG1zjaQ+9vyKl1/sLA/h/pwA0ageJhmmHqvK
lofrEu7Wyp/08H5RVUszXQFeH138OPeOHrpt+a44rjsfCsrm+bwW6WGgWsS5
NcsXwuKQH9sCx1mYtH3LO8ZOJQjabdnrf42JkJJmaXBdCSzOu6y9cpyJvwtP
FPInlSCfv9VpIJuJEfVvVv8TR4dnrOPJsuFM9Jx2vBcZowxX50RL0pSZqC3S
vHBtsyroDEf9GYnWxe67odZMQ3VQOP/NZUpFB0mX8YEzq9ShODa7RX+WDh7u
FB0xjlCHVX2p99wHtdHza+mk+Vl1uFY0KV/YrI33Z7+47KSvAXJ/WvOnNmlj
jZONXrSuJmjl1Fi3NDAw8anyghuLGRBg/yL+ZoAWRk24S322ZkBByOqiCyu1
cN2izEm5QAZoCjgql0y10DxYomf9SQZ0jDR0fpfSwuHffZdmGmtD2oTgy9Kz
mhio2eDpZKMD4hkBj75NaqDtFr+irkAmlIcOV8qeVUduXmHGzGQmFJqd2qNR
qI6a9U8TDU4x4Xhi+xf3feo4LekQntDPhEyH+jq1dep4pcDIkhHLgkCj7l32
Cuqog+Jvw5P1wEWB0e77Rw2l5So0Jk+xYdM8V07dZ1U0uBAVJWplQ45b8OfU
FlX0WG11c14/G8rCjg+cqlLFo/kvfNWNlsB/qq5R96JU0UJdpsD2yhLoXCiq
PDitghHGEbJZjQbg/6RhwpepgrlPzdfSewxgoMlgW5+sCtbHSJ05OtMQkj0c
s26PKqP0tTLHyw6GUCbZyvFtVsZym6eiV22GIN59YUwuSBm/sQ7vzN5sBLqj
ddYRl+g4FT9D22uXETQ9qlxTWUpH+QchD1QyjUAQneaqnUpHfoSpSuV5I1AL
+9oyvYGOopq2q7XDRvCqQ4aUJ+iYL2Hqv0PSGFaHCoqTJOh42r1YylrRGLa+
XJW+bEgJH48Fe97nGcNTgfa3zIdKqGYhPtIVZwyXYvo0QlOU0DgtuLj8gDGE
aoa9mB2nhMvfPLTZWGwMHa1q6wdDlDB8d9HBgevGIHdbGL/PUQmvNpkYzhDj
wKqNucMP5imh68qNYbpJHLBkKmyPPUpDPXfn5a2HOJAXIaYykUdDSV+BWmQl
B9wP3FtQnUrDK+Gzn1xp5oCyeVNufQwNlVPPmdlJmECoakLu8pU0HM7OX/Bt
vglM586q2mhDwwdFCf3pmibgrX2MUS+g4e7TbuXPrU1gsCXhxi9tGva0jEkH
JZjA03DX3sYZNGx4/K5bOssEdHP4UZt/E5j38t71M6Um4O7Z7Wz/k0CHr0VR
IzdMQN9/IiG5m8Cz0mTn3ikTkE17d9fgNoFJ8swa3Xlc8N8VquR4g0B/JYW0
VlUuKGpEl2XWEjif+ZFcYMmFis8xd0pPExhrn3ziaDwX6Hl7Ym5lE+jsHLXH
7gAXNnCfp3PSCWR6ea/5VsgFRlrj9QfJBL7aqC/HqeMCaC9qj99J4MWIhV+f
3+OCfCa3L307gWmxU41xnVyQnrbJvBdNIJnUHntrnAuXG3y7a8IIVMq46hIk
ZQpJcVGt6zcS+PNQuZ4MzRT+8cs9z9tAYEVl9FsXnim0qhT1uvgQKH2bZvf+
X1PIUgqxt1xJ4IcHYuoikSk8bhP4yjsSeO3Z11+6uaYQm3twvZQdgZt76s9G
XjQFhtDohi8QaPe9InlBkylYZaZ5XrMiUH0kfX3tE1PwPXJsvZkFgU8k/BX/
DpnCubW7PYt4BFbNcRw4Ks6D2u400X9cAkULOC12CjzYf+T72R0cAteqqBz7
ps6DxImXMSVGBPK0JHdmGPGA0yaZ8MaAQDn9fk8O8OCTdG6U5RICv3BeGL1w
5oGsOvN7nT6BjeY3Z8f78cB3/5t8Dz0Ci21O9iyK5MEHOWe6HIvA6wXBHxYk
8CBbc46wTZfAtz903soc5IEYf93jah0CxWw/vfpbzoOHjjILL2oTqFlc2TFa
w4PC4v3VHQwClw8FPutrovKeJriLKA6yZzz+8IwHxbLVnL1aVD9KPj7s6KXy
milYyVB8cvjo/YdjPPhFa+o9p0ngfccNd5uk+HC9eAFGU/y9VKO5TokPJlqL
/L0olh17j9UsPuy5f9fHm2LDlWUNleZ8EJa22sZR7HLU71rxCj6EX6upvULx
1gm12oO+fPBe+tpegfpe7qq3F5M38yHVMi5jP8VXKkrO79zFB7uEAoYqlbfz
t+/Z6Ew+RIJaRSvFv11UT4eW8cHy6v0TeZSv6onXx/0u8MHthHnrDmoeVlNF
xzwa+ZBX9+X0Tmpe61b7lK14yge1DoOeAiaBCafoJdY9fKj0tVdso+bb7FGQ
t2SWAJ7PtukSsQn8VOWVo0UTwI4fkhdnUvsnPYOWRWcKICNxrUSpIYErzh1K
mfmPAB5IBB2mmxC4SdIjadJHAFek1Zb8pvqR4bNw71C4APSJxLtDVH+ezMrZ
8SZdAMN054sMql8jvm5xT48I4Jfa9Go/qn/ERYXYlmoBmD/vOVxNEujtlxV5
+bEAEg0+tmcuJ/B9bfqGdEUzuKLmmmLrTOAMWSe/vTpm8DJxLpfhRiAjcK5v
HN8M0qUuDih6EBgsn+oR5G0Gj0bd/YzXEPgjZL+DVYkZTDA31pEhBMrftLc1
OWcGuRuKdp0LJ5CjKGXDumkGlafNx5dEEhhza5+F4gczKOn/0bM2lsA/9L0G
/QxzGLI6Nj9+H4EyrTsXlpwxB1IlIjv0OIGDHTeXbb1uDkE6td5x1P3R2SMe
bf/AHBbOGmDknqP6NL3v8VCfOWyakTv72xXq/HEyMuz0LWCpYv3c+feo81R4
RHrwlAWMO0vUsL8TOB1884/NCUtQ0mlP325OwxFJ8d4v5Usheo6X27YvNBz9
+VWizNoaxO8SijZ+dExkLxrM9F0GOslTDX9nqmDb0hPsjattoX66MMg+RxXZ
ypNNCf/ag3dIbOoaGzV0aKus2rPFESLWc7N7ny3Grx7bLfcHrgArC+kdt6rV
8fDxhcyne5zA2zNZ7tY+DZR9JBUo+Z8znGPO7I9x0kSH9RumLNtd4GtA9plX
2lq4stm95PdrV9gfMmrm8FsLq3O2BlW9cIOPkxnWm5CBxfajPrs+rYZDuVen
l+Zr46fgY9uX97jDXjLgyT0/HRzZ0hs2740H8L9uPePL0MVU/7QDE988QZq5
m37kly7uqV/35MUnL1C2dbmdj0xUuvMo1qLPCwLdAo3lm5l4/pGNStmAFxT6
0kv232Xi216dwNAJL1gWvjE6ro2JlvIDo5MyQjA/kKaypouJE4G76RpLhDCS
I+OjNkH9r8mW+YdHC2Fc+mFmhSELZ9Hnz3y0TQiHQ2cMqpqwsERLdIq7Qwgp
HzudD/FY+EAQ8nNKJITnOqGySVYs1AswEmXlCWGFJC05eAULe2vxxOU6ITj1
nNyoF8zCHY2clco3hOBvO4hHw1i48GHF4K5GITDaOpVVIlho073fzKFVCAE+
6Q/nxLCwbK5r66suIehtExn0J7JQQGuKJD8IgW/4fF9QEgvbNUwXVvQKQUDc
7XqTwsJpHn3t5h9CaP43I6Uti4V51qniT34KQfNHwDu7XBYuWTlVyRsXgnLR
K+7NfBY2e0b+UzwphMK4nyn8Yhb6rv/w4+9fIYjSq95WH2Hh/wAqQmiq
        "]]},
      Annotation[#, 
       "Charting`Private`Tag$5143#1"]& ], {}}, {{}, {}}, {{}, {}}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in Y axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795441786274003*^9, 
   3.79544181908488*^9, 3.840165816109932*^9, 3.840183338594731*^9, 
   3.8401978433917284`*^9, 3.8402825114791117`*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"dd47d88b-8b22-4a2c-b3da-71980212a8ab"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Xk8VOsfB3BlDSmpqbiWwpwxM/ZtMNaxt9kq2bJEo3QTbegmKrusrSQR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        "]], LineBox[CompressedData["
1:eJwV1Hk01N0fB3CFLNl6aKGsZb7DTPZ9m8+MsUZ2Ki3WMdlFRKSQNi1aEMkS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        "]]},
      Annotation[#, 
       "Charting`Private`Tag$7455#1"]& ], {}}, {{}, {}}, {{}, {}}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"Distance (\[Micro]m)\"", TraditionalForm], 
    FormBox["\"Energy (\[Micro]K)\"", TraditionalForm]},
  AxesOrigin->{0, Automatic},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox[
   "\"Trapping potential on 1S0 in Z axis\"", TraditionalForm],
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7507440007455935`*^9, {3.7507448024974513`*^9, 3.7507448790998325`*^9}, 
   3.75074514760419*^9, {3.7507456514360075`*^9, 3.750745742777232*^9}, 
   3.7507459469619107`*^9, 3.7507460848898*^9, {3.7507472383647747`*^9, 
   3.750747295013015*^9}, 3.750747377047707*^9, {3.7507632699967318`*^9, 
   3.7507632797442894`*^9}, {3.7507634150170264`*^9, 3.750763439943452*^9}, 
   3.7507651382855916`*^9, 3.7510866710687633`*^9, 3.7516868905232472`*^9, {
   3.7777127532742763`*^9, 3.777712766528034*^9}, {3.7777128563541718`*^9, 
   3.7777128709100046`*^9}, 3.7777129668054895`*^9, 3.777713179642663*^9, {
   3.777713264086493*^9, 3.7777132804594297`*^9}, 3.7777134505291567`*^9, 
   3.777714206850416*^9, 3.7777186085661793`*^9, 3.7777186472203903`*^9, 
   3.777718696091186*^9, 3.7777190158194733`*^9, 3.7777192127877393`*^9, 
   3.777719285986926*^9, 3.7777195584225082`*^9, 3.7777196110695195`*^9, 
   3.7777196789044*^9, 3.7789329234641347`*^9, 3.7789329576150885`*^9, 
   3.7789356290518856`*^9, 3.7789365798832703`*^9, 3.7794200396505337`*^9, 
   3.779420158662341*^9, 3.7794202743099556`*^9, {3.779420367991314*^9, 
   3.7794203749367113`*^9}, 3.779420860854504*^9, {3.779796212120139*^9, 
   3.779796222074957*^9}, {3.7797969998847313`*^9, 3.779797019409767*^9}, {
   3.7797977630206776`*^9, 3.7797977862717185`*^9}, 3.77979783780501*^9, 
   3.7797978780650806`*^9, 3.7797979088675346`*^9, {3.7803218118055754`*^9, 
   3.7803218270816145`*^9}, 3.7803222920522876`*^9, 3.7803223854834385`*^9, {
   3.7803811806988*^9, 3.780381237424045*^9}, 3.780381284469736*^9, {
   3.780912322450286*^9, 3.780912342560436*^9}, 3.7809130254144926`*^9, 
   3.780913164117426*^9, 3.780918143444227*^9, 3.7809186181133766`*^9, 
   3.780918709413599*^9, 3.7809187610135503`*^9, 3.7809188344117484`*^9, {
   3.7809193870833597`*^9, 3.780919405013385*^9}, 3.780922518307455*^9, 
   3.7809287615505486`*^9, 3.78098139754047*^9, 3.7809821980852585`*^9, 
   3.7809830569123807`*^9, 3.780983642017847*^9, {3.7812415299749966`*^9, 
   3.7812415476010046`*^9}, 3.781241979166689*^9, 3.785419200342408*^9, 
   3.7854194258083043`*^9, 3.7854195286501865`*^9, 3.7854200614686623`*^9, 
   3.7854202195327024`*^9, 3.785489399181328*^9, 3.785567025736577*^9, 
   3.7856460602065687`*^9, 3.786089046727227*^9, 3.786089160103712*^9, 
   3.786089285730898*^9, 3.7860894322782793`*^9, {3.786089482556155*^9, 
   3.7860895051314464`*^9}, {3.7860898453229046`*^9, 3.786089887850337*^9}, 
   3.7863535050244107`*^9, 3.7867939971990037`*^9, 3.786794116339818*^9, 
   3.7908627776141653`*^9, 3.7908628778308973`*^9, 3.7910081636615086`*^9, {
   3.791015472758565*^9, 3.791015491055611*^9}, 3.7910156986804867`*^9, 
   3.791033221690137*^9, 3.7910332852937746`*^9, 3.7910334169403048`*^9, 
   3.791033481436993*^9, 3.7910335198161883`*^9, 3.7910335642787313`*^9, 
   3.791033635911829*^9, 3.7910340114703093`*^9, {3.791034080412253*^9, 
   3.791034118099408*^9}, {3.791034185509264*^9, 3.7910342541051874`*^9}, {
   3.79103429348444*^9, 3.791034382721544*^9}, {3.791034418968617*^9, 
   3.79103455417235*^9}, 3.7910346866989307`*^9, {3.791034890183569*^9, 
   3.791034939217374*^9}, {3.7910349700401363`*^9, 3.7910350345018234`*^9}, 
   3.791037050831151*^9, 3.7918932820482683`*^9, 3.791893387991328*^9, 
   3.7918934374971595`*^9, 3.792155651859356*^9, 3.7923220587707386`*^9, 
   3.792328941322398*^9, 3.79232898138869*^9, 3.793095218484229*^9, 
   3.7931029125683055`*^9, 3.7931033237958264`*^9, 3.7935098042747087`*^9, 
   3.7948268253039026`*^9, 3.7948269018282795`*^9, 3.795425402621912*^9, 
   3.7954275517128325`*^9, 3.7954289394442067`*^9, 3.7954291822680955`*^9, 
   3.7954294810291834`*^9, 3.795430275679635*^9, 3.795431877931278*^9, 
   3.795436942093932*^9, 3.7954412322233133`*^9, 3.795441786274003*^9, 
   3.79544181908488*^9, 3.840165816109932*^9, 3.840183338594731*^9, 
   3.8401978433917284`*^9, 3.840282511650983*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"399ecb05-1c27-434a-aafc-05f55c745494"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beam powers: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.743`", ",", "1.748`", ",", "0.0396`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["Beam powers: ", {0.743, 1.748, 0.0396}, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.8401658163283253`*^9, 
   3.8401833388159037`*^9, 3.8401978437848635`*^9, 3.8402825116611156`*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"4e3e0d40-a039-43e7-8ccc-7a291f0d3902"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 1: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "260.25239141669994`", ",", "0.885069969990829`", ",", 
     "1.4817179541071452`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 1: ", {260.25239141669994`, 0.885069969990829, 
   1.4817179541071452`}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.8401658163283253`*^9, 
   3.8401833388159037`*^9, 3.8401978437848635`*^9, 3.8402825116611156`*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"ede61b65-95e0-44f9-8a4a-977f05f0a4dc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rayleigh length axis 2: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "260.25239141669994`", ",", "262.35968962941587`", ",", 
     "1.4817179541071452`"}], "}"}], "\[InvisibleSpace]", "\<\" mm\"\>"}],
  SequenceForm[
  "Rayleigh length axis 2: ", {260.25239141669994`, 262.35968962941587`, 
   1.4817179541071452`}, " mm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.8401658163283253`*^9, 
   3.8401833388159037`*^9, 3.8401978437848635`*^9, 3.8402825116611156`*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"7df813b0-495a-471d-8659-f24f300d8321"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]X for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "232.65804916300905`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]X for Sr with gravitationnal sagging : ", 
   232.65804916300905`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.8401658163283253`*^9, 
   3.8401833388159037`*^9, 3.8401978437848635`*^9, 3.8402825116691494`*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"0e5aa539-f7d5-4b28-a6c7-48b9c9fbf968"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Y for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "613.4272603743808`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Y for Sr with gravitationnal sagging : ", 
   613.4272603743808, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.8401658163283253`*^9, 
   3.8401833388159037`*^9, 3.8401978437848635`*^9, 3.8402825116711817`*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"30e8dfba-9fe9-4ef5-94b3-46b4e5c9437b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Sr dip trap frequency \[Omega]Z for Sr with gravitationnal \
sagging : \"\>", "\[InvisibleSpace]", "229.97620664679366`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Sr dip trap frequency \[Omega]Z for Sr with gravitationnal sagging : ", 
   229.97620664679366`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.8401658163283253`*^9, 
   3.8401833388159037`*^9, 3.8401978437848635`*^9, 3.8402825116711817`*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"00da4541-b0fe-4aa4-801c-18b31f683812"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Grav sagging: \"\>", "\[InvisibleSpace]", 
   "0.6563461843603512`", "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm["Grav sagging: ", 0.6563461843603512, " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.8401658163283253`*^9, 
   3.8401833388159037`*^9, 3.8401978437848635`*^9, 3.8402825116711817`*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"3aa3010e-2b2c-44b8-a3ce-98d41348f55f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Absolute potential depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "14.29827918010871`"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Absolute potential depth: ", -14.29827918010871, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.8401658163283253`*^9, 
   3.8401833388159037`*^9, 3.8401978437848635`*^9, 3.840282511681299*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"08aba8b7-256d-457d-a503-f14c3d540fa1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Edge of the trap between tranport DT and sheet DT: \"\>", 
   "\[InvisibleSpace]", "23.125325530789823`", 
   "\[InvisibleSpace]", "\<\" \[Micro]m\"\>"}],
  SequenceForm[
  "Edge of the trap between tranport DT and sheet DT: ", 23.125325530789823`, 
   " \[Micro]m"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.8401658163283253`*^9, 
   3.8401833388159037`*^9, 3.8401978437848635`*^9, 3.840282511681299*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"8b742326-fedb-4a00-8d64-d39a22ae2b26"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Trap depth: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.28226119583168957`", ",", "11.34125625768423`", ",", 
     "2.6423280485716383`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm[
  "Trap depth: ", {0.28226119583168957`, 11.34125625768423, 
   2.6423280485716383`}, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.8401658163283253`*^9, 
   3.8401833388159037`*^9, 3.8401978437848635`*^9, 3.840282511681299*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"7ab59744-6035-4404-9518-1ca762f68db0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Effective trap depth: \"\>", "\[InvisibleSpace]", 
   "8.764753596049578`", "\[InvisibleSpace]", "\<\" \[Micro]K\"\>"}],
  SequenceForm["Effective trap depth: ", 8.764753596049578, " \[Micro]K"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7507440011936193`*^9, {3.7507448029734783`*^9, 3.750744879539858*^9}, 
   3.7507451480942183`*^9, {3.7507456519930396`*^9, 3.750745743335264*^9}, 
   3.7507459475089417`*^9, 3.7507460854488316`*^9, {3.7507472389418077`*^9, 
   3.7507472955630465`*^9}, 3.75074737761574*^9, {3.750763270569764*^9, 
   3.75076328028632*^9}, {3.750763415573058*^9, 3.7507634404904833`*^9}, 
   3.750765138855624*^9, 3.7510866715987935`*^9, 3.7516868913362937`*^9, {
   3.7777127536832995`*^9, 3.7777127672010727`*^9}, {3.777712857101215*^9, 
   3.77771287152304*^9}, 3.7777129674155245`*^9, 3.777713180250698*^9, {
   3.777713264700528*^9, 3.777713281086465*^9}, 3.7777134511851945`*^9, 
   3.7777142074654512`*^9, 3.777718609152213*^9, 3.777718647789423*^9, 
   3.7777186967322226`*^9, 3.777719016445509*^9, 3.777719213426776*^9, 
   3.777719286627963*^9, 3.777719559032543*^9, 3.7777196116955557`*^9, 
   3.7777196795444365`*^9, 3.7789329241041718`*^9, 3.778932958242124*^9, 
   3.7789356296659207`*^9, 3.7789365804963055`*^9, 3.779420040315572*^9, 
   3.7794201592563753`*^9, 3.7794202749059896`*^9, {3.7794203685563464`*^9, 
   3.779420375547746*^9}, 3.7794208614365377`*^9, {3.77979621271294*^9, 
   3.7797962226053576`*^9}, {3.779797000431732*^9, 3.779797019971368*^9}, {
   3.779797763566678*^9, 3.7797977868021193`*^9}, 3.7797978383666105`*^9, 
   3.779797878611081*^9, 3.7797979094145355`*^9, {3.780321812356576*^9, 
   3.7803218276436157`*^9}, 3.7803222926022882`*^9, 3.7803223860234394`*^9, {
   3.780381181317836*^9, 3.7803812379930773`*^9}, 3.780381285030768*^9, {
   3.780912323127324*^9, 3.7809123431354685`*^9}, 3.7809130258645186`*^9, 
   3.7809131645224495`*^9, 3.7809181438632517`*^9, 3.7809186185624027`*^9, 
   3.7809187098896265`*^9, 3.7809187614865775`*^9, 3.780918834896776*^9, {
   3.7809193875603867`*^9, 3.780919405507413*^9}, 3.780922518822485*^9, 
   3.7809287620265756`*^9, 3.7809813980695*^9, 3.7809821985392847`*^9, 
   3.78098305741741*^9, 3.7809836425018744`*^9, {3.7812415304400225`*^9, 
   3.7812415480920324`*^9}, 3.781241979632715*^9, 3.7854192007824335`*^9, 
   3.78541942626133*^9, 3.785419529097212*^9, 3.7854200619246883`*^9, 
   3.7854202199687276`*^9, 3.785489399735359*^9, 3.785567026351612*^9, 
   3.785646060596591*^9, 3.786089047158252*^9, 3.786089160559738*^9, 
   3.786089286197924*^9, 3.7860894327113047`*^9, {3.78608948298818*^9, 
   3.7860895055774717`*^9}, {3.78608984577493*^9, 3.786089888299362*^9}, 
   3.7863535054674363`*^9, 3.786793997674031*^9, 3.7867941168298464`*^9, 
   3.7908627780231886`*^9, 3.790862878245921*^9, 3.7910081640815325`*^9, {
   3.791015473214591*^9, 3.7910154915366387`*^9}, 3.79101569908451*^9, 
   3.7910332222251673`*^9, 3.7910332858868084`*^9, 3.7910334175303383`*^9, 
   3.7910334820580287`*^9, 3.7910335203922215`*^9, 3.791033564852764*^9, 
   3.7910336366188693`*^9, 3.7910340124833674`*^9, {3.791034081472313*^9, 
   3.7910341191144667`*^9}, {3.7910341865533237`*^9, 
   3.7910342549502354`*^9}, {3.791034294326488*^9, 3.7910343835185895`*^9}, {
   3.791034419796664*^9, 3.7910345550424*^9}, 3.7910346875419784`*^9, {
   3.7910348913296347`*^9, 3.7910349404404435`*^9}, {3.7910349711001973`*^9, 
   3.7910350355448833`*^9}, 3.791037052794263*^9, 3.7918932830863276`*^9, 
   3.7918933884623547`*^9, 3.791893437972186*^9, 3.7921556526193995`*^9, 
   3.792322059246766*^9, 3.7923289417864246`*^9, 3.7923289817727118`*^9, 
   3.7930952189912577`*^9, 3.793102913033332*^9, 3.7931033241778483`*^9, 
   3.7935098047367353`*^9, 3.7948268258579345`*^9, 3.7948269023173075`*^9, 
   3.7954254031169405`*^9, 3.7954275521718593`*^9, 3.795428939907233*^9, 
   3.7954291827161207`*^9, 3.795429481482209*^9, 3.7954302761676626`*^9, 
   3.7954318783993053`*^9, 3.7954369425679593`*^9, 3.7954412327103415`*^9, 
   3.7954417867620316`*^9, 3.795441819562907*^9, 3.8401658163283253`*^9, 
   3.8401833388159037`*^9, 3.8401978437848635`*^9, 3.840282511681299*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"ec1b2a2c-9a88-46df-9041-a6aefe2fdede"]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Self consistent evaluation of Nth for a fixed Nbec and Temp", \
"Subsection",
 CellChangeTimes->{{3.7213797517345233`*^9, 3.7213797879645734`*^9}, {
  3.750685679896145*^9, 3.7506856865615263`*^9}, {3.7954336196228976`*^9, 
  3.7954336495026064`*^9}},ExpressionUUID->"e2831d80-8d10-4cec-9040-\
a20f09be2dbd"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NInterpPts", " ", "=", "30"}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gScat", " ", "=", 
    RowBox[{"4.", "*", "Pi", "*", 
     RowBox[{"aScat", "/", "mAssSr"}]}]}], " ", ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"hbarre", "^", "2"}], "*", 
    RowBox[{"aB", "/", "au"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"factAuxNatAniso", " ", "=", " ", 
   RowBox[{"hbarre", "/", 
    RowBox[{"(", 
     RowBox[{"2.", "*", "Pi", "*", 
      RowBox[{"aB", "^", "2."}], "*", "au"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxDensity", " ", "=", " ", 
    RowBox[{"2.", "*", 
     RowBox[{"Pi", "/", 
      RowBox[{"(", 
       RowBox[{"hbarre", "*", 
        RowBox[{"aB", "/", "au"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vpot0", " ", "=", " ", 
   RowBox[{"VPotAnisoDTFun", "[", 
    RowBox[{"0.", ",", "0.", ",", "0."}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTh0Init", " ", "=", " ", "0."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n0BECInit", " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Omega]IsoDT", "/", 
      RowBox[{"(", 
       RowBox[{"2.", "*", "gScat"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"15.", "*", "NatBECTest", "*", "aScat", "*", 
         RowBox[{"aB", "/", "aHODTiso"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"2.", "/", "5."}], ")"}]}], "/", 
      RowBox[{"(", 
       RowBox[{"2.", "*", "Pi"}], ")"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"2", "*", "Pi", " ", "*", " ", 
    RowBox[{
     RowBox[{"hbarre", " ", "/", " ", 
      RowBox[{"hbarre", "^", "2"}]}], " ", "/", "aB"}], " ", "*", " ", "au"}],
    "  ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]Chem", " ", "=", " ", 
    RowBox[{"Vpot0", " ", "+", " ", 
     RowBox[{"gScat", " ", "*", " ", 
      RowBox[{"(", 
       RowBox[{"n0BECInit", "+", 
        RowBox[{"2.", "*", "nTh0Init"}]}], ")"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "Hz"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nThTab", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "0."}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"xMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{
          RowBox[{"-", "yMaxBEC"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{
          RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
         RowBox[{"zMaxBEC", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"NInterpPts", "+", "1"}], ")"}], "/", "NInterpPts"}]}], 
         ",", 
         RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", "2"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nThInterpFun", "=", " ", 
    RowBox[{"Interpolation", "[", "nThTab", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]deBroglieFun", "[", "Temp_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2.", "*", 
      RowBox[{"Pi", "/", 
       RowBox[{"(", 
        RowBox[{"mAssSr", "*", "Temp"}], ")"}]}], " ", "*", " ", 
      "hbarreOverAu", " ", "*", " ", "hbarreOverkB"}], "]"}], " ", "/", " ", 
    "aB"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"factAuxnThFun", "[", "Temp_", "]"}], ":=", 
   RowBox[{"1.", "/", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]deBroglieFun", "[", "Temp", "]"}], ")"}], "^", 
       "3."}], " ", "*", " ", 
      RowBox[{"aB", "^", "3."}], "*", "factAuxDensity"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"XYZDipPotFun", "[", 
      RowBox[{
       RowBox[{"x", "*", "aB"}], ",", 
       RowBox[{"y", "*", "aB"}], ",", 
       RowBox[{"z", "*", "aB"}]}], "]"}], "-", "PotDepth"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"1.", "/", "gScat"}], " ", "*", " ", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"\[Mu]Chem", " ", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], "-", 
        RowBox[{"2.", "*", "gScat", "*", 
         RowBox[{"nThFun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}], ",", "0."}], 
      "]"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NbBECFun", "[", 
     RowBox[{
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThFun_"}], "]"}], ":=", 
    RowBox[{"4.", "*", 
     RowBox[{
      RowBox[{"Quiet", "[", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"nBECFun", "[", 
          RowBox[{
           RowBox[{"x", "+", 
            RowBox[{"xOffset", "/", "aB"}]}], ",", 
           RowBox[{"y", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], 
           ",", 
           RowBox[{"z", "+", 
            RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", 
           "nThFun"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.", ",", "xMaxBEC2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "yMaxBEC2"}], ",", "yMaxBEC2"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", " ", "0.", ",", "zMaxBEC2"}], "}"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "100"}], ",", 
         RowBox[{"PrecisionGoal", "\[Rule]", "4"}], ",", 
         RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}],
        "]"}], "/", "factAuxNatAniso"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"UFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=",
    " ", 
   RowBox[{
    RowBox[{"VPotAnisoDTFun", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", "+", " ", 
    RowBox[{"2.", "*", "gScat", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}],
         "]"}], "+", " ", 
       RowBox[{"nThOldFun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
   " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"UFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "nThOldFun"}], 
         "]"}]}], ")"}], "/", "Temp"}], "*", "ctePlanckOverkB"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThOldFun_"}], "]"}], ":=", 
    " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"ZFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThOldFun"}], "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"selfConsitentLoopFun", "[", 
     RowBox[{"{", 
      RowBox[{"nThInterpFun_", ",", "\[Mu]Chem_", ",", "\[Mu]ChemOld_"}], 
      "}"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"nThTabAux", ",", "nThInterpFunRes", ",", "\[Mu]ChemRes"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nThTabAux", " ", "=", " ", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
              RowBox[{"nThFun", "[", 
               RowBox[{
               "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "TempCloud", 
                ",", "nThInterpFun"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", "xMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"xMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"xMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{
               RowBox[{"-", "yMaxBEC"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"yMaxBEC", "/", "NInterpPts"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", "zMaxBEC"}], "/", "NInterpPts"}], ",", 
              RowBox[{"zMaxBEC", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"NInterpPts", "+", "1."}], ")"}], "/", 
                "NInterpPts"}]}], ",", 
              RowBox[{"zMaxBEC", "/", "NInterpPts"}]}], "}"}]}], "]"}], ",", 
          "2"}], "]"}]}], ";", 
       RowBox[{"nThInterpFunRes", "=", " ", 
        RowBox[{"Interpolation", "[", "nThTabAux", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]ChemRes", "=", " ", 
        RowBox[{"\[Mu]ChemBEC", "/.", " ", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"NbBECFun", "[", 
             RowBox[{"\[Mu]ChemBEC", ",", "nThInterpFunRes"}], "]"}], 
            "\[Equal]", "   ", "NatBECTest"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Mu]ChemBEC", ",", 
             RowBox[{"\[Mu]Chem", "*", "1."}]}], "}"}], ",", 
           RowBox[{"Evaluated", "\[Rule]", " ", "False"}], ",", 
           RowBox[{"MaxIterations", "\[Rule]", " ", "50"}], ",", 
           RowBox[{"AccuracyGoal", "\[Rule]", "10"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Current value of chemical potential: \>\"", ",", "\[Mu]ChemRes", 
         ",", "\"\< Hz\>\""}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"nThInterpFunRes", ",", "\[Mu]ChemRes", ",", "\[Mu]Chem"}], 
        "}"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aux1Fun", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"x", "/", "xMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"y", "/", "yMaxTh"}], "]"}], ")"}], "^", "1.5"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Abs", "[", 
         RowBox[{"z", "/", "zMaxTh"}], "]"}], ")"}], "^", "1.5"}]}], ")"}], 
    "/", "2."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"aux2Fun", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"x", "/", 
           RowBox[{"(", 
            RowBox[{"xMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"y", "/", 
           RowBox[{"(", 
            RowBox[{"yMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"z", "/", 
           RowBox[{"(", 
            RowBox[{"zMaxBEC", "*", "0.9"}], ")"}]}], "]"}], ")"}], "^", 
        "1.5"}]}], ")"}], "/", "2."}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z2Fun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
     RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Mu]Chem", "-", 
        RowBox[{"VPotAnisoDTFun", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ")"}], "/", "Temp"}], 
     "*", "ctePlanckOverkB"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nTh2Fun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"PolyLog", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"Z2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], "]"}], " ", "*", 
     RowBox[{"factAuxnThFun", "[", "Temp", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nThExtendedFun", "[", 
     RowBox[{
      RowBox[{"x_", "?", "NumericQ"}], ",", 
      RowBox[{"y_", "?", "NumericQ"}], ",", 
      RowBox[{"z_", "?", "NumericQ"}], ",", 
      RowBox[{"\[Mu]Chem_", "?", "NumericQ"}], ",", 
      RowBox[{"Temp_", "?", "NumericQ"}], ",", "nThInterpFun_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"aux1Fun", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aux2Fun", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "<", "0.5"}], ",", 
        RowBox[{"nThFun", "[", 
         RowBox[{
         "x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp", ",", 
          "nThInterpFun"}], "]"}], ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Mu]Chem", ",", "Temp"}], 
         "]"}]}], "]"}], ",", "0."}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NbThFun", "[", 
    RowBox[{"\[Mu]Chem_", ",", "Temp_", ",", "nThInterpFun_"}], "]"}], ":=", 
   RowBox[{"4.", "*", " ", 
    RowBox[{
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
         RowBox[{"x", "+", 
          RowBox[{"xOffset", "/", "aB"}]}], ",", 
         RowBox[{"y", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"yOffset", "+", "gSaggSrNum"}], ")"}], "/", "aB"}]}], ",", 
         RowBox[{"z", "+", 
          RowBox[{"zOffset", "/", "aB"}]}], ",", "\[Mu]Chem", ",", "Temp", 
         ",", "nThInterpFun"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0.", ",", "xMaxTh"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "yMaxTh"}], ",", "yMaxTh"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"z", ",", " ", "0.", ",", "zMaxTh"}], "}"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
       RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
       RowBox[{"Method", "\[Rule]", " ", "\"\<LocalAdaptive\>\""}]}], "]"}], 
     "/", "factAuxNatAniso"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.795412272675922*^9, 3.7954122733979635`*^9}, {
   3.795412338503687*^9, 3.7954123395937495`*^9}, {3.7954124414115734`*^9, 
   3.7954125545510445`*^9}, {3.795412602645795*^9, 3.7954126028588076`*^9}, {
   3.795412641986045*^9, 3.795412672181772*^9}, {3.7954127276239433`*^9, 
   3.795412727969963*^9}, {3.795412802308215*^9, 3.7954129253082504`*^9}, {
   3.7954129567280474`*^9, 3.7954129985764413`*^9}, {3.7954130524345217`*^9, 
   3.7954130688094583`*^9}, {3.7954131738404655`*^9, 
   3.7954131821739426`*^9}, {3.795413298957622*^9, 3.7954133254101353`*^9}, {
   3.7954134760787525`*^9, 3.7954135066395006`*^9}, {3.7954135429855795`*^9, 
   3.7954137009686155`*^9}, {3.7954137321614*^9, 3.795413737549708*^9}, 
   3.7954137685704823`*^9, {3.795413863906935*^9, 3.7954138970708323`*^9}, {
   3.795413975689329*^9, 3.7954139764343715`*^9}, {3.795425005449195*^9, 
   3.7954250208070736`*^9}, {3.7954251594590034`*^9, 3.795425181198247*^9}, {
   3.7954253466877127`*^9, 3.7954253762114015`*^9}, {3.7954254409391036`*^9, 
   3.795425478726265*^9}, 3.795425536822588*^9, {3.7954255808941083`*^9, 
   3.795425634325165*^9}, {3.795425790490097*^9, 3.7954258183856926`*^9}, {
   3.7954258785161314`*^9, 3.7954259995520544`*^9}, {3.795426044443622*^9, 
   3.795426233835455*^9}, {3.795426537196806*^9, 3.7954266074378233`*^9}, {
   3.7954266600658336`*^9, 3.7954267045523777`*^9}, {3.7954267351641293`*^9, 
   3.7954267980517263`*^9}, {3.795426852222824*^9, 3.7954268679787254`*^9}, {
   3.7954269030007286`*^9, 3.7954269032427425`*^9}, {3.7954269832783203`*^9, 
   3.795427083169034*^9}, {3.79542712139222*^9, 3.795427127744583*^9}, {
   3.7954271649117093`*^9, 3.7954271817886744`*^9}, 3.7954275600773115`*^9, {
   3.7954276202647543`*^9, 3.7954276375347414`*^9}, 3.7954277665431204`*^9, {
   3.7954277989009714`*^9, 3.7954277995990114`*^9}, {3.7954278577423368`*^9, 
   3.795427892545327*^9}, {3.795427931265542*^9, 3.795427944648308*^9}, {
   3.795428058806837*^9, 3.7954280875334797`*^9}, {3.795428207570346*^9, 
   3.795428235397938*^9}, {3.795428276863309*^9, 3.7954283208918276`*^9}, {
   3.7954283918318853`*^9, 3.795428397111187*^9}, 3.7954291421097984`*^9, {
   3.795429443170018*^9, 3.7954294558067408`*^9}, {3.795429676046338*^9, 
   3.7954296763353543`*^9}, {3.795429969224107*^9, 3.7954299737993684`*^9}, {
   3.7954302001643157`*^9, 3.7954302012023754`*^9}, {3.7954314113425913`*^9, 
   3.7954314117536144`*^9}, {3.7954315154065433`*^9, 
   3.7954315579919786`*^9}, {3.795431890181979*^9, 3.795431890531999*^9}, 
   3.795432954083831*^9, {3.7954338308759804`*^9, 3.795433850961129*^9}, {
   3.7954368927101073`*^9, 3.7954368968943467`*^9}, 3.7954371532650104`*^9, {
   3.795437262779274*^9, 3.795437280441284*^9}, {3.7954373374385443`*^9, 
   3.7954373406827297`*^9}, 3.7954375579651575`*^9, {3.7954375896489697`*^9, 
   3.795437669130516*^9}, {3.795437770695325*^9, 3.795437771037345*^9}, {
   3.7954393882568445`*^9, 3.795439388967885*^9}, {3.795441832335638*^9, 
   3.7954418325246487`*^9}, {3.8157398937307854`*^9, 
   3.8157398955858917`*^9}, {3.8401665907845297`*^9, 3.840166593201414*^9}, 
   3.8401667066153097`*^9, 3.8401675822094984`*^9, {3.840167705575264*^9, 
   3.84016771661957*^9}, 3.8401686631279483`*^9, {3.840180649911642*^9, 
   3.8401806656207914`*^9}, {3.84018228629531*^9, 3.840182287216528*^9}, 
   3.840183292590223*^9, 3.8401833709979715`*^9, 3.8401918723981004`*^9, 
   3.8401978743383064`*^9, 3.8402016543901834`*^9, {3.8402063783406496`*^9, 
   3.8402064150485587`*^9}, {3.8402064640559254`*^9, 
   3.8402064650690346`*^9}, {3.8402813083135104`*^9, 3.840281312222025*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"2888cf45-05cf-49c0-9c0e-16020343629d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"nThInterpFunSol", ",", "\[Mu]ChemSol", ",", "\[Mu]ChemAux"}], 
   "}"}], "=", " ", 
  RowBox[{"NestWhile", "[", 
   RowBox[{"selfConsitentLoopFun", ",", 
    RowBox[{"{", 
     RowBox[{"nThInterpFun", ",", "\[Mu]Chem", ",", "1."}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", 
          RowBox[{"#", "[", 
           RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "]"}], "/", 
       RowBox[{"#", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], ">", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "3"}], ")"}]}]}], "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.795431789724233*^9, 3.7954318089193316`*^9}, {
   3.7954324286467776`*^9, 3.795432428983797*^9}, {3.7954324599235663`*^9, 
   3.7954324602215834`*^9}, {3.7954338361732836`*^9, 3.7954338364613*^9}, {
   3.7954372906848707`*^9, 3.795437291167898*^9}, 3.8401684465224667`*^9, {
   3.8401899733730164`*^9, 3.840189974241372*^9}},
 CellLabel->"In[92]:=",ExpressionUUID->"37c8890c-c852-473a-8931-250c0183ad98"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11305.865131619466`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11305.865131619466`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402826482288513`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"a43c3379-0d82-434d-a622-432e19b62188"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11655.040132783937`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11655.040132783937`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840282735615122*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"7fb452bb-9af1-40e7-b107-d43cb9970473"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11634.971246072118`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11634.971246072118`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.84028284399096*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"9ec49cc3-5259-4235-98cc-0ef85756ff6f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11686.287936913526`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11686.287936913526`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840282941856554*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"b1277fa9-53d6-460d-969b-dce7c5345841"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11655.869073698563`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11655.869073698563`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840283036720731*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"4698d180-7455-4ce9-a804-b10845578b54"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11693.551134677296`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11693.551134677296`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840283139265332*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"41b42a95-b636-48ad-90cf-08605a1d0b0e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11664.511098486264`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11664.511098486264`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840283252274891*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"d50880db-8598-4287-9e82-ed897150fdc9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11704.218903095218`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11704.218903095218`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402833531896143`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"fb147875-cc9f-4b99-9d89-b4d8e4e4a9c1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11662.845796676198`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11662.845796676198`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402834578621626`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"6d36ead9-9911-4ae7-8529-50d509bdde58"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11703.731504643583`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11703.731504643583`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402835647235994`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"38737bab-3052-4c3d-ba62-a9a5b4af49ed"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11668.821864614616`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11668.821864614616`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840283659065707*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"c79bcdfd-a382-4c21-90d7-65061364fb9f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11705.827091287543`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11705.827091287543`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402837883128295`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"0ef1aa85-c6e0-4ecb-bf67-a22faab309e5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11666.504583057933`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11666.504583057933`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840283885017027*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"cabd7ee8-1d70-474e-bd2c-1d6f216c1da3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11706.023599441627`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11706.023599441627`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840283993412387*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"9f6f79f3-91d1-407f-ba49-d16e2835b179"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11669.860320309614`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11669.860320309614`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402840899188194`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"a6db8694-de0b-44d5-b1fd-9e59bc89d811"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11705.576870336872`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11705.576870336872`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840284215204832*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"25b2b331-d671-4b74-8530-04c542ca34be"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11665.697145625327`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11665.697145625327`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840284311422758*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"24d42afa-ed10-474e-a579-d30397da458f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11707.092787482832`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11707.092787482832`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402843958890533`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"0df1f220-5001-4553-8e10-c7cf2fe47c43"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,92,1,23443426309374965669,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8402845356181765`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"16bb2aed-feaa-43e6-bfc0-4dc2d692480d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11671.22559019892`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11671.22559019892, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840284535666602*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"c3a0ecfd-32c4-4b71-bcbc-33485dfcc988"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11702.892830762472`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11702.892830762472`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840284640602518*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"a23de0ac-fa91-408b-8b16-c4bfe18712f7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11676.117378811281`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11676.117378811281`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402847377421637`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"26c0337a-7203-45fc-b817-bfc011736f4e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11702.189379719368`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11702.189379719368`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840284819799716*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"67f750af-8ac5-4342-b36e-2147099787d0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11677.223354873311`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11677.223354873311`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840284918630666*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"74e7fbe5-ed11-4d6c-a8a7-38add8ee6411"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11695.376829859712`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11695.376829859712`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402850424947586`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"4abae1a0-6618-438f-a7cb-3387051da9d1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11679.67925336902`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11679.67925336902, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840285138578353*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"41f2d409-f419-4ae5-b208-04f75705dd34"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11705.674883396032`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11705.674883396032`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.84028526258562*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"bacf0341-e6ee-43a8-bcec-6cc34e34ae07"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11670.818966797231`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11670.818966797231`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840285361873596*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"8af17797-1f42-4f94-9c20-7a27b2945636"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11706.368125330959`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11706.368125330959`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402854716477346`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"ce7cad65-e07b-48ed-87dd-c3ff33b51ee6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11670.323747568116`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11670.323747568116`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840285570585331*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"68860a8e-99e4-49e9-bba1-f41b518aa5cb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11707.366382826227`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11707.366382826227`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840285652790889*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"95708a4a-631e-4017-aec4-fea83245a7d0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11680.633530885672`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11680.633530885672`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.84028574921492*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"6b2c151e-4d4e-49c8-8c72-28b3b371ba50"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11693.642111039468`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11693.642111039468`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402858569871674`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"0f516e43-412d-4c2c-9435-545a387d82ac"],

Cell[BoxData[
 TemplateBox[{
  "FindRoot","lstol",
   "\"The line search decreased the step size to within tolerance specified \
by AccuracyGoal and PrecisionGoal but was unable to find a sufficient \
decrease in the merit function. You may need more than \
\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\) digits of working precision to \
meet these tolerances.\"",2,92,2,23443426309374965669,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.840285972997656*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"2ed1feaf-94d1-4605-a229-168aad842fd4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11672.569513479335`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11672.569513479335`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840285973046275*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"eef3e0df-8005-434f-a53a-759c4f9aea6d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11703.826141590016`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11703.826141590016`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840286058748331*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"ef8278b0-f00e-44cd-990d-2deb81503ddf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11667.716620429612`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11667.716620429612`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402861550342717`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"e6d3dfcb-347f-43c5-b1f4-97ac98c6d732"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11709.411127225076`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11709.411127225076`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840286263259048*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"dfb471ac-da01-4222-8b23-ad27fe75a1e9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11665.152710597931`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11665.152710597931`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840286361442828*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"5cb06bfd-28ca-4fa2-9e1e-1bf9496bc691"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11706.929132864208`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11706.929132864208`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402864708578787`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"db325a08-8cc6-415d-a822-ae395ccd2a34"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11678.639864777582`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11678.639864777582`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402865883414993`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"2fe83a49-ebd9-4914-8b8a-41cfa1f0d629"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11700.890778228428`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11700.890778228428`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840286696012643*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"129b38dd-024b-4b3c-9749-0b80895b7763"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11678.458510063905`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11678.458510063905`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840286809548085*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"745f44b4-6f97-4209-b2fb-502637649148"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11703.194857404857`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11703.194857404857`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840286927364745*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"2ed14a89-3e99-46fe-90cd-cdf7340df405"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11674.774720030462`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11674.774720030462`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402870283283453`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"d5ee7cb8-f19a-4373-b1c4-f4cc72a47707"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11697.811968036805`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11697.811968036805`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402871081667604`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"9f972ffa-925b-4c47-afc4-2c847fb7fc7e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11684.43085903938`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11684.43085903938, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840287205851877*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"645082fb-abcb-485d-a302-626e80d7dbfa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11696.417819953633`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11696.417819953633`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402873153871684`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"4a8c304d-c764-4ae8-83b8-653b829160f4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11674.86345339324`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11674.86345339324, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840287404820763*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"54c4a71a-c2cd-402d-9b18-414f08062f44"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11702.820519155715`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11702.820519155715`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402875093783193`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"1fd7d822-d329-4ae3-9ac1-c6da5300843e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11677.482830185862`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11677.482830185862`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402876220283422`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"bbe5b47c-fef4-4901-869f-8d995222464b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11699.18353201135`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11699.18353201135, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840287726062591*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"1891bb75-9ae8-47a6-be6c-02afda263f1a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11680.633666568827`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11680.633666568827`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840287822492043*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"2e9cff5a-8412-4a08-a8aa-d266328621e2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11695.778838767357`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11695.778838767357`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402879281503143`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"9d16d80f-41d8-458d-b7d7-d88ee908ad19"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11678.618716631503`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11678.618716631503`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402880239059644`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"6e9f4306-8b02-483e-be68-f1055bfcf66e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11700.090458605784`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11700.090458605784`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402881451832705`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"c3a06108-9a15-4e42-8e18-73b51220eb70"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11684.738407912533`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11684.738407912533`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402882394810176`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"32dc7312-7785-4bd0-849c-9408c2bdb9a8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11698.800578019085`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11698.800578019085`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402883440943055`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"84cd08e2-a137-4a93-a315-1bcb3f87a39a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11676.887504883809`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11676.887504883809`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402884378067274`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"f2f9fa12-5990-4b85-a6a6-c933bc3eb725"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11699.785779820291`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11699.785779820291`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.840288544240562*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"de9738df-368c-46dc-b965-ab6b2e855d5f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11684.56161676959`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11684.56161676959, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402886575337157`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"91f2966c-cf64-4a41-b398-004ce9777da9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Current value of chemical potential: \"\>", 
   "\[InvisibleSpace]", "11693.190323169745`", 
   "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm[
  "Current value of chemical potential: ", 11693.190323169745`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.7954319741117797`*^9, 3.795432959773156*^9, 
  3.7954331451567593`*^9, 3.7954338745944815`*^9, 3.795434672328109*^9, 
  3.7954369738667493`*^9, 3.795437321991661*^9, 3.7954373772898235`*^9, 
  3.7954378672598486`*^9, 3.7954393736370087`*^9, 3.795442314805234*^9, 
  3.8401666803474913`*^9, 3.8401668531580534`*^9, 3.8401676050086803`*^9, 
  3.8401677502737603`*^9, 3.840168475886995*^9, 3.8401687136160383`*^9, 
  3.8401836363363886`*^9, 3.8401902637831335`*^9, 3.8401920794795895`*^9, 
  3.840198208910144*^9, 3.840201782295638*^9, 3.8402887599659595`*^9},
 CellLabel->
  "During evaluation of \
In[92]:=",ExpressionUUID->"471a72d3-6f55-44f1-8302-426809a96618"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    TemplateBox[{RowBox[{
        StyleBox[
         TagBox["InterpolatingFunction", "SummaryHead"], 
         "NonInterpretableSummary"], 
        StyleBox["[", "NonInterpretableSummary"], 
        DynamicModuleBox[{
         Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
         TemplateBox[{
           TemplateBox[{
             PaneSelectorBox[{False -> GridBox[{{
                   PaneBox[
                    ButtonBox[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SquarePlusIconMedium"]], 
                    ButtonFunction :> (Typeset`open$$ = True), Appearance -> 
                    None, Evaluator -> Automatic, Method -> "Preemptive"], 
                    Alignment -> {Center, Center}, ImageSize -> 
                    Dynamic[{
                    Automatic, 3.5 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                   GraphicsBox[{{
                    GrayLevel[0.6], 
                    AbsolutePointSize[5], 
                    PointBox[{1, 1}], 
                    PointBox[{2, 4}], 
                    PointBox[{3, 2}], 
                    PointBox[{4, 3}]}, {{}, {}, {
                    AbsoluteThickness[1], 
                    Opacity[1.], 
                    LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                    "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
                    GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                    GrayLevel[0.7], 
                    Thickness[Tiny]], FrameTicks -> None, 
                    ImageSize -> {Automatic, 
                    Dynamic[
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
                   GridBox[{{
                    RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "9448.63062312885`"}], ",", 
                    "292907.5493169944`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "253853.20940806175`"}], ",", 
                    "253853.2094080618`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "9448.63062312885`"}], ",", 
                    "292907.5493169944`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                    AutoDelete -> False, 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                    BaseStyle -> {
                    ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
                 GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False,
                  GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 BaselinePosition -> {1, 1}], True -> GridBox[{{
                   PaneBox[
                    ButtonBox[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SquareMinusIconMedium"]], 
                    ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                    None, Evaluator -> Automatic, Method -> "Preemptive"], 
                    Alignment -> {Center, Center}, ImageSize -> 
                    Dynamic[{
                    Automatic, 3.5 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                   GraphicsBox[{{
                    GrayLevel[0.6], 
                    AbsolutePointSize[5], 
                    PointBox[{1, 1}], 
                    PointBox[{2, 4}], 
                    PointBox[{3, 2}], 
                    PointBox[{4, 3}]}, {{}, {}, {
                    AbsoluteThickness[1], 
                    Opacity[1.], 
                    LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                    "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
                    GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                    GrayLevel[0.7], 
                    Thickness[Tiny]], FrameTicks -> None, 
                    ImageSize -> {Automatic, 
                    Dynamic[
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
                   GridBox[{{
                    RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "9448.63062312885`"}], ",", 
                    "292907.5493169944`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "253853.20940806175`"}], ",", 
                    "253853.2094080618`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "9448.63062312885`"}], ",", 
                    "292907.5493169944`"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Order: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{"3", ",", "3", ",", "3"}], "}"}], 
                    "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Method: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"Hermite\"", "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Periodic: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["False", "SummaryItem"]}]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                    AutoDelete -> False, 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                    BaseStyle -> {
                    ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
                 GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False,
                  GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 BaselinePosition -> {1, 1}]}, 
              Dynamic[Typeset`open$$], ImageSize -> Automatic]}, 
            "SummaryPanel"], 
           ButtonBox[
            DynamicBox[
             ToBoxes[
              If[
               
               Or[$VersionNumber < 11.2, CurrentValue["RunningEvaluator"] =!= 
                "Local"], 
               Style["This object cannot be used as input.", "SummaryEmbed"], 
               BoxForm`EmbedSummaryLabel[InterpolatingFunction, 1100600, 
                Dynamic[Typeset`embedState$$]]], StandardForm]], 
            ButtonFunction :> 
            BoxForm`EmbedSummaryInterpretation[
             InterpolatingFunction, 
              7977384593290714302688724690848838127529177679240003650080, 
              EvaluationBox[], 
              Dynamic[Typeset`embedState$$], StandardForm], DefaultBaseStyle -> 
            "SummaryEmbedButton", BaseStyle -> {"DialogStyle"}, Enabled -> 
            Dynamic[
              
              And[$VersionNumber >= 11.2, CurrentValue["RunningEvaluator"] === 
               "Local", Typeset`embedState$$ === "Ready"]], Appearance -> 
            Inherited, Method -> Inherited, Evaluator -> Automatic]}, 
          "SummaryEmbedGrid"], DynamicModuleValues :> {}], 
        StyleBox["]", "NonInterpretableSummary"]}]},
     "CopyTag",
     DisplayFunction->(#& ),
     InterpretationFunction->(
      "InterpolatingFunction[{{-9448.63, 292908.}, {-253853., 253853.}, \
{-9448.63, 292908.}}, <>]"& )],
    False,
    BoxID -> 7977384593290714302688724690848838127529177679240003650080,
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", "11693.190323169745`", ",", 
   "11684.56161676959`"}], "}"}]], "Output",
 CellChangeTimes->{3.795432399786127*^9, 3.795433111998863*^9, 
  3.795433839934499*^9, 3.7954340003356733`*^9, 3.795434818022442*^9, 
  3.795437075717575*^9, 3.795437357152672*^9, 3.7954375228901515`*^9, 
  3.7954381756964903`*^9, 3.795440034512808*^9, 3.795442995612173*^9, 
  3.840166688945291*^9, 3.8401669298887806`*^9, 3.8401676135712357`*^9, 
  3.840168449336239*^9, 3.840168667026825*^9, 3.8401689262620325`*^9, 
  3.8401899785537004`*^9, 3.8401909623246217`*^9, 3.8401971847880244`*^9, 
  3.840201647186958*^9, 3.840205554203944*^9, 3.840288760036767*^9},
 CellLabel->"Out[92]=",ExpressionUUID->"e5b0601f-fc2c-43e8-b07a-93dd84b0d4fb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nbBEC", " ", "=", " ", 
   RowBox[{"NbBECFun", "[", 
    RowBox[{"\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nbTh", " ", "=", " ", 
    RowBox[{"NbThFun", "[", 
     RowBox[{"\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<BEC atom number: \>\"", ",", "nbBEC"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Thermal atom number: \>\"", ",", "nbTh"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Initial chemical potential: \>\"", ",", "\[Mu]Chem", ",", 
   "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Final chemical potential: \>\"", ",", "\[Mu]ChemSol", ",", 
    "\"\< Hz\>\""}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Peak density due to BEC: \>\"", ",", 
   RowBox[{
    RowBox[{"nBECFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", 
      "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Peak density due to thermal gas: \>\"", ",", 
   RowBox[{
    RowBox[{"nThFun", "[", 
     RowBox[{
     "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
      "nThInterpFunSol"}], "]"}], "*", "factAuxDensity"}], ",", 
   "\"\< at./m^3\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Peak density due to both BEC and thermal gas in dimple: \>\"", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{
        "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", 
         "nThInterpFunSol"}], "]"}], "+", 
       RowBox[{"nThFun", "[", 
        RowBox[{
        "0.", ",", "0.", ",", "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", 
         ",", "nThInterpFunSol"}], "]"}]}], ")"}], "*", "factAuxDensity"}], 
    ",", "\"\< at./m^3\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nBECFun", "[", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", "0.",
         ",", "\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}], "*", 
      RowBox[{"factAuxDensity", "/", 
       RowBox[{"10", "^", "20."}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{
        RowBox[{"xMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<BEC\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along X (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<BEC profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BecPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nBECFun", "[", 
       RowBox[{"0.", ",", 
        RowBox[{"y", "*", 
         RowBox[{
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
        "\[Mu]ChemSol", ",", "nThInterpFunSol"}], "]"}], "*", 
      RowBox[{"factAuxDensity", "/", 
       RowBox[{"10", "^", "20."}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "yMaxBEC"}], "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<BEC\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along Y (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<BEC profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BecPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"nBECFun", "[", 
        RowBox[{"0.", ",", "0.", ",", 
         RowBox[{"z", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "\[Mu]ChemSol",
          ",", "nThInterpFunSol"}], "]"}], "*", 
       RowBox[{"factAuxDensity", "/", 
        RowBox[{"10", "^", "20."}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0.", ",", 
        RowBox[{
         RowBox[{"zMaxBEC", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", "\"\<BEC\>\"", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], "\[IndentingNewLine]", ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Position along Z (\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         "\"\<BEC profile\>\""}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{
            RowBox[{"x", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{
           RowBox[{"x", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
           "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
           "nThInterpFunSol"}], "]"}], ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
         "nThInterpFunSol"}], "]"}], ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{"2.", "*", 
        RowBox[{"xMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
          "\"\<Long dist.\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along X (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThPlot2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"y", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0."}], 
           "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{"0.", ",", 
           RowBox[{"y", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
           "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
         ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{"0.", ",", 
         RowBox[{"y", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
       ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{"0.", ",", 
         RowBox[{"y", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "\[Mu]ChemSol", ",", "TempCloud"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "2."}], "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{"2.", "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
          "\"\<Long dist.\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along Y (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThPlot3", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"aux2Fun", "[", 
            RowBox[{"0.", ",", "0.", ",", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}]}], "]"}], "<", 
           "0.5"}], ",", 
          RowBox[{"nThFun", "[", 
           RowBox[{"0.", ",", "0.", ",", 
            RowBox[{"z", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
            "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}],
           ",", "0."}], "]"}], ",", 
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{"0.", ",", "0.", ",", 
          RowBox[{"z", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
          "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
        ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"0.", ",", "0.", ",", 
          RowBox[{"z", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
          "\[Mu]ChemSol", ",", "TempCloud"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0.", ",", 
        RowBox[{"2.", "*", 
         RowBox[{"zMaxBEC", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
           "\"\<Long dist.\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Position along Z (\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"BecPlot1", ",", "BecPlot2", ",", "BecPlot3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ThPlot1", ",", "ThPlot2", ",", "ThPlot3"}], "}"}]}], "}"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.795432692306858*^9, 3.7954327479470406`*^9}, {
   3.7954327858582087`*^9, 3.795432846670687*^9}, {3.7954331382793665`*^9, 
   3.7954331391564164`*^9}, {3.795433454851473*^9, 3.7954334557785263`*^9}, {
   3.7954334892674417`*^9, 3.7954335096336064`*^9}, {3.7954337453250875`*^9, 
   3.7954337997432*^9}, {3.7954339214801626`*^9, 3.7954339756062584`*^9}, {
   3.7954340388148737`*^9, 3.7954340949300833`*^9}, {3.7954341418397665`*^9, 
   3.7954341575836673`*^9}, {3.795434207998551*^9, 3.7954342189461765`*^9}, {
   3.7954343180178432`*^9, 3.7954343280924196`*^9}, {3.795434488132573*^9, 
   3.795434520024398*^9}, {3.7954345642069244`*^9, 3.7954345863721924`*^9}, 
   3.7954346972365336`*^9, {3.7954347324705486`*^9, 3.7954347328215685`*^9}, {
   3.79543478913579*^9, 3.795434972312267*^9}, {3.79543501746585*^9, 
   3.7954350501917214`*^9}, {3.7954350971094046`*^9, 3.795435516716405*^9}, {
   3.7954355624790225`*^9, 3.7954356639218245`*^9}, {3.7954356952846184`*^9, 
   3.7954358121203012`*^9}, {3.795435842576043*^9, 3.795435927612907*^9}, {
   3.795435994903756*^9, 3.7954360027222033`*^9}, {3.7954360373971863`*^9, 
   3.795436106495138*^9}, {3.7954361434422517`*^9, 3.795436237156612*^9}, {
   3.795436505338951*^9, 3.795436509153169*^9}, {3.795436541402014*^9, 
   3.7954367131008344`*^9}, {3.7954367912023015`*^9, 3.795436850637701*^9}, 
   3.7954368896729336`*^9, {3.795436970114535*^9, 3.7954369707245693`*^9}, {
   3.795437548773632*^9, 3.7954375498886957`*^9}, {3.840181192720052*^9, 
   3.840181271632826*^9}, {3.8401813209482093`*^9, 3.840181627357668*^9}, {
   3.8401820262403183`*^9, 3.8401820322708497`*^9}, {3.840183405558965*^9, 
   3.8401834061790953`*^9}, {3.840183465621006*^9, 3.840183480997237*^9}, 
   3.8401916717781653`*^9, {3.840191913209859*^9, 3.8401919138890934`*^9}},
 CellLabel->"In[93]:=",ExpressionUUID->"5a5d4c84-0a54-4ab6-86bc-2d680e726531"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"BEC atom number: \"\>", "\[InvisibleSpace]", 
   "111000.00000000006`"}],
  SequenceForm["BEC atom number: ", 111000.00000000006`],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401916866255145`*^9, 3.8402060490288067`*^9, 
  3.840206396008978*^9, 3.8402064484088893`*^9, 3.840206480656906*^9, 
  3.840206575551944*^9, 3.8402066462833834`*^9, 3.8402067334561524`*^9, 
  3.840303951334138*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"d5c2c0f9-c705-47ee-992f-78588544de91"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Thermal atom number: \"\>", "\[InvisibleSpace]", 
   "8.328531508533191`*^6"}],
  SequenceForm["Thermal atom number: ", 8.328531508533191*^6],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401916866255145`*^9, 3.8402060490288067`*^9, 
  3.840206396008978*^9, 3.8402064484088893`*^9, 3.840206480656906*^9, 
  3.840206575551944*^9, 3.8402066462833834`*^9, 3.8402067334561524`*^9, 
  3.840303951339134*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"ba4271be-7b7c-43b9-a17e-eb91601647ff"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initial chemical potential: \"\>", "\[InvisibleSpace]", 
   "8672.386776446703`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Initial chemical potential: ", 8672.386776446703, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401916866255145`*^9, 3.8402060490288067`*^9, 
  3.840206396008978*^9, 3.8402064484088893`*^9, 3.840206480656906*^9, 
  3.840206575551944*^9, 3.8402066462833834`*^9, 3.8402067334561524`*^9, 
  3.8403039513421326`*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"19ecd2f0-e2cb-41d7-bea3-ca5df06c5854"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final chemical potential: \"\>", "\[InvisibleSpace]", 
   "11693.190323169745`", "\[InvisibleSpace]", "\<\" Hz\"\>"}],
  SequenceForm["Final chemical potential: ", 11693.190323169745`, " Hz"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401916866255145`*^9, 3.8402060490288067`*^9, 
  3.840206396008978*^9, 3.8402064484088893`*^9, 3.840206480656906*^9, 
  3.840206575551944*^9, 3.8402066462833834`*^9, 3.8402067334561524`*^9, 
  3.8403039513441286`*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"e2ba344a-da5d-41ba-a564-63f0f89e426f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to BEC: \"\>", "\[InvisibleSpace]", 
   "8.873707363289609`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm["Peak density due to BEC: ", 8.873707363289609*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401916866255145`*^9, 3.8402060490288067`*^9, 
  3.840206396008978*^9, 3.8402064484088893`*^9, 3.840206480656906*^9, 
  3.840206575551944*^9, 3.8402066462833834`*^9, 3.8402067334561524`*^9, 
  3.84030395134713*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"d391ca9b-3dbd-4ebd-bf0c-4fedf85218d5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to thermal gas: \"\>", "\[InvisibleSpace]", 
   "1.1647612328997354`*^20", "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to thermal gas: ", 1.1647612328997354`*^20, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401916866255145`*^9, 3.8402060490288067`*^9, 
  3.840206396008978*^9, 3.8402064484088893`*^9, 3.840206480656906*^9, 
  3.840206575551944*^9, 3.8402066462833834`*^9, 3.8402067334561524`*^9, 
  3.840303951350128*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"a6906c4e-a3d4-49fd-b90f-6211e7ed68b6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peak density due to both BEC and thermal gas in dimple: \"\>", 
   "\[InvisibleSpace]", "1.0038468596189345`*^21", 
   "\[InvisibleSpace]", "\<\" at./m^3\"\>"}],
  SequenceForm[
  "Peak density due to both BEC and thermal gas in dimple: ", 
   1.0038468596189345`*^21, " at./m^3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8401916866255145`*^9, 3.8402060490288067`*^9, 
  3.840206396008978*^9, 3.8402064484088893`*^9, 3.840206480656906*^9, 
  3.840206575551944*^9, 3.8402066462833834`*^9, 3.8402067334561524`*^9, 
  3.840303951353126*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"8dc064c8-bb53-4021-a793-0ffd558c61a0"],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxN1Xk01VvYB3BDjpkzmInzk5S5ZEzaj6lSN9PNLQ1UyCxDSYYyhYpIklwh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                "]]},
              Annotation[#, "Charting`Private`Tag$167083881#1"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"BEC\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    "}"}], ",", 
                  RowBox[{"{", #, "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along X (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"BEC profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {17., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {19., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxN1Xk01VvYB3BDjpkzmInzk5S5ZEzaj6lSN9PNLQ1UyCxDSYYyhYpIklwh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                 "]]}, "Charting`Private`Tag$167083881#1"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along X (\[Micro]m)", FontSize -> 16], 
               "BEC profile"}}, FrameStyle -> Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]]}, {"BEC"}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {193.5, -192.}, {Center, Center}, {360., 360.}], 
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxF2Hk0FlEbAHC7irKv2d4Za6TsUblPSmSpSKmslSVJUURZU9KifbFVUmhD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                "]]},
              Annotation[#, "Charting`Private`Tag$167085419#1"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"BEC\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    "}"}], ",", 
                  RowBox[{"{", #, "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along Y (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"BEC profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{-10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxF2Hk0FlEbAHC7irKv2d4Za6TsUblPSmSpSKmslSVJUURZU9KifbFVUmhD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                 "]]}, "Charting`Private`Tag$167085419#1"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {0, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along Y (\[Micro]m)", FontSize -> 16], 
               "BEC profile"}}, FrameStyle -> Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]]}, {"BEC"}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {580.5, -192.}, {Center, Center}, {360., 360.}], 
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxN0wkw1ev/B3CXRISzJGQ7XxcttlJC4flkvVJIi3QrEdXNmqTski1bkYtk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                "]]},
              Annotation[#, "Charting`Private`Tag$167087416#1"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"BEC\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    "}"}], ",", 
                  RowBox[{"{", #, "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along Z (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"BEC profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9.5, 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {15., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-5., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {1., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {3., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {7., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {9., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {11., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {13., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {17., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {19., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxN0wkw1ev/B3CXRISzJGQ7XxcttlJC4flkvVJIi3QrEdXNmqTski1bkYtk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                 "]]}, "Charting`Private`Tag$167087416#1"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along Z (\[Micro]m)", FontSize -> 16], 
               "BEC profile"}}, FrameStyle -> Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]]}, {"BEC"}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {967.5, -192.}, {Center, Center}, {360., 360.}]}, {
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxN1nk0Vd//P3BDiaRwJ1NCQtcUyZDhPBEV6V5j5nsRRaYyVKYkadKgvFNU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                "]]},
              Annotation[#, "Charting`Private`Tag$167088936#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJwVl3k8VN//xy0llMJsDAlZZyyRZBv3hahIY88+Yy2yVVLZkkSLFuWbovqU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                "]]},
              Annotation[#, "Charting`Private`Tag$167088936#2"]& ], 
             TagBox[
              {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nlUzG0bB/CUNhRKi2mmdRq0a5nW8ftqQaFEe/SbaZlBmyXRpkWJspR6
SFJPKSKFQiWReJBS2rQ9sqWnfdGCiHfeP+5zn88/33Ou+7rucy4V7+DtfoIC
AgJz/PP/e7a37hk9OX/d2vfvw84akGjLlg9b3xlHfLHdjFS+IdPkLd95jgi1
Cko7z7dsz3LxZdZZhFD7xoM5fIduu9Eh1JlHhJNv3xfxzSmrv/Hn9DWCmSPX
VcX3FtnRqJ9WN4kTuWJkE99ZFomFPyNvEwOfC/b38718TO7cj45SooExvGyB
IYnjOYUR3/TvEYEXWi2U+P61zdRv5nQ54ZvnPgO+Dwi+sp8aqCQqLA6bcfke
KPMwmbR6SFREqC85y7eX37DKePYj4l+hXXur+N67+FHCbGQNEVEi4zzM9/uH
9sHTHbVEX19/k7MRiUwZOd+Dws+IsslhMoVvp6D3bl/1/yFu7Ngc2cj3K6V9
lhOnXxAXFg+7OzNJJBwxMQ6uekmsrJZSyOYbzQJaYwN1xKIEn91DfN+PS5UZ
sWogwgQ3XTttTGJfj/si//2vCa3Z6ow+vjUNVf8MZjcSb3gqsoQJiTcH3Ken
It8QEYZBd3/zvYE+9G6yo4UQDV0dVWhGIn+bvdudoFbiga58g4I5iQVRpS37
hNuIg3bk1XN8P2wPfzGu307QtbN+JVmQWJu4+M7o6Q7iGc9W++o6EmfKgjWL
6Z3Ejql9bUYEiZH3rQUBVZ3E3+56InV8XzXJyhwe6CKk+xeJz4EEdUgrftDq
X6LhoOzJ41YkwmVTfxd2/0uIhAzG6luT6LCcObJ7/zviT4H/wk98n7tUHfhf
di/h9PpXweYNJOIZ14q+Rn4gOKI3XG1tSfzoMP5rouMT8Z7b4jzmQKJCX4x9
bc1nwuGImHn/Nv78nO7U8Ir4TEinz9l8ciTx1TKspl6xj8gzMGvo30FiqPjB
8FW/L4R+i1i6ihuJf4+xLHdN/Uc0Fyx5t4vD71+vhMQKmwHCUqBeMMObhJtp
b8er8wPEmHOk3VsfEu1jRwNNzAYJYoz/GlwSje41GdKxQ4TFyoOlef4kanSt
xuskRwmPmKeJ46EkjiZJP4hhjxIXgz/e8D9CwuLL53jj0lGi7q9Nw8NhJCoz
4ykFzmOE/f7rtd8jSZQKP7eJyRonHrcl1FodI9ESSLdXkJkkuAd3PMhOIfHU
6lp+c94UUfHIeM6vhITemVuD315OEZKH78pZ3SaR3Vmuozg+RRxiqTxRKyVx
JPBlxV7zaaL3ut/98XskdC4MNgi1TRPOFXeUS6v59Q5pzhgJzxKs/Nm8D6/5
85V62yaT953wCki583GCRG9PRVLN6e/Eb5OhNN0pEpsZT5r6y74TnLHmmZgZ
EoyqZncDgR+EqXc6U2eORE/f18CGjB9Et/5Hh64FbGwwMTr/u26OaCpucrmz
mA3q+8p+b615Yg6N60qU2RCY2p9R5zhPsLMPtwmrstEnomGnd3ieEDfxXE6q
sVGsk1k8/2SeCKC9i5ZlsLHuaHhIhutvIsBq2ZqLmmyQNHPBxrg/RL924KFR
JhvN2r1nskYEcGt8/do39mysCCBviFoJYViVoxF8jA0N0SvPt7kKYTRKJtop
gQ3k9X+66C8Exultd8wT2QjoDFTQShdCrlX9zaXJbDyzjjy17YsQrhu3TL8+
x0YI7WLQxcSFKEmfDb6Sx0ZrY4u+ZoMwxmJeMW89ZePc2g1V9s5isDF6La6/
mAPdHveNrN1ikLlCtfGR4KAhPrBVM0IMktW2YueXciDSmT4slisGZkEpXWAF
BxFHPys8HRGDV+ngjX4qB771MZHG8eLYmBPx1y8dDph+VSzlskUoWRKpYOvE
QVeGXs3kMgl8jdw/sfUKB8n50U2CK5fDVd/gbB/HG3Lpn0+mXZZGVI7JsTZD
HyQ62a5rmZXBugNxCveW+OKgaS5ZFyePnwfW/lIX94P1+Fx40GcKypfSRwuF
uAjblK7xZIQCnvP9rAxRLkpytbulZyn4en9Q6ORiLuSd2KaVYgqwiBL55i/N
xUjFP9+EdBQQ2dfNNlPjIi0uJeTiEQWY9ojXfbfk4pMMI+iZBBXj/i+p3+O4
kAt+TJOTo0La93rp/HEutrx0e71HmYqIlmdjQslc3A9P1lpqQIWXTLSrVBoX
Se8nhtzdqPit3NTDvMKF/vUq3ngeFWuqdzGzn3LBE3SWs7xJxdR8/VjxCy6y
PMeep9+jIjnjhfWjei5EJFUYZi+pWJJi8eJDKxfdB473xY9SscVoVla7j4ul
DUrpHbNUyEoW3lw/wIW1eqWVhgANr43TelxG+PV3DOc1SdHQKj0ieGyai1gL
Rw7FhAa6T+LuTwt52OSV/dXYkgZWmvNXJ3EeJGOGjzlvoSHflaP5UoKH9lwT
mYMuNNyzn5OykOIh62nC1RQ2Db6y+wpvy/Lg86XFuGQvDVNsqWF1BR5/XpXr
6kNoSJ7T676kxMPk6kCPwaM0lOUrHJKi81Bh92BY5CQNGwbiTyxYxEV0gGgU
PY2GQ+wzn4+l+mHDGSdJy8s0+PfY+/7H9IPE7dwc8hoNaRtd/gsZ9kVb85he
1B0ahK4wz1++7otLU+a1mVU03OREy6QE+cJb5uSOin9oUO3Ja8wz8cWEm1ro
VBcNy+9ot2p3+qA8fJ/o8j4aKvsj7Hbe9MHRrOoMnTEatutJZvXF+WDJB9eq
PYKKsBLYY9hk5IPWBQVbEpcoQrbJ9dvD5T7IVPv6Ll9WEcJvj0itGPfGKt4p
gQ8ailAzkE0MKfbG2Imu1HlDRWjgW4XNGW/cvcFQUyAUUaj25pvEPm9YjtXY
uOxQRP0L2RATpje8Ds0kNUQown6f2KB7PQfqFyypQwmKOCo4HGtQyuHP59li
0RRF/Fso2ZF5kYPwX2veWOYrgqWotGB6Dwd/HfOSqWxQhMGUK426jP9fU1/k
FNCUUOfvL7M0iI20shVrn65Sgm3P5Zvanmx4tHNqP6xVgvWrzYKpm9gYkP/V
p7BBCdcrHA5T6WwI/a2ncS5ICVL7sidlH5IwK7l49+hjJVRJpokklXvBuqNx
fuylEpyULzQVZnrBXmDhRrKFn7fB0HP5US/4bA/qIr4o4cERy/oKGy9siFCJ
jhFWhkVrwCrDzl3YpzR7Zb2mMiK3NNdcEduFZ7yc0aehyiiPPxH7/KwnbH+Z
SkVGKONuSePK4jBPNKa0MQ1jlOH5OxxVPp7oqhSPyT+pDL/827WbTTwxtjhE
KiFLGT+dRlnanz0gf3uT8YZaZaRecvgYTngg4PtkzEsJFXiJ67srL3WH2X6u
bL8U3y+2DMX8dIPYUHeRkLwK3H/axP/5zw0FPU/frlNVwfDPMEfnJ27offSX
1j2mCrLkfjHdD7nBIcG0M5dUgZjWhNPhT67Ql4rVjbijgt0Gz6+JNLlAIHnm
WcZ9FcRVf957+pELGoX2etyvUkGCubnGmhIX+M9sT5j8RwWbSE599mkX5HfS
e3jdKlCylRCL2uoC2ZyXx52EVPEw0uNUzxtn/NBc1qvtrIpQk1i32T4nzF6m
xBp4qCLp8KCZaIcTppeq001JVaQ1GTusqnPC2JTpXus9qpiplk9LL3bCpyqf
WY8oVf6eE2ejfNgJrzaXS54oUEX6B1rs5yVOyPT3Ij7NqOKW9uI0X8sdsCi6
+ff582oI+xkUmvbGET3KRTk2l9RwYkWRQ9BzR4Sfv549naOGtcFl5Y4PHVEe
ezVr+3U1vCpLXqhf6Ah9t78zJB+qYY2/jJ1rjCPWCKenHP+ohqb36rka+o6Q
JSNiQrXo+NLox7txaRsmpezYLrV09Hss9RIWc0BngOqbvS/oSK18dvLXjD1q
ns8R0Q10vIx7yxPss0dKeJFS4Vs69gZLTJnW2EPv05L3P4boCDp0ytklzB5B
d5p2XZZWR+THP6ZGY1sx5ODs2eerjvuU2LSVn7ag7xTb5YAoA0uVkiptx+0Q
NKSlqreEAcafV0+CP9rh28Yfo6PLGMiz/3ogp9UOi4TOJeyhMFDWm39DocIO
emFP77K1GRBdHhV4PNYOUX4MaYcdDNCLbu+kydpBdt1Ik2YOA1/iR31WbLCF
7fhh2y/MVVia5Oe75/FGjPiIHbwbvRqekVtb/3lrzd935QQTa9fgd1ezemCg
JaReM87cHtfAyjfbjLpiAOqJW9uYTC0oSrin3A1gIUPTdJk0TxvlK4PLZ5LN
8Iqy3mgqVQe8OI+dEfImMKPWpui+1YW3ZeXHVa+MICmUF8KJ08OYp1dI67AB
FGOVLNwZa7H65MVF46v1Ia6+8/72F2uROJR0vL5QDzqslbcO79LHsrwBw+pe
HRzolXpqJ2CAzg93rU2TtTA+dcrZNsMATAYj5dkVDWzUfZ5pq22IwkNM+rH5
1Xg0Zf7zW6MhtB9dKti7ZxWCtPS7m/2MUFd34OQ5KgOsMd82d3Em5r9UXjr7
jg4buvxWiTwmLkmm7fzSrobVMUlHao2Nwatr1/IbV4WGn+lj9W5jFGkpmT1b
pgq/R7vj7+43waTaL+FoVxU8/rvNd1LGFHXzFzar5CtjuvDPN91yU/R2MmO/
iijDR71IPHOrGZJIpUgNESVMaqQxSyfMsMBr0xvPhYqoyP/5ceaEObqndJ07
NWjwsFaDuaIF2s0y7Qp2U6EQmFipU2OBBWdyNuUVKkBmUcCdra4stEft9m5d
qIB8q6jwCXcWnuveLJYVVIB+1BmrtJ0s3NyUNefxhwL7idvtnRwWKsrUL/T/
oOD425kfPvw+JqT6vxIfp+B7XrRleCwLIpm4EN1FQbd5WuvVIhb21MU+p9+i
YPeh/CzbEhbY556sTrxJwWzJPb+R2ywU3+KFD12nQEq189va+yywnpcOluVT
sFmMRq2uYYG5cWDAMZOCh21XfVvbWdAeGRyvTKDATrJCO7SThYNmy0U1j1HQ
ubFuVr6HBdHuiYWXYyiYfjB8wusDC5Ed5aXHIijQztUrHhxiwTH51AvP/fy8
7vWhp0ZZOE3JEm4L4uet2EHoTrBgLr2GsTWAAm7ioeaQGRa8rK4sseTx82qO
Z8p9ZyFAP6G52peCuLkLPg/mWHjy43WomTcFywyva+2aZ8Gy6PvPcpKC7MAH
M3/+sCCcG8Nm7qLgf8Bt87c=
                "]]},
              Annotation[#, "Charting`Private`Tag$167088936#3"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along X (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {50., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {100., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {150., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-50., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-40., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {40., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {60., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {70., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {80., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {90., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {110., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {120., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {130., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {140., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {160., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {170., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {180., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {190., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {200., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {22., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {24., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {26., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {28., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {32., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {34., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {36., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {38., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {40., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJxN1nk0Vd//P3BDiaRwJ1NCQtcUyZDhPBEV6V5j5nsRRaYyVKYkadKgvFNU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                 "]]}, "Charting`Private`Tag$167088936#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJwVl3k8VN//xy0llMJsDAlZZyyRZBv3hahIY88+Yy2yVVLZkkSLFuWbovqU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                 "]]}, "Charting`Private`Tag$167088936#2"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJwV1nlUzG0bB/CUNhRKi2mmdRq0a5nW8ftqQaFEe/SbaZlBmyXRpkWJspR6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                 "]]}, "Charting`Private`Tag$167088936#3"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along X (\[Micro]m)", FontSize -> 16], 
               "Thermal cloud profile"}}, FrameStyle -> 
            Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {193.5, -576.}, {Center, Center}, {360., 360.}], 
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxF2nc0V2/8AHBkRfbefMxkE1J53hmlsnf2LqNQEimhhDIasmUkKVv6Vhqf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                "]]},
              Annotation[#, "Charting`Private`Tag$167098460#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJxN23c8V1/8OHDJiuwte2+yU5xXqGTvhGzKKCNJlFVCGSXZMpKWTYnU+0SD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                "]]},
              Annotation[#, "Charting`Private`Tag$167098460#2"]& ], 
             TagBox[
              {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwUl3c8198XxxER2XvvvecH4Z6IhFKiFBkZUWREWQlJH5sSWRGSr8hMqHyu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                "]]},
              Annotation[#, "Charting`Private`Tag$167098460#3"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.01, 0.99}], ImageScaled[{0, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along Y (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {50., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {100., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {150., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-50., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-40., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {40., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {60., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {70., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {80., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {90., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {110., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {120., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {130., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {140., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {160., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {170., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {180., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {190., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {200., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{-20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-28., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-26., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-24., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-22., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {22., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {24., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {26., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {28., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJxF2nc0V2/8AHBkRfbefMxkE1J53hmlsnf2LqNQEimhhDIasmUkKVv6Vhqf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                 "]]}, "Charting`Private`Tag$167098460#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJxN23c8V1/8OHDJiuwte2+yU5xXqGTvhGzKKCNJlFVCGSXZMpKWTYnU+0SD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                 "]]}, "Charting`Private`Tag$167098460#2"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJwUl3c8198XxxER2XvvvecH4Z6IhFKiFBkZUWREWQlJH5sSWRGSr8hMqHyu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                 "]]}, "Charting`Private`Tag$167098460#3"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {0, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along Y (\[Micro]m)", FontSize -> 16], 
               "Thermal cloud profile"}}, FrameStyle -> 
            Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Left, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {580.5, -576.}, {Center, Center}, {360., 360.}], 
     InsetBox[
      FormBox[
       TagBox[
        FormBox[
         GraphicsBox[{{{{}, {}, 
             TagBox[
              {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxN13k4Fe//P3BLpIVwFoekksixpkKheR5EEefYHctxbC32SpElknYppZJK
EpLSrlJCeLcgWRLJ0qJCZV8Tvud3Xb/L+cw/cz2uueae1z3zes49s9Qr2NZX
SEBAIFpQQOD/7Ufa3pQrHc9c76j9RoutzMT7NNpeRlMcMdB6le3GMyjvvGhN
p4mghQ/YW3imfpKaI2l6iWg/oKIdxvMeVm6jcFMGQbuo1ZrIs+eDytzpE9eJ
Y7WCnnk8b6b+iZ4wuUU4xjU/q+P5kuHhnImou8T40MSfKZ6lemROjzfeJzQ4
t0dXqjBx6EpO5KhOPvH3M/HRn+d/rLW+wyceEw6Js87c4nmnUIX1YGcB4bDV
cfkQz50PXPT7TQoJG/ezp4xXMMHx/bW0N62IyLZTaTjPs9+8ooMjUSXExiXh
g4M8txdaBw81lhL+TsuKS1SZSKXI+OwSKSckdXcFrqQzYR/U7jyg8x8h3xAw
msNzxeIQ474Trwj970fTb6kxcTBcXy/42Wti9um6En113v2pFVDv6XxDqEUs
KK7k+VFcEuW3SRVh4DHgJKrJRMgn9lz/HW+J7FN/BvN4VlutON2VVk0s9Tsc
4qbFRM1O9tBgVA1R/vCARLU2E2ZK3a39jXXEbs3tg8KrmchkWTvfC6on9Ob/
vfGVZ8Ho+3UhIu8JQjLd/PUaJgobIl716jQQforNBjl6TKw8PO/enxONRNpl
xWXPDJhIfBCslqfURDSyrDVqDZn43V6fFfCsiagJPa7cY8REtv6l1F+dH4kl
QnndhmBCvls9vsukhehMn9+ssYGJCGrSVE5zC5GuTYuONGOi0Xg4fNuOVmLr
7kJajTkTpy8+D/yZ1ka4s+YQiRZMxCtfvzkQ9Zmgye/a785iYrxR72xf41fi
FjOYY+HOxBMdMe511W9EzdDVKA0PXv+caKJzIr8RAXNHftE8mRgw3ltSqdBB
rPup+1rMl4nuvKe/sn2/E+rJiSWbA5loOWBk7D74k2AufSu3LYb3/NrExckb
Ogkby32navcz4by2rbHiXCehkuARbxLPREPPvkD9dV2Et7zpII4yUc0uSSHt
7ybeGz82zzjDRImWSe8biT/E4+jBQsFcJvYdIz2N5f4htI7h2tAtJgy/f4vX
u/+HOLj/6Pq+O0wUpMbLZTn0EMtCVa4JPmLivsjLDbGXeomeiWOnTpQyUReo
ZL2Q0k9oa27YtLGViTKT65m1GYOEAA2fiuazoJ14p2v09SDRH//yS6YEC2lN
jzUVegeJkqKzI4mSLIQHvn7iZzBEUP5zsA8ms6B5vqtK+P0QERTspegpz0Jq
t9rwGpERYpulh+o8DRZCku5uSN06Rsy3rYk+asNC26cnx0pOjBGBUrZXh+1Y
sFR+8e7HgzHivdvSFVscWVB+VsteJTBOXE2uDbB3ZeFTx0BgVco48bJqXGuL
Lwtm+mvOTb35S6wJfJTmGcGCfHvBDy/1SWJM/21C7XUWBAZ3pLyxmSSmy561
vshloUOUbqEdNkk4pXxpfJTHQp5mat7ki0nCnnaq8fYDFtbviwhNcZoiIkc3
hDYWs+CxyECoOm6acDx066nERxZqNdoSL/0WgE6aS8iKBTYo13v6kzktAE2J
NOt8aRs8YpyDsLQgRNKPbjen2iDVwXpgu54g6L7u/pGLbOAVXeSgFyeIwnqu
wTJ1GwxUpcnXyQihJ/IyKczCBuQAj9zZJsI4Eeu7xuW4Deizr71kOQnj2mnz
jJGTNkDGj68X/IWhstBHMTXZBgFNgQvVk4VhWq4RO3KZV49pVALruzBSWuLu
idyzQeiiC0EXDs/CK3+ycniTDeqr63TUqkRg25+qpqlhi87tVGboZxFotJdJ
FevYYmqWi//zIRH0u1TvdNa3Bd3gyzXmIlHIPzD6lGlii7jrveTQIFEEecWX
Z7nYQid2/mih5GyU74zi2B+zxemVZs+sHcRwKKxl/ZM+W2h9YpsbbRPDDn2/
c/9GbFEVH1ivFikGf27uPItJW4g2Jf8SuyoGFcmOswJz7RC579vCst9iOFdO
LG1bZgefytgovfg52Jou6efPtoOu7zOjJQ/mInrPcJlrlR3qJd69kXg5F+H3
J8511dsh5MlXh8mmuTh557L8gU92yJ03N6h5ai5MUHL1Y7cdFt93Tku2mAfS
WYaNzFx7iE0PT4l9nYcV8+xUflvY42OKdkm/pDh+rGp1udtgj9T6mwv2LBeH
wSJZUlq7PVwkVDz+rhWH/m/J+LQue16+F00JeYtjqJNxsGnSHp+D5hqS88Vx
NCq3S0/FAZ2mHY912RLQ2Zi+vy3aAWN95+9EXl2A1vu7Kz8YOqJAjTQ9nb8A
7xzk32VtckTElkTr+IoFqLnKYSY5OuLfp/g/CYMLEGSa6l4c4ojYb08o7xQl
sXGdQc3Dy474HLvHSEpDEoe/FAo15TiCobDa105PEh4FB87JP3SEEPvOw0ZL
SUSKVC+WrnREfHWW3edQSVxpTXbq/uuIDn/vSMUYSYSfsvpnN9sJG+YsveZz
VBIfT70J7CM5QdT00kDnZUlo9NG0KzWccKTgdFL/S0lUTzzXtPJxwvHMmHdC
slIg7Xp6/2ObEyxWb5emLJPCpbLyC+xeJ4iV2zqoaEhh40Co3xoBZ8R/W/7J
kiGFQ/c2N4gvc0aUYtWP5O1SkDFRyckIdMa6+/mq13dJIc+Loui13xljjCsB
BdFScJBvcU4964zdnjsHWpOk8B971ZODxc4ISqdNKT+Vgp6Sg+BLWTbUtYUY
a8ulUDQ0vOH1Sja6i38dsKyWgq1zxoLtFmzkMBteujdJQbnZZDTPm42t7UVz
Qr5KoXL6Q92laDaUg3M2x/2WgjeRVmCQwkbHVNLJ5BEpsEUeiCU9YCMjMbIu
W0AaMWFCLT41bHAVfCkFc6XxbXqdsPg4Gwq3rZ0rydJgBV7qeKHoghYj/Yut
CtKQlDZZdsTKBc7u85YKrZIGVXF7u1u2C2wu3VO3dJWGlz+z5bWvKyTVLwa7
+0qjbbGbSU6KK6qfxd8PDpaGgHPW68oqV1h8ctJPPiAN1V/hMkJr3WAsN2XS
elMav1+kh29UdIdA7s9Dvfm8etLsVby47ihaW/tGsEQaR9Pz5yxMd4cBO5Op
/F4aIvkuFbeUOFidYuEa/E8a/220XX/A1AMDKqvT9ouSoPBf8rfSJA/cfbzo
yxlJEhKSZn12++IBjca+LU+USJi4Omgtb8rF7y3NNyo0SfhYVfurK5iL3JGy
3y36JJyyfLmWuMyFMvX8TkErEurMtxvOmuSiIys2n+REwsrHA5/KtDyRscZv
bLknCfM7V43k+XhCwcFon8VuEmpOOnuKfvBES4fyC7cYEnRXRZYuInkhNVRy
VvBREqRLz85/bucFmeRvR89cJkHq+Dx/za9eoKnlx49lk1B7QobtpO4NudJD
Me53Sfj+8siEeLQ35NnOEaUFJFC2vLhi+sEbCn2qu1XKSFCK36epYuCDJYcn
ghOqSDCMtg9MvOcDRYW3fv0NJBwwSvP+YuYLpfw0X8d2Epjcv7FZ2luwfHMI
91knCfGMg/WUBl8of2O4LhkgYVppd+x7qi9WRJAcD06QwNikMPtQkg/oUt9Z
3bPIeHROS+S0lg/Ucx5ZMiXIKMruOvfzqzc0iSNmD2XIUG0rHY9M84b2BzZD
dikZsjYViqFcb+gEqhnuo5PxZ35JzmkVb6yaNan7bRUZ7pO9X0cGvLD6YvXK
jUZkuDxsr/37wgu6OunqeWZk9LvaZS5O9sI6roliGJt3/q2dWbzVCIaj5EUt
XmSY31rV/lbWC+sTf8gwAnjXGzGKxrAnGIVHxefFkHEmEnIu9zxhbOcqFnKE
jEbZAJ+CJE+YdqsLNySRQd1tvCl6lyc20mrG0jLJWJwjWl+7zhPMUGqHTgUZ
Xeoa+ec/cMGa19l2vp6Md8qvPv4q5sI2o+DjvxYy7l/eW7owlwvHGrd3L3vJ
eKMcXfQjlgvnrZoVauNk/A3Z1BccyIXL1HT5KSEKmO3P+u66cOGufu2pC4WC
h7X+69frccEpC80vVqBg8uyc1mhlLrguZneVVlDgFG5c60rlwudIV1bPOgrS
6j/kFvZ6wL9DKymOS0G5+41tIgc8EBApmPBzOwVvZy+5F+jngSDp+kObd1Fw
0zz6bq2tB3ZiTxT1EAULyiJpe5Q9ENpoHhZ5kgKGnbnsLSkP7AmS3fk5hQLn
z+pDryc52HupcGvuTQr272tbmN3EQcSqRK8F+RTE7mec57ziIKrCwz20iIJN
VwhGzyMOYseE7NbXUvA9vcb7UAoHcSffW11rpqC75Db56DEO73s1e6NYBwW0
L8Mcp2gODj0PMwn8Q0EHW7OrJ4SDw/ab1teNUHDs5UiClS8Hcg+r5YQEqdh2
v828zoWD2yT70ZXzqLgxmKOb58aB8a6P9Z4UKrZY+l1z8eDgQx3nbtJiKoaK
v8u99+LAT6cj4YUqFTHXZFmkrRxMJm3f3r+Kiitp12WkAzg41d+zYel6KuT1
wr0rdnCgZBOqaLORCrdHZ9brhnPw5O74VKwtFcPFqm+YMRxsloz5dNeNioyd
ZaulDnPwOXjWk89bqDhjmFoSepKDXe+OJkvuoKLzy4JHobz5i2ot2IFIKlrG
THznZXCQmphsFXKQilBy2dJVtzgotboiWnOBiq3q9yQWl3LgmKf0bfoaFSJy
Bc2Nbznonp9brHWbijpj1e9zmzmQqnoYfrKUijR2YvTrQQ64FhXd1r+oeHOq
1mlCzQOTZsPVbw1lIKIaJ/zohgdOZUfcnDSTwWmrJ7NXPPWAkqjAEQ0bGczp
vfM+t8IDm/+byzjhKwOHJlJr6S8PpJosebA5UQZaY0LPc3j9pnkt62RUigz6
hYUn7yhwUSqkFnArQwYM5vfeS7z+7HqxZvn8xzLY2LM0nqzLRdTSZ4KGL2Sg
tCdM/awRF5L70eZfKYOyRxvP/+S9b/Vheb6yXQY/vOfe+m3LRdWVml0TXTJo
MKi9kMzm9fu0A0ttSAZLXDMbxjy4GOJ8UnedkoHndFEdaQsXh4u4c46L0ZAl
7PojxpsLOYUf359K05BzjbZoisPF7Wj/0m55Glq4S+00ePn6YLgn0mIlDU2X
B+7nMLnwuzThFGFAg+jmK1/HN3ExORG7OncDDc4/dsuJ8upTenb8zxwXGgbN
uorZvDzuWnvV400cDfuOV21evZALi3SJIcsEGvosP7CUyVwozo46Un2WhkRH
r11/5nNR897xXn0ODcrS8k9E/nlAM2S+cFs1DVd7khOmCj3QmR2WPSAnC9WC
I0MXV3ugWPz7ut1Kssi+c+lUk6IHzoXavhvVkIW0WMqbEUkPbDDWGPsHWez8
bJ/67TcHGa1fN83eKosf4o7XK6/x8mnKajsaIos60zvnvZI4YN18vnN+hCwU
wmh7+/ZxMB2eclHqhCyiNuTH/GXz8tEuop18ThZWwZt1I815eTLbVU5Nl0Xl
uLPgv9UcHMz77HzhhiyKK+bNilHkwI1s/WfhA1nsK1O3E5XkwLT3b0TQNzm4
ZfmfPqfuhr0bk+kvfsvBvGS03GSxG25f1Wgmjcjx1rF4vXEpN9DsuWsLxBYi
fuhEVtSoK34/+W9UWHMhisLva3aUuuJM3KnQC+ELURW8uJHu6oqvFOWgcnF5
1Cs4uq1PcsF+QxtPOf1FWPK6stVQio11ty883Fe8GAtaQlRSFB0RMNYf+1p8
KfbvrhAwLLLDuJpkm4aDIk5nrTHcF24Dw5u30s+dWwZnMIw/zmWiX9qC61iq
BBNuhlxEkyU6EriOO2crQ+kOye5m1UZs6g3b9F1XBfnGrDYJazP89hbb9TBm
BYoMhthxvSYwU5IROlyqiqGhqdDunwx0eZnnGLxSxanCkGMfPzOQcDXMuq9S
FSHHB7WrPjJ482hKZTeoImavDL2wkgGu7IVV6p2qWO0UfvHlHQb2Siz0rRWn
I2JKSDQ+nIFbYwqvF7Lp8Nyw5k3yfAaYesygGnc6VJifsgdEGBjYHUM+6EWH
6s5NbXbTwNrBdm6PPx1miyvslgwAL/+kj5fsoyOhLZ3+pRFo/6qotiWTd9xs
H1kwE4hbalcrd4OOlbmWr85cBpS5B8Le5dFxQ3Fngep5IKD1W5n+YzrgZOng
cQwYa8x0m1dBh4jjN6P+EOAitUGopJpXj9aKost+wHoHkRuh9XTUqraGWPkA
B+t8h1tb6CA262x95ASskDp38fQXOgYarl4P5v3+VTFfMsx/0LHDdAlZ3RKQ
fquceLeXDoZVv9/t9cBUr3ZWxRAdnNDsdT16QLe0QWHHOB2nqU7PV64EPqzZ
UD81RcfPKMH+cF6Zpc7MbtosNQj8/+12JFtw1Ry+U9O8aVYSfO/qCDPbT+Ob
OzvO/eIivjfTE0LzFflWCknP6FLn+/3E6ykbBt8lCvWUADO+bzFa1Q9Z8n3w
cL/LUwe+dUlyjxX9+D5P9w8ePM13vNXuQ+IpfIeExFxWucz3xkdnKl2v8z3G
KFQpf8a3C1v8c3IH3/JH7rB0ddVnnHs7r2x8Hd/6DTd1nxN82yvmyJtu4juh
ML3Txo3vib6k2MA4vpvZoXczq/lOUVsrSdqqMeMKOcaawSTNGa+TLz2l9UFr
xhLCGaGecdozVti/2JCtvHLGc5a7PbJ9xbemkeydMHedGe9sky6zEFg1497B
BIdNKXyba71M3aSxesZFgwYTo9V8B6nrNNf6rpmxUY/Pe/Yc3RlvUKJZiWfw
vSL2WHipnt6M6b5ri5c38+1btC3+4Q79GRenv/fpp6yd8VDO9KjWY769l9+c
k2q1bsb99DO69/v4fpI58WX4iMGMXUyXwUDBcMYLAw8XaJbwTZkbcM/KyWjG
mSbREX1svnWiE03OuPFt3Xe3ocmT70Mfhse9A/gey4gxjtjPd7PBmfrsm3xv
2515adNtvkdu5/v+vsu3tGLT6MpHfFuKLZJ/XsJ34ftsn/oGvi0knmjsaeK7
yfzNCO0T30NPfx3hfOZb46p2Xlf3/4zXzNiT8Od/xiPbEVp9fG85vLs2dPh/
xis5lCozxnfc3/PeT//yLbn6hrr7JN9pgU+Hp6f5/j/eGXUh
                "]]},
              Annotation[#, "Charting`Private`Tag$167119930#1"]& ], 
             TagBox[
              {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6],
                Opacity[1.], LineBox[CompressedData["
1:eJwVl3k8lO0Xxi0pKYWZYUhCImOQJRTjuQZRxIzdWMbY6i1EKN4QSdqkSCWV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                "]]},
              Annotation[#, "Charting`Private`Tag$167119930#2"]& ], 
             TagBox[
              {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6],
                Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nk0Vd/7B3BRH1MayPDBve41JfM83847QxJJIlOce40NhgZNKEOmiEQk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                "]]},
              Annotation[#, "Charting`Private`Tag$167119930#3"]& ]}, {}}, 
           InsetBox[
            TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
             "LineLegend",
             DisplayFunction->(FormBox[
               StyleBox[
                StyleBox[
                 PaneBox[
                  TagBox[
                   GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}],
                    "Grid"], Alignment -> Left, AppearanceElements -> None, 
                  ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                  "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
                FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
                False], TraditionalForm]& ),
             Editable->True,
             InterpretationFunction:>(RowBox[{"LineLegend", "[", 
                RowBox[{
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                  RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                  RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
                "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
            BaseStyle->{FontSize -> Larger},
            FormatType->StandardForm]},
          AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
          Axes->{True, True},
          AxesLabel->{None, None},
          AxesOrigin->{Automatic, 0},
          BaseStyle->{FontSize -> 14},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{
             FormBox[
              StyleBox[
              "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
               False], TraditionalForm], None}, {
             FormBox[
              StyleBox[
              "\"Position along Z (\[Micro]m)\"", FontSize -> 16, 
               StripOnInput -> False], TraditionalForm], 
             FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
          FrameStyle->Directive[FontSize -> 16],
          FrameTicks->FrontEndValueCache[{{Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, {{
             Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {50., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {100., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {150., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-50., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-40., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {40., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {60., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {70., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {80., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {90., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {110., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {120., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {130., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {140., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {160., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {170., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {180., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {190., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {200., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {20., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {30., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-10., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {-2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {2., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {4., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {6., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {8., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {12., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {14., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {16., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {18., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {22., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {24., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {26., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {28., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {32., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {34., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {36., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {38., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}, {40., 
                FormBox[
                 TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
                0.}, {
                 AbsoluteThickness[0.1]}}}}}],
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          ImageSize->Medium,
          
          Method->{
           "DefaultBoundaryStyle" -> Automatic, 
            "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
            None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (Identity[#]& )[
                 Part[#, 1]], 
                (Identity[#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}},
          Ticks->{Automatic, Automatic}],
         TraditionalForm],
        InterpretTemplate[Legended[
          Graphics[{{{{}, {}, 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJxN13k4Fe//P3BLpIVwFoekksixpkKheR5EEefYHctxbC32SpElknYppZJK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                 "]]}, "Charting`Private`Tag$167119930#1"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Line[CompressedData["
1:eJwVl3k8lO0Xxi0pKYWZYUhCImOQJRTjuQZRxIzdWMbY6i1EKN4QSdqkSCWV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                 "]]}, "Charting`Private`Tag$167119930#2"], 
              Annotation[{
                Directive[
                 Opacity[1.], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6], 
                 Dashing[{Small, Small}]], 
                Line[CompressedData["
1:eJwV1nk0Vd/7B3BRH1MayPDBve41JfM83847QxJJIlOce40NhgZNKEOmiEQk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                 "]]}, "Charting`Private`Tag$167119930#3"]}}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {Automatic, 0}, FrameTicks -> {{Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
               Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.05], 
               Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All,
             DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
            Axes -> {True, True}, AxesLabel -> {None, None}, 
            AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
            DisplayFunction :> Identity, 
            Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
               Style["Position along Z (\[Micro]m)", FontSize -> 16], 
               "Thermal cloud profile"}}, FrameStyle -> 
            Directive[FontSize -> 16], 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
              None, "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {All, All}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
          Placed[
           Unevaluated[
            LineLegend[{
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[FontSize -> 14, 
               Opacity[1.], 
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6], 
               Dashing[{Small, Small}]]}, {
             "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
             LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
           Identity]]& ],
        AutoDelete->True,
        Editable->True,
        SelectWithContents->False,
        Selectable->True],
       TraditionalForm], {967.5, -576.}, {
      Center, Center}, {360., 360.}]}}, {}},
  ContentSelectable->True,
  ImageSize->{1292., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{3.840191688838641*^9, 3.8402060520126734`*^9, 
  3.8402063987882957`*^9, 3.840206451318822*^9, 3.8402064834354286`*^9, 
  3.840206578320758*^9, 3.8402066491303444`*^9, 3.840206736458543*^9, 
  3.8403039542916093`*^9},
 CellLabel->
  "Out[108]=",ExpressionUUID->"ba991618-75f5-4862-9ccb-8ec43b5be13f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ThLogPlot1", " ", "=", " ", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{
            RowBox[{"x", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
            "0."}], "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{
           RowBox[{"x", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
           "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
           "nThInterpFunSol"}], "]"}], ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "0.", ",", "\[Mu]ChemSol", ",", "TempCloud", ",", 
         "nThInterpFunSol"}], "]"}], ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{
         RowBox[{"x", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "0.", ",", "\[Mu]ChemSol", ",", "TempCloud"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.", ",", 
       RowBox[{
        RowBox[{"xMaxTh", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
          "\"\<Long dist.\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along X (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThLogPlot2", " ", "=", " ", 
   RowBox[{"LogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"aux2Fun", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"y", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0."}], 
           "]"}], "<", "0.5"}], ",", 
         RowBox[{"nThFun", "[", 
          RowBox[{"0.", ",", 
           RowBox[{"y", "*", 
            RowBox[{
             RowBox[{"10", "^", 
              RowBox[{"(", 
               RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
           "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
         ",", "0."}], "]"}], ",", 
       RowBox[{"nThExtendedFun", "[", 
        RowBox[{"0.", ",", 
         RowBox[{"y", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
       ",", 
       RowBox[{"nTh2Fun", "[", 
        RowBox[{"0.", ",", 
         RowBox[{"y", "*", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"(", 
             RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", "0.", ",", 
         "\[Mu]ChemSol", ",", "TempCloud"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{
        RowBox[{"-", "2."}], "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}], ",", 
       RowBox[{"2.", "*", 
        RowBox[{"yMaxBEC", "/", 
         RowBox[{"10", "^", 
          RowBox[{"(", 
           RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
          "\"\<Long dist.\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Position along Y (\[Micro]m)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
        "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThLogPlot3", " ", "=", " ", 
    RowBox[{"LogPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"aux2Fun", "[", 
            RowBox[{"0.", ",", "0.", ",", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}]}], "]"}], "<", 
           "0.5"}], ",", 
          RowBox[{"nThFun", "[", 
           RowBox[{"0.", ",", "0.", ",", 
            RowBox[{"z", "*", 
             RowBox[{
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
            "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}],
           ",", "0."}], "]"}], ",", 
        RowBox[{"nThExtendedFun", "[", 
         RowBox[{"0.", ",", "0.", ",", 
          RowBox[{"z", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
          "\[Mu]ChemSol", ",", "TempCloud", ",", "nThInterpFunSol"}], "]"}], 
        ",", 
        RowBox[{"nTh2Fun", "[", 
         RowBox[{"0.", ",", "0.", ",", 
          RowBox[{"z", "*", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", 
              RowBox[{"-", "6."}], ")"}]}], "/", "aB"}]}], ",", 
          "\[Mu]ChemSol", ",", "TempCloud"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0.", ",", 
        RowBox[{
         RowBox[{"zMaxTh", "/", 
          RowBox[{"10", "^", 
           RowBox[{"(", 
            RowBox[{"-", "6."}], ")"}]}]}], "*", "aB"}]}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", "Line", ",", "Dashed"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "14"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<Short dist.\>\"", ",", "\"\<Interp.\>\"", ",", 
           "\"\<Long dist.\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", "16"}], "]"}]}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Position along Z (\[Micro]m)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Density (x10^20 at./m^3)\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}], ",", 
         "\"\<Thermal cloud profile\>\""}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{"ThLogPlot1", ",", "ThLogPlot2", ",", "ThLogPlot3"}], "}"}], 
   "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.840169317154015*^9, 3.840169317989607*^9}, {
   3.8402060859198675`*^9, 3.840206149799098*^9}, 3.8402062205130424`*^9, {
   3.8402062887345977`*^9, 3.8402063055002513`*^9}, {3.840206704237053*^9, 
   3.840206737649864*^9}},
 CellLabel->
  "In[109]:=",ExpressionUUID->"61c3a087-ab75-4d00-9c55-38bb6ddbbfa6"],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{{}, {}, 
            TagBox[
             {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwBwQM+/CFib1JlAgAAADsAAAACAAAA6vL8TEZm5T4vcQAzH4cQQHGleTNE
ocM/O3Z4f5uHEEB3C+1mGaHTP1nmBNgRiRBANkQdtJBx3T+I86zogosQQHq+
pgAEoeM/Lxhiue6OEEDa2j6nP4noP7qIzoZXkxBAOffWTXtx7T+7hHrHv5gQ
QMyJN3rbLPE/tRUwKSmfEED8l4NN+aDzPxioqsmWphBALKbPIBcV9j/qamZ+
Da8QQFy0G/Q0ifg/a/6MMZG4EECMwmfHUv36P+1dLNQlwxBAu9CzmnBx/T8S
xTDv084QQOre/22O5f8/FfFj8aLbEECN9qUg1iwBQK30mXGX6RBAvQTy8/Og
A0B1zSCGKQkRQNQLmN0C2wRAT7QpE9waEUDsEj7HERUGQKTkokjtLRFABBrk
sCBPB0DOc/LHdUIRQBwhipoviQhAhW8IcYVYEUA0KDCEPsMJQMg7gqU6cBFA
TC/WbU39CkD5VeIZzYkRQHw9IkFrcQ1AJGh5TgnDEUCURMgqeqsOQJyhgQp2
4xFArEtuFInlD0B+9G3GMQcSQGIpCv/LjxBAg7Q4ZmsqEkDuLN1z0ywRQIoo
DO5yVBJAejCw6NrJEUB2i4guaooSQAY0g13iZhJAwpM2P27jEkCSN1bS6QMT
QBun9GC5YBNAHTspR/GgE0CYl6g91QwUQKg+/Lv4PRRA6Y0QQcMxFEA0Qs8w
ANsUQI1vrdIlvhNAwEWipQd4FUC4GuVMs38TQExJdRoPFRZAS5IZxnhfE0DY
TEiPFrIWQA1PGH9OXxNAZFAbBB5PF0DjfpHhw2cTQPBT7ngl7BdAsxp/mwBv
E0B8V8HtLIkYQMCDna+rVxNACFuUYjQmGUBV/HXRvDUTQJReZ9c7wxlANNzY
jmUQE0CsZQ3BSv0aQLBo3ItBzRJA3HNZlGhxHUDeLDqfbU0SQE3WxPDvoCNA
jlIwyHhfEEB+311ZDvYjQFHRDbPfPhBAruj2wSxLJEBE5p0DZh4QQBD7KJNp
9SRA1xnykKi7D0DUH40140kmQI/N4vSwvA5ABSkmngGfJkDi2K3KsX0OQDYy
vwYg9CZALXKD7AM/DkCXRPHXXJ4nQO6AG0mnwg1AWmlVetbyKEDL+x4zM84M
QIty7uL0RylABK0xhgmSDEC8e4dLE50pQA2F4VlGVgxA7IQgtDHyKUCdS6U2
7BoMQB2OuRxQRypAbKSX3P3fC0BOl1KFbpwqQB9HU6J9pQtAfqDr7YzxKkBf
RjjybWsLQLAunH1R/ipAQ3M1QMJiC0CJWpUa
               "]]},
             Annotation[#, "Charting`Private`Tag$167129603#1"]& ], 
            TagBox[
             {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
              Opacity[1.], LineBox[CompressedData["
1:eJwV1mk4lA0XB/CxZjdjrBNZ5ibLZN+yzH0sWaKmJC0PLSq7mKQHs0nWVsmT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               "]]},
             Annotation[#, "Charting`Private`Tag$167129603#2"]& ], 
            TagBox[
             {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nk4lIsXB/CxXvs2Q0y2MW+yTJR9nfdYEiGRFkWLZC8zIctsqGy3RXJz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               "]]},
             Annotation[#, "Charting`Private`Tag$167129603#3"]& ]}, {}}, 
          InsetBox[
           TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
            "LineLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"LineLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                   "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{Automatic, -10.246723191357736`},
         BaseStyle->{FontSize -> 14},
         CoordinatesToolOptions:>{"DisplayFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& )},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Position along X (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], 
            FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
         FrameStyle->Directive[FontSize -> 16],
         FrameTicks->FrontEndValueCache[{{Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
             Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
             
             Charting`ScaledFrameTicks[{
              Identity, Identity}]}}, {{{{-9.210340371976182, 
               FormBox[
                TemplateBox[{"10", 
                  RowBox[{"-", "4"}]}, "Superscript", SyntaxForm -> 
                 SuperscriptBox], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox["0.001`", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.010\"", 0.01, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 3}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.100\"", 0.1, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 3}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox["1", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox["10", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox["100", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.819778284410283`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.41431317630212, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.126631103850338`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.903487552536127, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.721165995742174, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.567015315914915, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.433483923290392, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.315700887634009, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.111728083308073, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.824046010856292, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.418580902748128, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.264430222920869, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.1308988302963465`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.013115794639964, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.809142990314028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.521460917862246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.115995809754082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.961845129926823, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.710530701645918, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.294049640102028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}, {{-9.210340371976182, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.819778284410283`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.41431317630212, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.126631103850338`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.903487552536127, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.721165995742174, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.567015315914915, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.433483923290392, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.315700887634009, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.111728083308073, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.824046010856292, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.418580902748128, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.264430222920869, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.1308988302963465`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.013115794639964, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.809142990314028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.521460917862246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.115995809754082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.961845129926823, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.710530701645918, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.294049640102028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {100., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {200., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {300., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {400., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {500., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-100., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-80., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-60., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-40., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-20., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {20., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {40., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {60., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {80., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {120., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {140., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {160., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {180., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {220., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {240., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {260., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {280., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {320., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {340., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {360., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {380., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {420., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {440., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {460., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {480., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {520., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {540., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {560., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {580., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {600., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}}],
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImagePadding->All,
         ImageSize->Medium,
         Method->{
          "DefaultBoundaryStyle" -> Automatic, 
           "DefaultGraphicsInteraction" -> {
            "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
             "Effects" -> {
              "Highlight" -> {"ratio" -> 2}, 
               "HighlightPoint" -> {"ratio" -> 2}, 
               "Droplines" -> {
                "freeformCursorMode" -> True, 
                 "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
           "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
           None},
         PlotRange->{All, All},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.05], 
            Scaled[0.05]}},
         Ticks->{Automatic, Quiet[
            Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{{{}, {}, 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.368417, 0.506779, 0.709798], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwBwQM+/CFib1JlAgAAADsAAAACAAAA6vL8TEZm5T4vcQAzH4cQQHGleTNE
ocM/O3Z4f5uHEEB3C+1mGaHTP1nmBNgRiRBANkQdtJBx3T+I86zogosQQHq+
pgAEoeM/Lxhiue6OEEDa2j6nP4noP7qIzoZXkxBAOffWTXtx7T+7hHrHv5gQ
QMyJN3rbLPE/tRUwKSmfEED8l4NN+aDzPxioqsmWphBALKbPIBcV9j/qamZ+
Da8QQFy0G/Q0ifg/a/6MMZG4EECMwmfHUv36P+1dLNQlwxBAu9CzmnBx/T8S
xTDv084QQOre/22O5f8/FfFj8aLbEECN9qUg1iwBQK30mXGX6RBAvQTy8/Og
A0B1zSCGKQkRQNQLmN0C2wRAT7QpE9waEUDsEj7HERUGQKTkokjtLRFABBrk
sCBPB0DOc/LHdUIRQBwhipoviQhAhW8IcYVYEUA0KDCEPsMJQMg7gqU6cBFA
TC/WbU39CkD5VeIZzYkRQHw9IkFrcQ1AJGh5TgnDEUCURMgqeqsOQJyhgQp2
4xFArEtuFInlD0B+9G3GMQcSQGIpCv/LjxBAg7Q4ZmsqEkDuLN1z0ywRQIoo
DO5yVBJAejCw6NrJEUB2i4guaooSQAY0g13iZhJAwpM2P27jEkCSN1bS6QMT
QBun9GC5YBNAHTspR/GgE0CYl6g91QwUQKg+/Lv4PRRA6Y0QQcMxFEA0Qs8w
ANsUQI1vrdIlvhNAwEWipQd4FUC4GuVMs38TQExJdRoPFRZAS5IZxnhfE0DY
TEiPFrIWQA1PGH9OXxNAZFAbBB5PF0DjfpHhw2cTQPBT7ngl7BdAsxp/mwBv
E0B8V8HtLIkYQMCDna+rVxNACFuUYjQmGUBV/HXRvDUTQJReZ9c7wxlANNzY
jmUQE0CsZQ3BSv0aQLBo3ItBzRJA3HNZlGhxHUDeLDqfbU0SQE3WxPDvoCNA
jlIwyHhfEEB+311ZDvYjQFHRDbPfPhBAruj2wSxLJEBE5p0DZh4QQBD7KJNp
9SRA1xnykKi7D0DUH40140kmQI/N4vSwvA5ABSkmngGfJkDi2K3KsX0OQDYy
vwYg9CZALXKD7AM/DkCXRPHXXJ4nQO6AG0mnwg1AWmlVetbyKEDL+x4zM84M
QIty7uL0RylABK0xhgmSDEC8e4dLE50pQA2F4VlGVgxA7IQgtDHyKUCdS6U2
7BoMQB2OuRxQRypAbKSX3P3fC0BOl1KFbpwqQB9HU6J9pQtAfqDr7YzxKkBf
RjjybWsLQLAunH1R/ipAQ3M1QMJiC0CJWpUa
                "]]}, "Charting`Private`Tag$167129603#1"], 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.880722, 0.611041, 0.142051], 
                AbsoluteThickness[1.6]], 
               Line[CompressedData["
1:eJwV1mk4lA0XB/CxZjdjrBNZ5ibLZN+yzH0sWaKmJC0PLSq7mKQHs0nWVsmT
pLKEpIWIiJo7lC2FIoWS9kLIUo3lvd8P5zrX79v/us7/w9EOjPI5IEwgEPrx
+f/+Pr3g7Rb0iW7CJFhophGBWRJv4VrYjNofiePl4f5XejxIrfAFuuOz6AAp
gwjWrhp3M5nDaPqvm1+TThAh4WEpQbTwA2qiGlg/cZoIb97Qr6EZX9H76c9S
t50jwtr5/g0s5jjakJzQyr9AhKcZNgmDtCm0RsnUwCCfCAs5xzb8KfiFqpaV
t58vJQKt9LmWitIc+j0siCtbQQT/uytnLDN+o+FLJ83O1hHhZFNwq8/iX3Q8
gPZSt5kIDd3VF6OZi6jCY9OfL54R4fvb5cjTn5ZRpal9U0WDRDg1V6LVTxOC
WzO5zJxvRHggOv3rV4EIxHZppRpIkuCl9IVh4UFRYNw1IA9RSDCmQG8lKYlD
8ccij/E1JBClfKzUYqyAZzHTrbHOJFDXPn7RJEMCUqIkmCnbSWCpb5pMb5aE
NvukErtoEnib9EduWJSCP1tH1boySMB21HEKZ8oCEhK/UbKZBNmubYYJN+Tg
UuFRqSMfSHDT66Bixid54M5EPjFboQCBBlLLnWeIcOyubVC4oQJM0IZjXtBI
cFxfZuKQrwIkmFZ+fdNOgiMn0o3DjiuAuOWxgNEgBWg6Z40e/KAAWTZ+vd9E
yLDy2sye+j1k0LA3cJ8qIMOFnDLHPhlFKKMvNPx2VIRvp4hOzWaKYOn83JQw
qAinom716j4kA7auqGRFnBLUUT55V/PI4O0ZS5FXUgavLLUncbvJMODtcUa5
ShlkGaq8jbj3b1opuoqhAh+4Z983B5NhcstEnO6YClRTeHmEKDKwtz0ap2Wo
AnbscsWNbWSQ+Cc70FJPDbYuxPY0WpEhe1fwK/tmNbAcGjh9gEiGmwdkH61f
pEBlyNAJpy4FGIrZkR3C1IC3NLv8yA0KsKG/ZfJnARVO+5i2xe0mAvddwA65
OSps7pGtfkcnwu2vc49oXgi4fr4sErSKCESB/rnQWQReqU1nljXIw0vNU1Yf
PPXgTNfoTGWjHIgZ6F0RyteD0YFbHXc4cmBtzhfXmtGDNYeOjYmgcpDjOvXK
/8pqmEhc6XmtSRZ2hm5N6J/Wh07BKguLZzJw4tDE6Iy7AYjeMkuVzJKBRlaa
F/myAcimvN/h5icDY8lad82mDeCyV4n1GEUGNE7Xq29yN4SI4pyhxXfSsDHH
J+XgJUPQdN9SxCmRBm7Bj/GTU4aw2812OjJcGiquJ/vdcDOCqgMqU1fqpWGk
SoPfnmcE/KL5RnG2NJAaa1d/nTSCvP+091JQaXB+zMgUd6NBiNVR09fC0nD1
1dG9LpM0+Njw2cPvpBQELXwSeeBqDBmNOfx11yQhR4wXMZhrDKywNoXrUXiP
5VT7/kwYg8IqzaIaW0kw0F5fap1rAm8cHu/oeCoBczrbkIEjpsDjv8x8v7AC
6t0bnmzuNINqJcr+arY4+DxdIRiZNQPfVUb9BQxx+L7J1yRayxycvqt9saSK
A2XneM7pWHMo7foxsPGpGLAjNEM7NS2gt/DJZVs9MUDPHpNed9gSkh4ySgx/
i8CTt8p04UuW0NP3buLwKxHYSCuP5jdbggVfZsrlngj4t3b3rSVbwfNB17rw
OBFIWNQoMK6yAq2e2AuPCCIg5HWn98drK/gyJ2ZK+igM6Rdcxa4LWcNUR9Kr
wVZhyLEID6NutgbuUuXkUKYw3A2ts1SdtIbm8XHNYH1hsL/nFdynYgO+kgx6
iLwwNIm+y81CbeDc2yCx13NC0JMvtixzxgZsCoriRFqFYKLPp13I2Bbsy81P
booQAn3n8YAf4WvB9KixXnA7ASrOJGaWnVsLk9fnNEtrCWA9TG4+0LAWmuM/
u9gXE2BdnJ3+iJQdqLME6XsTCRB4O2365XU7GMzRqY52IMA3AUU3q8cOGH2f
r1nQCBDteXsb448d3I/M+4CqE4D38WVju4c97LEpfvTP32X0EkUn7eEXe6gr
neOHJC+j1JCaepa8AzS1nu8zCllGy2s8xmxtHKAlr+JFiPcyWr8panN1qgPY
Ycs1rsrLaH9q48oyXUdgCt+QsKhYQom//CrP7qOD6LkcMe6vRXRVgLZv2nE6
zNFiewTDi6hR64959h06FN8gr3nctoi65SWiIct00Fb7k2uWv4hyXMqf0fNQ
CBhlnbJkLKKz7dy52FCAi/Upaer3F9BASq8itdAJCjSuPbWqEKChjHufL991
Anf9q/GJ+QI0OvlSnWqbEyzs7RkYOSNAuRNB/nI/nSD7WZbj22gBmtskuPrH
wRkCtodZ37YQoN1huhbdA84Q1Nku8bzhL+rYELeZQ3QFmV/FmU3df9D8mIe3
hrZ7wvAT547unFl02HO4V+C2EfY3KvbvE0yiB7wSxgOfbwaCh0FYedJn1On+
vOjzg75wg9ct4Tn6ApWue09Y+d4PFBNDRFZl1PKNptwPOqTvgEM7oqRULr/n
29VTMEdhfyD22iQ+VprkV3ju1n0StQu8zZe2zXPm+Q+kiEukjD0wLFz3Npq/
zKfUlQ5WNu8FLOxI2p92EUznmIB5X3Uf0N6klajIS2C7zCWz0oL3Ay2xQ5bn
IIORDDYUt+QfgPIJt9WfpIhYlCMjKmI6CNzit8b5KStgrrlptGTjEEgXN/+I
TJGxFgVukXhKKJTd8UikvVfC/o1eU+TdFwau7yfKMqtUsEIlcrawfATY+kY1
MBhq2L8DtXTqvkjATJz+Vs5SsJbRzMHqgoPgmBLTuyFYHXPtoQpLDERBsgev
vL1eA6s7eD/6Q3Y0rHFZkJuW1cQyVLmvE8yZUAC2ouJqWphpT8EV92EmbPsY
5lN3XQubFOTrzyUfAoiua91vqI1FrL9/w187Bhz3x1/7dl4be3DN4sTvjhg4
UZBdVErQwTr02/Z5hx6G58dGtJu362BTK9cKJYnGglXiddFXJTrYuIakYOxm
LLCt2zldP3WwEpeZcfn1RwB2lTVG06iYeRzdMWTmCOROcV4PHKBirO6rKXHn
/gWlzhTjf7Kp2PDFT1lhJnFg84/U+GwDFVM6nLpwdiAOuD3sg99HqJgk03k3
80g8uB/TH9+/RMV62QGrUrUT4Dg1wSpdDcFq/voWsdsTYNynmj5mgmAO6zz9
f3YmwFUj8dO2pgjWdMZROfBZAhh8qS9Pxv0M0Tvu/iIBlLurvNXNEOzrxnmm
wnACGBb+tPI0RzD1q7lOZZMJ8K78Uk2uJYIle70deaHCguTZN6uV1yLYlkvB
mkZBLFgwDypNckIwxX1dt3tDWABXZM+04e43sKAnhLMgtHjeRc4ZwXbeW/Jv
j2bBvzFkci7uwN7/LgazWJB2+bPnTRcEi5ZoUSrOZIFnRqVV+zoEO3VYS0aj
gQU31c+PDHsiWKv3699yRDYU2J01it+MYKqJ1JAMBTY0bL0IFbhDqiNfiSix
wTxC2+QTbimKcO1vNTZc8hDP3eSDYN5fDGNGqWwQlNwp0t2CYL1H2eM1Nmyo
kykubPNFsLe1mqP+u9lQIn90bHobgs1pBXWW32bDN/nm9OEABJN/0vxI9Q4b
DnendkjuQjD9cO261Go2oBMnx6xw76wZKg6sY4ObzO2eU7j5nlu4lCY2PPYP
1HHYjWDph8DseB8blOtCJ7L2IBilhZITusCGPbyOGoN9CIYGPw/UX8+BI2NU
aUIIgmWnXzHu9Obgf4qmgj7ur9cj/0YyOFDF0PvDwJ05Jp1V7cuBkbLbwfm4
R5kej+i7OVB8SK7dIRTBUtmPNLce5oBfgGwlMwy/99nqoaNXODDLry1uiUCw
XY05foPTHBh9jlSSmQjmvN5LePMsB5ZitMzMcesOLN16Ms8BQWnTxU24x34d
EKta4EDMd1v9U7jjjSzvpotzITv8yhqxQ3jei90kawoXsjY8/DmJuzNOsivT
iQs/1A0b7h1GMFsrlotbJhf0I2aKxOLwfrCcDcXOcUEQXnJLG3dskySp5T8u
GLxpy3fEXcW48NYpjwsv9lbZxeKmhdXEO5ZygWyoseEDbq38nxWWjVx4F3Ru
5n48gklI7lenfuXC+6e3urazEKyUYSQy+p0LVBef70zc685PfysY58Ll+VuT
x3EnUY/eW/WLC/213fcbcS84XvGhLHEh2b/MTZONYJOHBtJJijzg6BV5jeA+
XZ8f1a3Mg5jiTunfuNcQgv3OqPFAr+VBrTwHwcJOzVJlNXlQy6d30XF/vKbA
lzDkgZReylIe7qSJ1yWtNB5ocB4rV+PWtio8mWrCA03JLZQO3LuaTHaKWvFA
yCHnwzzuRYl5aLbhwd+Ug9fluAh2ifFwdZIdD0y9Xu7UxW13PkXOyZEH+5sG
5u1xvx7ynl1GeXBD5WSiD+7/AWmTFXU=
                "]]}, "Charting`Private`Tag$167129603#2"], 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.560181, 0.691569, 0.194885], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwV1nk4lIsXB/CxXvs2Q0y2MW+yTJR9nfdYEiGRFkWLZC8zIctsqGy3RXJz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                "]]}, "Charting`Private`Tag$167129603#3"]}}, {}}, {
          DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, DisplayFunction -> Identity, DisplayFunction -> Identity, 
           Ticks -> {Automatic, Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }, 
           AxesOrigin -> {Automatic, -10.246723191357736`}, 
           FrameTicks -> {{Quiet[
               Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
              Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
           GridLines -> {None, None}, DisplayFunction -> Identity, 
           PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.05], 
              Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All, 
           DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None, "ClippingRange" -> {{{0.00001020408163265306, 
              499.99998979591834`}, {-10.246723191357736`, 
              5.220037310315081}}, {{0.00001020408163265306, 
              499.99998979591834`}, {-10.246723191357736`, 
              5.220037310315081}}}}, DisplayFunction -> Identity, AspectRatio -> 
           GoldenRatio^(-1), Axes -> {True, True}, AxesLabel -> {None, None}, 
           AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
           CoordinatesToolOptions -> {"DisplayFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& ), "CopiedValueFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& )}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
              Style["Position along X (\[Micro]m)", FontSize -> 16], 
              "Thermal cloud profile"}}, FrameStyle -> 
           Directive[FontSize -> 16], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, PlotRange -> {All, All}, PlotRangeClipping -> True, 
           PlotRangePadding -> {{Automatic, Automatic}, {
             Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           LineLegend[{
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.560181, 0.691569, 0.194885], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]]}, {
            "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {193.5, -189.}, {Center, Center}, {360., 360.}], 
    InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{{}, {}, 
            TagBox[
             {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVl3c8Vf8fxy/Z89xhlJZ1r4QyQirnHU1JZaSSWRQqiiiykszKiihJES1l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               "]]},
             Annotation[#, "Charting`Private`Tag$167139198#1"]& ], 
            TagBox[
             {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
              Opacity[1.], LineBox[CompressedData["
1:eJwVl3c8V+8bxpE9z2egkJ0k4xMqCecOqdBC04oio0IJJfsrkmRFlESiRXYZ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               "]]},
             Annotation[#, "Charting`Private`Tag$167139198#2"]& ], 
            TagBox[
             {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwl2Xk8VO/3AHBEyDbXnRZFZUlClsGMEd1TIpUWS6msZSkhhRaRNSUhlSVU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               "]]},
             Annotation[#, "Charting`Private`Tag$167139198#3"]& ]}, {}}, 
          InsetBox[
           TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
            "LineLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"LineLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                   "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.01, 0.99}], ImageScaled[{0, 1}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{0, -9.787375698432637},
         BaseStyle->{FontSize -> 14},
         CoordinatesToolOptions:>{"DisplayFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& )},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Position along Y (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], 
            FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
         FrameStyle->Directive[FontSize -> 16],
         FrameTicks->FrontEndValueCache[{{Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
             Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
             
             Charting`ScaledFrameTicks[{
              Identity, Identity}]}}, {{{{-9.210340371976182, 
               FormBox[
                TemplateBox[{"10", 
                  RowBox[{"-", "4"}]}, "Superscript", SyntaxForm -> 
                 SuperscriptBox], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox["0.001`", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.010\"", 0.01, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 3}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.100\"", 0.1, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 3}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox["1", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox["10", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox["100", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.819778284410283`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.41431317630212, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.126631103850338`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.903487552536127, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.721165995742174, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.567015315914915, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.433483923290392, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.315700887634009, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.111728083308073, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.824046010856292, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.418580902748128, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.264430222920869, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.1308988302963465`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.013115794639964, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.809142990314028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.521460917862246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.115995809754082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.961845129926823, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.710530701645918, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.294049640102028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}, {{-9.210340371976182, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.605170185988091, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.819778284410283`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.41431317630212, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10.126631103850338`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.903487552536127, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.721165995742174, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.567015315914915, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.433483923290392, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-9.315700887634009, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.517193191416238, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8.111728083308073, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.824046010856292, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.418580902748128, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.264430222920869, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.1308988302963465`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-7.013115794639964, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.809142990314028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.521460917862246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.115995809754082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.961845129926823, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.710530701645918, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.294049640102028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}, {Automatic, {{-20., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-10., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {10., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {20., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-30., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-28., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-26., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-24., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-22., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-18., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-16., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-14., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-12., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-8., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {12., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {14., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {16., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {18., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {22., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {24., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {26., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {28., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {30., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}}],
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImagePadding->All,
         ImageSize->Medium,
         Method->{
          "DefaultBoundaryStyle" -> Automatic, 
           "DefaultGraphicsInteraction" -> {
            "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
             "Effects" -> {
              "Highlight" -> {"ratio" -> 2}, 
               "HighlightPoint" -> {"ratio" -> 2}, 
               "Droplines" -> {
                "freeformCursorMode" -> True, 
                 "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
           "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
           None},
         PlotRange->{All, All},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.05], 
            Scaled[0.05]}},
         Ticks->FrontEndValueCache[{Automatic, Quiet[
             Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }, {
           Automatic, {{-9.210340371976182, 
              FormBox[
               TemplateBox[{"10", 
                 RowBox[{"-", "4"}]}, "Superscript", SyntaxForm -> 
                SuperscriptBox], TraditionalForm], {0.01, 0.}, {
               AbsoluteThickness[0.1]}}, {-6.907755278982137, 
              FormBox["0.001`", TraditionalForm], {0.01, 0.}, {
               AbsoluteThickness[0.1]}}, {-4.605170185988091, 
              FormBox[
               TagBox[
                InterpretationBox["\"0.010\"", 0.01, AutoDelete -> True], 
                NumberForm[#, {
                  DirectedInfinity[1], 3}]& ], TraditionalForm], {0.01, 0.}, {
               AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
              FormBox[
               TagBox[
                InterpretationBox["\"0.100\"", 0.1, AutoDelete -> True], 
                NumberForm[#, {
                  DirectedInfinity[1], 3}]& ], TraditionalForm], {0.01, 0.}, {
               AbsoluteThickness[0.1]}}, {0., 
              FormBox["1", TraditionalForm], {0.01, 0.}, {
               AbsoluteThickness[0.1]}}, {2.302585092994046, 
              FormBox["10", TraditionalForm], {0.01, 0.}, {
               AbsoluteThickness[0.1]}}, {4.605170185988092, 
              FormBox["100", TraditionalForm], {0.01, 0.}, {
               AbsoluteThickness[0.1]}}, {-11.512925464970229`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-10.819778284410283`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-10.41431317630212, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-10.126631103850338`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-9.903487552536127, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-9.721165995742174, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-9.567015315914915, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-9.433483923290392, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-9.315700887634009, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-8.517193191416238, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-8.111728083308073, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-7.824046010856292, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-7.600902459542082, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-7.418580902748128, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-7.264430222920869, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-7.1308988302963465`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-7.013115794639964, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-6.214608098422191, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-5.809142990314028, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-5.521460917862246, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-5.298317366548036, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-5.115995809754082, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-4.961845129926823, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-4.710530701645918, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-3.912023005428146, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-3.506557897319982, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-2.995732273553991, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-2.659260036932778, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-0.916290731874155, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {0.6931471805599453, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {1.791759469228055, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {2.995732273553991, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {3.912023005428146, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {4.0943445622221, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {4.248495242049359, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {4.382026634673881, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {4.499809670330265, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {5.298317366548036, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {5.703782474656201, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {5.991464547107982, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {6.214608098422191, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {6.396929655216146, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {6.551080335043404, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {6.684611727667927, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {6.802394763324311, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {6.907755278982137, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {7.600902459542082, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {8.006367567650246, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}, {8.294049640102028, 
              FormBox[
               TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
              0.}, {
               AbsoluteThickness[0.1]}}}}]],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{{{}, {}, 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.368417, 0.506779, 0.709798], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwVl3c8Vf8fxy/Z89xhlJZ1r4QyQirnHU1JZaSSWRQqiiiykszKiihJES1l
JvT9nCSSlFVG2eHae6/f+f11Hs//zuc1zud1pO1cjO05KRTKVg4K5f9PdW2d
bkEHFrH1TMHVvlIhInJVf3mLJYvYk8r5pCFDiBj+kfDyrRmL+HLUJve/CCHi
UOLBOwGHWcSqFwYfHrsKERn2cy4me1kENVI/z9NUiDizeGLbjAaLMC+Oec1Y
K0QQ5XySFUosoqNvdV7jiiCxPqZgPlGORei7C/283yVING6SJHQZLOKE6sSx
hZeChJF5g8HtCSaR0Vh91H27IPFKJlj5xACT8GAGp3CsEyT4hjUxxS4mceUU
p04IRZD4fCvuV1Utk1hOE7cKKBcgtLPNbMSymQRXJq4lZyZAyArXX011ZRLt
cz/Pq7nwE14zvwPLzjEJVRn5VQNH+InqjqYothWTCP2yHx5t5Sdu5Le9UTrM
JC6pKFewx/iI39YD3bmbmMRGLFh2szsfEZLNefxLpzxBVBdHWnryEkPmqpo9
pvKEuvM5XeIaN/H+6d1p1nY5Qn+G9bfZkYOodI2cFxSSIZq/fX0ZGjiO/DRW
n/Tm2ki0NZ4s75avQN0X6iQHUqQIGt1GWuhOPy58+qbGdJAEYZS2ZW7T3AKe
U07MidPoRHLABdNBJ27IPiAVPmYvTDg0/t1DFxYCv8bqiM5d3ERbhMdDnxoM
nirKLd9cw02I5Cc587dgUHbD00V2hotYpZ2yIYqNgZD0euOz77iIUCmprLgV
DB44Okv0yHARlKjbc9eVqZA9z/20j3cV8VfKIzk6hAr/1u54P1pDIWj3MzYT
O2nA63JXISqTQjTqbaDN76eB4qeOBNVwClHwUUxI3YQGrvYhN67soRBSdtYN
Tx1pMG/xKpB9cQUl3pOu842jAVCMHTaxVlBpw07D/BQaBKfOHnBqX0ZSW+65
D7+mAWNor8ig8TJSTpZctP1MA2Xf9gcjWksoq14z2nqUBu4ywd5bxxbR5br1
2PMFGhSWKVtdfrmIhAvTbEZ56EBxrofsM4tII6JBAqfRYZ+ot+zE2kUkuaGt
MXodHSJypHk0fi8g59IV80EFOtSZf2W731tAxuWTCXGqdFizeKky78ACss8o
d4zSpoPNE7HMaY4FVCp4ON8Xp8PzPcWRWkXz6DvHYNX5fXQYZNu5XXOfRw/O
SkScOkyH66rvtOd75pAG18KNQAs6EL+OS+14Mod6NjGz6+zowOO1tOR9cg7R
lnaVWTrRIbrE4PNS5Sx6rT/5y8KLfL+9etTR0Fl0KOthncVNOgR/3W7duX8W
aRYvdpaH0eHmIdU39dyz6IEsbpoVQ4cbPxQWyj7PoPykf/Gbk+jgcWzjwQ8B
M+huzUi9YTodXOsl4l/hM8ja+c0HlWw6OJmLdictTaNwaae0kY90sG/mUY8s
mkbxZwWscr+R57Vc9r95fRoZhJx99bKRDqfap364a00jtZld/sJsOpieGVp7
bmoK5Rld51Cao4NRzz+nkzlTaE/zi8MeQgw44Pi34NDlKZRckC0XL8MA/cE6
Ht0tU8h6flL77U4G6LpUmm4dmkScm3dFUSwZoD1e8lTm1SRaJ5jH2vOEAWpX
C0cZjpPoxObFx8evMEB5NkuXlzWJnE02nNuozgAF7xcRc/8m0F3mczfqKgbI
LD9pHng6gQJPfxlYaKLD2oAHCq02EyimZ1/Qxjw6iHNFelSvn0DhnNOOW0i9
BAX8aHmJ40iM/STrtBnpxx0Pm/QT42h2t15yHuk3BbuUmSA+joqsTC7oknmZ
FLM08I0eQ/09UHiwjwat0jtu7g8bRbtLXN1bwmjQmKpWvf3AKCptzrw94k6D
OpbieiWeUWRdNZKaZE2DexZq7tJcI0h9U8dMkSYNbtlKYzz+w2jy6uCQvCwN
rp3DXvcvDCG+iff0DRgN7NyGu3ImBhHb/t2aogEqHL/e4vfAZRBti77mZdlM
hUN+36V8BgZQ22Jwx50KKkBQ0XvbcwPIdn2xgW4xFTTCX5rs6+pHNseUDUWz
qLApKmFE0bofcdeM6hk+p8L6+JBw0T99qGz1kNzoQyrwPnP43FjLRqmBW1dO
kn1fzDCz/mjERm9k2Psk/KgwmrlnIeVbLwoyuCqg6EGF5kIZdeeSHqTll9QP
9lT4QVB/HtHtQbvm8rp2WVLhcxnFWaOwG23lM+G/aUaF17WtT5ey/qHS9GnR
un1USGms0u1U/ocKBy7VNuFUiGstbi570YVSN2r4SW2ngl9/Ii0ypRMpXH5x
eo8SFYw5zW/KRLWjp14+sR0MKpz7LYEni7YjfF+Y5T1RKsyYZs1orW1D6d9K
22wFqGCQltuvKN6CBmj+2hcoVBjZW1SNCTQhW9b33KcDGEgO7zQQ4G1ExSbt
wRd7MNCL++/zKq4GtMJU8DPpwCC251P+9FI96g9TOOPSgIFO8NdHf8eqkWxN
09GWUgzKrWKVXrf8RIyyp/6eBAZr3sZvSG6oQlHtQUzFYgyII4+5gyorUEn+
7+cNORgIRr2qOZrzCfWuZSQdSsWguMQyNPgUQm3iAjEpTzCwO3PW5aJRERKT
yvgpnITBm9TLO7Zr5qBhhwpphTgMNurYPrqtEoJsJYOjLUMxcAioc4g964q7
Pgo5cvo2Bp8tEwPuHIzFkzwV9pwLxODQ62yFLWYv8a67/5iFPhj45xlnZmlm
4Ws6/jRweGPQzDD8WqmXhx8f/BZueQ2De3W6iyunPuJhdU1hR90wuLp6reCd
HAKXVR9/3OuKgUyFpGTihxLcgIe9P/oSBjcUaGq5X8rwdZ9GxqSdMFDt5XJg
t/zAmcMFiyw7DFwq/T/MX67GfSPV+E/aYLBPdgXnuFqDX297PPTICoOJ2gVD
Ee86fB9R0n/aAoNvil51DN96vMKb80/jSQye3Jw9KRXwC7eu0jU+dwKDw2pT
DgrBDTirf3tYkRkGcmFuQyphjXh/nAszwBSD+Y4xt213mnB/0zDKSRMMara7
zu+IbMbrXJx49Y0xyIga9teL+YP/4bdVxI9h4Nt3gfdg3F+8Q6fx68GjGJjt
HrhzJKEFl63UK7E/goFSgiPj+KNWnM0zVBBjhAHnWG/i6eQ2XOatxfO6wxj8
1Qj4o3K6Hf/SIhclQbL25buOb9ntePFyfZSrIZmfNw9ntlztwLWC81JaD2Ew
2pcR9I6jEzdcji+0JdmQmU9XvduJn22o/z1ngEG63eeUrDVduL+LwdhzkjmT
q7eopXfhUcqnuR1JtvrT8jFb/R9O/zImAiQXSgwcUif+4WmJHgJKJIuZzjbl
GHbjigZNk/9n10ju8xpN3biLUXilHsnfv9Omc+178OkK/4iLJCvwb7y1bbwH
73fdqvmG5MC9yrR8316cIzamnIN8v9YAnSeagmw8x5AJziTr/Ldf5X08Gz/z
rTe5j+S4edNiLbk+/B9xqvcGed4xTTuDgnd9ePZskIQ8qYehm0uj9q5+vJEy
pdpJcsbbGw4fKvrx9as+aOeSenINhk5uPz6A/y10VHlI6m2tEH+zsHMA3xYW
3Hmf9EM8Jetx0cIgPrX6DKWU9O9Ky39KO0OG8NAXMenzpL9Vq78XFjOG8Xz5
ZLd9ZB5uRff8/qg8gu/821y0jsxL+4+Js7qFI3hw4olTL8g8PQ7yv24tO4qv
1BjbGZB5m/t0h7f97Si+5/zB+e9kHpk2sUYbp0fxi7w5WZlkXk2XE+/b7BzD
G8q9pZ+TeX6nkyHb8XUMf30j1f+3A6lPY6aTtOg4fkifkSTqSO4pz7wsW7Nx
vKBH6LuVMwbnckrwzo5xXLpdpRQn+xN7rOK2jMIEPhH+mqi5gkHJyM8qu0sT
+Gml85peVzFYr9Ri0TU/gTff+LQkQvbzV+qM5z/6FM4rU94PwWQe9Jf/kzs1
hU/znfjmF4bB1g4uHvsnUzjFaN2+33cwiFhHi+1Wmsaj8j5xV8ZioB+n9K5n
7wx+7pVeUvMzMg8a6jPMiBk8aU3m4ZZ0Uo/a7brnamdwy0SxjLlXZH9E9n/v
tZrF44bSA/xzMcgKtmWzPefw3OG4Az/LMFDcL1Hq+WEOTzN8tmJSiUEqT1Uy
z8Ic3iFZtnPsJ7kfg7TN5Xzn8Qv9s24eTWS/AkXLrG8t4GZhyz65QxjM6n1J
Gf6ygLv+KDKeHif95PT28eFdxPW2MbmXZzCwD+jReBi2iAcE7aTacVLB0O/j
s9+RSziV68nSY0kqlOm6+dnXLuEad7WPBa4n77tlBYtJ+jKu8t3GPEKOCuo+
sTRa/DLuj8QxmioV1ng7BxxOWsFTPJTdxQypEKMjbfm3dQWPcLA8f8CECjw+
zo+2YRSI9uo2e32KCv47pa+VHqMAPFTRE3GigntRxJbOegr4nsy+5RpOBdWH
55JeTFFg731XAdtYKgx76QleFueASp8dM9FJVHh1at11bS0OoBWoVPOlU+G8
zmzPijkH6Kfzd4+/o4L8mjrT8mscgJz7NVU+UqFz7k3J3QQOuBLLXlNE3t8W
H848XveHAwrztj4q66KCZIKuUPcCB2yOvruiP0aF+murvV6v5YTU/9bfxlao
YKT902yHFSdEBrWO3peigd57HeGTHZyAjpsbmJ6gwUqcmPdGzlXgSZxab3ie
BsUeo+xemVWwLuSiSNw1GmzTfF7qcXYVtGRL8LASaaCQR70R27sK7BLR+5AO
GnTHDvZZ8HFBGO+jEItJGjx1LzeX3cQFkdcqIh/zkvtKw0c924kL9JxLjiZs
oYNoDrv/5xAXfFYOd/lF7lW2uOer41RuwG1z77Ljyf3rxX2hRYMbFM1rz399
Q4eE1hilsye44YPwy87npXS4oicz1O/NDRc5rRUr/tLh0PN3by4nc8MjTzO1
2Gk6yAngl2ZLuGE56vdUGo0BSxerVPx6uKHke/MVTI0Bv2ssRrgFeGCALTXL
bc6At9v630Yo88AesetO3cEMCEm45ko/xgOU4DA9u3cMsF3iUU105wGDrO6r
pi4M0LG9P7bxAQ9cDl6TKbqfAfQvstnpRTzQP80nLcZiwKBC9hWVNh6QCKpM
KxZkwJcIUM/j5IXqpZguzwk6PB79MbGDyQvjTvweri108DS1zC05yAvi27a1
yFTQ4WjBgPvBi7wgfNTqsFY+HTj9+aaP5/KCUpqDUxK5R/90xeW3NPCC2u6v
AUmBdMjdL+95doEXjhwUrDNxJ/e5qN7sZT0+UN+1NzXCnA66btUFs/Z8cF1t
p7+UAblvG6yu+4XygfGg2eY1u+jw9bH3fEQ1H2i+lwxSk6ODkkreYroVP4jz
RjQ2T9GAO1r/o8pNfqjK8MJ+9ZN7dqrGJy+NH/76ivkttdEg8uPwcskgP7gH
7q7+8o0GE4YKHK1eAtDnHOJKkP9rhc4PuRnxgrDpreG8nzENDr4IEPH/KQyR
vDq3d2VQITHhT5nNuDAQtUd355L96A/d5rdbTASqQ6ctNsVQIcKpb4TTQgQy
DYUuifhSoXrzsZqgHhFwpVlcLCH7eSJzY2z4kijEeNb++rWMQU5TW0SlGBUu
hc5xyJHf/5JWX1qDPh2OxB2bru0WhuSlzPMNphKQ9je5oNiHD5aTj4iVfJSC
Zzra4TR9Tlhr3ikU92cDpOMPntJcZvEkowlf03FpCJpbezKoi41fzHkjUycj
B/Wc+Ru0BOKRYkDtyLKiHNhHjxoZ26WgHqOZYkV1OdAXtfsZqJuObPrB/Ka+
HEhJzq70XM9CJtL14apn5aB51qGvTeEj2n5vfvJemhwMt6zJP6D5DXE77y83
VJAH614+3sonjahE+0Lsta3ysFXzzliteRPy5YmyTdWWh5YfitezRJrRbErz
wsIBeWjyNjg+5v0HDTRe3PrKUR4UP4tQr5q2opp9sQn8r+RBTL+o4MVyB0qS
6XAuU2YC0jI+bxbXi2xqsoWfajLBaZ5Ouzbdi+T8b731wZkQZIJ/9TnORq9b
WBMax5iw0ur4WVW8DxU9uOT1zJ0JW57/bteK7UdNIosh/kVMcMgrGX8YNoQe
faxSPF3KhNDq8MUW9hCyuZD8XauKCVm9ulWU/cOIXaGHjbQyobVUX5vNOYJm
boXGW3KyYMevVdpJO0dRobrF9u2CLLgakXwVdx5Fvp1KfxgMFuyOe3unJmEU
8UD1+u/yLDAL3CHwZXoUfRtOIdJVWGBX43aYKT+G7ia52QVqsaDGOkHB02QM
iS2IP9c5yIIsFVH73rdjqPEFe7+4MQs4zMvSeFrH0KMThX1jp1iQmKa9S0xo
HNnwRoRXnWGB2JYjUnSdcSToRnHncmCBT8PSxL294+h/pOLhqg==
                "]]}, "Charting`Private`Tag$167139198#1"], 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.880722, 0.611041, 0.142051], 
                AbsoluteThickness[1.6]], 
               Line[CompressedData["
1:eJwVl3c8V+8bxpE9z2egkJ0k4xMqCecOqdBC04oio0IJJfsrkmRFlESiRXYZ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                "]]}, "Charting`Private`Tag$167139198#2"], 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.560181, 0.691569, 0.194885], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwl2Xk8VO/3AHBEyDbXnRZFZUlClsGMEd1TIpUWS6msZSkhhRaRNSUhlSVU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                "]]}, "Charting`Private`Tag$167139198#3"]}}, {}}, {
          DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, DisplayFunction -> Identity, DisplayFunction -> Identity, 
           Ticks -> {Automatic, Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }, AxesOrigin -> {\
0, -9.787375698432637}, FrameTicks -> {{Quiet[
               Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
              Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
           GridLines -> {None, None}, DisplayFunction -> Identity, 
           PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.05], 
              Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All, 
           DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None, "ClippingRange" -> {{{-25.99999893877551, 
              25.99999893877551}, {-9.787375698432637, 
              5.21795325558348}}, {{-25.99999893877551, 
              25.99999893877551}, {-9.787375698432637, 5.21795325558348}}}}, 
           DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
           Axes -> {True, True}, AxesLabel -> {None, None}, 
           AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
           CoordinatesToolOptions -> {"DisplayFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& ), "CopiedValueFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& )}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
              Style["Position along Y (\[Micro]m)", FontSize -> 16], 
              "Thermal cloud profile"}}, FrameStyle -> 
           Directive[FontSize -> 16], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, PlotRange -> {All, All}, PlotRangeClipping -> True, 
           PlotRangePadding -> {{Automatic, Automatic}, {
             Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           LineLegend[{
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.560181, 0.691569, 0.194885], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]]}, {
            "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {Left, Top}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {580.5, -189.}, {Center, Center}, {360., 360.}], 
    InsetBox[
     FormBox[
      TagBox[
       FormBox[
        GraphicsBox[{{{{}, {}, 
            TagBox[
             {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwBUQGu/iFib1JlAgAAABQAAAACAAAA6vL8TEZmBT/G9PkyH4cQQHGleTNE
oeM/0v+zz8COEEB3C+1mGaHzPyI9EkLbpRBANkQdtJBx/T92zW5LH80QQHq+
pgAEoQNAAy+Jf/YFEUDa2j6nP4kIQMJiQ3kXUxFAOffWTXtxDUBV49IxHroR
QMyJN3rbLBFA7XUQAthBEkD8l4NN+aATQF0iRKCuFxRALKbPIBcVFkAqOOv7
AzMTQFy0G/Q0iRhA/R5AKhRuE0CMwmfHUv0aQCvRV13W4BJAu9CzmnBxHUAr
LneME2MSQL0E8vPzoCNASDcTQ7V/EEDUC5jdAtskQGDPHmY3CxBA7BI+xxEV
JkB9B0uSfTEPQAQa5LAgTydA8ZJXEhFRDkAcIYqaL4koQKMWH3CsdQ1ANCgw
hD7DKUDeLolR1Z8MQEwv1m1N/SpA/au8hA7QC0CrKYFq
               "]]},
             Annotation[#, "Charting`Private`Tag$167162005#1"]& ], 
            TagBox[
             {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
              Opacity[1.], LineBox[CompressedData["
1:eJwVlGk8lQkDxR9bSHQXT0khtMhaiFL3PudarvVairTYRiFlRLJkK0p1YxKp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               "]]},
             Annotation[#, "Charting`Private`Tag$167162005#2"]& ], 
            TagBox[
             {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
              Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVlGk8lAsDxR9bds2YeUoLkuqSNUQpnmPfZixF2ixX2UqyZMlWhExEpEI1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               "]]},
             Annotation[#, "Charting`Private`Tag$167162005#3"]& ]}, {}}, 
          InsetBox[
           TemplateBox[{"\"Short dist.\"","\"Interp.\"","\"Long dist.\""},
            "LineLegend",
            DisplayFunction->(FormBox[
              StyleBox[
               StyleBox[
                PaneBox[
                 TagBox[
                  GridBox[{{
                    TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontSize -> 14, 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                   GridBoxAlignment -> {
                    "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                   False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                   GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                  "Grid"], Alignment -> Left, AppearanceElements -> None, 
                 ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
                 "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
               FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
               False], TraditionalForm]& ),
            Editable->True,
            InterpretationFunction:>(RowBox[{"LineLegend", "[", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.587148, 0.40736066666666665`, 
                    0.09470066666666668], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.37345400000000006`, 0.461046, 
                    0.12992333333333334`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}]}], 
                   "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                 RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
                 RowBox[{"LabelStyle", "\[Rule]", 
                   RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], 
               "]"}]& )], Scaled[{0.99, 0.99}], ImageScaled[{1, 1}],
           BaseStyle->{FontSize -> Larger},
           FormatType->StandardForm]},
         AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
         Axes->{True, True},
         AxesLabel->{None, None},
         AxesOrigin->{Automatic, -5.429458012780612},
         BaseStyle->{FontSize -> 14},
         CoordinatesToolOptions:>{"DisplayFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& ), "CopiedValueFunction" -> ({
             Part[#, 1], 
             Exp[
              Part[#, 2]]}& )},
         DisplayFunction->Identity,
         Frame->{{True, True}, {True, True}},
         FrameLabel->{{
            FormBox[
             StyleBox[
             "\"Density (x10^20 at./m^3)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], None}, {
            FormBox[
             StyleBox[
             "\"Position along Z (\[Micro]m)\"", FontSize -> 16, StripOnInput -> 
              False], TraditionalForm], 
            FormBox["\"Thermal cloud profile\"", TraditionalForm]}},
         FrameStyle->Directive[FontSize -> 16],
         FrameTicks->FrontEndValueCache[{{Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
             Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
             
             Charting`ScaledFrameTicks[{
              Identity, Identity}]}}, {{{{-4.605170185988091, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.01\"", 0.01, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 2}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TagBox[
                 InterpretationBox["\"0.10\"", 0.1, AutoDelete -> True], 
                 NumberForm[#, {
                   DirectedInfinity[1], 2}]& ], TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox["1", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox["10", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox["100", TraditionalForm], {0.01, 0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.809142990314028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.521460917862246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.115995809754082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.961845129926823, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.710530701645918, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.294049640102028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}, {{-4.605170185988091, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.3025850929940455`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.302585092994046, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.605170185988092, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.809142990314028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.521460917862246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-5.115995809754082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.961845129926823, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.8283137373023015`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-4.710530701645918, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.506557897319982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-3.2188758248682006`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.8134107167600364`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.659260036932778, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.5257286443082556`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-2.4079456086518722`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-1.2039728043259361`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.916290731874155, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {0.6931471805599453, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.791759469228055, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2.995732273553991, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {3.912023005428146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.0943445622221, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.248495242049359, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.382026634673881, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {4.499809670330265, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.298317366548036, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.703782474656201, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {5.991464547107982, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.214608098422191, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.396929655216146, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.551080335043404, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.684611727667927, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.802394763324311, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {6.907755278982137, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {7.600902459542082, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.006367567650246, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {8.294049640102028, 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}, {Automatic, {{0., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {500., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1000., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1500., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2000., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-500., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-400., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-300., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-200., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {-100., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {100., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {200., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {300., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {400., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {600., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {700., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {800., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {900., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1100., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1200., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1300., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1400., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1600., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1700., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1800., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {1900., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2100., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2200., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2300., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2400., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}, {2500., 
               FormBox[
                TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 
               0.}, {
                AbsoluteThickness[0.1]}}}}}],
         GridLines->{None, None},
         GridLinesStyle->Directive[
           GrayLevel[0.5, 0.4]],
         ImagePadding->All,
         ImageSize->Medium,
         Method->{
          "DefaultBoundaryStyle" -> Automatic, 
           "DefaultGraphicsInteraction" -> {
            "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
             "Effects" -> {
              "Highlight" -> {"ratio" -> 2}, 
               "HighlightPoint" -> {"ratio" -> 2}, 
               "Droplines" -> {
                "freeformCursorMode" -> True, 
                 "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
           "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
           None},
         PlotRange->{All, All},
         PlotRangeClipping->True,
         PlotRangePadding->{{
            Scaled[0.02], 
            Scaled[0.02]}, {
            Scaled[0.05], 
            Scaled[0.05]}},
         Ticks->{Automatic, Quiet[
            Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }],
        TraditionalForm],
       InterpretTemplate[Legended[
         Graphics[{{{{}, {}, 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.368417, 0.506779, 0.709798], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwBUQGu/iFib1JlAgAAABQAAAACAAAA6vL8TEZmBT/G9PkyH4cQQHGleTNE
oeM/0v+zz8COEEB3C+1mGaHzPyI9EkLbpRBANkQdtJBx/T92zW5LH80QQHq+
pgAEoQNAAy+Jf/YFEUDa2j6nP4kIQMJiQ3kXUxFAOffWTXtxDUBV49IxHroR
QMyJN3rbLBFA7XUQAthBEkD8l4NN+aATQF0iRKCuFxRALKbPIBcVFkAqOOv7
AzMTQFy0G/Q0iRhA/R5AKhRuE0CMwmfHUv0aQCvRV13W4BJAu9CzmnBxHUAr
LneME2MSQL0E8vPzoCNASDcTQ7V/EEDUC5jdAtskQGDPHmY3CxBA7BI+xxEV
JkB9B0uSfTEPQAQa5LAgTydA8ZJXEhFRDkAcIYqaL4koQKMWH3CsdQ1ANCgw
hD7DKUDeLolR1Z8MQEwv1m1N/SpA/au8hA7QC0CrKYFq
                "]]}, "Charting`Private`Tag$167162005#1"], 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.880722, 0.611041, 0.142051], 
                AbsoluteThickness[1.6]], 
               Line[CompressedData["
1:eJwVlGk8lQkDxR9bSHQXT0khtMhaiFL3PudarvVairTYRiFlRLJkK0p1YxKp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                "]]}, "Charting`Private`Tag$167162005#2"], 
             Annotation[{
               Directive[
                Opacity[1.], 
                RGBColor[0.560181, 0.691569, 0.194885], 
                AbsoluteThickness[1.6], 
                Dashing[{Small, Small}]], 
               Line[CompressedData["
1:eJwVlGk8lAsDxR9bds2YeUoLkuqSNUQpnmPfZixF2ixX2UqyZMlWhExEpEI1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                "]]}, "Charting`Private`Tag$167162005#3"]}}, {}}, {
          DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, DisplayFunction -> Identity, DisplayFunction -> Identity, 
           Ticks -> {Automatic, Quiet[
              Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& }, 
           AxesOrigin -> {Automatic, -5.429458012780612}, 
           FrameTicks -> {{Quiet[
               Charting`ScaledTicks[{Log, Exp}][#, #2, {6, 6}]]& , 
              Charting`ScaledFrameTicks[{Log, Exp}]}, {Automatic, 
              Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
           GridLines -> {None, None}, DisplayFunction -> Identity, 
           PlotRangePadding -> {{
              Scaled[0.02], 
              Scaled[0.02]}, {
              Scaled[0.05], 
              Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All, 
           DisplayFunction -> Identity, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None, "ClippingRange" -> {{{0.00004081632653061224, 
              1999.9999591836734`}, {-5.429458012780612, 
              5.212042316265077}}, {{0.00004081632653061224, 
              1999.9999591836734`}, {-5.429458012780612, 
              5.212042316265077}}}}, DisplayFunction -> Identity, AspectRatio -> 
           GoldenRatio^(-1), Axes -> {True, True}, AxesLabel -> {None, None}, 
           AxesOrigin -> {0, 0}, BaseStyle -> {FontSize -> 14}, 
           CoordinatesToolOptions -> {"DisplayFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& ), "CopiedValueFunction" -> ({
               Part[#, 1], 
               Exp[
                Part[#, 2]]}& )}, DisplayFunction :> Identity, 
           Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
              Style["Density (x10^20 at./m^3)", FontSize -> 16], None}, {
              Style["Position along Z (\[Micro]m)", FontSize -> 16], 
              "Thermal cloud profile"}}, FrameStyle -> 
           Directive[FontSize -> 16], 
           FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
           GridLines -> {None, None}, GridLinesStyle -> Directive[
             GrayLevel[0.5, 0.4]], ImageSize -> Medium, 
           Method -> {
            "DefaultBoundaryStyle" -> Automatic, 
             "DefaultGraphicsInteraction" -> {
              "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
               "Effects" -> {
                "Highlight" -> {"ratio" -> 2}, 
                 "HighlightPoint" -> {"ratio" -> 2}, 
                 "Droplines" -> {
                  "freeformCursorMode" -> True, 
                   "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
             "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> 
             None}, PlotRange -> {All, All}, PlotRangeClipping -> True, 
           PlotRangePadding -> {{Automatic, Automatic}, {
             Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}], 
         Placed[
          Unevaluated[
           LineLegend[{
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.368417, 0.506779, 0.709798], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.880722, 0.611041, 0.142051], 
              AbsoluteThickness[1.6]], 
             Directive[FontSize -> 14, 
              Opacity[1.], 
              RGBColor[0.560181, 0.691569, 0.194885], 
              AbsoluteThickness[1.6], 
              Dashing[{Small, Small}]]}, {
            "Short dist.", "Interp.", "Long dist."}, LegendMarkers -> None, 
            LabelStyle -> {}, LegendLayout -> "Column"]], {Right, Top}, 
          Identity]]& ],
       AutoDelete->True,
       Editable->True,
       SelectWithContents->False,
       Selectable->True],
      TraditionalForm], {967.5, -189.}, {Center, Center}, {360., 360.}]}, {}},
  ContentSelectable->True,
  ImageSize->{1332., Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{3.840206155615209*^9, 3.8402062258713646`*^9, 
  3.840206309847333*^9, 3.8402065868392344`*^9, 3.8402066591210117`*^9, 
  3.8402067016063247`*^9, 3.8402067689606037`*^9, 3.8403039707222366`*^9},
 CellLabel->
  "Out[112]=",ExpressionUUID->"43dbb58e-ec08-4f9c-97c9-0757f429b7e6"]
}, Open  ]]
}, Closed]]
}, Closed]]
},
CellGrouping->Manual,
WindowSize->{1536, 787},
WindowMargins->{{135, Automatic}, {88, Automatic}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 2045, 45, 238, "Input",ExpressionUUID->"ec979c32-f678-4c1e-831e-74df855cf42f"],
Cell[2606, 67, 634, 12, 100, "Text",ExpressionUUID->"f2e807ee-6ef4-49ef-9940-d6f8e57d2e9c"],
Cell[CellGroupData[{
Cell[3265, 83, 491, 7, 67, "Section",ExpressionUUID->"e2afa3b2-e949-4f0b-a6fe-41d50f05c5dc"],
Cell[CellGroupData[{
Cell[3781, 94, 219, 4, 53, "Subsection",ExpressionUUID->"1b86051f-61cc-4b0a-9c23-4235d0340ab0"],
Cell[CellGroupData[{
Cell[4025, 102, 22732, 388, 580, "Input",ExpressionUUID->"6c5412ac-fc92-4db3-bbe8-6f6104ea314d"],
Cell[26760, 492, 2072, 32, 22, "Print",ExpressionUUID->"11d0f418-ff98-4818-9d41-55a4ef4e8de1"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[28881, 530, 314, 5, 37, "Subsection",ExpressionUUID->"591bceb2-2cfa-43fa-a12d-f78f409a7b9e"],
Cell[29198, 537, 26353, 615, 1245, "Input",ExpressionUUID->"32af9096-6c6b-4c66-9ede-d2d517ad7075"],
Cell[CellGroupData[{
Cell[55576, 1156, 2020, 45, 48, "Input",ExpressionUUID->"3d96aa85-9b98-4786-885f-1ce56fbcf803"],
Cell[57599, 1203, 866, 16, 22, "Print",ExpressionUUID->"6cc79971-cc57-490a-8336-20b6c93fb901"],
Cell[58468, 1221, 955, 18, 22, "Print",ExpressionUUID->"8013426d-2f11-4493-b80a-fd6768320d30"],
Cell[59426, 1241, 864, 16, 22, "Print",ExpressionUUID->"3f7527cb-2d18-43d5-a9a9-95a74ed037fc"],
Cell[60293, 1259, 950, 18, 22, "Print",ExpressionUUID->"65bd66e4-434d-4506-af80-9293a8e97595"],
Cell[61246, 1279, 866, 16, 22, "Print",ExpressionUUID->"c6f0b476-1c9f-408e-9515-7ed018c3a732"],
Cell[62115, 1297, 955, 18, 22, "Print",ExpressionUUID->"a059475d-8437-4a85-9bdd-ac53563c5f96"],
Cell[63073, 1317, 866, 16, 22, "Print",ExpressionUUID->"033cf658-26c0-41c2-a7de-d557adf44550"],
Cell[63942, 1335, 955, 18, 22, "Print",ExpressionUUID->"a45bcfaf-6339-42b6-8ec6-e4888ff238cc"],
Cell[64900, 1355, 866, 16, 22, "Print",ExpressionUUID->"177bbce0-4bcf-45f9-b42e-3c90475f8fb8"],
Cell[65769, 1373, 950, 18, 22, "Print",ExpressionUUID->"ca1862df-b90a-4949-8bb0-3fc03c436fbd"],
Cell[66722, 1393, 864, 16, 22, "Print",ExpressionUUID->"649c9518-59b1-445e-8bea-0250f56dd97b"],
Cell[67589, 1411, 955, 18, 22, "Print",ExpressionUUID->"45de7673-021e-41c0-b7c6-da6c61bab96b"],
Cell[68547, 1431, 864, 16, 22, "Print",ExpressionUUID->"e36898b8-eb0d-47a6-b63e-fb81adda7b6b"],
Cell[69414, 1449, 950, 18, 22, "Print",ExpressionUUID->"84f90f4f-7938-4bb0-ae2f-8096bb43f097"],
Cell[70367, 1469, 864, 16, 22, "Print",ExpressionUUID->"b6f2db75-b845-401f-9abb-bf3b92f6972d"],
Cell[71234, 1487, 950, 18, 22, "Print",ExpressionUUID->"8e418cd8-bdb7-4308-8a1f-040d453bb23e"],
Cell[72187, 1507, 862, 16, 22, "Print",ExpressionUUID->"274fc950-fb88-4a32-b314-d8789d4dd805"],
Cell[73052, 1525, 955, 18, 22, "Print",ExpressionUUID->"dff4eec9-52a7-4e3f-9246-bf696dff379d"],
Cell[74010, 1545, 864, 16, 22, "Print",ExpressionUUID->"2c367669-2aee-4177-9749-f04941172567"],
Cell[74877, 1563, 953, 18, 22, "Print",ExpressionUUID->"50baee83-f6cc-44ee-9fd8-75a4abc277da"],
Cell[75833, 1583, 891, 16, 22, "Print",ExpressionUUID->"4a2cb9d3-d0a3-48a9-b0f5-910e7dc5cc79"],
Cell[76727, 1601, 950, 18, 22, "Print",ExpressionUUID->"70cdf7b8-97e1-42ae-bd6f-73c58eb10057"],
Cell[77680, 1621, 894, 16, 22, "Print",ExpressionUUID->"2a69dd00-c643-4f28-a961-90f007f8f45f"],
Cell[78577, 1639, 952, 18, 22, "Print",ExpressionUUID->"b0bef2f6-a148-4732-acc4-59c9636c1ea2"],
Cell[79532, 1659, 894, 16, 22, "Print",ExpressionUUID->"a22e892f-5ab7-4f32-8316-90c9d5b880b3"],
Cell[80429, 1677, 952, 18, 22, "Print",ExpressionUUID->"3da48ed7-8a55-4435-b872-a354e6ebb8d9"],
Cell[81384, 1697, 894, 16, 22, "Print",ExpressionUUID->"b2b6e300-0b55-4693-ab75-080454140717"],
Cell[82281, 1715, 952, 18, 22, "Print",ExpressionUUID->"55154d87-e49d-4d58-af8f-fa4448bb8c6c"],
Cell[83236, 1735, 894, 16, 22, "Print",ExpressionUUID->"bfef2d17-e156-412f-a076-cc66d1b969a0"],
Cell[84133, 1753, 952, 18, 22, "Print",ExpressionUUID->"b5663c29-176c-408b-9f6b-b271814d50bc"],
Cell[85088, 1773, 862, 16, 22, "Print",ExpressionUUID->"b6cccbb2-75f4-4f4e-88a0-2fa990e85ffb"],
Cell[85953, 1791, 950, 18, 22, "Print",ExpressionUUID->"73ec79d0-f7b0-45eb-b9e4-740839ffb9d0"],
Cell[86906, 1811, 862, 16, 22, "Print",ExpressionUUID->"74cdfae9-1d1e-4939-9885-e04a83d35109"],
Cell[87771, 1829, 950, 18, 22, "Print",ExpressionUUID->"97751505-55b4-4900-b77d-18fd26ff28d3"],
Cell[88724, 1849, 860, 16, 22, "Print",ExpressionUUID->"ad86a7d4-4c98-49de-8696-4ef8ff536424"],
Cell[89587, 1867, 950, 18, 22, "Print",ExpressionUUID->"bb58cdcb-2e40-4e0a-9048-e2cbf6d0ea79"],
Cell[90540, 1887, 862, 16, 22, "Print",ExpressionUUID->"9e355806-9105-41db-aaea-0129a5dc9bdf"],
Cell[91405, 1905, 955, 18, 22, "Print",ExpressionUUID->"0ae9f92c-d299-47f0-ae8a-7808e191aa6c"],
Cell[92363, 1925, 862, 16, 22, "Print",ExpressionUUID->"112a0f43-103f-4925-af6f-941b8965769b"],
Cell[93228, 1943, 950, 18, 22, "Print",ExpressionUUID->"5709ca03-fea5-4ed1-a94a-e3cfbe503c4f"],
Cell[94181, 1963, 866, 16, 22, "Print",ExpressionUUID->"459eec47-d596-4dfb-8ee0-602aefcfd68c"],
Cell[95050, 1981, 950, 18, 22, "Print",ExpressionUUID->"cc6552ff-e774-42ca-aa92-bf1e211b1237"],
Cell[96003, 2001, 864, 16, 22, "Print",ExpressionUUID->"6b2165d6-d558-47bb-b66c-f0556877617d"],
Cell[96870, 2019, 953, 18, 22, "Print",ExpressionUUID->"a817a431-319d-4cfd-a3dc-719dc5271414"],
Cell[97826, 2039, 866, 16, 22, "Print",ExpressionUUID->"875f36c7-1478-4448-b8eb-4a9e11fbdf5d"],
Cell[98695, 2057, 950, 18, 22, "Print",ExpressionUUID->"ef912690-c513-49fa-aa39-10c4531121ba"],
Cell[99648, 2077, 864, 16, 22, "Print",ExpressionUUID->"9df0452f-eb6a-4903-b730-c4315688efe9"],
Cell[100515, 2095, 948, 18, 22, "Print",ExpressionUUID->"ec533052-8a1e-4e22-a6ae-326a789a284e"],
Cell[101466, 2115, 866, 16, 22, "Print",ExpressionUUID->"310f2272-1666-4680-88c9-3889585f524b"],
Cell[102335, 2133, 952, 18, 22, "Print",ExpressionUUID->"1c3dda16-4cdb-4a35-8e4e-4f986cfae046"],
Cell[103290, 2153, 893, 16, 22, "Print",ExpressionUUID->"40e63c58-eb8e-45bf-a74a-40b8d791aee5"],
Cell[104186, 2171, 949, 18, 22, "Print",ExpressionUUID->"c7a06533-1494-433a-ae38-173002a80b8c"],
Cell[105138, 2191, 893, 16, 22, "Print",ExpressionUUID->"817677a3-fc4e-4e54-a8a9-316d62970249"],
Cell[106034, 2209, 950, 18, 22, "Print",ExpressionUUID->"9e2ebabc-14a6-4588-af9a-984110616baf"],
Cell[106987, 2229, 893, 16, 22, "Print",ExpressionUUID->"3fdc2d7c-8225-447b-8f23-db1e2872775a"],
Cell[107883, 2247, 950, 18, 22, "Print",ExpressionUUID->"7d45c6cf-20bb-4bf7-bc03-4aebbabef411"],
Cell[108836, 2267, 895, 16, 22, "Print",ExpressionUUID->"eec7b5b8-3701-479c-b91f-2d3ae620ec1c"],
Cell[109734, 2285, 950, 18, 22, "Print",ExpressionUUID->"ae897806-731b-41bd-942e-aaa5be18f734"],
Cell[110687, 2305, 892, 16, 22, "Print",ExpressionUUID->"f5a20bc2-205c-4b94-abf2-baf46e93b94b"],
Cell[111582, 2323, 955, 18, 22, "Print",ExpressionUUID->"3635ce6b-bc2a-4cd1-9e8c-664407bbe077"],
Cell[112540, 2343, 895, 16, 22, "Print",ExpressionUUID->"d3eea4b1-bfbc-40b5-82c4-0ec1660365b1"],
Cell[113438, 2361, 952, 18, 22, "Print",ExpressionUUID->"c47ee0cc-2acc-42e3-b1e9-0637df92f7e9"],
Cell[114393, 2381, 895, 16, 22, "Print",ExpressionUUID->"c2eec113-f92d-4b8a-8345-f1bce8b3a617"],
Cell[115291, 2399, 950, 18, 22, "Print",ExpressionUUID->"98978c7b-1099-4782-8c2e-dbdb7945d210"],
Cell[116244, 2419, 893, 16, 22, "Print",ExpressionUUID->"78199765-1a3b-4989-9433-fa84a09a0229"],
Cell[117140, 2437, 950, 18, 22, "Print",ExpressionUUID->"70cac285-4d24-4ad1-8549-ef8261180d11"],
Cell[118093, 2457, 893, 16, 22, "Print",ExpressionUUID->"50a76363-9cbe-4ac6-bd45-1ab5b55c0b04"],
Cell[118989, 2475, 950, 18, 22, "Print",ExpressionUUID->"87a08e85-1fc3-4735-abd0-f3bdd861361c"],
Cell[119942, 2495, 895, 16, 22, "Print",ExpressionUUID->"f1029674-5a8c-4ed5-b0d3-613433fc3545"],
Cell[120840, 2513, 950, 18, 22, "Print",ExpressionUUID->"9d3c0b09-f411-4303-9a75-270c6bb35cd8"],
Cell[121793, 2533, 860, 16, 22, "Print",ExpressionUUID->"f395f01c-f3af-4dab-b592-5c86b91ec5e3"],
Cell[122656, 2551, 949, 18, 22, "Print",ExpressionUUID->"1df4558d-b34f-4002-97b5-e325aedfae17"],
Cell[123608, 2571, 862, 16, 22, "Print",ExpressionUUID->"2c765b09-a237-4e02-8f14-aa1e092f5c69"],
Cell[124473, 2589, 948, 18, 22, "Print",ExpressionUUID->"adab76f9-5dbb-47b0-9ace-54796ed8302b"],
Cell[125424, 2609, 860, 16, 22, "Print",ExpressionUUID->"08e0f470-e4a7-41d5-adc6-5c568d3b551e"],
Cell[126287, 2627, 955, 18, 22, "Print",ExpressionUUID->"e765345d-7676-4ae5-8aa9-8e0c5eb08624"],
Cell[127245, 2647, 862, 16, 22, "Print",ExpressionUUID->"f6f22749-1c83-453a-91a6-3d499fa34c19"],
Cell[128110, 2665, 952, 18, 22, "Print",ExpressionUUID->"709261c0-3bc8-4d42-9af9-b9f3c49fdf33"],
Cell[129065, 2685, 862, 16, 22, "Print",ExpressionUUID->"9eb9a283-0284-44da-b57e-b58512197cbe"],
Cell[129930, 2703, 950, 18, 22, "Print",ExpressionUUID->"eaa1c040-bdab-4a6e-9813-4c790820e951"],
Cell[130883, 2723, 866, 16, 22, "Print",ExpressionUUID->"894e326b-adf0-44f0-b8e7-59f316b7f0df"],
Cell[131752, 2741, 640, 13, 39, "Message",ExpressionUUID->"305b60c9-b7a4-4066-94ab-1cfaaf73af67"],
Cell[132395, 2756, 950, 18, 22, "Print",ExpressionUUID->"c54716b7-e029-44ca-8a84-9ee0ef9564c1"],
Cell[133348, 2776, 864, 16, 22, "Print",ExpressionUUID->"2f0c4b67-7d82-4383-a040-b0d6bb32a353"],
Cell[134215, 2794, 952, 18, 22, "Print",ExpressionUUID->"b89391b6-34e0-42c6-b762-73c24b188591"],
Cell[135170, 2814, 866, 16, 22, "Print",ExpressionUUID->"3e634686-4160-4e6e-9edc-c45622c759e8"],
Cell[136039, 2832, 950, 18, 22, "Print",ExpressionUUID->"2f8ec2f2-c932-454a-aac1-a07c93ad1257"],
Cell[136992, 2852, 863, 16, 22, "Print",ExpressionUUID->"6bb12857-49e9-472e-9a0e-6f09f6b80353"],
Cell[137858, 2870, 955, 18, 22, "Print",ExpressionUUID->"4ed59e51-09cc-4ddb-9299-688887e3f5c8"],
Cell[138816, 2890, 864, 16, 22, "Print",ExpressionUUID->"7e4d7137-a959-46d1-8829-e2f61a2345de"],
Cell[139683, 2908, 950, 18, 22, "Print",ExpressionUUID->"356a9fc3-6b50-4564-9cdf-4ef05dc6c6d2"],
Cell[140636, 2928, 864, 16, 22, "Print",ExpressionUUID->"39f7c91c-89e3-4ace-9e1b-896717ae951c"],
Cell[141503, 2946, 950, 18, 22, "Print",ExpressionUUID->"f01fccf1-71e5-454a-add6-db58b13b13fd"],
Cell[142456, 2966, 862, 16, 22, "Print",ExpressionUUID->"e68fb5cf-2a4a-42b2-9f11-75987c23a4ee"],
Cell[143321, 2984, 952, 18, 22, "Print",ExpressionUUID->"fbcb7d00-aac4-4c67-8b0d-e50b77edba2f"],
Cell[144276, 3004, 864, 16, 22, "Print",ExpressionUUID->"4dc383cb-cc54-464a-937e-c1d61e7c2ebf"],
Cell[145143, 3022, 952, 18, 22, "Print",ExpressionUUID->"88794c00-e1a5-415c-8a42-cebc18cb96b1"],
Cell[146098, 3042, 864, 16, 22, "Print",ExpressionUUID->"fb91f629-54ac-4e58-a1a8-fc143474a609"],
Cell[146965, 3060, 950, 18, 22, "Print",ExpressionUUID->"25091feb-ceda-4314-a64b-b14b1b842500"],
Cell[147918, 3080, 862, 16, 22, "Print",ExpressionUUID->"4cedb5ce-e324-4379-8f7f-3c2f2edaf3df"],
Cell[148783, 3098, 952, 18, 22, "Print",ExpressionUUID->"ee21c4a1-c345-4dbe-a24a-764f7ba29d0b"],
Cell[149738, 3118, 864, 16, 22, "Print",ExpressionUUID->"1bbe8144-745b-4f4d-8a55-db4560ac19de"],
Cell[150605, 3136, 952, 18, 22, "Print",ExpressionUUID->"8e96f0ff-cbf7-41e1-a605-eef0bd12d077"],
Cell[151560, 3156, 864, 16, 22, "Print",ExpressionUUID->"a1ed3dc7-57be-4528-8be9-7f71063a61a0"],
Cell[152427, 3174, 950, 18, 22, "Print",ExpressionUUID->"6779a8ab-cd8a-46a3-bd62-567de75a168b"],
Cell[153380, 3194, 864, 16, 22, "Print",ExpressionUUID->"97691ce4-5f32-4481-a337-d1499bb929f6"],
Cell[154247, 3212, 950, 18, 22, "Print",ExpressionUUID->"bb0f53f0-5755-4761-892e-bfa7d28de691"],
Cell[155200, 3232, 864, 16, 22, "Print",ExpressionUUID->"87560cce-f6ce-4715-b068-21e0db7cc7da"],
Cell[156067, 3250, 955, 18, 22, "Print",ExpressionUUID->"0cd1706a-cee4-44db-a55b-700a125ee69c"],
Cell[157025, 3270, 864, 16, 22, "Print",ExpressionUUID->"6b6d3054-39df-4e63-9301-7549aec51678"],
Cell[157892, 3288, 638, 13, 39, "Message",ExpressionUUID->"913799b8-b94e-4c82-abdc-d0601368d354"],
Cell[158533, 3303, 952, 18, 22, "Print",ExpressionUUID->"08a6d87f-3dea-4962-b7b3-0ec103c98b90"],
Cell[159488, 3323, 895, 16, 22, "Print",ExpressionUUID->"249ef3c7-9fdf-400d-b0c8-c018b23e38c9"],
Cell[160386, 3341, 952, 18, 22, "Print",ExpressionUUID->"81dc6000-6ca3-4f27-9485-69e24185036f"],
Cell[161341, 3361, 895, 16, 22, "Print",ExpressionUUID->"4fb2b1bf-7cab-44b1-a8f1-55fadea3a562"],
Cell[162239, 3379, 952, 18, 22, "Print",ExpressionUUID->"3e40c59b-5c5c-4de9-baf4-c41444cc2644"],
Cell[163194, 3399, 895, 16, 22, "Print",ExpressionUUID->"c30797dd-682d-4f6b-ad9d-3638c0153c15"],
Cell[164092, 3417, 950, 18, 22, "Print",ExpressionUUID->"0a462e6f-fa87-4416-9476-ec8e638eb6e5"],
Cell[165045, 3437, 893, 16, 22, "Print",ExpressionUUID->"be3e86ec-e947-4c39-8fd5-6fe521bc3fa2"],
Cell[165941, 3455, 640, 13, 39, "Message",ExpressionUUID->"7bfa05ab-f7ff-48cc-b577-e9fd95b67236"],
Cell[166584, 3470, 494, 11, 21, "Message",ExpressionUUID->"2539104e-0ec1-4a60-9e79-da0fc8aba8b0"],
Cell[167081, 3483, 950, 18, 22, "Print",ExpressionUUID->"15226aa1-ef02-4fbd-8ef0-fc89d0b5ecbd"],
Cell[168034, 3503, 893, 16, 22, "Print",ExpressionUUID->"a3b25b72-5fc6-4f23-bcd1-36c229b8e874"],
Cell[168930, 3521, 950, 18, 22, "Print",ExpressionUUID->"1dfe0293-e7bf-4b22-a9a4-7292b458ed47"],
Cell[169883, 3541, 864, 16, 22, "Print",ExpressionUUID->"dc72fc8f-b9a8-49ae-81ca-2771b16e3954"],
Cell[170750, 3559, 952, 18, 22, "Print",ExpressionUUID->"ca8ed0a6-fc24-4552-9ddc-7bc92a748e53"],
Cell[171705, 3579, 864, 16, 22, "Print",ExpressionUUID->"de09ec88-f208-4731-93d3-2e39a68ed2c8"],
Cell[172572, 3597, 952, 18, 22, "Print",ExpressionUUID->"314c5e79-55a2-4ea3-80f7-0aed53c46e15"],
Cell[173527, 3617, 864, 16, 22, "Print",ExpressionUUID->"10688995-ad7e-420b-a52e-1a70bcfeb793"],
Cell[174394, 3635, 950, 18, 22, "Print",ExpressionUUID->"3fb4ab2e-993a-4c60-9143-cfab4ed4c38f"],
Cell[175347, 3655, 866, 16, 22, "Print",ExpressionUUID->"6e7cdfea-ab1e-4d65-986e-bc48eea431b3"],
Cell[176216, 3673, 952, 18, 22, "Print",ExpressionUUID->"eee6ef1e-970e-4fc1-9248-8b07f3812e0c"],
Cell[177171, 3693, 864, 16, 22, "Print",ExpressionUUID->"8f7361cb-2c61-420b-902a-06ca6f68cd02"],
Cell[178038, 3711, 952, 18, 22, "Print",ExpressionUUID->"e6020b47-10fe-445c-a73a-ac21cdcc5287"],
Cell[178993, 3731, 893, 16, 22, "Print",ExpressionUUID->"eece42cb-cb03-4b7d-90d8-8d0954bff3d7"],
Cell[179889, 3749, 950, 18, 22, "Print",ExpressionUUID->"f92f5b2b-4067-4bf9-8b23-a8015fb2486c"],
Cell[180842, 3769, 895, 16, 22, "Print",ExpressionUUID->"0a55aed3-63eb-41e1-90c4-785c3af8c27c"],
Cell[181740, 3787, 950, 18, 22, "Print",ExpressionUUID->"fa737e91-08c8-40b9-96ce-1acd673fc715"],
Cell[182693, 3807, 891, 16, 22, "Print",ExpressionUUID->"2c0e2906-7487-4ece-90bd-68cf00f9d9e6"],
Cell[183587, 3825, 952, 18, 22, "Print",ExpressionUUID->"1eb21e33-6b93-48ce-b2e7-397c91d1dd3e"],
Cell[184542, 3845, 893, 16, 22, "Print",ExpressionUUID->"57226901-bf86-45a0-8ab7-2449832ae457"],
Cell[185438, 3863, 952, 18, 22, "Print",ExpressionUUID->"3fd8f37d-6b3c-4a6d-885f-c67080df4856"],
Cell[186393, 3883, 895, 16, 22, "Print",ExpressionUUID->"16d15d0d-5b96-4839-8b13-77f643ce4695"],
Cell[187291, 3901, 950, 18, 22, "Print",ExpressionUUID->"bd7011e7-1fc1-4223-bab4-b3cdf8b85213"],
Cell[188244, 3921, 864, 16, 22, "Print",ExpressionUUID->"af1ec68e-074a-43e7-8510-fab9d02ed558"],
Cell[189111, 3939, 952, 18, 22, "Print",ExpressionUUID->"82a8573e-def9-4b2c-8959-d4bb0855162e"],
Cell[190066, 3959, 866, 16, 22, "Print",ExpressionUUID->"60378aeb-189d-467c-813d-f104e917d780"],
Cell[190935, 3977, 946, 18, 22, "Print",ExpressionUUID->"78c1049c-0c49-4626-a1f6-b7453fe65edd"],
Cell[191884, 3997, 866, 16, 22, "Print",ExpressionUUID->"68fd0b42-468f-4658-a6c2-8c9c73935a9c"],
Cell[192753, 4015, 955, 18, 22, "Print",ExpressionUUID->"d2edf7e6-f1d5-4de0-84d0-c5224203d813"],
Cell[193711, 4035, 864, 16, 22, "Print",ExpressionUUID->"3a23a005-0723-4698-89e7-6d8c0b91576b"],
Cell[194578, 4053, 948, 18, 22, "Print",ExpressionUUID->"96046165-cc2d-422f-a37e-8b5b65baf1f4"],
Cell[195529, 4073, 866, 16, 22, "Print",ExpressionUUID->"d42a507e-c476-462d-baa6-424b486fde28"],
Cell[196398, 4091, 950, 18, 22, "Print",ExpressionUUID->"dc182895-0df3-4cc5-b9be-f65299b76b96"],
Cell[197351, 4111, 862, 16, 22, "Print",ExpressionUUID->"d1a60115-e69f-4372-aa25-f7b7ab329e45"],
Cell[198216, 4129, 950, 18, 22, "Print",ExpressionUUID->"fc57ffc3-e277-4e10-9a8e-5ce351f36033"],
Cell[199169, 4149, 860, 16, 22, "Print",ExpressionUUID->"05aab1b4-6ba8-4524-aaab-83106ea63cab"],
Cell[200032, 4167, 950, 18, 22, "Print",ExpressionUUID->"24bc13c5-619b-478c-9ae7-e06a156c5623"],
Cell[200985, 4187, 860, 16, 22, "Print",ExpressionUUID->"8377e0cd-058a-4876-b622-b2752424b910"],
Cell[201848, 4205, 950, 18, 22, "Print",ExpressionUUID->"6e7b5fde-7ef4-4aad-8377-3ba2639527dd"],
Cell[202801, 4225, 860, 16, 22, "Print",ExpressionUUID->"a826e07c-7b5f-478e-a57a-1978c71eca41"],
Cell[203664, 4243, 950, 18, 22, "Print",ExpressionUUID->"9ae44c52-cc7f-45a8-b957-9fb05a310613"],
Cell[204617, 4263, 860, 16, 22, "Print",ExpressionUUID->"eaa4f09e-9ac6-404f-a7fd-a4f8d5c5f16f"],
Cell[205480, 4281, 952, 18, 22, "Print",ExpressionUUID->"642ca585-b29b-4525-bd2c-25f01eac6039"],
Cell[206435, 4301, 895, 16, 22, "Print",ExpressionUUID->"da546ef0-a02a-4575-bd6c-fa0292a9189e"],
Cell[207333, 4319, 952, 18, 22, "Print",ExpressionUUID->"ff674345-786a-4c46-95b7-9f0470b453a9"],
Cell[208288, 4339, 895, 16, 22, "Print",ExpressionUUID->"1fbf4c87-ab0b-48c8-bf7d-cc8f07a8d4b9"],
Cell[209186, 4357, 950, 18, 22, "Print",ExpressionUUID->"8c9e722d-561f-4d74-ab80-6879b28ed9f5"],
Cell[210139, 4377, 895, 16, 22, "Print",ExpressionUUID->"a4f7d32e-0be9-4543-95db-1ab22d89063c"],
Cell[211037, 4395, 950, 18, 22, "Print",ExpressionUUID->"51007dea-de5b-4d8a-98b0-b2078f317deb"],
Cell[211990, 4415, 895, 16, 22, "Print",ExpressionUUID->"54df1c90-0db0-418b-b309-ec170e7fdbd5"],
Cell[212888, 4433, 950, 18, 22, "Print",ExpressionUUID->"d18cac37-d8ad-4241-8dfc-e893a1ad53c5"],
Cell[213841, 4453, 893, 16, 22, "Print",ExpressionUUID->"868e3d5a-b5d2-48f2-8db8-b7629a17108e"],
Cell[214737, 4471, 952, 18, 22, "Print",ExpressionUUID->"72aed44b-256f-4eba-8e41-aec2386222c1"],
Cell[215692, 4491, 864, 16, 22, "Print",ExpressionUUID->"b9f9ab42-2368-4a17-9596-5a39fc324f37"],
Cell[216559, 4509, 953, 18, 22, "Print",ExpressionUUID->"2fbba85f-9df2-4d65-9487-6bc0f00c558d"],
Cell[217515, 4529, 862, 16, 22, "Print",ExpressionUUID->"6002a937-86f1-41f5-834b-2c554bd0b1c1"],
Cell[218380, 4547, 952, 18, 22, "Print",ExpressionUUID->"86ba9cba-a5cf-4cba-a7a1-fa966de1ca5a"],
Cell[219335, 4567, 862, 16, 22, "Print",ExpressionUUID->"2d6130ac-a4ea-4e3f-9248-7eade9662a06"],
Cell[220200, 4585, 952, 18, 22, "Print",ExpressionUUID->"7946cb7c-227d-45be-992e-e247c5d81058"],
Cell[221155, 4605, 864, 16, 22, "Print",ExpressionUUID->"43e27e63-b4b5-46d8-b627-0871f6f0738b"],
Cell[222022, 4623, 952, 18, 22, "Print",ExpressionUUID->"a2f22820-67a7-4d2a-aa6b-79498caccd85"],
Cell[222977, 4643, 862, 16, 22, "Print",ExpressionUUID->"abea1fc9-f89f-40e2-bbeb-95a93e189204"],
Cell[223842, 4661, 953, 18, 22, "Print",ExpressionUUID->"67a2a054-ee1f-416a-838d-0ec72941fcca"],
Cell[224798, 4681, 893, 16, 22, "Print",ExpressionUUID->"8a96ede5-8fcf-457b-91f9-fd1cd73df0bb"],
Cell[225694, 4699, 950, 18, 22, "Print",ExpressionUUID->"ca226cdd-463c-4651-b8ec-e46424ca1989"],
Cell[226647, 4719, 895, 16, 22, "Print",ExpressionUUID->"517a2524-54d6-469e-a5af-946797dd33eb"],
Cell[227545, 4737, 952, 18, 22, "Print",ExpressionUUID->"f2694a20-c3c9-41ed-b72b-e871e1202730"],
Cell[228500, 4757, 893, 16, 22, "Print",ExpressionUUID->"c46fc333-2f61-4da5-aa94-1ddfecc46550"],
Cell[229396, 4775, 950, 18, 22, "Print",ExpressionUUID->"0ed0145c-438f-482a-9fd2-0d9114772690"],
Cell[230349, 4795, 893, 16, 22, "Print",ExpressionUUID->"0d8c4731-1e8e-454f-bb15-9bca31395f63"],
Cell[231245, 4813, 950, 18, 22, "Print",ExpressionUUID->"82fc1dcb-7d7c-4808-80ab-67ed374bd96f"],
Cell[232198, 4833, 893, 16, 22, "Print",ExpressionUUID->"87faf229-8ac8-433a-ac10-3ec1ba63ac35"],
Cell[233094, 4851, 952, 18, 22, "Print",ExpressionUUID->"d0a23b3c-fa10-42e6-b0bf-ddf6b3184411"],
Cell[234049, 4871, 862, 16, 22, "Print",ExpressionUUID->"acac9ee8-aef6-4b53-b2fb-7c8791d85522"],
Cell[234914, 4889, 950, 18, 22, "Print",ExpressionUUID->"19a9d350-43fe-415f-be9c-cdcb5cfc7570"],
Cell[235867, 4909, 862, 16, 22, "Print",ExpressionUUID->"c6de7469-fc65-472c-8436-421c97cd276c"],
Cell[236732, 4927, 952, 18, 22, "Print",ExpressionUUID->"c527fe57-5e6c-40c0-8411-8edd0484bb7f"],
Cell[237687, 4947, 860, 16, 22, "Print",ExpressionUUID->"cdb9fd86-9740-43ed-8e88-ece06825e20e"],
Cell[238550, 4965, 952, 18, 22, "Print",ExpressionUUID->"890d1dc0-ab93-4ad5-b3df-8fb1c2445c7c"],
Cell[239505, 4985, 862, 16, 22, "Print",ExpressionUUID->"ed3ba659-a423-4cdd-98de-36058da87407"],
Cell[240370, 5003, 950, 18, 22, "Print",ExpressionUUID->"853a084d-05af-49d4-b434-7f7c4e6162b7"],
Cell[241323, 5023, 859, 16, 22, "Print",ExpressionUUID->"b65d464a-71bb-4be2-bf36-43d30a53b701"],
Cell[242185, 5041, 952, 18, 22, "Print",ExpressionUUID->"f2e8afc4-7ece-4d15-8785-c8f31f10bee2"],
Cell[243140, 5061, 866, 16, 22, "Print",ExpressionUUID->"5c376f2b-7f88-415f-9849-5578a0eecc2f"],
Cell[244009, 5079, 950, 18, 22, "Print",ExpressionUUID->"12ad3b96-d0c6-46c2-84a5-a9c3cc06689d"],
Cell[244962, 5099, 866, 16, 22, "Print",ExpressionUUID->"46097752-26b7-4bba-8393-9a2fb7d7fe09"],
Cell[245831, 5117, 950, 18, 22, "Print",ExpressionUUID->"1c1c6adb-3e84-4e95-ab7d-de54c732917d"],
Cell[246784, 5137, 866, 16, 22, "Print",ExpressionUUID->"52634ab1-b7a6-4bc6-b10d-b07c385fc2a8"],
Cell[247653, 5155, 952, 18, 22, "Print",ExpressionUUID->"7ef83a6a-8fde-4caf-917f-59da0d9d23a6"],
Cell[248608, 5175, 864, 16, 22, "Print",ExpressionUUID->"f864cc0a-6ff4-493c-a585-fb9dbf592c01"],
Cell[249475, 5193, 952, 18, 22, "Print",ExpressionUUID->"cb39fd16-fb97-489f-81c1-ebcd83e53712"],
Cell[250430, 5213, 866, 16, 22, "Print",ExpressionUUID->"aff79d05-2b41-45e0-a410-90dd4ddcdeed"],
Cell[251299, 5231, 952, 18, 22, "Print",ExpressionUUID->"f06f1786-09c9-423e-b44d-d96397b515dc"],
Cell[252254, 5251, 861, 16, 22, "Print",ExpressionUUID->"7d649c80-a357-4c86-b0b5-ba9fe950afd1"],
Cell[253118, 5269, 952, 18, 22, "Print",ExpressionUUID->"9cf5b2d4-fdf8-4462-825c-6fc94eec4a28"],
Cell[254073, 5289, 862, 16, 22, "Print",ExpressionUUID->"59b23c73-174a-44f5-af81-2e6a78ea3f0b"],
Cell[254938, 5307, 952, 18, 22, "Print",ExpressionUUID->"43944120-18f5-4c2e-b393-8f5af846747f"],
Cell[255893, 5327, 864, 16, 22, "Print",ExpressionUUID->"865ccb03-df42-40d1-bd19-02ea8ce98c6a"],
Cell[256760, 5345, 949, 18, 22, "Print",ExpressionUUID->"5ac05f81-754e-4416-a1d1-4f4214ec2e06"],
Cell[257712, 5365, 864, 16, 22, "Print",ExpressionUUID->"f6badaa7-e43c-4171-bfef-874dcd7e37df"],
Cell[258579, 5383, 950, 18, 22, "Print",ExpressionUUID->"ff0bbd67-c7b9-4625-8178-36dd0c31b051"],
Cell[259532, 5403, 864, 16, 22, "Print",ExpressionUUID->"c7d9a3e4-b2aa-4a02-bcc6-dd38335a7f79"],
Cell[260399, 5421, 950, 18, 22, "Print",ExpressionUUID->"2d4671ed-5f77-4db6-96b9-11475b70aa92"],
Cell[261352, 5441, 892, 16, 22, "Print",ExpressionUUID->"959004c0-9e50-468a-9f2d-de33999445e5"],
Cell[262247, 5459, 950, 18, 22, "Print",ExpressionUUID->"6628102a-358d-4732-b930-fd14cb52b0a8"],
Cell[263200, 5479, 890, 16, 22, "Print",ExpressionUUID->"47c4b35b-d5d7-4f88-a59d-4d81c695afa5"],
Cell[264093, 5497, 952, 18, 22, "Print",ExpressionUUID->"8073b4a3-1f80-4154-a787-4ef5611c52d6"],
Cell[265048, 5517, 892, 16, 22, "Print",ExpressionUUID->"0e30fd17-0e40-42a2-b25e-adbec1b7e0da"],
Cell[265943, 5535, 947, 18, 22, "Print",ExpressionUUID->"8b365ce4-a529-435d-aec8-5917fcc35d55"],
Cell[266893, 5555, 892, 16, 22, "Print",ExpressionUUID->"57571a44-7fe0-4ef7-ba6b-95e0b3a5ec4f"],
Cell[267788, 5573, 952, 18, 22, "Print",ExpressionUUID->"2d068d9d-e514-406f-8b83-937aa853162d"],
Cell[268743, 5593, 892, 16, 22, "Print",ExpressionUUID->"722912f7-c9b3-41b5-b793-90a0922ebc6f"],
Cell[269638, 5611, 950, 18, 22, "Print",ExpressionUUID->"21896d79-ed7c-4958-8798-9b7d35408d54"],
Cell[270591, 5631, 890, 16, 22, "Print",ExpressionUUID->"9b7c3b6e-6208-40f9-a559-94cc2d1d166a"],
Cell[271484, 5649, 955, 18, 22, "Print",ExpressionUUID->"c7870901-28be-4260-b81d-164ee24b0aff"],
Cell[272442, 5669, 892, 16, 22, "Print",ExpressionUUID->"e3b3be06-6098-4b32-ae62-e89d2a5d19db"],
Cell[273337, 5687, 950, 18, 22, "Print",ExpressionUUID->"09822cff-7bf9-4888-8a44-f12e3a854dc6"],
Cell[274290, 5707, 890, 16, 22, "Print",ExpressionUUID->"f7ae1699-348c-4a3e-8c77-58df1ad159a5"],
Cell[275183, 5725, 950, 18, 22, "Print",ExpressionUUID->"1def781a-f7a0-41a3-bffb-9e5278444cf7"],
Cell[276136, 5745, 890, 16, 22, "Print",ExpressionUUID->"59d49cc7-2aa6-4441-89d1-96b004473bf4"],
Cell[277029, 5763, 950, 18, 22, "Print",ExpressionUUID->"d2e683f6-db4f-483b-bd79-81cd1c4f62f3"],
Cell[277982, 5783, 892, 16, 22, "Print",ExpressionUUID->"b62115ae-9b92-4d38-97af-13ef02fda962"],
Cell[278877, 5801, 952, 18, 22, "Print",ExpressionUUID->"2783f40e-0734-43d2-8857-cb6dca3e9ec7"],
Cell[279832, 5821, 866, 16, 22, "Print",ExpressionUUID->"a46df0d9-3264-48e7-a198-38b0bbc26a09"],
Cell[280701, 5839, 950, 18, 22, "Print",ExpressionUUID->"85d98d23-1169-4661-aac4-34db3035fbe3"],
Cell[281654, 5859, 864, 16, 22, "Print",ExpressionUUID->"82b527de-7b25-44e9-9066-a12187a536a8"],
Cell[282521, 5877, 950, 18, 22, "Print",ExpressionUUID->"a96439a4-68b1-4ec2-9551-db1b5c1b1d74"],
Cell[283474, 5897, 866, 16, 22, "Print",ExpressionUUID->"64052e67-f49c-4196-9a42-04dbd790d984"],
Cell[284343, 5915, 952, 18, 22, "Print",ExpressionUUID->"cd8606ab-ddc1-4950-b0c4-ef277c011598"],
Cell[285298, 5935, 866, 16, 22, "Print",ExpressionUUID->"1e5baea9-9cc5-4d69-a1ec-6faed2a2e6d8"],
Cell[286167, 5953, 950, 18, 22, "Print",ExpressionUUID->"89b8b671-a5c1-48ed-bfee-82c672312e55"],
Cell[287120, 5973, 866, 16, 22, "Print",ExpressionUUID->"46dfed57-0a28-4f58-b792-4b58fdfa9281"],
Cell[287989, 5991, 948, 18, 22, "Print",ExpressionUUID->"e0714af8-135c-406d-8de4-eacd96bcc301"],
Cell[288940, 6011, 862, 16, 22, "Print",ExpressionUUID->"2ab1d685-049d-4a57-998d-760b8e64625b"],
Cell[289805, 6029, 950, 18, 22, "Print",ExpressionUUID->"94021575-742a-40fb-90b2-8a8eb07b5c2d"],
Cell[290758, 6049, 864, 16, 22, "Print",ExpressionUUID->"0298b480-c16d-4079-816a-92b616def28b"],
Cell[291625, 6067, 952, 18, 22, "Print",ExpressionUUID->"3c1876df-aba3-4991-b29e-251bcc0f7028"],
Cell[292580, 6087, 862, 16, 22, "Print",ExpressionUUID->"9e385f2c-50b4-43e0-a341-2e8fdc3fcd98"],
Cell[293445, 6105, 952, 18, 22, "Print",ExpressionUUID->"b6b71a1a-3f4c-464f-b2d5-1de5972c3274"],
Cell[294400, 6125, 864, 16, 22, "Print",ExpressionUUID->"2ab3035a-5f9b-4d05-af15-33af8808e92a"],
Cell[295267, 6143, 952, 18, 22, "Print",ExpressionUUID->"3d260e1e-8204-482e-b7ff-41c442a2eb13"],
Cell[296222, 6163, 862, 16, 22, "Print",ExpressionUUID->"ec960192-a287-4f41-9924-2793b6695310"],
Cell[297087, 6181, 950, 18, 22, "Print",ExpressionUUID->"e5127672-9841-4801-b8bc-bc3b47757e82"],
Cell[298040, 6201, 866, 16, 22, "Print",ExpressionUUID->"a7d7c5c0-e5e7-4302-a792-5a4b59c98e91"],
Cell[298909, 6219, 948, 18, 22, "Print",ExpressionUUID->"748ad8bd-ee6d-4307-b27a-0fa0b23210ca"],
Cell[299860, 6239, 866, 16, 22, "Print",ExpressionUUID->"1aed4fe7-11a5-4498-b383-52480f7f4937"],
Cell[300729, 6257, 950, 18, 22, "Print",ExpressionUUID->"63f23cbc-6ecd-44e7-abbc-ada2da15c670"],
Cell[301682, 6277, 864, 16, 22, "Print",ExpressionUUID->"f16a1abb-eb93-4f6d-bcd4-ff343c21d748"],
Cell[302549, 6295, 950, 18, 22, "Print",ExpressionUUID->"197c724c-a8a9-4ded-9787-23d03b9e2bcb"],
Cell[303502, 6315, 864, 16, 22, "Print",ExpressionUUID->"c5a237bb-9409-4733-84fc-1c24bc4029cc"],
Cell[304369, 6333, 950, 18, 22, "Print",ExpressionUUID->"77e03566-a0ed-4cce-83e1-74f2d321527a"],
Cell[305322, 6353, 863, 16, 22, "Print",ExpressionUUID->"954969f3-a1b1-4647-9dae-5a59fb694dfa"],
Cell[306188, 6371, 952, 18, 22, "Print",ExpressionUUID->"09d23eaa-2ed5-45e5-84a0-b33de00dc67b"],
Cell[307143, 6391, 892, 16, 22, "Print",ExpressionUUID->"d9771b54-bca0-48e7-ab84-75d6130de187"],
Cell[308038, 6409, 950, 18, 22, "Print",ExpressionUUID->"90ec9f6b-4fff-483c-8629-7cc9191a4b5a"],
Cell[308991, 6429, 890, 16, 22, "Print",ExpressionUUID->"ec0659ac-5ab2-44c5-a17b-94cfe2715eb2"],
Cell[309884, 6447, 950, 18, 22, "Print",ExpressionUUID->"83c5de90-60cb-45b2-b0ee-7a40b0e6039c"],
Cell[310837, 6467, 889, 16, 22, "Print",ExpressionUUID->"9be335e0-e5f3-4fd5-8bb8-9e5f95057266"],
Cell[311729, 6485, 950, 18, 22, "Print",ExpressionUUID->"d53bb0af-f7e0-492f-af25-48206f20b448"],
Cell[312682, 6505, 889, 16, 22, "Print",ExpressionUUID->"3e936c28-b489-42fc-9cf2-f92b36bb1e9d"],
Cell[313574, 6523, 950, 18, 22, "Print",ExpressionUUID->"7e051206-6db6-4203-8c5d-35e0a3300d4c"],
Cell[314527, 6543, 890, 16, 22, "Print",ExpressionUUID->"5ea475d6-888e-400b-abbf-21bd9c3705ac"],
Cell[315420, 6561, 948, 18, 22, "Print",ExpressionUUID->"2368b7ea-454b-4323-855f-1d6a9761abfe"],
Cell[316371, 6581, 892, 16, 22, "Print",ExpressionUUID->"057e0f0e-0038-4264-9afe-22a1d19773bf"],
Cell[317266, 6599, 952, 18, 22, "Print",ExpressionUUID->"68425ef4-3b46-4081-bb40-74a583c40091"],
Cell[318221, 6619, 892, 16, 22, "Print",ExpressionUUID->"d99eb4ed-24a7-49cf-a4ab-72c0ec647814"],
Cell[319116, 6637, 950, 18, 22, "Print",ExpressionUUID->"41b524f2-fcf4-4364-9aa5-a8b9cc8b7f23"],
Cell[320069, 6657, 892, 16, 22, "Print",ExpressionUUID->"39bc6684-492b-47b2-a498-b4783cd48b17"],
Cell[320964, 6675, 950, 18, 22, "Print",ExpressionUUID->"9dc33d35-28d0-435d-84b6-b8c47ddc6dba"],
Cell[321917, 6695, 892, 16, 22, "Print",ExpressionUUID->"e3d6dd02-569b-4c0e-a185-118e9dc54c76"],
Cell[322812, 6713, 950, 18, 22, "Print",ExpressionUUID->"c2e318f2-4d5e-460a-bf37-0d06de17d57c"],
Cell[323765, 6733, 890, 16, 22, "Print",ExpressionUUID->"a47f1ec8-7077-40a2-8701-daad715aedd0"],
Cell[324658, 6751, 952, 18, 22, "Print",ExpressionUUID->"f814c0f7-766e-4a6e-8c5a-6c3eb7fb3343"],
Cell[325613, 6771, 864, 16, 22, "Print",ExpressionUUID->"475c5381-3198-40b6-ad29-dcc2c53154b1"],
Cell[326480, 6789, 952, 18, 22, "Print",ExpressionUUID->"a5060bec-098a-44e9-b8f6-8220e076d3e7"],
Cell[327435, 6809, 861, 16, 22, "Print",ExpressionUUID->"be0b384a-eef2-4ce5-8957-b65c7789115d"],
Cell[328299, 6827, 952, 18, 22, "Print",ExpressionUUID->"6d0ca123-441b-4b79-b805-1f213953c390"],
Cell[329254, 6847, 864, 16, 22, "Print",ExpressionUUID->"a8b049e7-41d9-4a73-a6be-ab015ca8f008"],
Cell[330121, 6865, 950, 18, 22, "Print",ExpressionUUID->"2efa53af-384b-432b-b7b0-010206e9e3b8"],
Cell[331074, 6885, 864, 16, 22, "Print",ExpressionUUID->"a03194fa-b7fb-4ce2-8ec1-3ab18c59ef51"],
Cell[331941, 6903, 948, 18, 22, "Print",ExpressionUUID->"79d4c91e-4052-40c8-992d-96af8b769d7e"],
Cell[332892, 6923, 864, 16, 22, "Print",ExpressionUUID->"4c18c3ab-cd24-4400-a799-6691cbd0eda0"],
Cell[333759, 6941, 952, 18, 22, "Print",ExpressionUUID->"55dbd7eb-f56e-435f-abd9-86ea486d3532"],
Cell[334714, 6961, 864, 16, 22, "Print",ExpressionUUID->"6dfb0931-dbb2-47dc-bea2-ca7a37f1dd82"],
Cell[335581, 6979, 952, 18, 22, "Print",ExpressionUUID->"8219b3ca-9490-48d2-abd8-a8670cd18bff"],
Cell[336536, 6999, 866, 16, 22, "Print",ExpressionUUID->"df469f17-0401-40d9-90b3-714348651c49"],
Cell[337405, 7017, 950, 18, 22, "Print",ExpressionUUID->"9811be3a-08b6-46bc-b97f-f9ffb209af47"],
Cell[338358, 7037, 866, 16, 22, "Print",ExpressionUUID->"8755e402-d6bd-44f9-82fe-03693d98b18e"],
Cell[339227, 7055, 950, 18, 22, "Print",ExpressionUUID->"3d05e2b4-435a-4132-a4da-cce83a8cfa37"],
Cell[340180, 7075, 866, 16, 22, "Print",ExpressionUUID->"cf985dfa-3072-42aa-b451-402fc8b974b6"],
Cell[341049, 7093, 952, 18, 22, "Print",ExpressionUUID->"3e6a2857-29c0-4b76-a805-6a36330facac"],
Cell[342004, 7113, 866, 16, 22, "Print",ExpressionUUID->"3e70d172-ae3e-428d-ab0f-0ed0f6b7d6b3"],
Cell[342873, 7131, 952, 18, 22, "Print",ExpressionUUID->"84739181-94f0-49f8-b21a-a20b1920400f"],
Cell[343828, 7151, 860, 16, 22, "Print",ExpressionUUID->"da6724b3-2fc6-4f14-b039-42bfb6f2cc33"],
Cell[344691, 7169, 952, 18, 22, "Print",ExpressionUUID->"d6eac2ca-b989-436a-a0be-2de56b2e29a4"],
Cell[345646, 7189, 862, 16, 22, "Print",ExpressionUUID->"f65c02ba-a28b-4d3e-b134-17faee892609"],
Cell[346511, 7207, 952, 18, 22, "Print",ExpressionUUID->"872c5a1f-94e7-4f71-8890-b760382c4c20"],
Cell[347466, 7227, 862, 16, 22, "Print",ExpressionUUID->"1a037808-dd41-4f48-95d1-65fcf08f64eb"],
Cell[348331, 7245, 952, 18, 22, "Print",ExpressionUUID->"4f466afc-a9f6-431a-bf9d-8dac94743fd5"],
Cell[349286, 7265, 862, 16, 22, "Print",ExpressionUUID->"0d2a3abc-d2f9-4f42-8d0f-4852624a5878"],
Cell[350151, 7283, 950, 18, 22, "Print",ExpressionUUID->"5ee2b46e-62d4-4e5b-8c4b-8467b42005d6"],
Cell[351104, 7303, 862, 16, 22, "Print",ExpressionUUID->"40af3e90-e0ca-4ae8-bab7-03a2e0fb6e16"],
Cell[351969, 7321, 952, 18, 22, "Print",ExpressionUUID->"07c2e09f-285a-4e26-9cf2-a2a5868b59f6"],
Cell[352924, 7341, 892, 16, 22, "Print",ExpressionUUID->"c66c225f-fdc2-4d55-9049-5e9ee0f20fb4"],
Cell[353819, 7359, 949, 18, 22, "Print",ExpressionUUID->"8953c2dd-ba34-484b-9be8-2661f018ae87"],
Cell[354771, 7379, 892, 16, 22, "Print",ExpressionUUID->"2f7f8632-d9b7-49e1-a54c-871a60f78822"],
Cell[355666, 7397, 949, 18, 22, "Print",ExpressionUUID->"1df36466-3f93-409f-b6c7-f5b813b205e8"],
Cell[356618, 7417, 890, 16, 22, "Print",ExpressionUUID->"3ebba728-8d25-4b78-b372-95f1d8d102f5"],
Cell[357511, 7435, 950, 18, 22, "Print",ExpressionUUID->"abecd15f-61ff-4a4e-bc1a-3d1107231905"],
Cell[358464, 7455, 890, 16, 22, "Print",ExpressionUUID->"42d18ce0-8d96-408c-927b-d7f3a2b4ea3e"],
Cell[359357, 7473, 953, 18, 22, "Print",ExpressionUUID->"ab16bdf1-22d1-4db7-bff0-9ee7bc8cf115"],
Cell[360313, 7493, 890, 16, 22, "Print",ExpressionUUID->"46022df6-2c3a-40e4-a53f-14dbce3dd7e7"],
Cell[361206, 7511, 952, 18, 22, "Print",ExpressionUUID->"5d326aea-728e-449e-8afb-ffacb41bfd81"],
Cell[362161, 7531, 892, 16, 22, "Print",ExpressionUUID->"ef320c82-ef4e-46ba-ae01-ead24ee93aa7"],
Cell[363056, 7549, 952, 18, 22, "Print",ExpressionUUID->"8e0fd887-80a0-49e9-aecd-4fb186c6ff6a"],
Cell[364011, 7569, 892, 16, 22, "Print",ExpressionUUID->"606d9d14-305b-4469-bcc8-a5acb7bb5fee"],
Cell[364906, 7587, 952, 18, 22, "Print",ExpressionUUID->"0c516129-6e85-4f1a-a434-be57ac74b89c"],
Cell[365861, 7607, 892, 16, 22, "Print",ExpressionUUID->"1fc2aad8-7211-428b-8ae1-dc070f45f6bd"],
Cell[366756, 7625, 952, 18, 22, "Print",ExpressionUUID->"a5ebf292-77f3-47f0-a744-ed6f8726ce1b"],
Cell[367711, 7645, 892, 16, 22, "Print",ExpressionUUID->"453d4582-94e2-4d8f-838c-c63e80ff1d22"],
Cell[368606, 7663, 948, 18, 22, "Print",ExpressionUUID->"3a3e681c-d0da-4985-a60c-d864f3e8c8a9"],
Cell[369557, 7683, 892, 16, 22, "Print",ExpressionUUID->"5f27b768-ce1d-46dd-a82d-f2d5ab31d180"],
Cell[370452, 7701, 952, 18, 22, "Print",ExpressionUUID->"53f3c105-4662-43fc-9b0b-e0ff78370886"],
Cell[371407, 7721, 866, 16, 22, "Print",ExpressionUUID->"49e06317-4971-4aa5-9418-4fb1f9545b13"],
Cell[372276, 7739, 949, 18, 22, "Print",ExpressionUUID->"d177baba-17f2-4bae-a959-9f54950f007e"],
Cell[373228, 7759, 864, 16, 22, "Print",ExpressionUUID->"c6b423de-882d-4b84-8764-6cf7295eac70"],
Cell[374095, 7777, 947, 18, 22, "Print",ExpressionUUID->"987012ed-e7ee-4204-9572-186e328e9e13"],
Cell[375045, 7797, 866, 16, 22, "Print",ExpressionUUID->"6665eae5-bed5-402c-aa7a-5e1a7d70f8bf"],
Cell[375914, 7815, 952, 18, 22, "Print",ExpressionUUID->"4fdabe69-dda1-4419-91f4-b0071ed595d2"],
Cell[376869, 7835, 864, 16, 22, "Print",ExpressionUUID->"ee9ccf38-cd55-4065-ab87-2412ca6d6d00"],
Cell[377736, 7853, 952, 18, 22, "Print",ExpressionUUID->"25bb639d-1780-4faa-b158-5c054085e93a"],
Cell[378691, 7873, 866, 16, 22, "Print",ExpressionUUID->"fcda9987-0006-4bb5-b3f4-5fd45de96f19"],
Cell[379560, 7891, 952, 18, 22, "Print",ExpressionUUID->"a283f1b2-d904-415c-b2c1-c7571811c212"],
Cell[380515, 7911, 860, 16, 22, "Print",ExpressionUUID->"ec030ef7-fe9f-4209-b1c8-7d86a2f938cb"],
Cell[381378, 7929, 950, 18, 22, "Print",ExpressionUUID->"70ff9606-a19d-483d-b61b-43533003101f"],
Cell[382331, 7949, 860, 16, 22, "Print",ExpressionUUID->"79193555-6426-4252-9d5e-c7e8f97c2282"],
Cell[383194, 7967, 950, 18, 22, "Print",ExpressionUUID->"226aa0cf-72b0-4300-9315-d5cc5f60eeb5"],
Cell[384147, 7987, 860, 16, 22, "Print",ExpressionUUID->"b1053aff-d27c-49c9-a326-f90ff4353ea7"],
Cell[385010, 8005, 952, 18, 22, "Print",ExpressionUUID->"a50d2e1a-8d26-4c07-a79f-e25797583951"],
Cell[385965, 8025, 860, 16, 22, "Print",ExpressionUUID->"12d4ceb0-e0f8-4ad1-b22e-eebaa6e41bfc"],
Cell[386828, 8043, 950, 18, 22, "Print",ExpressionUUID->"10ac9a91-a402-4549-80ec-16b1940512c2"],
Cell[387781, 8063, 862, 16, 22, "Print",ExpressionUUID->"2fdd413d-e17a-4aea-afd2-f67bc832a180"],
Cell[388646, 8081, 952, 18, 22, "Print",ExpressionUUID->"3c54d568-33d0-4540-9425-4e170ecc8422"],
Cell[389601, 8101, 866, 16, 22, "Print",ExpressionUUID->"73df5e3d-d0f5-46f2-b32b-7fe8f4361f96"],
Cell[390470, 8119, 948, 18, 22, "Print",ExpressionUUID->"947ab7a6-2762-4b05-90e3-ba42bcbe7d32"],
Cell[391421, 8139, 866, 16, 22, "Print",ExpressionUUID->"c4f8d5e4-f77b-4ceb-9a23-db5b1a89a326"],
Cell[392290, 8157, 948, 18, 22, "Print",ExpressionUUID->"17a738b4-ebca-4ce3-ad9e-382dc2490d68"],
Cell[393241, 8177, 866, 16, 22, "Print",ExpressionUUID->"2afee795-bc8c-401e-851b-11d1e0dcc67a"],
Cell[394110, 8195, 948, 18, 22, "Print",ExpressionUUID->"8c049a93-5497-467f-9fd3-d247fd3de47d"],
Cell[395061, 8215, 864, 16, 22, "Print",ExpressionUUID->"51b36283-3836-47ea-b0ff-5c37866febfc"],
Cell[395928, 8233, 950, 18, 22, "Print",ExpressionUUID->"0599f7de-3a5b-415b-b798-2cf100a4f7fa"],
Cell[396881, 8253, 866, 16, 22, "Print",ExpressionUUID->"a85a501e-a62a-4ddc-b63f-bd2ca958e38d"],
Cell[397750, 8271, 950, 18, 22, "Print",ExpressionUUID->"b4e715b9-fb7c-4fc5-acc1-d060801cd255"],
Cell[398703, 8291, 890, 16, 22, "Print",ExpressionUUID->"a1f77820-b99b-4109-95c5-037d6f0a2c06"],
Cell[399596, 8309, 950, 18, 22, "Print",ExpressionUUID->"0eaac9d6-be99-49cb-85c6-8884216a8e7b"],
Cell[400549, 8329, 892, 16, 22, "Print",ExpressionUUID->"a8e7a45f-f6b3-4863-98a3-2c0320024963"],
Cell[401444, 8347, 948, 18, 22, "Print",ExpressionUUID->"04a69e63-af29-4170-b0fc-d6b494615a62"],
Cell[402395, 8367, 890, 16, 22, "Print",ExpressionUUID->"7fac5a6c-75cd-4532-be22-6732aaea008a"],
Cell[403288, 8385, 952, 18, 22, "Print",ExpressionUUID->"62c9c311-f294-4a53-a53b-c1480b4d622f"],
Cell[404243, 8405, 889, 16, 22, "Print",ExpressionUUID->"f2d7b7f5-5bdb-4781-89bb-a74009267ece"],
Cell[405135, 8423, 950, 18, 22, "Print",ExpressionUUID->"2dac2cce-43ed-4c26-9f64-ee88244c0b35"],
Cell[406088, 8443, 892, 16, 22, "Print",ExpressionUUID->"350341a4-f4df-43fe-b464-3ed2594dbf8c"],
Cell[406983, 8461, 952, 18, 22, "Print",ExpressionUUID->"9e3dcc26-5164-4a27-86c8-fad8719bc377"],
Cell[407938, 8481, 892, 16, 22, "Print",ExpressionUUID->"550123ee-ffed-4fef-9211-215c433ddbf8"],
Cell[408833, 8499, 950, 18, 22, "Print",ExpressionUUID->"aa72e18e-4d89-464a-86df-72a3f61795e2"],
Cell[409786, 8519, 890, 16, 22, "Print",ExpressionUUID->"981041ba-bf07-40f0-8e00-b24557d17b42"],
Cell[410679, 8537, 952, 18, 22, "Print",ExpressionUUID->"faaf0e70-83c7-46a6-8131-34db98f57126"],
Cell[411634, 8557, 890, 16, 22, "Print",ExpressionUUID->"e2b6710e-6b4f-4362-bf7f-8eef583e7000"],
Cell[412527, 8575, 949, 18, 22, "Print",ExpressionUUID->"bba101f3-8c6d-403a-a059-af2f8326a877"],
Cell[413479, 8595, 892, 16, 22, "Print",ExpressionUUID->"81d803a4-e34c-4410-846a-646e8330b453"],
Cell[414374, 8613, 950, 18, 22, "Print",ExpressionUUID->"9a47cdca-afe6-455a-a249-d624aaa1e608"],
Cell[415327, 8633, 892, 16, 22, "Print",ExpressionUUID->"1c46b327-a7db-49f3-b7aa-a90c2b3a89bb"],
Cell[416222, 8651, 952, 18, 22, "Print",ExpressionUUID->"95a9236c-9156-4bb5-ae82-711899d23fe9"],
Cell[417177, 8671, 860, 16, 22, "Print",ExpressionUUID->"18ebe5a0-4a08-43b5-8eb8-5bd3e8fcd93e"],
Cell[418040, 8689, 950, 18, 22, "Print",ExpressionUUID->"4b7a06d3-0d32-4f34-a558-aa7128828d34"],
Cell[418993, 8709, 860, 16, 22, "Print",ExpressionUUID->"c6ef2ea3-af16-4f75-9794-38c10476ac53"],
Cell[419856, 8727, 952, 18, 22, "Print",ExpressionUUID->"cef6952b-fb31-47f3-be37-21939fdc53d4"],
Cell[420811, 8747, 858, 16, 22, "Print",ExpressionUUID->"5272eac1-2bf6-44ca-a01c-1a98817d5b9f"],
Cell[421672, 8765, 952, 18, 22, "Print",ExpressionUUID->"323353ba-2385-4ac1-904e-df9c25a3ae82"],
Cell[422627, 8785, 860, 16, 22, "Print",ExpressionUUID->"3ae4ef5d-7bfa-4c36-93f4-ee3a335d68f0"],
Cell[423490, 8803, 950, 18, 22, "Print",ExpressionUUID->"9b8a8fed-454a-43dd-bfbf-96384d4198f7"],
Cell[424443, 8823, 860, 16, 22, "Print",ExpressionUUID->"75293bc4-b0e6-4684-aeaa-8e2caf2852f9"],
Cell[425306, 8841, 952, 18, 22, "Print",ExpressionUUID->"fc206c22-9401-4a20-b491-5d360eed690b"],
Cell[426261, 8861, 858, 16, 22, "Print",ExpressionUUID->"3ca5132b-b2c6-41be-b059-80e4377c4588"],
Cell[427122, 8879, 950, 18, 22, "Print",ExpressionUUID->"ea119af2-0297-46b5-adb9-e7f984a52d65"],
Cell[428075, 8899, 860, 16, 22, "Print",ExpressionUUID->"b314f3ce-5978-4cdd-95d0-5e8d4df8a7ae"],
Cell[428938, 8917, 943, 17, 22, "Print",ExpressionUUID->"b3ddc568-0379-4153-be84-b30ada7ddca3"],
Cell[429884, 8936, 13816, 266, 92, "Output",ExpressionUUID->"9f4431cf-bcfc-4a23-9755-87582e0d2c56"]
}, Open  ]],
Cell[CellGroupData[{
Cell[443737, 9207, 22257, 536, 884, "Input",ExpressionUUID->"9043f60b-9865-4a7a-a868-bc33f3641e17"],
Cell[465997, 9745, 2444, 37, 22, "Print",ExpressionUUID->"88bca337-8337-4f90-951a-4417d063dba9"],
Cell[468444, 9784, 2434, 37, 22, "Print",ExpressionUUID->"ff8932f8-bb1d-4133-9e76-1687e9967865"],
Cell[470881, 9823, 2377, 37, 22, "Print",ExpressionUUID->"c8a82230-b210-4cfa-bc46-345cb08821cb"],
Cell[473261, 9862, 2403, 37, 22, "Print",ExpressionUUID->"392a126b-f8a4-4899-8c2b-420670118413"],
Cell[475667, 9901, 2460, 38, 24, "Print",ExpressionUUID->"9a33ee42-9eab-43aa-bd46-aff9fe4d6c73"],
Cell[478130, 9941, 2476, 38, 24, "Print",ExpressionUUID->"562ef899-2f5e-48e0-a7e2-97c84fce6880"],
Cell[480609, 9981, 2432, 37, 24, "Print",ExpressionUUID->"ffc1b21a-aae8-44e1-8252-5b2573b8b102"],
Cell[483044, 10020, 394670, 7329, 682, "Output",ExpressionUUID->"e3cc58c5-f5ee-4f85-bddd-8284e22b63c8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[877751, 17354, 9999, 258, 276, "Input",ExpressionUUID->"4847f3fe-993d-454f-ad91-33cc2bd1d8df"],
Cell[887753, 17614, 236313, 4586, 449, "Output",ExpressionUUID->"d2f6cf88-bf77-4c59-87a7-543d0567192d"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1124127, 22207, 464, 7, 53, "Section",ExpressionUUID->"5b6f04c3-a9d1-4504-a294-9e0628328d19"],
Cell[CellGroupData[{
Cell[1124616, 22218, 219, 4, 53, "Subsection",ExpressionUUID->"cd6e5913-49bf-4335-95ff-82db5e897698"],
Cell[CellGroupData[{
Cell[1124860, 22226, 159, 3, 31, "Item",ExpressionUUID->"534124be-ae45-4831-b2e8-10297fc09d7a"],
Cell[CellGroupData[{
Cell[1125044, 22233, 41974, 700, 637, "Input",ExpressionUUID->"922e0122-ebfe-4a54-940a-3fb0f8162110"],
Cell[1167021, 22935, 1152, 22, 22, "Print",ExpressionUUID->"80a28af0-fd2f-4ba8-81cc-80a5149b6d09"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1168222, 22963, 216, 4, 27, "Item",ExpressionUUID->"494969a0-08ca-43cf-9665-964ed7fe7b65"],
Cell[CellGroupData[{
Cell[1168463, 22971, 22740, 391, 485, "Input",ExpressionUUID->"93adbead-628b-412d-871d-f541292ad03d"],
Cell[1191206, 23364, 1617, 26, 22, "Print",ExpressionUUID->"2c4dce3f-7d74-4f67-9429-8058d25b54ef"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1192872, 23396, 215, 4, 27, "Item",ExpressionUUID->"4e66989d-7772-437f-a57e-90e3d2646c91"],
Cell[CellGroupData[{
Cell[1193112, 23404, 41761, 855, 1283, "Input",ExpressionUUID->"64180294-6c50-47cf-b4d6-c10ce526bdc2"],
Cell[1234876, 24261, 641, 13, 23, "Message",ExpressionUUID->"1cfd5998-ef1d-4c56-b8a4-1a1cd0866325"],
Cell[1235520, 24276, 643, 13, 23, "Message",ExpressionUUID->"9b77e77d-176a-48ab-aa5a-db417e8c5d29"],
Cell[1236166, 24291, 643, 13, 23, "Message",ExpressionUUID->"ff2b3aae-3103-4422-8396-4b865011908e"],
Cell[1236812, 24306, 643, 13, 23, "Message",ExpressionUUID->"f560993b-88c6-4c4e-8fef-0f7d792d3723"],
Cell[1237458, 24321, 95545, 1673, 261, "Output",ExpressionUUID->"c6dcdcd1-5ca9-44bf-9031-b7b3f69755a4"],
Cell[1333006, 25996, 4764, 72, 22, "Print",ExpressionUUID->"6c1d8dcb-3cf4-4094-8e8e-9be45a172f7d"],
Cell[1337773, 26070, 4806, 72, 22, "Print",ExpressionUUID->"ac41e085-fe6a-4a32-bdc8-f078c512a9be"],
Cell[1342582, 26144, 4802, 72, 22, "Print",ExpressionUUID->"cf001f81-00f8-447e-932c-ab91ab9c421a"],
Cell[1347387, 26218, 4748, 70, 22, "Print",ExpressionUUID->"3cddc2c1-34b5-4a84-8d63-aa10002f4e96"],
Cell[1352138, 26290, 4748, 70, 22, "Print",ExpressionUUID->"19923e96-6c86-47f0-bca8-3631cc06d257"],
Cell[1356889, 26362, 4751, 70, 22, "Print",ExpressionUUID->"d923ea5e-8bff-44a7-9f36-26b64d1f407d"],
Cell[1361643, 26434, 4647, 67, 22, "Print",ExpressionUUID->"cd8eed90-4fcf-422f-a31e-0f7e9984e9b5"],
Cell[1366293, 26503, 4693, 69, 22, "Print",ExpressionUUID->"76170eb5-2694-46ff-8a2e-47cc80ea502a"],
Cell[1370989, 26574, 4730, 70, 22, "Print",ExpressionUUID->"45fc095e-b61e-4daf-a683-0ee8cab9299c"],
Cell[1375722, 26646, 4797, 73, 22, "Print",ExpressionUUID->"4b0ec76d-23ca-4f6c-82c8-47c9b429cd0f"],
Cell[1380522, 26721, 4661, 67, 22, "Print",ExpressionUUID->"de97fda8-4113-434d-b5e3-9bf155fd6221"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1385244, 26795, 314, 5, 37, "Subsection",ExpressionUUID->"d5a0090f-90d2-43d6-9a46-44cbe2aa2c56"],
Cell[1385561, 26802, 30118, 714, 1397, "Input",ExpressionUUID->"d867447f-3448-4e2c-9868-17b82e4719e5"],
Cell[CellGroupData[{
Cell[1415704, 27520, 1696, 42, 48, "Input",ExpressionUUID->"232f6f35-046e-40bd-8369-f8dbc939f240"],
Cell[1417403, 27564, 623, 13, 22, "Print",ExpressionUUID->"bd1cb8d3-d5ac-4b24-bfba-06e49aee745d"],
Cell[1418029, 27579, 762, 14, 39, "Message",ExpressionUUID->"3675d818-494d-46de-a784-603ec5e5aec2"],
Cell[1418794, 27595, 710, 15, 22, "Print",ExpressionUUID->"1d3572dd-49a4-4ffe-9e05-20027049a72e"],
Cell[1419507, 27612, 626, 13, 22, "Print",ExpressionUUID->"6bdb517e-19c0-463f-b4a9-5740da184dc7"],
Cell[1420136, 27627, 713, 15, 22, "Print",ExpressionUUID->"94896cdb-8319-4976-93ae-8df22a2218f0"],
Cell[1420852, 27644, 626, 13, 22, "Print",ExpressionUUID->"20377fd2-50a0-4f3e-95fb-e3e0346471d1"],
Cell[1421481, 27659, 715, 15, 22, "Print",ExpressionUUID->"62e1f459-7cd6-48e6-993b-96445256adc8"],
Cell[1422199, 27676, 626, 13, 22, "Print",ExpressionUUID->"a384a264-dce3-40fe-8770-17c1f347b434"],
Cell[1422828, 27691, 712, 15, 22, "Print",ExpressionUUID->"1d0ddd0b-6617-4abf-a353-9b8c55eba536"],
Cell[1423543, 27708, 626, 13, 22, "Print",ExpressionUUID->"05621595-cc37-4700-b501-e76422a1fd5a"],
Cell[1424172, 27723, 713, 15, 22, "Print",ExpressionUUID->"f16fe15d-1e81-4f66-a14a-57c1048ff3b7"],
Cell[1424888, 27740, 624, 13, 22, "Print",ExpressionUUID->"899de8a3-e019-4122-ade6-0a65472b0b2b"],
Cell[1425515, 27755, 759, 14, 39, "Message",ExpressionUUID->"98d3cc3b-0759-4d7a-ae50-be6d1fbeb3d0"],
Cell[1426277, 27771, 715, 15, 22, "Print",ExpressionUUID->"e5d2803c-8ca9-4907-be85-2256307adb23"],
Cell[1426995, 27788, 622, 13, 22, "Print",ExpressionUUID->"629ef148-b247-4960-8c16-efff93746acf"],
Cell[1427620, 27803, 710, 15, 22, "Print",ExpressionUUID->"7cdc402e-92e9-46e3-ae66-b6bd08a024b3"],
Cell[1428333, 27820, 622, 13, 22, "Print",ExpressionUUID->"7a724025-4e43-45f5-87f0-67bddc8f9646"],
Cell[1428958, 27835, 713, 15, 22, "Print",ExpressionUUID->"869263e7-b233-45cb-b58d-d8ab55b93585"],
Cell[1429674, 27852, 624, 13, 22, "Print",ExpressionUUID->"81253918-ef37-4796-9b76-28b00a66bad0"],
Cell[1430301, 27867, 762, 14, 39, "Message",ExpressionUUID->"c086918c-fe56-483e-98b8-73e4632a404e"],
Cell[1431066, 27883, 619, 12, 21, "Message",ExpressionUUID->"b1a531c8-93b3-47b9-8cca-3daed778201e"],
Cell[1431688, 27897, 710, 15, 22, "Print",ExpressionUUID->"48641bc9-e636-4d75-8cf7-6d5f9ef65140"],
Cell[1432401, 27914, 622, 13, 22, "Print",ExpressionUUID->"fe4b1a2e-c56d-4d8d-bb7f-f38f85be0aa7"],
Cell[1433026, 27929, 715, 15, 22, "Print",ExpressionUUID->"5125f1df-6ad9-46d3-ae8c-a73c77a84533"],
Cell[1433744, 27946, 652, 13, 22, "Print",ExpressionUUID->"0b6f9abb-f797-44b5-83f3-83b855936427"],
Cell[1434399, 27961, 713, 15, 22, "Print",ExpressionUUID->"96557f03-5ab6-4e4f-9ce3-765b0a0fb20a"],
Cell[1435115, 27978, 652, 13, 22, "Print",ExpressionUUID->"bbefef43-65b7-4b16-b415-5760d9f660c1"],
Cell[1435770, 27993, 713, 15, 22, "Print",ExpressionUUID->"05b5eafb-b9b2-4684-b8a9-3ab6987b9350"],
Cell[1436486, 28010, 654, 13, 22, "Print",ExpressionUUID->"d0a6dd09-eb3b-4ff2-80a0-cdb04eb3bfa8"],
Cell[1437143, 28025, 715, 15, 22, "Print",ExpressionUUID->"87567a03-d95e-4dd8-9f84-b6131ba263ab"],
Cell[1437861, 28042, 652, 13, 22, "Print",ExpressionUUID->"9db61d6a-41e2-48bb-9cd1-838f59249549"],
Cell[1438516, 28057, 712, 15, 22, "Print",ExpressionUUID->"6e609412-150a-48a3-9c8b-dde5dc197036"],
Cell[1439231, 28074, 652, 13, 22, "Print",ExpressionUUID->"fbebfdbb-aa70-41b5-be99-f34cde396dea"],
Cell[1439886, 28089, 710, 15, 22, "Print",ExpressionUUID->"14efe4a3-c2ba-4f29-aba2-feb6a91dcab4"],
Cell[1440599, 28106, 622, 13, 22, "Print",ExpressionUUID->"29c23965-9f1e-4a75-a07a-6859f01139aa"],
Cell[1441224, 28121, 715, 15, 22, "Print",ExpressionUUID->"148f4263-87ce-4e67-857e-b3aa50e9848c"],
Cell[1441942, 28138, 622, 13, 22, "Print",ExpressionUUID->"b9145a11-bca3-4a98-83fe-166f5d7c45ba"],
Cell[1442567, 28153, 712, 15, 22, "Print",ExpressionUUID->"0f751c73-e49f-422f-885b-a170707c2015"],
Cell[1443282, 28170, 620, 13, 22, "Print",ExpressionUUID->"030ce40f-42fb-4bae-a059-f8c01892e7b1"],
Cell[1443905, 28185, 710, 15, 22, "Print",ExpressionUUID->"a6b4a0b7-d2af-4b45-be4b-3190dd4623c1"],
Cell[1444618, 28202, 622, 13, 22, "Print",ExpressionUUID->"11673139-b473-4766-b1a2-736287e2cb07"],
Cell[1445243, 28217, 713, 15, 22, "Print",ExpressionUUID->"ba877688-9763-4aef-a972-1cb19a986c68"],
Cell[1445959, 28234, 620, 13, 22, "Print",ExpressionUUID->"04cb08e1-a551-4bf4-993f-83462fb86865"],
Cell[1446582, 28249, 712, 15, 22, "Print",ExpressionUUID->"2e6462b5-ed95-49d5-9f4e-8833f868ce03"],
Cell[1447297, 28266, 626, 13, 22, "Print",ExpressionUUID->"93cbf7d9-2630-416f-a76d-78dfc28436a0"],
Cell[1447926, 28281, 715, 15, 22, "Print",ExpressionUUID->"168425b8-4fe0-4302-a7e9-b1dcac1017d1"],
Cell[1448644, 28298, 626, 13, 22, "Print",ExpressionUUID->"d9e2957f-4a6e-4450-bd14-b15f44760a6b"],
Cell[1449273, 28313, 715, 15, 22, "Print",ExpressionUUID->"23483709-ed77-4feb-9a3c-262f9f979746"],
Cell[1449991, 28330, 624, 13, 22, "Print",ExpressionUUID->"744804e4-35fd-4c93-aa9c-7a9d60b4d9d9"],
Cell[1450618, 28345, 715, 15, 22, "Print",ExpressionUUID->"6f2a0e6f-73ae-440b-b9cb-db81221e5712"],
Cell[1451336, 28362, 624, 13, 22, "Print",ExpressionUUID->"32f3573f-8bf5-4870-b4d8-324f11407e6c"],
Cell[1451963, 28377, 715, 15, 22, "Print",ExpressionUUID->"9b6989b4-9a7c-4ee5-9731-1a5d681e5577"],
Cell[1452681, 28394, 626, 13, 22, "Print",ExpressionUUID->"16539320-a5a7-4d7d-a7b0-a412f541badf"],
Cell[1453310, 28409, 713, 15, 22, "Print",ExpressionUUID->"4b0a5ba8-5a8b-4b52-b589-af0842d6dbb1"],
Cell[1454026, 28426, 653, 13, 22, "Print",ExpressionUUID->"d8c1a013-78b6-46d3-8be5-02071819d799"],
Cell[1454682, 28441, 712, 15, 22, "Print",ExpressionUUID->"0e3e0c4f-1ab8-4705-8392-eface97528ca"],
Cell[1455397, 28458, 655, 13, 22, "Print",ExpressionUUID->"dd4cfa16-0bf9-4711-b10a-e1f7a3005ec7"],
Cell[1456055, 28473, 712, 15, 22, "Print",ExpressionUUID->"d5426d0b-009e-4614-b9de-fc4d5f79b57f"],
Cell[1456770, 28490, 655, 13, 22, "Print",ExpressionUUID->"69edf5f4-f925-496e-951b-c30222bf7b48"],
Cell[1457428, 28505, 710, 15, 22, "Print",ExpressionUUID->"dc0cec7e-e44a-453d-9eab-692f45d93b1a"],
Cell[1458141, 28522, 655, 13, 22, "Print",ExpressionUUID->"4bfa3fc4-d5a6-49cd-bb8e-42d95658e6b8"],
Cell[1458799, 28537, 713, 15, 22, "Print",ExpressionUUID->"cca3ee3a-78cc-4cf7-893e-d062fa4052ee"],
Cell[1459515, 28554, 655, 13, 22, "Print",ExpressionUUID->"29595d44-d836-4667-a9f9-f96d591b7978"],
Cell[1460173, 28569, 712, 15, 22, "Print",ExpressionUUID->"3596e63b-f75e-4fe6-b14b-1e863c41df65"],
Cell[1460888, 28586, 655, 13, 22, "Print",ExpressionUUID->"3afeda73-9aeb-44f5-a592-5bba3005cc16"],
Cell[1461546, 28601, 709, 15, 22, "Print",ExpressionUUID->"808eac99-4a15-46e7-94c0-a142a83c22aa"],
Cell[1462258, 28618, 653, 13, 22, "Print",ExpressionUUID->"14848baa-ccb5-4ab9-bc9a-2f6d4859bfac"],
Cell[1462914, 28633, 710, 15, 22, "Print",ExpressionUUID->"1614a736-228e-4112-b183-94f21d01a0b5"],
Cell[1463627, 28650, 655, 13, 22, "Print",ExpressionUUID->"b4041e2a-01e7-49d2-a08d-d52e94eb4baa"],
Cell[1464285, 28665, 709, 15, 22, "Print",ExpressionUUID->"4bfec6b8-3dc4-4bb2-bc55-67a4c2177440"],
Cell[1464997, 28682, 653, 13, 22, "Print",ExpressionUUID->"5beef3e0-7962-4106-9b52-58ea3c2787cc"],
Cell[1465653, 28697, 712, 15, 22, "Print",ExpressionUUID->"164c7e1f-686f-45d1-91e6-fe290b13a9d9"],
Cell[1466368, 28714, 655, 13, 22, "Print",ExpressionUUID->"536a97df-be5e-4ae2-afd6-2ccf1599c359"],
Cell[1467026, 28729, 710, 15, 22, "Print",ExpressionUUID->"679fe3b7-548d-4e79-b3c3-e3e811eb1fcf"],
Cell[1467739, 28746, 622, 13, 22, "Print",ExpressionUUID->"93c87fa7-5403-4804-88a0-37f22ab67f4c"],
Cell[1468364, 28761, 712, 15, 22, "Print",ExpressionUUID->"b44f1f71-2f1f-4a11-9bf5-c6c031aea56e"],
Cell[1469079, 28778, 622, 13, 22, "Print",ExpressionUUID->"b8fa507c-2552-4ccc-b933-8b3bf36c251a"],
Cell[1469704, 28793, 708, 15, 22, "Print",ExpressionUUID->"6bfc1799-d45c-4f43-8e58-518555cf171a"],
Cell[1470415, 28810, 620, 13, 22, "Print",ExpressionUUID->"4e2de348-87c3-4ea2-bc9c-fa3af3f47a98"],
Cell[1471038, 28825, 712, 15, 22, "Print",ExpressionUUID->"41184630-16c8-4136-8e39-7f7ed34f93ca"],
Cell[1471753, 28842, 622, 13, 22, "Print",ExpressionUUID->"450b036e-500f-415f-b876-8c6b06b1dcf2"],
Cell[1472378, 28857, 712, 15, 22, "Print",ExpressionUUID->"ad0367d5-3e98-41d2-9684-00fd4dd0a68b"],
Cell[1473093, 28874, 620, 13, 22, "Print",ExpressionUUID->"6f0f8915-7f44-4dfd-86c6-9a8c2eaf3168"],
Cell[1473716, 28889, 710, 15, 22, "Print",ExpressionUUID->"dde2da32-50c7-4280-8da2-dfbe82614656"],
Cell[1474429, 28906, 626, 13, 22, "Print",ExpressionUUID->"654e2936-ea0c-4588-ba3b-7c0ca70599ae"],
Cell[1475058, 28921, 710, 15, 22, "Print",ExpressionUUID->"4045749d-e6a8-4487-8aac-f9590d3d1248"],
Cell[1475771, 28938, 626, 13, 22, "Print",ExpressionUUID->"a5fd9d4c-bfe9-4861-b02c-ed5689088e2c"],
Cell[1476400, 28953, 710, 15, 22, "Print",ExpressionUUID->"8f468f95-64d9-4187-83f2-b4dabb985b66"],
Cell[1477113, 28970, 624, 13, 22, "Print",ExpressionUUID->"b34a8332-180f-4667-9953-71c629f8f939"],
Cell[1477740, 28985, 710, 15, 22, "Print",ExpressionUUID->"a10347de-6286-4bb2-bbfb-2e8dbd8200b1"],
Cell[1478453, 29002, 624, 13, 22, "Print",ExpressionUUID->"fe3bb4be-1770-4168-9ebb-19d4f92f4746"],
Cell[1479080, 29017, 712, 15, 22, "Print",ExpressionUUID->"630703ac-ec39-4545-833d-35a54fdd738a"],
Cell[1479795, 29034, 626, 13, 22, "Print",ExpressionUUID->"e7b0985a-dfc5-4d7d-8c78-176142d01f58"],
Cell[1480424, 29049, 709, 15, 22, "Print",ExpressionUUID->"7a694f00-34b1-4a97-bb99-b7ac790e8b95"],
Cell[1481136, 29066, 622, 13, 22, "Print",ExpressionUUID->"d1ee703d-8a78-44d8-80dc-b75e285461f0"],
Cell[1481761, 29081, 708, 15, 22, "Print",ExpressionUUID->"b70759b5-dc65-48b5-8fb1-3c9748675eb9"],
Cell[1482472, 29098, 624, 13, 22, "Print",ExpressionUUID->"ab64c59b-9847-4acd-a598-d4fac8f76a89"],
Cell[1483099, 29113, 710, 15, 22, "Print",ExpressionUUID->"23952af8-8853-4f48-b299-bad987599ad5"],
Cell[1483812, 29130, 624, 13, 22, "Print",ExpressionUUID->"85884f63-a8db-433d-8693-32dc2c968d54"],
Cell[1484439, 29145, 710, 15, 22, "Print",ExpressionUUID->"b5442849-1e0c-416c-a216-4725dac86870"],
Cell[1485152, 29162, 624, 13, 22, "Print",ExpressionUUID->"990d5d4b-249a-471b-bbe7-c055ce6b0f9d"],
Cell[1485779, 29177, 712, 15, 22, "Print",ExpressionUUID->"1c3442af-4b4b-4495-ae4f-1163d503a9cb"],
Cell[1486494, 29194, 624, 13, 22, "Print",ExpressionUUID->"69152fdf-4073-41ac-9a72-3b1ae2b2699e"],
Cell[1487121, 29209, 708, 15, 22, "Print",ExpressionUUID->"2a577ef1-71af-4304-8804-aa6a7ac56293"],
Cell[1487832, 29226, 626, 13, 22, "Print",ExpressionUUID->"62e46b29-66e2-4151-b72e-e0602b39ddaa"],
Cell[1488461, 29241, 708, 15, 22, "Print",ExpressionUUID->"a6de3b9f-d24e-4271-b379-ef5b830454ab"],
Cell[1489172, 29258, 624, 13, 22, "Print",ExpressionUUID->"09be9d45-afde-4c77-a7be-aec20760547e"],
Cell[1489799, 29273, 712, 15, 22, "Print",ExpressionUUID->"f3e63276-7a5f-432a-bc05-3ab03a9da526"],
Cell[1490514, 29290, 624, 13, 22, "Print",ExpressionUUID->"c7e8d29c-912e-4d1b-9731-8679fb34eb92"],
Cell[1491141, 29305, 715, 15, 22, "Print",ExpressionUUID->"59777e1b-7cf6-4500-a4f1-d9548045f784"],
Cell[1491859, 29322, 624, 13, 22, "Print",ExpressionUUID->"14188613-d8cc-4cee-af19-6da0579dbde6"],
Cell[1492486, 29337, 712, 15, 22, "Print",ExpressionUUID->"f7555722-d659-4f90-a12e-642177ee7277"],
Cell[1493201, 29354, 626, 13, 22, "Print",ExpressionUUID->"fd88dbde-a75c-4881-8c14-f800b41c15bd"],
Cell[1493830, 29369, 708, 15, 22, "Print",ExpressionUUID->"c2b1b0d9-c8c8-4afe-b6fc-fc863bd57ed1"],
Cell[1494541, 29386, 655, 13, 22, "Print",ExpressionUUID->"c6cf3765-5c84-41f7-95f4-22d1e83c8087"],
Cell[1495199, 29401, 710, 15, 22, "Print",ExpressionUUID->"f1355e85-42a3-4750-84b9-804f39331b6a"],
Cell[1495912, 29418, 653, 13, 22, "Print",ExpressionUUID->"bdf927dc-b42c-48ff-a3ec-15029fc0fe68"],
Cell[1496568, 29433, 712, 15, 22, "Print",ExpressionUUID->"a97bc1f4-d807-4f7b-b553-dec11572dd04"],
Cell[1497283, 29450, 652, 13, 22, "Print",ExpressionUUID->"ee46c287-d033-4b96-9f88-3a360989a0a1"],
Cell[1497938, 29465, 710, 15, 22, "Print",ExpressionUUID->"662b30c8-6079-4549-88aa-55b95231169b"],
Cell[1498651, 29482, 655, 13, 22, "Print",ExpressionUUID->"396cc6ec-d0d0-4701-8850-3e650a78011e"],
Cell[1499309, 29497, 712, 15, 22, "Print",ExpressionUUID->"55ad5385-da4a-4765-88a4-5bbfd2770d56"],
Cell[1500024, 29514, 655, 13, 22, "Print",ExpressionUUID->"1bfb1492-92f4-4f40-9af5-fbce47d1b594"],
Cell[1500682, 29529, 710, 15, 22, "Print",ExpressionUUID->"a4a884b0-4afb-41fc-b363-dbd6047aefbb"],
Cell[1501395, 29546, 624, 13, 22, "Print",ExpressionUUID->"ab255e4b-f1ae-4b51-baf8-6fdffa7235bf"],
Cell[1502022, 29561, 710, 15, 22, "Print",ExpressionUUID->"db30828e-f821-46f0-86dc-1e27c374e715"],
Cell[1502735, 29578, 624, 13, 22, "Print",ExpressionUUID->"27c867ae-7beb-4616-9af1-489a768b8d15"],
Cell[1503362, 29593, 712, 15, 22, "Print",ExpressionUUID->"9143ac6e-417f-46c3-b819-84a0764b5060"],
Cell[1504077, 29610, 624, 13, 22, "Print",ExpressionUUID->"86c64afc-9d26-448b-88c4-170880a09cdc"],
Cell[1504704, 29625, 712, 15, 22, "Print",ExpressionUUID->"c5d8699b-6180-4cf4-adbc-66bcd026a06d"],
Cell[1505419, 29642, 624, 13, 22, "Print",ExpressionUUID->"08e8cadc-48a1-42b9-8102-6eb7a49f1aac"],
Cell[1506046, 29657, 712, 15, 22, "Print",ExpressionUUID->"2569e74d-12bf-4c59-ae3a-8afda9f073d6"],
Cell[1506761, 29674, 624, 13, 22, "Print",ExpressionUUID->"c829aa5b-dc86-489e-a7e0-f5fbaabb6264"],
Cell[1507388, 29689, 710, 15, 22, "Print",ExpressionUUID->"598e283b-cd0c-46ca-9971-27fccf004c3e"],
Cell[1508101, 29706, 655, 13, 22, "Print",ExpressionUUID->"24c09871-c522-41e5-9dea-8832fa4133ed"],
Cell[1508759, 29721, 715, 15, 22, "Print",ExpressionUUID->"46273de1-b9a6-4256-b6a0-7a4a17e2fef3"],
Cell[1509477, 29738, 653, 13, 22, "Print",ExpressionUUID->"d37d02a7-d7ae-45af-93fa-5494169c6b13"],
Cell[1510133, 29753, 713, 15, 22, "Print",ExpressionUUID->"e7ef74b1-1f3e-4ee0-8965-e05afa956605"],
Cell[1510849, 29770, 653, 13, 22, "Print",ExpressionUUID->"387ce6d2-64c3-4830-bf36-8cce67619a1a"],
Cell[1511505, 29785, 708, 15, 22, "Print",ExpressionUUID->"cff5cdca-fbec-4084-ab72-8a802a2452f6"],
Cell[1512216, 29802, 655, 13, 22, "Print",ExpressionUUID->"21d0e95d-2b56-47d9-aed9-3160d452bb99"],
Cell[1512874, 29817, 708, 15, 22, "Print",ExpressionUUID->"7cc23934-d5f1-4614-a790-8109ee7ec530"],
Cell[1513585, 29834, 655, 13, 22, "Print",ExpressionUUID->"84f33fd0-329d-4f50-9b5e-3d29692d172f"],
Cell[1514243, 29849, 712, 15, 22, "Print",ExpressionUUID->"69290db7-f56b-4587-8da4-d0ff91ffa6bc"],
Cell[1514958, 29866, 626, 13, 22, "Print",ExpressionUUID->"8f1ca653-fbd4-4e16-92e1-edfc1bf4f112"],
Cell[1515587, 29881, 710, 15, 22, "Print",ExpressionUUID->"4db9bcde-925e-43d6-a8da-59e41b817d96"],
Cell[1516300, 29898, 624, 13, 22, "Print",ExpressionUUID->"8b8e9460-a789-41f7-9450-02cbb41147ba"],
Cell[1516927, 29913, 710, 15, 22, "Print",ExpressionUUID->"5c290828-e234-4387-ace0-7bb6331daa3c"],
Cell[1517640, 29930, 626, 13, 22, "Print",ExpressionUUID->"13a36027-26c0-428b-a8e4-f062e237279c"],
Cell[1518269, 29945, 715, 15, 22, "Print",ExpressionUUID->"d3059cf5-9198-40b6-9f5e-7775312cb866"],
Cell[1518987, 29962, 626, 13, 22, "Print",ExpressionUUID->"25ecf565-e146-45d8-a58e-9b419c045fe8"],
Cell[1519616, 29977, 712, 15, 22, "Print",ExpressionUUID->"993cb594-61f6-4c5d-819b-bc09acf7dd2c"],
Cell[1520331, 29994, 626, 13, 22, "Print",ExpressionUUID->"da4d9eea-1e12-4911-9d3f-ba37c3caf28c"],
Cell[1520960, 30009, 710, 15, 22, "Print",ExpressionUUID->"e5b89f82-db5c-43fb-a071-9356f46d30a8"],
Cell[1521673, 30026, 620, 13, 22, "Print",ExpressionUUID->"c55b75e2-369e-46bf-8b36-f6a2122e0465"],
Cell[1522296, 30041, 710, 15, 22, "Print",ExpressionUUID->"1c47d7da-69ce-4284-8841-0000731b68f1"],
Cell[1523009, 30058, 620, 13, 22, "Print",ExpressionUUID->"7ba117ee-82ac-4204-8ce5-db02d5894e77"],
Cell[1523632, 30073, 710, 15, 22, "Print",ExpressionUUID->"9a6dbddf-b7f7-4435-96eb-931bdc4d358a"],
Cell[1524345, 30090, 622, 13, 22, "Print",ExpressionUUID->"28bcb4fc-f678-4a38-8e05-aa6194eb22fe"],
Cell[1524970, 30105, 712, 15, 22, "Print",ExpressionUUID->"6560d7de-4268-4206-a1c1-9487aacda06f"],
Cell[1525685, 30122, 620, 13, 22, "Print",ExpressionUUID->"76e4eaa1-b96b-4e2d-ae76-5ad734975aaa"],
Cell[1526308, 30137, 710, 15, 22, "Print",ExpressionUUID->"13c1f852-a8dd-45cd-8292-bb63e6d8db22"],
Cell[1527021, 30154, 620, 13, 22, "Print",ExpressionUUID->"c13264a3-6cb4-49d6-bde6-06de7acf5bba"],
Cell[1527644, 30169, 712, 15, 22, "Print",ExpressionUUID->"ada4413d-5ac2-4f31-a4e6-3dcb69da2535"],
Cell[1528359, 30186, 655, 13, 22, "Print",ExpressionUUID->"af2a5f82-a4e0-4731-bdba-906a97ac0d55"],
Cell[1529017, 30201, 710, 15, 22, "Print",ExpressionUUID->"95b6c956-62b3-4f66-af2c-38c0450b4a47"],
Cell[1529730, 30218, 653, 13, 22, "Print",ExpressionUUID->"0e06c587-f854-4b9b-a436-f100b0db157b"],
Cell[1530386, 30233, 713, 15, 22, "Print",ExpressionUUID->"11bb8e3c-6ace-47cf-86b1-beb60a666796"],
Cell[1531102, 30250, 653, 13, 22, "Print",ExpressionUUID->"e225abf5-c063-4d5b-abf6-ccd0005ae549"],
Cell[1531758, 30265, 710, 15, 22, "Print",ExpressionUUID->"9e22c90b-15a1-41b2-9304-e33ee2cbac31"],
Cell[1532471, 30282, 653, 13, 22, "Print",ExpressionUUID->"00051bbd-35da-4b35-9289-3f0f7aaeea74"],
Cell[1533127, 30297, 712, 15, 22, "Print",ExpressionUUID->"00cfd506-6218-4958-b096-b226e25a348d"],
Cell[1533842, 30314, 655, 13, 22, "Print",ExpressionUUID->"90d3f140-d343-405b-9340-8566724ccbeb"],
Cell[1534500, 30329, 712, 15, 22, "Print",ExpressionUUID->"805f8826-8fe3-4201-8d04-4b1f288f79de"],
Cell[1535215, 30346, 622, 13, 22, "Print",ExpressionUUID->"0673de91-e84e-4eae-845e-489a878be938"],
Cell[1535840, 30361, 710, 15, 22, "Print",ExpressionUUID->"35c232b1-7070-4b6a-aeff-a1024e38de81"],
Cell[1536553, 30378, 624, 13, 22, "Print",ExpressionUUID->"d4b2bccf-4f57-460f-9142-6ad36dedd704"],
Cell[1537180, 30393, 710, 15, 22, "Print",ExpressionUUID->"232dfb6f-8b0b-48cf-a91b-752f78b2f926"],
Cell[1537893, 30410, 624, 13, 22, "Print",ExpressionUUID->"c2f8045d-0482-4c10-b1d0-e39c61d65965"],
Cell[1538520, 30425, 712, 15, 22, "Print",ExpressionUUID->"b3e6cfb9-27d0-43da-b89c-ac448529af64"],
Cell[1539235, 30442, 622, 13, 22, "Print",ExpressionUUID->"131a6c0e-c483-40b0-a66d-3dd7a6c2b8fb"],
Cell[1539860, 30457, 712, 15, 22, "Print",ExpressionUUID->"dfc7b91f-016e-45c0-b0cb-1883e3d96493"],
Cell[1540575, 30474, 624, 13, 22, "Print",ExpressionUUID->"b38eff7b-b83c-420e-9443-1cf75bfa10d4"],
Cell[1541202, 30489, 712, 15, 22, "Print",ExpressionUUID->"dabc1514-2140-4419-a1da-50dfbab54e6e"],
Cell[1541917, 30506, 655, 13, 22, "Print",ExpressionUUID->"b4ae08e8-8a4f-41fd-b31b-67c1d568a223"],
Cell[1542575, 30521, 712, 15, 22, "Print",ExpressionUUID->"cb598085-7947-4a5c-979d-995a0a1c5986"],
Cell[1543290, 30538, 653, 13, 22, "Print",ExpressionUUID->"c4a295b1-80d3-4913-b4b2-84a8365e7f95"],
Cell[1543946, 30553, 710, 15, 22, "Print",ExpressionUUID->"2479e557-5ebc-49ce-8192-c9198cf8b545"],
Cell[1544659, 30570, 655, 13, 22, "Print",ExpressionUUID->"6cf32a67-6094-4b3e-ad6b-936449b5317b"],
Cell[1545317, 30585, 713, 15, 22, "Print",ExpressionUUID->"a107fafc-5548-42ed-bc05-29d297386bde"],
Cell[1546033, 30602, 653, 13, 22, "Print",ExpressionUUID->"c6aaeea2-a0d3-4443-af65-023d28dcad7c"],
Cell[1546689, 30617, 712, 15, 22, "Print",ExpressionUUID->"817d9d5e-f5ba-4998-b74c-22f64f85c1b8"],
Cell[1547404, 30634, 653, 13, 22, "Print",ExpressionUUID->"da4ced39-b73d-4a91-821c-5dc8b42c9eab"],
Cell[1548060, 30649, 712, 15, 22, "Print",ExpressionUUID->"d32d7447-2b54-400c-9130-fa6821c0afa0"],
Cell[1548775, 30666, 620, 13, 22, "Print",ExpressionUUID->"a05004fe-f858-42b9-9518-1e3806e3c1d0"],
Cell[1549398, 30681, 710, 15, 22, "Print",ExpressionUUID->"83130db0-6c8d-4cfb-8684-97f2724f6960"],
Cell[1550111, 30698, 620, 13, 22, "Print",ExpressionUUID->"a8024174-5316-4da9-a49a-3af0970ad8ed"],
Cell[1550734, 30713, 712, 15, 22, "Print",ExpressionUUID->"9bf14fb1-8dc2-4d58-9585-412193e54607"],
Cell[1551449, 30730, 622, 13, 22, "Print",ExpressionUUID->"78d07ef2-bd39-4d80-acce-17e4e1fe91e1"],
Cell[1552074, 30745, 710, 15, 22, "Print",ExpressionUUID->"e37c02ba-9248-43d6-b197-da40852932cf"],
Cell[1552787, 30762, 622, 13, 22, "Print",ExpressionUUID->"949b56a0-3358-4b67-9ac8-6324a583cd49"],
Cell[1553412, 30777, 712, 15, 22, "Print",ExpressionUUID->"6eb97188-632c-41eb-b125-cea990e205b6"],
Cell[1554127, 30794, 622, 13, 22, "Print",ExpressionUUID->"a5176248-08a3-408b-b03a-794e08257f09"],
Cell[1554752, 30809, 712, 15, 22, "Print",ExpressionUUID->"533ad21b-271e-4dd2-86e4-5a23a77be540"],
Cell[1555467, 30826, 624, 13, 22, "Print",ExpressionUUID->"90e0cf22-ef10-4996-8292-474daff76ff2"],
Cell[1556094, 30841, 710, 15, 22, "Print",ExpressionUUID->"d3af4bf2-6966-4952-a480-085d70d3bd7c"],
Cell[1556807, 30858, 624, 13, 22, "Print",ExpressionUUID->"9899e006-c2c8-4b07-b2f4-7a466718d290"],
Cell[1557434, 30873, 712, 15, 22, "Print",ExpressionUUID->"aedb5389-5d1b-45d1-b8d5-1dfa48dae9c9"],
Cell[1558149, 30890, 624, 13, 22, "Print",ExpressionUUID->"2d3edd7c-4361-4d2d-9e13-bf99cb27dc1f"],
Cell[1558776, 30905, 710, 15, 22, "Print",ExpressionUUID->"1224a7b9-c87e-42b5-9524-df1566c4aecc"],
Cell[1559489, 30922, 626, 13, 22, "Print",ExpressionUUID->"23741f9d-5fe4-49f1-b5a5-a1e18cd768e3"],
Cell[1560118, 30937, 712, 15, 22, "Print",ExpressionUUID->"abae979e-0e78-477b-98c0-d55463d51626"],
Cell[1560833, 30954, 624, 13, 22, "Print",ExpressionUUID->"3ee08e69-234c-4ddf-a3aa-d7d89bc4a046"],
Cell[1561460, 30969, 710, 15, 22, "Print",ExpressionUUID->"07b35c29-8915-4b54-98d7-c7ca8a51b86a"],
Cell[1562173, 30986, 624, 13, 22, "Print",ExpressionUUID->"a836707e-faed-45ed-9f82-13b649af1f81"],
Cell[1562800, 31001, 713, 15, 22, "Print",ExpressionUUID->"5f81a0b2-087b-4e74-b96e-3d03ec9891b6"],
Cell[1563516, 31018, 622, 13, 22, "Print",ExpressionUUID->"8ef0d646-3784-4202-8424-0e6fdc9e089b"],
Cell[1564141, 31033, 710, 15, 22, "Print",ExpressionUUID->"64de3e60-99ec-4045-b51c-13de845a6be9"],
Cell[1564854, 31050, 624, 13, 22, "Print",ExpressionUUID->"13b97aa5-b807-4eeb-a4bf-5e974c09711f"],
Cell[1565481, 31065, 710, 15, 22, "Print",ExpressionUUID->"ea4149e0-0748-45b2-84e8-1b1dfa498966"],
Cell[1566194, 31082, 624, 13, 22, "Print",ExpressionUUID->"762c144d-3e0d-47b9-ad14-2f2353b047aa"],
Cell[1566821, 31097, 710, 15, 22, "Print",ExpressionUUID->"9f6b1512-2036-43b3-92f4-78877c0a9b25"],
Cell[1567534, 31114, 624, 13, 22, "Print",ExpressionUUID->"f50f807e-f30a-4625-935b-12c717e99844"],
Cell[1568161, 31129, 710, 15, 22, "Print",ExpressionUUID->"cd13baf6-5837-4950-a7fb-d314d4a40023"],
Cell[1568874, 31146, 652, 13, 22, "Print",ExpressionUUID->"f5a01ad8-acca-46fc-b658-1cc80f745315"],
Cell[1569529, 31161, 712, 15, 22, "Print",ExpressionUUID->"8fb56816-ce28-47c1-82a0-8ea24ff1daa1"],
Cell[1570244, 31178, 650, 13, 22, "Print",ExpressionUUID->"b4314a67-6134-4be3-ba30-033e66f2feeb"],
Cell[1570897, 31193, 710, 15, 22, "Print",ExpressionUUID->"d371934e-34dc-48b4-8054-ead80d5c4703"],
Cell[1571610, 31210, 652, 13, 22, "Print",ExpressionUUID->"b0c65bec-36eb-4261-ac5f-f1b63c29ab81"],
Cell[1572265, 31225, 713, 15, 22, "Print",ExpressionUUID->"ffed3be8-9f64-458d-a16a-9b45854a2e3d"],
Cell[1572981, 31242, 652, 13, 22, "Print",ExpressionUUID->"f2af6157-07b5-49ad-ac74-4ffcc4bdff1a"],
Cell[1573636, 31257, 712, 15, 22, "Print",ExpressionUUID->"03ac9b26-0db0-474a-9289-9f6b7c8baed4"],
Cell[1574351, 31274, 650, 13, 22, "Print",ExpressionUUID->"0804f48b-3c74-4975-8d57-e1b21b64a03f"],
Cell[1575004, 31289, 710, 15, 22, "Print",ExpressionUUID->"20896323-0b11-4be8-9819-0ef8aded6470"],
Cell[1575717, 31306, 650, 13, 22, "Print",ExpressionUUID->"b2b04bbd-7163-427d-9280-8b5068bb82f0"],
Cell[1576370, 31321, 712, 15, 22, "Print",ExpressionUUID->"60b29480-2d98-432e-b741-c4b56f57636a"],
Cell[1577085, 31338, 649, 13, 22, "Print",ExpressionUUID->"9bb603c2-271e-43e0-a104-47a601e1cc9f"],
Cell[1577737, 31353, 710, 15, 22, "Print",ExpressionUUID->"5df38c04-0ff0-444b-a390-b8b2d6087bc8"],
Cell[1578450, 31370, 650, 13, 22, "Print",ExpressionUUID->"107c16c7-07e6-4c1b-aba5-a54b7544526e"],
Cell[1579103, 31385, 712, 15, 22, "Print",ExpressionUUID->"de3ebb88-108f-4100-9102-18672a302659"],
Cell[1579818, 31402, 650, 13, 22, "Print",ExpressionUUID->"51de6fd1-0c24-4a4d-9442-f4deeceb01f1"],
Cell[1580471, 31417, 710, 15, 22, "Print",ExpressionUUID->"d47e40f1-ca91-4298-971e-f06264d91bab"],
Cell[1581184, 31434, 652, 13, 22, "Print",ExpressionUUID->"6d8ee2af-ca55-453d-a30c-cf933c089d15"],
Cell[1581839, 31449, 712, 15, 22, "Print",ExpressionUUID->"28b0029a-fd88-4320-8915-c13fa3307680"],
Cell[1582554, 31466, 624, 13, 22, "Print",ExpressionUUID->"55f98516-d7c3-4418-bde8-66e040a054ab"],
Cell[1583181, 31481, 712, 15, 22, "Print",ExpressionUUID->"0f0be72a-edaf-434a-8e4f-5351d7d8f450"],
Cell[1583896, 31498, 626, 13, 22, "Print",ExpressionUUID->"fcf375b6-c0c5-478a-b533-3d950b17d7e8"],
Cell[1584525, 31513, 713, 15, 22, "Print",ExpressionUUID->"27f15550-5bcf-4773-9c73-b2af4867261b"],
Cell[1585241, 31530, 626, 13, 22, "Print",ExpressionUUID->"ce7f87cc-e70d-4799-8bc3-b7ee5e10f535"],
Cell[1585870, 31545, 712, 15, 22, "Print",ExpressionUUID->"f2e4c099-a893-4b83-a2dd-77a2309ff134"],
Cell[1586585, 31562, 624, 13, 22, "Print",ExpressionUUID->"7f6b52ad-d8d5-4f20-8f73-c4963df89e92"],
Cell[1587212, 31577, 710, 15, 22, "Print",ExpressionUUID->"165c1a34-038e-4620-9231-94046af8bfe8"],
Cell[1587925, 31594, 624, 13, 22, "Print",ExpressionUUID->"5a068f3e-a4df-4b73-bf1c-50f67e4be87d"],
Cell[1588552, 31609, 710, 15, 22, "Print",ExpressionUUID->"3b9e056a-1e69-43c6-990c-f9034e871f7f"],
Cell[1589265, 31626, 624, 13, 22, "Print",ExpressionUUID->"e43ce357-9403-47bd-ae4b-beeda7e003f1"],
Cell[1589892, 31641, 715, 15, 22, "Print",ExpressionUUID->"0a2292c0-048f-459d-8c64-b732c533cbad"],
Cell[1590610, 31658, 622, 13, 22, "Print",ExpressionUUID->"2c6d7ee2-5dd1-4393-a3ad-9bb6f2694b70"],
Cell[1591235, 31673, 713, 15, 22, "Print",ExpressionUUID->"fcf9ced3-28c6-4795-937e-3e117b3cca6f"],
Cell[1591951, 31690, 621, 13, 22, "Print",ExpressionUUID->"d6d78c22-7db0-4e31-a965-bde87dccc9e3"],
Cell[1592575, 31705, 712, 15, 22, "Print",ExpressionUUID->"66d1efb8-c404-40d2-b9b7-9f80bd1a6f6b"],
Cell[1593290, 31722, 624, 13, 22, "Print",ExpressionUUID->"3f4e1efb-34c5-4888-9c7e-4aedaf96e96b"],
Cell[1593917, 31737, 712, 15, 22, "Print",ExpressionUUID->"18e35aa1-cf1d-41c1-a108-e7bf781afffc"],
Cell[1594632, 31754, 622, 13, 22, "Print",ExpressionUUID->"ffb2af23-7746-4aa7-8bde-dea71a0ae2a7"],
Cell[1595257, 31769, 712, 15, 22, "Print",ExpressionUUID->"84eb6afe-13a7-4ba4-81dd-2c77765ae0fc"],
Cell[1595972, 31786, 624, 13, 22, "Print",ExpressionUUID->"5347fda2-4404-45a4-8d8d-1cfe242226c6"],
Cell[1596599, 31801, 710, 15, 22, "Print",ExpressionUUID->"eeed5c32-f82b-465e-968a-397cd038e45d"],
Cell[1597312, 31818, 624, 13, 22, "Print",ExpressionUUID->"8ab4d1ca-c76f-4692-ae21-2ecabd20b009"],
Cell[1597939, 31833, 712, 15, 22, "Print",ExpressionUUID->"a8a1576c-fbfd-49c2-ab48-50b4889a6c75"],
Cell[1598654, 31850, 624, 13, 22, "Print",ExpressionUUID->"e6f28606-3b4f-4cb8-8711-853b6085a7ac"],
Cell[1599281, 31865, 710, 15, 22, "Print",ExpressionUUID->"b7307692-8820-48d8-a467-bf5114b2bf27"],
Cell[1599994, 31882, 626, 13, 22, "Print",ExpressionUUID->"4e0b1567-bcfe-4bf0-a6cf-a326ede122ae"],
Cell[1600623, 31897, 712, 15, 22, "Print",ExpressionUUID->"c3ddfcf3-9d52-4de1-824c-4101a4cdee0c"],
Cell[1601338, 31914, 624, 13, 22, "Print",ExpressionUUID->"f9b25d30-c95a-41b1-86f8-a09c63aaaec1"],
Cell[1601965, 31929, 709, 15, 22, "Print",ExpressionUUID->"f2e2dc9f-e54b-4227-b34f-822e15b8705a"],
Cell[1602677, 31946, 650, 13, 22, "Print",ExpressionUUID->"bd86f2d3-46cb-4aea-b3a6-85a0a564efe3"],
Cell[1603330, 31961, 710, 15, 22, "Print",ExpressionUUID->"d619b8a4-9839-4943-acaa-08b841f0ad90"],
Cell[1604043, 31978, 652, 13, 22, "Print",ExpressionUUID->"d8ceda8e-666a-4d1a-a995-d399034a7517"],
Cell[1604698, 31993, 712, 15, 22, "Print",ExpressionUUID->"12b4c80e-dd21-41c4-be20-46642707909b"],
Cell[1605413, 32010, 650, 13, 22, "Print",ExpressionUUID->"6abc5fee-b0a9-4ef3-ac02-04262cca8061"],
Cell[1606066, 32025, 710, 15, 22, "Print",ExpressionUUID->"02c30c88-6385-40c8-9a48-baaae0436663"],
Cell[1606779, 32042, 650, 13, 22, "Print",ExpressionUUID->"279f9832-9d8c-4fe6-b766-020ab1312528"],
Cell[1607432, 32057, 712, 15, 22, "Print",ExpressionUUID->"cbc24dc0-cbd1-48c3-af10-689f89e02a7e"],
Cell[1608147, 32074, 650, 13, 22, "Print",ExpressionUUID->"735c9810-abb3-47c6-a1e5-7711677f5adf"],
Cell[1608800, 32089, 710, 15, 22, "Print",ExpressionUUID->"cd87cd90-9ee4-4afe-8245-b3e6d184c6f8"],
Cell[1609513, 32106, 652, 13, 22, "Print",ExpressionUUID->"dd8079db-721a-4e7e-8d60-65a0c48c9f95"],
Cell[1610168, 32121, 712, 15, 22, "Print",ExpressionUUID->"1c82f023-b585-4d7e-893f-16a262c88c4a"],
Cell[1610883, 32138, 650, 13, 22, "Print",ExpressionUUID->"a4d40278-2024-4d19-8c92-32143f5b90a7"],
Cell[1611536, 32153, 712, 15, 22, "Print",ExpressionUUID->"e55c8387-56d6-46b4-9c37-28d9737feecf"],
Cell[1612251, 32170, 652, 13, 22, "Print",ExpressionUUID->"ef520141-64d9-42cd-8483-57d03b0b3601"],
Cell[1612906, 32185, 710, 15, 22, "Print",ExpressionUUID->"dfd035ff-2ce8-4e3a-9551-6cd5b7567bf9"],
Cell[1613619, 32202, 652, 13, 22, "Print",ExpressionUUID->"0d496b12-da6b-48e9-a5c7-70b23d9bd6c2"],
Cell[1614274, 32217, 710, 15, 22, "Print",ExpressionUUID->"48ee67df-8c7f-451c-8d13-b6574fb04452"],
Cell[1614987, 32234, 652, 13, 22, "Print",ExpressionUUID->"4789d6aa-96e9-46df-8f77-bdde426c449e"],
Cell[1615642, 32249, 715, 15, 22, "Print",ExpressionUUID->"f4221d40-084a-4438-a5f8-dc8dc583b3a0"],
Cell[1616360, 32266, 621, 13, 22, "Print",ExpressionUUID->"48d38cda-b39b-4e4b-bc4b-54fa32dcc850"],
Cell[1616984, 32281, 712, 15, 22, "Print",ExpressionUUID->"59d9f69c-f2f5-42b7-a565-e08c1a08b863"],
Cell[1617699, 32298, 622, 13, 22, "Print",ExpressionUUID->"f1fc4fe2-5629-4a91-ab13-b4d352a06d1b"],
Cell[1618324, 32313, 712, 15, 22, "Print",ExpressionUUID->"385f9c07-be9f-4e2e-a00a-561b40d354ec"],
Cell[1619039, 32330, 624, 13, 22, "Print",ExpressionUUID->"104d44fe-cce3-4af0-bf98-4b19146de011"],
Cell[1619666, 32345, 712, 15, 22, "Print",ExpressionUUID->"4f9f4c9b-788f-4688-99d5-97c83c0cd76e"],
Cell[1620381, 32362, 622, 13, 22, "Print",ExpressionUUID->"04f899e0-a039-486d-9c65-83dc3c2dfe7b"],
Cell[1621006, 32377, 710, 15, 22, "Print",ExpressionUUID->"d3484457-21e1-45b6-9669-b3a647ff409b"],
Cell[1621719, 32394, 624, 13, 22, "Print",ExpressionUUID->"0bb27ad1-db84-423d-a5c9-7594e82eb1e2"],
Cell[1622346, 32409, 710, 15, 22, "Print",ExpressionUUID->"0183622a-7684-454c-99d3-cf8f3a9e11f6"],
Cell[1623059, 32426, 626, 13, 22, "Print",ExpressionUUID->"0c245591-5f09-4124-8c6a-38b82f0385e3"],
Cell[1623688, 32441, 715, 15, 22, "Print",ExpressionUUID->"4c06d3b3-8dab-4aa4-a02c-b6cb36bbf447"],
Cell[1624406, 32458, 624, 13, 22, "Print",ExpressionUUID->"b97db9c4-2ce8-466f-8f08-8f7f77938441"],
Cell[1625033, 32473, 713, 15, 22, "Print",ExpressionUUID->"bd547f2f-38de-48dc-97a1-482b541b93e0"],
Cell[1625749, 32490, 626, 13, 22, "Print",ExpressionUUID->"90b7a4fa-7d59-4d63-b8f9-33b1edb97cdc"],
Cell[1626378, 32505, 710, 15, 22, "Print",ExpressionUUID->"d671f562-d4c6-4b02-ae04-8b86bf0aaff9"],
Cell[1627091, 32522, 626, 13, 22, "Print",ExpressionUUID->"989a76d3-4062-4b78-92fa-5f34e5505d27"],
Cell[1627720, 32537, 710, 15, 22, "Print",ExpressionUUID->"e612977a-1953-4e04-9b82-6605434a6da9"],
Cell[1628433, 32554, 624, 13, 22, "Print",ExpressionUUID->"4ec1c49a-c398-4a75-99a4-ec1e89c6494e"],
Cell[1629060, 32569, 710, 15, 22, "Print",ExpressionUUID->"4ae00897-44af-4bb5-bd5b-1e551316d1a4"],
Cell[1629773, 32586, 620, 13, 22, "Print",ExpressionUUID->"3de646e6-5bc3-41c0-b7aa-84c2e4fd8ce0"],
Cell[1630396, 32601, 712, 15, 22, "Print",ExpressionUUID->"90c7ea3d-9dd3-4f08-8259-b6e4550339e0"],
Cell[1631111, 32618, 619, 13, 22, "Print",ExpressionUUID->"eff4d993-3587-4f5b-9388-02ac3d8b1907"],
Cell[1631733, 32633, 712, 15, 22, "Print",ExpressionUUID->"d885576f-55c0-4ee4-8be9-870b5cc65ef1"],
Cell[1632448, 32650, 620, 13, 22, "Print",ExpressionUUID->"a9076fc9-8ad7-4707-8dfb-cad95ecfa0a7"],
Cell[1633071, 32665, 710, 15, 22, "Print",ExpressionUUID->"d172cb4d-78d8-4e59-b189-e3bb315d9a26"],
Cell[1633784, 32682, 622, 13, 22, "Print",ExpressionUUID->"577a5090-dea4-4bec-a0da-b7bd48a9add6"],
Cell[1634409, 32697, 710, 15, 22, "Print",ExpressionUUID->"e35d8bf7-e400-4bc6-bd6a-13464880e92c"],
Cell[1635122, 32714, 620, 13, 22, "Print",ExpressionUUID->"42b938d7-5c3a-4a72-b5db-d271fe9ebc68"],
Cell[1635745, 32729, 712, 15, 22, "Print",ExpressionUUID->"249d23bf-b4b7-4cb9-8d89-c91caa2ed6a0"],
Cell[1636460, 32746, 650, 13, 22, "Print",ExpressionUUID->"6ddb23cf-e1e3-41c0-8a18-001a7c5bfa4c"],
Cell[1637113, 32761, 712, 15, 22, "Print",ExpressionUUID->"c026545f-72b4-48de-9df4-8254ac9e7952"],
Cell[1637828, 32778, 650, 13, 22, "Print",ExpressionUUID->"11132d89-5d26-4af4-8fc3-5a1767a6ec6a"],
Cell[1638481, 32793, 712, 15, 22, "Print",ExpressionUUID->"5cd8cea5-436e-4658-abc7-9037691f0098"],
Cell[1639196, 32810, 652, 13, 22, "Print",ExpressionUUID->"402a91f3-18df-478a-9f05-78d3d61bcb66"],
Cell[1639851, 32825, 710, 15, 22, "Print",ExpressionUUID->"cc3900a9-1234-4f21-81a3-26c58a94c568"],
Cell[1640564, 32842, 652, 13, 22, "Print",ExpressionUUID->"d7be01db-fc27-49cf-b9be-6defa898fb61"],
Cell[1641219, 32857, 710, 15, 22, "Print",ExpressionUUID->"fa180f69-7447-430b-877f-7f9d349d177c"],
Cell[1641932, 32874, 652, 13, 22, "Print",ExpressionUUID->"0a82eb58-8988-4919-8a8e-98464aae24a4"],
Cell[1642587, 32889, 710, 15, 22, "Print",ExpressionUUID->"35c70b4f-2556-45cb-9732-b03241c3c31b"],
Cell[1643300, 32906, 650, 13, 22, "Print",ExpressionUUID->"3ec63e9a-b4b4-4e80-8024-646fca9fa3a9"],
Cell[1643953, 32921, 710, 15, 22, "Print",ExpressionUUID->"d96d1f4a-0617-4155-b030-74f20328e34a"],
Cell[1644666, 32938, 649, 13, 22, "Print",ExpressionUUID->"eb9ced2e-ccf6-4af1-82be-bfbbd75260f7"],
Cell[1645318, 32953, 712, 15, 22, "Print",ExpressionUUID->"947af4a6-7d14-46d7-983b-b81369b8cb30"],
Cell[1646033, 32970, 652, 13, 22, "Print",ExpressionUUID->"652cee9d-6ffc-46ee-89ac-e3901c6851cc"],
Cell[1646688, 32985, 715, 15, 22, "Print",ExpressionUUID->"61b297f0-85b5-48f0-8531-8e685d34d5a8"],
Cell[1647406, 33002, 650, 13, 22, "Print",ExpressionUUID->"4eccb938-8634-44e5-9cbc-7cfbb80c63de"],
Cell[1648059, 33017, 710, 15, 22, "Print",ExpressionUUID->"f0faa90d-af28-468c-82b2-a455b10c3617"],
Cell[1648772, 33034, 652, 13, 22, "Print",ExpressionUUID->"88067663-303b-455b-bf5c-83eac62a2aca"],
Cell[1649427, 33049, 712, 15, 22, "Print",ExpressionUUID->"70bffe2b-66c1-4721-a4e3-8366c7aac06c"],
Cell[1650142, 33066, 626, 13, 22, "Print",ExpressionUUID->"bebafa20-1f59-4a68-be6c-5efdf2750c2b"],
Cell[1650771, 33081, 712, 15, 22, "Print",ExpressionUUID->"fdaabac3-40be-4ae2-a6c6-83d28394b78b"],
Cell[1651486, 33098, 626, 13, 22, "Print",ExpressionUUID->"00c52f70-b18a-4d00-b243-acf883028649"],
Cell[1652115, 33113, 712, 15, 22, "Print",ExpressionUUID->"c289e7cf-080e-40bb-967c-97cc407de4d1"],
Cell[1652830, 33130, 626, 13, 22, "Print",ExpressionUUID->"e8519dde-6795-4a34-94eb-a9a869fc7378"],
Cell[1653459, 33145, 712, 15, 22, "Print",ExpressionUUID->"654a3e22-a683-4ece-b001-960cf416c4ae"],
Cell[1654174, 33162, 624, 13, 22, "Print",ExpressionUUID->"499e26a5-1f6c-4f29-b4c3-823cd0b190d2"],
Cell[1654801, 33177, 712, 15, 22, "Print",ExpressionUUID->"e8757302-92e8-4ef3-a512-0d9e68b0e236"],
Cell[1655516, 33194, 626, 13, 22, "Print",ExpressionUUID->"4c2bc111-481c-43e5-8653-1bf73156cf66"],
Cell[1656145, 33209, 712, 15, 22, "Print",ExpressionUUID->"5781d956-d4f6-4863-b275-609e46adaf0b"],
Cell[1656860, 33226, 620, 13, 22, "Print",ExpressionUUID->"583e4a02-3544-414d-9c29-3b9f298842a2"],
Cell[1657483, 33241, 712, 15, 22, "Print",ExpressionUUID->"67cd68ff-a585-4971-95ab-a7181a8729f3"],
Cell[1658198, 33258, 620, 13, 22, "Print",ExpressionUUID->"1033ab59-9ef0-44ab-bb71-89071098498c"],
Cell[1658821, 33273, 710, 15, 22, "Print",ExpressionUUID->"4a353c87-08a6-4707-b360-07aa751c0e73"],
Cell[1659534, 33290, 622, 13, 22, "Print",ExpressionUUID->"d918916a-672a-4f71-8fe7-0d18494c3624"],
Cell[1660159, 33305, 710, 15, 22, "Print",ExpressionUUID->"7c5651be-588f-453a-9be5-4e9a66b69b97"],
Cell[1660872, 33322, 622, 13, 22, "Print",ExpressionUUID->"4f721898-296a-4729-a9d8-8e15d0228789"],
Cell[1661497, 33337, 712, 15, 22, "Print",ExpressionUUID->"e6b8d4cf-31f6-4855-a1a3-1798ae245dca"],
Cell[1662212, 33354, 620, 13, 22, "Print",ExpressionUUID->"b73b42db-ea73-4116-9d75-778d5ee9ed53"],
Cell[1662835, 33369, 710, 15, 22, "Print",ExpressionUUID->"bc46ea11-4276-418f-b1e2-a741abded1b6"],
Cell[1663548, 33386, 624, 13, 22, "Print",ExpressionUUID->"861bea50-753c-456e-a6fa-7b3123967955"],
Cell[1664175, 33401, 712, 15, 22, "Print",ExpressionUUID->"468cf2dd-62f8-4207-acef-e574803152b0"],
Cell[1664890, 33418, 624, 13, 22, "Print",ExpressionUUID->"1dd9f063-b93b-4b85-a57b-c1434e106191"],
Cell[1665517, 33433, 710, 15, 22, "Print",ExpressionUUID->"3e9c7fc6-3987-4765-8910-45dd563bf2d6"],
Cell[1666230, 33450, 624, 13, 22, "Print",ExpressionUUID->"8cf70e7a-5be5-4455-ba7e-220d21db111d"],
Cell[1666857, 33465, 708, 15, 22, "Print",ExpressionUUID->"015258f5-733e-4f02-8ce7-2c0f29aa2e6f"],
Cell[1667568, 33482, 626, 13, 22, "Print",ExpressionUUID->"8b302264-7c14-4745-9558-2b86f8159a55"],
Cell[1668197, 33497, 712, 15, 22, "Print",ExpressionUUID->"4e769e8e-d6a3-4dba-a0e5-40a2faac4e11"],
Cell[1668912, 33514, 626, 13, 22, "Print",ExpressionUUID->"05be4845-ed71-4463-a33d-44265d0ea1dd"],
Cell[1669541, 33529, 712, 15, 22, "Print",ExpressionUUID->"7d80fec7-09e4-4790-8f67-dc7f602772a8"],
Cell[1670256, 33546, 650, 13, 22, "Print",ExpressionUUID->"cc1e3aea-35d0-4a99-929a-3bfe6770ce4d"],
Cell[1670909, 33561, 710, 15, 22, "Print",ExpressionUUID->"1c43a2e0-8418-4412-b1cb-7a3b9e25b87b"],
Cell[1671622, 33578, 652, 13, 22, "Print",ExpressionUUID->"de02fb40-ad8e-466a-a9ef-2d741a65f71b"],
Cell[1672277, 33593, 710, 15, 22, "Print",ExpressionUUID->"67416ecf-c54c-480c-be6d-079515652720"],
Cell[1672990, 33610, 652, 13, 22, "Print",ExpressionUUID->"f3f9fffe-0c87-40a5-b813-8b658748a8b4"],
Cell[1673645, 33625, 712, 15, 22, "Print",ExpressionUUID->"a09b8cd9-f3d0-439c-81ac-edda1d6ba4a7"],
Cell[1674360, 33642, 652, 13, 22, "Print",ExpressionUUID->"36997003-f796-4a44-87df-309e9614641f"],
Cell[1675015, 33657, 710, 15, 22, "Print",ExpressionUUID->"a7b58577-85e2-4b17-a4d7-1a4d2c90030a"],
Cell[1675728, 33674, 650, 13, 22, "Print",ExpressionUUID->"449a80fd-e8e1-48c9-b8c3-e0f5f08470ed"],
Cell[1676381, 33689, 712, 15, 22, "Print",ExpressionUUID->"51bd0020-bede-40a7-a31e-c5f425220555"],
Cell[1677096, 33706, 650, 13, 22, "Print",ExpressionUUID->"13e8a72c-1b36-4801-b868-e902fea42c6d"],
Cell[1677749, 33721, 712, 15, 22, "Print",ExpressionUUID->"1c0bf036-b2a1-458d-9a42-51399f882139"],
Cell[1678464, 33738, 652, 13, 22, "Print",ExpressionUUID->"871fb079-7f53-4a03-84ea-5eb6d2db5f54"],
Cell[1679119, 33753, 712, 15, 22, "Print",ExpressionUUID->"3a65266b-b499-493b-9df3-7a8b189a7f8d"],
Cell[1679834, 33770, 652, 13, 22, "Print",ExpressionUUID->"8ba0f650-212b-4f38-b2de-84cddeee8dbe"],
Cell[1680489, 33785, 710, 15, 22, "Print",ExpressionUUID->"b1ceb2db-4c0e-4b78-8393-622655de6f02"],
Cell[1681202, 33802, 650, 13, 22, "Print",ExpressionUUID->"2e27ffd6-c168-402d-8617-cdecf700f8fa"],
Cell[1681855, 33817, 710, 15, 22, "Print",ExpressionUUID->"4ec615e8-2c20-46f4-af65-be2cf0ce6f36"],
Cell[1682568, 33834, 650, 13, 22, "Print",ExpressionUUID->"b9ce3aa6-6626-4f93-94a4-0337ead6794d"],
Cell[1683221, 33849, 712, 15, 22, "Print",ExpressionUUID->"fdc62c08-9981-4e8e-985b-3f255d94c882"],
Cell[1683936, 33866, 618, 13, 22, "Print",ExpressionUUID->"fba0d929-9676-4629-b42b-fe7a74e83cf9"],
Cell[1684557, 33881, 712, 15, 22, "Print",ExpressionUUID->"e6a8773a-d4b5-455e-87e4-39f6cd8b3b96"],
Cell[1685272, 33898, 618, 13, 22, "Print",ExpressionUUID->"94ec5a13-d31e-4869-ad0f-69d6446a74ae"],
Cell[1685893, 33913, 712, 15, 22, "Print",ExpressionUUID->"343c863f-f339-48b8-ac74-2c9fd5570bd1"],
Cell[1686608, 33930, 618, 13, 22, "Print",ExpressionUUID->"2d112451-d6ed-417b-beb0-be6c8b0f6079"],
Cell[1687229, 33945, 712, 15, 22, "Print",ExpressionUUID->"7cb6079c-ebbb-4892-a8e5-d8d1b1b3b209"],
Cell[1687944, 33962, 620, 13, 22, "Print",ExpressionUUID->"932a7001-db4f-4503-829f-3aece9af9874"],
Cell[1688567, 33977, 712, 15, 22, "Print",ExpressionUUID->"220e0288-5efe-4a9a-ad19-d13a291a9a47"],
Cell[1689282, 33994, 620, 13, 22, "Print",ExpressionUUID->"60146073-7782-4564-b9a6-b8beb45fd7b1"],
Cell[1689905, 34009, 712, 15, 22, "Print",ExpressionUUID->"82e7c357-c4d8-4393-9e1e-773d15727248"],
Cell[1690620, 34026, 620, 13, 22, "Print",ExpressionUUID->"1810ad22-b40a-4083-b12a-26c10eb6baf8"],
Cell[1691243, 34041, 710, 15, 22, "Print",ExpressionUUID->"f234d351-3c1d-46ee-84d4-f74430c51edf"],
Cell[1691956, 34058, 12016, 242, 92, "Output",ExpressionUUID->"340e52b6-e9f3-48fa-9fd5-e1454c5e0a73"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1704009, 34305, 22171, 548, 903, "Input",ExpressionUUID->"62bcb7f5-8b44-4f05-b30e-28c0f15225d5"],
Cell[1726183, 34855, 1387, 23, 22, "Print",ExpressionUUID->"c87d9072-2721-41e4-bba7-f8e949a939de"],
Cell[1727573, 34880, 1380, 23, 22, "Print",ExpressionUUID->"7a603745-d56e-457b-a479-958475d99f7d"],
Cell[1728956, 34905, 1319, 23, 22, "Print",ExpressionUUID->"978b17b0-daef-47ed-bd74-0fe410ec23bf"],
Cell[1730278, 34930, 1345, 23, 22, "Print",ExpressionUUID->"33b46ae6-f789-46fe-9e3d-ff017936af80"],
Cell[1731626, 34955, 1387, 24, 22, "Print",ExpressionUUID->"a225750f-079b-47e3-8a49-738e168d2119"],
Cell[1733016, 34981, 1394, 23, 24, "Print",ExpressionUUID->"eb7d64fe-72ec-4186-9816-cc2ff00e8fcf"],
Cell[1734413, 35006, 1416, 24, 24, "Print",ExpressionUUID->"1ffff5a6-0021-4b0c-87b6-a7525be9518a"],
Cell[1735832, 35032, 1372, 23, 24, "Print",ExpressionUUID->"31d304b8-f500-437d-a942-a1e9e7b96bbd"],
Cell[1737207, 35057, 383394, 7144, 633, "Output",ExpressionUUID->"61e28a36-eba3-4a50-8cc0-6be741511a49"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2120638, 42206, 10017, 264, 276, "Input",ExpressionUUID->"2f320c4a-30cb-4c9c-8d6e-10a02119850c"],
Cell[2130658, 42472, 171487, 3481, 386, "Output",ExpressionUUID->"325adc05-5021-4441-80d5-2e6a2393c052"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[2302206, 45960, 420, 6, 53, "Section",ExpressionUUID->"5a99d29b-be84-4ffa-b4cf-644a7c366614"],
Cell[CellGroupData[{
Cell[2302651, 45970, 219, 4, 53, "Subsection",ExpressionUUID->"fd5a7f0e-6cc7-493f-bca4-30a00db45223"],
Cell[CellGroupData[{
Cell[2302895, 45978, 159, 3, 31, "Item",ExpressionUUID->"e240a68e-b39c-49c6-971f-ddbe92916455"],
Cell[2303057, 45983, 31840, 488, 371, "Input",ExpressionUUID->"2cf4eaa5-cc02-4d1b-8afd-31107ee796ef"]
}, Closed]],
Cell[CellGroupData[{
Cell[2334934, 46476, 216, 4, 27, "Item",ExpressionUUID->"bed8cbb3-e49d-42f7-915f-d0c747dc9aa5"],
Cell[CellGroupData[{
Cell[2335175, 46484, 15064, 279, 447, "Input",ExpressionUUID->"4c14092c-b925-4881-ab46-5e02a8136d51"],
Cell[2350242, 46765, 470, 10, 22, "Print",ExpressionUUID->"f7170bfe-ba3c-4e68-900d-c373860fdcfc"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[2350761, 46781, 215, 4, 27, "Item",ExpressionUUID->"0d436b46-6f00-4fa2-ac90-552549956949"],
Cell[CellGroupData[{
Cell[2351001, 46789, 34136, 647, 884, "Input",ExpressionUUID->"991d0b38-e307-4a96-a3a1-bc22a571cd2f"],
Cell[2385140, 47438, 13119, 227, 227, "Output",ExpressionUUID->"e0f50566-da57-4022-905c-79c875c53bcc"],
Cell[2398262, 47667, 13801, 237, 229, "Output",ExpressionUUID->"dd47d88b-8b22-4a2c-b3da-71980212a8ab"],
Cell[2412066, 47906, 13897, 239, 227, "Output",ExpressionUUID->"399ecb05-1c27-434a-aafc-05f55c745494"],
Cell[2425966, 48147, 4344, 64, 22, "Print",ExpressionUUID->"4e3e0d40-a039-43e7-8ccc-7a291f0d3902"],
Cell[2430313, 48213, 4458, 67, 22, "Print",ExpressionUUID->"ede61b65-95e0-44f9-8a4a-977f05f0a4dc"],
Cell[2434774, 48282, 4461, 67, 22, "Print",ExpressionUUID->"7df813b0-495a-471d-8659-f24f300d8321"],
Cell[2439238, 48351, 4407, 65, 22, "Print",ExpressionUUID->"0e5aa539-f7d5-4b28-a6c7-48b9c9fbf968"],
Cell[2443648, 48418, 4404, 65, 22, "Print",ExpressionUUID->"30e8dfba-9fe9-4ef5-94b3-46b4e5c9437b"],
Cell[2448055, 48485, 4407, 65, 22, "Print",ExpressionUUID->"00da4541-b0fe-4aa4-801c-18b31f683812"],
Cell[2452465, 48552, 4301, 62, 22, "Print",ExpressionUUID->"3aa3010e-2b2c-44b8-a3ce-98d41348f55f"],
Cell[2456769, 48616, 4341, 63, 22, "Print",ExpressionUUID->"08aba8b7-256d-457d-a503-f14c3d540fa1"],
Cell[2461113, 48681, 4385, 65, 22, "Print",ExpressionUUID->"8b742326-fedb-4a00-8d64-d39a22ae2b26"],
Cell[2465501, 48748, 4452, 68, 22, "Print",ExpressionUUID->"7ab59744-6035-4404-9518-1ca762f68db0"],
Cell[2469956, 48818, 4313, 62, 22, "Print",ExpressionUUID->"ec1b2a2c-9a88-46df-9041-a6aefe2fdede"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2474330, 48887, 314, 5, 53, "Subsection",ExpressionUUID->"e2831d80-8d10-4cec-9040-a20f09be2dbd"],
Cell[2474647, 48894, 21782, 554, 998, "Input",ExpressionUUID->"2888cf45-05cf-49c0-9c0e-16020343629d"],
Cell[CellGroupData[{
Cell[2496454, 49452, 1193, 29, 28, "Input",ExpressionUUID->"37c8890c-c852-473a-8931-250c0183ad98"],
Cell[2497650, 49483, 984, 18, 22, "Print",ExpressionUUID->"a43c3379-0d82-434d-a622-432e19b62188"],
Cell[2498637, 49503, 982, 18, 22, "Print",ExpressionUUID->"7fb452bb-9af1-40e7-b107-d43cb9970473"],
Cell[2499622, 49523, 981, 18, 22, "Print",ExpressionUUID->"9ec49cc3-5259-4235-98cc-0ef85756ff6f"],
Cell[2500606, 49543, 982, 18, 22, "Print",ExpressionUUID->"b1277fa9-53d6-460d-969b-dce7c5345841"],
Cell[2501591, 49563, 982, 18, 22, "Print",ExpressionUUID->"4698d180-7455-4ce9-a804-b10845578b54"],
Cell[2502576, 49583, 982, 18, 22, "Print",ExpressionUUID->"41b42a95-b636-48ad-90cf-08605a1d0b0e"],
Cell[2503561, 49603, 982, 18, 22, "Print",ExpressionUUID->"d50880db-8598-4287-9e82-ed897150fdc9"],
Cell[2504546, 49623, 984, 18, 22, "Print",ExpressionUUID->"fb147875-cc9f-4b99-9d89-b4d8e4e4a9c1"],
Cell[2505533, 49643, 984, 18, 22, "Print",ExpressionUUID->"6d36ead9-9911-4ae7-8529-50d509bdde58"],
Cell[2506520, 49663, 984, 18, 22, "Print",ExpressionUUID->"38737bab-3052-4c3d-ba62-a9a5b4af49ed"],
Cell[2507507, 49683, 982, 18, 22, "Print",ExpressionUUID->"c79bcdfd-a382-4c21-90d7-65061364fb9f"],
Cell[2508492, 49703, 984, 18, 22, "Print",ExpressionUUID->"0ef1aa85-c6e0-4ecb-bf67-a22faab309e5"],
Cell[2509479, 49723, 982, 18, 22, "Print",ExpressionUUID->"cabd7ee8-1d70-474e-bd2c-1d6f216c1da3"],
Cell[2510464, 49743, 982, 18, 22, "Print",ExpressionUUID->"9f6f79f3-91d1-407f-ba49-d16e2835b179"],
Cell[2511449, 49763, 984, 18, 22, "Print",ExpressionUUID->"a6db8694-de0b-44d5-b1fd-9e59bc89d811"],
Cell[2512436, 49783, 982, 18, 22, "Print",ExpressionUUID->"25b2b331-d671-4b74-8530-04c542ca34be"],
Cell[2513421, 49803, 982, 18, 22, "Print",ExpressionUUID->"24d42afa-ed10-474e-a579-d30397da458f"],
Cell[2514406, 49823, 984, 18, 22, "Print",ExpressionUUID->"0df1f220-5001-4553-8e10-c7cf2fe47c43"],
Cell[2515393, 49843, 591, 12, 39, "Message",ExpressionUUID->"16bb2aed-feaa-43e6-bfc0-4dc2d692480d"],
Cell[2515987, 49857, 979, 18, 22, "Print",ExpressionUUID->"c3a0ecfd-32c4-4b71-bcbc-33485dfcc988"],
Cell[2516969, 49877, 982, 18, 22, "Print",ExpressionUUID->"a23de0ac-fa91-408b-8b16-c4bfe18712f7"],
Cell[2517954, 49897, 984, 18, 22, "Print",ExpressionUUID->"26c0337a-7203-45fc-b817-bfc011736f4e"],
Cell[2518941, 49917, 982, 18, 22, "Print",ExpressionUUID->"67f750af-8ac5-4342-b36e-2147099787d0"],
Cell[2519926, 49937, 982, 18, 22, "Print",ExpressionUUID->"74e7fbe5-ed11-4d6c-a8a7-38add8ee6411"],
Cell[2520911, 49957, 984, 18, 22, "Print",ExpressionUUID->"4abae1a0-6618-438f-a7cb-3387051da9d1"],
Cell[2521898, 49977, 979, 18, 22, "Print",ExpressionUUID->"41f2d409-f419-4ae5-b208-04f75705dd34"],
Cell[2522880, 49997, 981, 18, 22, "Print",ExpressionUUID->"bacf0341-e6ee-43a8-bcec-6cc34e34ae07"],
Cell[2523864, 50017, 982, 18, 22, "Print",ExpressionUUID->"8af17797-1f42-4f94-9c20-7a27b2945636"],
Cell[2524849, 50037, 984, 18, 22, "Print",ExpressionUUID->"ce7cad65-e07b-48ed-87dd-c3ff33b51ee6"],
Cell[2525836, 50057, 982, 18, 22, "Print",ExpressionUUID->"68860a8e-99e4-49e9-bba1-f41b518aa5cb"],
Cell[2526821, 50077, 982, 18, 22, "Print",ExpressionUUID->"95708a4a-631e-4017-aec4-fea83245a7d0"],
Cell[2527806, 50097, 981, 18, 22, "Print",ExpressionUUID->"6b2c151e-4d4e-49c8-8c72-28b3b371ba50"],
Cell[2528790, 50117, 984, 18, 22, "Print",ExpressionUUID->"0f516e43-412d-4c2c-9435-545a387d82ac"],
Cell[2529777, 50137, 589, 12, 39, "Message",ExpressionUUID->"2ed1feaf-94d1-4605-a229-168aad842fd4"],
Cell[2530369, 50151, 982, 18, 22, "Print",ExpressionUUID->"eef3e0df-8005-434f-a53a-759c4f9aea6d"],
Cell[2531354, 50171, 982, 18, 22, "Print",ExpressionUUID->"ef8278b0-f00e-44cd-990d-2deb81503ddf"],
Cell[2532339, 50191, 984, 18, 22, "Print",ExpressionUUID->"e6d3dfcb-347f-43c5-b1f4-97ac98c6d732"],
Cell[2533326, 50211, 982, 18, 22, "Print",ExpressionUUID->"dfb471ac-da01-4222-8b23-ad27fe75a1e9"],
Cell[2534311, 50231, 982, 18, 22, "Print",ExpressionUUID->"5cb06bfd-28ca-4fa2-9e1e-1bf9496bc691"],
Cell[2535296, 50251, 984, 18, 22, "Print",ExpressionUUID->"db325a08-8cc6-415d-a822-ae395ccd2a34"],
Cell[2536283, 50271, 984, 18, 22, "Print",ExpressionUUID->"2fe83a49-ebd9-4914-8b8a-41cfa1f0d629"],
Cell[2537270, 50291, 982, 18, 22, "Print",ExpressionUUID->"129b38dd-024b-4b3c-9749-0b80895b7763"],
Cell[2538255, 50311, 982, 18, 22, "Print",ExpressionUUID->"745f44b4-6f97-4209-b2fb-502637649148"],
Cell[2539240, 50331, 982, 18, 22, "Print",ExpressionUUID->"2ed14a89-3e99-46fe-90cd-cdf7340df405"],
Cell[2540225, 50351, 984, 18, 22, "Print",ExpressionUUID->"d5ee7cb8-f19a-4373-b1c4-f4cc72a47707"],
Cell[2541212, 50371, 984, 18, 22, "Print",ExpressionUUID->"9f972ffa-925b-4c47-afc4-2c847fb7fc7e"],
Cell[2542199, 50391, 979, 18, 22, "Print",ExpressionUUID->"645082fb-abcb-485d-a302-626e80d7dbfa"],
Cell[2543181, 50411, 984, 18, 22, "Print",ExpressionUUID->"4a8c304d-c764-4ae8-83b8-653b829160f4"],
Cell[2544168, 50431, 979, 18, 22, "Print",ExpressionUUID->"54c4a71a-c2cd-402d-9b18-414f08062f44"],
Cell[2545150, 50451, 984, 18, 22, "Print",ExpressionUUID->"1fd7d822-d329-4ae3-9ac1-c6da5300843e"],
Cell[2546137, 50471, 984, 18, 22, "Print",ExpressionUUID->"bbe5b47c-fef4-4901-869f-8d995222464b"],
Cell[2547124, 50491, 979, 18, 22, "Print",ExpressionUUID->"1891bb75-9ae8-47a6-be6c-02afda263f1a"],
Cell[2548106, 50511, 982, 18, 22, "Print",ExpressionUUID->"2e9cff5a-8412-4a08-a8aa-d266328621e2"],
Cell[2549091, 50531, 984, 18, 22, "Print",ExpressionUUID->"9d16d80f-41d8-458d-b7d7-d88ee908ad19"],
Cell[2550078, 50551, 984, 18, 22, "Print",ExpressionUUID->"6e9f4306-8b02-483e-be68-f1055bfcf66e"],
Cell[2551065, 50571, 984, 18, 22, "Print",ExpressionUUID->"c3a06108-9a15-4e42-8e18-73b51220eb70"],
Cell[2552052, 50591, 984, 18, 22, "Print",ExpressionUUID->"32dc7312-7785-4bd0-849c-9408c2bdb9a8"],
Cell[2553039, 50611, 984, 18, 22, "Print",ExpressionUUID->"84cd08e2-a137-4a93-a315-1bcb3f87a39a"],
Cell[2554026, 50631, 984, 18, 22, "Print",ExpressionUUID->"f2f9fa12-5990-4b85-a6a6-c933bc3eb725"],
Cell[2555013, 50651, 982, 18, 22, "Print",ExpressionUUID->"de9738df-368c-46dc-b965-ab6b2e855d5f"],
Cell[2555998, 50671, 981, 18, 22, "Print",ExpressionUUID->"91f2966c-cf64-4a41-b398-004ce9777da9"],
Cell[2556982, 50691, 984, 18, 22, "Print",ExpressionUUID->"471a72d3-6f55-44f1-8302-426809a96618"],
Cell[2557969, 50711, 12370, 246, 90, "Output",ExpressionUUID->"e5b0601f-fc2c-43e8-b07a-93dd84b0d4fb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2570376, 50962, 19728, 496, 713, "Input",ExpressionUUID->"5a5d4c84-0a54-4ab6-86bc-2d680e726531"],
Cell[2590107, 51460, 552, 12, 22, "Print",ExpressionUUID->"d5c2c0f9-c705-47ee-992f-78588544de91"],
Cell[2590662, 51474, 563, 12, 24, "Print",ExpressionUUID->"ba4271be-7b7c-43b9-a17e-eb91601647ff"],
Cell[2591228, 51488, 616, 12, 22, "Print",ExpressionUUID->"19ecd2f0-e2cb-41d7-bea3-ca5df06c5854"],
Cell[2591847, 51502, 615, 12, 22, "Print",ExpressionUUID->"e2ba344a-da5d-41ba-a564-63f0f89e426f"],
Cell[2592465, 51516, 625, 12, 24, "Print",ExpressionUUID->"d391ca9b-3dbd-4ebd-bf0c-4fedf85218d5"],
Cell[2593093, 51530, 648, 13, 24, "Print",ExpressionUUID->"a6906c4e-a3d4-49fd-b90f-6211e7ed68b6"],
Cell[2593744, 51545, 702, 15, 24, "Print",ExpressionUUID->"8dc064c8-bb53-4021-a793-0ffd558c61a0"],
Cell[2594449, 51562, 371366, 6887, 865, "Output",ExpressionUUID->"ba991618-75f5-4862-9ccb-8ec43b5be13f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2965852, 58454, 10017, 264, 276, "Input",ExpressionUUID->"61c3a087-ab75-4d00-9c55-38bb6ddbbfa6"],
Cell[2975872, 58720, 257728, 5089, 473, "Output",ExpressionUUID->"43dbb58e-ec08-4f9c-97c9-0757f429b7e6"]
}, Open  ]]
}, Closed]]
}, Closed]]
}
]
*)

