(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    261999,       5367]
NotebookOptionsPosition[    257785,       5220]
NotebookOutlinePosition[    258151,       5236]
CellTagsIndexPosition[    258108,       5233]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
  "SetDirectory", "[", "\"\<C:\\\\SrBEC\\\\Mathematica\\\\\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ComputerArithmetic`"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<ErrorBarPlots`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseUsefulConstants`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseStrontium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "BaseRubidium`"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{"<<", "BaseFunctions`"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
   "SetDirectory", "[", 
    "\"\<C:\\\\SrBEC\\\\Mathematica\\\\Data Files\\\\\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5762145050325127`*^9, 3.5762146061362906`*^9}, {
   3.5771775675*^9, 3.5771775870625*^9}, 3.5775300583180485`*^9, 
   3.578201945757494*^9, {3.582267332776631*^9, 3.582267340873045*^9}, 
   3.5822673792803125`*^9, 3.584118926375*^9, {3.680418450025509*^9, 
   3.6804184511155105`*^9}, {3.68050357578312*^9, 3.6805035822231293`*^9}, {
   3.680503637373205*^9, 3.6805036458332167`*^9}, {3.680504532805441*^9, 
   3.6805045410154524`*^9}, {3.6817976261212807`*^9, 
   3.6817976329906735`*^9}, {3.6817977392057486`*^9, 
   3.6817977488022976`*^9}, {3.6818074135660906`*^9, 3.681807420485486*^9}, {
   3.6823996065237646`*^9, 3.6823996070237656`*^9}, {3.6848482267833843`*^9, 
   3.6848482288165007`*^9}, 3.6859571731158414`*^9, {3.6882049093334904`*^9, 
   3.6882049101925397`*^9}, 3.7293185251859407`*^9, 3.7398856462338476`*^9, {
   3.8085797207509584`*^9, 3.8085797217610164`*^9}, {3.8086343017968073`*^9, 
   3.808634304957988*^9}}],

Cell["Dressed state picture", "Section",
 CellChangeTimes->{{3.6875117298574204`*^9, 3.6875117474274445`*^9}, {
  3.6877752385061474`*^9, 3.687775243568437*^9}}],

Cell[CellGroupData[{

Cell["Polarizations", "Item",
 CellChangeTimes->{{3.6822405470525923`*^9, 3.6822405592526093`*^9}, {
  3.8044114867119093`*^9, 3.804411492690251*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "Folling", " ", "the", " ", "aproch", " ", "of", " ", "Jooks", " ", 
    "lecture", " ", "notes", " ", "Ch11", " ", "and", " ", "12", " ", "\\\\", 
    RowBox[{
     RowBox[{"public", ".", "uva", ".", "nl"}], "\\", "fnwi"}]}], "-", 
   RowBox[{
    RowBox[{
    "public", "\\", "qgases", "\\", "groups", "\\", "strontium", "\\", 
     "RodrigoGonzalezEscudero", "\\", "Bibliography", "\\", "Lecture"}], " ", 
    "Notes"}]}], " ", "*)"}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.784816505715234*^9, 3.7848165084811697`*^9}},
 ExpressionUUID -> "2b7f1ea6-f698-4c2b-a3dd-2ffa39938ac4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Coordinate", " ", "system", " ", "used", " ", "Follows"}], " ", 
   "*)"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Assume", " ", "quantization", " ", "axis", " ", "on", " ", "Z"}], 
   " ", "*)"}]}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.7848158997291517`*^9, 3.7848159219015875`*^9}, {
  3.7848160063547964`*^9, 3.784816007667451*^9}},
 ExpressionUUID -> "d6550d01-3937-4090-8a90-461a75dd3d1d"],

Cell[BoxData[
 RowBox[{
  GraphicsBox[
   TagBox[RasterBox[CompressedData["
1:eJzsnQdAFMf+xwVE00xMLyZ5Ly/+U15emtGoMU2Nxphijd1YsCRq7L2LJfYe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     "], {{0, 377}, {954, 0}}, {0, 255},
     ColorFunction->RGBColor],
    BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
    Selectable->False],
   DefaultBaseStyle->"ImageGraphics",
   ImageSize->{795.0909090909079, Automatic},
   ImageSizeRaw->{954, 377},
   PlotRange->{{0, 954}, {0, 377}}], ";"}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{3.784816518432972*^9},
 ExpressionUUID -> "6d2adfa1-a756-4458-a5c3-46d0e54c05ca"],

Cell[CellGroupData[{

Cell["Loading projections formulae", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.804411142965248*^9}, {
  3.80441129824813*^9, 3.8044113385044317`*^9}, {3.8082113930043793`*^9, 
  3.8082113935274096`*^9}, {3.8082114246771913`*^9, 3.8082114399040623`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Polarization", " ", "of", " ", "light", " ", "decomposition", " ", "For", 
    " ", "example", " ", "Right", " ", "circular", " ", "would", " ", "be", 
    " ", 
    FractionBox[
     RowBox[{"-", "1"}], 
     RowBox[{"\[Sqrt]", "2"}]], 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["\[Epsilon]", "\[Alpha]"], "+", " ", 
      RowBox[{"I", "*", 
       SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], ")"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kvector", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Alpha]"], "=", "  ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", "\[Phi]", "]"}], ",", 
       RowBox[{"-", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", "0"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Beta]"], "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]", "]"}], "*", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"-", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Spherical", " ", "basis", " ", "for", " ", "the", " ", "unit", " ", 
      "vectors"}], ",", " ", 
     RowBox[{
     "assuming", " ", "quantization", " ", "axis", " ", "on", " ", "Z", " ", 
      "direction"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox["U", "+"], "=", 
     RowBox[{
      RowBox[{"-", " ", 
       FractionBox["1", 
        RowBox[{"\[Sqrt]", "2"}]]}], "*", 
      RowBox[{"{", 
       RowBox[{"1", ",", "I", ",", "0"}], "}"}]}]}], ";", 
    RowBox[{
     SubscriptBox["U", "-"], "=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"\[Sqrt]", "2"}]], "*", 
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"-", "I"}], ",", "0"}], "}"}]}]}], ";", 
    RowBox[{
     SubscriptBox["U", "0"], "=", " ", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Typical", " ", "light", " ", "polarizations"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LightPolarizationCR", "=", " ", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SubscriptBox["\[Epsilon]", "\[Alpha]"], "+", 
        RowBox[{"I", "*", 
         SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], 
       RowBox[{"\[Sqrt]", "2"}]]}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"Circular", " ", "right"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LightPolarizationCL", "=", " ", 
     FractionBox[
      RowBox[{
       SubscriptBox["\[Epsilon]", "\[Alpha]"], "-", 
       RowBox[{"I", "*", 
        SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], 
      RowBox[{"\[Sqrt]", "2"}]]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"Circular", " ", "Left"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LightPolarizationL", "=", " ", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SubscriptBox["\[Epsilon]", "\[Alpha]"], "-", 
        SubscriptBox["\[Epsilon]", "\[Beta]"]}], 
       RowBox[{"\[Sqrt]", "2"}]]}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"Lineal", " ", "45", " ", "degree"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"LightPolarizationY", "=", " ", 
      RowBox[{"-", 
       SubscriptBox["\[Epsilon]", "\[Alpha]"]}]}], ";"}], 
    RowBox[{"(*", 
     RowBox[{"Y", " ", "axis"}], " ", "*)"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"LightPolarizationX", "=", " ", 
      RowBox[{"-", 
       SubscriptBox["\[Epsilon]", "\[Beta]"]}]}], ";"}], 
    RowBox[{"(*", 
     RowBox[{"X", " ", "axis"}], " ", "*)"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.795005671685852*^9, 3.7950057011645384`*^9}, {
  3.804408605228098*^9, 3.804408624033173*^9}, {3.804408966934786*^9, 
  3.8044089672088013`*^9}, {3.8082127412954974`*^9, 3.80821274587776*^9}},
 ExpressionUUID -> "52ba7409-2956-48c5-8c17-134a563bf3f3"]
}, Closed]],

Cell[CellGroupData[{

Cell["Orientation of the Bfield", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.804411142965248*^9}, {
  3.80441129824813*^9, 3.8044113385044317`*^9}, {3.8082113930043793`*^9, 
  3.8082113935274096`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Bfield", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0.42", ",", "0.74"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"from", " ", 
    RowBox[{"onenote", ":", "  ", 
     RowBox[{"190508", "-", " ", "SSBEC", " ", "-", " ", 
      RowBox[{
      "SSBEC", " ", "reservoir", " ", "local", " ", "B", " ", "field", " ", 
       "map"}]}]}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BfieldNormed", " ", "=", 
   RowBox[{"Bfield", "/", 
    RowBox[{"Norm", "[", "Bfield", "]"}]}]}], " ", ";"}]}], "Input",
 CellChangeTimes->{{3.804408844202766*^9, 3.8044088745235004`*^9}, {
  3.8044091034285927`*^9, 3.804409108747897*^9}, {3.8044113143010473`*^9, 
  3.8044113179772577`*^9}, {3.8056521129672003`*^9, 3.805652113160211*^9}, {
  3.808211383344827*^9, 3.8082113836608453`*^9}, {3.8084765457885666`*^9, 
  3.808476555827141*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Effect of the vertical transparency LHC", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.8044111080262494`*^9}, {
  3.804414670342002*^9, 3.804414677282399*^9}, {3.808215214748971*^9, 
  3.8082152167370844`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"ArcCos", "[", 
    RowBox[{"BfieldNormed", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"Pi", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationCL"}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pol", " ", "=", " ", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "-"], "]"}]}], " ", ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "0"], "]"}]}], ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
      RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPolLHC", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPolLHC", ",", 
   "\"\< given for the electric field\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044082612934256`*^9, 3.8044083847984896`*^9}, {
   3.8044084172363453`*^9, 3.8044084391265974`*^9}, {3.804408496642887*^9, 
   3.804408563356703*^9}, {3.8044086650335183`*^9, 3.804408665886567*^9}, 
   3.8044087628051105`*^9, {3.8044088334571514`*^9, 3.80440883360816*^9}, {
   3.8044091120900884`*^9, 3.8044091900175457`*^9}, {3.8044092575084057`*^9, 
   3.804409302565983*^9}, {3.804409373810058*^9, 3.8044093974804115`*^9}, {
   3.804409448958356*^9, 3.8044094492753744`*^9}, 3.8044094864124985`*^9, {
   3.8044095860421968`*^9, 3.804409601217065*^9}, {3.8044096990636616`*^9, 
   3.804409702382851*^9}, {3.804409792598011*^9, 3.80440981355321*^9}, {
   3.8044098580337543`*^9, 3.8044098646001296`*^9}, {3.8044098972059946`*^9, 
   3.80440990621751*^9}, {3.8044099367192545`*^9, 3.8044099806397667`*^9}, {
   3.804410018519933*^9, 3.8044103647667375`*^9}, {3.804410410636361*^9, 
   3.8044104330616436`*^9}, {3.8044106312079773`*^9, 3.804410753591977*^9}, {
   3.8044108143234506`*^9, 3.8044108297133307`*^9}, {3.804410884366457*^9, 
   3.804410884755479*^9}, {3.804411026070562*^9, 3.8044110538101482`*^9}, {
   3.804413470604381*^9, 3.8044134765937233`*^9}, {3.804414057645958*^9, 
   3.804414061824197*^9}, {3.8044147025278435`*^9, 3.8044147028548617`*^9}, {
   3.8044147701537113`*^9, 3.804414774910983*^9}, {3.8044148618989587`*^9, 
   3.8044148622769804`*^9}, {3.804415208774799*^9, 3.8044152359053507`*^9}, {
   3.804415528424082*^9, 3.8044155832672186`*^9}, {3.804415621245391*^9, 
   3.804415662960777*^9}, {3.804415878989133*^9, 3.804415942648774*^9}, 
   3.804416260459952*^9, {3.8084589013853645`*^9, 3.8084589078937364`*^9}, 
   3.808476230827552*^9, {3.808476565712706*^9, 3.808476567472807*^9}, 
   3.8084767383255787`*^9, {3.8084768325189667`*^9, 3.8084768453767023`*^9}, {
   3.808476891872361*^9, 3.8084768919973683`*^9}, 3.808476995736302*^9, {
   3.8084772242423716`*^9, 3.808477226815519*^9}, {3.8085405316172066`*^9, 
   3.8085405392336426`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.7468027597291909`", ",", "0.6149608081659436`", ",", 
     "0.25319724027080914`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" given for the electric field\"\>"}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.7468027597291909, 0.6149608081659436, 0.25319724027080914`},
    " given for the electric field"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044159262698374`*^9, 3.804415929351013*^9}, {
   3.8044162558326874`*^9, 3.8044162607839704`*^9}, 3.8082111944630237`*^9, 
   3.808458874187809*^9, {3.8084589047165546`*^9, 3.8084589088517914`*^9}, 
   3.8084629222933474`*^9, 3.808476232233632*^9, 3.8084765678998313`*^9, 
   3.8084767391736274`*^9, 3.808476855172262*^9, 3.808476892431393*^9, {
   3.8084772270835342`*^9, 3.8084772330818777`*^9}, 3.8085398530133924`*^9, 
   3.808540553967485*^9, 3.8085788093498297`*^9, 3.808635599687042*^9, 
   3.8086356617555923`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Effect of the vertical transparency RHC", "Text",
 CellChangeTimes->{{3.8044110679359565`*^9, 3.8044111080262494`*^9}, {
  3.804414670342002*^9, 3.804414677282399*^9}, {3.808215214748971*^9, 
  3.8082152341990833`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Theta]1", "=", 
   RowBox[{"ArcCos", "[", 
    RowBox[{"BfieldNormed", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", 
   RowBox[{"Pi", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LightPolarization", " ", "=", " ", "LightPolarizationCR"}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pol", " ", "=", " ", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "-"], "]"}]}], " ", ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "0"], "]"}]}], ",", 
       RowBox[{"LightPolarization", ".", 
        RowBox[{"Conjugate", "[", 
         SubscriptBox["U", "+"], "]"}]}]}], "}"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", "\[Theta]1"}], ",", " ", 
      RowBox[{"\[Phi]", "\[Rule]", " ", "\[Phi]1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"normPolRHC", " ", "=", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Norm", ",", "pol"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "normPolRHC", ",", 
   "\"\< given for the electric field\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8044082612934256`*^9, 3.8044083847984896`*^9}, {
   3.8044084172363453`*^9, 3.8044084391265974`*^9}, {3.804408496642887*^9, 
   3.804408563356703*^9}, {3.8044086650335183`*^9, 3.804408665886567*^9}, 
   3.8044087628051105`*^9, {3.8044088334571514`*^9, 3.80440883360816*^9}, {
   3.8044091120900884`*^9, 3.8044091900175457`*^9}, {3.8044092575084057`*^9, 
   3.804409302565983*^9}, {3.804409373810058*^9, 3.8044093974804115`*^9}, {
   3.804409448958356*^9, 3.8044094492753744`*^9}, 3.8044094864124985`*^9, {
   3.8044095860421968`*^9, 3.804409601217065*^9}, {3.8044096990636616`*^9, 
   3.804409702382851*^9}, {3.804409792598011*^9, 3.80440981355321*^9}, {
   3.8044098580337543`*^9, 3.8044098646001296`*^9}, {3.8044098972059946`*^9, 
   3.80440990621751*^9}, {3.8044099367192545`*^9, 3.8044099806397667`*^9}, {
   3.804410018519933*^9, 3.8044103647667375`*^9}, {3.804410410636361*^9, 
   3.8044104330616436`*^9}, {3.8044106312079773`*^9, 3.804410753591977*^9}, {
   3.8044108143234506`*^9, 3.8044108297133307`*^9}, {3.804410884366457*^9, 
   3.804410884755479*^9}, {3.804411026070562*^9, 3.8044110538101482`*^9}, {
   3.804413470604381*^9, 3.8044134765937233`*^9}, {3.804414057645958*^9, 
   3.804414061824197*^9}, {3.8044147025278435`*^9, 3.8044147028548617`*^9}, {
   3.8044147701537113`*^9, 3.804414774910983*^9}, {3.8044148618989587`*^9, 
   3.8044148622769804`*^9}, {3.804415208774799*^9, 3.8044152359053507`*^9}, {
   3.804415528424082*^9, 3.8044155832672186`*^9}, {3.804415621245391*^9, 
   3.804415662960777*^9}, {3.804415878989133*^9, 3.804415942648774*^9}, 
   3.804416260459952*^9, {3.8082152254775844`*^9, 3.8082152270916767`*^9}, {
   3.808458885944481*^9, 3.8084588907697573`*^9}, {3.8084670894966974`*^9, 
   3.808467105646621*^9}, 3.808467390399908*^9, 3.8084674901806154`*^9, {
   3.808476484680071*^9, 3.8084764886252966`*^9}, {3.8084767236497393`*^9, 
   3.808476728818035*^9}, {3.808476837058226*^9, 3.808476849993966*^9}, {
   3.8084768903412733`*^9, 3.8084768905852876`*^9}, 3.808477002133668*^9, {
   3.808477212429696*^9, 3.8084772160559034`*^9}, 3.8085405493042183`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.25319724027080914`", ",", "0.6149608081659436`", ",", 
     "0.7468027597291909`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" given for the electric field\"\>"}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.25319724027080914`, 0.6149608081659436, 0.7468027597291909},
    " given for the electric field"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8044159262698374`*^9, 3.804415929351013*^9}, {
   3.8044162558326874`*^9, 3.8044162607839704`*^9}, 3.8082111944630237`*^9, 
   3.8082152275537033`*^9, 3.808458874225811*^9, 3.8084589094888277`*^9, 
   3.8084629223243484`*^9, {3.8084670776020174`*^9, 3.8084671060146422`*^9}, 
   3.8084673908219323`*^9, 3.8084674904776325`*^9, 3.808476233626712*^9, 
   3.8084764896633563`*^9, 3.8084766162685976`*^9, {3.8084767262008853`*^9, 
   3.808476729290062*^9}, {3.808476837762266*^9, 3.8084768507730103`*^9}, 
   3.8084768944135065`*^9, 3.8084772169819565`*^9, 3.8084772506258807`*^9, 
   3.808477692819173*^9, 3.8085398531404*^9, 3.808540553981486*^9, 
   3.8085788093868313`*^9, 3.8086355997280445`*^9, 3.808635661787594*^9}]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Dressed state picture", "Item",
 CellChangeTimes->{{3.8082114819864693`*^9, 3.808211492731084*^9}}],

Cell[CellGroupData[{

Cell["Load experimental data", "Text",
 CellChangeTimes->{{3.8082162960278163`*^9, 3.808216302624194*^9}}],

Cell[CellGroupData[{

Cell["BP version (obsolete)", "Subsubitem",
 CellChangeTimes->{{3.8086330684542637`*^9, 3.8086330773647738`*^9}, {
  3.808634923373359*^9, 3.8086349264005327`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"intensityBeam1", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1.212923131", ",", "3.125815117", ",", "4.194469857"}],
     "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"energPlus1", "=", 
   RowBox[{"{", 
    RowBox[{"1.79", ",", " ", "2.595", ",", "3.24", ",", "4.24"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataPlus1", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"intensityBeam1", ",", "energPlus1"}], "}"}], "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intensityBeam2", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.197701127", ",", "1.212923131", ",", "2.228145134", ",", 
     "3.125815117"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"energ0", "=", 
   RowBox[{"{", 
    RowBox[{"0.13", ",", "0.69", ",", "1.74", ",", "2.34"}], "}"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"data0", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"intensityBeam2", ",", "energ0"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intensityBeam3", "=", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1.212923131", ",", "2.228145134", ",", "4.194469857", ",", 
     "5.343273704", ",", "0.06091332", ",", "0.105262492", ",", "0.342503844",
      ",", "0.892326709", ",", "2.794532147", ",", "3.831127246", ",", 
     "5.744019232", ",", "9.190430771"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"energMinus1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.8"}], ",", 
     RowBox[{"-", "0.86"}], ",", 
     RowBox[{"-", "0.36"}], ",", "0.12", ",", "0.345", ",", 
     RowBox[{"-", "1.710"}], ",", 
     RowBox[{"-", "1.655"}], ",", 
     RowBox[{"-", "1.420"}], ",", 
     RowBox[{"-", "1.240"}], ",", "0.030", ",", "0.260", ",", "0.435", ",", 
     "0.450"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataMinus1", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"intensityBeam3", ",", "energMinus1"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotMinus1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dataMinus1", ",", 
     RowBox[{"Frame", "->", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", " ", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", " ", "24"}], "]"}]}], " ", ",", 
     RowBox[{"ImageSize", "\[Rule]", "700"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Directive", "[", 
        RowBox[{"Blue", ",", 
         RowBox[{"PointSize", "[", "0.02", "]"}]}], "]"}], "}"}]}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plot0", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"data0", ",", 
     RowBox[{"Frame", "->", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", " ", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", " ", "24"}], "]"}]}], " ", ",", 
     RowBox[{"ImageSize", "\[Rule]", "700"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Directive", "[", 
        RowBox[{"Red", ",", 
         RowBox[{"PointSize", "[", "0.02", "]"}]}], "]"}], "}"}]}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"plotPlus1", "=", 
    RowBox[{"ListPlot", "[", 
     RowBox[{"dataPlus1", ",", 
      RowBox[{"Frame", "->", "True"}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", " ", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", " ", "24"}], "]"}]}], " ", ",", 
      RowBox[{"ImageSize", "\[Rule]", "700"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Directive", "[", 
         RowBox[{"Green", ",", 
          RowBox[{"PointSize", "[", "0.02", "]"}]}], "]"}], "}"}]}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"plotMinus1", ",", "plot0", ",", "plotPlus1"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", " ", 
   RowBox[{"FrameLabel", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Intensity (MW/m^2)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Energy (MHz)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}]}], "}"}]}]}], 
  "]"}]}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.808578868694224*^9, 3.8085790819724226`*^9}, {
  3.8085791542945595`*^9, 3.8085793537159653`*^9}, {3.808633826709634*^9, 
  3.8086338328229833`*^9}, {3.8086340417699347`*^9, 3.808634086773508*^9}, {
  3.8086341254027176`*^9, 3.808634125823742*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {{}, 
     {RGBColor[0, 0, 1], PointSize[0.02], AbsoluteThickness[1.6], 
      PointBox[{{0., -1.8}, {1.212923131, -0.86}, {2.228145134, -0.36}, {
       4.194469857, 0.12}, {5.343273704, 0.345}, {0.06091332, -1.71}, {
       0.105262492, -1.655}, {0.342503844, -1.42}, {0.892326709, -1.24}, {
       2.794532147, 0.03}, {3.831127246, 0.26}, {5.744019232, 0.435}, {
       9.190430771, 0.45}}]}, {}}, {}}, {{}, {{}, 
     {RGBColor[1, 0, 0], PointSize[0.02], AbsoluteThickness[1.6], 
      PointBox[{{0.197701127, 0.13}, {1.212923131, 0.69}, {2.228145134, 
       1.74}, {3.125815117, 2.34}}]}, {}}, {}}, {{}, {{}, 
     {RGBColor[0, 1, 0], PointSize[0.02], AbsoluteThickness[1.6], 
      PointBox[{{0., 1.79}, {1.212923131, 2.595}, {3.125815117, 3.24}, {
       4.194469857, 4.24}}]}, {}}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{
    FormBox[
     StyleBox[
     "\"Intensity (MW/m^2)\"", FontSize -> 24, StripOnInput -> False], 
     TraditionalForm], 
    FormBox[
     StyleBox["\"Energy (MHz)\"", FontSize -> 24, StripOnInput -> False], 
     TraditionalForm]},
  FrameStyle->Directive[FontSize -> 24],
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->700,
  Method->{},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.8085793558550878`*^9, 3.808579591556569*^9, {3.8086340734027433`*^9, 
   3.8086340873795433`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["CC version (obsolete)", "Subsubitem",
 CellChangeTimes->{{3.8086330975449276`*^9, 3.8086331007611113`*^9}, {
  3.808634929905733*^9, 3.808634933836958*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"intensityBeam1", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.000", ",", " ", "1.213", ",", " ", "3.126", ",", " ", "4.194", ",", 
     " ", "5.343"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"energPlus1", "=", 
   RowBox[{"{", 
    RowBox[{
    "1.790", ",", " ", "2.825", ",", " ", "4.440", ",", " ", "5.940", ",", 
     " ", "6.740"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataPlus1", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"intensityBeam1", ",", "energPlus1"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intensityBeam2", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.198", ",", " ", "1.213", ",", " ", "2.228", ",", " ", "3.126", ",", 
     " ", "5.343"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"energ0", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.2", ",", "1.08", ",", " ", "2.14", ",", " ", "3.34", ",", " ", 
     "4.54"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"data0", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"intensityBeam2", ",", "energ0"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intensityBeam3", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.00000", ",", "0.06091", ",", "0.10526", ",", "0.16724", ",", "0.34250",
      ",", "0.56639", ",", "0.89233", ",", "1.05262", ",", "2.09456", ",", 
     "2.79453", ",", "3.83113", ",", "5.74402", ",", "9.19043"}], "}"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"energMinus1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.800"}], ",", 
     RowBox[{"-", "1.705"}], ",", 
     RowBox[{"-", "1.635"}], ",", 
     RowBox[{"-", "1.580"}], ",", 
     RowBox[{"-", "1.330"}], ",", 
     RowBox[{"-", "1.120"}], ",", 
     RowBox[{"-", "0.860"}], ",", 
     RowBox[{"-", "0.740"}], ",", 
     RowBox[{"-", "0.110"}], ",", "0.080", ",", "0.360", ",", "0.410", ",", 
     "0.460"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataMinus1", " ", "=", " ", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"intensityBeam3", ",", "energMinus1"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotMinus1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dataMinus1", ",", 
     RowBox[{"Frame", "->", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", " ", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", " ", "24"}], "]"}]}], " ", ",", 
     RowBox[{"ImageSize", "\[Rule]", "700"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Directive", "[", 
        RowBox[{"Blue", ",", 
         RowBox[{"PointSize", "[", "0.02", "]"}]}], "]"}], "}"}]}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plot0", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"data0", ",", 
     RowBox[{"Frame", "->", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", " ", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", " ", "24"}], "]"}]}], " ", ",", 
     RowBox[{"ImageSize", "\[Rule]", "700"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Directive", "[", 
        RowBox[{"Red", ",", 
         RowBox[{"PointSize", "[", "0.02", "]"}]}], "]"}], "}"}]}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"plotPlus1", "=", 
    RowBox[{"ListPlot", "[", 
     RowBox[{"dataPlus1", ",", 
      RowBox[{"Frame", "->", "True"}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", " ", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", " ", "24"}], "]"}]}], " ", ",", 
      RowBox[{"ImageSize", "\[Rule]", "700"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Directive", "[", 
         RowBox[{"Green", ",", 
          RowBox[{"PointSize", "[", "0.02", "]"}]}], "]"}], "}"}]}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"plotMinus1", ",", "plot0", ",", "plotPlus1"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", " ", 
   RowBox[{"FrameLabel", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Intensity (MW/m^2)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Energy (MHz)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}]}], "}"}]}]}], 
  "]"}]}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.8084570401799097`*^9, 3.808457380555378*^9}, {
   3.808457478778996*^9, 3.8084575500020695`*^9}, {3.808457591606449*^9, 
   3.808457593241543*^9}, {3.8084576497867765`*^9, 3.8084577732278376`*^9}, {
   3.8084578092468977`*^9, 3.808457938120269*^9}, {3.808458303298156*^9, 
   3.8084583458565903`*^9}, {3.8084587230071616`*^9, 
   3.8084587679827337`*^9}, {3.8084589926155825`*^9, 3.808459048196761*^9}, 
   3.8084591148815756`*^9, {3.8084592133652086`*^9, 3.8084593840519714`*^9}, {
   3.8084594143627048`*^9, 3.8084594462895308`*^9}, {3.8084594789814005`*^9, 
   3.8084597558612375`*^9}, {3.8084598144565887`*^9, 
   3.8084598172837505`*^9}, {3.808634096994093*^9, 3.8086341397135363`*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {{}, 
     {RGBColor[0, 0, 1], PointSize[0.02], AbsoluteThickness[1.6], 
      PointBox[{{0., -1.8}, {0.06091, -1.705}, {0.10526, -1.635}, {
       0.16724, -1.58}, {0.3425, -1.33}, {0.56639, -1.12}, {0.89233, -0.86}, {
       1.05262, -0.74}, {2.09456, -0.11}, {2.79453, 0.08}, {3.83113, 0.36}, {
       5.74402, 0.41}, {9.19043, 0.46}}]}, {}}, {}}, {{}, {{}, 
     {RGBColor[1, 0, 0], PointSize[0.02], AbsoluteThickness[1.6], 
      PointBox[{{0.198, 0.2}, {1.213, 1.08}, {2.228, 2.14}, {3.126, 3.34}, {
       5.343, 4.54}}]}, {}}, {}}, {{}, {{}, 
     {RGBColor[0, 1, 0], PointSize[0.02], AbsoluteThickness[1.6], 
      PointBox[{{0., 1.79}, {1.213, 2.825}, {3.126, 4.44}, {4.194, 5.94}, {
       5.343, 6.74}}]}, {}}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{
    FormBox[
     StyleBox[
     "\"Intensity (MW/m^2)\"", FontSize -> 24, StripOnInput -> False], 
     TraditionalForm], 
    FormBox[
     StyleBox["\"Energy (MHz)\"", FontSize -> 24, StripOnInput -> False], 
     TraditionalForm]},
  FrameStyle->Directive[FontSize -> 24],
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->700,
  Method->{},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.8084596460409565`*^9, 3.8084596555945024`*^9}, 
   3.8084597564352703`*^9, 3.8084598186108265`*^9, 3.8084629310098457`*^9, 
   3.8085408372136855`*^9, 3.8085794099301805`*^9, 3.8086341404565787`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Final averaged version", "Subsubitem",
 CellChangeTimes->{{3.80863311349384*^9, 3.808633120685251*^9}, 
   3.808634966760841*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"intensityBeam1", "=", 
   RowBox[{"{", 
    RowBox[{"0.000", ",", "1.213", ",", "3.126", ",", "4.194", ",", "5.343"}],
     "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"energPlus1", "=", 
   RowBox[{"{", 
    RowBox[{"1.790", ",", "2.710", ",", "3.840", ",", "5.090", ",", "6.340"}],
     "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"stdPlus1", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"0.050", ",", "0.163", ",", "0.849", ",", "1.202", ",", "0.566"}],
     "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dataPlus1", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"intensityBeam1", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"energPlus1", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"stdPlus1", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "intensityBeam1", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"weightPlus1", " ", "=", " ", 
    RowBox[{"1.", "/", 
     RowBox[{"stdPlus1", "^", "2."}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intensityBeam2", "=", 
   RowBox[{"{", 
    RowBox[{"0.198", ",", "1.213", ",", "2.228", ",", "3.126", ",", "5.343"}],
     "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"energ0", "=", 
   RowBox[{"{", 
    RowBox[{"0.165", ",", "0.885", ",", "1.940", ",", "2.840", ",", "3.540"}],
     "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"std0", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"0.049", ",", "0.276", ",", "0.283", ",", "0.707", ",", "1.414"}],
     "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data0", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"intensityBeam2", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"energ0", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"std0", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "intensityBeam2", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"weight0", " ", "=", " ", 
    RowBox[{"1.", "/", 
     RowBox[{"std0", "^", "2."}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intensityBeam3", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.000", ",", "1.213", ",", "2.228", ",", "2.741", ",", "4.194", ",", 
     "5.343", ",", "9.618", ",", "0.06091", ",", "0.10526", ",", "0.16724", 
     ",", "0.34250", ",", "0.56639", ",", "0.89233", ",", "1.05262", ",", 
     "2.09456", ",", "2.79453", ",", "3.83113", ",", "5.74402", ",", 
     "9.19043"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"energMinus1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.800"}], ",", 
     RowBox[{"-", "0.810"}], ",", 
     RowBox[{"-", "0.260"}], ",", 
     RowBox[{"-", "0.010"}], ",", "0.280", ",", "0.432", ",", "0.540", ",", 
     RowBox[{"-", "1.708"}], ",", 
     RowBox[{"-", "1.645"}], ",", 
     RowBox[{"-", "1.580"}], ",", 
     RowBox[{"-", "1.375"}], ",", 
     RowBox[{"-", "1.180"}], ",", 
     RowBox[{"-", "1.050"}], ",", 
     RowBox[{"-", "0.750"}], ",", 
     RowBox[{"-", "0.200"}], ",", "0.055", ",", "0.310", ",", "0.422", ",", 
     "0.455"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"stdMinus1", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "0.05", ",", "0.068", ",", "0.068", ",", "0.068", ",", "0.068", ",", 
     "0.068", ",", "0.068", ",", "0.068", ",", "0.068", ",", "0.068", ",", 
     "0.068", ",", "0.068", ",", "0.068", ",", "0.068", ",", "0.068", ",", 
     "0.068", ",", "0.068", ",", "0.068", ",", "0.068"}], "}"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"dataMinus1", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"intensityBeam3", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"energMinus1", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"stdMinus1", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "intensityBeam3", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"weightMinus1", " ", "=", " ", 
    RowBox[{"1.", "/", 
     RowBox[{"stdMinus1", "^", "2."}]}]}], ";"}], "\[IndentingNewLine]", "\n",
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotMinus1", "=", 
   RowBox[{"ErrorListPlot", "[", 
    RowBox[{"dataMinus1", ",", 
     RowBox[{"Frame", "->", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", " ", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", " ", "24"}], "]"}]}], " ", ",", 
     RowBox[{"ImageSize", "\[Rule]", "700"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Directive", "[", 
        RowBox[{"Blue", ",", 
         RowBox[{"PointSize", "[", "0.01", "]"}]}], "]"}], "}"}]}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plot0", "=", 
   RowBox[{"ErrorListPlot", "[", 
    RowBox[{"data0", ",", 
     RowBox[{"Frame", "->", "True"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", " ", 
      RowBox[{"Directive", "[", 
       RowBox[{"FontSize", "\[Rule]", " ", "24"}], "]"}]}], " ", ",", 
     RowBox[{"ImageSize", "\[Rule]", "700"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Directive", "[", 
        RowBox[{"Red", ",", 
         RowBox[{"PointSize", "[", "0.01", "]"}]}], "]"}], "}"}]}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"plotPlus1", "=", 
    RowBox[{"ErrorListPlot", "[", 
     RowBox[{"dataPlus1", ",", 
      RowBox[{"Frame", "->", "True"}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", " ", 
       RowBox[{"Directive", "[", 
        RowBox[{"FontSize", "\[Rule]", " ", "24"}], "]"}]}], " ", ",", 
      RowBox[{"ImageSize", "\[Rule]", "700"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Directive", "[", 
         RowBox[{"Green", ",", 
          RowBox[{"PointSize", "[", "0.01", "]"}]}], "]"}], "}"}]}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"plotMinus1", ",", "plot0", ",", "plotPlus1"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", " ", 
   RowBox[{"FrameLabel", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Intensity (MW/m^2)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Energy (MHz)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}]}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.8084570401799097`*^9, 3.808457380555378*^9}, {
   3.808457478778996*^9, 3.8084575500020695`*^9}, {3.808457591606449*^9, 
   3.808457593241543*^9}, {3.8084576497867765`*^9, 3.8084577732278376`*^9}, {
   3.8084578092468977`*^9, 3.808457938120269*^9}, {3.808458303298156*^9, 
   3.8084583458565903`*^9}, {3.8084587230071616`*^9, 
   3.8084587679827337`*^9}, {3.8084589926155825`*^9, 3.808459048196761*^9}, 
   3.8084591148815756`*^9, {3.8084592133652086`*^9, 3.8084593840519714`*^9}, {
   3.8084594143627048`*^9, 3.8084594462895308`*^9}, {3.8084594789814005`*^9, 
   3.8084597558612375`*^9}, {3.8084598144565887`*^9, 
   3.8084598172837505`*^9}, {3.808633153617135*^9, 3.808633255229947*^9}, {
   3.8086335516218996`*^9, 3.8086337603768396`*^9}, 3.808633913924622*^9, {
   3.808634153661334*^9, 3.808634215968898*^9}, {3.8086342739912167`*^9, 
   3.808634280956615*^9}, {3.808634352674717*^9, 3.808634811881982*^9}, {
   3.808634940819357*^9, 3.808634942597459*^9}, {3.8086349900251713`*^9, 
   3.808635038044918*^9}, {3.808635074144983*^9, 3.808635183299226*^9}, {
   3.8086352391674213`*^9, 3.8086352496360207`*^9}, {3.808635331119681*^9, 
   3.8086354183516703`*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {{}, 
     {RGBColor[0, 0, 1], PointSize[0.01], AbsoluteThickness[1.6], 
      PointBox[CompressedData["
1:eJxTTMoPSmViYGAQBmIQDQNnz4DAn/1zjihsKMr4bP8mcIdc6+uX+3Of/175
8RKjw5ICW67riy/sVwTKTnzL6lAtss79YVXLft1Nc98vPybgAFF/0X6NTFSK
dbyow81z34MfL71tr3z7Z12WjbKDx8MqkA572TX/i2for7dvFwOp+L1/+ebJ
BwM/7bIPAmkP/LWfb6HXWbmMo/YQ9T/3Q8y9ag9x5bf9fYw3X9+Vf2QPMe7T
/tLVz5d8731jD3H/h/3aNzcKdlz/AFX/Yv9f4Zg1Kw4yOMyaCQIn979py+02
imZz0IzpP/RVY439ntOuNerL+ByuLwZ58LL9TPd/CQ9+ijmYxu3y5GG6bX8k
qoarIVHJQR7ouh1yd+0Bsk2b/A==
       "]], {{LineBox[{{0., -1.75}, {0., -1.85}}], 
        LineBox[{
         Offset[{1.5, 0}, {0., -1.75}], Offset[{-1.5, 0}, {0., -1.75}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0., -1.85}], Offset[{-1.5, 0}, {0., -1.85}]}]}, {
        LineBox[{{1.213, -0.742}, {1.213, -0.8780000000000001}}], 
        LineBox[{
         Offset[{1.5, 0}, {1.213, -0.742}], 
          Offset[{-1.5, 0}, {1.213, -0.742}]}], 
        LineBox[{
         Offset[{1.5, 0}, {1.213, -0.8780000000000001}], 
          Offset[{-1.5, 0}, {1.213, -0.8780000000000001}]}]}, {
        LineBox[{{2.228, -0.192}, {2.228, -0.328}}], 
        LineBox[{
         Offset[{1.5, 0}, {2.228, -0.192}], 
          Offset[{-1.5, 0}, {2.228, -0.192}]}], 
        LineBox[{
         Offset[{1.5, 0}, {2.228, -0.328}], 
          Offset[{-1.5, 0}, {2.228, -0.328}]}]}, {
        LineBox[{{2.741, 0.058}, {2.741, -0.078}}], 
        LineBox[{
         Offset[{1.5, 0}, {2.741, 0.058}], 
          Offset[{-1.5, 0}, {2.741, 0.058}]}], 
        LineBox[{
         Offset[{1.5, 0}, {2.741, -0.078}], 
          Offset[{-1.5, 0}, {2.741, -0.078}]}]}, {
        LineBox[{{4.194, 0.34800000000000003`}, {4.194, 
         0.21200000000000002`}}], 
        LineBox[{
         Offset[{1.5, 0}, {4.194, 0.34800000000000003`}], 
          Offset[{-1.5, 0}, {4.194, 0.34800000000000003`}]}], 
        LineBox[{
         Offset[{1.5, 0}, {4.194, 0.21200000000000002`}], 
          Offset[{-1.5, 0}, {4.194, 0.21200000000000002`}]}]}, {
        LineBox[{{5.343, 0.5}, {5.343, 0.364}}], 
        LineBox[{
         Offset[{1.5, 0}, {5.343, 0.5}], Offset[{-1.5, 0}, {5.343, 0.5}]}], 
        LineBox[{
         Offset[{1.5, 0}, {5.343, 0.364}], 
          Offset[{-1.5, 0}, {5.343, 0.364}]}]}, {
        LineBox[{{9.618, 0.6080000000000001}, {9.618, 0.47200000000000003`}}],
         LineBox[{
         Offset[{1.5, 0}, {9.618, 0.6080000000000001}], 
          Offset[{-1.5, 0}, {9.618, 0.6080000000000001}]}], 
        LineBox[{
         Offset[{1.5, 0}, {9.618, 0.47200000000000003`}], 
          Offset[{-1.5, 0}, {9.618, 0.47200000000000003`}]}]}, {
        LineBox[{{0.06091, -1.64}, {0.06091, -1.776}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.06091, -1.64}], 
          Offset[{-1.5, 0}, {0.06091, -1.64}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.06091, -1.776}], 
          Offset[{-1.5, 0}, {0.06091, -1.776}]}]}, {
        LineBox[{{0.10526, -1.577}, {0.10526, -1.713}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.10526, -1.577}], 
          Offset[{-1.5, 0}, {0.10526, -1.577}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.10526, -1.713}], 
          Offset[{-1.5, 0}, {0.10526, -1.713}]}]}, {
        LineBox[{{0.16724, -1.512}, {0.16724, -1.6480000000000001`}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.16724, -1.512}], 
          Offset[{-1.5, 0}, {0.16724, -1.512}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.16724, -1.6480000000000001`}], 
          Offset[{-1.5, 0}, {0.16724, -1.6480000000000001`}]}]}, {
        LineBox[{{0.3425, -1.307}, {0.3425, -1.443}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.3425, -1.307}], 
          Offset[{-1.5, 0}, {0.3425, -1.307}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.3425, -1.443}], 
          Offset[{-1.5, 0}, {0.3425, -1.443}]}]}, {
        LineBox[{{0.56639, -1.1119999999999999`}, {0.56639, -1.248}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.56639, -1.1119999999999999`}], 
          Offset[{-1.5, 0}, {0.56639, -1.1119999999999999`}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.56639, -1.248}], 
          Offset[{-1.5, 0}, {0.56639, -1.248}]}]}, {
        LineBox[{{0.89233, -0.982}, {0.89233, -1.118}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.89233, -0.982}], 
          Offset[{-1.5, 0}, {0.89233, -0.982}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.89233, -1.118}], 
          Offset[{-1.5, 0}, {0.89233, -1.118}]}]}, {
        LineBox[{{1.05262, -0.6819999999999999}, {
         1.05262, -0.8180000000000001}}], 
        LineBox[{
         Offset[{1.5, 0}, {1.05262, -0.6819999999999999}], 
          Offset[{-1.5, 0}, {1.05262, -0.6819999999999999}]}], 
        LineBox[{
         Offset[{1.5, 0}, {1.05262, -0.8180000000000001}], 
          Offset[{-1.5, 0}, {1.05262, -0.8180000000000001}]}]}, {
        LineBox[{{2.09456, -0.132}, {2.09456, -0.268}}], 
        LineBox[{
         Offset[{1.5, 0}, {2.09456, -0.132}], 
          Offset[{-1.5, 0}, {2.09456, -0.132}]}], 
        LineBox[{
         Offset[{1.5, 0}, {2.09456, -0.268}], 
          Offset[{-1.5, 0}, {2.09456, -0.268}]}]}, {
        LineBox[{{2.79453, 0.123}, {2.79453, -0.013000000000000005`}}], 
        LineBox[{
         Offset[{1.5, 0}, {2.79453, 0.123}], 
          Offset[{-1.5, 0}, {2.79453, 0.123}]}], 
        LineBox[{
         Offset[{1.5, 0}, {2.79453, -0.013000000000000005`}], 
          Offset[{-1.5, 0}, {2.79453, -0.013000000000000005`}]}]}, {
        LineBox[{{3.83113, 0.378}, {3.83113, 0.242}}], 
        LineBox[{
         Offset[{1.5, 0}, {3.83113, 0.378}], 
          Offset[{-1.5, 0}, {3.83113, 0.378}]}], 
        LineBox[{
         Offset[{1.5, 0}, {3.83113, 0.242}], 
          Offset[{-1.5, 0}, {3.83113, 0.242}]}]}, {
        LineBox[{{5.74402, 0.49}, {5.74402, 0.354}}], 
        LineBox[{
         Offset[{1.5, 0}, {5.74402, 0.49}], 
          Offset[{-1.5, 0}, {5.74402, 0.49}]}], 
        LineBox[{
         Offset[{1.5, 0}, {5.74402, 0.354}], 
          Offset[{-1.5, 0}, {5.74402, 0.354}]}]}, {
        LineBox[{{9.19043, 0.523}, {9.19043, 0.387}}], 
        LineBox[{
         Offset[{1.5, 0}, {9.19043, 0.523}], 
          Offset[{-1.5, 0}, {9.19043, 0.523}]}], 
        LineBox[{
         Offset[{1.5, 0}, {9.19043, 0.387}], 
          Offset[{-1.5, 0}, {9.19043, 0.387}]}]}}}, {}}, {}}, {{}, {{}, 
     {RGBColor[1, 0, 0], PointSize[0.01], AbsoluteThickness[1.6], 
      PointBox[{{0.198, 0.165}, {1.213, 0.885}, {2.228, 1.94}, {3.126, 
       2.84}, {5.343, 
       3.54}}], {{LineBox[{{0.198, 0.21400000000000002`}, {0.198, 0.116}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.198, 0.21400000000000002`}], 
          Offset[{-1.5, 0}, {0.198, 0.21400000000000002`}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.198, 0.116}], 
          Offset[{-1.5, 0}, {0.198, 0.116}]}]}, {
        LineBox[{{1.213, 1.161}, {1.213, 0.609}}], 
        LineBox[{
         Offset[{1.5, 0}, {1.213, 1.161}], 
          Offset[{-1.5, 0}, {1.213, 1.161}]}], 
        LineBox[{
         Offset[{1.5, 0}, {1.213, 0.609}], 
          Offset[{-1.5, 0}, {1.213, 0.609}]}]}, {
        LineBox[{{2.228, 2.223}, {2.228, 1.657}}], 
        LineBox[{
         Offset[{1.5, 0}, {2.228, 2.223}], 
          Offset[{-1.5, 0}, {2.228, 2.223}]}], 
        LineBox[{
         Offset[{1.5, 0}, {2.228, 1.657}], 
          Offset[{-1.5, 0}, {2.228, 1.657}]}]}, {
        LineBox[{{3.126, 3.5469999999999997`}, {3.126, 2.133}}], 
        LineBox[{
         Offset[{1.5, 0}, {3.126, 3.5469999999999997`}], 
          Offset[{-1.5, 0}, {3.126, 3.5469999999999997`}]}], 
        LineBox[{
         Offset[{1.5, 0}, {3.126, 2.133}], 
          Offset[{-1.5, 0}, {3.126, 2.133}]}]}, {
        LineBox[{{5.343, 4.954}, {5.343, 2.1260000000000003`}}], 
        LineBox[{
         Offset[{1.5, 0}, {5.343, 4.954}], 
          Offset[{-1.5, 0}, {5.343, 4.954}]}], 
        LineBox[{
         Offset[{1.5, 0}, {5.343, 2.1260000000000003`}], 
          Offset[{-1.5, 0}, {5.343, 
           2.1260000000000003`}]}]}}}, {}}, {}}, {{}, {{}, 
     {RGBColor[0, 1, 0], PointSize[0.01], AbsoluteThickness[1.6], 
      PointBox[{{0., 1.79}, {1.213, 2.71}, {3.126, 3.84}, {4.194, 5.09}, {
       5.343, 6.34}}], {{LineBox[{{0., 1.84}, {0., 1.74}}], 
        LineBox[{
         Offset[{1.5, 0}, {0., 1.84}], Offset[{-1.5, 0}, {0., 1.84}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0., 1.74}], Offset[{-1.5, 0}, {0., 1.74}]}]}, {
        LineBox[{{1.213, 2.8729999999999998`}, {1.213, 2.547}}], 
        LineBox[{
         Offset[{1.5, 0}, {1.213, 2.8729999999999998`}], 
          Offset[{-1.5, 0}, {1.213, 2.8729999999999998`}]}], 
        LineBox[{
         Offset[{1.5, 0}, {1.213, 2.547}], 
          Offset[{-1.5, 0}, {1.213, 2.547}]}]}, {
        LineBox[{{3.126, 4.689}, {3.126, 2.9909999999999997`}}], 
        LineBox[{
         Offset[{1.5, 0}, {3.126, 4.689}], 
          Offset[{-1.5, 0}, {3.126, 4.689}]}], 
        LineBox[{
         Offset[{1.5, 0}, {3.126, 2.9909999999999997`}], 
          Offset[{-1.5, 0}, {3.126, 2.9909999999999997`}]}]}, {
        LineBox[{{4.194, 6.292}, {4.194, 3.888}}], 
        LineBox[{
         Offset[{1.5, 0}, {4.194, 6.292}], 
          Offset[{-1.5, 0}, {4.194, 6.292}]}], 
        LineBox[{
         Offset[{1.5, 0}, {4.194, 3.888}], 
          Offset[{-1.5, 0}, {4.194, 3.888}]}]}, {
        LineBox[{{5.343, 6.906}, {5.343, 5.774}}], 
        LineBox[{
         Offset[{1.5, 0}, {5.343, 6.906}], 
          Offset[{-1.5, 0}, {5.343, 6.906}]}], 
        LineBox[{
         Offset[{1.5, 0}, {5.343, 5.774}], 
          Offset[{-1.5, 0}, {5.343, 5.774}]}]}}}, {}}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{
    FormBox[
     StyleBox[
     "\"Intensity (MW/m^2)\"", FontSize -> 24, StripOnInput -> False], 
     TraditionalForm], 
    FormBox[
     StyleBox["\"Energy (MHz)\"", FontSize -> 24, StripOnInput -> False], 
     TraditionalForm]},
  FrameStyle->Directive[FontSize -> 24],
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->700,
  Method->{},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.8086353397171726`*^9, 3.8086354188676996`*^9}, 
   3.808635669377028*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Input parameters", "Text",
 CellChangeTimes->{{3.687786947711975*^9, 3.6877869622018037`*^9}, {
  3.6882023103945208`*^9, 3.68820231615653*^9}, {3.688202987063622*^9, 
  3.688202989963626*^9}, {3.8082154912637863`*^9, 3.808215491459798*^9}, {
  3.808215950650062*^9, 3.8082159571094313`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"waistTranspVert", " ", "=", " ", 
   RowBox[{"23.", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "6."}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalDelta]Transp", "=", " ", 
    RowBox[{"2.", "*", "Pi", "*", "30.", "*", 
     RowBox[{"10", "^", "9."}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"polarVecTransp", " ", "=", "normPolRHC"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Direct", " ", "vector", " ", "polarization", " ", "calculation", " ", 
    RowBox[{"{", 
     RowBox[{
     "0.25319724027080914`", ",", "0.6149608081659436`", ",", 
      "0.7468027597291909`"}], "}"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IfacScal", " ", "=", "1."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"polarVecTransp", " ", "=", "normPolLHC"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Direct", " ", "vector", " ", "polarization", " ", "calculation", " ", 
    "for", " ", "LHC", " ", 
    RowBox[{"{", 
     RowBox[{
     "0.7468027597291909`", ",", "0.6149608081659436`", ",", 
      "0.25319724027080914`"}], "}"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IfacScal", " ", "=", "1."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"polarVecTransp", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "0.2538122226773075`", ",", "0.7365232709408394`", ",", 
      "0.6269871027239808`"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "fit", " ", "result", " ", "with", " ", "intensity", " ", "scaling", " ", 
     "Ifac"}], " ", "=", " ", "1"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IfacScal", " ", "=", "1."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"polarVecTransp", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "0.3555756126203318`", ",", "0.5963631608651664`", ",", 
      "0.7196644802076752`"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "fit", " ", "result", " ", "with", " ", "intensity", " ", "scaling", " ", 
     "Ifac"}], " ", "=", " ", "1.1"}], "  ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IfacScal", " ", "=", "1.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"polarVecTransp", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "0.4089518316724603`", ",", "0.4312250036875386`", ",", 
      "0.8042408815562797`"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "fit", " ", "result", " ", "with", " ", "intensity", " ", "scaling", " ", 
     "Ifac"}], " ", "=", " ", "1.2"}], "  ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IfacScal", " ", "=", "1.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"polarVecTransp", " ", "=", 
    RowBox[{"{", 
     RowBox[{
     "0.40990503555574015`", ",", "0.4328239638870847`", ",", 
      "0.8028955586569894`"}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "fit", " ", "result", " ", "with", " ", "free", " ", "intensity", " ", 
     "scaling", " ", "Ifac"}], " ", "=", "1.20612"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"IfacScal", " ", "=", "1.206127235276851`"}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"polarVecTransp", " ", "=", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.3373532343126955`", ",", "0.6019879850294327`", ",", 
     "0.7237425379090047`"}], "}"}]}], ";", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "fit", " ", "result", " ", "with", " ", "new", " ", "averaged", " ", 
     "data", " ", "and", " ", "intensity", " ", "scaling", " ", "Ifac"}], " ",
     "=", " ", "1"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"IfacScal", " ", "=", "1."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"polarVecTransp", " ", "=", "\[InvisibleSpace]\[InvisibleSpace]", 
    RowBox[{"{", 
     RowBox[{
     "0.3980113997632365`", ",", "0.5364679853239808`", ",", 
      "0.7441700251830481`"}], "}"}]}], ";", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "fit", " ", "result", " ", "with", " ", "new", " ", "averaged", " ", 
      "data", " ", "and", " ", "with", " ", "free", " ", "intensity", " ", 
      "scaling", " ", "Ifac"}], " ", "=", " ", "1.2239055377168426`"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"IfacScal", " ", "=", "1.2239055377168426`"}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"polarVecTransp", " ", "=", "normPolRHC"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"IfacScal", " ", "=", "1."}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]test", " ", "=", " ", 
   RowBox[{"ArcTan", "[", 
    RowBox[{
     RowBox[{"polarVecTransp", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "/", 
     RowBox[{"polarVecTransp", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Theta]test", " ", "=", " ", 
   RowBox[{"ArcCos", "[", 
    RowBox[{
     RowBox[{"polarVecTransp", "[", 
      RowBox[{"[", "3", "]"}], "]"}], "/", 
     RowBox[{"Norm", "[", "polarVecTransp", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bfield", " ", "=", " ", 
   RowBox[{"Norm", "[", "Bfield", "]"}]}], ";", " ", 
  RowBox[{"(*", " ", "Gauss", " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Amplitude of the Bfield: \>\"", ",", "Bfield", ",", 
    "\"\< Gauss\>\""}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: \>\"", ",", "polarVecTransp"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Expression of the polarization vector in (ISO) spherical coordinates {\
\[Theta],\[Phi]}: \>\"", ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]test", ",", "\[Phi]test"}], "}"}], ",", "\"\< rad\>\""}],
   "]"}]}], "Input",
 CellChangeTimes->{{3.687770437412541*^9, 3.687770437689557*^9}, {
   3.687770570738167*^9, 3.6877706100724163`*^9}, 3.6877706666866546`*^9, {
   3.687770708168027*^9, 3.68777072413494*^9}, {3.6877709282026124`*^9, 
   3.6877709612045*^9}, 3.687770999178672*^9, {3.6877710337176476`*^9, 
   3.6877710478634567`*^9}, {3.687774373938697*^9, 3.6877743743987236`*^9}, {
   3.68777442398956*^9, 3.68777442416057*^9}, 3.6877744747374625`*^9, 
   3.687774519393017*^9, {3.6877745788634186`*^9, 3.6877745917971582`*^9}, {
   3.687774659611037*^9, 3.6877746610501194`*^9}, {3.6877747110119767`*^9, 
   3.6877747158302526`*^9}, {3.6877748315758724`*^9, 
   3.6877749284314127`*^9}, {3.687775033011394*^9, 3.68777513294211*^9}, {
   3.6877755464807625`*^9, 3.6877755467107763`*^9}, {3.687786584115178*^9, 
   3.6877866076275234`*^9}, {3.6877866544312005`*^9, 3.687786679528636*^9}, 
   3.687786763335429*^9, {3.6877870908911643`*^9, 3.687787092126235*^9}, 
   3.6877871340526333`*^9, 3.6881460598231134`*^9, 3.6881460990631676`*^9, 
   3.6881470499755373`*^9, {3.6881473978470173`*^9, 3.688147411897037*^9}, {
   3.688147485128138*^9, 3.6881474978781557`*^9}, {3.6881476685983915`*^9, 
   3.6881476705283937`*^9}, 3.688147771328533*^9, {3.6881478745306773`*^9, 
   3.688147904120718*^9}, {3.7245726109129367`*^9, 3.7245726341812677`*^9}, 
   3.7245726924886026`*^9, {3.7245727868740015`*^9, 3.724572787587042*^9}, {
   3.724572821480981*^9, 3.7245728257962275`*^9}, {3.7245729040327024`*^9, 
   3.7245729067558584`*^9}, {3.724573654523628*^9, 3.7245736731116915`*^9}, {
   3.7245737053365345`*^9, 3.724573731048005*^9}, {3.7245737672030725`*^9, 
   3.72457379076342*^9}, {3.724574929661562*^9, 3.7245749327147365`*^9}, {
   3.7245753475664644`*^9, 3.7245753524477434`*^9}, {3.7245754088769712`*^9, 
   3.7245754245298667`*^9}, {3.7293183462177043`*^9, 3.729318346289708*^9}, {
   3.7293184278253717`*^9, 3.729318443327259*^9}, 3.7293185555316763`*^9, 
   3.7293185868994703`*^9, {3.729318665122945*^9, 3.7293186692891827`*^9}, {
   3.777975879642288*^9, 3.777975988483514*^9}, {3.7852513243455906`*^9, 
   3.785251328019801*^9}, {3.785251391538434*^9, 3.7852514390071487`*^9}, {
   3.808211160236066*^9, 3.80821116589739*^9}, 3.8082112131140904`*^9, {
   3.808211828310278*^9, 3.808211867607525*^9}, {3.8082119809150057`*^9, 
   3.8082119942977715`*^9}, {3.8082122582458687`*^9, 
   3.8082122808831635`*^9}, {3.8082123169642267`*^9, 
   3.8082123331491528`*^9}, {3.808212438435175*^9, 3.808212479216507*^9}, {
   3.8082125857285995`*^9, 3.808212661992962*^9}, {3.808214848070998*^9, 
   3.8082148486340303`*^9}, {3.808215007326107*^9, 3.808215009164212*^9}, {
   3.808215073013864*^9, 3.8082150881467295`*^9}, {3.808215253517188*^9, 
   3.808215259878552*^9}, 3.8082159691301193`*^9, {3.808216133892543*^9, 
   3.808216236046386*^9}, {3.80845889256886*^9, 3.8084589207254705`*^9}, 
   3.8084600069966016`*^9, {3.808460041379568*^9, 3.808460045792821*^9}, {
   3.8084601234332614`*^9, 3.8084603013654385`*^9}, {3.808460333931301*^9, 
   3.8084604469957685`*^9}, 3.808462945039648*^9, {3.808465122751206*^9, 
   3.8084653371834707`*^9}, {3.808465644859069*^9, 3.80846565903588*^9}, {
   3.8084661188831816`*^9, 3.8084661487618904`*^9}, 3.808466989118956*^9, {
   3.808467125517758*^9, 3.808467145450898*^9}, 3.808467220121169*^9, 
   3.8084672687229486`*^9, {3.8084674041336937`*^9, 3.8084674059327965`*^9}, {
   3.8084675022293043`*^9, 3.808467530407916*^9}, {3.8084676172228813`*^9, 
   3.8084676239472666`*^9}, {3.8084676669917283`*^9, 
   3.8084676677497716`*^9}, {3.8084678598287582`*^9, 3.808467870996397*^9}, {
   3.8084679010511155`*^9, 3.808467901899164*^9}, 3.8084682211134224`*^9, {
   3.8084745702015696`*^9, 3.808474575553876*^9}, {3.8084751819385586`*^9, 
   3.8084751862378044`*^9}, {3.808475257941906*^9, 3.8084752607450657`*^9}, 
   3.808475638008644*^9, {3.808476051848315*^9, 3.8084760568396*^9}, {
   3.8084777901127377`*^9, 3.808477827157857*^9}, 3.8084778877863245`*^9, {
   3.8084779184880805`*^9, 3.8084779193171277`*^9}, 3.8084779960485163`*^9, 
   3.8084780305774918`*^9, {3.808481101403133*^9, 3.8084811069814515`*^9}, {
   3.808481191815304*^9, 3.8084812427572174`*^9}, {3.8084872126886783`*^9, 
   3.808487262423523*^9}, {3.808487475369703*^9, 3.8084874755747147`*^9}, {
   3.80848768302458*^9, 3.8084877159694643`*^9}, 3.808487750795456*^9, {
   3.8084877913437757`*^9, 3.8084878171842537`*^9}, {3.8085404905368567`*^9, 
   3.8085404907258677`*^9}, {3.808541281623104*^9, 3.8085412898605757`*^9}, {
   3.8085413203633204`*^9, 3.808541406434243*^9}, {3.808541939072708*^9, 
   3.808541947785207*^9}, {3.808542055077344*^9, 3.8085420591715775`*^9}, {
   3.808542124287302*^9, 3.808542159848336*^9}, {3.808542456736317*^9, 
   3.8085425294224744`*^9}, {3.808542587002768*^9, 3.808542589260897*^9}, {
   3.8085426282641277`*^9, 3.8085426307222686`*^9}, {3.808542813587728*^9, 
   3.8085428220902143`*^9}, {3.808543901168934*^9, 3.808543923040185*^9}, {
   3.8085439675437307`*^9, 3.808544009076106*^9}, {3.8085440834463596`*^9, 
   3.8085441242126913`*^9}, {3.808544484340289*^9, 3.808544505826518*^9}, {
   3.808635978772724*^9, 3.8086359796407743`*^9}, {3.8086400316825376`*^9, 
   3.8086400840195312`*^9}, {3.8086402196592894`*^9, 3.808640222399446*^9}, 
   3.808640303142064*^9, 3.8086403837326736`*^9, {3.808644926675515*^9, 
   3.8086449779034452`*^9}, {3.8086499220392337`*^9, 
   3.8086499431344404`*^9}, {3.808650088080731*^9, 3.8086501138772063`*^9}, 
   3.808650146377065*^9, 3.8086501918396654`*^9, {3.808656160539056*^9, 
   3.80865616341722*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Amplitude of the Bfield: \"\>", "\[InvisibleSpace]", 
   "0.8508818954473059`", "\[InvisibleSpace]", "\<\" Gauss\"\>"}],
  SequenceForm["Amplitude of the Bfield: ", 0.8508818954473059, " Gauss"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.808216182881345*^9, 3.808216239143563*^9, {3.808458914367107*^9, 
   3.8084589221425514`*^9}, 3.808460008051662*^9, {3.8084600463858547`*^9, 
   3.8084600750554943`*^9}, 3.808460123863286*^9, {3.8084601810135546`*^9, 
   3.808460301883468*^9}, {3.8084603342843213`*^9, 3.8084604477518115`*^9}, {
   3.8084629385972795`*^9, 3.808462945933699*^9}, {3.8084653244887447`*^9, 
   3.80846533786351*^9}, 3.808466990045009*^9, 3.8084671466199646`*^9, 
   3.8084672205401926`*^9, 3.808467270757065*^9, 3.8084674066308365`*^9, {
   3.808467503390371*^9, 3.8084675315869837`*^9}, 3.8084676256773653`*^9, 
   3.8084676687938313`*^9, 3.8084677153154926`*^9, {3.808467875445651*^9, 
   3.808467902663208*^9}, 3.808468222366494*^9, 3.80847457633292*^9, 
   3.808475182623598*^9, 3.80847526377724*^9, 3.808475639873751*^9, 
   3.808476057779654*^9, 3.808476620946865*^9, 3.808477701658678*^9, 
   3.8084778316341124`*^9, 3.8084778886963763`*^9, 3.8084779213582444`*^9, 
   3.808477996935567*^9, 3.8084780316125507`*^9, 3.808480452559021*^9, 
   3.8084811088635597`*^9, {3.8084812079922295`*^9, 3.8084812447523317`*^9}, 
   3.8084872663687487`*^9, 3.8084874758617306`*^9, {3.8084876908790293`*^9, 
   3.808487716873516*^9}, 3.808487751614503*^9, 3.8084877917517986`*^9, 
   3.8085406989467773`*^9, 3.808540837615709*^9, 3.8085414088153796`*^9, 
   3.808541948738261*^9, 3.808542060139633*^9, 3.8085421270074577`*^9, 
   3.8085421611814127`*^9, 3.8085425297034903`*^9, 3.8085425901959505`*^9, 
   3.808542631260299*^9, 3.808543923357203*^9, 3.808544136493394*^9, 
   3.8085480708404255`*^9, 3.8085793695878735`*^9, {3.8086355954397993`*^9, 
   3.8086356023561945`*^9}, 3.8086356720051785`*^9, {3.8086400616952543`*^9, 
   3.8086400846035643`*^9}, 3.808640223397503*^9, {3.8086402928274746`*^9, 
   3.808640303951111*^9}, 3.8086403845757217`*^9, 3.8086499441865005`*^9, {
   3.808650094772114*^9, 3.808650114341233*^9}, 3.808650146722085*^9, 
   3.8086501922766905`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Projection of the light onto the transitions {\[Sigma]-, \
\[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.25319724027080914`", ",", "0.6149608081659436`", ",", 
     "0.7468027597291909`"}], "}"}]}],
  SequenceForm[
  "Projection of the light onto the transitions {\[Sigma]-, \[Pi], \
\[Sigma]+}: ", {0.25319724027080914`, 0.6149608081659436, 0.7468027597291909}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.808216182881345*^9, 3.808216239143563*^9, {3.808458914367107*^9, 
   3.8084589221425514`*^9}, 3.808460008051662*^9, {3.8084600463858547`*^9, 
   3.8084600750554943`*^9}, 3.808460123863286*^9, {3.8084601810135546`*^9, 
   3.808460301883468*^9}, {3.8084603342843213`*^9, 3.8084604477518115`*^9}, {
   3.8084629385972795`*^9, 3.808462945933699*^9}, {3.8084653244887447`*^9, 
   3.80846533786351*^9}, 3.808466990045009*^9, 3.8084671466199646`*^9, 
   3.8084672205401926`*^9, 3.808467270757065*^9, 3.8084674066308365`*^9, {
   3.808467503390371*^9, 3.8084675315869837`*^9}, 3.8084676256773653`*^9, 
   3.8084676687938313`*^9, 3.8084677153154926`*^9, {3.808467875445651*^9, 
   3.808467902663208*^9}, 3.808468222366494*^9, 3.80847457633292*^9, 
   3.808475182623598*^9, 3.80847526377724*^9, 3.808475639873751*^9, 
   3.808476057779654*^9, 3.808476620946865*^9, 3.808477701658678*^9, 
   3.8084778316341124`*^9, 3.8084778886963763`*^9, 3.8084779213582444`*^9, 
   3.808477996935567*^9, 3.8084780316125507`*^9, 3.808480452559021*^9, 
   3.8084811088635597`*^9, {3.8084812079922295`*^9, 3.8084812447523317`*^9}, 
   3.8084872663687487`*^9, 3.8084874758617306`*^9, {3.8084876908790293`*^9, 
   3.808487716873516*^9}, 3.808487751614503*^9, 3.8084877917517986`*^9, 
   3.8085406989467773`*^9, 3.808540837615709*^9, 3.8085414088153796`*^9, 
   3.808541948738261*^9, 3.808542060139633*^9, 3.8085421270074577`*^9, 
   3.8085421611814127`*^9, 3.8085425297034903`*^9, 3.8085425901959505`*^9, 
   3.808542631260299*^9, 3.808543923357203*^9, 3.808544136493394*^9, 
   3.8085480708404255`*^9, 3.8085793695878735`*^9, {3.8086355954397993`*^9, 
   3.8086356023561945`*^9}, 3.8086356720051785`*^9, {3.8086400616952543`*^9, 
   3.8086400846035643`*^9}, 3.808640223397503*^9, {3.8086402928274746`*^9, 
   3.808640303951111*^9}, 3.8086403845757217`*^9, 3.8086499441865005`*^9, {
   3.808650094772114*^9, 3.808650114341233*^9}, 3.808650146722085*^9, 
   3.8086501922816906`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Expression of the polarization vector in (ISO) spherical \
coordinates {\[Theta],\[Phi]}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.7275548645419975`", ",", "1.1802197551066895`"}], "}"}], 
   "\[InvisibleSpace]", "\<\" rad\"\>"}],
  SequenceForm[
  "Expression of the polarization vector in (ISO) spherical coordinates {\
\[Theta],\[Phi]}: ", {0.7275548645419975, 1.1802197551066895`}, " rad"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.808216182881345*^9, 3.808216239143563*^9, {3.808458914367107*^9, 
   3.8084589221425514`*^9}, 3.808460008051662*^9, {3.8084600463858547`*^9, 
   3.8084600750554943`*^9}, 3.808460123863286*^9, {3.8084601810135546`*^9, 
   3.808460301883468*^9}, {3.8084603342843213`*^9, 3.8084604477518115`*^9}, {
   3.8084629385972795`*^9, 3.808462945933699*^9}, {3.8084653244887447`*^9, 
   3.80846533786351*^9}, 3.808466990045009*^9, 3.8084671466199646`*^9, 
   3.8084672205401926`*^9, 3.808467270757065*^9, 3.8084674066308365`*^9, {
   3.808467503390371*^9, 3.8084675315869837`*^9}, 3.8084676256773653`*^9, 
   3.8084676687938313`*^9, 3.8084677153154926`*^9, {3.808467875445651*^9, 
   3.808467902663208*^9}, 3.808468222366494*^9, 3.80847457633292*^9, 
   3.808475182623598*^9, 3.80847526377724*^9, 3.808475639873751*^9, 
   3.808476057779654*^9, 3.808476620946865*^9, 3.808477701658678*^9, 
   3.8084778316341124`*^9, 3.8084778886963763`*^9, 3.8084779213582444`*^9, 
   3.808477996935567*^9, 3.8084780316125507`*^9, 3.808480452559021*^9, 
   3.8084811088635597`*^9, {3.8084812079922295`*^9, 3.8084812447523317`*^9}, 
   3.8084872663687487`*^9, 3.8084874758617306`*^9, {3.8084876908790293`*^9, 
   3.808487716873516*^9}, 3.808487751614503*^9, 3.8084877917517986`*^9, 
   3.8085406989467773`*^9, 3.808540837615709*^9, 3.8085414088153796`*^9, 
   3.808541948738261*^9, 3.808542060139633*^9, 3.8085421270074577`*^9, 
   3.8085421611814127`*^9, 3.8085425297034903`*^9, 3.8085425901959505`*^9, 
   3.808542631260299*^9, 3.808543923357203*^9, 3.808544136493394*^9, 
   3.8085480708404255`*^9, 3.8085793695878735`*^9, {3.8086355954397993`*^9, 
   3.8086356023561945`*^9}, 3.8086356720051785`*^9, {3.8086400616952543`*^9, 
   3.8086400846035643`*^9}, 3.808640223397503*^9, {3.8086402928274746`*^9, 
   3.808640303951111*^9}, 3.8086403845757217`*^9, 3.8086499441865005`*^9, {
   3.808650094772114*^9, 3.808650114341233*^9}, 3.808650146722085*^9, 
   3.808650192284691*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Calculation of coupling to 3S1 (688 nm)", "Text",
 CellChangeTimes->{{3.687786947711975*^9, 3.6877869622018037`*^9}, {
  3.6882023103945208`*^9, 3.68820231615653*^9}, {3.688202987063622*^9, 
  3.688202989963626*^9}, {3.8082154912637863`*^9, 3.808215491459798*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Isat3P1to3S1", " ", "=", " ", 
    RowBox[{"IsatFun", "[", 
     RowBox[{"\[CapitalGamma]3P1to3S1", ",", "\[Lambda]3P1to3S1"}], "]"}]}], 
   ";"}], " ", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FF", " ", "=", " ", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"FFprime", "=", "1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gJ3P1", " ", "=", " ", 
   RowBox[{"3", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gJ3S1", " ", "=", " ", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"auxZeeman", " ", "=", " ", 
   RowBox[{
    RowBox[{"\[Mu]B", "  ", "/", 
     RowBox[{"10", "^", "4"}]}], "/", "hbarre"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"auxPolar", "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"4", " ", "Pi", " ", "*", " ", "\[Epsilon]0", " ", "*", " ", 
          RowBox[{"aB", "^", "3"}]}], ")"}], "/", " ", "\[Epsilon]0"}], "/", 
       "cLum"}], "/", "2"}], " ", "/", "hbarre"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Polarizability", " ", "of", " ", "3", "S1", " ", "state", " ", "at", " ",
      "688", " ", "nm", " ", "without", " ", "the", " ", "transition", " ", 
     "at", " ", "688", " ", "nm", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"in", " ", 
        RowBox[{"a", ".", "u", "."}]}], ")"}], "."}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]Tab3S1At688", "=", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{"-", "4045.4315198341938`"}], 
          RowBox[{"-", "2036.3353560384573`"}], 
          RowBox[{"-", "146.82419926799219`"}]},
         {
          RowBox[{"-", "2036.3353560384573`"}], 
          RowBox[{"-", "2155.920363063729`"}], 
          RowBox[{"-", "2036.3353560384573`"}]},
         {
          RowBox[{"-", "146.82419926799219`"}], 
          RowBox[{"-", "2036.3353560384573`"}], 
          RowBox[{"-", "4045.4315198341938`"}]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Polarizability", " ", "of", " ", "3", "P1", " ", "state", " ", "at", 
      " ", "688", " ", "nm", " ", "without", " ", "the", " ", "transition", 
      " ", "at", " ", "688", " ", "nm", " ", 
      RowBox[{"(", 
       RowBox[{"in", " ", 
        RowBox[{"a", ".", "u", "."}]}], ")"}]}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"\[Alpha]Tab3P1At688", "=", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"182.1219187102629`", "166.5011347628002`", "206.7099323352309`"},
         {"166.5011347628002`", "222.33071628269354`", "166.5011347628002`"},
         {"206.7099323352309`", "166.5011347628002`", "182.1219187102629`"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]]}], "\[InvisibleSpace]", ";"}], 
   "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"strenghtFun", "[", 
     RowBox[{
     "mF_", ",", "mFPrime_", ",", "qq_", ",", "FF_", ",", "FFPrime_"}], "]"}],
     ":=", 
    RowBox[{"ClebschGordan", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"FF", ",", "mF"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "qq"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"FFPrime", ",", "mFPrime"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MatFun", "[", 
    RowBox[{
    "Bfield_", ",", "satParTransp_", ",", "\[CapitalDelta]Transp_", ",", 
     "polarVecTransp_"}], " ", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Mat", ",", "H12", ",", "H21", ",", "\[CapitalOmega]Transp", ",", 
       "\[Sigma]MinusPol", ",", "\[Pi]Pol", ",", "\[Sigma]PlusPol", ",", 
       "polar3P1Tab", ",", "polar3S1Tab"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\[Sigma]MinusPol", ",", " ", "\[Pi]Pol", ",", "\[Sigma]PlusPol"}], 
        "}"}], " ", "=", " ", "polarVecTransp"}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[CapitalOmega]Transp", " ", "=", " ", 
       RowBox[{
        RowBox[{"\[CapitalGamma]3P1to3S1", " ", "/", " ", "2."}], "  ", "*", 
        " ", 
        RowBox[{"Sqrt", "[", "satParTransp", "]"}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Mat", " ", "=", " ", 
       RowBox[{"IdentityMatrix", "[", "6", "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Mat", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "=", " ", 
       RowBox[{
        RowBox[{"-", " ", "1"}], " ", "*", " ", "gJ3P1", " ", "*", " ", 
        "Bfield", "*", "auxZeeman"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Mat", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], "=", "0"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Mat", "[", 
         RowBox[{"[", "3", "]"}], "]"}], "[", 
        RowBox[{"[", "3", "]"}], "]"}], "=", " ", 
       RowBox[{
       "1", " ", "*", " ", "gJ3P1", " ", "*", " ", "Bfield", "*", 
        "auxZeeman"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Mat", "[", 
         RowBox[{"[", "4", "]"}], "]"}], "[", 
        RowBox[{"[", "4", "]"}], "]"}], "=", 
       RowBox[{
        RowBox[{"-", "\[CapitalDelta]Transp"}], " ", "-", " ", 
        RowBox[{
        "1", " ", "*", " ", "gJ3S1", " ", "*", " ", "Bfield", "*", 
         "auxZeeman"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Mat", "[", 
         RowBox[{"[", "5", "]"}], "]"}], "[", 
        RowBox[{"[", "5", "]"}], "]"}], "=", 
       RowBox[{"-", "\[CapitalDelta]Transp"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Mat", "[", 
         RowBox[{"[", "6", "]"}], "]"}], "[", 
        RowBox[{"[", "6", "]"}], "]"}], "=", 
       RowBox[{
        RowBox[{"-", "\[CapitalDelta]Transp"}], " ", "+", " ", 
        RowBox[{
        "1", " ", "*", " ", "gJ3S1", " ", "*", " ", "Bfield", "*", 
         "auxZeeman"}]}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"H12", " ", "=", "  ", 
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"mFvar", "\[Equal]", " ", "mF"}], ",", 
           RowBox[{
            RowBox[{"\[CapitalOmega]Transp", "/", "2"}], "*", "\[Pi]Pol", "*", 
            RowBox[{"strenghtFun", "[", 
             RowBox[{
             "mF", ",", "mFvar", ",", "0", ",", "FF", ",", "FFprime"}], 
             "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"mFvar", "\[Equal]", " ", 
              RowBox[{"mF", "-", "1"}]}], ",", 
             RowBox[{
              RowBox[{"\[CapitalOmega]Transp", "/", "2"}], "*", 
              "\[Sigma]MinusPol", "*", 
              RowBox[{"strenghtFun", "[", 
               RowBox[{"mF", ",", "mFvar", ",", 
                RowBox[{"-", "1"}], ",", "FF", ",", "FFprime"}], "]"}]}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"mFvar", "\[Equal]", " ", 
                RowBox[{"mF", "+", "1"}]}], ",", 
               RowBox[{
                RowBox[{"\[CapitalOmega]Transp", "/", "2"}], "*", 
                "\[Sigma]PlusPol", "*", 
                RowBox[{"strenghtFun", "[", 
                 RowBox[{
                 "mF", ",", "mFvar", ",", "1", ",", "FF", ",", "FFprime"}], 
                 "]"}]}], ",", "\[IndentingNewLine]", "0"}], "]"}]}], 
            "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"mF", ",", 
           RowBox[{"-", "FF"}], ",", "FF", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"mFvar", ",", 
           RowBox[{"-", "FFprime"}], ",", "FFprime", ",", "1"}], "}"}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"H21", " ", "=", "  ", 
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"mFvar", "\[Equal]", " ", "mF"}], ",", 
           RowBox[{
            RowBox[{"\[CapitalOmega]Transp", "/", "2"}], "*", "\[Pi]Pol", "*", 
            RowBox[{"strenghtFun", "[", 
             RowBox[{
             "mF", ",", "mFvar", ",", "0", ",", "FF", ",", "FFprime"}], 
             "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"mFvar", "\[Equal]", " ", 
              RowBox[{"mF", "-", "1"}]}], ",", 
             RowBox[{
              RowBox[{"\[CapitalOmega]Transp", "/", "2"}], "*", 
              "\[Sigma]MinusPol", "*", 
              RowBox[{"strenghtFun", "[", 
               RowBox[{"mF", ",", "mFvar", ",", 
                RowBox[{"-", "1"}], ",", "FF", ",", "FFprime"}], "]"}]}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"mFvar", "\[Equal]", " ", 
                RowBox[{"mF", "+", "1"}]}], ",", 
               RowBox[{
                RowBox[{"\[CapitalOmega]Transp", "/", "2"}], "*", 
                "\[Sigma]PlusPol", "*", 
                RowBox[{"strenghtFun", "[", 
                 RowBox[{
                 "mF", ",", "mFvar", ",", "1", ",", "FF", ",", "FFprime"}], 
                 "]"}]}], ",", "\[IndentingNewLine]", "0"}], "]"}]}], 
            "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"mFvar", ",", 
           RowBox[{"-", "FFprime"}], ",", "FFprime", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"mF", ",", 
           RowBox[{"-", "FF"}], ",", "FF", ",", "1"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Mat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ";;", 
           RowBox[{
            RowBox[{"2", "*", "FF"}], "+", "1"}]}], "]"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{
           RowBox[{"2", "*", "FF"}], "+", "2"}], ";;", 
          RowBox[{
           RowBox[{"2", "*", "FFprime"}], "+", "1", "+", 
           RowBox[{"2", "*", "FF"}], "+", "1"}]}], "]"}], "]"}], "=", "H12"}],
       ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Mat", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{
            RowBox[{"2", "*", "FF"}], "+", "2"}], ";;", 
           RowBox[{
            RowBox[{"2", "*", "FFprime"}], "+", "1", "+", 
            RowBox[{"2", "*", "FF"}], "+", "1"}]}], "]"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"1", ";;", 
          RowBox[{
           RowBox[{"2", "*", "FF"}], "+", "1"}]}], "]"}], "]"}], "=", "H21"}],
       ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"polar3P1Tab", " ", "=", " ", 
         RowBox[{"Total", "[", 
          RowBox[{
           RowBox[{"polarVecTransp", " ", "*", " ", "\[Alpha]Tab3P1At688"}], 
           ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"polar3S1Tab", " ", "=", " ", 
         RowBox[{"Total", "[", 
          RowBox[{
           RowBox[{"polarVecTransp", " ", "*", " ", "\[Alpha]Tab3S1At688"}], 
           ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Mat", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], "=", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"-", " ", "1"}], " ", "*", " ", "gJ3P1", " ", "*", " ", 
           "Bfield", "*", "auxZeeman"}], " ", "-", " ", 
          RowBox[{"1", "*", " ", 
           RowBox[{"polar3P1Tab", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "*", "satParTransp", "*", 
           " ", "Isat3P1to3S1", "*", "auxPolar"}]}]}], " ", ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Mat", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], "=", 
         RowBox[{"0", " ", "-", " ", 
          RowBox[{"1", "*", 
           RowBox[{"polar3P1Tab", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "*", "satParTransp", "*", " ", 
           "Isat3P1to3S1", "*", "auxPolar"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Mat", "[", 
           RowBox[{"[", "3", "]"}], "]"}], "[", 
          RowBox[{"[", "3", "]"}], "]"}], "=", " ", 
         RowBox[{
          RowBox[{
          "1", " ", "*", " ", "gJ3P1", " ", "*", " ", "Bfield", "*", 
           "auxZeeman"}], " ", "-", " ", 
          RowBox[{"1", "*", " ", 
           RowBox[{"polar3P1Tab", "[", 
            RowBox[{"[", "3", "]"}], "]"}], "*", "satParTransp", "*", " ", 
           "Isat3P1to3S1", "*", "auxPolar"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Mat", "[", 
           RowBox[{"[", "4", "]"}], "]"}], "[", 
          RowBox[{"[", "4", "]"}], "]"}], "=", 
         RowBox[{
          RowBox[{"-", "\[CapitalDelta]Transp"}], " ", "-", " ", 
          RowBox[{
          "1", " ", "*", " ", "gJ3S1", " ", "*", " ", "Bfield", "*", 
           "auxZeeman"}], " ", "-", " ", 
          RowBox[{"1", "*", 
           RowBox[{"polar3S1Tab", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "*", "satParTransp", "*", " ", 
           "Isat3P1to3S1", "*", "auxPolar"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Mat", "[", 
           RowBox[{"[", "5", "]"}], "]"}], "[", 
          RowBox[{"[", "5", "]"}], "]"}], "=", 
         RowBox[{
          RowBox[{"-", "\[CapitalDelta]Transp"}], " ", "-", " ", 
          RowBox[{"1", "*", 
           RowBox[{"polar3S1Tab", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "*", "satParTransp", "*", " ", 
           "Isat3P1to3S1", "*", "auxPolar"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Mat", "[", 
           RowBox[{"[", "6", "]"}], "]"}], "[", 
          RowBox[{"[", "6", "]"}], "]"}], "=", 
         RowBox[{
          RowBox[{"-", "\[CapitalDelta]Transp"}], " ", "+", " ", 
          RowBox[{
          "1", " ", "*", " ", "gJ3S1", " ", "*", " ", "Bfield", "*", 
           "auxZeeman"}], " ", "-", " ", 
          RowBox[{"1", "*", 
           RowBox[{"polar3S1Tab", "[", 
            RowBox[{"[", "3", "]"}], "]"}], "*", "satParTransp", "*", " ", 
           "Isat3P1to3S1", "*", "auxPolar"}]}]}], ";"}], 
       "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "Mat"}]}], "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZeeSplit", "=", " ", 
   RowBox[{"gJ3P1", "*", "auxZeeman", "*", " ", 
    RowBox[{
     RowBox[{"Bfield", "/", "2"}], "/", "Pi"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Zeeman splitting at \>\"", ",", "Bfield", ",", "\"\< G: \>\"", ",", 
    RowBox[{"ZeeSplit", "/", 
     RowBox[{"10", "^", "6"}]}], ",", "\"\< MHz\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"theoPlot", " ", "=", " ", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Re", "[", 
        RowBox[{"Eigenvalues", "[", 
         RowBox[{"MatFun", "[", 
          RowBox[{"Bfield", ",", 
           RowBox[{"IfacScal", "*", "Ibeam", "*", 
            RowBox[{
             RowBox[{"10", "^", "6"}], " ", "/", " ", "Isat3P1to3S1"}]}], ",",
            "\[CapitalDelta]Transp", ",", "polarVecTransp"}], "]"}], "]"}], 
        "]"}], "/", "2"}], "/", "Pi"}], "/", 
     RowBox[{"10", "^", "6"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"Ibeam", ",", "0", ",", "10"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Full", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "4"}], ",", "8"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<On resonance transparency beam saturation parameter\>\"", ",", 
       "\"\<Energy (MHz)\>\""}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6872718272956448`*^9, 3.6872718308856497`*^9}, {
   3.687271974335848*^9, 3.6872720354779334`*^9}, {3.6872720666479764`*^9, 
   3.6872720731079855`*^9}, {3.687272104539029*^9, 3.6872721484990892`*^9}, {
   3.6872721853591404`*^9, 3.6872722736892624`*^9}, {3.6872723045593047`*^9, 
   3.6872723304093404`*^9}, {3.687272385269416*^9, 3.687272523520607*^9}, {
   3.687272555330651*^9, 3.687272698680849*^9}, {3.687272751650922*^9, 
   3.6872728231220207`*^9}, {3.6872729125031443`*^9, 3.687272915243148*^9}, {
   3.6872729773932333`*^9, 3.6872730331933107`*^9}, {3.687273086263384*^9, 
   3.687273498024952*^9}, {3.687273568605049*^9, 3.6872736767461987`*^9}, {
   3.687273715906253*^9, 3.6872737202662587`*^9}, {3.687507823594925*^9, 
   3.6875079328221655`*^9}, {3.687507973672222*^9, 3.68750802327229*^9}, {
   3.687508063412346*^9, 3.6875083275227113`*^9}, {3.6875083703327703`*^9, 
   3.6875084535828853`*^9}, {3.687508605435096*^9, 3.687508930174553*^9}, {
   3.6875089633345985`*^9, 3.6875090210046787`*^9}, {3.6875090561747265`*^9, 
   3.687509119114814*^9}, {3.687509162334873*^9, 3.687509173454889*^9}, {
   3.6875092466149893`*^9, 3.6875092487549925`*^9}, {3.68750929739606*^9, 
   3.687509382716178*^9}, {3.6875094811083145`*^9, 3.6875094997983403`*^9}, {
   3.6875101891292915`*^9, 3.687510189939293*^9}, {3.6875104113325996`*^9, 
   3.687510415142605*^9}, 3.687510456592662*^9, {3.6875105011927233`*^9, 
   3.6875108616662226`*^9}, {3.6875108937462664`*^9, 
   3.6875109466063395`*^9}, {3.6875111213465805`*^9, 
   3.6875111534366245`*^9}, {3.687511254616764*^9, 3.6875113313268704`*^9}, {
   3.687511370876925*^9, 3.687511471467064*^9}, {3.6875115092571163`*^9, 
   3.687511668567336*^9}, {3.6875117544074545`*^9, 3.687511782318493*^9}, {
   3.687511917429679*^9, 3.6875119563497334`*^9}, {3.687512080853907*^9, 
   3.6875121200639615`*^9}, {3.687512155784011*^9, 3.6875123345342574`*^9}, {
   3.687512364824299*^9, 3.6875123650242996`*^9}, {3.687512519745513*^9, 
   3.687512540715542*^9}, {3.687512596465619*^9, 3.6875126004856243`*^9}, {
   3.687512649145692*^9, 3.687512802945904*^9}, {3.6875128438559604`*^9, 
   3.6875128806460114`*^9}, {3.687516141389559*^9, 3.687516240039695*^9}, {
   3.687516322899809*^9, 3.687516558930135*^9}, {3.687517356106244*^9, 
   3.6875175812665553`*^9}, {3.6875176206076097`*^9, 3.687517720107747*^9}, {
   3.687519026292553*^9, 3.6875190362925663`*^9}, {3.6875192892939157`*^9, 
   3.6875193132139487`*^9}, {3.687519427364106*^9, 3.6875195086142187`*^9}, {
   3.6875196007243457`*^9, 3.68751961124436*^9}, {3.6875197200645103`*^9, 
   3.687519743914543*^9}, {3.687767198564289*^9, 3.687767218190412*^9}, {
   3.687768092672429*^9, 3.687768127632429*^9}, {3.687768296598093*^9, 
   3.687768429217679*^9}, {3.6877687860400877`*^9, 3.6877688212321005`*^9}, {
   3.6877694294978914`*^9, 3.6877696002376575`*^9}, {3.687769692705946*^9, 
   3.687769826111576*^9}, {3.687769876684469*^9, 3.6877702003299804`*^9}, {
   3.687770238330154*^9, 3.6877703926929827`*^9}, {3.687770481659072*^9, 
   3.687770538430319*^9}, {3.6877706499186954`*^9, 3.687770745244148*^9}, {
   3.687770779444104*^9, 3.687770854714409*^9}, 3.6877709103205895`*^9, {
   3.6877709488257923`*^9, 3.687770990562179*^9}, {3.687771077376145*^9, 
   3.687771107663877*^9}, {3.6877711505603304`*^9, 3.687771217354151*^9}, {
   3.687771253618225*^9, 3.687771254358268*^9}, {3.6877743925697627`*^9, 
   3.687774405670512*^9}, 3.6877744454867897`*^9, {3.687774606325989*^9, 
   3.6877746358946805`*^9}, {3.6877747337522774`*^9, 3.687774803369259*^9}, {
   3.687775162274788*^9, 3.6877751651789536`*^9}, {3.687775480626996*^9, 
   3.687775633744754*^9}, {3.687775674712097*^9, 3.687775677589262*^9}, {
   3.6877869812928953`*^9, 3.687787037370103*^9}, {3.6881456608235817`*^9, 
   3.688145687224618*^9}, {3.688146137653221*^9, 3.6881461415332265`*^9}, {
   3.6881462293833475`*^9, 3.6881463422145033`*^9}, {3.6881466065039253`*^9, 
   3.68814661685394*^9}, {3.688146704554061*^9, 3.688146835214241*^9}, {
   3.6881468718242917`*^9, 3.6881468964143257`*^9}, {3.6881469964844637`*^9, 
   3.688147033045514*^9}, {3.6881470649955583`*^9, 3.6881471265256433`*^9}, {
   3.6881471637766943`*^9, 3.6881471699667034`*^9}, {3.6881473835169983`*^9, 
   3.688147385557001*^9}, {3.6881474270970583`*^9, 3.688147452728093*^9}, {
   3.688147525978194*^9, 3.6881475402782145`*^9}, {3.688147572058258*^9, 
   3.6881475751582623`*^9}, {3.688147707238445*^9, 3.6881477074184446`*^9}, {
   3.6881477444684963`*^9, 3.688147846870639*^9}, {3.7245726455459175`*^9, 
   3.7245726644419985`*^9}, {3.724575363166357*^9, 3.7245753694707174`*^9}, {
   3.7293184834495535`*^9, 3.7293185083629785`*^9}, {3.7293185426999426`*^9, 
   3.7293185756278257`*^9}, {3.7452166667662435`*^9, 3.745216667443282*^9}, {
   3.7852513124159083`*^9, 3.78525137293637*^9}, {3.7852514051682134`*^9, 
   3.785251409198444*^9}, {3.7852514468315964`*^9, 3.7852514764972935`*^9}, {
   3.8082115644561863`*^9, 3.808211587671514*^9}, {3.8082119899945254`*^9, 
   3.8082120947085147`*^9}, {3.8082121496396565`*^9, 3.808212174304067*^9}, {
   3.808212692705718*^9, 3.8082126974049873`*^9}, 3.8082143369977665`*^9, {
   3.8082143709507084`*^9, 3.8082144027905293`*^9}, {3.8082144597957897`*^9, 
   3.8082144600328035`*^9}, {3.808214568353999*^9, 3.8082146284294353`*^9}, {
   3.8082147540666213`*^9, 3.8082148075136786`*^9}, 3.8082149563931932`*^9, 
   3.808215126533925*^9, {3.8082153116595135`*^9, 3.8082153121125393`*^9}, {
   3.8082153587972097`*^9, 3.808215412438278*^9}, {3.8082154581708937`*^9, 
   3.8082154611930666`*^9}, {3.808215799974444*^9, 3.8082158196885715`*^9}, {
   3.8082158522244325`*^9, 3.80821586424712*^9}, {3.8082159218124123`*^9, 
   3.808215922201435*^9}, {3.8082159719752817`*^9, 3.8082161056339264`*^9}, {
   3.8084588401318607`*^9, 3.808458842370989*^9}, {3.808459932632348*^9, 
   3.808459943341961*^9}, {3.808459976127836*^9, 3.808459984852335*^9}, {
   3.8084673209109335`*^9, 3.808467326935278*^9}, {3.808467447209158*^9, 
   3.8084674473901677`*^9}, 3.8084780401580396`*^9, {3.8084803320651293`*^9, 
   3.8084803321891365`*^9}, {3.8084811180670857`*^9, 3.808481128296671*^9}, {
   3.8084812304265127`*^9, 3.808481252885797*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Zeeman splitting at \"\>", "\[InvisibleSpace]", 
   "0.8508818954473059`", "\[InvisibleSpace]", "\<\" G: \"\>", 
   "\[InvisibleSpace]", "1.7863726968145615`", 
   "\[InvisibleSpace]", "\<\" MHz\"\>"}],
  SequenceForm[
  "Zeeman splitting at ", 0.8508818954473059, " G: ", 1.7863726968145615`, 
   " MHz"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.6877712055274744`*^9, 3.6877712176341667`*^9}, 
   3.687771254862296*^9, {3.687774376561847*^9, 3.687774445966817*^9}, 
   3.687774476840583*^9, 3.687774521794154*^9, {3.6877745810735445`*^9, 
   3.6877746629852295`*^9}, 3.687774720369512*^9, {3.687774777748794*^9, 
   3.6877748036842775`*^9}, {3.6877748348070574`*^9, 
   3.6877749304985304`*^9}, {3.6877750390867414`*^9, 3.687775134229183*^9}, 
   3.687775165885994*^9, {3.6877754605598483`*^9, 3.6877755495669394`*^9}, {
   3.6877756035630274`*^9, 3.687775634333788*^9}, 3.6877756780272865`*^9, {
   3.6877865863983088`*^9, 3.6877866094866295`*^9}, {3.687786660528549*^9, 
   3.6877866817627635`*^9}, 3.687786786005726*^9, {3.687786983370014*^9, 
   3.687786987394245*^9}, 3.6877870437254667`*^9, {3.6877870855908613`*^9, 
   3.6877870942493563`*^9}, 3.687787136112751*^9, {3.6881460242938333`*^9, 
   3.688146042710887*^9}, {3.688147034595516*^9, 3.6881470654955587`*^9}, {
   3.68814711660563*^9, 3.688147127695645*^9}, 3.688147171176705*^9, {
   3.6881473864970016`*^9, 3.6881474531280937`*^9}, {3.6881474881681423`*^9, 
   3.6881474991581573`*^9}, {3.6881475322582035`*^9, 3.6881475408982153`*^9}, 
   3.6881475780982666`*^9, 3.688147672928397*^9, 3.688147708888447*^9, {
   3.6881477472385*^9, 3.6881479116907287`*^9}, {3.724572602610462*^9, 
   3.7245726648250203`*^9}, 3.7245726949197416`*^9, 3.7245727899171753`*^9, 
   3.724572828140362*^9, 3.724572909269002*^9, {3.724573646422165*^9, 
   3.7245736757258406`*^9}, {3.724573707424654*^9, 3.7245737357212725`*^9}, {
   3.7245737728113937`*^9, 3.724573792712532*^9}, 3.7245749349688654`*^9, {
   3.724575355549921*^9, 3.7245753697917356`*^9}, {3.724575416300396*^9, 
   3.7245754265759835`*^9}, 3.7293184535658445`*^9, {3.7293185321043367`*^9, 
   3.7293185893046083`*^9}, 3.7293186715343113`*^9, 3.7779758585200806`*^9, {
   3.777975892695035*^9, 3.77797599068464*^9}, {3.7852512787129803`*^9, 
   3.785251289111575*^9}, 3.785251351676154*^9, {3.7852514096634703`*^9, 
   3.7852514769263177`*^9}, 3.8082109968747225`*^9, 3.8082112180993757`*^9, {
   3.8082120955095606`*^9, 3.8082121103874116`*^9}, {3.80821216106631*^9, 
   3.8082121745670824`*^9}, 3.8082122641202044`*^9, {3.8082123239836283`*^9, 
   3.8082123357172995`*^9}, {3.808212448299739*^9, 3.8082124812986264`*^9}, 
   3.8082125891387944`*^9, {3.8082126525214195`*^9, 3.808212663636056*^9}, 
   3.8082126981410294`*^9, {3.8082144364624557`*^9, 3.8082144605498333`*^9}, 
   3.808214628729452*^9, 3.80821477362274*^9, 3.808214808979762*^9, 
   3.8082148509901648`*^9, 3.808214967064804*^9, 3.8082150104132833`*^9, 
   3.8082150899998355`*^9, 3.8082151269629498`*^9, 3.808215273461329*^9, 
   3.8082153128735833`*^9, 3.8082154128162994`*^9, 3.808215820849638*^9, 
   3.8082158654411883`*^9, 3.808216311431698*^9, 3.8084588439970818`*^9, 
   3.808458928271902*^9, 3.808460012162897*^9, 3.8084600768785987`*^9, {
   3.8084602179306664`*^9, 3.808460264346321*^9}, 3.808460304693629*^9, {
   3.8084603383075514`*^9, 3.8084604509229927`*^9}, 3.8084629522980633`*^9, 
   3.8084670080690403`*^9, 3.808467150401181*^9, 3.8084672248304377`*^9, 
   3.808467273084198*^9, 3.808467327790327*^9, 3.8084674122961607`*^9, 
   3.8084674483022203`*^9, {3.808467505426487*^9, 3.8084675350961847`*^9}, 
   3.8084676319667253`*^9, 3.8084677190577064`*^9, {3.8084678829710817`*^9, 
   3.8084679054703684`*^9}, 3.808468226385724*^9, 3.8084745921598253`*^9, 
   3.8084751914101005`*^9, 3.8084752667044067`*^9, 3.8084756445890207`*^9, 
   3.8084766239210353`*^9, 3.808477757182854*^9, 3.8084778378714695`*^9, 
   3.8084778908545*^9, 3.808477923008339*^9, 3.808477998412652*^9, 
   3.8084780414551134`*^9, 3.8084803327171664`*^9, 3.8084804551831713`*^9, {
   3.808481113218808*^9, 3.808481134159006*^9}, 3.8084812538928547`*^9, 
   3.808487271652051*^9, 3.8084877206427317`*^9, 3.8084877551417046`*^9, 
   3.8084877948209743`*^9, 3.808540846867238*^9, 3.8085414134296436`*^9, 
   3.8085419554506454`*^9, 3.8085420711942654`*^9, 3.8085421306766677`*^9, 
   3.80854216655472*^9, 3.8085425375169373`*^9, 3.8085425936031456`*^9, 
   3.808542639224755*^9, 3.8085439262893705`*^9, 3.808544150831214*^9, 
   3.8085480739336023`*^9, 3.808579374064129*^9, 3.808635609482602*^9, 
   3.8086356727632217`*^9, 3.8086400883057766`*^9, 3.808640306847276*^9, 
   3.808640387807907*^9, 3.808649948392741*^9, {3.808650098256313*^9, 
   3.8086501179554396`*^9}, {3.8086501494302397`*^9, 3.80865019524586*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJwBwQI+/SFib1JlAgAAACsAAAACAAAAnX5iBjFkiz5QpGyh+5T8P55a7DpX
IGk/gHTvAHya/D/ZTYpyICB5P5k+09n+n/w/d0dZDgUgiT8401T5C6v8P0bE
QFz3H5k/Ky4k+kPB/D+tgjSD8B+pP1THTlYr7vw/4WGuFu0fuT8vccHW2Un9
P3tRa2DrH8k/KpV/+cQI/j8J+ZvJbC7aPxtR0puQyf8/ccJ/jOxy4z96ixLz
oMsAQC6kk9G0ruk/cm4qCCbBAUDlTmgc3zjwP5C+UtGB3wJAlxqGHaFg8z+y
koO60vsDQDlyuK8DzPY/RakGsWdABUDD15tQbyf6P9IS2qWOjQZAMYz+PhhJ
/T+tTCEFcc8HQEfmOt8wVwBA8Aue49Q2CUDnLbZF9OwBQIfcFZmgjgpAe/yJ
M7x6A0CL0iZkReYLQAcR6GlUKgVAFITj3m9hDUAFzQVHC70GQOHJpmxKyA5A
+86tbJJxCEDogSlL/SgQQOVXrhkeHgpA1IH/gUXsEEBBiG5tyK0LQAj+VRH1
oxFAlf64CUNfDUC13xN4qGwSQFscw0zc8w5AEmqKFDEpE0AMwCvsIlUQQCY8
ZcGf9hNAZTWi9VksEUBOCpmkU8EUQHd+eFIg9RFAF+Mnxjh/FUCF6pPTzs4S
QBjht9jeTRZATCoPqAyaE0BVnq16cg8XQI2tNsBMYRRA61Q5CMHNF0DKU6P8
dDkVQJ9aYsS9nBhAwM1vjCwDFkDgpuiKWV4ZQLJqgUDM3RZAa7iP7p8wGkAe
Sz84brQXQFU4sB52/xpAQ/9cg598GECOHKijtMAbQGTWv/K4VRlAGKv05ZaS
HEA+gYK1YSAaQPeh/E7JVh1Akm/xuwznGkACZWJuWhceQOKApeafvhtAGY6b
KIzoHkDrZblkwoccQGqwx33vqx9AhxmyRzbeHEAAAAAAAAAgQIwmMqc=
     "]], LineBox[CompressedData["
1:eJwdxQk81HkfwPGRGKLD5M4xUlhXEZHF91s91WMdlcqR6VB4pohYbY6STdp1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     "]], LineBox[CompressedData["
1:eJwVzns4VHkcBvCRWxfaXBJyP0qpLElI5vujIoXK1k65JMKKoqinRnYobS25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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
    "\"On resonance transparency beam saturation parameter\"", 
     TraditionalForm], 
    FormBox["\"Energy (MHz)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotRange->{{0, 10}, {-4, 8}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.687769714893215*^9, 3.6877697783208427`*^9}, 
   3.687769826381592*^9, {3.6877698863960247`*^9, 3.6877699234421434`*^9}, 
   3.687769960302252*^9, {3.687770002105643*^9, 3.6877700170504975`*^9}, 
   3.6877700568617744`*^9, {3.687770118782316*^9, 3.6877701369453554`*^9}, 
   3.687770167682113*^9, 3.687770200638998*^9, 3.687770248991764*^9, 
   3.687770346295329*^9, 3.687770386905652*^9, 3.687770420006545*^9, 
   3.6877705389613495`*^9, 3.6877706264763546`*^9, {3.6877708591246614`*^9, 
   3.687770880687895*^9}, {3.6877709135387735`*^9, 3.6877709318068185`*^9}, {
   3.6877709674378567`*^9, 3.6877710025968676`*^9}, {3.6877710365488095`*^9, 
   3.687771049776566*^9}, {3.6877710947881403`*^9, 3.687771108011897*^9}, 
   3.687771152337432*^9, {3.687771205514474*^9, 3.6877712176221666`*^9}, 
   3.6877712548492956`*^9, {3.6877743765478463`*^9, 3.687774445952816*^9}, 
   3.687774476826582*^9, 3.687774521777153*^9, {3.6877745810585437`*^9, 
   3.6877746629692287`*^9}, 3.687774720349511*^9, {3.6877747777337933`*^9, 
   3.6877748036702766`*^9}, {3.6877748347910566`*^9, 
   3.6877749304825296`*^9}, {3.6877750390707407`*^9, 3.6877751342131824`*^9}, 
   3.6877751658589926`*^9, {3.6877754605428476`*^9, 3.687775549551938*^9}, {
   3.6877756035470266`*^9, 3.6877756343117867`*^9}, 3.687775678011286*^9, {
   3.687786586382308*^9, 3.687786609468629*^9}, {3.687786660511548*^9, 
   3.6877866817467623`*^9}, 3.687786785987725*^9, {3.687786983362014*^9, 
   3.6877869873862443`*^9}, 3.6877870437174664`*^9, {3.687787085582861*^9, 
   3.687787094239356*^9}, 3.6877871361047506`*^9, {3.6881460160543623`*^9, 
   3.6881460426948853`*^9}, {3.6881470345855165`*^9, 
   3.6881470654955587`*^9}, {3.6881471167556295`*^9, 3.688147127715645*^9}, 
   3.688147171166705*^9, {3.6881473864970016`*^9, 3.688147453118094*^9}, {
   3.688147488158142*^9, 3.6881474991581573`*^9}, {3.6881475322482033`*^9, 
   3.6881475409082155`*^9}, 3.688147578118266*^9, 3.688147672948397*^9, 
   3.688147708898447*^9, {3.6881477472485*^9, 3.688147911680729*^9}, {
   3.7245726026014614`*^9, 3.72457266482102*^9}, 3.7245726949147415`*^9, 
   3.724572789913175*^9, 3.724572828136361*^9, 3.724572909264002*^9, {
   3.7245736464181643`*^9, 3.7245736757218404`*^9}, {3.7245737074186535`*^9, 
   3.724573735717272*^9}, {3.7245737728063936`*^9, 3.724573792707532*^9}, 
   3.7245749349638653`*^9, {3.724575355544921*^9, 3.724575369785735*^9}, {
   3.7245754162943954`*^9, 3.7245754265709834`*^9}, 3.729318453559844*^9, {
   3.729318532098336*^9, 3.729318589298608*^9}, 3.7293186715233107`*^9, 
   3.77797585851108*^9, {3.777975892690035*^9, 3.7779759906806393`*^9}, {
   3.7852512787089806`*^9, 3.7852512891035748`*^9}, 3.7852513516711535`*^9, {
   3.7852514096564703`*^9, 3.7852514769213176`*^9}, 3.8082109968677216`*^9, 
   3.8082112180913754`*^9, {3.8082120955045605`*^9, 3.808212110382411*^9}, {
   3.80821216106031*^9, 3.8082121745620823`*^9}, 3.808212264108204*^9, {
   3.808212323977628*^9, 3.8082123357102995`*^9}, {3.808212448294739*^9, 
   3.808212481291626*^9}, 3.8082125891337943`*^9, {3.80821265251742*^9, 
   3.808212663627055*^9}, 3.8082126986690593`*^9, 3.8082144377935314`*^9, 
   3.808214471950485*^9, 3.8082146405131264`*^9, 3.8082147764639025`*^9, 
   3.8082148226545444`*^9, 3.8082148640479116`*^9, 3.808214979001487*^9, 
   3.808215025626154*^9, 3.808215101726506*^9, 3.808215142485838*^9, 
   3.8082152883051777`*^9, 3.808215324602254*^9, 3.8082154251950073`*^9, 
   3.808215834195401*^9, 3.8082158784349318`*^9, 3.808216323777404*^9, 
   3.808458849990425*^9, 3.808458937273417*^9, 3.8084600213144207`*^9, 
   3.808460089357312*^9, {3.808460227451211*^9, 3.8084602734098396`*^9}, 
   3.808460313772148*^9, {3.8084603475360794`*^9, 3.8084604599925117`*^9}, 
   3.8084629610325627`*^9, 3.808467017574584*^9, 3.808467159372694*^9, 
   3.8084672342269754`*^9, 3.8084672785245094`*^9, 3.8084673418931336`*^9, 
   3.808467421398681*^9, 3.808467457431742*^9, {3.808467518878257*^9, 
   3.808467544783738*^9}, 3.808467653717969*^9, 3.808467728526248*^9, {
   3.8084678954177933`*^9, 3.808467915147922*^9}, 3.808468239377467*^9, 
   3.8084746017093716`*^9, 3.8084752002526064`*^9, 3.8084752806102023`*^9, 
   3.808475654741602*^9, 3.8084766333505745`*^9, 3.8084777662703743`*^9, 
   3.808477850432188*^9, 3.808477899905018*^9, 3.808477932223866*^9, 
   3.8084780081102066`*^9, 3.808478053118781*^9, 3.8084803426327333`*^9, 
   3.8084804651167393`*^9, {3.8084811226593485`*^9, 3.808481143268527*^9}, 
   3.8084812629333715`*^9, 3.8084872811075916`*^9, 3.808487729915262*^9, 
   3.808487764834259*^9, 3.8084878075127*^9, 3.808540856736802*^9, 
   3.808541422509163*^9, 3.808541965112198*^9, 3.808542080467796*^9, 
   3.8085421398181906`*^9, 3.808542175929256*^9, 3.8085425473515*^9, 
   3.808542602967681*^9, 3.808542648899308*^9, 3.8085439355979033`*^9, 
   3.80854415985273*^9, 3.8085480830391235`*^9, 3.8085793838086863`*^9, 
   3.8086356162759905`*^9, 3.808635682140758*^9, 3.8086400978533225`*^9, 
   3.808640316140808*^9, 3.808640396867425*^9, 3.8086499576862726`*^9, {
   3.8086501079388666`*^9, 3.808650204526391*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Fit polarization vector", "Text",
 CellChangeTimes->{{3.687786947711975*^9, 3.6877869622018037`*^9}, {
  3.6882023103945208`*^9, 3.68820231615653*^9}, {3.688202987063622*^9, 
  3.688202989963626*^9}, {3.8082154912637863`*^9, 3.808215491459798*^9}, {
  3.808462973454273*^9, 3.8084629830188203`*^9}}],

Cell[CellGroupData[{

Cell["Loading fit function and dynamic monitoring ", "Subitem",
 CellChangeTimes->{{3.8085409711473465`*^9, 3.808540996594802*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NbExpPoints", " ", "=", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Length", "[", "intensityBeam1", "]"}], "+", 
     RowBox[{"Length", "[", "intensityBeam2", "]"}], "+", 
     RowBox[{"Length", "[", "intensityBeam3", "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"weightTot", " ", "=", " ", 
    RowBox[{"Total", "[", 
     RowBox[{"Join", "[", 
      RowBox[{"weightPlus1", ",", "weight0", ",", "weightMinus1"}], "]"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fittingAuxFun", "[", 
    RowBox[{
     RowBox[{"x_", "?", "NumericQ"}], ",", 
     RowBox[{"y_", "?", "NumericQ"}], ",", 
     RowBox[{"z_", "?", "NumericQ"}], ",", 
     RowBox[{"Ifactor_", "?", "NumericQ"}], ",", "nbFitParam_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "polarVec", ",", "auxTab1", ",", "auxTab2", ",", "auxTab3", ",", 
       "dist1", ",", "dist2", ",", "dist3", ",", "DOF", ",", "resDist"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"polarVec", "=", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"DOF", " ", "=", " ", 
       RowBox[{"NbExpPoints", "-", "nbFitParam"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"auxTab1", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Eigenvalues", "[", 
           RowBox[{"MatFun", "[", 
            RowBox[{"Bfield", ",", 
             RowBox[{"Ifactor", "*", "#", "*", 
              RowBox[{
               RowBox[{"10", "^", "6."}], " ", "/", " ", "Isat3P1to3S1"}]}], 
             ",", "\[CapitalDelta]Transp", ",", "polarVec"}], "]"}], "]"}], 
          "&"}], ",", "intensityBeam1"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"auxTab1", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Sort", "[", 
           RowBox[{"#", ",", "Greater"}], "]"}], "&"}], ",", "auxTab1", ",", 
         "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"auxTab1", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "&"}], ",", "auxTab1"}], "]"}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"dist1", " ", "=", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"energPlus1", "-", 
           RowBox[{"auxTab1", "/", 
            RowBox[{"(", 
             RowBox[{"2.", "*", "Pi", "*", 
              RowBox[{"10", "^", "6."}]}], ")"}]}]}], ")"}], "^", "2."}], " ",
         "*", " ", "weightPlus1"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"auxTab2", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Eigenvalues", "[", 
           RowBox[{"MatFun", "[", 
            RowBox[{"Bfield", ",", 
             RowBox[{"Ifactor", "*", "#", "*", 
              RowBox[{
               RowBox[{"10", "^", "6."}], " ", "/", " ", "Isat3P1to3S1"}]}], 
             ",", "\[CapitalDelta]Transp", ",", "polarVec"}], "]"}], "]"}], 
          "&"}], ",", "intensityBeam2"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"auxTab2", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Sort", "[", 
           RowBox[{"#", ",", "Greater"}], "]"}], "&"}], ",", "auxTab2", ",", 
         "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"auxTab2", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "&"}], ",", "auxTab2"}], "]"}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"dist2", " ", "=", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"energ0", "-", 
           RowBox[{"auxTab2", "/", 
            RowBox[{"(", 
             RowBox[{"2.", "*", "Pi", "*", 
              RowBox[{"10", "^", "6."}]}], ")"}]}]}], ")"}], "^", "2."}], " ",
         "*", " ", "weight0"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"auxTab3", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Eigenvalues", "[", 
           RowBox[{"MatFun", "[", 
            RowBox[{"Bfield", ",", 
             RowBox[{"Ifactor", "*", "#", "*", 
              RowBox[{
               RowBox[{"10", "^", "6."}], " ", "/", " ", "Isat3P1to3S1"}]}], 
             ",", "\[CapitalDelta]Transp", ",", "polarVec"}], "]"}], "]"}], 
          "&"}], ",", "intensityBeam3"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"auxTab3", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Sort", "[", 
           RowBox[{"#", ",", "Greater"}], "]"}], "&"}], ",", "auxTab3", ",", 
         "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"auxTab3", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "3", "]"}], "]"}], "&"}], ",", "auxTab3"}], "]"}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"dist3", " ", "=", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"energMinus1", "-", 
           RowBox[{"auxTab3", "/", 
            RowBox[{"(", 
             RowBox[{"2.", "*", "Pi", "*", 
              RowBox[{"10", "^", "6."}]}], ")"}]}]}], ")"}], "^", "2."}], " ",
         "*", " ", "weightMinus1"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"resDist", " ", "=", " ", 
       RowBox[{
        RowBox[{"Total", "[", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"Join", "[", 
           RowBox[{"dist1", ",", "dist2", ",", "dist3"}], "]"}], "]"}], "]"}],
         "/", "DOF"}]}], ";", "\[IndentingNewLine]", "resDist"}]}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8084605272293572`*^9, 3.8084607893113475`*^9}, {
   3.808460830157684*^9, 3.8084608900781107`*^9}, {3.8084609215389104`*^9, 
   3.808461240096131*^9}, {3.808461280553445*^9, 3.8084613621251106`*^9}, {
   3.808461394174944*^9, 3.80846150670638*^9}, {3.808461575321305*^9, 
   3.8084616418621106`*^9}, {3.808462192363598*^9, 3.8084623322335978`*^9}, {
   3.8084623879907866`*^9, 3.8084624018325787`*^9}, {3.808462744395172*^9, 
   3.8084627447361917`*^9}, {3.808462810815971*^9, 3.808462865451096*^9}, 
   3.808463017920817*^9, {3.8084649943268604`*^9, 3.8084649983720922`*^9}, {
   3.808480344076816*^9, 3.8084803523902917`*^9}, 3.808480435296034*^9, {
   3.8084804817336893`*^9, 3.808480489209117*^9}, {3.8086338809297347`*^9, 
   3.8086338913653316`*^9}, {3.8086339993085055`*^9, 3.808634021200758*^9}, {
   3.808634871080368*^9, 3.8086349032232065`*^9}, {3.8086354457052345`*^9, 
   3.8086354695045958`*^9}, {3.8086355214185658`*^9, 3.8086355666491528`*^9}, 
   3.808635903739433*^9, {3.808636227904974*^9, 3.808636288893462*^9}, {
   3.808640463864257*^9, 3.8086404664544053`*^9}, {3.8086405053476295`*^9, 
   3.80864055500247*^9}, {3.8086406668088646`*^9, 3.808640801100546*^9}, {
   3.808640931142984*^9, 3.8086409314540014`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Dynamic monitoring ", "Subitem",
 CellChangeTimes->{{3.8085409711473465`*^9, 3.808540996594802*^9}, {
  3.8085442988076773`*^9, 3.8085442997887335`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Result for \[Theta]: \>\"", ",", 
   RowBox[{"Dynamic", "[", "\[Theta]", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Result for \[Phi]: \>\"", ",", 
   RowBox[{"Dynamic", "[", "\[Phi]", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Result for intensity factor: \>\"", ",", 
   RowBox[{"Dynamic", "[", "Ifac", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Result for \[Sigma]-: \>\"", ",", 
   RowBox[{"Dynamic", "[", 
    RowBox[{
     RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
     RowBox[{"Cos", "[", "\[Phi]", "]"}]}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Result for \[Pi]: \>\"", ",", 
   RowBox[{"Dynamic", "[", 
    RowBox[{
     RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
     RowBox[{"Sin", "[", "\[Phi]", "]"}]}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Result for \[Sigma]+: \>\"", ",", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"Cos", "[", "\[Theta]", "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8084654424234905`*^9, 3.808465508626277*^9}, {
  3.808480373833518*^9, 3.808480383230056*^9}, {3.8084804655777655`*^9, 
  3.808480466447815*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Result for \[Theta]: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[$CellContext`\[Theta], StandardForm],
    ImageSizeCache->{7., {0., 7.}}]}],
  SequenceForm["Result for \[Theta]: ", 
   Dynamic[$CellContext`\[Theta]]],
  Editable->False]], "Print",
 CellChangeTimes->{3.808465510536386*^9, 3.808467917648065*^9, 
  3.8084683843647594`*^9, 3.808480493859383*^9, 3.808540865988332*^9, 
  3.808542064507883*^9, 3.808542661784045*^9, 3.808635804958783*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Result for \[Phi]: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[$CellContext`\[Phi], StandardForm],
    ImageSizeCache->{7., {2., 8.}}]}],
  SequenceForm["Result for \[Phi]: ", 
   Dynamic[$CellContext`\[Phi]]],
  Editable->False]], "Print",
 CellChangeTimes->{3.808465510536386*^9, 3.808467917648065*^9, 
  3.8084683843647594`*^9, 3.808480493859383*^9, 3.808540865988332*^9, 
  3.808542064507883*^9, 3.808542661784045*^9, 3.808635804964783*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Result for intensity factor: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[$CellContext`Ifac, StandardForm],
    ImageSizeCache->{49., {0., 8.}}]}],
  SequenceForm["Result for intensity factor: ", 
   Dynamic[$CellContext`Ifac]],
  Editable->False]], "Print",
 CellChangeTimes->{3.808465510536386*^9, 3.808467917648065*^9, 
  3.8084683843647594`*^9, 3.808480493859383*^9, 3.808540865988332*^9, 
  3.808542064507883*^9, 3.808542661784045*^9, 3.8086358049677835`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Result for \[Sigma]-: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
    Sin[$CellContext`\[Theta]] Cos[$CellContext`\[Phi]], StandardForm],
    ImageSizeCache->{87., {2., 8.}}]}],
  SequenceForm["Result for \[Sigma]-: ", 
   Dynamic[Sin[$CellContext`\[Theta]] Cos[$CellContext`\[Phi]]]],
  Editable->False]], "Print",
 CellChangeTimes->{3.808465510536386*^9, 3.808467917648065*^9, 
  3.8084683843647594`*^9, 3.808480493859383*^9, 3.808540865988332*^9, 
  3.808542064507883*^9, 3.808542661784045*^9, 3.8086358049707837`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Result for \[Pi]: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
    Sin[$CellContext`\[Theta]] Sin[$CellContext`\[Phi]], StandardForm],
    ImageSizeCache->{87., {2., 8.}}]}],
  SequenceForm["Result for \[Pi]: ", 
   Dynamic[Sin[$CellContext`\[Theta]] Sin[$CellContext`\[Phi]]]],
  Editable->False]], "Print",
 CellChangeTimes->{3.808465510536386*^9, 3.808467917648065*^9, 
  3.8084683843647594`*^9, 3.808480493859383*^9, 3.808540865988332*^9, 
  3.808542064507883*^9, 3.808542661784045*^9, 3.808635804974784*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Result for \[Sigma]+: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     Cos[$CellContext`\[Theta]], StandardForm],
    ImageSizeCache->{42., {2., 8.}}]}],
  SequenceForm["Result for \[Sigma]+: ", 
   Dynamic[
    Cos[$CellContext`\[Theta]]]],
  Editable->False]], "Print",
 CellChangeTimes->{3.808465510536386*^9, 3.808467917648065*^9, 
  3.8084683843647594`*^9, 3.808480493859383*^9, 3.808540865988332*^9, 
  3.808542064507883*^9, 3.808542661784045*^9, 3.808635804978784*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Fit with fixed intensity scaling", "Subitem",
 CellChangeTimes->{{3.8085407248102565`*^9, 3.80854077155093*^9}, {
  3.8085408069609556`*^9, 3.808540807793003*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"startTime", " ", "=", " ", 
   RowBox[{"AbsoluteTime", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resFit", " ", "=", " ", 
  RowBox[{"FindMinimum", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"fittingAuxFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
         RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
        RowBox[{
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
         RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
        RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", "1.", ",", "2"}], "]"}], 
      ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"0.", "\[LessEqual]", "\[Theta]", "\[LessEqual]", " ", 
         RowBox[{"Pi", "/", "2."}]}], ")"}], "&&", 
       RowBox[{"(", 
        RowBox[{"0.", "\[LessEqual]", " ", "\[Phi]", "\[LessEqual]", " ", 
         RowBox[{"Pi", "/", "2."}]}], ")"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Theta]", ",", "\[Theta]test"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Phi]", ",", "\[Phi]test"}], "}"}]}], "}"}], ",", 
    RowBox[{"AccuracyGoal", "\[Rule]", "1"}], ",", 
    RowBox[{"PrecisionGoal", "\[Rule]", "1"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Calculation time: \>\"", ",", 
    RowBox[{
     RowBox[{"AbsoluteTime", "[", "]"}], "-", "startTime"}], ",", 
    "\"\< s\>\""}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Theta]Res", " ", "=", " ", 
   RowBox[{"\[Theta]", "/.", 
    RowBox[{"Last", "[", "resFit", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]Res", " ", "=", " ", 
   RowBox[{"\[Phi]", "/.", 
    RowBox[{"Last", "[", "resFit", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"polarVecTranspRes", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", "\[Theta]Res", "]"}], "*", 
      RowBox[{"Cos", "[", "\[Phi]Res", "]"}]}], ",", 
     RowBox[{
      RowBox[{"Sin", "[", "\[Theta]Res", "]"}], "*", 
      RowBox[{"Sin", "[", "\[Phi]Res", "]"}]}], ",", 
     RowBox[{"Cos", "[", "\[Theta]Res", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Result of the fit for projection of the light onto the transitions {\
\[Sigma]-, \[Pi], \[Sigma]+}: \>\"", ",", "polarVecTranspRes"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.808466184642943*^9, 3.8084661927504063`*^9}, {
   3.8084669694368305`*^9, 3.8084669757051888`*^9}, {3.808467957115322*^9, 
   3.8084680236551285`*^9}, {3.808468106889889*^9, 3.808468126645019*^9}, {
   3.8084745360726175`*^9, 3.808474540382864*^9}, {3.808480393149623*^9, 
   3.808480424503416*^9}, {3.8084810870533123`*^9, 3.8084810884643927`*^9}, {
   3.8084812829645176`*^9, 3.8084813115301514`*^9}, {3.8085408144303827`*^9, 
   3.8085408262610593`*^9}, {3.8085408731477413`*^9, 3.808540875836895*^9}, {
   3.8085426657282705`*^9, 3.8085426660132875`*^9}, 3.8086359156421137`*^9, {
   3.808636253522439*^9, 3.8086362540834713`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMinimum", "::", "eit"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The algorithm does not converge to the tolerance of \
\[NoBreak]\\!\\(1\\/10\\)\[NoBreak] in \[NoBreak]\\!\\(500\\)\[NoBreak] \
iterations. The best estimated solution, with feasibility residual, KKT \
residual, or complementary residual of \
\[NoBreak]\\!\\({1.0959912856624166`*^-12, 0.8799177929759026`, \
4.605085779019875`*^-13}\\)\[NoBreak], is returned. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMinimum\\\", ButtonNote -> \
\\\"FindMinimum::eit\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.808639994251397*^9, 3.808654294495324*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.8156072477646884`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Theta]", "\[Rule]", "0.7615859018265163`"}], ",", 
     RowBox[{"\[Phi]", "\[Rule]", "1.0600046025134024`"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8084679468667364`*^9, 3.808468210618822*^9, 
  3.808471353973612*^9, 3.808481083439105*^9, 3.8084870577738175`*^9, 
  3.808541116393654*^9, 3.8085433132033043`*^9, 3.8086399947364244`*^9, 
  3.8086542949563503`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculation time: \"\>", "\[InvisibleSpace]", 
   "4063.3324093`11.060427345632766", "\[InvisibleSpace]", "\<\" s\"\>"}],
  SequenceForm["Calculation time: ", 4063.3324093`11.060427345632766, " s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.808471353978612*^9, 3.8084810834451056`*^9, 
  3.808487057779818*^9, 3.808541116397654*^9, 3.8085433132063046`*^9, 
  3.808639994740425*^9, 3.80865429495835*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Result of the fit for projection of the light onto the \
transitions {\[Sigma]-, \[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.3373532343126955`", ",", "0.6019879850294327`", ",", 
     "0.7237425379090047`"}], "}"}]}],
  SequenceForm[
  "Result of the fit for projection of the light onto the transitions {\
\[Sigma]-, \[Pi], \[Sigma]+}: ", {0.3373532343126955, 0.6019879850294327, 
   0.7237425379090047}],
  Editable->False]], "Print",
 CellChangeTimes->{3.808471353978612*^9, 3.8084810834451056`*^9, 
  3.808487057779818*^9, 3.808541116397654*^9, 3.8085433132063046`*^9, 
  3.808639994740425*^9, 3.8086542949603505`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Fit with fitted intensity scaling", "Subitem",
 CellChangeTimes->{{3.8085407248102565`*^9, 3.80854077155093*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"startTime", " ", "=", " ", 
   RowBox[{"AbsoluteTime", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resFit", " ", "=", " ", 
  RowBox[{"FindMinimum", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"fittingAuxFun", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
         RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
        RowBox[{
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "*", 
         RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
        RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", "Ifac", ",", "3"}], "]"}],
       ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"0.", "\[LessEqual]", "\[Theta]", "\[LessEqual]", " ", 
         RowBox[{"Pi", "/", "2."}]}], ")"}], "&&", 
       RowBox[{"(", 
        RowBox[{"0.", "\[LessEqual]", " ", "\[Phi]", "\[LessEqual]", " ", 
         RowBox[{"Pi", "/", "2."}]}], ")"}], "&&", 
       RowBox[{"(", 
        RowBox[{
        "0.5", "\[LessEqual]", " ", "Ifac", "\[LessEqual]", " ", "2."}], 
        ")"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Theta]", ",", "\[Theta]test"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Phi]", ",", "\[Phi]test"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Ifac", ",", "IfacScal"}], "}"}]}], "}"}], ",", 
    RowBox[{"AccuracyGoal", "\[Rule]", "1"}], ",", 
    RowBox[{"PrecisionGoal", "\[Rule]", "1"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Calculation time: \>\"", ",", 
    RowBox[{
     RowBox[{"AbsoluteTime", "[", "]"}], "-", "startTime"}], ",", 
    "\"\< s\>\""}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Theta]Res", " ", "=", " ", 
   RowBox[{"\[Theta]", "/.", 
    RowBox[{"Last", "[", "resFit", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]Res", " ", "=", " ", 
   RowBox[{"\[Phi]", "/.", 
    RowBox[{"Last", "[", "resFit", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IfacRes", " ", "=", 
   RowBox[{"Ifac", "/.", 
    RowBox[{"Last", "[", "resFit", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"polarVecTranspRes", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", "\[Theta]Res", "]"}], "*", 
      RowBox[{"Cos", "[", "\[Phi]Res", "]"}]}], ",", 
     RowBox[{
      RowBox[{"Sin", "[", "\[Theta]Res", "]"}], "*", 
      RowBox[{"Sin", "[", "\[Phi]Res", "]"}]}], ",", 
     RowBox[{"Cos", "[", "\[Theta]Res", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Result of the fit for projection of the light onto the transitions {\
\[Sigma]-, \[Pi], \[Sigma]+}: \>\"", ",", "polarVecTranspRes"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Result of the intensity scaling factor: \>\"", ",", "IfacRes"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.808466184642943*^9, 3.8084661927504063`*^9}, {
  3.8084669694368305`*^9, 3.8084669757051888`*^9}, {3.808467957115322*^9, 
  3.8084680236551285`*^9}, {3.808468106889889*^9, 3.808468126645019*^9}, {
  3.8084745360726175`*^9, 3.808474540382864*^9}, {3.808480393149623*^9, 
  3.808480424503416*^9}, {3.8084810870533123`*^9, 3.8084810884643927`*^9}, {
  3.8084812829645176`*^9, 3.8084813115301514`*^9}, {3.808542867142791*^9, 
  3.8085428686568775`*^9}, {3.8085442349710264`*^9, 3.8085442359900846`*^9}, {
  3.808636263205993*^9, 3.8086362637710257`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMinimum", "::", "eit"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The algorithm does not converge to the tolerance of \
\[NoBreak]\\!\\(1\\/10\\)\[NoBreak] in \[NoBreak]\\!\\(500\\)\[NoBreak] \
iterations. The best estimated solution, with feasibility residual, KKT \
residual, or complementary residual of \
\[NoBreak]\\!\\({1.0388637612078643`*^-12, 0.13701006025075912`, \
4.535901516199658`*^-13}\\)\[NoBreak], is returned. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMinimum\\\", ButtonNote -> \
\\\"FindMinimum::eit\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.808647678287898*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.718202705957381`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Theta]", "\[Rule]", "0.7315048425439035`"}], ",", 
     RowBox[{"\[Phi]", "\[Rule]", "0.9324924301085167`"}], ",", 
     RowBox[{"Ifac", "\[Rule]", "1.2239055377168426`"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8084679468667364`*^9, 3.808468210618822*^9, 
  3.808471353973612*^9, 3.808481083439105*^9, 3.8084870577738175`*^9, 
  3.8085443401430416`*^9, 3.80854496251464*^9, 3.8086476787729263`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculation time: \"\>", "\[InvisibleSpace]", 
   "7250.4167001`11.311907960805382", "\[InvisibleSpace]", "\<\" s\"\>"}],
  SequenceForm["Calculation time: ", 7250.4167001`11.311907960805382, " s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.808471353978612*^9, 3.8084810834451056`*^9, 
  3.808487057779818*^9, 3.808544340149042*^9, 3.8085449625196395`*^9, 
  3.8086476787769265`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Result of the fit for projection of the light onto the \
transitions {\[Sigma]-, \[Pi], \[Sigma]+}: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.3980113997632365`", ",", "0.5364679853239808`", ",", 
     "0.7441700251830481`"}], "}"}]}],
  SequenceForm[
  "Result of the fit for projection of the light onto the transitions {\
\[Sigma]-, \[Pi], \[Sigma]+}: ", {0.3980113997632365, 0.5364679853239808, 
   0.7441700251830481}],
  Editable->False]], "Print",
 CellChangeTimes->{3.808471353978612*^9, 3.8084810834451056`*^9, 
  3.808487057779818*^9, 3.808544340149042*^9, 3.8085449625196395`*^9, 
  3.808647678779927*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Result of the intensity scaling factor: \"\>", 
   "\[InvisibleSpace]", "1.2239055377168426`"}],
  SequenceForm[
  "Result of the intensity scaling factor: ", 1.2239055377168426`],
  Editable->False]], "Print",
 CellChangeTimes->{3.808471353978612*^9, 3.8084810834451056`*^9, 
  3.808487057779818*^9, 3.808544340149042*^9, 3.8085449625196395`*^9, 
  3.8086476787829266`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Plot and save results", "Text",
 CellChangeTimes->{{3.687786947711975*^9, 3.6877869622018037`*^9}, {
  3.6882023103945208`*^9, 3.68820231615653*^9}, {3.688202987063622*^9, 
  3.688202989963626*^9}, {3.8082154912637863`*^9, 3.808215491459798*^9}, {
  3.8084600880452375`*^9, 3.8084600927505064`*^9}, {3.808474640620597*^9, 
  3.808474642163685*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"plotMinus1", ",", "plot0", ",", "plotPlus1", ",", "theoPlot"}], 
    "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", " ", 
   RowBox[{"FrameLabel", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Intensity (MW/m^2)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Energy (MHz)\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8084587150837083`*^9, 3.808458717071822*^9}, {
  3.808458781948533*^9, 3.8084588244789658`*^9}, {3.808458949055091*^9, 
  3.8084589515902357`*^9}, {3.808459780641655*^9, 3.808459785676943*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {{}, 
     {RGBColor[0, 0, 1], PointSize[0.01], AbsoluteThickness[1.6], 
      PointBox[CompressedData["
1:eJxTTMoPSmViYGAQBmIQDQNnz4DAn/1zjihsKMr4bP8mcIdc6+uX+3Of/175
8RKjw5ICW67riy/sVwTKTnzL6lAtss79YVXLft1Nc98vPybgAFF/0X6NTFSK
dbyow81z34MfL71tr3z7Z12WjbKDx8MqkA572TX/i2for7dvFwOp+L1/+ebJ
BwM/7bIPAmkP/LWfb6HXWbmMo/YQ9T/3Q8y9ag9x5bf9fYw3X9+Vf2QPMe7T
/tLVz5d8731jD3H/h/3aNzcKdlz/AFX/Yv9f4Zg1Kw4yOMyaCQIn979py+02
imZz0IzpP/RVY439ntOuNerL+ByuLwZ58LL9TPd/CQ9+ijmYxu3y5GG6bX8k
qoarIVHJQR7ouh1yd+0Bsk2b/A==
       "]], {{LineBox[{{0., -1.75}, {0., -1.85}}], 
        LineBox[{
         Offset[{1.5, 0}, {0., -1.75}], Offset[{-1.5, 0}, {0., -1.75}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0., -1.85}], Offset[{-1.5, 0}, {0., -1.85}]}]}, {
        LineBox[{{1.213, -0.742}, {1.213, -0.8780000000000001}}], 
        LineBox[{
         Offset[{1.5, 0}, {1.213, -0.742}], 
          Offset[{-1.5, 0}, {1.213, -0.742}]}], 
        LineBox[{
         Offset[{1.5, 0}, {1.213, -0.8780000000000001}], 
          Offset[{-1.5, 0}, {1.213, -0.8780000000000001}]}]}, {
        LineBox[{{2.228, -0.192}, {2.228, -0.328}}], 
        LineBox[{
         Offset[{1.5, 0}, {2.228, -0.192}], 
          Offset[{-1.5, 0}, {2.228, -0.192}]}], 
        LineBox[{
         Offset[{1.5, 0}, {2.228, -0.328}], 
          Offset[{-1.5, 0}, {2.228, -0.328}]}]}, {
        LineBox[{{2.741, 0.058}, {2.741, -0.078}}], 
        LineBox[{
         Offset[{1.5, 0}, {2.741, 0.058}], 
          Offset[{-1.5, 0}, {2.741, 0.058}]}], 
        LineBox[{
         Offset[{1.5, 0}, {2.741, -0.078}], 
          Offset[{-1.5, 0}, {2.741, -0.078}]}]}, {
        LineBox[{{4.194, 0.34800000000000003`}, {4.194, 
         0.21200000000000002`}}], 
        LineBox[{
         Offset[{1.5, 0}, {4.194, 0.34800000000000003`}], 
          Offset[{-1.5, 0}, {4.194, 0.34800000000000003`}]}], 
        LineBox[{
         Offset[{1.5, 0}, {4.194, 0.21200000000000002`}], 
          Offset[{-1.5, 0}, {4.194, 0.21200000000000002`}]}]}, {
        LineBox[{{5.343, 0.5}, {5.343, 0.364}}], 
        LineBox[{
         Offset[{1.5, 0}, {5.343, 0.5}], Offset[{-1.5, 0}, {5.343, 0.5}]}], 
        LineBox[{
         Offset[{1.5, 0}, {5.343, 0.364}], 
          Offset[{-1.5, 0}, {5.343, 0.364}]}]}, {
        LineBox[{{9.618, 0.6080000000000001}, {9.618, 0.47200000000000003`}}],
         LineBox[{
         Offset[{1.5, 0}, {9.618, 0.6080000000000001}], 
          Offset[{-1.5, 0}, {9.618, 0.6080000000000001}]}], 
        LineBox[{
         Offset[{1.5, 0}, {9.618, 0.47200000000000003`}], 
          Offset[{-1.5, 0}, {9.618, 0.47200000000000003`}]}]}, {
        LineBox[{{0.06091, -1.64}, {0.06091, -1.776}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.06091, -1.64}], 
          Offset[{-1.5, 0}, {0.06091, -1.64}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.06091, -1.776}], 
          Offset[{-1.5, 0}, {0.06091, -1.776}]}]}, {
        LineBox[{{0.10526, -1.577}, {0.10526, -1.713}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.10526, -1.577}], 
          Offset[{-1.5, 0}, {0.10526, -1.577}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.10526, -1.713}], 
          Offset[{-1.5, 0}, {0.10526, -1.713}]}]}, {
        LineBox[{{0.16724, -1.512}, {0.16724, -1.6480000000000001`}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.16724, -1.512}], 
          Offset[{-1.5, 0}, {0.16724, -1.512}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.16724, -1.6480000000000001`}], 
          Offset[{-1.5, 0}, {0.16724, -1.6480000000000001`}]}]}, {
        LineBox[{{0.3425, -1.307}, {0.3425, -1.443}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.3425, -1.307}], 
          Offset[{-1.5, 0}, {0.3425, -1.307}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.3425, -1.443}], 
          Offset[{-1.5, 0}, {0.3425, -1.443}]}]}, {
        LineBox[{{0.56639, -1.1119999999999999`}, {0.56639, -1.248}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.56639, -1.1119999999999999`}], 
          Offset[{-1.5, 0}, {0.56639, -1.1119999999999999`}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.56639, -1.248}], 
          Offset[{-1.5, 0}, {0.56639, -1.248}]}]}, {
        LineBox[{{0.89233, -0.982}, {0.89233, -1.118}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.89233, -0.982}], 
          Offset[{-1.5, 0}, {0.89233, -0.982}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.89233, -1.118}], 
          Offset[{-1.5, 0}, {0.89233, -1.118}]}]}, {
        LineBox[{{1.05262, -0.6819999999999999}, {
         1.05262, -0.8180000000000001}}], 
        LineBox[{
         Offset[{1.5, 0}, {1.05262, -0.6819999999999999}], 
          Offset[{-1.5, 0}, {1.05262, -0.6819999999999999}]}], 
        LineBox[{
         Offset[{1.5, 0}, {1.05262, -0.8180000000000001}], 
          Offset[{-1.5, 0}, {1.05262, -0.8180000000000001}]}]}, {
        LineBox[{{2.09456, -0.132}, {2.09456, -0.268}}], 
        LineBox[{
         Offset[{1.5, 0}, {2.09456, -0.132}], 
          Offset[{-1.5, 0}, {2.09456, -0.132}]}], 
        LineBox[{
         Offset[{1.5, 0}, {2.09456, -0.268}], 
          Offset[{-1.5, 0}, {2.09456, -0.268}]}]}, {
        LineBox[{{2.79453, 0.123}, {2.79453, -0.013000000000000005`}}], 
        LineBox[{
         Offset[{1.5, 0}, {2.79453, 0.123}], 
          Offset[{-1.5, 0}, {2.79453, 0.123}]}], 
        LineBox[{
         Offset[{1.5, 0}, {2.79453, -0.013000000000000005`}], 
          Offset[{-1.5, 0}, {2.79453, -0.013000000000000005`}]}]}, {
        LineBox[{{3.83113, 0.378}, {3.83113, 0.242}}], 
        LineBox[{
         Offset[{1.5, 0}, {3.83113, 0.378}], 
          Offset[{-1.5, 0}, {3.83113, 0.378}]}], 
        LineBox[{
         Offset[{1.5, 0}, {3.83113, 0.242}], 
          Offset[{-1.5, 0}, {3.83113, 0.242}]}]}, {
        LineBox[{{5.74402, 0.49}, {5.74402, 0.354}}], 
        LineBox[{
         Offset[{1.5, 0}, {5.74402, 0.49}], 
          Offset[{-1.5, 0}, {5.74402, 0.49}]}], 
        LineBox[{
         Offset[{1.5, 0}, {5.74402, 0.354}], 
          Offset[{-1.5, 0}, {5.74402, 0.354}]}]}, {
        LineBox[{{9.19043, 0.523}, {9.19043, 0.387}}], 
        LineBox[{
         Offset[{1.5, 0}, {9.19043, 0.523}], 
          Offset[{-1.5, 0}, {9.19043, 0.523}]}], 
        LineBox[{
         Offset[{1.5, 0}, {9.19043, 0.387}], 
          Offset[{-1.5, 0}, {9.19043, 0.387}]}]}}}, {}}, {}}, {{}, {{}, 
     {RGBColor[1, 0, 0], PointSize[0.01], AbsoluteThickness[1.6], 
      PointBox[{{0.198, 0.165}, {1.213, 0.885}, {2.228, 1.94}, {3.126, 
       2.84}, {5.343, 
       3.54}}], {{LineBox[{{0.198, 0.21400000000000002`}, {0.198, 0.116}}], 
        LineBox[{
         Offset[{1.5, 0}, {0.198, 0.21400000000000002`}], 
          Offset[{-1.5, 0}, {0.198, 0.21400000000000002`}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0.198, 0.116}], 
          Offset[{-1.5, 0}, {0.198, 0.116}]}]}, {
        LineBox[{{1.213, 1.161}, {1.213, 0.609}}], 
        LineBox[{
         Offset[{1.5, 0}, {1.213, 1.161}], 
          Offset[{-1.5, 0}, {1.213, 1.161}]}], 
        LineBox[{
         Offset[{1.5, 0}, {1.213, 0.609}], 
          Offset[{-1.5, 0}, {1.213, 0.609}]}]}, {
        LineBox[{{2.228, 2.223}, {2.228, 1.657}}], 
        LineBox[{
         Offset[{1.5, 0}, {2.228, 2.223}], 
          Offset[{-1.5, 0}, {2.228, 2.223}]}], 
        LineBox[{
         Offset[{1.5, 0}, {2.228, 1.657}], 
          Offset[{-1.5, 0}, {2.228, 1.657}]}]}, {
        LineBox[{{3.126, 3.5469999999999997`}, {3.126, 2.133}}], 
        LineBox[{
         Offset[{1.5, 0}, {3.126, 3.5469999999999997`}], 
          Offset[{-1.5, 0}, {3.126, 3.5469999999999997`}]}], 
        LineBox[{
         Offset[{1.5, 0}, {3.126, 2.133}], 
          Offset[{-1.5, 0}, {3.126, 2.133}]}]}, {
        LineBox[{{5.343, 4.954}, {5.343, 2.1260000000000003`}}], 
        LineBox[{
         Offset[{1.5, 0}, {5.343, 4.954}], 
          Offset[{-1.5, 0}, {5.343, 4.954}]}], 
        LineBox[{
         Offset[{1.5, 0}, {5.343, 2.1260000000000003`}], 
          Offset[{-1.5, 0}, {5.343, 
           2.1260000000000003`}]}]}}}, {}}, {}}, {{}, {{}, 
     {RGBColor[0, 1, 0], PointSize[0.01], AbsoluteThickness[1.6], 
      PointBox[{{0., 1.79}, {1.213, 2.71}, {3.126, 3.84}, {4.194, 5.09}, {
       5.343, 6.34}}], {{LineBox[{{0., 1.84}, {0., 1.74}}], 
        LineBox[{
         Offset[{1.5, 0}, {0., 1.84}], Offset[{-1.5, 0}, {0., 1.84}]}], 
        LineBox[{
         Offset[{1.5, 0}, {0., 1.74}], Offset[{-1.5, 0}, {0., 1.74}]}]}, {
        LineBox[{{1.213, 2.8729999999999998`}, {1.213, 2.547}}], 
        LineBox[{
         Offset[{1.5, 0}, {1.213, 2.8729999999999998`}], 
          Offset[{-1.5, 0}, {1.213, 2.8729999999999998`}]}], 
        LineBox[{
         Offset[{1.5, 0}, {1.213, 2.547}], 
          Offset[{-1.5, 0}, {1.213, 2.547}]}]}, {
        LineBox[{{3.126, 4.689}, {3.126, 2.9909999999999997`}}], 
        LineBox[{
         Offset[{1.5, 0}, {3.126, 4.689}], 
          Offset[{-1.5, 0}, {3.126, 4.689}]}], 
        LineBox[{
         Offset[{1.5, 0}, {3.126, 2.9909999999999997`}], 
          Offset[{-1.5, 0}, {3.126, 2.9909999999999997`}]}]}, {
        LineBox[{{4.194, 6.292}, {4.194, 3.888}}], 
        LineBox[{
         Offset[{1.5, 0}, {4.194, 6.292}], 
          Offset[{-1.5, 0}, {4.194, 6.292}]}], 
        LineBox[{
         Offset[{1.5, 0}, {4.194, 3.888}], 
          Offset[{-1.5, 0}, {4.194, 3.888}]}]}, {
        LineBox[{{5.343, 6.906}, {5.343, 5.774}}], 
        LineBox[{
         Offset[{1.5, 0}, {5.343, 6.906}], 
          Offset[{-1.5, 0}, {5.343, 6.906}]}], 
        LineBox[{
         Offset[{1.5, 0}, {5.343, 5.774}], 
          Offset[{-1.5, 0}, {5.343, 5.774}]}]}}}, {}}, {}}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
     1.], LineBox[CompressedData["
1:eJwBwQI+/SFib1JlAgAAACsAAAACAAAAnX5iBjFkiz5QpGyh+5T8P55a7DpX
IGk/gHTvAHya/D/ZTYpyICB5P5k+09n+n/w/d0dZDgUgiT8401T5C6v8P0bE
QFz3H5k/Ky4k+kPB/D+tgjSD8B+pP1THTlYr7vw/4WGuFu0fuT8vccHW2Un9
P3tRa2DrH8k/KpV/+cQI/j8J+ZvJbC7aPxtR0puQyf8/ccJ/jOxy4z96ixLz
oMsAQC6kk9G0ruk/cm4qCCbBAUDlTmgc3zjwP5C+UtGB3wJAlxqGHaFg8z+y
koO60vsDQDlyuK8DzPY/RakGsWdABUDD15tQbyf6P9IS2qWOjQZAMYz+PhhJ
/T+tTCEFcc8HQEfmOt8wVwBA8Aue49Q2CUDnLbZF9OwBQIfcFZmgjgpAe/yJ
M7x6A0CL0iZkReYLQAcR6GlUKgVAFITj3m9hDUAFzQVHC70GQOHJpmxKyA5A
+86tbJJxCEDogSlL/SgQQOVXrhkeHgpA1IH/gUXsEEBBiG5tyK0LQAj+VRH1
oxFAlf64CUNfDUC13xN4qGwSQFscw0zc8w5AEmqKFDEpE0AMwCvsIlUQQCY8
ZcGf9hNAZTWi9VksEUBOCpmkU8EUQHd+eFIg9RFAF+Mnxjh/FUCF6pPTzs4S
QBjht9jeTRZATCoPqAyaE0BVnq16cg8XQI2tNsBMYRRA61Q5CMHNF0DKU6P8
dDkVQJ9aYsS9nBhAwM1vjCwDFkDgpuiKWV4ZQLJqgUDM3RZAa7iP7p8wGkAe
Sz84brQXQFU4sB52/xpAQ/9cg598GECOHKijtMAbQGTWv/K4VRlAGKv05ZaS
HEA+gYK1YSAaQPeh/E7JVh1Akm/xuwznGkACZWJuWhceQOKApeafvhtAGY6b
KIzoHkDrZblkwoccQGqwx33vqx9AhxmyRzbeHEAAAAAAAAAgQIwmMqc=
      "]], LineBox[CompressedData["
1:eJwdxQk81HkfwPGRGKLD5M4xUlhXEZHF91s91WMdlcqR6VB4pohYbY6STdp1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      "]], LineBox[CompressedData["
1:eJwVzns4VHkcBvCRWxfaXBJyP0qpLElI5vujIoXK1k65JMKKoqinRnYobS25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      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{
    FormBox[
     StyleBox[
     "\"Intensity (MW/m^2)\"", FontSize -> 24, StripOnInput -> False], 
     TraditionalForm], 
    FormBox[
     StyleBox["\"Energy (MHz)\"", FontSize -> 24, StripOnInput -> False], 
     TraditionalForm]},
  FrameStyle->Directive[FontSize -> 24],
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->700,
  Method->{},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.8084587936132*^9, 3.8084588250029955`*^9}, {
   3.808458943114751*^9, 3.8084589525832925`*^9}, {3.8084597817107162`*^9, 
   3.8084597860369635`*^9}, {3.8084600213714237`*^9, 3.8084600489350004`*^9}, 
   3.8084600894173155`*^9, {3.808460227498214*^9, 3.8084602734568424`*^9}, 
   3.8084603138251514`*^9, {3.808460347583082*^9, 3.8084604600395145`*^9}, 
   3.8084630039850197`*^9, 3.8084670234089174`*^9, 3.808467165496044*^9, 
   3.808467237748177*^9, 3.8084675512071056`*^9, {3.8084677899047585`*^9, 
   3.8084677932079477`*^9}, 3.808474606895668*^9, 3.808475211147229*^9, 
   3.8084755943351464`*^9, 3.8084756548146057`*^9, 3.808476640134963*^9, 
   3.808477770288604*^9, 3.8084778518432684`*^9, 3.808477899962021*^9, 
   3.808477932281869*^9, 3.80847800816821*^9, 3.8084780531737843`*^9, {
   3.808480342690737*^9, 3.808480357884606*^9}, 3.808480499658715*^9, 
   3.8084811493048725`*^9, 3.8084872816696234`*^9, 3.808487729967265*^9, 
   3.8084877648882623`*^9, 3.8084878075657034`*^9, 3.8085414364379597`*^9, 
   3.8085420277467804`*^9, 3.808542080521799*^9, 3.8085421398751936`*^9, 
   3.8085421760002604`*^9, 3.8085422106972446`*^9, 3.808542547422504*^9, {
   3.808542603038685*^9, 3.8085426489583116`*^9}, 3.8085439356539063`*^9, 
   3.8085441599147334`*^9, 3.8085441958317876`*^9, 3.8085480965048933`*^9, {
   3.80857938648584*^9, 3.8085794132113686`*^9}, 3.8085795966488605`*^9, 
   3.8086356172650476`*^9, 3.8086356845218945`*^9, 3.808640097943328*^9, 
   3.808640316234813*^9, 3.8086403969994326`*^9, 3.8086499599924045`*^9, {
   3.808650108031872*^9, 3.80865012827203*^9}, {3.8086501782828903`*^9, 
   3.8086502046173964`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tabToSave", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{"{", "Ibeam", "}"}], ",", 
       RowBox[{
        RowBox[{"Sort", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Eigenvalues", "[", 
              RowBox[{"MatFun", "[", 
               RowBox[{"Bfield", ",", 
                RowBox[{"IfacScal", "*", "Ibeam", "*", 
                 RowBox[{
                  RowBox[{"10", "^", "6"}], " ", "/", " ", "Isat3P1to3S1"}]}],
                 ",", "\[CapitalDelta]Transp", ",", "polarVecTransp"}], "]"}],
               "]"}], "/", "2"}], "/", "Pi"}], "/", 
           RowBox[{"10", "^", "6"}]}], ",", "Greater"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"1", ";;", "3"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"Ibeam", ",", "0", ",", "10", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tabToSave", "=", 
   RowBox[{"Prepend", "[", 
    RowBox[{"tabToSave", ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Intensity (MW/m^2)\>\"", ",", "\"\<mJ = +1\>\"", ",", 
       "\"\<mJ = 0\>\"", ",", "\"\<mJ = -1\>\""}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\<TransparencyLineShifts_New_Data_Fit_with_scaled_intensity_free.xls\>\"\
", ",", "tabToSave"}], "]"}]}], "Input",
 CellChangeTimes->{{3.808474696774809*^9, 3.808474904929715*^9}, {
   3.8084750006671906`*^9, 3.8084750867051115`*^9}, {3.8084751314936733`*^9, 
   3.808475155435043*^9}, {3.8084778618058386`*^9, 3.808477881219949*^9}, {
   3.8084779306567764`*^9, 3.8084779316188316`*^9}, {3.8084779836728086`*^9, 
   3.808478013168496*^9}, {3.80848134193289*^9, 3.808481342744937*^9}, {
   3.80848194791555*^9, 3.8084819770832186`*^9}, {3.808487741737938*^9, 
   3.8084877427269945`*^9}, {3.808541892838064*^9, 3.8085419249228992`*^9}, {
   3.808542042653633*^9, 3.8085420430656567`*^9}, 3.8085421158668203`*^9, {
   3.808542566198578*^9, 3.8085425709258485`*^9}, {3.808542621536743*^9, 
   3.808542621994769*^9}, {3.8085426807901325`*^9, 3.808542683159268*^9}, {
   3.808636108101122*^9, 3.8086361348426514`*^9}, {3.808640360888367*^9, 
   3.8086403659096546`*^9}}],

Cell[BoxData["\<\"TransparencyLineShifts_New_Data_Fit_with_scaled_intensity_\
free.xls\"\>"], "Output",
 CellChangeTimes->{3.808640334034831*^9, 3.808650067799571*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Results using the new (averaged) data sets", "Subsubitem",
 CellChangeTimes->{{3.8086561264611063`*^9, 3.8086561399818797`*^9}}],

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"0.8156072477646884`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Theta]", "\[Rule]", "0.7615859018265163`"}], ",", 
     RowBox[{"\[Phi]", "\[Rule]", "1.0600046025134024`"}]}], "}"}]}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"\[InvisibleSpace]", 
  RowBox[{"{", 
   RowBox[{
   "0.3373532343126955`", ",", "0.6019879850294327`", ",", 
    "0.7237425379090047`"}], "}"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{"0.718202705957381`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Theta]", "\[Rule]", "0.7315048425439035`"}], ",", 
     RowBox[{"\[Phi]", "\[Rule]", "0.9324924301085167`"}], ",", 
     RowBox[{"Ifac", "\[Rule]", "1.2239055377168426`"}]}], "}"}]}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"\[InvisibleSpace]", 
  RowBox[{"{", 
   RowBox[{
   "0.3980113997632365`", ",", "0.5364679853239808`", ",", 
    "0.7441700251830481`"}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.8086560917671223`*^9, 3.8086561181246295`*^9}}]
}, Closed]]
}, Closed]]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1366, 696},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1924, 38, 252, "Input"],
Cell[2485, 60, 161, 2, 70, "Section"],
Cell[CellGroupData[{
Cell[2671, 66, 150, 2, 25, "Item"],
Cell[2824, 70, 652, 15, 52, "Input",
 Evaluatable->False],
Cell[3479, 87, 459, 11, 31, "Input",
 Evaluatable->False],
Cell[3941, 100, 94138, 1549, 331, "Input",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[98104, 1653, 265, 3, 30, "Text"],
Cell[98372, 1658, 4659, 134, 385, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[103068, 1797, 212, 3, 27, "Text"],
Cell[103283, 1802, 916, 21, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[104236, 1828, 225, 3, 27, "Text"],
Cell[CellGroupData[{
Cell[104486, 1835, 3559, 70, 172, "Input"],
Cell[108048, 1907, 1130, 21, 70, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[109227, 1934, 225, 3, 27, "Text"],
Cell[CellGroupData[{
Cell[109477, 1941, 3681, 71, 172, "Input"],
Cell[113161, 2014, 1326, 23, 70, "Print"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[114548, 2044, 105, 1, 25, "Item"],
Cell[CellGroupData[{
Cell[114678, 2049, 106, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[114809, 2054, 164, 2, 25, "Subsubitem"],
Cell[CellGroupData[{
Cell[114998, 2060, 5012, 131, 452, "Input",
 Evaluatable->False],
Cell[120013, 2193, 1819, 45, 472, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[121881, 2244, 162, 2, 25, "Subsubitem"],
Cell[CellGroupData[{
Cell[122068, 2250, 5626, 142, 452, "Input",
 Evaluatable->False],
Cell[127697, 2394, 1850, 44, 472, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[129596, 2444, 135, 2, 25, "Subsubitem"],
Cell[CellGroupData[{
Cell[129756, 2450, 8480, 212, 652, "Input"],
Cell[138239, 2664, 10596, 247, 472, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[148896, 2918, 298, 4, 30, "Text"],
Cell[CellGroupData[{
Cell[149219, 2926, 11885, 245, 792, "Input"],
Cell[161107, 3173, 2250, 33, 23, "Print"],
Cell[163360, 3208, 2457, 39, 23, "Print"],
Cell[165820, 3249, 2467, 38, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[168336, 3293, 270, 3, 27, "Text"],
Cell[CellGroupData[{
Cell[168631, 3300, 24154, 530, 1542, "Input"],
Cell[192788, 3832, 4843, 69, 70, "Print"],
Cell[197634, 3903, 11922, 195, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[209605, 4104, 305, 4, 27, "Text"],
Cell[CellGroupData[{
Cell[209935, 4112, 131, 1, 25, "Subitem"],
Cell[210069, 4115, 7474, 175, 632, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[217580, 4295, 159, 2, 25, "Subitem"],
Cell[CellGroupData[{
Cell[217764, 4301, 1310, 30, 132, "Input"],
Cell[219077, 4333, 508, 10, 23, "Print"],
Cell[219588, 4345, 500, 10, 23, "Print"],
Cell[220091, 4357, 519, 10, 23, "Print"],
Cell[220613, 4369, 578, 11, 23, "Print"],
Cell[221194, 4382, 568, 11, 23, "Print"],
Cell[221765, 4395, 532, 12, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[222346, 4413, 169, 2, 25, "Subitem"],
Cell[CellGroupData[{
Cell[222540, 4419, 3126, 74, 192, "Input"],
Cell[225669, 4495, 759, 14, 58, "Message"],
Cell[226431, 4511, 492, 11, 31, "Output"],
Cell[226926, 4524, 460, 8, 23, "Print"],
Cell[227389, 4534, 712, 15, 23, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[228150, 4555, 119, 1, 25, "Subitem"],
Cell[CellGroupData[{
Cell[228294, 4560, 3538, 87, 232, "Input"],
Cell[231835, 4649, 738, 14, 58, "Message"],
Cell[232576, 4665, 526, 11, 31, "Output"],
Cell[233105, 4678, 441, 8, 23, "Print"],
Cell[233549, 4688, 688, 15, 23, "Print"],
Cell[234240, 4705, 423, 9, 23, "Print"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[234724, 4721, 354, 5, 30, "Text"],
Cell[CellGroupData[{
Cell[235103, 4730, 814, 19, 52, "Input"],
Cell[235920, 4751, 18102, 368, 472, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[254059, 5124, 2311, 52, 112, "Input"],
Cell[256373, 5178, 167, 2, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[256577, 5185, 134, 1, 25, "Subsubitem"],
Cell[256714, 5188, 1031, 27, 112, "Input"]
}, Closed]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
