(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6107,        173]
NotebookOptionsPosition[      5573,        150]
NotebookOutlinePosition[      5914,        165]
CellTagsIndexPosition[      5871,        162]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8086586622011423`*^9, 3.808658662203142*^9}, {
   3.808658704698573*^9, 3.8086587686422305`*^9}, {3.8086588364211073`*^9, 
   3.808658860609491*^9}, 3.8086592074893312`*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"xTab", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.2137", ",", "0.4275", ",", "0.5343", ",", "0.8015", ",", "1.0687", ",",
      "1.3358", ",", "1.6030", ",", "2.1373", ",", "2.137", ",", "0.000", ",",
      "0.534", ",", "1.069"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yTab", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.69", ",", "0.8875", ",", "1.04", ",", "1.29", ",", "1.4725", ",", 
     "2.05", ",", "2.505", ",", "2.77", ",", "2.86", ",", "0.42", ",", "1.1", 
     ",", "1.515"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"errTab", " ", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.1", ",", "0.088388348", ",", "0.1", ",", "0.070710678", ",", 
     "0.272236111", ",", "0.197989899", ",", "0.091923882", ",", 
     "0.084852814", ",", "0.212132034", ",", "0.1", ",", "0.056568542", ",", 
     "0.275771645"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.80865868297233*^9, 3.808658682974331*^9}, {
   3.808658867801902*^9, 3.8086589394209986`*^9}, {3.8086592041781416`*^9, 
   3.8086592107115154`*^9}, 3.808659249478733*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.1`", ",", "0.088388348`", ",", "0.1`", ",", "0.070710678`", ",", 
   "0.272236111`", ",", "0.197989899`", ",", "0.091923882`", ",", 
   "0.084852814`", ",", "0.212132034`", ",", "0.1`", ",", "0.056568542`", ",",
    "0.275771645`"}], "}"}]], "Output",
 CellChangeTimes->{3.8086592449604745`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8086586895027037`*^9, 3.808658689504704*^9}, {
   3.8086589608042216`*^9, 3.8086590423018827`*^9}, 3.808659202298034*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"lm", "=", 
   RowBox[{"LinearModelFit", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"xTab", ",", "yTab"}], "}"}], "]"}], ",", "x", ",", "x"}], 
    "]"}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"lm", "=", 
  RowBox[{"LinearModelFit", "[", 
   RowBox[{
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"xTab", ",", "yTab"}], "}"}], "]"}], ",", "x", ",", "x", ",", 
    RowBox[{"Weights", "\[Rule]", 
     RowBox[{"1.", "/", 
      RowBox[{"errTab", "^", "2."}]}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.8086592240202765`*^9, 3.8086592735181074`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"FittedModel", "[", 
   TagBox[
    PanelBox[
     TagBox[
      RowBox[{"0.4161451007677878`", "\[VeryThinSpace]", "+", 
       RowBox[{"1.1470652675636532`", " ", "x"}]}],
      Short[#, 2]& ],
     FrameMargins->5],
    Editable -> False], "]"}],
  InterpretTemplate[
  FittedModel[{
    "Linear", {0.4161451007677878, 
     1.1470652675636532`}, {{$CellContext`x}, {1, $CellContext`x}}, {0, 
     0}}, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, {{0.2137, 
    0.69}, {0.4275, 0.8875}, {0.5343, 1.04}, {0.8015, 1.29}, {1.0687, 
    1.4725}, {1.3358, 2.05}, {1.603, 2.505}, {2.1373, 2.77}, {2.137, 2.86}, {
    0., 0.42}, {0.534, 1.1}, {1.069, 1.515}}, {{1., 0.2137}, {1., 0.4275}, {
    1., 0.5343}, {1., 0.8015}, {1., 1.0687}, {1., 1.3358}, {1., 1.603}, {1., 
    2.1373}, {1., 2.137}, {1., 0.}, {1., 0.534}, {1., 1.069}}, 
    Function[Null, 
     Internal`LocalizedBlock[{$CellContext`x}, #], {HoldAll}]]& ],
  Editable->False,
  SelectWithContents->True,
  Selectable->True]], "Output",
 CellChangeTimes->{{3.808659248509677*^9, 3.808659273826125*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"FittedModel", "[", 
   TagBox[
    PanelBox[
     TagBox[
      RowBox[{"0.44330126351307236`", "\[VeryThinSpace]", "+", 
       RowBox[{"1.1423618984117867`", " ", "x"}]}],
      Short[#, 2]& ],
     FrameMargins->5],
    Editable -> False], "]"}],
  InterpretTemplate[
  FittedModel[{
    "Linear", {0.44330126351307236`, 
     1.1423618984117867`}, {{$CellContext`x}, {1, $CellContext`x}}, {0, 
     0}}, {{99.99999999999999, 127.9999989814214, 99.99999999999999, 
    200.00000067121263`, 13.493000481881847`, 25.510204012631327`, 
    118.34319411855435`, 138.8888880455518, 22.22222229680141, 
    99.99999999999999, 312.5000054681872, 13.149243886313757`}}, {{0.2137, 
    0.69}, {0.4275, 0.8875}, {0.5343, 1.04}, {0.8015, 1.29}, {1.0687, 
    1.4725}, {1.3358, 2.05}, {1.603, 2.505}, {2.1373, 2.77}, {2.137, 2.86}, {
    0., 0.42}, {0.534, 1.1}, {1.069, 1.515}}, {{1., 0.2137}, {1., 0.4275}, {
    1., 0.5343}, {1., 0.8015}, {1., 1.0687}, {1., 1.3358}, {1., 1.603}, {1., 
    2.1373}, {1., 2.137}, {1., 0.}, {1., 0.534}, {1., 1.069}}, 
    Function[Null, 
     Internal`LocalizedBlock[{$CellContext`x}, #], {HoldAll}]]& ],
  Editable->False,
  SelectWithContents->True,
  Selectable->True]], "Output",
 CellChangeTimes->{{3.808659248509677*^9, 3.8086592738341255`*^9}}]
}, Open  ]]
},
WindowSize->{917, 606},
WindowMargins->{{4, Automatic}, {1, Automatic}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 222, 3, 31, "Input"],
Cell[CellGroupData[{
Cell[805, 27, 1111, 25, 92, "Input"],
Cell[1919, 54, 340, 7, 52, "Output"]
}, Open  ]],
Cell[2274, 64, 170, 2, 31, "Input"],
Cell[CellGroupData[{
Cell[2469, 70, 670, 18, 72, "Input"],
Cell[3142, 90, 1101, 26, 50, "Output"],
Cell[4246, 118, 1311, 29, 50, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
